# -*- encoding: utf-8 -*-
# frozen_string_literal: true
# This file generated automatically using rdf vocabulary format from http://id.loc.gov/ontologies/bibframe/
require 'rdf'
module RDF::Vocab
  BF2 = Class.new(RDF::StrictVocabulary("http://id.loc.gov/ontologies/bibframe/")) do

    # Ontology definition
    ontology :"http://id.loc.gov/ontologies/bibframe/",
      "http://creativecommons.org/ns#license": "https://creativecommons.org/publicdomain/zero/1.0/".freeze,
      "http://purl.org/dc/terms/creator": "".freeze,
      "http://purl.org/dc/terms/description": "The Bibframe vocabulary consists of RDF classes and properties used for the description of \r\n            items cataloged principally by libraries, but may also be used to describe items cataloged by museums and archives. \r\n            Classes include the three core classes - Work, Instance, and Item - in addition to many more \r\n            classes to support description. Properties describe characteristics of the resource being \r\n            described as well as relationships among resources. For example: one Work\r\n            might be a \"translation of\" another Work; an Instance may be an \r\n            \"instance of\" a particular Bibframe Work.  Other properties describe attributes of Works and Instances.  For\r\n            example: the Bibframe property \"subject\" expresses an important attribute of a Work \r\n            (what the Work is about), and the property \"extent\" (e.g. number of pages) expresses an\r\n            attribute of an Instance.".freeze,
      "http://purl.org/dc/terms/issued": "2021-06-10T12:00:00.000-05:00".freeze,
      "http://purl.org/dc/terms/modified": "2021-06-24T13:27:14.395-04:00".freeze,
      "http://purl.org/dc/terms/publisher": "".freeze,
      "http://purl.org/dc/terms/rights": "https://creativecommons.org/publicdomain/zero/1.0/".freeze,
      "http://www.w3.org/2002/07/owl#priorVersion": "http://id.loc.gov/ontologies/bibframe-2-0-1/".freeze,
      "http://www.w3.org/2002/07/owl#versionIRI": "http://id.loc.gov/ontologies/bibframe-2-1-0/".freeze,
      "http://www.w3.org/2002/07/owl#versionInfo": "2.1.0".freeze,
      label: "BIBFRAME vocabulary".freeze,
      type: "http://www.w3.org/2002/07/owl#Ontology".freeze

    # Class definitions
    term :AbbreviatedTitle,
      definition: "Title as abbreviated for citation, indexing, and/or identification.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Abbreviated title".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/VariantTitle".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :AccessPolicy,
      definition: "Access restrictions and allowances regarding access to a resource, e.g., lending policy, access restrictions, embargos.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Access policy".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/UsageAndAccessPolicy".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :AccessionNumber,
      definition: "Accession Number".freeze,
      "http://purl.org/dc/terms/modified": "2021-06-09 (New [GH11])".freeze,
      label: "Accession number".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :AcquisitionSource,
      definition: "Information about an organization, person, etc., from which a resource may be obtained.".freeze,
      "http://purl.org/dc/terms/modified": "2017-02-06 (New)".freeze,
      label: "Acquisition source".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :AdminMetadata,
      definition: "Metadata about the metadata, especially provenance information.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Administrative metadata".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Agent,
      definition: "Entity having a role in a resource, such as a person or organization.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-05-13 (New subclass)".freeze],
      label: "Agent".freeze,
      subClassOf: "http://xmlns.com/foaf/0.1/Agent".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Ansi,
      definition: "American National Standards Institute identifier.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "ANSI number".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :AppliedMaterial,
      definition: "Physical or chemical substance applied to a base material of a resource.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Changed subclass to Material [GH28])".freeze],
      label: "Applied material".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Material".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Archival,
      definition: "Resources organically created, accumulated, and/or used by a person, family, or organization in the course of conduct of affairs and preserved because of their continuing value.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Archival controlled".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Instance".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Arrangement,
      definition: "Resource that represents an arrangement of another resource.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Redefined [GH77])".freeze],
      label: "Arrangement".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Work".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :AspectRatio,
      definition: "Proportional relationship between an image's width and its height.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Aspect ratio".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Audio,
      definition: "Resources expressed in an audible form, including music or other sounds.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Audio".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Work".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :AudioIssueNumber,
      definition: "Number assigned by publishers of sound recordings to identify the issue designation, or serial identification, of the resource.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2017-02-03 (Revised property name and definition)".freeze],
      label: "Audio issue number".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :AudioTake,
      definition: "Identifier assigned to the smallest identifiable unit of a recording session, e.g., a specific recording of an individual song.".freeze,
      "http://purl.org/dc/terms/modified": "2017-02-03 (New)".freeze,
      label: "Audio recording take".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Barcode,
      definition: "Optical machine-readable representation of data relating to the item to which it is attached.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2017-02-03 (Moved to Identifier class group from Item group)".freeze],
      label: "Barcode".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :BaseMaterial,
      definition: "Underlying physical material of a resource.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Changed subclass to Material [GH28])".freeze],
      label: "Base material".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Material".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :BookFormat,
      definition: "Result of folding a printed sheet to form a gathering of leaves.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Book format".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :BroadcastStandard,
      definition: "System used to format a video resource for television broadcast, e.g., HDTV, PAL.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Broadcast standard".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/VideoCharacteristic".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Capture,
      definition: "Information about place and date associated with the capture (i.e., recording, filming, etc.) of the content of a resource.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Capture of content".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Carrier,
      definition: "Categorization reflecting the format of the storage medium and housing of a carrier.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Carrier type".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Cartographic,
      definition: "Content that represents the whole or part of the earth, any celestial body, or imaginary place at any scale.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Cartographic information".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :CartographicDataType,
      definition: "Data type for encoding of geospatial information in a cartographic resource, e.g., raster, vector, point.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Digital cartographic data type".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/DigitalCharacteristic".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :CartographicObjectType,
      definition: "Object type for encoding of geospatial information in a cartographic resource, e.g., point, line, polygon.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Digital cartographic object type".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/DigitalCharacteristic".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Cartography,
      definition: "Resource that shows spatial information, including maps, atlases, globes, digital, and other cartographic resources.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-25 (fixed typo in definition)".freeze,
      label: "Cartography".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Work".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Chronology,
      definition: "Dates associated with issues or items held.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Chronology".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/EnumerationAndChronology".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Classification,
      definition: "System of coding and organizing materials according to their subject.".freeze,
      editorialNote: "Any entry from the Classification Schemes vocabulary at ID may be used; all have been defined as a bf:Classification".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Added editorial note [GH55])".freeze],
      label: "Classification entity".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :ClassificationDdc,
      definition: "Dewey Decimal Classification number used for subject access.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "DDC Classification".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Classification".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :ClassificationLcc,
      definition: "Library of Congress Classification number used for subject access.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "LCC Classification".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Classification".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :ClassificationNlm,
      definition: "National Library of Medicine Classification number used for subject access".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "NLM classification".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Classification".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :ClassificationUdc,
      definition: "Universal Decimal Classification number used for subject access.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "UDC Classification".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Classification".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Coden,
      definition: "Identifier for scientific and technical periodical titles assigned by the International CODEN Section of Chemical Abstracts Service.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "CODEN".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Collection,
      definition: "Aggregation of resources, generally gathered together artificially.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Collection".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :CollectionArrangement,
      definition: "Information about the organization and arrangement of a collection of items. For instance, for computer files, organization and arrangement information may be the file structure and sort sequence of a file; for visual materials, this information may be how a collection is arranged.".freeze,
      "http://purl.org/dc/terms/modified": "2021-06-09 (New [GH77])".freeze,
      label: "Organization of materials information".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :CollectiveTitle,
      definition: "Title for a compilation of resources.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Collective title".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/VariantTitle".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :ColorContent,
      definition: "Color characteristics of a resource, e.g., black and white, multicolored, etc.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Color content".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Content,
      definition: "Categorization reflecting the fundamental form of communication in which the content is expressed and the human sense through which it is intended to be perceived.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Content type".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :ContentAccessibility,
      definition: "Information that assists those with a sensory impairment for greater understanding of content, e.g., captions.".freeze,
      "http://purl.org/dc/terms/modified": "2017-02-07 (New)".freeze,
      label: "Content accessibility information".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Contribution,
      definition: "Agent and role with respect to the resource being described.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Contribution".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :CopyrightNumber,
      definition: "Identifier assigned to a copyright registration or legal deposit.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Copyright-legal deposit number".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :CopyrightRegistration,
      definition: "Copyright or Legal Deposit registration information".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-05-04 (Class name corrected)".freeze],
      label: "Copyright registration".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :CoverArt,
      definition: "Cover illustration of a resource.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Cover art".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Dataset,
      definition: "Data encoded in a defined structure. Includes numeric data, environmental data,etc., used by applications software to calculate averages, correlations, etc., or to produce models, etc., but not normally displayed in its raw form.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Dataset".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Work".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :DescriptionAuthentication,
      definition: "Indication of specific types of reviews that have been carried out on the description information.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-29 (fixed class name)".freeze],
      label: "Metadata authentication".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/AdminMetadata".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :DescriptionConventions,
      definition: "Rules used for the descriptive content of the resource description.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-24 (fixed class name)".freeze],
      label: "Description conventions".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/AdminMetadata".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :DigitalCharacteristic,
      definition: "Technical specification relating to the digital encoding of text, image, audio, video, and other types of data in a resource.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Digital characteristic".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Dissertation,
      definition: "Information about a work presented as part of the formal requirements for an academic degree.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Dissertation information".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :DissertationIdentifier,
      definition: "Identifier assigned to a thesis or dissertation for identification purposes .".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Dissertation Identifier".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Distribution,
      definition: "Information relating to distribution of a resource.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Distributor".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/ProvisionActivity".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Doi,
      definition: "Digital Object Identifier.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "DOI".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Ean,
      definition: "International Article Identifier.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "EAN".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Eidr,
      definition: "Entertainment Identifier Registry".freeze,
      "http://purl.org/dc/terms/modified": "2021-06-09 (New [GH78])".freeze,
      label: "EIDR".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Electronic,
      definition: "Resource that is intended for manipulation by a computer, accessed either directly or remotely.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Electronic".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Instance".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Emulsion,
      definition: "Suspension of light-sensitive chemicals used as a coating on a microfilm or microfiche, e.g., silver halide.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Emulsion".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :EncodedBitrate,
      definition: "Speed at which streaming audio, video, etc., is designed to play, e.g., 32 kbps.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Encoded bitrate".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/DigitalCharacteristic".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :EncodingFormat,
      definition: "Schema, standard, etc., used to encode the digital content of a resource, e.g., MP3, XML, JPEG.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Encoding format".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/DigitalCharacteristic".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Ensemble,
      definition: "Ensemble".freeze,
      "http://purl.org/dc/terms/modified": "2021-06-09 (New [GH56])".freeze,
      label: "Ensemble".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Enumeration,
      definition: "Numbering or other enumeration associated with issues or items held.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Enumeration".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/EnumerationAndChronology".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :EnumerationAndChronology,
      definition: "Numbering or other enumeration and dates associated with issues or items held.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Enumeration and chronology".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Event,
      definition: "Something that happens at a certain time and location, such as a performance, speech, or athletic event.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Broaden definition [GH12])".freeze],
      label: "Event entity".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Extent,
      definition: "Number and type of units and/or subunits making up a resource.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Extent".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Family,
      definition: "Two or more persons related by birth, marriage, adoption, civil union, or similar legal status, or who otherwise present themselves as a family.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Family".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Agent".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :FileSize,
      definition: "Number of bytes in a digital file, e.g., 162 KB.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "File size".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/DigitalCharacteristic".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :FileType,
      definition: "General type of data content encoded in a computer file, e.g., text file, audio file.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "File type".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/DigitalCharacteristic".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Fingerprint,
      definition: "Identifier that is used to assist in the identification of antiquarian books by recording information comprising groups of characters taken from specified positions on specified pages of the book.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Fingerprint identifier".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :FontSize,
      definition: "Size of the type used to represent the characters and symbols in a resource.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Font size".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Frequency,
      definition: "Information about intervals at which the parts of a serially produced resource or the updates to an integrating resource are issued.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Frequency".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Generation,
      definition: "Relationship between an original carrier and the carrier of a reproduction made from the original.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Generation".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :GenerationProcess,
      definition: "Indication of the program or process used to generate the description by application of a particular transformation.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-24 (fixed class name)".freeze],
      label: "Generation process".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/AdminMetadata".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :GenreForm,
      definition: "Form category or genre to which a resource belongs.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Broaden definition [GH17])".freeze],
      label: "Genre/form".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :GeographicCoverage,
      definition: "Geographic coverage of the content of the resource.".freeze,
      "http://purl.org/dc/terms/modified": "2017-02-06 (New)".freeze,
      label: "Geographic coverage".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :GrooveCharacteristic,
      definition: "Groove width of an analog disc or the groove pitch of an analog cylinder, e.g., coarse groove, microgroove".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-26 (fixed typo in definition)".freeze, "2017-02-03 (Fixed name of property)".freeze],
      label: "Groove characteristic".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/SoundCharacteristic".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Gtin14Number,
      definition: "14 digit number assigned to identify trade items as various packaging levels. GTIN-14 encompasses EAN/UCC-128 and ITF-14.".freeze,
      "http://purl.org/dc/terms/modified": "2017-02-03 (New)".freeze,
      label: "Global Trade Item Number 14".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Hdl,
      definition: "Unique and persistent identifier for digital objects developed by the Corporation for National Research Initiatives.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Handle".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Hub,
      definition: "An abstract resource that functions as a bridge between two Works.".freeze,
      "http://purl.org/dc/terms/modified": "2021-06-09 (New [GH75])".freeze,
      label: "Hub".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Work".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Identifier,
      definition: "Token or name that is associated with a resource, such as a URI or an ISBN.".freeze,
      editorialNote: "Any entry from the Standard Identifiers vocabulary at ID may be used; all have been defined as a bf:Identifier".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Added editorial note [GH44])".freeze],
      label: "Identifier".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Illustration,
      definition: "Information about content intended to illustrate a resource.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Illustrative content".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :ImmediateAcquisition,
      definition: "Information about the circumstances, e.g., source, date, method, under which the resource was directly acquired.".freeze,
      "http://purl.org/dc/terms/modified": "2017-02-06 (New)".freeze,
      label: "Immediate acquisition".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Instance,
      definition: "Resource reflecting an individual, material embodiment of a Work.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Instance".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :IntendedAudience,
      definition: "Information that identifies the specific intended or target audience or intellectual level for which the content described is considered appropriate. Also used to record interest and motivation levels and special learner characteristics.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Intended audience information".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Isan,
      definition: "International Standard Audiovisual Number.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "ISAN".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Isbn,
      definition: "International Standard Book Number.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "ISBN".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Ismn,
      definition: "International Standard Music Number.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "ISMN".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Isni,
      definition: "International Standard Name Identifier, a unique, persistent reference number for the identities of contributors to creative works.".freeze,
      "http://purl.org/dc/terms/modified": "2017-02-03 (New)".freeze,
      label: "ISNI".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Iso,
      definition: "International Organization for Standardization standard number.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "ISO number".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Isrc,
      definition: "International Standard Recording Code.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "ISRC".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Issn,
      definition: "International Standard Serial Number.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "ISSN".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :IssnL,
      definition: "International Standard Serial Number that links together various media versions of a continuing resource.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "ISSN-L".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Issuance,
      definition: "Information about whether a resource is issued in one or more parts, the way it is updated, and its intended termination.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Mode of issuance".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Istc,
      definition: "International Standard Text Code, a numbering system developed to enable the unique identification of textual works.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "ISTC".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Iswc,
      definition: "International Standard Musical Work Code, a unique, persistent reference number for the identification of musical works.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "ISWC".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Item,
      definition: "Single example of an Instance.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Item".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Jurisdiction,
      definition: "Legal or political unit administering a geographic area.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Jurisdiction".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Agent".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :KeyTitle,
      definition: "Unique title for a continuing resource that is assigned by the ISSN International Center in conjunction with an ISSN.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Key title".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/VariantTitle".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Language,
      definition: "Language entity.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Language entity".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Layout,
      definition: "Arrangement of text, images, tactile notation, etc., in a resource.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Layout".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :LcOverseasAcq,
      definition: "Identification number assigned by the Library of Congress to works acquired through one of its collaborative overseas acquisition programs.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "LC acquisition program".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Lccn,
      definition: "Library of Congress Control Number that identifies a resource description.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "LCCN".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Local,
      definition: "Identifier established locally and not a standard number.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Local identifier".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Manufacture,
      definition: "Information relating to manufacture of a resource.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Manufacturer".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/ProvisionActivity".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Manuscript,
      definition: "Resource that is written in handwriting or typescript. These are generally unique resources.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Manuscript".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Instance".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Material,
      definition: "Substance or composition of the resource.".freeze,
      "http://purl.org/dc/terms/modified": "2021-06-09 (New [GH28])".freeze,
      label: "Material".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :MatrixNumber,
      definition: "Matrix identifier assigned to the master from which a specific sound recording was pressed.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2017-02-03 (Revised definition)".freeze],
      label: "Audio matrix number".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Media,
      definition: "Categorization reflecting the general type of intermediation device required to view, play, run, etc., the content of a resource.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Media type".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Meeting,
      definition: "Gathering of individuals or representatives of various bodies for the purpose of discussing and/or acting on topics of common interest.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Meeting".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Agent".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :MixedMaterial,
      definition: "Resource comprised of multiple types which is not driven by software; for instance, a manuscript collection of text, photographs and sound recordings.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Mixed material".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Work".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Mount,
      definition: "Physical material or object used for the support or backing to which the base material of a resource has been attached.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Amended definition [GH29])".freeze],
      label: "Mount".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :MovementNotation,
      definition: "Information on the symbol system used to convey the content of a movement resource.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Modified label [GH67])".freeze],
      label: "Movement notation".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Notation".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :MovingImage,
      definition: "Images intended to be perceived as moving, including motion pictures (using liveaction and/or animation), video recordings of performances, events,etc.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-26 (fixed typo in definition)".freeze],
      label: "Moving image".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Work".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Multimedia,
      definition: "Electronic resource that is a computer program (i.e., digitally encoded instructions intended to be processed and performed by a computer) or which consists of multiple media types that are software driven, such as videogames.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Software or multimedia".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Work".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :MusicDistributorNumber,
      definition: "Identifier appearing on a resource assigned by a distributor to a specific audio recording, notated music publication, music-related publication, or videorecording.".freeze,
      "http://purl.org/dc/terms/modified": "2017-02-07 (New)".freeze,
      label: "Music distributor number".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :MusicEnsemble,
      definition: "Ensemble for which a musical work is appropriate.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Changed subclass to Ensemble [GH56])".freeze],
      label: "Music ensemble".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Ensemble".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :MusicFormat,
      definition: "Layout for content of a resource that is presented in the form of musical notation.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Notated music format".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :MusicInstrument,
      definition: "Instrument for which a musical work is appropriate.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Musical instrument".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :MusicMedium,
      definition: "Summary statement of the medium for a musical work.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Music medium information".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :MusicNotation,
      definition: "Information on the symbol system used to convey the content of a music resource.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Modified label [GH67])".freeze],
      label: "Music notation".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Notation".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :MusicPlate,
      definition: "Identifiers assigned by a music publisher or printer to the printing plates for the notated portion of a notated music publication, or an identifier that emulates the printing plate tradition in contemporary publications.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2017-02-03 (Revised definition)".freeze],
      label: "Music plate number".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :MusicPublisherNumber,
      definition: "Identifier assigned to a notated music publication other than an issue, matrix, or plate number.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2017-02-03 (Revised definition)".freeze],
      label: "Music publisher number".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :MusicVoice,
      definition: "Voice for which a musical work is appropriate.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Music voice".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Nbn,
      definition: "National Bibliography Number that identifies a resource description.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "NBN".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :NotatedMovement,
      definition: "Graphic, non-realized representations of movement intended to be perceived visually, e.g. dance.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Notated movement".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Work".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :NotatedMusic,
      definition: "Graphic, non-realized representations of musical works intended to be perceived visually.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Notated music".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Work".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Notation,
      definition: "Information on the alphabet, script, or symbol system used to convey the content of the resource, including specialized scripts, typefaces, tactile notation, movement notation, and musical notation.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Notation".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Note,
      definition: "Information, usually in textual form, on attributes of a resource or some aspect of a resource.".freeze,
      editorialNote: "Any entry from the Note Types vocabulary at ID may be used; all have been defined as a bf:Note".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Added editorial note [GH35])".freeze],
      label: "Note".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Object,
      definition: "Resource in a form intended to be perceived visually in three-dimensions. Includes man-made objects such as models, sculptures, clothing, and toys, as well as naturally occurring objects such as specimens mounted for viewing.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Three-dimensional object".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Work".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :ObjectCount,
      definition: "Number of objects in encoded geospatial information in a cartographic resource.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Digital cartographic object count".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/DigitalCharacteristic".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Organization,
      definition: "Corporation or group of persons and/or organizations that acts, or may act, as a unit.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Organization".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Agent".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :ParallelTitle,
      definition: "Title in another language and/or script.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Parallel title proper".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/VariantTitle".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Person,
      definition: "Individual or identity established by an individual (either alone or in collaboration with one or more other individuals).".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Person".freeze,
      subClassOf: ["http://id.loc.gov/ontologies/bibframe/Agent".freeze, "http://xmlns.com/foaf/0.1/Person".freeze],
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Place,
      definition: "Geographic location.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Place".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :PlaybackChannels,
      definition: "Configuration/number of sound channels used to make a recording, such as one channel for a monophonic recording, e.g., mono, stereo, quadraphonic, surround.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Configuration of playback channels".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/SoundCharacteristic".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :PlaybackCharacteristic,
      definition: "Equalization system, noise reduction system, etc., used in making an audio recording, e.g., CCIR standard, CX encoded, Dolby.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Special playback characteristics".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/SoundCharacteristic".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :PlayingSpeed,
      definition: "Speed at which an audio carrier must be operated to produce the sound intended, e.g., 78 rpm, 19 cm/s.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Playing speed".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/SoundCharacteristic".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Polarity,
      definition: "Relationship of the colors and tones in an image to the colors and tones of the object reproduced.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Polarity".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :PostalRegistration,
      definition: "Number assigned to a publication for which the specified postal service permits the use of a special mailing class privilege.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Postal registration number".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :PresentationFormat,
      definition: "Format used in the production of a projected image, e.g., Cinerama, IMAX.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Presentation format".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/ProjectionCharacteristic".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Print,
      definition: "Resource that is printed.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Printed".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Instance".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Production,
      definition: "Information relating to production of a resource.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Producer".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/ProvisionActivity".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :ProductionMethod,
      definition: "Process used to produce a resource".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Production method".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Projection,
      definition: "Method or system used to represent the surface of the earth or of a celestial sphere on a plane.".freeze,
      "http://purl.org/dc/terms/modified": "2017-02-03 (New)".freeze,
      label: "Projection".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :ProjectionCharacteristic,
      definition: "Technical specification relating to the projection of a motion picture film.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Projection characteristic".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :ProjectionSpeed,
      definition: "Speed at which a projected carrier must be operated to produce the moving image intended, e.g., 20 fps.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Projection speed".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/ProjectionCharacteristic".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :ProvisionActivity,
      definition: "Information about the agent or place relating to the publication, printing, distribution, issue, release, or production of a resource.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Provider entity".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :PubFrequency,
      definition: "Information about the publication frequency of a resource.".freeze,
      "http://purl.org/dc/terms/modified": "2021-06-09 (New [GH76])".freeze,
      label: "Publication Frequency".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Publication,
      definition: "Information relating to publication of a resource.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Publisher".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/ProvisionActivity".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :PublisherNumber,
      definition: "Number assigned by a publisher that is not one of the specific defined types.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Publisher number".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :RecordingMedium,
      definition: "Type of medium used to record sound on an audio carrier, e.g., magnetic, optical.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Recording medium".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/SoundCharacteristic".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :RecordingMethod,
      definition: "Method used to encode audio content for playback, e.g., analog, digital.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Type of recording".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/SoundCharacteristic".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :ReductionRatio,
      definition: "Size of a micro-image in relation to the original from which it was produced.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Reduction ratio".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :RegionalEncoding,
      definition: "Identification of the region of the world for which a videodisc has been encoded, e.g., region 4.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Regional encoding".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/DigitalCharacteristic".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :ReportNumber,
      definition: "Identification number of a technical report that is not a Standard Technical Report Number.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Technical report number".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Resolution,
      definition: "Clarity or fineness of detail in a digital image, expressed by the measurement of the image in pixels, etc., e.g., 3.1 megapixels.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Resolution".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/DigitalCharacteristic".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :RetentionPolicy,
      definition: "Policy of holding institution for retaining resource.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Retention policy".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/UsageAndAccessPolicy".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Review,
      definition: "Review of a resource.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Review".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Role,
      definition: "Function played or provided by a contributor, e.g., author, illustrator, etc.".freeze,
      "http://purl.org/dc/terms/modified": "2017-02-03 (New)".freeze,
      label: "Role".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Scale,
      definition: "Ratio of the dimensions of a form contained or embodied in a resource to the dimensions of the entity it represents, e.g., for images or cartographic resources.".freeze,
      "http://purl.org/dc/terms/modified": "2017-02-03 (New)".freeze,
      label: "Scale".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Script,
      definition: "Information on the script, or symbol system used to convey the content of a text resource.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Modified label [GH67])".freeze],
      label: "Script".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Notation".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :ShelfMark,
      definition: "Piece/item identifier, such as a call or other type of number.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Shelf location".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :ShelfMarkDdc,
      definition: "Shelf mark based on Dewey Decimal Classification.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "DDC call number".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/ShelfMark".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :ShelfMarkLcc,
      definition: "Shelf mark based on Library of Congress Classification.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "LCC call number".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/ShelfMark".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :ShelfMarkNlm,
      definition: "Shelf mark based on National Library of Medicine Classification.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "NLM call number".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/ShelfMark".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :ShelfMarkUdc,
      definition: "Shelf mark based on Universal Decimal Classification.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "UDC call number".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/ShelfMark".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Sici,
      definition: "Serial Item and Contribution Identifier.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "SICI".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :SoundCharacteristic,
      definition: "Technical specification relating to the encoding of sound in a resource.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Sound characteristic".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :SoundContent,
      definition: "Indication of whether the production of sound is an integral part of the resource.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Sound content".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Source,
      definition: "Resource from which value or label came or was derived.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Source".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Status,
      definition: "Designation of the validity or position of something, e.g., whether something is incorrect or available.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Status".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :StillImage,
      definition: "Resource expressed through line, shape, shading, etc., intended to be perceived visually as a still image or images in two dimensions. Includes two-dimensional images and slides and transparencies.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Still image".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Work".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :StockNumber,
      definition: "Identification number used for stock purposes and assigned by agencies such as distributors, publishers, or vendors.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Stock number".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Strn,
      definition: "Standard Technical Report Number.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "STRN".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :StudyNumber,
      definition: "Identification number for a computer data file.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Study number".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Sublocation,
      definition: "Specific place within the holding entity where the item is located or made available.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Sublocation".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Summary,
      definition: "Description of the content of a resource, such as an abstract, summary, etc..".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Summary".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :SupplementaryContent,
      definition: "Index, bibliography, appendix, etc. intended to supplement the primary content of a resource.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Supplementary material".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :SystemRequirement,
      definition: "Equipment or system requirements beyond what is normal and obvious for the type of carrier or type of file, such as make and model of equipment or hardware, operating system, amount of memory, programming language, other necessary software, any plug-ins or peripherals required to play, view, or run the resource, etc.".freeze,
      "http://purl.org/dc/terms/modified": "2017-02-06 (New)".freeze,
      label: "System Requirement".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :TableOfContents,
      definition: "Table of contents of a resource.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Table of contents".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Tactile,
      definition: "Resource that is intended to be perceived by touch.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Tactile material".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Instance".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :TactileNotation,
      definition: "Information on the symbol system used to convey the content of a tactile resource.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Modified label [GH67])".freeze],
      label: "Tactile notation".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Notation".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :TapeConfig,
      definition: "Number of tracks on an audiotape, e.g., 12 track.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Tape configuration".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/SoundCharacteristic".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Temporal,
      definition: "Chronological period.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Temporal concept".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Text,
      definition: "Resource intended to be perceived visually and understood through the use of language in written or spoken form.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Text".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Work".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Title,
      definition: "Title information relating to a resource: work title, preferred title, instance title, transcribed title, translated title, variant form of title, etc.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2017-02-03 (Definition changed)".freeze],
      label: "Title entity".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Topic,
      definition: "Concept or area of knowledge.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Topic".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :TrackConfig,
      definition: "Configuration of the audio track on a sound-track film, e.g., center track, edge track.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Track configuration".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/SoundCharacteristic".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Unit,
      definition: "Units in which a value is expressed.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Unit".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Upc,
      definition: "Universal Product Code.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "UPC".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Urn,
      definition: "Uniform Resource Name.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Corrected definition [GH51])".freeze],
      label: "URN".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :UsageAndAccessPolicy,
      definition: "General statement of allowances and restrictions on access to a resource, including retention, reproduction, access, and lending.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Use and access conditions".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :UsePolicy,
      definition: "Usage limitations placed on a resource with respect to reproduction, publication, exhibition, etc..".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Use policy".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/UsageAndAccessPolicy".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :VariantTitle,
      definition: "Title associated with the resource that is different from the Work or Instance title.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Title variation".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Title".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :VideoCharacteristic,
      definition: "Technical specification relating to the encoding of video images in a resource.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Video characteristic".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :VideoFormat,
      definition: "Standard, etc., used to encode the analog video content of a resource, e.g., Beta, 8mm.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Video format".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/VideoCharacteristic".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :VideoRecordingNumber,
      definition: "Number assigned by a publisher to a video recording.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2017-02-03 (Corrected case in class name)".freeze],
      label: "Video recording number".freeze,
      subClassOf: "http://id.loc.gov/ontologies/bibframe/Identifier".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Work,
      definition: "Resource reflecting a conceptual essence of a cataloging resource.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Work".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze

    # Property definitions
    property :absorbed,
      comment: ["Suggested use - With Work or Instance".freeze, "Suggested value - Work or Instance".freeze],
      definition: "Resource that has been incorporated into another resource.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-29 (added inverse, updated range)".freeze],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/absorbedBy".freeze,
      label: "Absorption of".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/precededBy".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :absorbedBy,
      comment: ["Suggested use - With Work or Instance".freeze, "Suggested value - Work or Instance".freeze],
      definition: "Resource that incorporates another resource.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-29 (added inverse, updated range)".freeze],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/absorbed".freeze,
      label: "Absorbed by".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/succeededBy".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :accompaniedBy,
      comment: ["Suggested use - With Work, Instance or Item".freeze, "Suggested value - Work, Instance or Item".freeze],
      definition: "Resource that accompanies the described resource.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-29 (added inverse)".freeze],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/accompanies".freeze,
      label: "Accompanied by".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/relatedTo".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :accompanies,
      comment: ["Suggested use - With Work, Instance or Item".freeze, "Suggested value - Work, Instance or Item".freeze],
      definition: "Resource that adds to or is issued with the described resource.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-29 (added inverse)".freeze],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/accompaniedBy".freeze,
      label: "Accompanies".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/relatedTo".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :acquisitionSource,
      comment: "Suggested use - With Work or Instance".freeze,
      definition: "Information about an organization, person, etc., from which a resource may be obtained.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2017-02-06 (Changed from data to object property, slight change to definition)".freeze, "2021-06-09 (Removed range [GH63])".freeze],
      label: "Source of acquisition".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :acquisitionTerms,
      comment: "Suggested use - With Work or Instance".freeze,
      definition: "Conditions under which the publisher, distributor, etc., will normally supply a resource, e.g., price of a resource.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Terms of acquisition".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :adminMetadata,
      definition: "Metadata about the metadata, especially provenance information.".freeze,
      domain: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Administrative metadata".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/AdminMetadata".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :adminMetadataFor,
      definition: "Relates an Administrative metadata resource to the resource it captures information about.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/AdminMetadata".freeze,
      "http://purl.org/dc/terms/modified": "2021-06-09 (New [GH59])".freeze,
      label: "Administrative metadata for".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :agent,
      definition: "Entity associated with a resource or element of description, such as the name of the entity responsible for the content or of the publication, printing, distribution, issue, release or production of a resource.".freeze,
      domain: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Removed range [GH63])".freeze],
      label: "Associated agent".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :agentOf,
      definition: "Property relating an agent, such as an entity responsible for the content or of the publication, printing, distribution, issue, release or production, to another resource.".freeze,
      domain: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      "http://purl.org/dc/terms/modified": "2021-06-09 (New [GH3])".freeze,
      label: "Associated agent of".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :appliedMaterial,
      comment: "Suggested use - With Work, Instance or Item".freeze,
      definition: "Physical or chemical substance applied to a base material of a resource.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Removed range [GH24], Broadened domain, Made subproperty of material [GH26])".freeze],
      label: "Applied material".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/material".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :appliedMaterialOf,
      definition: "Relates a Material resource to that which it is the applied material of.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Instance".freeze,
      "http://purl.org/dc/terms/modified": "2021-06-09 (New [GH25])".freeze,
      label: "Appllied material of".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/materialOf".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :arrangement,
      definition: "Relates one resource to another of which it is an arrangement of the first.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Work".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Redefined [GH77])".freeze],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/arrangementOf".freeze,
      label: "Arrangement".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/Work".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/relatedTo".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :arrangementOf,
      definition: "Relates an arrangement to the resource of which it is an arrangement.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Work".freeze,
      "http://purl.org/dc/terms/modified": "2021-06-09 (New [GH77])".freeze,
      inverseOf: "http://id.loc.gov/ontologies/bibframe/arrangement".freeze,
      label: "Arrangement of".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/Work".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/relatedTo".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :ascensionAndDeclination,
      definition: "System for identifying the location of a celestial object in the sky covered by the cartographic content of a resource using the angles of right ascension and declination.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Cartographic".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Cartographic ascension and declination".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :aspectRatio,
      comment: "Suggested use - With Work or Instance".freeze,
      definition: "Proportional relationship between an image's width and its height.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Aspect ratio".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/AspectRatio".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :assigner,
      definition: "Entity that assigned the metadata, such as the entity that assigned a classification number, entity that assigned a name, entity that assigned an identifier.".freeze,
      domain: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Broaden domain [GH60], Removed range [GH63])".freeze],
      label: "Assigner".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :awards,
      comment: "Suggested use - With Work or Instance".freeze,
      definition: "Information on awards associated with the described resource.".freeze,
      editorialNote: "See also the ARM Ontology for strategies to model this information in greater detail.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Added note [GH37])".freeze],
      label: "Award note".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :baseMaterial,
      comment: "Suggested use - With Work, Instance or Item".freeze,
      definition: "Underlying physical material of a resource.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Removed range [GH24], Broadened domain, Made subproperty of material [GH26])".freeze],
      label: "Base material".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/material".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :baseMaterialOf,
      definition: "Relates a Material resource to that which it is the base material of.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Instance".freeze,
      "http://purl.org/dc/terms/modified": "2021-06-09 (New [GH25])".freeze,
      label: "Base material of".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/materialOf".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :bookFormat,
      definition: "Result of folding a printed sheet to form a gathering of leaves.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Instance".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Book format".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/BookFormat".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :capture,
      comment: "Suggested use - With Work or Instance".freeze,
      definition: "Information about place and date associated with the capture (e.g., recording, filming) of the content of a resource.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Capture of content".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/Capture".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :carrier,
      definition: "Categorization reflecting the format of the storage medium and housing of a carrier.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Instance".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Carrier type".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/Carrier".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :cartographicAttributes,
      comment: "Suggested use - With Work or Instance".freeze,
      definition: "Cartographic data that identifies characteristics of the resource, such as coordinates, projection, etc.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Cartographic data".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/Cartographic".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :changeDate,
      definition: "Date or date and time on which the metadata was modified.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/AdminMetadata".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Description change date".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/date".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :classification,
      comment: "Suggested use - With Work, Instance or Item".freeze,
      definition: "Classification number in any scheme.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Classification".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/Classification".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :classificationPortion,
      definition: "Classification number (single class number or beginning number of a span) that indicates the subject by applying a formal system of coding and organizing resources.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Classification".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Classification number".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :code,
      definition: "String of characters that serves as a code representing information.".freeze,
      domain: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Code".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :collectionArrangement,
      comment: "Suggested use - With Work or Instance".freeze,
      definition: "Information about the organization and arrangement of a collection of resources.".freeze,
      "http://purl.org/dc/terms/modified": "2021-06-09 (New [GH77])".freeze,
      label: "Collection Organization and arrangement".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/CollectionArrangement".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :collectionArrangementOf,
      comment: "Suggested value - Work or Instance".freeze,
      definition: "Relates an Arrangement resource to that which it describes.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/CollectionArrangement".freeze,
      "http://purl.org/dc/terms/modified": "2021-06-09 (New [GH77])".freeze,
      label: "Organization and arrangement of Collection".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :collectionOrganization,
      definition: "Manner in which the resource is divided into smaller units.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/CollectionArrangement".freeze,
      "http://purl.org/dc/terms/modified": "2021-06-09 (New [GH77])".freeze,
      label: "Organization of material".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :colorContent,
      comment: "Suggested use - With Work, Instance or Item".freeze,
      definition: "Color characteristics, e.g., black and white, multicolored.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Broaden range [GH31])".freeze],
      label: "Color content".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/ColorContent".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :content,
      definition: "Categorization reflecting the fundamental form of communication in which the content is expressed and the human sense through which it is intended to be perceived.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Work".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Content type".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/Content".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :contentAccessibility,
      comment: "Suggested use - With Work or Instance".freeze,
      definition: "Information that assists those with a sensory impairment for greater understanding of content, e.g., captions.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2017-02-03 (changed from data to object property)".freeze, "2017-03-15 (fixed typo in range)".freeze],
      label: "Content accessibility information".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/ContentAccessibility".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :continuedBy,
      comment: ["Suggested use - With Work or Instance".freeze, "Suggested value - Work or Instance".freeze],
      definition: "Resource whose content continues an earlier resource under a new title.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-29 (added inverse, updated range)".freeze],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/continues".freeze,
      label: "Continued by".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/succeededBy".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :continuedInPartBy,
      comment: ["Suggested use - With Work or Instance".freeze, "Suggested value - Work or Instance".freeze],
      definition: "Resource part of whose content separated from an earlier resource to form a new resource.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-29 (added inverse, updated range)".freeze],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/separatedFrom".freeze,
      label: "Continued in part by".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/succeededBy".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :continues,
      comment: ["Suggested use - With Work or Instance".freeze, "Suggested value - Work or Instance".freeze],
      definition: "Resource that is continued by the content of a later resource under a new title.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-29 (added inverse, updated range)".freeze],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/continuedBy".freeze,
      label: "Continuation of".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/precededBy".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :continuesInPart,
      comment: ["Suggested use - With Work or Instance".freeze, "Suggested value - Work or Instance".freeze],
      definition: "Resource that split into two or more separate resources with new titles.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-29 (added inverse, updated range)".freeze],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/splitInto".freeze,
      label: "Continuation in part of".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/precededBy".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :contribution,
      comment: "Suggested use - With Work, Instance or Item".freeze,
      definition: "Agent and its role in relation to the resource.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2017-02-03 (Corrected label)".freeze],
      label: "Contributor and role".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/Contribution".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :contributionOf,
      comment: "Suggested value - Work, Instance or Item".freeze,
      definition: "Relates a contribution resource, which associates an Agent and Role together, to the relevant resource.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Contribution".freeze,
      "http://purl.org/dc/terms/modified": "2021-06-09 (New [GH4])".freeze,
      label: "Contribution of".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :coordinates,
      definition: "Mathematical system for identifying the area covered by the cartographic content of a resource, expressed either by means of longitude and latitude on the surface of planets or by the angles of right ascension and declination for celestial cartographic content.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Cartographic".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Cartographic coordinates".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :copyrightDate,
      comment: "Suggested use - With Work or Instance".freeze,
      definition: "Date associated with a claim of protection under copyright or a similar regime.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Copyright date".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/date".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :copyrightRegistration,
      comment: "Suggested use - With Work or Instance".freeze,
      definition: "Copyright and Legal Deposit registration information".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-05-04 (Corrected expected value)".freeze],
      label: "Copyright registration information".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/CopyrightRegistration".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :count,
      definition: "Number associated with a measure of units, such as the number of units and/or subunits making up a resource.".freeze,
      domain: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Number of units".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :coverArt,
      comment: "Suggested use - With Work or Instance".freeze,
      definition: "Cover art image of a resource.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Cover art".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/CoverArt".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :creationDate,
      definition: "Date or date and time on which the original metadata first created.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/AdminMetadata".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Description creation date".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/date".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :credits,
      comment: "Suggested use - With Work or Instance".freeze,
      definition: "Information in note form of credits for persons or organizations who have participated in the creation and/or production of the resource.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Credits note".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :custodialHistory,
      comment: "Suggested use - With Work, Instance or Item".freeze,
      definition: "Information about the provenance, such as origin, ownership and custodial history (chain of custody), of a resource.".freeze,
      editorialNote: "See also the ARM Ontology for strategies to model this information in greater detail.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Added note [GH38])".freeze],
      label: "Custodial history".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :dataSource,
      comment: ["Suggested use - With Work or Instance".freeze, "Suggested value - Work or Instance".freeze],
      definition: "Resource that is a data source to which the described resource is related. It may contain information about other files, printed sources, or collection procedures.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-29 (updated range)".freeze],
      label: "Data source".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/relatedTo".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :date,
      definition: "Date designation associated with a resource or element of description, such as date of title variation; year a degree was awarded; date associated with the publication, printing, distribution, issue, release or production of a resource. May be date typed.".freeze,
      domain: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Date".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :degree,
      definition: "Degree for which author was a candidate.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Dissertation".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Degree".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :derivativeOf,
      comment: ["Suggested use - With Work or Instance".freeze, "Suggested value - Work or Instance".freeze],
      definition: "Source work from which the described resource is derived.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-29 (added inverse)".freeze],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/hasDerivative".freeze,
      label: "Is derivative of".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/relatedTo".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :derivedFrom,
      definition: "Link to the metadata that was the source of the data.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/AdminMetadata".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Removed range [GH41])".freeze],
      label: "Source metadata".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :descriptionAuthentication,
      definition: "Indication of specific types of reviews that have been carried out on the description information.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/AdminMetadata".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Description authentication".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/DescriptionAuthentication".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :descriptionConventions,
      definition: "Rules used for the descriptive content of the resource description.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/AdminMetadata".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-24 (fixed domain name)".freeze],
      label: "Description conventions".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/DescriptionConventions".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :descriptionLanguage,
      definition: "Language used for the metadata.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/AdminMetadata".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Description language".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/Language".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :descriptionModifier,
      definition: "Agency that modified a description.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/AdminMetadata".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Removed range [GH63])".freeze],
      label: "Description modifier".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :digitalCharacteristic,
      definition: "Technical specification relating to the digital encoding of text, image, audio, video, and other types of data in a resource.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Instance".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Digital characteristic".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/DigitalCharacteristic".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :dimensions,
      definition: "Measurements of the carrier or carriers and/or the container of a resource.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Instance".freeze,
      editorialNote: "See also the ARM Ontology for strategies to model this information in greater detail.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Added note [GH39])".freeze],
      label: "Dimensions".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :dissertation,
      comment: "Suggested use - With Work or Instance".freeze,
      definition: "Work presented as part of the formal requirements for an academic degree.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Dissertation Information".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/Dissertation".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :duration,
      comment: "Suggested use - With Work or Instance".freeze,
      definition: "Information about the playing time, running time, etc. of a resource.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Duration".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :edition,
      definition: "Edition of the classification scheme, such as full, abridged or a number, when a classification scheme designates editions.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Classification".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Classification scheme edition".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :editionEnumeration,
      definition: "Enumeration of the edition; usually transcribed.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Instance".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Edition enumeration".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :editionStatement,
      definition: "Information identifying the edition or version of the resource and associated statements of responsibility for the edition; usually transcribed.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Instance".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Edition statement".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :electronicLocator,
      definition: "Electronic location from which the resource is available.".freeze,
      domain: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Removed domain [GH66])".freeze],
      label: "Electronic location".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :emulsion,
      definition: "Suspension of light-sensitive chemicals used as a coating on a microfilm or microfiche, e.g., silver halide.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Instance".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Emulsion".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/Emulsion".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :ensemble,
      definition: "Ensemble applicable to the Work.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Work".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Changed domain [GH56], Modified definition [GH56])".freeze],
      label: "Ensemble".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/Ensemble".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :ensembleType,
      definition: "Specific type of ensemble, such as orchestra, band, guitar ensemble.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Ensemble".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Changed domain [GH56])".freeze],
      label: "Ensemble type".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :enumerationAndChronology,
      definition: "Numbering and dates of issues or items held.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Item".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Numbering or other enumeration and dates associated with issues or items held.".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/EnumerationAndChronology".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :equinox,
      definition: "One of two points of intersection of the ecliptic and the celestial equator, occupied by the sun when its declination is 0 degrees.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Cartographic".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Cartographic equinox".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :eventContent,
      definition: "Work whose content is the described event.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Event".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-29 (added inverse)".freeze],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/eventContentOf".freeze,
      label: "Event content".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/Work".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/relatedTo".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :eventContentOf,
      definition: "Event that is the content of the described work.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Work".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-29 (added inverse)".freeze],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/eventContent".freeze,
      label: "Has event content".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/Event".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/relatedTo".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :exclusionGRing,
      definition: "Coordinate pairs that identify the closed non-intersecting boundary of the area contained within the G-polygon outer ring that is excluded.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Cartographic".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Cartographic G ring area excluded".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :expressionOf,
      definition: "Work that the described Work is an expression of. Use to connect Works under LRM/RDA guidelines or similar implementations.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Work".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-29 (added inverse)".freeze, "2021-06-09 (Modified definition [GH8])".freeze],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/hasExpression".freeze,
      label: "Expression of".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/Work".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/relatedTo".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :extent,
      definition: "Number and type of units and/or subunits making up a resource.".freeze,
      domain: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Broadened range [GH30])".freeze],
      label: "Extent".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/Extent".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :findingAid,
      comment: ["Suggested use - With Work or Instance".freeze, "Suggested value - Work or Instance".freeze],
      definition: "Relationship for archival, visual, and manuscript resources to a finding aid or similar control materials.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-29 (added inverse, updated range)".freeze],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/findingAidOf".freeze,
      label: "Finding aid".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/accompaniedBy".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :findingAidOf,
      comment: ["Suggested use - With Work or Instance".freeze, "Suggested value - Work or Instance".freeze],
      definition: "Finding aid or similar control materials for archival, visual, and manuscript resources.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-29 (added inverse, updated range)".freeze],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/findingAid".freeze,
      label: "Finding aid for".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/accompanies".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :firstIssue,
      definition: "Beginning date of a resource and/or the sequential designations.".freeze,
      domain: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Removed domain [GH76])".freeze],
      label: "Multipart first issue".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :fontSize,
      definition: "Size of the type used to represent the characters and symbols in a resource.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Instance".freeze,
      editorialNote: "See also the ARM Ontology for strategies to model this information in greater detail.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Added note [GH40])".freeze],
      label: "Font size".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/FontSize".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :frequency,
      definition: "Intervals at which the parts of a serially produced resource or the updates to an integrating resource are issued.".freeze,
      domain: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Removed domain [GH76])".freeze],
      label: "Frequency".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/Frequency".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :generation,
      definition: "Relationship between an original carrier and the carrier of a reproduction made from the original.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Instance".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Generation".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/Generation".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :generationDate,
      definition: "Date of conversion of the metadata from another format.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/AdminMetadata".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Date generated".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/date".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :generationProcess,
      definition: "Indication of the program or process used to generate the description by application of a particular transformation.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/AdminMetadata".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Description generation".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/GenerationProcess".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :genreForm,
      comment: "Suggested use - With Work, Instance or Item".freeze,
      definition: "Form category or genre to which a resource belongs".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Removed range [GH16])".freeze],
      label: "Genre/form".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :geographicCoverage,
      definition: "Geographic coverage of the content of the resource.".freeze,
      domain: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2017-02-06 (Changed from data to object property)".freeze, "2021-06-09 (Removed domain [GH15])".freeze],
      label: "Geographic coverage".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/GeographicCoverage".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :grantingInstitution,
      definition: "Name of degree granting institution.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Dissertation".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Removed range [GH63])".freeze],
      label: "Degree issuing institution".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :hasDerivative,
      comment: ["Suggested use - With Work or Instance".freeze, "Suggested value - Work or Instance".freeze],
      definition: "Resource that is a modification of the described work.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-29 (added inverse)".freeze],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/derivativeOf".freeze,
      label: "Has derivative".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/relatedTo".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :hasEquivalent,
      comment: ["Suggested use - With Work, Instance or Item".freeze, "Suggested value - Work, Instance or Item".freeze],
      definition: "Resource embodies the same content as the described resource.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Equivalence".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/relatedTo".freeze,
      type: "http://www.w3.org/2002/07/owl#SymmetricProperty".freeze
    property :hasExpression,
      definition: "Work that is an expression of a described Work. Use to relate Works under LRM/RDA guidelines or similar implementations.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Work".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-29 (added inverse)".freeze, "2021-06-09 (Modified definition [GH8])".freeze],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/expressionOf".freeze,
      label: "Expressed as".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/Work".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/relatedTo".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :hasInstance,
      definition: "Instance is related to described Work. For use to connect Works to Instances in the BIBFRAME structure.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Work".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-29 (added inverse)".freeze],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/instanceOf".freeze,
      label: "Instance of Work".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/Instance".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/relatedTo".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :hasItem,
      definition: "Item which is an example of the described Instance.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Instance".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-29 (added inverse)".freeze, "2017-02-07 (slight revision of definition)".freeze],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/itemOf".freeze,
      label: "Has holding".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/Item".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/relatedTo".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :hasPart,
      comment: ["Suggested use - With Work, Instance, Item or Event".freeze, "Suggested value - Work, Instance, Item or Event".freeze],
      definition: "Resource that is included either physically or logically in the described resource".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-29 (added inverse)".freeze, "2021-06-09 (Use with Event also [GH9])".freeze],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/partOf".freeze,
      label: "Has part".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/relatedTo".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :hasReproduction,
      definition: "Resource that reproduces another Resource.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Instance".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-29 (added inverse)".freeze],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/reproductionOf".freeze,
      label: "Reproduced as".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/Instance".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/hasEquivalent".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :hasSeries,
      comment: ["Suggested use - With Work or Instance".freeze, "Suggested value - Work or Instance".freeze],
      definition: "Resource in which the part has been issued; the title of the larger resource appears on the part.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-29 (added inverse, updated range)".freeze],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/seriesOf".freeze,
      label: "In series".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/partOf".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :hasSubseries,
      comment: ["Suggested use - With Work or Instance".freeze, "Suggested value - Work or Instance".freeze],
      definition: "series resource that is part of another series.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-29 (added inverse, updated range)".freeze],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/subseriesOf".freeze,
      label: "Subseries".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/partOf".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :heldBy,
      definition: "Entity holding the item or from which it is available.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Item".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Removed range [GH63])".freeze],
      label: "Held by".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :hierarchicalLevel,
      definition: "Hierarchical position of the described materials relative to other material from the same source.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/CollectionArrangement".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Modified range [GH77])".freeze],
      label: "Hierarchical level of material".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :historyOfWork,
      definition: "Information about the history of a Work.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Work".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "History of the work".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :identifiedBy,
      definition: "Character string associated with a resource that serves to differentiate that resource from other resources, i.e., that uniquely identifies an entity.".freeze,
      domain: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2017-05-04 (New inverse)".freeze],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/identifies".freeze,
      label: "Identifier".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/Identifier".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :identifies,
      definition: "Resource that is associated with a character string that serves to differentiate one resource from another.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Identifier".freeze,
      "http://purl.org/dc/terms/modified": "2017-02-03 (New inverse)".freeze,
      inverseOf: "http://id.loc.gov/ontologies/bibframe/identifiedBy".freeze,
      label: "Resource identified".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :illustrativeContent,
      comment: "Suggested use - With Work or Instance".freeze,
      definition: "Information about content intended to illustrate a resource.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Illustrative content information".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/Illustration".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :immediateAcquisition,
      definition: "Information about the circumstances, e.g., source, date, method, under which the resource was directly acquired.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Item".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2017-02-06 (Changed from data to object property)".freeze],
      label: "Immediate acquisition".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/ImmediateAcquisition".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :index,
      comment: ["Suggested use - With Work or Instance".freeze, "Suggested value - Work or Instance".freeze],
      definition: "Resource has an accompanying index".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-29 (added inverse, updated range)".freeze, "2017-02-03 (corrected label)".freeze],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/indexOf".freeze,
      label: "Has index".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/accompaniedBy".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :indexOf,
      comment: ["Suggested use - With Work or Instance".freeze, "Suggested value - Work or Instance".freeze],
      definition: "Index that accompanies a resource.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-29 (added inverse, updated range)".freeze],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/index".freeze,
      label: "Index to".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/accompanies".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :instanceOf,
      definition: "Work the Instance described instantiates or manifests. For use to connect Instances to Works in the BIBFRAME structure.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Instance".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-29 (added inverse)".freeze],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/hasInstance".freeze,
      label: "Instance of".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/Work".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/relatedTo".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :instrument,
      definition: "Instrument for which a musical Work is appropriate.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Work".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Instrument".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/MusicInstrument".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :instrumentalType,
      definition: "Specific role of instrument, such as alternate, doubling, solo, ensemble.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/MusicInstrument".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Instrument role".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :intendedAudience,
      comment: "Suggested use - With Work or Instance".freeze,
      definition: "Information that identifies the specific audience or intellectual level for which the content of the resource is considered appropriate.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Intended audience".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/IntendedAudience".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :issuance,
      comment: "Suggested use - With Work or Instance".freeze,
      definition: "Categorization reflecting whether a resource is issued in one or more parts, the way it is updated, and its intended termination.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Mode of issuance".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/Issuance".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :issuedWith,
      comment: ["Suggested use - With Work or Instance".freeze, "Suggested value - Work or Instance".freeze],
      definition: "Resource that is issued on the same carrier as the resource being described.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Removed range [GH62], Broadened domain [GH62])".freeze],
      label: "Issued with".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/accompanies".freeze,
      type: "http://www.w3.org/2002/07/owl#SymmetricProperty".freeze
    property :itemOf,
      definition: "Instance for which the described Item is an example.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Item".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-29 (added inverse)".freeze, "2017-02-07 (slight revision of definition)".freeze],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/hasItem".freeze,
      label: "Holding for".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/Instance".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/relatedTo".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :itemPortion,
      definition: "Number attached to a classification string that indicates a particular item.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Classification".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Classification item number".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :language,
      definition: "Language associated with a resource or its parts.".freeze,
      domain: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Language information".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/Language".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :lastIssue,
      definition: "Ending date of a resource and/or the sequential designations.".freeze,
      domain: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Removed domain [GH76])".freeze],
      label: "Multipart last issue".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :layout,
      definition: "Arrangement of text, images, tactile notation, etc., in a resource.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Instance".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Layout".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/Layout".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :legalDate,
      definition: "Date of legal work, or promulgation of a law, or signing of a treaty.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Work".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Date of legal work".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/date".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :mainTitle,
      definition: "Title being addressed. Possible title component.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Title".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Main title".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :material,
      comment: "Suggested use - With Work, Instance or Item".freeze,
      definition: "Resource uses, is composed of, integrates, etc. the related material.".freeze,
      "http://purl.org/dc/terms/modified": "2021-06-09 (New [GH26])".freeze,
      label: "Material".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :materialOf,
      comment: "Suggested use - With Work, Instance or Item".freeze,
      definition: "This material is related to a resource.".freeze,
      "http://purl.org/dc/terms/modified": "2021-06-09 (New [GH26])".freeze,
      label: "Material of".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :media,
      comment: "Suggested use - With Work or Instance".freeze,
      definition: "Categorization reflecting the general type of intermediation device required to view, play, run, etc., the content of a resource.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Media type".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/Media".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :mergedToForm,
      comment: ["Suggested use - With Work or Instance".freeze, "Suggested value - Work or Instance".freeze],
      definition: "One of two or more resources that come together to form a new resource.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-29 (added inverse, updated range)".freeze],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/mergerOf".freeze,
      label: "Merged to form".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/succeededBy".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :mergerOf,
      comment: ["Suggested use - With Work or Instance".freeze, "Suggested value - Work or Instance".freeze],
      definition: "One of two or more resources which came together to form a new resource.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-29 (added inverse, updated range)".freeze],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/mergedToForm".freeze,
      label: "Merger of".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/precededBy".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :mount,
      definition: "Physical material or object used for the support or backing to which the base material of a resource has been attached.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Instance".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Modified label [GH29])".freeze],
      label: "Mount material or object".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :musicFormat,
      comment: "Suggested use - With Work or Instance".freeze,
      definition: "Layout for content of a resource that is presented in the form of musical notation, such as full score, condensed score, vocal score, etc.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Format of notated music".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/MusicFormat".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :musicKey,
      definition: "Pitch and mode for music.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Work".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Music key".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :musicMedium,
      definition: "Instrumental, vocal, and/or other medium of performance for which a musical resource was originally conceived, written or performed.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Work".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Music medium of performance".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/MusicMedium".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :musicOpusNumber,
      definition: "Numeric designation of a musical work assigned by a composer, publisher, or a musicologist.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Work".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Music opus number".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :musicSerialNumber,
      definition: "Numeric designation for musical works consecutively numbered in music reference sources.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Work".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Music serial number".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :musicThematicNumber,
      definition: "Numeric designation for a musical work as found in a thematic index for the composer.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Work".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Music thematic number".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :natureOfContent,
      comment: "Suggested use - With Work or Instance".freeze,
      definition: "Characterization that epitomizes the primary content of a resource, e.g., field recording of birdsong; combined time series analysis and graph plotting system.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Content nature".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :notation,
      comment: "Suggested use - With Work or Instance".freeze,
      definition: "Alphabet, script, or symbol system used to convey the content of the resource, including specialized scripts, typefaces, tactile notation, movement notation, and musical notation.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Notation system".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/Notation".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :note,
      definition: "General textual information relating to a resource, such as Information about a specific copy of a resource or information about a particular attribute of a resource.".freeze,
      domain: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Note".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/Note".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :noteFor,
      definition: "Relates a Note resource to the resource to which the note pertains.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Note".freeze,
      "http://purl.org/dc/terms/modified": "2021-06-09 (New [GH34])".freeze,
      label: "Note for".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :noteType,
      definition: "Type of note.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Note".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Note type".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :originDate,
      definition: "Date or date range associated with the creation of a Work.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Work".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Better align definition with property name [GH50])".freeze],
      label: "Origin date".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/date".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :originPlace,
      definition: "Place from which the creation of the Work originated.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Work".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Better align definition with property name [GH50], Removed range [GH19])".freeze],
      label: "Origin place".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/place".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :originalVersion,
      comment: ["Suggested use - With Work or Instance".freeze, "Suggested value - Work or Instance".freeze],
      definition: "Resource is the original version of which this resource is a reproduction.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-29 (added inverse, updated range)".freeze],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/originalVersionOf".freeze,
      label: "Original version".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/derivativeOf".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :originalVersionOf,
      comment: ["Suggested use - With Work or Instance".freeze, "Suggested value - Work or Instance".freeze],
      definition: "Original version of a resource.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-29 (added inverse, updated range)".freeze],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/originalVersion".freeze,
      label: "Original version of".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/hasDerivative".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :otherEdition,
      comment: ["Suggested use - With Work or Instance".freeze, "Suggested value - Work or Instance".freeze],
      definition: "Resource has other available editions, for example simultaneously published language editions or reprints.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-05-13 (symmetrical)".freeze, "2021-06-09 (Change subproperty to relatedTo [GH61])".freeze],
      label: "Other edition".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/relatedTo".freeze,
      type: "http://www.w3.org/2002/07/owl#SymmetricProperty".freeze
    property :otherPhysicalFormat,
      comment: "Suggested use - With Work or Instance".freeze,
      definition: "Resource that is manifested in another physical carrier.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Broadened domain [GH79])".freeze],
      label: "Has other physical format".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/Instance".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/hasEquivalent".freeze,
      type: "http://www.w3.org/2002/07/owl#SymmetricProperty".freeze
    property :outerGRing,
      definition: "Coordinate pairs that identify the closed non-intersecting boundary of the area covered.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Cartographic".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Cartographic outer G ring area covered".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :part,
      definition: "Part of a resource to which information applies.".freeze,
      domain: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Part".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :partName,
      definition: "Part or section name of a title. Possible title component.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Title".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Part title".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :partNumber,
      definition: "Part or section enumeration of a title. Possible title component.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Title".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Part number".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :partOf,
      comment: ["Suggested use - With Work, Instance, Item or Event".freeze, "Suggested value - Work, Instance, Item or Event".freeze],
      definition: "Resource in which the described resource is physically or logically contained.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-29 (added inverse)".freeze, "2021-06-09 (Use with Event also [GH9])".freeze],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/hasPart".freeze,
      label: "Is part of".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/relatedTo".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :pattern,
      definition: "Pattern of arrangement of materials within a unit.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/CollectionArrangement".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Modified range [GH77])".freeze],
      label: "Arrangement of material".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :physicalLocation,
      definition: "Location in the holding agency where the item is shelved or stored.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Item".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Storing or shelving location".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :place,
      definition: "Geographic location or place entity associated with a resource or element of description, such as the place associated with the publication, printing, distribution, issue, release or production of a resource, place of an event.".freeze,
      domain: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Removed range [GH19])".freeze],
      label: "Place".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :polarity,
      definition: "Relationship of the colors and tones in an image to the colors and tones of the object reproduced.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Instance".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Polarity".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/Polarity".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :precededBy,
      comment: ["Suggested use - With Work or Instance".freeze, "Suggested value - Work or Instance".freeze],
      definition: "Resource that precedes the resource being described, e.g., is earlier in time or before in narrative.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-29 (added inverse)".freeze],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/succeededBy".freeze,
      label: "Preceded by".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/relatedTo".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :preferredCitation,
      comment: "Suggested use - With Work or Instance".freeze,
      definition: "Citation to the resource preferred by its custodian of the resource.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Preferred citation".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :productionMethod,
      definition: "Process used to produce a resource.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Instance".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Production method".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/ProductionMethod".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :projection,
      definition: "Method or system used to represent the surface of the earth or of a celestial sphere on a plane.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Cartographic".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2017-02-03 (changed from data to object property)".freeze],
      label: "Cartographic projection".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/Projection".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :projectionCharacteristic,
      definition: "Technical specification relating to the projection of a motion picture film.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Instance".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2017-02-03 (fixed typo in property name)".freeze],
      label: "Projection characteristic".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/ProjectionCharacteristic".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :provisionActivity,
      definition: "Place, name, and/or date information relating to the publication, printing, distribution, issue, release, production, etc. of a resource.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Instance".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2017-02-03 (revised label and slightly revised definition)".freeze],
      label: "Provision activity".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/ProvisionActivity".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :provisionActivityStatement,
      definition: "Statement relating to providers of a resource; usually transcribed.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Instance".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Provider statement".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :pubFrequency,
      comment: "Suggested use - With Work or Instance".freeze,
      definition: "Relates a resource to a publication frequency resource to capture such details as first issue, last issue, status, etc.".freeze,
      "http://purl.org/dc/terms/modified": "2021-06-09 (New [GH76])".freeze,
      label: "Publication frequency".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/PubFrequency".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :qualifier,
      definition: "Qualifier of information, such as an addition to a title to make it unique or qualifying information associated with an identifier.".freeze,
      domain: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Qualifier".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :reductionRatio,
      definition: "Size of a micro-image in relation to the original from which it was produced.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Instance".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Reduction ratio".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/ReductionRatio".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :referencedBy,
      comment: ["Suggested use - With Work, Instance or Item".freeze, "Suggested value - Work, Instance or Item".freeze],
      definition: "Resource that references the described resource".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-29 (added inverse)".freeze],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/references".freeze,
      label: "Referenced by".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/relatedTo".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :references,
      comment: ["Suggested use - With Work, Instance or Item".freeze, "Suggested value - Work, Instance or Item".freeze],
      definition: "Resource that is referenced by the described resource.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-29 (added inverse)".freeze],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/referencedBy".freeze,
      label: "References".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/relatedTo".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :relatedTo,
      definition: "Any relationship between Work, Instance, Item, and Event resources.".freeze,
      domain: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Modified definition [GH2])".freeze],
      label: "Related resource".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      type: "http://www.w3.org/2002/07/owl#SymmetricProperty".freeze
    property :replacedBy,
      comment: ["Suggested use - With Work or Instance".freeze, "Suggested value - Work or Instance".freeze],
      definition: "Later resource used in place of an earlier resource, usually because the later resource contains updated or new information.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-29 (added inverse, updated range)".freeze],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/replacementOf".freeze,
      label: "Succeeded by".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/succeededBy".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :replacementOf,
      comment: ["Suggested use - With Work or Instance".freeze, "Suggested value - Work or Instance".freeze],
      definition: "Earlier resource whose content has been replaced by a later resource, usually because the later resource contains updated or new information.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-29 (added inverse, updated range)".freeze],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/replacedBy".freeze,
      label: "Preceded by".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/precededBy".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :reproductionOf,
      definition: "Resource that is a reproduction of another Resource.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Instance".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-29 (added inverse)".freeze],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/hasReproduction".freeze,
      label: "Reproduction of".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/Instance".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/hasEquivalent".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :responsibilityStatement,
      definition: "Statement relating to any persons, families, or corporate bodies responsible for the creation of, or contributing to the content of a resource; usually transcribed.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Instance".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Creative responsibility statement".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :review,
      comment: "Suggested use - With Work or Instance".freeze,
      definition: "Review of a resource.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Review content".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/Review".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :role,
      definition: "Function provided by a contributor, e.g., author, illustrator, etc.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Contribution".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2017-02-03 (Changed from data to object property, adjusted label and definition)".freeze],
      label: "Contributor role".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/Role".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :scale,
      comment: "Suggested use - With Work or Instance".freeze,
      definition: "Ratio of the dimensions of a form contained or embodied in a resource to the dimensions of the entity it represents, e.g., for images or cartographic resources.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2017-02-03 (changed from data to object property)".freeze],
      label: "Scale".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/Scale".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :schedulePart,
      definition: "Designates whether the classification number is from the standard or optional part of a schedule or table.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Classification".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Classification designation".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :separatedFrom,
      comment: ["Suggested use - With Work or Instance".freeze, "Suggested value - Work or Instance".freeze],
      definition: "Resource that spun off a part of its content to form a new resource.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-29 (added inverse, updated range)".freeze],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/continuedInPartBy".freeze,
      label: "Separated from".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/precededBy".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :seriesEnumeration,
      definition: "Series enumeration of the resource; usually transcribed.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Instance".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Series enumeration".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :seriesOf,
      comment: ["Suggested use - With Work or Instance".freeze, "Suggested value - Work or Instance".freeze],
      definition: "Resource that is a part of a larger resource.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-29 (added inverse, updated range)".freeze],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/hasSeries".freeze,
      label: "Series container of".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/hasPart".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :seriesStatement,
      definition: "Statement of the series the resource is in; usually transcribed; includes the ISSN if applicable.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Instance".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Series statement".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :shelfMark,
      definition: "Piece identifier, such as a call or other type of number.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Item".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Shelf mark".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/ShelfMark".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :soundCharacteristic,
      definition: "Technical specification relating to the encoding of sound in a resource.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Instance".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-21 (fixed name and range typos)".freeze],
      label: "Sound characteristic".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/SoundCharacteristic".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :soundContent,
      comment: "Suggested use - With Work or Instance".freeze,
      definition: "Indication of whether the production of sound is an integral part of the resource.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Sound content".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/SoundContent".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :source,
      definition: "Resource from which value or label came or was derived, such as the formal source/scheme from which a classification number is taken or derived, list from which an agent name is taken or derived, source within which an identifier is unique.".freeze,
      domain: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Removed range [GH63])".freeze],
      label: "Source".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :spanEnd,
      definition: "Ending number of classification number span.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Classification".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Classification number span end".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :splitInto,
      comment: ["Suggested use - With Work or Instance".freeze, "Suggested value - Work or Instance".freeze],
      definition: "One of two or more resources resulting from the division of an earlier resource into separate resources.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-29 (added inverse, updated range)".freeze],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/continuesInPart".freeze,
      label: "Split into".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/succeededBy".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :status,
      definition: "Designation of the validity or position of something, such as indication that the classification number is canceled or invalid, circulation availability of an item, indication of whether the identifier is canceled or invalid.".freeze,
      domain: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Status".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/Status".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :subject,
      comment: "Suggested use - With Work, Instance, Item or Event".freeze,
      definition: "Subject term(s) describing a resource.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Broadened domain [GH21])".freeze],
      label: "Subject".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :subjectOf,
      comment: "Suggested value - Work, Instance, Item or Event".freeze,
      definition: "Relates a subject to that which it describes.".freeze,
      domain: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      "http://purl.org/dc/terms/modified": "2021-06-09 (New [GH20])".freeze,
      label: "Subject of".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :sublocation,
      definition: "Specific place within the holding entity where the item is located or made available.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Item".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Held in sublocation".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/Sublocation".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :subseriesEnumeration,
      definition: "Subseries enumeration of the resource; usually transcribed.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Instance".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Subseries enumeration".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :subseriesOf,
      comment: ["Suggested use - With Work or Instance".freeze, "Suggested value - Work or Instance".freeze],
      definition: "Series resource of which the described resource is a part.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-29 (added inverse, updated range)".freeze],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/hasSubseries".freeze,
      label: "Subseries of".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/hasPart".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :subseriesStatement,
      definition: "Statement of the subseries the resource is in; usually transcribed; includes the ISSN if applicable.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Instance".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Subseries statement".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :subtitle,
      definition: "Word, character, or group of words and/or characters that contains the remainder of the title after the main title. Possible title component.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Title".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Subtitle".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :succeededBy,
      comment: ["Suggested use - With Work or Instance".freeze, "Suggested value - Work or Instance".freeze],
      definition: "Resource that succeeds the resource being described, e.g., later in time or after in a narrative.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-29 (added inverse)".freeze],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/precededBy".freeze,
      label: "Succeeded by".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/relatedTo".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :summary,
      comment: "Suggested use - With Work or Instance".freeze,
      definition: "Summary or abstract of the resource described.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Summary content".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/Summary".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :supplement,
      comment: ["Suggested use - With Work or Instance".freeze, "Suggested value - Work or Instance".freeze],
      definition: "Resource that updates or otherwise complements the predominant resource.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-29 (added inverse, updated range)".freeze],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/supplementTo".freeze,
      label: "Supplement".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/accompaniedBy".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :supplementTo,
      comment: ["Suggested use - With Work or Instance".freeze, "Suggested value - Work or Instance".freeze],
      definition: "Resource that is updated or otherwise complemented by the augmenting resource.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-29 (added inverse, updated range)".freeze],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/supplement".freeze,
      label: "Supplement to".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/accompanies".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :supplementaryContent,
      comment: "Suggested use - With Work or Instance".freeze,
      definition: "Material such as an index, bibliography, appendix intended to supplement the primary content of a resource.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Supplementary material".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/SupplementaryContent".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :systemRequirement,
      definition: "Equipment or system requirement beyond what is normal and obvious for the type of carrier or type of file, such as make and model of equipment or hardware, operating system, amount of memory, programming language, other necessary software, any plug-ins or peripherals required to play, view, or run the resource, etc.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Instance".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2017-02-06 (Changed from data to object property, changed property name from plural to singular)".freeze],
      label: "Equipment or system requirements".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/SystemRequirement".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :table,
      definition: "Number of the table from which the classification number in a subdivision entry is taken, e.g., a DDC table.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Classification".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Classification table identification".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :tableOfContents,
      comment: "Suggested use - With Work or Instance".freeze,
      definition: "Table of contents of the described resource.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Table of contents content".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/TableOfContents".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :tableSeq,
      definition: "Sequence number or other identifier for an internal classification sub arrangement or add in a classification scheme.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Classification".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Classification table sequence number".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :temporalCoverage,
      definition: "Time period coverage of the content of the resource.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Work".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Temporal coverage".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :title,
      comment: "Suggested use - With Work, Instance, Item or Event".freeze,
      definition: "Name given to a resource.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2021-06-09 (Broadened domain [GH23])".freeze],
      label: "Title resource".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/Title".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :titleOf,
      comment: "Suggested value - Work, Instance, Item or Event".freeze,
      definition: "Relates a title resource to that which it is the title of.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Title".freeze,
      "http://purl.org/dc/terms/modified": "2021-06-09 (New [GH22])".freeze,
      label: "Title of".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :translation,
      comment: ["Suggested use - With Work or Instance".freeze, "Suggested value - Work or Instance".freeze],
      definition: "Resource that translates the text of the source entity into a language different from that of the original.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-29 (added inverse, updated range)".freeze, "2017-02-03 (corrected subproperty)".freeze],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/translationOf".freeze,
      label: "Translation as".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/hasDerivative".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :translationOf,
      comment: ["Suggested use - With Work or Instance".freeze, "Suggested value - Work or Instance".freeze],
      definition: "Resource that has been translated, i.e., the text is expressed in a language different from that of the original resource.".freeze,
      "http://purl.org/dc/terms/modified": ["2016-04-21 (New)".freeze, "2016-04-29 (added inverse, updated range)".freeze, "2017-02-03 (corrected subproperty)".freeze],
      inverseOf: "http://id.loc.gov/ontologies/bibframe/translation".freeze,
      label: "Translation of".freeze,
      subPropertyOf: "http://id.loc.gov/ontologies/bibframe/derivativeOf".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :unit,
      definition: "Units in which a value is expressed, such as the physical or logical constituent of a resource (e.g., a volume, audiocassette, film reel, a map, a digital file).".freeze,
      domain: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Type of unit".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/Unit".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :usageAndAccessPolicy,
      comment: "Suggested use - With Work, Instance or Item".freeze,
      definition: "General statement of allowances and restrictions on access to a resource, including retention, reproduction, access, and lending.".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Use and access condition".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/UsageAndAccessPolicy".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :variantType,
      definition: "Type of title variation, e.g., acronym, cover, spine, earlier, later, series version.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/VariantTitle".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Variant title type".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :version,
      definition: "Term or terms that identify works such as arranged for music, vulgate for religious work, etc.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Work".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Version".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :videoCharacteristic,
      definition: "Technical specification relating to the encoding of video images in a resource".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Instance".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Video characteristic".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/VideoCharacteristic".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :voice,
      definition: "Voice for which a musical work is appropriate, such as soprano, tenor, mixed.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/Work".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Voice".freeze,
      range: "http://id.loc.gov/ontologies/bibframe/MusicVoice".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :voiceType,
      definition: "Specific type of voice group, such as chorus, solo.".freeze,
      domain: "http://id.loc.gov/ontologies/bibframe/MusicVoice".freeze,
      "http://purl.org/dc/terms/modified": "2016-04-21 (New)".freeze,
      label: "Type of voice".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
  end
end
