# -*- encoding: utf-8 -*-
# frozen_string_literal: true
# This file generated automatically using rdf vocabulary format from http://purl.org/dc/terms/
require 'rdf'
module RDF::Vocab
  DC = Class.new(RDF::StrictVocabulary("http://purl.org/dc/terms/")) do

    # Ontology definition
    ontology :"http://purl.org/dc/terms/",
      "http://purl.org/dc/terms/modified": "2012-06-14".freeze,
      "http://purl.org/dc/terms/publisher": "http://purl.org/dc/aboutdcmi#DCMI".freeze,
      "http://purl.org/dc/terms/title": "DCMI Metadata Terms - other".freeze

    # Class definitions
    term :Agent,
      comment: "A resource that acts or has the power to act.".freeze,
      "http://purl.org/dc/terms/issued": "2008-01-14".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Agent".freeze,
      type: ["http://purl.org/dc/terms/AgentClass".freeze, "http://www.w3.org/2000/01/rdf-schema#Class".freeze]
    term :AgentClass,
      comment: "A group of agents.".freeze,
      "http://purl.org/dc/terms/issued": "2008-01-14".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Agent Class".freeze,
      subClassOf: "http://www.w3.org/2000/01/rdf-schema#Class".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BibliographicResource,
      comment: "A book, article, or other documentary resource.".freeze,
      "http://purl.org/dc/terms/issued": "2008-01-14".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Bibliographic Resource".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :FileFormat,
      comment: "A digital resource format.".freeze,
      "http://purl.org/dc/terms/issued": "2008-01-14".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "File Format".freeze,
      subClassOf: "http://purl.org/dc/terms/MediaType".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Frequency,
      comment: "A rate at which something recurs.".freeze,
      "http://purl.org/dc/terms/issued": "2008-01-14".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Frequency".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Jurisdiction,
      comment: "The extent or range of judicial, law enforcement, or other authority.".freeze,
      "http://purl.org/dc/terms/issued": "2008-01-14".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Jurisdiction".freeze,
      subClassOf: "http://purl.org/dc/terms/LocationPeriodOrJurisdiction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :LicenseDocument,
      comment: "A legal document giving official permission to do something with a resource.".freeze,
      "http://purl.org/dc/terms/issued": "2008-01-14".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "License Document".freeze,
      subClassOf: "http://purl.org/dc/terms/RightsStatement".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :LinguisticSystem,
      comment: "A system of signs, symbols, sounds, gestures, or rules used in communication.".freeze,
      "http://purl.org/dc/terms/description": "Written, spoken, sign, and computer languages are linguistic systems.".freeze,
      "http://purl.org/dc/terms/issued": "2008-01-14".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Linguistic System".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Location,
      comment: "A spatial region or named place.".freeze,
      "http://purl.org/dc/terms/issued": "2008-01-14".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Location".freeze,
      subClassOf: "http://purl.org/dc/terms/LocationPeriodOrJurisdiction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :LocationPeriodOrJurisdiction,
      comment: "A location, period of time, or jurisdiction.".freeze,
      "http://purl.org/dc/terms/issued": "2008-01-14".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Location, Period, or Jurisdiction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MediaType,
      comment: "A file format or physical medium.".freeze,
      "http://purl.org/dc/terms/issued": "2008-01-14".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Media Type".freeze,
      subClassOf: "http://purl.org/dc/terms/MediaTypeOrExtent".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MediaTypeOrExtent,
      comment: "A media type or extent.".freeze,
      "http://purl.org/dc/terms/issued": "2008-01-14".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Media Type or Extent".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MethodOfAccrual,
      comment: "A method by which resources are added to a collection.".freeze,
      "http://purl.org/dc/terms/issued": "2008-01-14".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Method of Accrual".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MethodOfInstruction,
      comment: "A process that is used to engender knowledge, attitudes, and skills.".freeze,
      "http://purl.org/dc/terms/issued": "2008-01-14".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Method of Instruction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PeriodOfTime,
      comment: "An interval of time that is named or defined by its start and end dates.".freeze,
      "http://purl.org/dc/terms/issued": "2008-01-14".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Period of Time".freeze,
      subClassOf: "http://purl.org/dc/terms/LocationPeriodOrJurisdiction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PhysicalMedium,
      comment: "A physical material or carrier.".freeze,
      "http://purl.org/dc/terms/description": "Examples include paper, canvas, or DVD.".freeze,
      "http://purl.org/dc/terms/issued": "2008-01-14".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Physical Medium".freeze,
      subClassOf: "http://purl.org/dc/terms/MediaType".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PhysicalResource,
      comment: "A material thing.".freeze,
      "http://purl.org/dc/terms/issued": "2008-01-14".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Physical Resource".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Policy,
      comment: "A plan or course of action by an authority, intended to influence and determine decisions, actions, and other matters.".freeze,
      "http://purl.org/dc/terms/issued": "2008-01-14".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Policy".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ProvenanceStatement,
      comment: "Any changes in ownership and custody of a resource since its creation that are significant for its authenticity, integrity, and interpretation.".freeze,
      "http://purl.org/dc/terms/issued": "2008-01-14".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Provenance Statement".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :RightsStatement,
      comment: "A statement about the intellectual property rights (IPR) held in or over a resource, a legal document giving official permission to do something with a resource, or a statement about access rights.".freeze,
      "http://purl.org/dc/terms/issued": "2008-01-14".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Rights Statement".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SizeOrDuration,
      comment: "A dimension or extent, or a time taken to play or execute.".freeze,
      "http://purl.org/dc/terms/description": "Examples include a number of pages, a specification of length, width, and breadth, or a period in hours, minutes, and seconds.".freeze,
      "http://purl.org/dc/terms/issued": "2008-01-14".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Size or Duration".freeze,
      subClassOf: "http://purl.org/dc/terms/MediaTypeOrExtent".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Standard,
      comment: "A reference point against which other things can be evaluated or compared.".freeze,
      "http://purl.org/dc/terms/issued": "2008-01-14".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Standard".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze

    # Property definitions
    property :abstract,
      comment: "A summary of the resource.".freeze,
      "http://purl.org/dc/terms/issued": "2000-07-11".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Abstract".freeze,
      subPropertyOf: ["http://purl.org/dc/elements/1.1/description".freeze, "http://purl.org/dc/terms/description".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :accessRights,
      comment: "Information about who access the resource or an indication of its security status.".freeze,
      "http://purl.org/dc/dcam/rangeIncludes": "http://purl.org/dc/terms/RightsStatement".freeze,
      "http://purl.org/dc/terms/description": "Access Rights may include information regarding access or restrictions based on privacy, security, or other policies.".freeze,
      "http://purl.org/dc/terms/issued": "2003-02-15".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Access Rights".freeze,
      subPropertyOf: ["http://purl.org/dc/elements/1.1/rights".freeze, "http://purl.org/dc/terms/rights".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :accrualMethod,
      comment: "The method by which items are added to a collection.".freeze,
      domain: "http://purl.org/dc/dcmitype/Collection".freeze,
      "http://purl.org/dc/dcam/rangeIncludes": "http://purl.org/dc/terms/MethodOfAccrual".freeze,
      "http://purl.org/dc/terms/description": "Recommended practice is to use a value from the Collection Description Accrual Method Vocabulary [[DCMI-ACCRUALMETHOD](https://dublincore.org/groups/collections/accrual-method/)].".freeze,
      "http://purl.org/dc/terms/issued": "2005-06-13".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Accrual Method".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :accrualPeriodicity,
      comment: "The frequency with which items are added to a collection.".freeze,
      domain: "http://purl.org/dc/dcmitype/Collection".freeze,
      "http://purl.org/dc/dcam/rangeIncludes": "http://purl.org/dc/terms/Frequency".freeze,
      "http://purl.org/dc/terms/description": "Recommended practice is to use a value from the Collection Description Frequency Vocabulary [[DCMI-COLLFREQ](https://dublincore.org/groups/collections/frequency/)].".freeze,
      "http://purl.org/dc/terms/issued": "2005-06-13".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Accrual Periodicity".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :accrualPolicy,
      comment: "The policy governing the addition of items to a collection.".freeze,
      domain: "http://purl.org/dc/dcmitype/Collection".freeze,
      "http://purl.org/dc/dcam/rangeIncludes": "http://purl.org/dc/terms/Policy".freeze,
      "http://purl.org/dc/terms/description": "Recommended practice is to use a value from the Collection Description Accrual Policy Vocabulary [[DCMI-ACCRUALPOLICY](https://dublincore.org/groups/collections/accrual-policy/)].".freeze,
      "http://purl.org/dc/terms/issued": "2005-06-13".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Accrual Policy".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :alternative,
      comment: "An alternative name for the resource.".freeze,
      "http://purl.org/dc/terms/description": "The distinction between titles and alternative titles is application-specific.".freeze,
      "http://purl.org/dc/terms/issued": "2000-07-11".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Alternative Title".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      subPropertyOf: ["http://purl.org/dc/elements/1.1/title".freeze, "http://purl.org/dc/terms/title".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :audience,
      comment: "A class of agents for whom the resource is intended or useful.".freeze,
      "http://purl.org/dc/dcam/rangeIncludes": "http://purl.org/dc/terms/AgentClass".freeze,
      "http://purl.org/dc/terms/description": "Recommended practice is to use this property with non-literal values from a vocabulary of audience types.".freeze,
      "http://purl.org/dc/terms/issued": "2001-05-21".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Audience".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :available,
      comment: "Date that the resource became or will become available.".freeze,
      "http://purl.org/dc/terms/description": "Recommended practice is to describe the date, date/time, or period of time as recommended for the property Date, of which this is a subproperty.".freeze,
      "http://purl.org/dc/terms/issued": "2000-07-11".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Date Available".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      subPropertyOf: ["http://purl.org/dc/elements/1.1/date".freeze, "http://purl.org/dc/terms/date".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :bibliographicCitation,
      comment: "A bibliographic reference for the resource.".freeze,
      "http://purl.org/dc/terms/description": "Recommended practice is to include sufficient bibliographic detail to identify the resource as unambiguously as possible.".freeze,
      "http://purl.org/dc/terms/issued": "2003-02-15".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Bibliographic Citation".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      subPropertyOf: ["http://purl.org/dc/elements/1.1/identifier".freeze, "http://purl.org/dc/terms/identifier".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :conformsTo,
      comment: "An established standard to which the described resource conforms.".freeze,
      "http://purl.org/dc/dcam/rangeIncludes": "http://purl.org/dc/terms/Standard".freeze,
      "http://purl.org/dc/terms/issued": "2001-05-21".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Conforms To".freeze,
      subPropertyOf: ["http://purl.org/dc/elements/1.1/relation".freeze, "http://purl.org/dc/terms/relation".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :contributor,
      comment: "An entity responsible for making contributions to the resource.".freeze,
      "http://purl.org/dc/dcam/rangeIncludes": "http://purl.org/dc/terms/Agent".freeze,
      "http://purl.org/dc/terms/description": "The guidelines for using names of persons or organizations as creators apply to contributors.".freeze,
      "http://purl.org/dc/terms/issued": "2008-01-14".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Contributor".freeze,
      subPropertyOf: "http://purl.org/dc/elements/1.1/contributor".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :coverage,
      comment: "The spatial or temporal topic of the resource, spatial applicability of the resource, or jurisdiction under which the resource is relevant.".freeze,
      "http://purl.org/dc/dcam/rangeIncludes": ["http://purl.org/dc/terms/Jurisdiction".freeze, "http://purl.org/dc/terms/Location".freeze, "http://purl.org/dc/terms/Period".freeze],
      "http://purl.org/dc/terms/description": "Spatial topic and spatial applicability may be a named place or a location specified by its geographic coordinates. Temporal topic may be a named period, date, or date range. A jurisdiction may be a named administrative entity or a geographic place to which the resource applies. Recommended practice is to use a controlled vocabulary such as the Getty Thesaurus of Geographic Names [[TGN](https://www.getty.edu/research/tools/vocabulary/tgn/index.html)]. Where appropriate, named places or time periods may be used in preference to numeric identifiers such as sets of coordinates or date ranges.  Because coverage is so broadly defined, it is preferable to use the more specific subproperties Temporal Coverage and Spatial Coverage.".freeze,
      "http://purl.org/dc/terms/issued": "2008-01-14".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Coverage".freeze,
      subPropertyOf: "http://purl.org/dc/elements/1.1/coverage".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :created,
      comment: "Date of creation of the resource.".freeze,
      "http://purl.org/dc/terms/description": "Recommended practice is to describe the date, date/time, or period of time as recommended for the property Date, of which this is a subproperty.".freeze,
      "http://purl.org/dc/terms/issued": "2000-07-11".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Date Created".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      subPropertyOf: ["http://purl.org/dc/elements/1.1/date".freeze, "http://purl.org/dc/terms/date".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :creator,
      comment: "An entity responsible for making the resource.".freeze,
      equivalentProperty: "http://xmlns.com/foaf/0.1/maker".freeze,
      "http://purl.org/dc/dcam/rangeIncludes": "http://purl.org/dc/terms/Agent".freeze,
      "http://purl.org/dc/terms/description": "Recommended practice is to identify the creator with a URI.  If this is not possible or feasible, a literal value that identifies the creator may be provided.".freeze,
      "http://purl.org/dc/terms/issued": "2008-01-14".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Creator".freeze,
      subPropertyOf: ["http://purl.org/dc/elements/1.1/creator".freeze, "http://purl.org/dc/terms/contributor".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :date,
      comment: "A point or period of time associated with an event in the lifecycle of the resource.".freeze,
      "http://purl.org/dc/terms/description": "Date may be used to express temporal information at any level of granularity.  Recommended practice is to express the date, date/time, or period of time according to ISO 8601-1 [[ISO 8601-1](https://www.iso.org/iso-8601-date-and-time-format.html)] or a published profile of the ISO standard, such as the W3C Note on Date and Time Formats [[W3CDTF](https://www.w3.org/TR/NOTE-datetime)] or the Extended Date/Time Format Specification [[EDTF](http://www.loc.gov/standards/datetime/)].  If the full date is unknown, month and year (YYYY-MM) or just year (YYYY) may be used. Date ranges may be specified using ISO 8601 period of time specification in which start and end dates are separated by a '/' (slash) character.  Either the start or end date may be missing.".freeze,
      "http://purl.org/dc/terms/issued": "2008-01-14".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Date".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      subPropertyOf: "http://purl.org/dc/elements/1.1/date".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :dateAccepted,
      comment: "Date of acceptance of the resource.".freeze,
      "http://purl.org/dc/terms/description": "Recommended practice is to describe the date, date/time, or period of time as recommended for the property Date, of which this is a subproperty.  Examples of resources to which a date of acceptance may be relevant are a thesis (accepted by a university department) or an article (accepted by a journal).".freeze,
      "http://purl.org/dc/terms/issued": "2002-07-13".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Date Accepted".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      subPropertyOf: ["http://purl.org/dc/elements/1.1/date".freeze, "http://purl.org/dc/terms/date".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :dateCopyrighted,
      comment: "Date of copyright of the resource.".freeze,
      "http://purl.org/dc/terms/description": "Typically a year.  Recommended practice is to describe the date, date/time, or period of time as recommended for the property Date, of which this is a subproperty.".freeze,
      "http://purl.org/dc/terms/issued": "2002-07-13".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Date Copyrighted".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      subPropertyOf: ["http://purl.org/dc/elements/1.1/date".freeze, "http://purl.org/dc/terms/date".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :dateSubmitted,
      comment: "Date of submission of the resource.".freeze,
      "http://purl.org/dc/terms/description": "Recommended practice is to describe the date, date/time, or period of time as recommended for the property Date, of which this is a subproperty.  Examples of resources to which a 'Date Submitted' may be relevant include a thesis (submitted to a university department) or an article (submitted to a journal).".freeze,
      "http://purl.org/dc/terms/issued": "2002-07-13".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Date Submitted".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      subPropertyOf: ["http://purl.org/dc/elements/1.1/date".freeze, "http://purl.org/dc/terms/date".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :description,
      comment: "An account of the resource.".freeze,
      "http://purl.org/dc/terms/description": "Description may include but is not limited to: an abstract, a table of contents, a graphical representation, or a free-text account of the resource.".freeze,
      "http://purl.org/dc/terms/issued": "2008-01-14".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Description".freeze,
      subPropertyOf: "http://purl.org/dc/elements/1.1/description".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :educationLevel,
      comment: "A class of agents, defined in terms of progression through an educational or training context, for which the described resource is intended.".freeze,
      "http://purl.org/dc/dcam/rangeIncludes": "http://purl.org/dc/terms/AgentClass".freeze,
      "http://purl.org/dc/terms/issued": "2002-07-13".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Audience Education Level".freeze,
      subPropertyOf: "http://purl.org/dc/terms/audience".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :extent,
      comment: "The size or duration of the resource.".freeze,
      "http://purl.org/dc/dcam/rangeIncludes": "http://purl.org/dc/terms/SizeOrDuration".freeze,
      "http://purl.org/dc/terms/description": "Recommended practice is to specify the file size in megabytes and duration in ISO 8601 format.".freeze,
      "http://purl.org/dc/terms/issued": "2000-07-11".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Extent".freeze,
      subPropertyOf: ["http://purl.org/dc/elements/1.1/format".freeze, "http://purl.org/dc/terms/format".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :format,
      comment: "The file format, physical medium, or dimensions of the resource.".freeze,
      "http://purl.org/dc/dcam/rangeIncludes": ["http://purl.org/dc/terms/Extent".freeze, "http://purl.org/dc/terms/MediaType".freeze],
      "http://purl.org/dc/terms/description": "Recommended practice is to use a controlled vocabulary where available. For example, for file formats one could use the list of Internet Media Types [[MIME](https://www.iana.org/assignments/media-types/media-types.xhtml)].  Examples of dimensions include size and duration.".freeze,
      "http://purl.org/dc/terms/issued": "2008-01-14".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Format".freeze,
      subPropertyOf: "http://purl.org/dc/elements/1.1/format".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasFormat,
      comment: "A related resource that is substantially the same as the pre-existing described resource, but in another format.".freeze,
      "http://purl.org/dc/terms/description": "This property is intended to be used with non-literal values. This property is an inverse property of Is Format Of.".freeze,
      "http://purl.org/dc/terms/issued": "2000-07-11".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Has Format".freeze,
      subPropertyOf: ["http://purl.org/dc/elements/1.1/relation".freeze, "http://purl.org/dc/terms/relation".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasPart,
      comment: "A related resource that is included either physically or logically in the described resource.".freeze,
      "http://purl.org/dc/terms/description": "This property is intended to be used with non-literal values. This property is an inverse property of Is Part Of.".freeze,
      "http://purl.org/dc/terms/issued": "2000-07-11".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Has Part".freeze,
      subPropertyOf: ["http://purl.org/dc/elements/1.1/relation".freeze, "http://purl.org/dc/terms/relation".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasVersion,
      comment: "A related resource that is a version, edition, or adaptation of the described resource.".freeze,
      "http://purl.org/dc/terms/description": "Changes in version imply substantive changes in content rather than differences in format. This property is intended to be used with non-literal values. This property is an inverse property of Is Version Of.".freeze,
      "http://purl.org/dc/terms/issued": "2000-07-11".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Has Version".freeze,
      subPropertyOf: ["http://purl.org/dc/elements/1.1/relation".freeze, "http://purl.org/dc/terms/relation".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :identifier,
      comment: "An unambiguous reference to the resource within a given context.".freeze,
      "http://purl.org/dc/terms/description": "Recommended practice is to identify the resource by means of a string conforming to an identification system. Examples include International Standard Book Number (ISBN), Digital Object Identifier (DOI), and Uniform Resource Name (URN).  Persistent identifiers should be provided as HTTP URIs.".freeze,
      "http://purl.org/dc/terms/issued": "2008-01-14".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Identifier".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      subPropertyOf: "http://purl.org/dc/elements/1.1/identifier".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :instructionalMethod,
      comment: "A process, used to engender knowledge, attitudes and skills, that the described resource is designed to support.".freeze,
      "http://purl.org/dc/dcam/rangeIncludes": "http://purl.org/dc/terms/MethodOfInstruction".freeze,
      "http://purl.org/dc/terms/description": "Instructional Method typically includes ways of presenting instructional materials or conducting instructional activities, patterns of learner-to-learner and learner-to-instructor interactions, and mechanisms by which group and individual levels of learning are measured.  Instructional methods include all aspects of the instruction and learning processes from planning and implementation through evaluation and feedback.".freeze,
      "http://purl.org/dc/terms/issued": "2005-06-13".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Instructional Method".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isFormatOf,
      comment: "A pre-existing related resource that is substantially the same as the described resource, but in another format.".freeze,
      "http://purl.org/dc/terms/description": "This property is intended to be used with non-literal values. This property is an inverse property of Has Format.".freeze,
      "http://purl.org/dc/terms/issued": "2000-07-11".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Is Format Of".freeze,
      subPropertyOf: ["http://purl.org/dc/elements/1.1/relation".freeze, "http://purl.org/dc/terms/relation".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isPartOf,
      comment: "A related resource in which the described resource is physically or logically included.".freeze,
      "http://purl.org/dc/terms/description": "This property is intended to be used with non-literal values. This property is an inverse property of Has Part.".freeze,
      "http://purl.org/dc/terms/issued": "2000-07-11".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Is Part Of".freeze,
      subPropertyOf: ["http://purl.org/dc/elements/1.1/relation".freeze, "http://purl.org/dc/terms/relation".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isReferencedBy,
      comment: "A related resource that references, cites, or otherwise points to the described resource.".freeze,
      "http://purl.org/dc/terms/description": "This property is intended to be used with non-literal values. This property is an inverse property of References.".freeze,
      "http://purl.org/dc/terms/issued": "2000-07-11".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Is Referenced By".freeze,
      subPropertyOf: ["http://purl.org/dc/elements/1.1/relation".freeze, "http://purl.org/dc/terms/relation".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isReplacedBy,
      comment: "A related resource that supplants, displaces, or supersedes the described resource.".freeze,
      "http://purl.org/dc/terms/description": "This property is intended to be used with non-literal values. This property is an inverse property of Replaces.".freeze,
      "http://purl.org/dc/terms/issued": "2000-07-11".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Is Replaced By".freeze,
      subPropertyOf: ["http://purl.org/dc/elements/1.1/relation".freeze, "http://purl.org/dc/terms/relation".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isRequiredBy,
      comment: "A related resource that requires the described resource to support its function, delivery, or coherence.".freeze,
      "http://purl.org/dc/terms/description": "This property is intended to be used with non-literal values. This property is an inverse property of Requires.".freeze,
      "http://purl.org/dc/terms/issued": "2000-07-11".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Is Required By".freeze,
      subPropertyOf: ["http://purl.org/dc/elements/1.1/relation".freeze, "http://purl.org/dc/terms/relation".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isVersionOf,
      comment: "A related resource of which the described resource is a version, edition, or adaptation.".freeze,
      "http://purl.org/dc/terms/description": "Changes in version imply substantive changes in content rather than differences in format. This property is intended to be used with non-literal values. This property is an inverse property of Has Version.".freeze,
      "http://purl.org/dc/terms/issued": "2000-07-11".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Is Version Of".freeze,
      subPropertyOf: ["http://purl.org/dc/elements/1.1/relation".freeze, "http://purl.org/dc/terms/relation".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :issued,
      comment: "Date of formal issuance of the resource.".freeze,
      "http://purl.org/dc/terms/description": "Recommended practice is to describe the date, date/time, or period of time as recommended for the property Date, of which this is a subproperty.".freeze,
      "http://purl.org/dc/terms/issued": "2000-07-11".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Date Issued".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      subPropertyOf: ["http://purl.org/dc/elements/1.1/date".freeze, "http://purl.org/dc/terms/date".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :language,
      comment: "A language of the resource.".freeze,
      "http://purl.org/dc/dcam/rangeIncludes": "http://purl.org/dc/terms/LinguisticSystem".freeze,
      "http://purl.org/dc/terms/description": "Recommended practice is to use either a non-literal value representing a language from a controlled vocabulary such as ISO 639-2 or ISO 639-3, or a literal value consisting of an IETF Best Current Practice 47 [[IETF-BCP47](https://tools.ietf.org/html/bcp47)] language tag.".freeze,
      "http://purl.org/dc/terms/issued": "2008-01-14".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Language".freeze,
      subPropertyOf: "http://purl.org/dc/elements/1.1/language".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :license,
      comment: "A legal document giving official permission to do something with the resource.".freeze,
      "http://purl.org/dc/dcam/rangeIncludes": "http://purl.org/dc/terms/LicenseDocument".freeze,
      "http://purl.org/dc/terms/description": "Recommended practice is to identify the license document with a URI. If this is not possible or feasible, a literal value that identifies the license may be provided.".freeze,
      "http://purl.org/dc/terms/issued": "2004-06-14".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "License".freeze,
      subPropertyOf: ["http://purl.org/dc/elements/1.1/rights".freeze, "http://purl.org/dc/terms/rights".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :mediator,
      comment: "An entity that mediates access to the resource.".freeze,
      "http://purl.org/dc/dcam/rangeIncludes": "http://purl.org/dc/terms/AgentClass".freeze,
      "http://purl.org/dc/terms/description": "In an educational context, a mediator might be a parent, teacher, teaching assistant, or care-giver.".freeze,
      "http://purl.org/dc/terms/issued": "2001-05-21".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Mediator".freeze,
      subPropertyOf: "http://purl.org/dc/terms/audience".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :medium,
      comment: "The material or physical carrier of the resource.".freeze,
      "http://purl.org/dc/dcam/domainIncludes": "http://purl.org/dc/terms/PhysicalResource".freeze,
      "http://purl.org/dc/dcam/rangeIncludes": "http://purl.org/dc/terms/PhysicalMedium".freeze,
      "http://purl.org/dc/terms/issued": "2000-07-11".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Medium".freeze,
      subPropertyOf: ["http://purl.org/dc/elements/1.1/format".freeze, "http://purl.org/dc/terms/format".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :modified,
      comment: "Date on which the resource was changed.".freeze,
      "http://purl.org/dc/terms/description": "Recommended practice is to describe the date, date/time, or period of time as recommended for the property Date, of which this is a subproperty.".freeze,
      "http://purl.org/dc/terms/issued": "2000-07-11".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Date Modified".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      subPropertyOf: ["http://purl.org/dc/elements/1.1/date".freeze, "http://purl.org/dc/terms/date".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :provenance,
      comment: "A statement of any changes in ownership and custody of the resource since its creation that are significant for its authenticity, integrity, and interpretation.".freeze,
      "http://purl.org/dc/dcam/rangeIncludes": "http://purl.org/dc/terms/ProvenanceStatement".freeze,
      "http://purl.org/dc/terms/description": "The statement may include a description of any changes successive custodians made to the resource.".freeze,
      "http://purl.org/dc/terms/issued": "2004-09-20".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Provenance".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :publisher,
      comment: "An entity responsible for making the resource available.".freeze,
      "http://purl.org/dc/dcam/rangeIncludes": "http://purl.org/dc/terms/Agent".freeze,
      "http://purl.org/dc/terms/issued": "2008-01-14".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Publisher".freeze,
      subPropertyOf: "http://purl.org/dc/elements/1.1/publisher".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :references,
      comment: "A related resource that is referenced, cited, or otherwise pointed to by the described resource.".freeze,
      "http://purl.org/dc/terms/description": "This property is intended to be used with non-literal values. This property is an inverse property of Is Referenced By.".freeze,
      "http://purl.org/dc/terms/issued": "2000-07-11".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "References".freeze,
      subPropertyOf: ["http://purl.org/dc/elements/1.1/relation".freeze, "http://purl.org/dc/terms/relation".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :relation,
      comment: "A related resource.".freeze,
      "http://purl.org/dc/terms/description": "Recommended practice is to identify the related resource by means of a URI.  If this is not possible or feasible, a string conforming to a formal identification system may be provided.".freeze,
      "http://purl.org/dc/terms/issued": "2008-01-14".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Relation".freeze,
      subPropertyOf: "http://purl.org/dc/elements/1.1/relation".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :replaces,
      comment: "A related resource that is supplanted, displaced, or superseded by the described resource.".freeze,
      "http://purl.org/dc/terms/description": "This property is intended to be used with non-literal values. This property is an inverse property of Is Replaced By.".freeze,
      "http://purl.org/dc/terms/issued": "2000-07-11".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Replaces".freeze,
      subPropertyOf: ["http://purl.org/dc/elements/1.1/relation".freeze, "http://purl.org/dc/terms/relation".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :requires,
      comment: "A related resource that is required by the described resource to support its function, delivery, or coherence.".freeze,
      "http://purl.org/dc/terms/description": "This property is intended to be used with non-literal values. This property is an inverse property of Is Required By.".freeze,
      "http://purl.org/dc/terms/issued": "2000-07-11".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Requires".freeze,
      subPropertyOf: ["http://purl.org/dc/elements/1.1/relation".freeze, "http://purl.org/dc/terms/relation".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :rights,
      comment: "Information about rights held in and over the resource.".freeze,
      "http://purl.org/dc/dcam/rangeIncludes": "http://purl.org/dc/terms/RightsStatement".freeze,
      "http://purl.org/dc/terms/description": "Typically, rights information includes a statement about various property rights associated with the resource, including intellectual property rights.  Recommended practice is to refer to a rights statement with a URI.  If this is not possible or feasible, a literal value (name, label, or short text) may be provided.".freeze,
      "http://purl.org/dc/terms/issued": "2008-01-14".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Rights".freeze,
      subPropertyOf: "http://purl.org/dc/elements/1.1/rights".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :rightsHolder,
      comment: "A person or organization owning or managing rights over the resource.".freeze,
      "http://purl.org/dc/dcam/rangeIncludes": "http://purl.org/dc/terms/Agent".freeze,
      "http://purl.org/dc/terms/description": "Recommended practice is to refer to the rights holder with a URI. If this is not possible or feasible, a literal value that identifies the rights holder may be provided.".freeze,
      "http://purl.org/dc/terms/issued": "2004-06-14".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Rights Holder".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :source,
      comment: "A related resource from which the described resource is derived.".freeze,
      "http://purl.org/dc/terms/description": "This property is intended to be used with non-literal values. The described resource may be derived from the related resource in whole or in part. Best practice is to identify the related resource by means of a URI or a string conforming to a formal identification system.".freeze,
      "http://purl.org/dc/terms/issued": "2008-01-14".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Source".freeze,
      subPropertyOf: ["http://purl.org/dc/elements/1.1/source".freeze, "http://purl.org/dc/terms/relation".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :spatial,
      comment: "Spatial characteristics of the resource.".freeze,
      "http://purl.org/dc/dcam/rangeIncludes": "http://purl.org/dc/terms/Location".freeze,
      "http://purl.org/dc/terms/issued": "2000-07-11".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Spatial Coverage".freeze,
      subPropertyOf: ["http://purl.org/dc/elements/1.1/coverage".freeze, "http://purl.org/dc/terms/coverage".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :subject,
      comment: "A topic of the resource.".freeze,
      "http://purl.org/dc/terms/description": "Recommended practice is to refer to the subject with a URI. If this is not possible or feasible, a literal value that identifies the subject may be provided. Both should preferably refer to a subject in a controlled vocabulary.".freeze,
      "http://purl.org/dc/terms/issued": "2008-01-14".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Subject".freeze,
      subPropertyOf: "http://purl.org/dc/elements/1.1/subject".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :tableOfContents,
      comment: "A list of subunits of the resource.".freeze,
      "http://purl.org/dc/terms/issued": "2000-07-11".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Table Of Contents".freeze,
      subPropertyOf: ["http://purl.org/dc/elements/1.1/description".freeze, "http://purl.org/dc/terms/description".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :temporal,
      comment: "Temporal characteristics of the resource.".freeze,
      "http://purl.org/dc/dcam/rangeIncludes": "http://purl.org/dc/terms/PeriodOfTime".freeze,
      "http://purl.org/dc/terms/issued": "2000-07-11".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Temporal Coverage".freeze,
      subPropertyOf: ["http://purl.org/dc/elements/1.1/coverage".freeze, "http://purl.org/dc/terms/coverage".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :title,
      comment: "A name given to the resource.".freeze,
      "http://purl.org/dc/terms/issued": "2008-01-14".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Title".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      subPropertyOf: "http://purl.org/dc/elements/1.1/title".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :type,
      comment: "The nature or genre of the resource.".freeze,
      "http://purl.org/dc/terms/description": "Recommended practice is to use a controlled vocabulary such as the DCMI Type Vocabulary [[DCMI-TYPE](http://dublincore.org/documents/dcmi-type-vocabulary/)]. To describe the file format, physical medium, or dimensions of the resource, use the property Format.".freeze,
      "http://purl.org/dc/terms/issued": "2008-01-14".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Type".freeze,
      subPropertyOf: "http://purl.org/dc/elements/1.1/type".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :valid,
      comment: "Date (often a range) of validity of a resource.".freeze,
      "http://purl.org/dc/terms/description": "Recommended practice is to describe the date, date/time, or period of time as recommended for the property Date, of which this is a subproperty.".freeze,
      "http://purl.org/dc/terms/issued": "2000-07-11".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "Date Valid".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      subPropertyOf: ["http://purl.org/dc/elements/1.1/date".freeze, "http://purl.org/dc/terms/date".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze

    # Datatype definitions
    term :Box,
      comment: "The set of regions in space defined by their geographic coordinates according to the DCMI Box Encoding Scheme.".freeze,
      "http://purl.org/dc/terms/issued": "2000-07-11".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "https://www.dublincore.org/specifications/dublin-core/dcmi-box/".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "DCMI Box".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Datatype".freeze
    term :ISO3166,
      comment: "The set of codes listed in ISO 3166-1 for the representation of names of countries.".freeze,
      "http://purl.org/dc/terms/issued": "2000-07-11".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "https://www.iso.org/obp/ui/#search".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "ISO 3166".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Datatype".freeze
    term :"ISO639-2",
      comment: "The three-letter alphabetic codes listed in ISO639-2 for the representation of names of languages.".freeze,
      "http://purl.org/dc/terms/issued": "2000-07-11".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://lcweb.loc.gov/standards/iso639-2/langhome.html".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "ISO 639-2".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Datatype".freeze
    term :"ISO639-3",
      comment: "The set of three-letter codes listed in ISO 639-3 for the representation of names of languages.".freeze,
      "http://purl.org/dc/terms/issued": "2008-01-14".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://www.sil.org/iso639-3/".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "ISO 639-3".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Datatype".freeze
    term :Period,
      comment: "The set of time intervals defined by their limits according to the DCMI Period Encoding Scheme.".freeze,
      "http://purl.org/dc/terms/issued": "2000-07-11".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "https://www.dublincore.org/specifications/dublin-core/dcmi-period/".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "DCMI Period".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Datatype".freeze
    term :Point,
      comment: "The set of points in space defined by their geographic coordinates according to the DCMI Point Encoding Scheme.".freeze,
      "http://purl.org/dc/terms/issued": "2000-07-11".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "https://www.dublincore.org/specifications/dublin-core/dcmi-point/".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "DCMI Point".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Datatype".freeze
    term :RFC1766,
      comment: "The set of tags, constructed according to RFC 1766, for the identification of languages.".freeze,
      "http://purl.org/dc/terms/issued": "2000-07-11".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://www.ietf.org/rfc/rfc1766.txt".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "RFC 1766".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Datatype".freeze
    term :RFC3066,
      comment: "The set of tags constructed according to RFC 3066 for the identification of languages.".freeze,
      "http://purl.org/dc/terms/description": "RFC 3066 has been obsoleted by RFC 4646.".freeze,
      "http://purl.org/dc/terms/issued": "2002-07-13".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://www.ietf.org/rfc/rfc3066.txt".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "RFC 3066".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Datatype".freeze
    term :RFC4646,
      comment: "The set of tags constructed according to RFC 4646 for the identification of languages.".freeze,
      "http://purl.org/dc/terms/description": "RFC 4646 obsoletes RFC 3066.".freeze,
      "http://purl.org/dc/terms/issued": "2008-01-14".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://www.ietf.org/rfc/rfc4646.txt".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "RFC 4646".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Datatype".freeze
    term :RFC5646,
      comment: "The set of tags constructed according to RFC 5646 for the identification of languages.".freeze,
      "http://purl.org/dc/terms/description": "RFC 5646 obsoletes RFC 4646.".freeze,
      "http://purl.org/dc/terms/issued": "2010-10-11".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://www.ietf.org/rfc/rfc5646.txt".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "RFC 5646".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Datatype".freeze
    term :URI,
      comment: "The set of identifiers constructed according to the generic syntax for Uniform Resource Identifiers as specified by the Internet Engineering Task Force.".freeze,
      "http://purl.org/dc/terms/issued": "2000-07-11".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://www.ietf.org/rfc/rfc3986.txt".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "URI".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Datatype".freeze
    term :W3CDTF,
      comment: "The set of dates and times constructed according to the W3C Date and Time Formats Specification.".freeze,
      "http://purl.org/dc/terms/issued": "2000-07-11".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://www.w3.org/TR/NOTE-datetime".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "W3C-DTF".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Datatype".freeze

    # Extra definitions
    term :DCMIType,
      comment: "The set of classes specified by the DCMI Type Vocabulary, used to categorize the nature or genre of the resource.".freeze,
      "http://purl.org/dc/terms/issued": "2000-07-11".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://purl.org/dc/dcmitype/".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "DCMI Type Vocabulary".freeze,
      type: "http://purl.org/dc/dcam/VocabularyEncodingScheme".freeze
    term :DDC,
      comment: "The set of conceptual resources specified by the Dewey Decimal Classification.".freeze,
      "http://purl.org/dc/terms/issued": "2000-07-11".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://www.oclc.org/dewey/".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "DDC".freeze,
      type: "http://purl.org/dc/dcam/VocabularyEncodingScheme".freeze
    term :IMT,
      comment: "The set of media types specified by the Internet Assigned Numbers Authority.".freeze,
      "http://purl.org/dc/terms/issued": "2000-07-11".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://www.iana.org/assignments/media-types/".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "IMT".freeze,
      type: "http://purl.org/dc/dcam/VocabularyEncodingScheme".freeze
    term :LCC,
      comment: "The set of conceptual resources specified by the Library of Congress Classification.".freeze,
      "http://purl.org/dc/terms/issued": "2000-07-11".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://lcweb.loc.gov/catdir/cpso/lcco/lcco.html".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "LCC".freeze,
      type: "http://purl.org/dc/dcam/VocabularyEncodingScheme".freeze
    term :LCSH,
      comment: "The set of labeled concepts specified by the Library of Congress Subject Headings.".freeze,
      "http://purl.org/dc/terms/issued": "2000-07-11".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "LCSH".freeze,
      type: "http://purl.org/dc/dcam/VocabularyEncodingScheme".freeze
    term :MESH,
      comment: "The set of labeled concepts specified by the Medical Subject Headings.".freeze,
      "http://purl.org/dc/terms/issued": "2000-07-11".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://www.nlm.nih.gov/mesh/meshhome.html".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "MeSH".freeze,
      type: "http://purl.org/dc/dcam/VocabularyEncodingScheme".freeze
    term :NLM,
      comment: "The set of conceptual resources specified by the National Library of Medicine Classification.".freeze,
      "http://purl.org/dc/terms/issued": "2005-06-13".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://wwwcf.nlm.nih.gov/class/".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "NLM".freeze,
      type: "http://purl.org/dc/dcam/VocabularyEncodingScheme".freeze
    term :TGN,
      comment: "The set of places specified by the Getty Thesaurus of Geographic Names.".freeze,
      "http://purl.org/dc/terms/issued": "2000-07-11".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://www.getty.edu/research/tools/vocabulary/tgn/index.html".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "TGN".freeze,
      type: "http://purl.org/dc/dcam/VocabularyEncodingScheme".freeze
    term :UDC,
      comment: "The set of conceptual resources specified by the Universal Decimal Classification.".freeze,
      "http://purl.org/dc/terms/issued": "2000-07-11".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://www.udcc.org/".freeze,
      isDefinedBy: "http://purl.org/dc/terms/".freeze,
      label: "UDC".freeze,
      type: "http://purl.org/dc/dcam/VocabularyEncodingScheme".freeze
  end
end
