# -*- encoding: utf-8 -*-
# frozen_string_literal: true
# This file generated automatically using rdf vocabulary format from http://usefulinc.com/ns/doap#
require 'rdf'
module RDF::Vocab
  DOAP = Class.new(RDF::StrictVocabulary("http://usefulinc.com/ns/doap#")) do

    # Ontology definition
    ontology :"http://usefulinc.com/ns/doap#",
      "http://purl.org/dc/elements/1.1/creator": "Edd Wilder-James".freeze,
      "http://purl.org/dc/elements/1.1/description": "The Description of a Project (DOAP) vocabulary, described using W3C RDF Schema and the Web Ontology Language.".freeze,
      "http://purl.org/dc/elements/1.1/format": "application/rdf+xml".freeze,
      "http://purl.org/dc/elements/1.1/rights": "Copyright © 2004-2018 Edd Dumbill, Edd Wilder-James".freeze,
      "http://purl.org/dc/elements/1.1/title": "Description of a Project (DOAP) vocabulary".freeze,
      "http://www.w3.org/2002/07/owl#imports": "http://xmlns.com/foaf/0.1/".freeze,
      "http://xmlns.com/foaf/0.1/maker": term(
          "http://xmlns.com/foaf/0.1/mbox": "mailto:edd@usefulinc.com".freeze,
          "http://xmlns.com/foaf/0.1/name": "Edd Wilder-James".freeze,
          type: "http://xmlns.com/foaf/0.1/Person".freeze
        ),
      type: "http://www.w3.org/2002/07/owl#Ontology".freeze

    # Class definitions
    term :ArchRepository,
      comment: "GNU Arch source code repository.".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "GNU Arch repository".freeze,
      subClassOf: "http://usefulinc.com/ns/doap#Repository".freeze,
      type: ["http://www.w3.org/2000/01/rdf-schema#Class".freeze, "http://www.w3.org/2002/07/owl#Class".freeze]
    term :BKRepository,
      comment: "BitKeeper source code repository.".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "BitKeeper Repository".freeze,
      subClassOf: "http://usefulinc.com/ns/doap#Repository".freeze,
      type: ["http://www.w3.org/2000/01/rdf-schema#Class".freeze, "http://www.w3.org/2002/07/owl#Class".freeze]
    term :BazaarBranch,
      comment: "Bazaar source code branch.".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "Bazaar Branch".freeze,
      subClassOf: "http://usefulinc.com/ns/doap#Repository".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :CVSRepository,
      comment: "CVS source code repository.".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "CVS Repository".freeze,
      subClassOf: "http://usefulinc.com/ns/doap#Repository".freeze,
      type: ["http://www.w3.org/2000/01/rdf-schema#Class".freeze, "http://www.w3.org/2002/07/owl#Class".freeze]
    term :DarcsRepository,
      comment: "darcs source code repository.".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "darcs Repository".freeze,
      subClassOf: "http://usefulinc.com/ns/doap#Repository".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :GitBranch,
      comment: "Git source code branch.".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "Git Branch".freeze,
      subClassOf: "http://usefulinc.com/ns/doap#Repository".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :GitRepository,
      comment: "Git source code repository.".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "Git Repository".freeze,
      subClassOf: "http://usefulinc.com/ns/doap#Repository".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :HgRepository,
      comment: "Mercurial source code repository.".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "Mercurial Repository".freeze,
      subClassOf: "http://usefulinc.com/ns/doap#Repository".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Project,
      comment: "A project.".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "Project".freeze,
      subClassOf: ["http://xmlns.com/foaf/0.1/Project".freeze, "http://xmlns.com/wordnet/1.6/Project".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Repository,
      comment: "Source code repository.".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "Repository".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SVNRepository,
      comment: "Subversion source code repository.".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "Subversion Repository".freeze,
      subClassOf: "http://usefulinc.com/ns/doap#Repository".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Specification,
      comment: "A specification of a system's aspects, technical or otherwise.".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "Specification".freeze,
      subClassOf: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Version,
      comment: "Version information of a project release.".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "Version".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze

    # Property definitions
    property :"anon-root",
      comment: "Repository for anonymous access.".freeze,
      domain: "http://usefulinc.com/ns/doap#Repository".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "anonymous root".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :audience,
      comment: "Description of target user base".freeze,
      domain: "http://usefulinc.com/ns/doap#Project".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "audience".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :blog,
      comment: "URI of a blog related to a project".freeze,
      domain: "http://usefulinc.com/ns/doap#Project".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "blog".freeze,
      range: ["http://rdfs.org/sioc/types#Weblog".freeze, "http://www.w3.org/2000/01/rdf-schema#Resource".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :browse,
      comment: "Web browser interface to repository.".freeze,
      domain: "http://usefulinc.com/ns/doap#Repository".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "browse".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :"bug-database",
      comment: "Bug tracker for a project.".freeze,
      domain: "http://usefulinc.com/ns/doap#Project".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "bug database".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :category,
      comment: "A category of project.".freeze,
      domain: "http://usefulinc.com/ns/doap#Project".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "category".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :created,
      comment: "Date when something was created, in YYYY-MM-DD form. e.g. 2004-04-05".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "created".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :description,
      comment: "Plain text description of a project, of 2-4 sentences in length.".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "description".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :developer,
      comment: "Developer of software for the project.".freeze,
      domain: "http://usefulinc.com/ns/doap#Project".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "developer".freeze,
      range: "http://xmlns.com/foaf/0.1/Person".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :"developer-forum",
      comment: "A forum or community for developers of this project.".freeze,
      domain: "http://usefulinc.com/ns/doap#Project".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "developer forum".freeze,
      range: "http://rdfs.org/sioc/ns#Container".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :documenter,
      comment: "Contributor of documentation to the project.".freeze,
      domain: "http://usefulinc.com/ns/doap#Project".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "documenter".freeze,
      range: "http://xmlns.com/foaf/0.1/Person".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :"download-mirror",
      comment: "Mirror of software download web page.".freeze,
      domain: "http://usefulinc.com/ns/doap#Project".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "download mirror".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :"download-page",
      comment: "Web page from which the project software can be downloaded.".freeze,
      domain: "http://usefulinc.com/ns/doap#Project".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "download page".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :"file-release",
      comment: "URI of download associated with this release.".freeze,
      domain: "http://usefulinc.com/ns/doap#Version".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "file-release".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :helper,
      comment: "Project contributor.".freeze,
      domain: "http://usefulinc.com/ns/doap#Project".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "helper".freeze,
      range: "http://xmlns.com/foaf/0.1/Person".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :homepage,
      comment: "URL of a project's homepage,\n\t\tassociated with exactly one project.".freeze,
      domain: "http://usefulinc.com/ns/doap#Project".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "homepage".freeze,
      subPropertyOf: "http://xmlns.com/foaf/0.1/homepage".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#InverseFunctionalProperty".freeze]
    property :implements,
      comment: "A specification that a project implements. Could be a standard, API or legally defined level of conformance.".freeze,
      domain: "http://usefulinc.com/ns/doap#Project".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "Implements specification".freeze,
      range: "http://usefulinc.com/ns/doap#Specification".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :language,
      comment: "ISO language code a project has been translated into".freeze,
      domain: "http://usefulinc.com/ns/doap#Project".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "language".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :license,
      comment: "The URI of an RDF description of the license the software is distributed under. E.g. a SPDX reference".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "license".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :location,
      comment: "Location of a repository.".freeze,
      domain: "http://usefulinc.com/ns/doap#Repository".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "repository location".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :"mailing-list",
      comment: "Mailing list home page or email address.".freeze,
      domain: "http://usefulinc.com/ns/doap#Project".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "mailing list".freeze,
      range: "http://rdfs.org/sioc/types#MailingList".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :maintainer,
      comment: "Maintainer of a project, a project leader.".freeze,
      domain: "http://usefulinc.com/ns/doap#Project".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "maintainer".freeze,
      range: "http://xmlns.com/foaf/0.1/Person".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :module,
      comment: "Module name of a Subversion, CVS, BitKeeper or Arch repository.".freeze,
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class".freeze,
          unionOf: list("http://usefulinc.com/ns/doap#CVSRepository".freeze, "http://usefulinc.com/ns/doap#ArchRepository".freeze, "http://usefulinc.com/ns/doap#BKRepository".freeze)
        ),
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "module".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :name,
      comment: "A name of something.".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "name".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      subPropertyOf: "http://www.w3.org/2000/01/rdf-schema#label".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :"old-homepage",
      comment: "URL of a project's past homepage,\n\t\tassociated with exactly one project.".freeze,
      domain: "http://usefulinc.com/ns/doap#Project".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "old homepage".freeze,
      subPropertyOf: "http://xmlns.com/foaf/0.1/homepage".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#InverseFunctionalProperty".freeze]
    property :os,
      comment: ["Operating system that a project is limited to.  Omit this property if the project is not OS-specific.".freeze, "Sistema operativo a que o projeto está limitado. Omita esta propriedade se o projeto não é condicionado pelo SO usado.".freeze],
      domain: ["http://usefulinc.com/ns/doap#Project".freeze, "http://usefulinc.com/ns/doap#Version".freeze],
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "operating system".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :platform,
      comment: "Indicator of software platform (non-OS specific), e.g. Java, Firefox, ECMA CLR".freeze,
      domain: ["http://usefulinc.com/ns/doap#Project".freeze, "http://usefulinc.com/ns/doap#Version".freeze],
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "platform".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :"programming-language",
      comment: "Programming language a project is implemented in or intended for use with.".freeze,
      domain: "http://usefulinc.com/ns/doap#Project".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "programming language".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :release,
      comment: "A project release.".freeze,
      domain: "http://usefulinc.com/ns/doap#Project".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "release".freeze,
      range: "http://usefulinc.com/ns/doap#Version".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :repository,
      comment: "Source code repository.".freeze,
      domain: "http://usefulinc.com/ns/doap#Project".freeze,
      inverseOf: "http://usefulinc.com/ns/doap#repositoryOf".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "repository".freeze,
      range: "http://usefulinc.com/ns/doap#Repository".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :repositoryOf,
      comment: "The project that uses a repository.".freeze,
      domain: "http://usefulinc.com/ns/doap#Repository".freeze,
      inverseOf: "http://usefulinc.com/ns/doap#repository".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "repository of".freeze,
      range: "http://usefulinc.com/ns/doap#Project".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :revision,
      comment: "Revision identifier of a software release.".freeze,
      domain: "http://usefulinc.com/ns/doap#Version".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "revision".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :screenshots,
      comment: "Web page with screenshots of project.".freeze,
      domain: "http://usefulinc.com/ns/doap#Project".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "screenshots".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :"service-endpoint",
      comment: "The URI of a web service endpoint where software as a service may be accessed".freeze,
      domain: "http://usefulinc.com/ns/doap#Project".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "service endpoint".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :shortdesc,
      comment: "Short (8 or 9 words) plain text description of a project.".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "short description".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :"support-forum",
      comment: "A forum or community that supports this project.".freeze,
      domain: "http://usefulinc.com/ns/doap#Project".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "supporting forum".freeze,
      range: "http://rdfs.org/sioc/ns#Container".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :tester,
      comment: "A tester or other quality control contributor.".freeze,
      domain: "http://usefulinc.com/ns/doap#Project".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "tester".freeze,
      range: "http://xmlns.com/foaf/0.1/Person".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :translator,
      comment: "Contributor of translations to the project.".freeze,
      domain: "http://usefulinc.com/ns/doap#Project".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "translator".freeze,
      range: "http://xmlns.com/foaf/0.1/Person".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :vendor,
      comment: "Vendor organization: commercial, free or otherwise".freeze,
      domain: "http://usefulinc.com/ns/doap#Project".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "vendor".freeze,
      range: "http://xmlns.com/foaf/0.1/Organization".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :wiki,
      comment: "URL of Wiki for collaborative discussion of project.".freeze,
      domain: "http://usefulinc.com/ns/doap#Project".freeze,
      isDefinedBy: "http://usefulinc.com/ns/doap#".freeze,
      label: "wiki".freeze,
      range: "http://rdfs.org/sioc/types#Wiki".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
  end
end
