# -*- encoding: utf-8 -*-
# frozen_string_literal: true
# This file generated automatically using rdf vocabulary format from http://xmlns.com/foaf/0.1/
require 'rdf'
module RDF::Vocab
  FOAF = Class.new(RDF::StrictVocabulary("http://xmlns.com/foaf/0.1/")) do

    # Ontology definition
    ontology :"http://xmlns.com/foaf/0.1/",
      "http://purl.org/dc/elements/1.1/description": "The Friend of a Friend (FOAF) RDF vocabulary, described using W3C RDF Schema and the Web Ontology Language.".freeze,
      "http://purl.org/dc/elements/1.1/title": "Friend of a Friend (FOAF) vocabulary".freeze,
      type: "http://www.w3.org/2002/07/owl#Ontology".freeze

    # Class definitions
    term :Agent,
      comment: "An agent (eg. person, group, software or physical artifact).".freeze,
      equivalentClass: "http://purl.org/dc/terms/Agent".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "Agent".freeze,
      type: ["http://www.w3.org/2000/01/rdf-schema#Class".freeze, "http://www.w3.org/2002/07/owl#Class".freeze]
    term :Document,
      comment: "A document.".freeze,
      "http://www.w3.org/2002/07/owl#disjointWith": ["http://xmlns.com/foaf/0.1/Organization".freeze, "http://xmlns.com/foaf/0.1/Project".freeze],
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "Document".freeze,
      type: ["http://www.w3.org/2000/01/rdf-schema#Class".freeze, "http://www.w3.org/2002/07/owl#Class".freeze]
    term :Group,
      comment: "A class of Agents.".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "Group".freeze,
      subClassOf: "http://xmlns.com/foaf/0.1/Agent".freeze,
      type: ["http://www.w3.org/2000/01/rdf-schema#Class".freeze, "http://www.w3.org/2002/07/owl#Class".freeze]
    term :Image,
      comment: "An image.".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "Image".freeze,
      subClassOf: "http://xmlns.com/foaf/0.1/Document".freeze,
      type: ["http://www.w3.org/2000/01/rdf-schema#Class".freeze, "http://www.w3.org/2002/07/owl#Class".freeze]
    term :LabelProperty,
      comment: "A foaf:LabelProperty is any RDF property with texual values that serve as labels.".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "Label Property".freeze,
      type: ["http://www.w3.org/2000/01/rdf-schema#Class".freeze, "http://www.w3.org/2002/07/owl#Class".freeze]
    term :OnlineAccount,
      comment: "An online account.".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "Online Account".freeze,
      subClassOf: "http://www.w3.org/2002/07/owl#Thing".freeze,
      type: ["http://www.w3.org/2000/01/rdf-schema#Class".freeze, "http://www.w3.org/2002/07/owl#Class".freeze]
    term :OnlineChatAccount,
      comment: "An online chat account.".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "Online Chat Account".freeze,
      subClassOf: "http://xmlns.com/foaf/0.1/OnlineAccount".freeze,
      type: ["http://www.w3.org/2000/01/rdf-schema#Class".freeze, "http://www.w3.org/2002/07/owl#Class".freeze]
    term :OnlineEcommerceAccount,
      comment: "An online e-commerce account.".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "Online E-commerce Account".freeze,
      subClassOf: "http://xmlns.com/foaf/0.1/OnlineAccount".freeze,
      type: ["http://www.w3.org/2000/01/rdf-schema#Class".freeze, "http://www.w3.org/2002/07/owl#Class".freeze]
    term :OnlineGamingAccount,
      comment: "An online gaming account.".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "Online Gaming Account".freeze,
      subClassOf: "http://xmlns.com/foaf/0.1/OnlineAccount".freeze,
      type: ["http://www.w3.org/2000/01/rdf-schema#Class".freeze, "http://www.w3.org/2002/07/owl#Class".freeze]
    term :Organization,
      comment: "An organization.".freeze,
      "http://www.w3.org/2002/07/owl#disjointWith": ["http://xmlns.com/foaf/0.1/Document".freeze, "http://xmlns.com/foaf/0.1/Person".freeze],
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "Organization".freeze,
      subClassOf: "http://xmlns.com/foaf/0.1/Agent".freeze,
      type: ["http://www.w3.org/2000/01/rdf-schema#Class".freeze, "http://www.w3.org/2002/07/owl#Class".freeze]
    term :Person,
      comment: "A person.".freeze,
      "http://www.w3.org/2002/07/owl#disjointWith": ["http://xmlns.com/foaf/0.1/Organization".freeze, "http://xmlns.com/foaf/0.1/Project".freeze],
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "Person".freeze,
      subClassOf: ["http://www.w3.org/2000/10/swap/pim/contact#Person".freeze, "http://www.w3.org/2003/01/geo/wgs84_pos#SpatialThing".freeze, "http://xmlns.com/foaf/0.1/Agent".freeze],
      type: ["http://www.w3.org/2000/01/rdf-schema#Class".freeze, "http://www.w3.org/2002/07/owl#Class".freeze]
    term :PersonalProfileDocument,
      comment: "A personal profile RDF document.".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "PersonalProfileDocument".freeze,
      subClassOf: "http://xmlns.com/foaf/0.1/Document".freeze,
      type: ["http://www.w3.org/2000/01/rdf-schema#Class".freeze, "http://www.w3.org/2002/07/owl#Class".freeze]
    term :Project,
      comment: "A project (a collective endeavour of some kind).".freeze,
      "http://www.w3.org/2002/07/owl#disjointWith": ["http://xmlns.com/foaf/0.1/Document".freeze, "http://xmlns.com/foaf/0.1/Person".freeze],
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "Project".freeze,
      type: ["http://www.w3.org/2000/01/rdf-schema#Class".freeze, "http://www.w3.org/2002/07/owl#Class".freeze]

    # Property definitions
    property :account,
      comment: "Indicates an account held by this agent.".freeze,
      domain: "http://xmlns.com/foaf/0.1/Agent".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "account".freeze,
      range: "http://xmlns.com/foaf/0.1/OnlineAccount".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#ObjectProperty".freeze]
    property :accountName,
      comment: "Indicates the name (identifier) associated with this online account.".freeze,
      domain: "http://xmlns.com/foaf/0.1/OnlineAccount".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "account name".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze]
    property :accountServiceHomepage,
      comment: "Indicates a homepage of the service provide for this online account.".freeze,
      domain: "http://xmlns.com/foaf/0.1/OnlineAccount".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "account service homepage".freeze,
      range: "http://xmlns.com/foaf/0.1/Document".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#ObjectProperty".freeze]
    property :age,
      comment: "The age in years of some agent.".freeze,
      domain: "http://xmlns.com/foaf/0.1/Agent".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "age".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze, "http://www.w3.org/2002/07/owl#FunctionalProperty".freeze]
    property :aimChatID,
      comment: "An AIM chat ID".freeze,
      domain: "http://xmlns.com/foaf/0.1/Agent".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "AIM chat ID".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      subPropertyOf: "http://xmlns.com/foaf/0.1/nick".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze, "http://www.w3.org/2002/07/owl#InverseFunctionalProperty".freeze]
    property :based_near,
      comment: "A location that something is based near, for some broadly human notion of near.".freeze,
      domain: "http://www.w3.org/2003/01/geo/wgs84_pos#SpatialThing".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "based near".freeze,
      range: "http://www.w3.org/2003/01/geo/wgs84_pos#SpatialThing".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#ObjectProperty".freeze]
    property :birthday,
      comment: "The birthday of this Agent, represented in mm-dd string form, eg. '12-31'.".freeze,
      domain: "http://xmlns.com/foaf/0.1/Agent".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "birthday".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze, "http://www.w3.org/2002/07/owl#FunctionalProperty".freeze]
    property :currentProject,
      comment: "A current project this person works on.".freeze,
      domain: "http://xmlns.com/foaf/0.1/Person".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "current project".freeze,
      range: "http://www.w3.org/2002/07/owl#Thing".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#ObjectProperty".freeze]
    property :depiction,
      comment: "A depiction of some thing.".freeze,
      domain: "http://www.w3.org/2002/07/owl#Thing".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      inverseOf: "http://xmlns.com/foaf/0.1/depicts".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "depiction".freeze,
      range: "http://xmlns.com/foaf/0.1/Image".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#ObjectProperty".freeze]
    property :depicts,
      comment: "A thing depicted in this representation.".freeze,
      domain: "http://xmlns.com/foaf/0.1/Image".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      inverseOf: "http://xmlns.com/foaf/0.1/depiction".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "depicts".freeze,
      range: "http://www.w3.org/2002/07/owl#Thing".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#ObjectProperty".freeze]
    property :dnaChecksum,
      comment: "A checksum for the DNA of some thing. Joke.".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "archaic".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "DNA checksum".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze]
    property :familyName,
      comment: "The family name of some person.".freeze,
      domain: "http://xmlns.com/foaf/0.1/Person".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "familyName".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze]
    property :family_name,
      comment: "The family name of some person.".freeze,
      domain: "http://xmlns.com/foaf/0.1/Person".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "archaic".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "family_name".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze]
    property :firstName,
      comment: "The first name of a person.".freeze,
      domain: "http://xmlns.com/foaf/0.1/Person".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "firstName".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze]
    property :focus,
      comment: "The underlying or 'focal' entity associated with some SKOS-described concept.".freeze,
      domain: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "focus".freeze,
      range: "http://www.w3.org/2002/07/owl#Thing".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#ObjectProperty".freeze]
    property :fundedBy,
      comment: "An organization funding a project or person.".freeze,
      domain: "http://www.w3.org/2002/07/owl#Thing".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "archaic".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "funded by".freeze,
      range: "http://www.w3.org/2002/07/owl#Thing".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#ObjectProperty".freeze]
    property :geekcode,
      comment: "A textual geekcode for this person, see http://www.geekcode.com/geek.html".freeze,
      domain: "http://xmlns.com/foaf/0.1/Person".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "archaic".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "geekcode".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze]
    property :gender,
      comment: "The gender of this Agent (typically but not necessarily 'male' or 'female').".freeze,
      domain: "http://xmlns.com/foaf/0.1/Agent".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "gender".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze, "http://www.w3.org/2002/07/owl#FunctionalProperty".freeze]
    property :givenName,
      comment: "The given name of some person.".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "Given name".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze]
    property :givenname,
      comment: "The given name of some person.".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "archaic".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "Given name".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze]
    property :holdsAccount,
      comment: "Indicates an account held by this agent.".freeze,
      domain: "http://xmlns.com/foaf/0.1/Agent".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "archaic".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "account".freeze,
      range: "http://xmlns.com/foaf/0.1/OnlineAccount".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#ObjectProperty".freeze]
    property :homepage,
      comment: "A homepage for some thing.".freeze,
      domain: "http://www.w3.org/2002/07/owl#Thing".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "homepage".freeze,
      range: "http://xmlns.com/foaf/0.1/Document".freeze,
      subPropertyOf: ["http://xmlns.com/foaf/0.1/isPrimaryTopicOf".freeze, "http://xmlns.com/foaf/0.1/page".freeze],
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#InverseFunctionalProperty".freeze, "http://www.w3.org/2002/07/owl#ObjectProperty".freeze]
    property :icqChatID,
      comment: "An ICQ chat ID".freeze,
      domain: "http://xmlns.com/foaf/0.1/Agent".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "ICQ chat ID".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      subPropertyOf: "http://xmlns.com/foaf/0.1/nick".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze, "http://www.w3.org/2002/07/owl#InverseFunctionalProperty".freeze]
    property :img,
      comment: "An image that can be used to represent some thing (ie. those depictions which are particularly representative of something, eg. one's photo on a homepage).".freeze,
      domain: "http://xmlns.com/foaf/0.1/Person".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "image".freeze,
      range: "http://xmlns.com/foaf/0.1/Image".freeze,
      subPropertyOf: "http://xmlns.com/foaf/0.1/depiction".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#ObjectProperty".freeze]
    property :interest,
      comment: "A page about a topic of interest to this person.".freeze,
      domain: "http://xmlns.com/foaf/0.1/Agent".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "interest".freeze,
      range: "http://xmlns.com/foaf/0.1/Document".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#ObjectProperty".freeze]
    property :isPrimaryTopicOf,
      comment: "A document that this thing is the primary topic of.".freeze,
      domain: "http://www.w3.org/2002/07/owl#Thing".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      inverseOf: "http://xmlns.com/foaf/0.1/primaryTopic".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "is primary topic of".freeze,
      range: "http://xmlns.com/foaf/0.1/Document".freeze,
      subPropertyOf: "http://xmlns.com/foaf/0.1/page".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#InverseFunctionalProperty".freeze]
    property :jabberID,
      comment: "A jabber ID for something.".freeze,
      domain: "http://xmlns.com/foaf/0.1/Agent".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "jabber ID".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze, "http://www.w3.org/2002/07/owl#InverseFunctionalProperty".freeze]
    property :knows,
      comment: "A person known by this person (indicating some level of reciprocated interaction between the parties).".freeze,
      domain: "http://xmlns.com/foaf/0.1/Person".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "knows".freeze,
      range: "http://xmlns.com/foaf/0.1/Person".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#ObjectProperty".freeze]
    property :lastName,
      comment: "The last name of a person.".freeze,
      domain: "http://xmlns.com/foaf/0.1/Person".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "lastName".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze]
    property :logo,
      comment: "A logo representing some thing.".freeze,
      domain: "http://www.w3.org/2002/07/owl#Thing".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "logo".freeze,
      range: "http://www.w3.org/2002/07/owl#Thing".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#InverseFunctionalProperty".freeze, "http://www.w3.org/2002/07/owl#ObjectProperty".freeze]
    property :made,
      comment: "Something that was made by this agent.".freeze,
      domain: "http://xmlns.com/foaf/0.1/Agent".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      inverseOf: "http://xmlns.com/foaf/0.1/maker".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "made".freeze,
      range: "http://www.w3.org/2002/07/owl#Thing".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#ObjectProperty".freeze]
    property :maker,
      comment: "An agent that made this thing.".freeze,
      domain: "http://www.w3.org/2002/07/owl#Thing".freeze,
      equivalentProperty: "http://purl.org/dc/terms/creator".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      inverseOf: "http://xmlns.com/foaf/0.1/made".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "maker".freeze,
      range: "http://xmlns.com/foaf/0.1/Agent".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#ObjectProperty".freeze]
    property :mbox,
      comment: "A personal mailbox, ie. an Internet mailbox associated with exactly one owner, the first owner of this mailbox. This is a 'static inverse functional property', in that there is (across time and change) at most one individual that ever has any particular value for foaf:mbox.".freeze,
      domain: "http://xmlns.com/foaf/0.1/Agent".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "personal mailbox".freeze,
      range: "http://www.w3.org/2002/07/owl#Thing".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#InverseFunctionalProperty".freeze, "http://www.w3.org/2002/07/owl#ObjectProperty".freeze]
    property :mbox_sha1sum,
      comment: "The sha1sum of the URI of an Internet mailbox associated with exactly one owner, the first owner of the mailbox.".freeze,
      domain: "http://xmlns.com/foaf/0.1/Agent".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "sha1sum of a personal mailbox URI name".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze, "http://www.w3.org/2002/07/owl#InverseFunctionalProperty".freeze]
    property :member,
      comment: "Indicates a member of a Group".freeze,
      domain: "http://xmlns.com/foaf/0.1/Group".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "member".freeze,
      range: "http://xmlns.com/foaf/0.1/Agent".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#ObjectProperty".freeze]
    property :membershipClass,
      comment: "Indicates the class of individuals that are a member of a Group".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "membershipClass".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#AnnotationProperty".freeze]
    property :msnChatID,
      comment: "An MSN chat ID".freeze,
      domain: "http://xmlns.com/foaf/0.1/Agent".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "MSN chat ID".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      subPropertyOf: "http://xmlns.com/foaf/0.1/nick".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze, "http://www.w3.org/2002/07/owl#InverseFunctionalProperty".freeze]
    property :myersBriggs,
      comment: "A Myers Briggs (MBTI) personality classification.".freeze,
      domain: "http://xmlns.com/foaf/0.1/Person".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "myersBriggs".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze]
    property :name,
      comment: "A name for some thing.".freeze,
      domain: "http://www.w3.org/2002/07/owl#Thing".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "name".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      subPropertyOf: "http://www.w3.org/2000/01/rdf-schema#label".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze]
    property :nick,
      comment: "A short informal nickname characterising an agent (includes login identifiers, IRC and other chat nicknames).".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "nickname".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze]
    property :openid,
      comment: "An OpenID for an Agent.".freeze,
      domain: "http://xmlns.com/foaf/0.1/Agent".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "openid".freeze,
      range: "http://xmlns.com/foaf/0.1/Document".freeze,
      subPropertyOf: "http://xmlns.com/foaf/0.1/isPrimaryTopicOf".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#InverseFunctionalProperty".freeze, "http://www.w3.org/2002/07/owl#ObjectProperty".freeze]
    property :page,
      comment: "A page or document about this thing.".freeze,
      domain: "http://www.w3.org/2002/07/owl#Thing".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      inverseOf: "http://xmlns.com/foaf/0.1/topic".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "page".freeze,
      range: "http://xmlns.com/foaf/0.1/Document".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#ObjectProperty".freeze]
    property :pastProject,
      comment: "A project this person has previously worked on.".freeze,
      domain: "http://xmlns.com/foaf/0.1/Person".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "past project".freeze,
      range: "http://www.w3.org/2002/07/owl#Thing".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#ObjectProperty".freeze]
    property :phone,
      comment: "A phone, specified using fully qualified tel: URI scheme (refs: http://www.w3.org/Addressing/schemes.html#tel).".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "phone".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#ObjectProperty".freeze]
    property :plan,
      comment: "A .plan comment, in the tradition of finger and '.plan' files.".freeze,
      domain: "http://xmlns.com/foaf/0.1/Person".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "plan".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze]
    property :primaryTopic,
      comment: "The primary topic of some page or document.".freeze,
      domain: "http://xmlns.com/foaf/0.1/Document".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      inverseOf: "http://xmlns.com/foaf/0.1/isPrimaryTopicOf".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "primary topic".freeze,
      range: "http://www.w3.org/2002/07/owl#Thing".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#FunctionalProperty".freeze, "http://www.w3.org/2002/07/owl#ObjectProperty".freeze]
    property :publications,
      comment: "A link to the publications of this person.".freeze,
      domain: "http://xmlns.com/foaf/0.1/Person".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "publications".freeze,
      range: "http://xmlns.com/foaf/0.1/Document".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#ObjectProperty".freeze]
    property :schoolHomepage,
      comment: "A homepage of a school attended by the person.".freeze,
      domain: "http://xmlns.com/foaf/0.1/Person".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "schoolHomepage".freeze,
      range: "http://xmlns.com/foaf/0.1/Document".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#ObjectProperty".freeze]
    property :sha1,
      comment: "A sha1sum hash, in hex.".freeze,
      domain: "http://xmlns.com/foaf/0.1/Document".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "sha1sum (hex)".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze]
    property :skypeID,
      comment: "A Skype ID".freeze,
      domain: "http://xmlns.com/foaf/0.1/Agent".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "Skype ID".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      subPropertyOf: "http://xmlns.com/foaf/0.1/nick".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze]
    property :status,
      comment: "A string expressing what the user is happy for the general public (normally) to know about their current activity.".freeze,
      domain: "http://xmlns.com/foaf/0.1/Agent".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "status".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze]
    property :surname,
      comment: "The surname of some person.".freeze,
      domain: "http://xmlns.com/foaf/0.1/Person".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "archaic".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "Surname".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze]
    property :theme,
      comment: "A theme.".freeze,
      domain: "http://www.w3.org/2002/07/owl#Thing".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "archaic".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "theme".freeze,
      range: "http://www.w3.org/2002/07/owl#Thing".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#ObjectProperty".freeze]
    property :thumbnail,
      comment: "A derived thumbnail image.".freeze,
      domain: "http://xmlns.com/foaf/0.1/Image".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "thumbnail".freeze,
      range: "http://xmlns.com/foaf/0.1/Image".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#ObjectProperty".freeze]
    property :tipjar,
      comment: "A tipjar document for this agent, describing means for payment and reward.".freeze,
      domain: "http://xmlns.com/foaf/0.1/Agent".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "tipjar".freeze,
      range: "http://xmlns.com/foaf/0.1/Document".freeze,
      subPropertyOf: "http://xmlns.com/foaf/0.1/page".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#ObjectProperty".freeze]
    property :title,
      comment: "Title (Mr, Mrs, Ms, Dr. etc)".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "title".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze]
    property :topic,
      comment: "A topic of some page or document.".freeze,
      domain: "http://xmlns.com/foaf/0.1/Document".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      inverseOf: "http://xmlns.com/foaf/0.1/page".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "topic".freeze,
      range: "http://www.w3.org/2002/07/owl#Thing".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#ObjectProperty".freeze]
    property :topic_interest,
      comment: "A thing of interest to this person.".freeze,
      domain: "http://xmlns.com/foaf/0.1/Agent".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "topic_interest".freeze,
      range: "http://www.w3.org/2002/07/owl#Thing".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#ObjectProperty".freeze]
    property :weblog,
      comment: "A weblog of some thing (whether person, group, company etc.).".freeze,
      domain: "http://xmlns.com/foaf/0.1/Agent".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "weblog".freeze,
      range: "http://xmlns.com/foaf/0.1/Document".freeze,
      subPropertyOf: "http://xmlns.com/foaf/0.1/page".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#InverseFunctionalProperty".freeze, "http://www.w3.org/2002/07/owl#ObjectProperty".freeze]
    property :workInfoHomepage,
      comment: "A work info homepage of some person; a page about their work for some organization.".freeze,
      domain: "http://xmlns.com/foaf/0.1/Person".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "work info homepage".freeze,
      range: "http://xmlns.com/foaf/0.1/Document".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#ObjectProperty".freeze]
    property :workplaceHomepage,
      comment: "A workplace homepage of some person; the homepage of an organization they work for.".freeze,
      domain: "http://xmlns.com/foaf/0.1/Person".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "workplace homepage".freeze,
      range: "http://xmlns.com/foaf/0.1/Document".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#ObjectProperty".freeze]
    property :yahooChatID,
      comment: "A Yahoo chat ID".freeze,
      domain: "http://xmlns.com/foaf/0.1/Agent".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://xmlns.com/foaf/0.1/".freeze,
      label: "Yahoo chat ID".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      subPropertyOf: "http://xmlns.com/foaf/0.1/nick".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze, "http://www.w3.org/2002/07/owl#InverseFunctionalProperty".freeze]
  end
end
