# -*- encoding: utf-8 -*-
# frozen_string_literal: true
# This file generated automatically using rdf vocabulary format from http://purl.org/ontology/mo/
require 'rdf'
module RDF::Vocab
  MO = Class.new(RDF::Vocabulary("http://purl.org/ontology/mo/")) do

    # Ontology definition
    ontology :"http://purl.org/ontology/mo/",
      "http://purl.org/dc/elements/1.1/created": "2006/12/21 12:00:00".freeze,
      "http://purl.org/dc/elements/1.1/date": "2013/07/22 16:54:19".freeze,
      "http://purl.org/dc/elements/1.1/description": "\n        The Music Ontology Specification provides main concepts and \n        properties fo describing music (i.e. artists, albums and tracks) \n        on the Semantic Web. \n    ".freeze,
      "http://purl.org/dc/elements/1.1/title": "The Music Ontology".freeze,
      "http://purl.org/vocab/vann/preferredNamespacePrefix": "mo".freeze,
      "http://purl.org/vocab/vann/preferredNamespaceUri": "http://purl.org/ontology/mo/".freeze,
      "http://www.w3.org/2002/07/owl#imports": ["http://purl.org/NET/c4dm/event.owl".freeze, "http://purl.org/NET/c4dm/keys.owl".freeze, "http://purl.org/dc/terms/".freeze, "http://purl.org/ontology/ao/core".freeze, "http://purl.org/vocab/bio/0.1/".freeze, "http://purl.org/vocab/frbr/core".freeze, "http://www.w3.org/2006/time".freeze, "http://xmlns.com/foaf/0.1/".freeze],
      "http://www.w3.org/2002/07/owl#versionInfo": "Revision: 2.1.5".freeze,
      "http://xmlns.com/foaf/0.1/maker": ["http://foaf.me/zazi#me".freeze, "http://kurtisrandom.com/foaf.rdf#kurtjx".freeze, "http://raimond.me.uk/foaf.rdf#moustaki".freeze, "http://www.talkdigger.com/foaf/fgiasson".freeze, term(
          "http://xmlns.com/foaf/0.1/homepage": "http://apassant.net/".freeze,
          "http://xmlns.com/foaf/0.1/name": "Alexandre Passant".freeze
        ), term(
          "http://xmlns.com/foaf/0.1/homepage": "http://simon-reinhardt.de/".freeze,
          "http://xmlns.com/foaf/0.1/name": "Simon Reinhardt".freeze
        ), term(
          "http://xmlns.com/foaf/0.1/name": "George Fazekas".freeze
        )],
      type: "http://www.w3.org/2002/07/owl#Ontology".freeze

    # Class definitions
    term :Activity,
      comment: "\n        An activity period, defining when an artist was musically active.\n    ".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "activity".freeze,
      subClassOf: "http://purl.org/NET/c4dm/event.owl#Event".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :AnalogSignal,
      comment: "\n        An analog signal.\n    ".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2002/07/owl#disjointWith": "http://purl.org/ontology/mo/DigitalSignal".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "analogue signal".freeze,
      subClassOf: "http://purl.org/ontology/mo/Signal".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Arrangement,
      comment: "\n        An arrangement event.\n        Takes as agent the arranger, and produces a score (informational object, not the actually published score).\n    ".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "arrangement".freeze,
      subClassOf: "http://purl.org/NET/c4dm/event.owl#Event".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Arranger,
      equivalentClass: term(
          onProperty: "http://purl.org/NET/c4dm/event.owl#isAgentIn".freeze,
          someValuesFrom: "http://purl.org/ontology/mo/Arrangement".freeze,
          type: "http://www.w3.org/2002/07/owl#Restriction".freeze
        ),
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      label: "arranger".freeze,
      subClassOf: "http://xmlns.com/foaf/0.1/Agent".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :AudioFile,
      comment: "An audio file, which may be available on a local file system or through http, ftp, etc.".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "audio file".freeze,
      subClassOf: ["http://purl.org/ontology/mo/Medium".freeze, "http://xmlns.com/foaf/0.1/Document".freeze],
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :CD,
      comment: "Compact Disc used as medium to record a musical manifestation.".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "CD".freeze,
      subClassOf: "http://purl.org/ontology/mo/Medium".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Composer,
      equivalentClass: term(
          onProperty: "http://purl.org/NET/c4dm/event.owl#isAgentIn".freeze,
          someValuesFrom: "http://purl.org/ontology/mo/Composition".freeze,
          type: "http://www.w3.org/2002/07/owl#Restriction".freeze
        ),
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      label: "composer".freeze,
      subClassOf: "http://xmlns.com/foaf/0.1/Agent".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Composition,
      comment: "\n        A composition event.\n        Takes as agent the composer himself.\n        It produces a MusicalWork, or a MusicalExpression (when the initial \"product\" is a score, for example), or both...\n    ".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "composition".freeze,
      subClassOf: "http://purl.org/NET/c4dm/event.owl#Event".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Conductor,
      equivalentClass: term(
          onProperty: "http://purl.org/ontology/mo/conducted".freeze,
          someValuesFrom: "http://purl.org/ontology/mo/Performance".freeze,
          type: "http://www.w3.org/2002/07/owl#Restriction".freeze
        ),
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      label: "conductor".freeze,
      subClassOf: "http://xmlns.com/foaf/0.1/Agent".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :CorporateBody,
      comment: "Organization or group of individuals and/or other organizations involved in the music market.".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "corporate body".freeze,
      subClassOf: "http://xmlns.com/foaf/0.1/Organization".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :DAT,
      comment: "Digital Audio Tape used as medium to record a musical manifestation.".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "DAT".freeze,
      subClassOf: "http://purl.org/ontology/mo/Medium".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :DCC,
      comment: "Digital Compact Cassette used as medium to record a musical manifestation.".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "DCC".freeze,
      subClassOf: "http://purl.org/ontology/mo/Medium".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :DVDA,
      comment: "DVD-Audio used as medium to record a musical manifestation.".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "DVDA".freeze,
      subClassOf: "http://purl.org/ontology/mo/Medium".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :DigitalSignal,
      comment: "\n        A digital signal\n    ".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2002/07/owl#disjointWith": "http://purl.org/ontology/mo/AnalogSignal".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "digital signal".freeze,
      subClassOf: "http://purl.org/ontology/mo/Signal".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :ED2K,
      comment: "Something available on the E-Donkey peer-2-peer filesharing network".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "ED2K".freeze,
      subClassOf: "http://purl.org/ontology/mo/Medium".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Festival,
      comment: "\n        A festival - musical/artistic event lasting several days, like Glastonbury, Rock Am Ring...\n        We migth decompose this event (which is in fact just a classification of the space/time region related to \n        a particular festival) using hasSubEvent in several performances at different space/time.\n    ".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "Festival".freeze,
      subClassOf: "http://purl.org/NET/c4dm/event.owl#Event".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Genre,
      comment: "\n        An expressive style of music.\n        \n        Any taxonomy can be plug-in here. You can either define a genre by yourself, like this:\n\n        :mygenre a mo:Genre; dc:title \"electro rock\".\n\n        Or you can refer to a DBPedia genre (such as http://dbpedia.org/resource/Baroque_music), allowing semantic web\n        clients to access easily really detailed structured information about the genre you are refering to.\n    ".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "Genre".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Instrument,
      comment: "\n        Any of various devices or contrivances that can be used to produce musical tones or sound.\n        \n        Any taxonomy can be used to subsume this concept. The default one is one extracted by Ivan Herman\n        from the Musicbrainz instrument taxonomy, conforming to SKOS. This concept holds a seeAlso link \n        towards this taxonomy.\n    ".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://purl.org/ontology/mo/mit#".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "Instrument".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Instrumentation,
      comment: "\n        Instrumentation deals with the techniques of writing music for a specific instrument, \n        including the limitations of the instrument, playing techniques and idiomatic handling of the instrument.\n    ".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "instrumentation".freeze,
      subClassOf: "http://purl.org/ontology/mo/Arrangement".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Label,
      comment: "Trade name of a company that produces musical works or expression of musical works.".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "label".freeze,
      subClassOf: "http://purl.org/ontology/mo/CorporateBody".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Libretto,
      comment: "\n                Libretto\n        ".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "libretto".freeze,
      subClassOf: "http://purl.org/ontology/mo/MusicalExpression".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Listener,
      equivalentClass: term(
          onProperty: "http://purl.org/ontology/mo/listened".freeze,
          someValuesFrom: "http://purl.org/ontology/mo/Performance".freeze,
          type: "http://www.w3.org/2002/07/owl#Restriction".freeze
        ),
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      label: "listened".freeze,
      subClassOf: "http://xmlns.com/foaf/0.1/Agent".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Lyrics,
      comment: "\n        Lyrics\n    ".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "lyrics".freeze,
      subClassOf: "http://purl.org/ontology/mo/MusicalExpression".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :MD,
      comment: "Mini Disc used as medium to record a musical manifestation.".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "MD".freeze,
      subClassOf: "http://purl.org/ontology/mo/Medium".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :MagneticTape,
      comment: "Magnetic analogue tape used as medium to record a musical manifestation.".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "MagneticTape".freeze,
      subClassOf: "http://purl.org/ontology/mo/Medium".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Medium,
      comment: "A means or instrumentality for storing or communicating musical manifestation.".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "Medium".freeze,
      subClassOf: "http://purl.org/ontology/mo/MusicalItem".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Membership,
      comment: "A membership event, where one or several people belongs to a group during a particular time period.".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "membership".freeze,
      subClassOf: "http://purl.org/NET/c4dm/event.owl#Event".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Movement,
      comment: "A movement is a self-contained part of a musical work. While individual or selected movements from a composition are sometimes performed separately, a performance of the complete work requires all the movements to be performed in succession.\n\nOften a composer attempts to interrelate the movements thematically, or sometimes in more subtle ways, in order that the individual\nmovements exert a cumulative effect. In some forms, composers sometimes link the movements, or ask for them to be played without a\npause between them.\n    ".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "movement".freeze,
      subClassOf: "http://purl.org/ontology/mo/MusicalWork".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :MusicArtist,
      comment: "\n        A person or a group of people (or a computer :-) ), whose musical \n        creative work shows sensitivity and imagination \n    ".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "music artist".freeze,
      subClassOf: "http://xmlns.com/foaf/0.1/Agent".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :MusicGroup,
      comment: "Group of musicians, or musical ensemble, usually popular or folk, playing parts of or improvising off of a musical arrangement. ".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "music group".freeze,
      subClassOf: ["http://purl.org/ontology/mo/MusicArtist".freeze, "http://xmlns.com/foaf/0.1/Group".freeze],
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :MusicalExpression,
      comment: "\nThe intellectual or artistic realization of a work in the form of alpha-numeric, musical, or choreographic notation, sound, etc., or any combination of such forms.    \n\n\nFor example:\n\nWork #1 Franz Schubert's Trout quintet\n\n    * Expression #1 the composer's score\n    * Expression #2 sound issued from the performance by the Amadeus Quartet and Hephzibah Menuhin on piano\n    * Expression #3 sound issued from the performance by the Cleveland Quartet and Yo-Yo Ma on the cello\n    * . . . . \n\nThe Music Ontology defines the following sub-concepts of a MusicalExpression, which should be used instead of MusicalExpression itself: Score (the\nresult of an arrangement), Sound (produced during a performance), Signal. However, it is possible to stick to FRBR and bypass the worflow\nmechanism this ontology defines by using the core FRBR properties on such objects. But it is often better to use events to interconnect such \nexpressions (allowing to go deeply into the production process - `this performer was playing this particular instrument at that\nparticular time').\n    \n    ".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "musical expression".freeze,
      subClassOf: "http://purl.org/vocab/frbr/core#Expression".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :MusicalItem,
      comment: "A single exemplar of a musical expression.\n    \nFor example, it could be a single exemplar of a CD. This is normally an single object (a CD) possessed by somebody.\n\nFrom the FRBR final report: The entity defined as item is a concrete entity. It is in many instances a single physical object (e.g., a copy of a one-volume monograph, a single audio cassette, etc.). There are instances, however, where the entity defined as item comprises more than one physical object (e.g., a monograph issued as two separately bound volumes, a recording issued on three separate compact discs, etc.).\n\nIn terms of intellectual content and physical form, an item exemplifying a manifestation is normally the same as the manifestation itself. However, variations may occur from one item to another, even when the items exemplify the same manifestation, where those variations are the result of actions external to the intent of the producer of the manifestation (e.g., damage occurring after the item was produced, binding performed by a library, etc.). \n    ".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "MusicalItem".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :MusicalManifestation,
      comment: "\n\nThis entity is related to the edition/production/publication of a musical expression (musical manifestation are closely related with the music industry (their terms, concepts, definitions, methods (production, publication, etc.), etc.)\n    \nFrom the FRBR final report: The entity defined as manifestation encompasses a wide range of materials, including manuscripts, books, periodicals, maps, posters, sound recordings, films, video recordings, CD-ROMs, multimedia kits, etc. As an entity, manifestation represents all the physical objects that bear the same characteristics, in respect to both intellectual content and physical form.\n\n\nWork #1 J. S. Bach's Six suites for unaccompanied cello\n\n    * Expression #1 sound issued during the performance by Janos Starker recorded in 1963 and 1965\n          o Manifestation #1 recordings released on 33 1/3 rpm sound discs in 1965 by Mercury\n          o Manifestation #2 recordings re-released on compact disc in 1991 by Mercury \n    * Expression #2 sound issued during the performances by Yo-Yo Ma recorded in 1983\n          o Manifestation #1 recordings released on 33 1/3 rpm sound discs in 1983 by CBS Records\n          o Manifestation #2 recordings re-released on compact disc in 1992 by CBS Records \n\n          \nChanges that occur deliberately or even inadvertently in the production process that affect the copies result, strictly speaking, in a new manifestation. A manifestation resulting from such a change may be identified as a particular \"state\" or \"issue\" of the publication.\n\nChanges that occur to an individual copy after the production process is complete (e.g., the loss of a page, rebinding, etc.) are not considered to result in a new manifestation. That copy is simply considered to be an exemplar (or item) of the manifestation that deviates from the copy as produced.\n\nWith the entity defined as manifestation we can describe the physical characteristics of a set of items and the characteristics associated with the production and distribution of that set of items that may be important factors in enabling users to choose a manifestation appropriate to their physical needs and constraints, and to identify and acquire a copy of that manifestation.\n\nDefining manifestation as an entity also enables us to draw relationships between specific manifestations of a work. We can use the relationships between manifestations to identify, for example, the specific publication that was used to create a microreproduction.          \n\n".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "musical manifestation".freeze,
      subClassOf: "http://purl.org/vocab/frbr/core#Manifestation".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :MusicalWork,
      comment: "\n    Distinct intellectual or artistic musical creation.\n    \nFrom the FRBR final report: A work is an abstract entity; there is no single material object one can point to as the work. We recognize the work through individual realizations or expressions of the work, but the work itself exists only in the commonality of\ncontent between and among the various expressions of the work. When we speak of Homer's Iliad as a work, our point of reference is not a particular recitation or text of the work, but the intellectual creation that lies behind all the various expressions of the work.     \n\nFor example:\n\nwork #1 J. S. Bach's The art of the fugue\n\n    \n    ".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "musical work".freeze,
      subClassOf: "http://purl.org/vocab/frbr/core#Work".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Orchestration,
      comment: "\n            Orchestration includes, in addition to instrumentation, the handling of groups of instruments and their balance and interaction.\n    ".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "orchestration".freeze,
      subClassOf: "http://purl.org/ontology/mo/Arrangement".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Performance,
      comment: "\n        A performance event. \n        It might include as agents performers, engineers, conductors, or even listeners.\n        It might include as factors a score, a MusicalWork, musical instruments. \n        It might produce a sound:-)\n    ".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "performance".freeze,
      subClassOf: "http://purl.org/NET/c4dm/event.owl#Event".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Performer,
      equivalentClass: term(
          onProperty: "http://purl.org/ontology/mo/performed".freeze,
          someValuesFrom: "http://purl.org/ontology/mo/Performance".freeze,
          type: "http://www.w3.org/2002/07/owl#Restriction".freeze
        ),
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      label: "performer".freeze,
      subClassOf: "http://xmlns.com/foaf/0.1/Agent".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :PublishedLibretto,
      comment: "A published libretto".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "published libretto".freeze,
      subClassOf: "http://purl.org/ontology/mo/MusicalManifestation".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :PublishedLyrics,
      comment: "Published lyrics, as a book or as a text file, for example".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "published lyrics".freeze,
      subClassOf: "http://purl.org/ontology/mo/MusicalManifestation".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :PublishedScore,
      comment: "A published score (subclass of MusicalManifestation)".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "published score".freeze,
      subClassOf: "http://purl.org/ontology/mo/MusicalManifestation".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Record,
      comment: "A published record (manifestation which first aim is to render the product of a recording)".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "record".freeze,
      subClassOf: "http://purl.org/ontology/mo/MusicalManifestation".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Recording,
      comment: "\n        A recording event.\n        Takes a sound as a factor to produce a signal (analog or digital).\n        The location of such events (if any) is the actual location of the corresponding\n        microphone or the \"recording device\".\n    ".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "recording".freeze,
      subClassOf: "http://purl.org/NET/c4dm/event.owl#Event".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :RecordingSession,
      comment: "A set of performances/recordings/mastering events. This event can be decomposed in its constituent events using event:sub_event".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "recording session".freeze,
      subClassOf: "http://purl.org/NET/c4dm/event.owl#Event".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Release,
      comment: "A specific release, with barcode, box, liner notes, cover art, and a number of records".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "release".freeze,
      subClassOf: "http://purl.org/ontology/mo/MusicalManifestation".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :ReleaseEvent,
      comment: "A release event, in a particular place (e.g. a country) at a particular time. Other factors of this event might include cover art, liner notes, box, etc. or a release grouping all these.".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "release event".freeze,
      subClassOf: "http://purl.org/NET/c4dm/event.owl#Event".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :ReleaseStatus,
      comment: "Musical manifestation release status.".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "release status".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :ReleaseType,
      comment: "\n        Release type of a particular manifestation, such as \"album\" or \"interview\"...\n    ".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "Release type".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :SACD,
      comment: "Super Audio Compact Disc used as medium to record a musical manifestation.".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "SACD".freeze,
      subClassOf: "http://purl.org/ontology/mo/Medium".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Score,
      comment: "\n        Here, we are dealing with the informational object (the MusicalExpression), not the actually \"published\" score.\n        This may be, for example, the product of an arrangement process.\n    ".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "score".freeze,
      subClassOf: "http://purl.org/ontology/mo/MusicalExpression".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Show,
      comment: "\n        A show - a musical event lasting several days, in a particular venue. Examples can be\n        \"The Magic Flute\" at the Opera Bastille, August 2005, or a musical in the west end...\n    ".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "Show".freeze,
      subClassOf: "http://purl.org/NET/c4dm/event.owl#Event".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Signal,
      comment: "\n        A subclass of MusicalExpression, representing a signal, for example a master signal produced by a performance and a recording.\n    ".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "signal".freeze,
      subClassOf: "http://purl.org/ontology/mo/MusicalExpression".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :SignalGroup,
      comment: "\n        A musical expression representing a group of signals, for example a set of masters resulting from a whole recording/mastering session.\n    ".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "signal group".freeze,
      subClassOf: "http://purl.org/ontology/mo/MusicalExpression".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :SoloMusicArtist,
      comment: "Single person whose musical creative work shows sensitivity and imagination.".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "solo music artist".freeze,
      subClassOf: ["http://purl.org/ontology/mo/MusicArtist".freeze, "http://xmlns.com/foaf/0.1/Person".freeze],
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Sound,
      comment: "\n        A subclass of MusicalExpression, representing a sound. Realisation of a MusicalWork during a musical Performance.\n    ".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "sound".freeze,
      subClassOf: ["http://purl.org/NET/c4dm/event.owl#Event".freeze, "http://purl.org/ontology/mo/MusicalExpression".freeze],
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :SoundEngineer,
      equivalentClass: term(
          onProperty: "http://purl.org/ontology/mo/engineered".freeze,
          someValuesFrom: "http://purl.org/ontology/mo/Performance".freeze,
          type: "http://www.w3.org/2002/07/owl#Restriction".freeze
        ),
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      label: "sound engineer".freeze,
      subClassOf: "http://xmlns.com/foaf/0.1/Agent".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Stream,
      comment: "Transmission over a network  used as medium to broadcast a musical manifestation".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "Stream".freeze,
      subClassOf: "http://purl.org/ontology/mo/Medium".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Torrent,
      comment: "Something available on the Bittorrent peer-2-peer filesharing network".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "Torrent".freeze,
      subClassOf: "http://purl.org/ontology/mo/Medium".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Track,
      comment: "A track on a particular record".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "track".freeze,
      subClassOf: "http://purl.org/ontology/mo/MusicalManifestation".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Transcription,
      comment: "Transcription event".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "transcription".freeze,
      subClassOf: "http://purl.org/NET/c4dm/event.owl#Event".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Vinyl,
      comment: "Vinyl used as medium to record a musical manifestation".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "Vinyl".freeze,
      subClassOf: "http://purl.org/ontology/mo/Medium".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze

    # Property definitions
    property :activity,
      comment: "Relates an artist to an activity period".freeze,
      domain: "http://purl.org/ontology/mo/MusicArtist".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "activity".freeze,
      range: "http://purl.org/ontology/mo/Activity".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :activity_end,
      comment: "Relates an artist to a date at which its activity ended".freeze,
      domain: "http://purl.org/ontology/mo/MusicArtist".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "activity end".freeze,
      range: "http://www.w3.org/2001/XMLSchema#date".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :activity_start,
      comment: "Relates an artist to a date at which its activity started".freeze,
      domain: "http://purl.org/ontology/mo/MusicArtist".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "activity start".freeze,
      range: "http://www.w3.org/2001/XMLSchema#date".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :amazon_asin,
      comment: "Used to link a work or the expression of a work to its corresponding Amazon ASINs page.".freeze,
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class".freeze,
          unionOf: list("http://purl.org/vocab/frbr/core#Work".freeze, "http://purl.org/vocab/frbr/core#Expression".freeze, "http://purl.org/vocab/frbr/core#Manifestation".freeze, "http://purl.org/vocab/frbr/core#Item".freeze)
        ),
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "amazon_asin".freeze,
      range: "http://xmlns.com/foaf/0.1/Document".freeze,
      subPropertyOf: "http://xmlns.com/foaf/0.1/isPrimaryTopicOf".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :arranged_in,
      comment: "\n        Associates a work to an arrangement event where it was arranged\n    ".freeze,
      domain: "http://purl.org/ontology/mo/MusicalWork".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      inverseOf: "http://purl.org/ontology/mo/arrangement_of".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "arranged in".freeze,
      range: "http://purl.org/ontology/mo/Arrangement".freeze,
      subPropertyOf: "http://purl.org/NET/c4dm/event.owl#isFactorOf".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :arrangement_of,
      comment: "\n                Associates an arrangement event to a work\n        ".freeze,
      domain: "http://purl.org/ontology/mo/Arrangement".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      inverseOf: "http://purl.org/ontology/mo/arranged_in".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "arrangement of".freeze,
      range: "http://purl.org/ontology/mo/MusicalWork".freeze,
      subPropertyOf: "http://purl.org/NET/c4dm/event.owl#factor".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :artist,
      comment: "Relates a membership event with the corresponding artist".freeze,
      domain: "http://purl.org/ontology/mo/Membership".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "artist".freeze,
      range: "http://xmlns.com/foaf/0.1/Agent".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :availableAs,
      equivalentProperty: "http://purl.org/ontology/mo/available_as".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "deprecated".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :available_as,
      comment: "\n        Relates a musical manifestation to a musical item (this album, and my particular cd). By using\n        this property, there is no assumption on wether the full content is available on the linked item.\n        To be explicit about this, you can use a sub-property, such as mo:item (the full manifestation\n        is available on that item) or mo:preview (only a part of the manifestation is available on\n        that item).\n\n        This is a subproperty of frbr:examplar.\n    ".freeze,
      domain: "http://purl.org/ontology/mo/MusicalManifestation".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      range: "http://purl.org/ontology/mo/MusicalItem".freeze,
      subPropertyOf: "http://purl.org/vocab/frbr/core#exemplar".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :biography,
      comment: "Used to link an artist to their online biography.".freeze,
      domain: "http://purl.org/ontology/mo/MusicArtist".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "biography".freeze,
      range: "http://xmlns.com/foaf/0.1/Document".freeze,
      subPropertyOf: "http://xmlns.com/foaf/0.1/isPrimaryTopicOf".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :bitsPerSample,
      comment: "\n        Associates a digital signal to the number a bits used to encode one sample. Range is xsd:int.\n    ".freeze,
      domain: "http://purl.org/ontology/mo/DigitalSignal".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      range: "http://www.w3.org/2001/XMLSchema#int".freeze,
      type: ["http://www.w3.org/2002/07/owl#DatatypeProperty".freeze, "http://www.w3.org/2002/07/owl#FunctionalProperty".freeze]
    property :bpm,
      comment: "\n        Indicates the BPM of a MusicalWork or a particular Performance \n        Beats per minute: the pace of music measured by the number of beats occurring in 60 seconds.\n    ".freeze,
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class".freeze,
          unionOf: list("http://purl.org/ontology/mo/MusicalWork".freeze, "http://purl.org/ontology/mo/Performance".freeze, "http://purl.org/ontology/mo/Signal".freeze)
        ),
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "bpm".freeze,
      range: "http://www.w3.org/2001/XMLSchema#float".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :catalogue_number,
      comment: "Links a release with the corresponding catalogue number".freeze,
      domain: "http://purl.org/ontology/mo/Release".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "catalogue number".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://purl.org/ontology/mo/uuid".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :channels,
      comment: "\n        Associates a signal to the number of channels it holds (mono --> 1, stereo --> 2). Range is xsd:int.\n    ".freeze,
      domain: "http://purl.org/ontology/mo/Signal".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      range: "http://www.w3.org/2001/XMLSchema#int".freeze,
      type: ["http://www.w3.org/2002/07/owl#DatatypeProperty".freeze, "http://www.w3.org/2002/07/owl#FunctionalProperty".freeze]
    property :collaborated_with,
      comment: "Used to relate two collaborating people on a work.".freeze,
      domain: "http://xmlns.com/foaf/0.1/Agent".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "collaborated_with".freeze,
      range: "http://xmlns.com/foaf/0.1/Agent".freeze,
      type: ["http://www.w3.org/2002/07/owl#ObjectProperty".freeze, "http://www.w3.org/2002/07/owl#SymmetricProperty".freeze]
    property :compilation_of,
      comment: "Indicates that a musical manifestation is a compilation of several Signals.".freeze,
      domain: "http://purl.org/ontology/mo/MusicalManifestation".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "compilation_of".freeze,
      range: "http://purl.org/ontology/mo/Signal".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :compiled,
      comment: "Used to relate an person or a group of person who compiled the manifestation of a musical work.".freeze,
      domain: "http://purl.org/ontology/mo/MusicArtist".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      inverseOf: "http://purl.org/ontology/mo/compiler".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "compiled".freeze,
      range: "http://purl.org/ontology/mo/MusicalManifestation".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :compiler,
      comment: "Used to relate the manifestation of a musical work to a person or a group of person who compiled it.".freeze,
      domain: "http://purl.org/ontology/mo/MusicalManifestation".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      inverseOf: "http://purl.org/ontology/mo/compiled".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "compiler".freeze,
      range: "http://purl.org/ontology/mo/MusicArtist".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :composed_in,
      comment: "\n        Associates a MusicalWork to the Composition event pertaining\n        to its creation. For example, I might use this property to associate\n        the Magic Flute to its composition event, occuring during 1782 and having as\n        a mo:composer Mozart.\n    ".freeze,
      domain: "http://purl.org/ontology/mo/MusicalWork".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      inverseOf: "http://purl.org/ontology/mo/produced_work".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "composed in".freeze,
      range: "http://purl.org/ontology/mo/Composition".freeze,
      subPropertyOf: "http://purl.org/NET/c4dm/event.owl#producedIn".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :composer,
      comment: "\n        Associates a composition event to the actual composer. For example,\n        this property could link the event corresponding to the composition of the\n        Magic Flute in 1782 to Mozart himself (who obviously has a FOAF profile:-) ).\n    ".freeze,
      domain: "http://purl.org/ontology/mo/Composition".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "composer".freeze,
      range: "http://xmlns.com/foaf/0.1/Agent".freeze,
      subPropertyOf: "http://purl.org/NET/c4dm/event.owl#agent".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :conducted,
      comment: "Relates agents to the performances they were conducting".freeze,
      domain: "http://xmlns.com/foaf/0.1/Agent".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      inverseOf: "http://purl.org/ontology/mo/conductor".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "conducted".freeze,
      range: "http://purl.org/ontology/mo/Performance".freeze,
      subPropertyOf: ["http://purl.org/NET/c4dm/event.owl#isAgentIn".freeze, "http://purl.org/vocab/bio/0.1/event".freeze],
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :conductor,
      comment: "Relates a performance to the conductor involved".freeze,
      domain: "http://purl.org/ontology/mo/Performance".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      inverseOf: "http://purl.org/ontology/mo/conducted".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      range: "http://xmlns.com/foaf/0.1/Agent".freeze,
      subPropertyOf: "http://purl.org/NET/c4dm/event.owl#agent".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :contains_sample_from,
      comment: "\n        Relates a signal to another signal, which has been sampled.\n        ".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "contains_sample_from".freeze,
      subPropertyOf: "http://purl.org/ontology/mo/derived_from".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :derived_from,
      comment: "A related signal from which the described signal is derived.".freeze,
      domain: "http://purl.org/ontology/mo/Signal".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "derived from".freeze,
      range: "http://purl.org/ontology/mo/Signal".freeze,
      subPropertyOf: "http://purl.org/dc/terms/source".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :discography,
      comment: "Used to links an artist to an online discography of their musical works. The discography should provide a summary of each released musical work of the artist.".freeze,
      domain: "http://purl.org/ontology/mo/MusicArtist".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "discography".freeze,
      range: "http://xmlns.com/foaf/0.1/Document".freeze,
      subPropertyOf: "http://xmlns.com/foaf/0.1/isPrimaryTopicOf".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :discogs,
      comment: "Used to link a musical work or the expression of a musical work, an artist or a corporate body to to its corresponding Discogs page.".freeze,
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class".freeze,
          unionOf: list("http://purl.org/ontology/mo/MusicalWork".freeze, "http://purl.org/ontology/mo/MusicalExpression".freeze, "http://purl.org/ontology/mo/MusicalManifestation".freeze, "http://purl.org/ontology/mo/MusicArtist".freeze, "http://purl.org/ontology/mo/CorporateBody".freeze)
        ),
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "discogs".freeze,
      range: "http://xmlns.com/foaf/0.1/Document".freeze,
      subPropertyOf: "http://xmlns.com/foaf/0.1/isPrimaryTopicOf".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :djmix_of,
      comment: "Indicates that all (or most of) the tracks of a musical work or the expression of a musical work were mixed together from all (or most of) the tracks from another musical work or the expression of a musical work to form a so called DJ-Mix. \n    \nThe tracks might have been altered by pitching (so that the tempo of one track matches the tempo of the following track) and fading (so that one track blends in smoothly with the other). If the tracks have been more substantially altered, the \"mo:remix\" relationship type is more appropriate. ".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "djmix_of".freeze,
      subPropertyOf: "http://purl.org/ontology/mo/derived_from".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :djmixed,
      comment: "Used to relate an artist who djmixed a musical work or the expression of a musical work. \n    \nThe artist usually selected the tracks, chose their sequence, and slightly changed them by fading (so that one track blends in smoothly with the other) or pitching (so that the tempo of one track matches the tempo of the following track). This applies to a 'Mixtape' in which all tracks were DJ-mixed together into one single long track. ".freeze,
      domain: "http://purl.org/ontology/mo/MusicArtist".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      inverseOf: "http://purl.org/ontology/mo/djmixed_by".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "djmixed".freeze,
      range: "http://purl.org/ontology/mo/Signal".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :djmixed_by,
      comment: "Used to relate a work or the expression of a work to an artist who djmixed it. \n    \nThe artist usually selected the tracks, chose their sequence, and slightly changed them by fading (so that one track blends in smoothly with the other) or pitching (so that the tempo of one track matches the tempo of the following track). This applies to a 'Mixtape' in which all tracks were DJ-mixed together into one single long track. ".freeze,
      domain: "http://purl.org/ontology/mo/Signal".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      inverseOf: "http://purl.org/ontology/mo/djmixed".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "djmixed_by".freeze,
      range: "http://purl.org/ontology/mo/MusicArtist".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :download,
      comment: "\n                This property can be used to link from a person to the website where they make their works available, or from\n                a manifestation (a track or an album, for example) to a web page where it is available for\n                download.\n        \n        It is better to use one of the three sub-properties instead of this one in order to specify wether the\n        content can be accessed for free (mo:freedownload), if it is just free preview material (mo:previewdownload), or\n        if it can be accessed for some money (mo:paiddownload) (this includes links to the Amazon store, for example).\n\n                This property MUST be used only if the content is just available through a web page (holding, for example\n                a Flash application) - it is better to link to actual content directly through the use of mo:available_as and\n                mo:Stream, mo:Torrent or mo:ED2K, etc. Therefore, Semantic Web user agents that don't know how to read HTML and even\n                less to rip streams from Flash applications can still access the audio content.\n        ".freeze,
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class".freeze,
          unionOf: list("http://purl.org/vocab/frbr/core#Manifestation".freeze, "http://xmlns.com/foaf/0.1/Agent".freeze, "http://purl.org/ontology/mo/CorporateBody".freeze)
        ),
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "download".freeze,
      range: "http://xmlns.com/foaf/0.1/Document".freeze,
      subPropertyOf: "http://xmlns.com/foaf/0.1/isPrimaryTopicOf".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :duration,
      comment: "The duration of a track or a signal in ms".freeze,
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class".freeze,
          unionOf: list("http://purl.org/ontology/mo/Track".freeze, "http://purl.org/ontology/mo/Signal".freeze)
        ),
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      range: "http://www.w3.org/2001/XMLSchema#float".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :ean,
      comment: "The European Article Number (EAN) is a universal identifier for products, commonly printed in form of barcodes on them. The numbers represented by those codes can either be 8 or 13 digits long, with the 13-digit-version being most common. EANs form a superset of the North American Universal Product Code (UPC) as every UPC can be made an EAN by adding a leading zero to it. Additionally every EAN is also a Japanese Article Number (JAN). The identifiers were formerly assigned by EAN International which merged with Uniform Code Council (UCC, the guys behind the UPCs) and Electronic Commerce Council of Canada (ECCC) to become GS1. ".freeze,
      domain: "http://purl.org/ontology/mo/Release".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "ean".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://purl.org/ontology/mo/gtin".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :encodes,
      comment: "\n        Relates a MusicalItem (a track on a particular CD, an audio file, a stream somewhere) to the signal it encodes.\n\n        This is usually a lower-resolution version of the master signal (issued from a Recording event).\n    ".freeze,
      domain: "http://purl.org/ontology/mo/MusicalItem".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "encodes".freeze,
      range: "http://purl.org/ontology/mo/Signal".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :encoding,
      comment: "Method used to convert analog electronic signals into digital format such as \"MP3 CBR @ 128kbps\", \"OGG @ 160kbps\", \"FLAC\", etc.".freeze,
      domain: "http://purl.org/ontology/mo/AudioFile".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "encoding".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :engineer,
      comment: "Relates a performance or a recording to the engineer involved".freeze,
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class".freeze,
          unionOf: list("http://purl.org/ontology/mo/Performance".freeze, "http://purl.org/ontology/mo/Recording".freeze, "http://purl.org/ontology/mo/RecordingSession".freeze)
        ),
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      inverseOf: "http://purl.org/ontology/mo/engineered".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      range: "http://xmlns.com/foaf/0.1/Agent".freeze,
      subPropertyOf: "http://purl.org/NET/c4dm/event.owl#agent".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :engineered,
      comment: "Relates agents to the performances/recordings they were engineering in".freeze,
      domain: "http://xmlns.com/foaf/0.1/Agent".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      inverseOf: "http://purl.org/ontology/mo/engineer".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "engineered".freeze,
      range: term(
          type: "http://www.w3.org/2002/07/owl#Class".freeze,
          unionOf: list("http://purl.org/ontology/mo/Performance".freeze, "http://purl.org/ontology/mo/Recording".freeze, "http://purl.org/ontology/mo/RecordingSession".freeze)
        ),
      subPropertyOf: ["http://purl.org/NET/c4dm/event.owl#isAgentIn".freeze, "http://purl.org/vocab/bio/0.1/event".freeze],
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :eventHomePage,
      equivalentProperty: "http://purl.org/ontology/mo/event_homepage".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "deprecated".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :event_homepage,
      comment: "Links a particular event to a web page".freeze,
      domain: "http://purl.org/NET/c4dm/event.owl#Event".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "event homepage".freeze,
      range: "http://xmlns.com/foaf/0.1/Document".freeze,
      subPropertyOf: "http://xmlns.com/foaf/0.1/isPrimaryTopicOf".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :exchange_item,
      comment: "A person, a group of person or an organization exchanging an exemplar of a single manifestation.".freeze,
      domain: "http://xmlns.com/foaf/0.1/Agent".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "exchange_item".freeze,
      range: "http://purl.org/vocab/frbr/core#Item".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :fanpage,
      comment: "Used to link an artist to a fan-created webpage devoted to that artist.".freeze,
      domain: "http://purl.org/ontology/mo/MusicArtist".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "fanpage".freeze,
      range: "http://xmlns.com/foaf/0.1/Document".freeze,
      subPropertyOf: "http://xmlns.com/foaf/0.1/isPrimaryTopicOf".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :free_download,
      comment: "\n        This property can be used to link from a person to the website where they make their works available, or from\n        a manifestation (a track or an album, for example) to a web page where it is available for free \n        download.\n\n        This property MUST be used only if the content is just available through a web page (holding, for example\n        a Flash application) - it is better to link to actual content directly through the use of mo:available_as and \n        mo:Stream, mo:Torrent or mo:ED2K, etc. Therefore, Semantic Web user agents that don't know how to read HTML and even\n        less to rip streams from Flash applications can still access the audio content.\n    ".freeze,
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class".freeze,
          unionOf: list("http://purl.org/vocab/frbr/core#Manifestation".freeze, "http://xmlns.com/foaf/0.1/Agent".freeze, "http://purl.org/ontology/mo/CorporateBody".freeze)
        ),
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "free download".freeze,
      range: "http://xmlns.com/foaf/0.1/Document".freeze,
      subPropertyOf: ["http://purl.org/ontology/mo/download".freeze, "http://xmlns.com/foaf/0.1/isPrimaryTopicOf".freeze],
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :freedownload,
      equivalentProperty: "http://purl.org/ontology/mo/free_download".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "deprecated".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :genre,
      comment: "\n        Associates an event (like a performance or a recording) to a particular musical genre.\n        Further version of this property may also include works and scores in the domain.\n    ".freeze,
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class".freeze,
          unionOf: list("http://xmlns.com/foaf/0.1/Agent".freeze, "http://purl.org/ontology/mo/Performance".freeze, "http://purl.org/ontology/mo/Arrangement".freeze, "http://purl.org/ontology/mo/Composition".freeze, "http://purl.org/ontology/mo/Recording".freeze, "http://purl.org/ontology/mo/RecordingSession".freeze, "http://purl.org/ontology/mo/MusicalWork".freeze, "http://purl.org/ontology/mo/MusicalExpression".freeze, "http://purl.org/ontology/mo/MusicalManifestation".freeze, "http://purl.org/ontology/mo/MusicalItem".freeze)
        ),
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "genre".freeze,
      range: "http://purl.org/ontology/mo/Genre".freeze,
      subPropertyOf: "http://purl.org/ontology/ao/core#genre".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :grid,
      comment: "The Global Release Identifier (GRid) is a system for uniquely identifying Releases of music over electronic networks (that is, online stores where you can buy music as digital files). As that it can be seen as the equivalent of the BarCode (or more correctly the GTIN) as found on physical releases of music. Like the ISRC (a code for identifying single recordings as found on releases) it was developed by the IFPI but it does not appear to be a standard of the ISO.".freeze,
      domain: "http://purl.org/ontology/mo/Release".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "GRid".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://purl.org/ontology/mo/uuid".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :group,
      comment: "Relates a membership event with the corresponding group".freeze,
      domain: "http://purl.org/ontology/mo/Membership".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "group".freeze,
      range: "http://xmlns.com/foaf/0.1/Group".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :gtin,
      comment: "GTIN is a grouping term for EANs and UPCs. In common speech those are called barcodes although the barcodes are just a representation of those identifying numbers.".freeze,
      domain: "http://purl.org/ontology/mo/Release".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "gtin".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :has_track,
      equivalentProperty: "http://purl.org/ontology/mo/track".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "deprecated".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :headliner,
      comment: "Relates a performance to the headliner(s) involved".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "headliner".freeze,
      subPropertyOf: "http://purl.org/ontology/mo/performer".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :homepage,
      comment: "Links an artist, a record, etc. to a corresponding web page".freeze,
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class".freeze,
          unionOf: list("http://purl.org/ontology/mo/MusicalWork".freeze, "http://purl.org/ontology/mo/MusicArtist".freeze, "http://purl.org/ontology/mo/MusicalExpression".freeze, "http://purl.org/ontology/mo/MusicalManifestation".freeze, "http://purl.org/ontology/mo/MusicalItem".freeze)
        ),
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "homepage".freeze,
      range: "http://xmlns.com/foaf/0.1/Document".freeze,
      subPropertyOf: "http://xmlns.com/foaf/0.1/isPrimaryTopicOf".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :image,
      comment: "Indicates a pictorial image (JPEG, GIF, PNG, Etc.) of a musical work, the expression of a musical work, the manifestation of a work or the examplar of a manifestation.".freeze,
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class".freeze,
          unionOf: list("http://purl.org/ontology/mo/MusicalWork".freeze, "http://purl.org/ontology/mo/MusicArtist".freeze, "http://purl.org/ontology/mo/MusicalExpression".freeze, "http://purl.org/ontology/mo/MusicalManifestation".freeze, "http://purl.org/ontology/mo/MusicalItem".freeze)
        ),
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "image".freeze,
      range: "http://xmlns.com/foaf/0.1/Image".freeze,
      subPropertyOf: "http://xmlns.com/foaf/0.1/depiction".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :imdb,
      comment: "Used to link an artist, a musical work or the expression of a musical work to their equivalent page on IMDb, the InternetMovieDatabase.".freeze,
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class".freeze,
          unionOf: list("http://purl.org/ontology/mo/MusicalWork".freeze, "http://purl.org/ontology/mo/MusicalExpression".freeze, "http://purl.org/ontology/mo/MusicalManifestation".freeze, "http://purl.org/ontology/mo/MusicArtist".freeze, "http://purl.org/ontology/mo/CorporateBody".freeze)
        ),
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "imdb".freeze,
      range: "http://xmlns.com/foaf/0.1/Document".freeze,
      subPropertyOf: "http://xmlns.com/foaf/0.1/isPrimaryTopicOf".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :instrument,
      comment: "Relates a performance to a musical instrument involved".freeze,
      domain: "http://purl.org/ontology/mo/Performance".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      range: "http://purl.org/ontology/mo/Instrument".freeze,
      subPropertyOf: "http://purl.org/NET/c4dm/event.owl#factor".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :interpreter,
      comment: "Adds an involved music artist, who interpreted, remixed, or otherwise modified an existing signal, which resulted in the signal that is here the subject of this relation.".freeze,
      domain: "http://purl.org/ontology/mo/Signal".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "has interpeter".freeze,
      range: "http://purl.org/ontology/mo/MusicArtist".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :ipi,
      comment: "The Interested Parties Information Code (IPI) is an ISO standard similar to ISBNs for identifying the people or groups with some involvement with a particular musical work / compositions.".freeze,
      domain: "http://purl.org/ontology/mo/MusicArtist".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "ipi".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://purl.org/ontology/mo/uuid".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :ismn,
      comment: "The International Standard Music Number (ISMN) is an ISO standard similar to ISBNs for identifying printed music publications".freeze,
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class".freeze,
          unionOf: list("http://purl.org/ontology/mo/PublishedLyrics".freeze, "http://purl.org/ontology/mo/PublishedLibretto".freeze, "http://purl.org/ontology/mo/PublishedScore".freeze)
        ),
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "ismn".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://purl.org/ontology/mo/uuid".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :isrc,
      comment: "\n    The ISRC (International Standard Recording Code) is the international identification system for sound recordings and music videorecordings. \n    Each ISRC is a unique and permanent identifier for a specific recording which can be permanently encoded into a product as its digital fingerprint. \n    Encoded ISRC provide the means to automatically identify recordings for royalty payments.\n    ".freeze,
      domain: "http://purl.org/ontology/mo/Signal".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "isrc".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://purl.org/ontology/mo/uuid".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :iswc,
      comment: "Links a musical work to the corresponding ISWC number".freeze,
      domain: "http://purl.org/ontology/mo/MusicalWork".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "iswc".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://purl.org/ontology/mo/uuid".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :item,
      comment: "\n                Relates a musical manifestation to a musical item (this album, and my particular cd) holding the\n                entire manifestation, and not just a part of it.\n        ".freeze,
      domain: "http://purl.org/ontology/mo/MusicalManifestation".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      range: "http://purl.org/ontology/mo/MusicalItem".freeze,
      subPropertyOf: "http://purl.org/ontology/mo/available_as".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :key,
      comment: "\n        Indicated the key used by the musicians during a performance, or the key of a MusicalWork.\n        Any of 24 major or minor diatonic scales that provide the tonal framework for a piece of music.".freeze,
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class".freeze,
          unionOf: list("http://purl.org/ontology/mo/MusicalWork".freeze, "http://purl.org/ontology/mo/Performance".freeze, "http://purl.org/ontology/mo/Signal".freeze)
        ),
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "key".freeze,
      range: "http://purl.org/NET/c4dm/keys.owl#Key".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :label,
      comment: "Associates a release event with the label releasing the record".freeze,
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class".freeze,
          unionOf: list("http://purl.org/ontology/mo/Release".freeze, "http://purl.org/ontology/mo/MusicArtist".freeze)
        ),
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "label".freeze,
      range: "http://purl.org/ontology/mo/Label".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :lc,
      comment: "The Label Code (LC) was introduced in 1977 by the IFPI (International Federation of Phonogram and Videogram Industries) in order to unmistakably identify the different record labels (see Introduction, Record labels) for rights purposes. The Label Code consists historically of 4 figures, presently being extended to 5 figures, preceded by LC and a dash (e.g. LC-0193 = Electrola; LC-0233 = His Master's Voice). Note that the number of countries using the LC is limited, and that the code given on the item is not always accurate.".freeze,
      domain: "http://purl.org/ontology/mo/Label".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "lc".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://purl.org/ontology/mo/uuid".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :level,
      comment: "\n        This annotation property associates to a particular Music Ontology term the corresponding\n        expressiveness level. These levels can be:\n\n            - 1: Only editorial/Musicbrainz type information\n            - 2: Workflow information\n            - 3: Even decomposition\n        \n        This property is mainly used for specification generation.\n    ".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "level".freeze,
      type: "http://www.w3.org/2002/07/owl#AnnotationProperty".freeze
    property :licence,
      comment: "Used to link a work or the expression of a work to the license under which they can be manipulated (downloaded, modified, etc). \n    \nThis is usually used to link to a Creative Commons licence.".freeze,
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class".freeze,
          unionOf: list("http://purl.org/vocab/frbr/core#Work".freeze, "http://purl.org/vocab/frbr/core#Expression".freeze, "http://purl.org/vocab/frbr/core#Manifestation".freeze)
        ),
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "licence".freeze,
      range: "http://web.resource.org/cc/License".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :listened,
      comment: "Relates agents to the performances they were listening in".freeze,
      domain: "http://xmlns.com/foaf/0.1/Agent".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      inverseOf: "http://purl.org/ontology/mo/listener".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "listened".freeze,
      range: "http://purl.org/ontology/mo/Performance".freeze,
      subPropertyOf: ["http://purl.org/NET/c4dm/event.owl#isAgentIn".freeze, "http://purl.org/vocab/bio/0.1/event".freeze],
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :listener,
      comment: "Relates a performance to the listener involved".freeze,
      domain: "http://purl.org/ontology/mo/Performance".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      inverseOf: "http://purl.org/ontology/mo/listened".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      range: "http://xmlns.com/foaf/0.1/Agent".freeze,
      subPropertyOf: "http://purl.org/NET/c4dm/event.owl#agent".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :lyrics,
      comment: "Associates lyrics with a musical work".freeze,
      domain: "http://purl.org/ontology/mo/MusicalWork".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "lyrics".freeze,
      range: "http://purl.org/ontology/mo/Lyrics".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :mailorder,
      comment: "Used to link a musical work or the expression of a musical work to a website where people can buy a copy of the musical manifestation.".freeze,
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class".freeze,
          unionOf: list("http://purl.org/vocab/frbr/core#Manifestation".freeze, "http://purl.org/ontology/mo/MusicArtist".freeze, "http://purl.org/ontology/mo/CorporateBody".freeze)
        ),
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "mailorder".freeze,
      range: "http://xmlns.com/foaf/0.1/Document".freeze,
      subPropertyOf: "http://xmlns.com/foaf/0.1/isPrimaryTopicOf".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :mashup_of,
      comment: "Indicates that musical works or the expressions of a musical work were mashed up on this album or track. \n    \nThis means that two musical works or the expressions of a musical work by different artists are mixed together, over each other, or otherwise combined into a single musical work (usually by a third artist, the remixer).".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "mashup_of".freeze,
      subPropertyOf: "http://purl.org/ontology/mo/derived_from".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :media_type,
      comment: "The mediatype (file format or MIME type, or physical medium) of a musical manifestation, e.g. a MP3, CD or vinyl.".freeze,
      domain: "http://purl.org/ontology/mo/MusicalManifestation".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "has media type".freeze,
      range: "http://purl.org/dc/terms/MediaType".freeze,
      subPropertyOf: "http://purl.org/dc/terms/format".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :medley_of,
      comment: "Indicates that a musical expression is a medley of several other musical expressions. \n    \nThis means that the orignial musical expression were rearranged to create a new musical expression in the form of a medley. ".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "medley_of".freeze,
      subPropertyOf: "http://purl.org/ontology/mo/derived_from".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :member,
      comment: "\n        Indicates a member of a musical group\n    ".freeze,
      domain: "http://purl.org/ontology/mo/MusicGroup".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "member".freeze,
      range: "http://xmlns.com/foaf/0.1/Agent".freeze,
      subPropertyOf: "http://xmlns.com/foaf/0.1/member".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :member_of,
      comment: "Inverse of the foaf:member property".freeze,
      domain: "http://xmlns.com/foaf/0.1/Agent".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      inverseOf: "http://xmlns.com/foaf/0.1/member".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "member_of".freeze,
      range: "http://xmlns.com/foaf/0.1/Group".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :membership,
      comment: "Relates an agent with related membership events".freeze,
      domain: "http://xmlns.com/foaf/0.1/Agent".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "membership".freeze,
      range: "http://purl.org/ontology/mo/Membership".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :meter,
      comment: "Associates a musical work or a score with its meter".freeze,
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class".freeze,
          unionOf: list("http://purl.org/ontology/mo/MusicalWork".freeze, "http://purl.org/ontology/mo/Score".freeze)
        ),
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "meter".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :movement,
      comment: "Indicates that a musical work has movements".freeze,
      domain: "http://purl.org/ontology/mo/MusicalWork".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "has_movement".freeze,
      range: "http://purl.org/ontology/mo/Movement".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :movementNum,
      equivalentProperty: "http://purl.org/ontology/mo/movement_number".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :movement_number,
      comment: "Indicates the position of a movement in a musical work.".freeze,
      domain: "http://purl.org/ontology/mo/Movement".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "movement number".freeze,
      range: "http://www.w3.org/2001/XMLSchema#int".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :musicbrainz,
      comment: "\n        Linking an agent, a track or a record to its corresponding Musicbrainz page.\n        ".freeze,
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class".freeze,
          unionOf: list("http://purl.org/ontology/mo/MusicalWork".freeze, "http://purl.org/ontology/mo/MusicalManifestation".freeze, "http://xmlns.com/foaf/0.1/Agent".freeze, "http://purl.org/ontology/mo/Signal".freeze)
        ),
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "musicbrainz".freeze,
      range: "http://xmlns.com/foaf/0.1/Document".freeze,
      subPropertyOf: "http://xmlns.com/foaf/0.1/isPrimaryTopicOf".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :musicbrainz_guid,
      comment: "Links an object to the corresponding Musicbrainz identifier".freeze,
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class".freeze,
          unionOf: list("http://purl.org/ontology/mo/MusicArtist".freeze, "http://purl.org/ontology/mo/Track".freeze, "http://purl.org/ontology/mo/Record".freeze, "http://purl.org/ontology/mo/SignalGroup".freeze, "http://purl.org/ontology/mo/Signal".freeze, "http://purl.org/ontology/mo/ReleaseEvent".freeze, "http://purl.org/ontology/mo/Label".freeze)
        ),
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "Musicbrainz GUID".freeze,
      subPropertyOf: "http://purl.org/ontology/mo/uuid".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :musicmoz,
      comment: "Used to link an artist, a musical work or the expression of a musical work to its corresponding MusicMoz page.".freeze,
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class".freeze,
          unionOf: list("http://purl.org/ontology/mo/MusicArtist".freeze, "http://purl.org/ontology/mo/MusicalWork".freeze, "http://purl.org/ontology/mo/MusicalExpression".freeze, "http://purl.org/ontology/mo/MusicalManifestation".freeze)
        ),
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "musicmoz".freeze,
      range: "http://xmlns.com/foaf/0.1/Document".freeze,
      subPropertyOf: "http://xmlns.com/foaf/0.1/isPrimaryTopicOf".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :myspace,
      comment: "Used to link a person to its corresponding MySpace page.".freeze,
      domain: "http://xmlns.com/foaf/0.1/Agent".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "myspace".freeze,
      range: "http://xmlns.com/foaf/0.1/Document".freeze,
      subPropertyOf: "http://xmlns.com/foaf/0.1/isPrimaryTopicOf".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :olga,
      comment: "Used to link a track to a tabulature file for track in the On-Line Guitar Archive.".freeze,
      domain: "http://purl.org/ontology/mo/Track".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "olga".freeze,
      range: "http://xmlns.com/foaf/0.1/Document".freeze,
      subPropertyOf: "http://xmlns.com/foaf/0.1/isPrimaryTopicOf".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :onlinecommunity,
      comment: "Used to link a person with an online community web page like a blog, a wiki, a forum, a livejournal page, Etc.".freeze,
      domain: "http://xmlns.com/foaf/0.1/Agent".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "onlinecommunity".freeze,
      range: "http://xmlns.com/foaf/0.1/Document".freeze,
      subPropertyOf: "http://xmlns.com/foaf/0.1/isPrimaryTopicOf".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :opus,
      comment: "\n        Used to define a creative work, especially a musical composition numbered to designate the order of a composer's works.\n    ".freeze,
      domain: "http://purl.org/ontology/mo/MusicalWork".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "opus".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :origin,
      comment: "Relates an artist to its geographic origin".freeze,
      domain: "http://purl.org/ontology/mo/MusicArtist".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "origin".freeze,
      range: "http://www.w3.org/2003/01/geo/wgs84_pos#SpatialThing".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :other_release_of,
      comment: "Indicates that two musical manifestations are essentially the same.".freeze,
      domain: "http://purl.org/ontology/mo/MusicalManifestation".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "other_release_of".freeze,
      range: "http://purl.org/ontology/mo/MusicalManifestation".freeze,
      type: ["http://www.w3.org/2002/07/owl#ObjectProperty".freeze, "http://www.w3.org/2002/07/owl#SymmetricProperty".freeze]
    property :paid_download,
      comment: "\n                Provide a link from an artist to a web page where all of that artist's musical work is available for some money,\n                or a link from a manifestation (record/track, for example) to a web page providing a paid access to this manifestation.\n        ".freeze,
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class".freeze,
          unionOf: list("http://purl.org/vocab/frbr/core#Manifestation".freeze, "http://purl.org/ontology/mo/MusicArtist".freeze, "http://purl.org/ontology/mo/CorporateBody".freeze)
        ),
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "paid download".freeze,
      range: "http://xmlns.com/foaf/0.1/Document".freeze,
      subPropertyOf: ["http://purl.org/ontology/mo/download".freeze, "http://xmlns.com/foaf/0.1/isPrimaryTopicOf".freeze],
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :paiddownload,
      equivalentProperty: "http://purl.org/ontology/mo/paid_download".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "deprecated".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :performance_of,
      comment: "\n        Associates a Performance to a musical work or an arrangement that is being used as a factor in it.\n        For example, I might use this property to attach the Magic Flute musical work to \n        a particular Performance.\n    ".freeze,
      domain: "http://purl.org/ontology/mo/Performance".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      inverseOf: "http://purl.org/ontology/mo/performed_in".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "performance of".freeze,
      range: term(
          type: "http://www.w3.org/2002/07/owl#Class".freeze,
          unionOf: list("http://purl.org/ontology/mo/Score".freeze, "http://purl.org/ontology/mo/MusicalWork".freeze)
        ),
      subPropertyOf: "http://purl.org/NET/c4dm/event.owl#factor".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :performed,
      comment: "Relates agents to the performances they were performing in".freeze,
      domain: "http://xmlns.com/foaf/0.1/Agent".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      inverseOf: "http://purl.org/ontology/mo/performer".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "performed".freeze,
      range: "http://purl.org/ontology/mo/Performance".freeze,
      subPropertyOf: ["http://purl.org/NET/c4dm/event.owl#isAgentIn".freeze, "http://purl.org/vocab/bio/0.1/event".freeze],
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :performed_in,
      comment: "\n        Associates a Musical Work or an Score to Performances in which they were\n        a factor. For example, I might use this property in order to \n        associate the Magic Flute to a particular performance at the Opera\n        Bastille last year.".freeze,
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class".freeze,
          unionOf: list("http://purl.org/ontology/mo/Score".freeze, "http://purl.org/ontology/mo/MusicalWork".freeze)
        ),
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      inverseOf: "http://purl.org/ontology/mo/performance_of".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "performed in".freeze,
      range: "http://purl.org/ontology/mo/Performance".freeze,
      subPropertyOf: "http://purl.org/NET/c4dm/event.owl#isFactorOf".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :performer,
      comment: "Relates a performance to the performers involved".freeze,
      domain: "http://purl.org/ontology/mo/Performance".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      inverseOf: "http://purl.org/ontology/mo/performed".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      range: "http://xmlns.com/foaf/0.1/Agent".freeze,
      subPropertyOf: "http://purl.org/NET/c4dm/event.owl#agent".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :possess_item,
      comment: "A person, a group of person or an organization possessing an exemplar of a single manifestation.".freeze,
      domain: "http://xmlns.com/foaf/0.1/Agent".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "possess_item".freeze,
      range: "http://purl.org/vocab/frbr/core#Item".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :preview,
      comment: "\n                Relates a musical manifestation to a musical item (this album, and my particular cd), which holds\n                a preview of the manifestation (eg. one track for an album, or a snippet for a track)\n        ".freeze,
      domain: "http://purl.org/ontology/mo/MusicalManifestation".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      range: "http://purl.org/ontology/mo/MusicalItem".freeze,
      subPropertyOf: "http://purl.org/ontology/mo/available_as".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :preview_download,
      comment: "\n                This property can be used to link from a person to the website where they make previews of their works available, or from\n                a manifestation (a track or an album, for example) to a web page where a preview download is available.\n\n                This property MUST be used only if the content is just available through a web page (holding, for example\n                a Flash application) - it is better to link to actual content directly through the use of mo:available_as and\n                mo:Stream, mo:Torrent or mo:ED2K, etc. Therefore, Semantic Web user agents that don't know how to read HTML and even\n                less to rip streams from Flash applications can still access the audio content.\n        ".freeze,
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class".freeze,
          unionOf: list("http://purl.org/vocab/frbr/core#Manifestation".freeze, "http://xmlns.com/foaf/0.1/Agent".freeze, "http://purl.org/ontology/mo/CorporateBody".freeze)
        ),
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "preview download".freeze,
      range: "http://xmlns.com/foaf/0.1/Document".freeze,
      subPropertyOf: ["http://purl.org/ontology/mo/download".freeze, "http://xmlns.com/foaf/0.1/isPrimaryTopicOf".freeze],
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :primary_instrument,
      comment: "Indicates that an artist primarily plays an instrument, or that a member was primarily playing a particular instrument during his membership".freeze,
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class".freeze,
          unionOf: list("http://purl.org/ontology/mo/Membership".freeze, "http://xmlns.com/foaf/0.1/Agent".freeze)
        ),
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "primary instrument".freeze,
      range: "http://purl.org/ontology/mo/Instrument".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :produced,
      comment: "Used to relate an person or a group of person who produced the manifestation of a work.".freeze,
      domain: "http://xmlns.com/foaf/0.1/Agent".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      inverseOf: "http://purl.org/ontology/mo/producer".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "produced".freeze,
      range: "http://purl.org/ontology/mo/MusicalManifestation".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :produced_score,
      comment: "\n        Associates an arrangement or a composition event to a score product (score here does not refer to a published score, but more\n        an abstract arrangement of a particular work).\n    ".freeze,
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class".freeze,
          unionOf: list("http://purl.org/ontology/mo/Composition".freeze, "http://purl.org/ontology/mo/Arrangement".freeze)
        ),
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "produced score".freeze,
      range: "http://purl.org/ontology/mo/Score".freeze,
      subPropertyOf: "http://purl.org/NET/c4dm/event.owl#product".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :produced_signal,
      comment: "\n                Associates a Recording to the outputted signal.\n        ".freeze,
      domain: "http://purl.org/ontology/mo/Recording".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "produced signal".freeze,
      range: "http://purl.org/ontology/mo/Signal".freeze,
      subPropertyOf: "http://purl.org/NET/c4dm/event.owl#product".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :produced_signal_group,
      comment: "Associates a recording session with a group of master signals produced by it.".freeze,
      domain: "http://purl.org/ontology/mo/RecordingSession".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "produced signal group".freeze,
      range: "http://purl.org/ontology/mo/SignalGroup".freeze,
      subPropertyOf: "http://purl.org/NET/c4dm/event.owl#product".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :produced_sound,
      comment: "\n                Associates a Performance to a physical Sound that is being produced by it.\n        ".freeze,
      domain: "http://purl.org/ontology/mo/Performance".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "produced sound".freeze,
      range: "http://purl.org/ontology/mo/Sound".freeze,
      subPropertyOf: "http://purl.org/NET/c4dm/event.owl#product".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :produced_work,
      comment: "\n                Associates a composition event to the produced MusicalWork. For example,\n                this property could link the event corresponding to the composition of the\n                Magic Flute in 1782 to the Magic Flute musical work itself. This musical work\n                can then be used in particular performances.\n        ".freeze,
      domain: "http://purl.org/ontology/mo/Composition".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      inverseOf: "http://purl.org/ontology/mo/composed_in".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "produced work".freeze,
      range: "http://purl.org/ontology/mo/MusicalWork".freeze,
      subPropertyOf: "http://purl.org/NET/c4dm/event.owl#product".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :producer,
      comment: "Used to relate the manifestation of a work to a person or a group of person who produced it.".freeze,
      domain: "http://purl.org/ontology/mo/MusicalManifestation".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      inverseOf: "http://purl.org/ontology/mo/produced".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "producer".freeze,
      range: "http://xmlns.com/foaf/0.1/Agent".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :producesSignal,
      equivalentProperty: "http://purl.org/ontology/mo/produced_signal".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "deprecated".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :producesSound,
      equivalentProperty: "http://purl.org/ontology/mo/produced_sound".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "deprecated".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :producesWork,
      equivalentProperty: "http://purl.org/ontology/mo/produced_work".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :productOfComposition,
      equivalentProperty: "http://purl.org/ontology/mo/composed_in".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "deprecated".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :publicationOf,
      equivalentProperty: "http://purl.org/ontology/mo/publication_of".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "deprecated".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :publication_of,
      comment: "Link a particular manifestation to the related signal, score, libretto, or lyrics".freeze,
      domain: "http://purl.org/ontology/mo/MusicalManifestation".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      inverseOf: "http://purl.org/ontology/mo/published_as".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "publication of".freeze,
      range: "http://purl.org/ontology/mo/MusicalExpression".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :published,
      comment: "Used to relate an person or a group of person who published the manifestation of a work.".freeze,
      domain: "http://xmlns.com/foaf/0.1/Agent".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      inverseOf: "http://purl.org/ontology/mo/publisher".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "published".freeze,
      range: "http://purl.org/ontology/mo/MusicalManifestation".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :publishedAs,
      equivalentProperty: "http://purl.org/ontology/mo/published_as".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "deprecated".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :published_as,
      comment: "\n        Links a musical expression (e.g. a signal or a score) to one of its manifestations (e.g. a track on a particular record or a published score).\n    ".freeze,
      domain: "http://purl.org/ontology/mo/MusicalExpression".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      inverseOf: "http://purl.org/ontology/mo/publication_of".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "published as".freeze,
      range: "http://purl.org/ontology/mo/MusicalManifestation".freeze,
      subPropertyOf: "http://purl.org/vocab/frbr/core#embodiment".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :publisher,
      comment: "Used to relate a musical manifestation to a person or a group of person who published it.".freeze,
      domain: "http://purl.org/ontology/mo/MusicalManifestation".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      inverseOf: "http://purl.org/ontology/mo/published".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "publisher".freeze,
      range: "http://xmlns.com/foaf/0.1/Agent".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :publishingLocation,
      equivalentProperty: "http://purl.org/ontology/mo/publishing_location".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "deprecated".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :publishing_location,
      comment: "\n        Relates a musical manifestation to its publication location.\n        ".freeze,
      domain: "http://purl.org/ontology/mo/MusicalManifestation".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "publishingLocation".freeze,
      range: "http://www.w3.org/2003/01/geo/wgs84_pos#SpatialThing".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :puid,
      comment: "\n        Link a signal to the PUIDs associated with it, that is, PUID computed from MusicalItems (mo:AudioFile) \n        derived from this signal.\n        PUIDs (Portable Unique IDentifier) are the IDs used in the \n        proprietary MusicDNS AudioFingerprinting system which is operated by MusicIP.\n\n        Using PUIDs, one (with some luck) can identify the Signal object associated with a particular audio file, therefore allowing\n        to access further information (on which release this track is featured? etc.). Using some more metadata one can identify\n        the particular Track corresponding to the audio file (a track on a particular release).".freeze,
      domain: "http://purl.org/ontology/mo/Signal".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "puid".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :record,
      comment: "Associates a release with the records it contains. A single release can be associated with multiple records, for example for a multi-disc release.".freeze,
      domain: "http://purl.org/ontology/mo/Release".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "released record".freeze,
      range: "http://purl.org/ontology/mo/Record".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :record_count,
      comment: "Associates a release with the number of records it contains, e.g. the number of discs it contains in the case of a multi-disc release.".freeze,
      domain: "http://purl.org/ontology/mo/Release".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "record count".freeze,
      range: "http://www.w3.org/2001/XMLSchema#int".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :record_number,
      comment: "Indicates the position of a record in a release (e.g. a 2xLP, etc.).".freeze,
      domain: "http://purl.org/ontology/mo/Record".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "has record number".freeze,
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :record_side,
      comment: "Associates the side on a vinyl record, where a track is located, e.g. A, B, C, etc. This property can then also be used \nin conjunction with mo:track_number, so that one can infer e.g. \"A1\", that means, track number 1 on side A.".freeze,
      domain: "http://purl.org/ontology/mo/Track".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "has record side".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :recordedAs,
      equivalentProperty: "http://purl.org/ontology/mo/recorded_as".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :recorded_as,
      comment: "\n        This is a shortcut property, allowing to bypass all the Sound/Recording steps. This property\n        allows to directly link a Performance to the recorded Signal. This is recommended for \"normal\"\n        users. However, advanced users wanting to express things such as the location of the microphone will\n        have to create this shortcut as well as the whole workflow, in order to let the \"normal\" users access\n        simply the, well, simple information:-) .\n    ".freeze,
      domain: "http://purl.org/ontology/mo/Performance".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      inverseOf: "http://purl.org/ontology/mo/records".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "recorded as".freeze,
      range: "http://purl.org/ontology/mo/Signal".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :recorded_in,
      comment: "\n            Associates a physical Sound to a Recording event where it is being used \n        in order to produce a signal. For example, I might use this property to \n        associate the sound produced by a particular performance of the magic flute\n        to a given recording, done using my cell-phone.\n    ".freeze,
      domain: "http://purl.org/ontology/mo/Sound".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      inverseOf: "http://purl.org/ontology/mo/recording_of".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "recorded in".freeze,
      range: "http://purl.org/ontology/mo/Recording".freeze,
      subPropertyOf: "http://purl.org/NET/c4dm/event.owl#isFactorOf".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :recording_of,
      comment: "\n            Associates a Recording event to a physical Sound being recorded.\n                For example, I might use this property to\n                associate a given recording, done using my cell phone, to the \n        sound produced by a particular performance of the magic flute.\n    ".freeze,
      domain: "http://purl.org/ontology/mo/Recording".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      inverseOf: "http://purl.org/ontology/mo/recorded_in".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "recorded sound".freeze,
      range: "http://purl.org/ontology/mo/Sound".freeze,
      subPropertyOf: "http://purl.org/NET/c4dm/event.owl#factor".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :records,
      comment: "\n        This is the inverse of the shortcut property recordedAs, allowing to relate directly a performance\n        to a signal.\n    ".freeze,
      domain: "http://purl.org/ontology/mo/Signal".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      inverseOf: "http://purl.org/ontology/mo/recordedAs".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "records".freeze,
      range: "http://purl.org/ontology/mo/Performance".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :release,
      comment: "Associates a release with the corresponding release event".freeze,
      domain: "http://purl.org/ontology/mo/ReleaseEvent".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "release".freeze,
      range: "http://purl.org/ontology/mo/Release".freeze,
      subPropertyOf: "http://purl.org/NET/c4dm/event.owl#product".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :releaseStatus,
      equivalentProperty: "http://purl.org/ontology/mo/release_status".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "deprecated".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :releaseType,
      equivalentProperty: "http://purl.org/ontology/mo/release_type".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "deprecated".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :release_status,
      comment: "\n                Relates a musical manifestation to its release status (bootleg, ...)\n        ".freeze,
      domain: "http://purl.org/ontology/mo/MusicalManifestation".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      range: "http://purl.org/ontology/mo/ReleaseStatus".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :release_type,
      comment: "\n        Relates a musical manifestation to its release type (interview, spoken word, album, ...)\n    ".freeze,
      domain: "http://purl.org/ontology/mo/MusicalManifestation".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      range: "http://purl.org/ontology/mo/ReleaseType".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :remaster_of,
      comment: "This relates two musical work or the expression of a musical work, where one is a remaster of the other. \n    \nA remaster is a new version made for release from source recordings that were earlier released separately. This is usually done to improve the audio quality or adjust for more modern playback equipment. The process generally doesn't involve changing the music in any artistically important way. It may, however, result in tracks that are a few seconds longer or shorter.".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "remaster_of".freeze,
      subPropertyOf: "http://purl.org/ontology/mo/derived_from".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :remix_of,
      comment: "Used to relate the remix of a musical work in a substantially altered version produced by mixing together individual tracks or segments of an original musical source work.".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "remix_of".freeze,
      subPropertyOf: "http://purl.org/ontology/mo/derived_from".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :remixed,
      comment: "Used to relate an artist who remixed a musical work or the expression of a musical work. \n    \nThis involves taking just one other musical work and using audio editing to make it sound like a significantly different, but usually still recognisable, song. It can be used to link an artist to a single song that they remixed, or, if they remixed an entire musical work.".freeze,
      domain: "http://purl.org/ontology/mo/MusicArtist".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      inverseOf: "http://purl.org/ontology/mo/remixer".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "remixed".freeze,
      range: "http://purl.org/ontology/mo/Signal".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :remixer,
      comment: "Used to relate a musical work or the expression of a musical work to an artist who remixed it. \n    \nThis involves taking just one other musical work and using audio editing to make it sound like a significantly different, but usually still recognisable, song. It can be used to link an artist to a single song that they remixed, or, if they remixed an entire musical work.".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      inverseOf: "http://purl.org/ontology/mo/remixed".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "remixer".freeze,
      subPropertyOf: "http://purl.org/ontology/mo/interpreter".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :review,
      comment: "Used to link a work or the expression of a work to a review. \n    \nThe review does not have to be open content, as long as it is accessible to the general internet population.".freeze,
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class".freeze,
          unionOf: list("http://purl.org/vocab/frbr/core#Work".freeze, "http://purl.org/vocab/frbr/core#Expression".freeze, "http://purl.org/vocab/frbr/core#Manifestation".freeze)
        ),
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "review".freeze,
      range: "http://xmlns.com/foaf/0.1/Document".freeze,
      subPropertyOf: "http://xmlns.com/foaf/0.1/isPrimaryTopicOf".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :sampleRate,
      equivalentProperty: "http://purl.org/ontology/mo/sample_rate".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "deprecated".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :sample_rate,
      comment: "\n        Associates a digital signal to its sample rate. It might be easier to express it this way instead of\n        defining a timeline map:-) Range is xsd:float.\n    ".freeze,
      domain: "http://purl.org/ontology/mo/DigitalSignal".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      range: "http://www.w3.org/2001/XMLSchema#float".freeze,
      type: ["http://www.w3.org/2002/07/owl#DatatypeProperty".freeze, "http://www.w3.org/2002/07/owl#FunctionalProperty".freeze]
    property :sampled,
      comment: "Used to relate an artist who sampled a Signal.".freeze,
      domain: "http://purl.org/ontology/mo/MusicArtist".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      inverseOf: "http://purl.org/ontology/mo/sampler".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "sampled".freeze,
      range: "http://purl.org/ontology/mo/Signal".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :sampledVersionOf,
      equivalentProperty: "http://purl.org/ontology/mo/sampled_version_of".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "deprecated".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :sampled_version,
      comment: "\n        Associates an analog signal with a sampled version of it\n    ".freeze,
      domain: "http://purl.org/ontology/mo/AnalogSignal".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      inverseOf: "http://purl.org/ontology/mo/sampled_version_of".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "sampled version".freeze,
      range: "http://purl.org/ontology/mo/DigitalSignal".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :sampled_version_of,
      comment: "\n        Associates a digital signal with the analog version of it\n    ".freeze,
      domain: "http://purl.org/ontology/mo/DigitalSignal".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      inverseOf: "http://purl.org/ontology/mo/sampled_version".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "sampled version of".freeze,
      range: "http://purl.org/ontology/mo/AnalogSignal".freeze,
      subPropertyOf: "http://purl.org/ontology/mo/derived_from".freeze,
      type: ["http://www.w3.org/2002/07/owl#FunctionalProperty".freeze, "http://www.w3.org/2002/07/owl#ObjectProperty".freeze]
    property :sampler,
      comment: "Used to relate the signal of a musical work to an artist who sampled it.".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      inverseOf: "http://purl.org/ontology/mo/sampled".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "sampler".freeze,
      subPropertyOf: "http://purl.org/ontology/mo/interpreter".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :sell_item,
      comment: "A person, a group of person or an organization selling an exemplar of a single manifestation.".freeze,
      domain: "http://xmlns.com/foaf/0.1/Agent".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "sell_item".freeze,
      range: "http://purl.org/vocab/frbr/core#Item".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :signal,
      comment: "Associates a group of signals with one of the signals it contains".freeze,
      domain: "http://purl.org/ontology/mo/SignalGroup".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "signal".freeze,
      range: "http://purl.org/ontology/mo/Signal".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :signalTime,
      equivalentProperty: "http://purl.org/ontology/mo/time".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "deprecated".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :similar_to,
      comment: "\n            A similarity relationships between two objects (so far, either an agent, a signal or a genre, but\n        this could grow).\n        This relationship is pretty general and doesn't make any assumptions on how the similarity claim\n        was derived.\n        Such similarity statements can come from a range of different sources (Musicbrainz similarities between\n        artists, or coming from some automatic content analysis).\n        However, the origin of such statements should be kept using a named graph approach - and ultimately, the \n        documents providing such statements should attach some metadata to themselves (confidence of the claim, etc.).\n        ".freeze,
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class".freeze,
          unionOf: list("http://xmlns.com/foaf/0.1/Agent".freeze, "http://purl.org/ontology/mo/MusicalWork".freeze, "http://purl.org/ontology/mo/MusicalExpression".freeze, "http://purl.org/ontology/mo/MusicalManifestation".freeze, "http://purl.org/ontology/mo/MusicalItem".freeze, "http://purl.org/ontology/mo/Genre".freeze)
        ),
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "similar_to".freeze,
      range: term(
          type: "http://www.w3.org/2002/07/owl#Class".freeze,
          unionOf: list("http://xmlns.com/foaf/0.1/Agent".freeze, "http://purl.org/ontology/mo/MusicalWork".freeze, "http://purl.org/ontology/mo/MusicalExpression".freeze, "http://purl.org/ontology/mo/MusicalManifestation".freeze, "http://purl.org/ontology/mo/MusicalItem".freeze, "http://purl.org/ontology/mo/Genre".freeze)
        ),
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :singer,
      comment: "Relates a performance to an involved singer".freeze,
      domain: "http://purl.org/ontology/mo/Performance".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      range: "http://xmlns.com/foaf/0.1/Agent".freeze,
      subPropertyOf: "http://purl.org/ontology/mo/performer".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :supporting_musician,
      comment: "Used to relate an artist doing long-time instrumental or vocal support for another artist.".freeze,
      domain: "http://purl.org/ontology/mo/MusicArtist".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "supporting_musician".freeze,
      range: "http://purl.org/ontology/mo/MusicArtist".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :tempo,
      comment: "\n        Rate of speed or pace of music. Tempo markings are traditionally given in Italian; \n        common markings include: grave (solemn; very, very slow); largo (broad; very slow); \n        adagio (quite slow); andante (a walking pace); moderato (moderate); allegro (fast; cheerful); \n        vivace (lively); presto (very fast); accelerando (getting faster); ritardando (getting slower); \n        and a tempo (in time; returning to the original pace).\n    ".freeze,
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class".freeze,
          unionOf: list("http://purl.org/ontology/mo/MusicalWork".freeze, "http://purl.org/ontology/mo/Performance".freeze, "http://purl.org/ontology/mo/Signal".freeze)
        ),
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "tempo".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :text,
      comment: "Associates lyrics with their text.".freeze,
      domain: "http://purl.org/ontology/mo/Lyrics".freeze,
      "http://purl.org/ontology/mo/level": "2".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "text".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :time,
      comment: "\n        Associates a Signal to a time object - its actual domain\n    ".freeze,
      domain: "http://purl.org/ontology/mo/Signal".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "time".freeze,
      range: "http://www.w3.org/2006/time#TemporalEntity".freeze,
      type: ["http://www.w3.org/2002/07/owl#FunctionalProperty".freeze, "http://www.w3.org/2002/07/owl#ObjectProperty".freeze]
    property :track,
      comment: "Indicates a part of a musical manifestation - in this particular case, a track.".freeze,
      domain: "http://purl.org/ontology/mo/Record".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "track".freeze,
      range: "http://purl.org/ontology/mo/Track".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :trackNum,
      equivalentProperty: "http://purl.org/ontology/mo/track_number".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "deprecated".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :track_count,
      comment: "The track count of a record".freeze,
      domain: "http://purl.org/ontology/mo/Record".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "track count".freeze,
      range: "http://www.w3.org/2001/XMLSchema#int".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :track_number,
      comment: "Indicates the position of a track on a record medium (a CD, etc.).".freeze,
      domain: "http://purl.org/ontology/mo/Track".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "track number".freeze,
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :translation_of,
      comment: "Indicates that a work or the expression of a work has translated or transliterated into another expression of a work.".freeze,
      domain: "http://purl.org/vocab/frbr/core#Expression".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "translation_of".freeze,
      range: "http://purl.org/vocab/frbr/core#Expression".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :tribute_to,
      comment: "Indicates a musical work or the expression of a musical work that is a tribute to an artist - normally consisting of music being composed by the artist but performed by other artists. ".freeze,
      domain: "http://purl.org/ontology/mo/MusicalManifestation".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "unstable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "tribute_to".freeze,
      range: "http://purl.org/ontology/mo/MusicArtist".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :trmid,
      comment: "\n        Indicates the TRMID of a track.\n        TRM IDs are MusicBrainz' old AudioFingerprinting system. \n        TRM (TRM Recognizes Music) IDs are (somewhat) unique ids that represent \n        the audio signature of a musical piece (see AudioFingerprint).\n    ".freeze,
      domain: "http://purl.org/ontology/mo/Signal".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "trmid".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :upc,
      comment: "UPC stands for \"Universal Product Code\", which was the original barcode used in the United States and Canada. The UPC (now officially EAN.UCC-12 is a numerical method of identifying products without redundancy worldwide for all types of products in the retail sector. The EAN is a superset of the original UPC increasing the digits to 13 with the prefix 0 reserved for UPC. As of 2005, manufacturers are only allowed to use the new 13-digit codes on their items, rather than having two separate numbers.".freeze,
      domain: "http://purl.org/ontology/mo/Release".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "upc".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://purl.org/ontology/mo/gtin".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :usedInPerformance,
      equivalentProperty: "http://purl.org/ontology/mo/performed_in".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "deprecated".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :usedInRecording,
      equivalentProperty: "http://purl.org/ontology/mo/recorded_in".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "deprecated".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :usesSound,
      equivalentProperty: "http://purl.org/ontology/mo/recording_of".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "deprecated".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :usesWork,
      equivalentProperty: "http://purl.org/ontology/mo/performance_of".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "deprecated".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :uuid,
      comment: "\n            Links an object to an universally unique identifier for it.\n    ".freeze,
      domain: "http://www.w3.org/2002/07/owl#Thing".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "testing".freeze,
      label: "universally unique identifier".freeze,
      subPropertyOf: "http://purl.org/dc/terms/identifier".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :want_item,
      comment: "A person, a group of person or an organization wanting an exemplar of a single manifestation.".freeze,
      domain: "http://xmlns.com/foaf/0.1/Agent".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "want_item".freeze,
      range: "http://purl.org/vocab/frbr/core#Item".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :wikipedia,
      comment: "\n        Used to link an work, an expression of a work, a manifestation of a work, \n        a person, an instrument or a musical genre to its corresponding WikiPedia page. \n        The full URL should be used, not just the WikiName.\n    ".freeze,
      domain: term(
          type: "http://www.w3.org/2002/07/owl#Class".freeze,
          unionOf: list("http://purl.org/vocab/frbr/core#Work".freeze, "http://purl.org/vocab/frbr/core#Expression".freeze, "http://purl.org/vocab/frbr/core#Manifestation".freeze, "http://purl.org/vocab/frbr/core#Item".freeze, "http://xmlns.com/foaf/0.1/Agent".freeze, "http://purl.org/ontology/mo/Instrument".freeze, "http://purl.org/ontology/mo/Genre".freeze)
        ),
      "http://purl.org/ontology/mo/level": "1".freeze,
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      label: "wikipedia".freeze,
      range: "http://xmlns.com/foaf/0.1/Document".freeze,
      subPropertyOf: "http://xmlns.com/foaf/0.1/isPrimaryTopicOf".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze

    # Extra definitions
    term :album,
      "http://purl.org/dc/elements/1.1/description": "\n        One or more track issued together.\n            This is a type of MusicalManifestation defined by the musical industry.\n    ".freeze,
      "http://purl.org/dc/elements/1.1/title": "album".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      type: "http://purl.org/ontology/mo/ReleaseType".freeze
    term :audiobook,
      "http://purl.org/dc/elements/1.1/description": "\n        Book read by a narrator without music.\n        This is a type of MusicalManifestation defined by the musical industry.\n    ".freeze,
      "http://purl.org/dc/elements/1.1/title": "audio book".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      type: "http://purl.org/ontology/mo/ReleaseType".freeze
    term :bootleg,
      "http://purl.org/dc/elements/1.1/description": "An unofficial/underground musical work or the expression of a musical work that was not sanctioned by the artist and/or the corporate body. ".freeze,
      "http://purl.org/dc/elements/1.1/title": "bootleg".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      type: "http://purl.org/ontology/mo/ReleaseStatus".freeze
    term :compilation,
      "http://purl.org/dc/elements/1.1/description": "\n        Collection of previously released manifestations of a musical expression by one or more artists.\n        This is a type of MusicalManifestation defined by the musical industry.\n    ".freeze,
      "http://purl.org/dc/elements/1.1/title": "compilation".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      type: "http://purl.org/ontology/mo/ReleaseType".freeze
    term :ep,
      "http://purl.org/dc/elements/1.1/description": "\n            An EP\n    ".freeze,
      "http://purl.org/dc/elements/1.1/title": "ep".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      type: "http://purl.org/ontology/mo/ReleaseType".freeze
    term :interview,
      "http://purl.org/dc/elements/1.1/description": "\n        Recording of the questioning of a person.\n        This is a type of MusicalManifestation defined by the musical industry.\n    ".freeze,
      "http://purl.org/dc/elements/1.1/title": "interview".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      type: "http://purl.org/ontology/mo/ReleaseType".freeze
    term :live,
      "http://purl.org/dc/elements/1.1/description": "\n        A musical manifestation that was recorded live.\n        This is a type of MusicalManifestation defined by the musical industry.".freeze,
      "http://purl.org/dc/elements/1.1/title": "live".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      type: "http://purl.org/ontology/mo/ReleaseType".freeze
    term :official,
      "http://purl.org/dc/elements/1.1/description": "Any musical work or the expression of a musical work officially sanctioned by the artist and/or their corporate body.".freeze,
      "http://purl.org/dc/elements/1.1/title": "official".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      type: "http://purl.org/ontology/mo/ReleaseStatus".freeze
    term :promotion,
      "http://purl.org/dc/elements/1.1/description": "A giveaway musical work or the expression of a musical work intended to promote an upcoming official musical work or the expression of a musical work.".freeze,
      "http://purl.org/dc/elements/1.1/title": "promotion".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      type: "http://purl.org/ontology/mo/ReleaseStatus".freeze
    term :remix,
      "http://purl.org/dc/elements/1.1/description": "\n        Musical manifestation that primarily contains remixed material. \n        This is a type of MusicalManifestation defined by the musical industry.\n    ".freeze,
      "http://purl.org/dc/elements/1.1/title": "remix".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      type: "http://purl.org/ontology/mo/ReleaseType".freeze
    term :single,
      "http://purl.org/dc/elements/1.1/description": "A single or record single is a type of release, typically a recording of two tracks. In most cases, the single is a song that is released separately from an album, but it can still appear on an album.".freeze,
      "http://purl.org/dc/elements/1.1/title": "single".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      type: "http://purl.org/ontology/mo/ReleaseType".freeze
    term :soundtrack,
      "http://purl.org/dc/elements/1.1/description": "\n        Sound recording on a narrow strip of a motion picture film.\n        This is a type of MusicalManifestation defined by the musical industry.\n    ".freeze,
      "http://purl.org/dc/elements/1.1/title": "soundtrack".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      type: "http://purl.org/ontology/mo/ReleaseType".freeze
    term :spokenword,
      "http://purl.org/dc/elements/1.1/description": "\n        Spoken word is a form of music or artistic performance in which lyrics, poetry, or stories are spoken rather than sung. \n        Spoken-word is often done with a musical background, but emphasis is kept on the speaker.\n        This is a type of MusicalManifestation defined by the musical industry.\n    ".freeze,
      "http://purl.org/dc/elements/1.1/title": "spoken word".freeze,
      "http://purl.org/ontology/mo/level": "1".freeze,
      isDefinedBy: "http://purl.org/ontology/mo/".freeze,
      type: "http://purl.org/ontology/mo/ReleaseType".freeze
  end
end
