# -*- encoding: utf-8 -*-
# frozen_string_literal: true
# This file generated automatically using rdf vocabulary format from http://www.loc.gov/mods/rdf/v1#
require 'rdf'
module RDF::Vocab
  MODS = Class.new(RDF::StrictVocabulary("http://www.loc.gov/mods/rdf/v1#")) do

    # Ontology definition
    ontology :"http://www.loc.gov/mods/rdf/v1#",
      "http://www.w3.org/2002/07/owl#imports": ["http://id.loc.gov/ontologies/ClassificationSchemes".freeze, "http://id.loc.gov/ontologies/Identifiers".freeze, "http://id.loc.gov/ontologies/ResourceTypes".freeze, "http://id.loc.gov/ontologies/Roles".freeze, "http://id.loc.gov/ontologies/TargetAudiences".freeze, "http://purl.org/dc/dcmitype/".freeze, "http://purl.org/dc/elements/1.1/".freeze, "http://purl.org/vocab/changeset/schema".freeze, "http://purl.org/vocab/vann/".freeze, "http://vocab.org/changeset/".freeze, "http://www.loc.gov/mads/rdf/v1".freeze, "http://www.loc.gov/standards/mads/rdf/v1.rdf".freeze, "http://www.w3.org/2004/02/skos/core".freeze, "http://www.w3.org/2008/05/skos-xl".freeze, "http://xmlns.com/foaf/0.1/".freeze],
      type: "http://www.w3.org/2002/07/owl#Ontology".freeze

    # Class definitions
    term :Cartographics,
      comment: "Aggregates cartographic properties.".freeze,
      label: "MODS - Cartographic Information".freeze,
      subClassOf: "http://www.w3.org/2002/07/owl#Thing".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :ClassificationGroup,
      comment: "For a classification whose scheme is not part of the controlled vocabulary. Bundles together a classification number and scheme.".freeze,
      label: "MODS - Classification Group".freeze,
      subClassOf: "http://www.w3.org/2002/07/owl#Thing".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :IdentifierGroup,
      comment: "Used when the identifier type is not from the controlled list. Bundles together an identifier and its type.".freeze,
      label: "MODS - Identifier - Typed".freeze,
      subClassOf: "http://www.w3.org/2002/07/owl#Thing".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Location,
      comment: "An aggregator for location properties.".freeze,
      label: "MODS - Location".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :LocationCopy,
      comment: " An aggregator for copy properties.".freeze,
      label: "MODS - Location - Copy".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :ModsResource,
      comment: "\nThe resource which is the subject of this description.\n  ".freeze,
      equivalentClass: "http://id.loc.gov/vocabulary/resourceTypes/Res".freeze,
      label: "MODS - A  MODS Resource".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :NoteGroup,
      comment: "Aggregates a note with its type.  ".freeze,
      label: "MODS - Note Typed".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Part,
      comment: "An aggregator for part properties.".freeze,
      label: "MODS - Part".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :RoleRelationship,
      comment: "Aggregates a name with its role. ".freeze,
      label: "MODS - Role Relationship".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze

    # Property definitions
    property :abstract,
      comment: "A summary of the content of the resource.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Abstract".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :accessCondition,
      comment: "Information about restrictions imposed on access to  the resource.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Access Condition".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :adminMetadata,
      comment: "Administrative metadata for the MODS description, corresponds to recordInfo (MODS XML) which is, minimimally, a Class defined outside of the MADS/RDF namespace. The RecordInfo Class from the RecordInfo ontology is recommended.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Administrative Metadata".freeze,
      range: "http://id.loc.gov/ontologies/RecordInfo#AdminMetadata".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :cartographics,
      comment: "A geographic entity expressed in cartographic terms.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Cartographics ".freeze,
      range: "http://www.loc.gov/mods/rdf/v1#Cartographics".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :cartographicsCoordinates,
      domain: "http://www.loc.gov/mods/rdf/v1#Cartographics".freeze,
      label: "Cartographics - Coordinates".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze]
    property :cartographicsProjection,
      domain: "http://www.loc.gov/mods/rdf/v1#Cartographics".freeze,
      label: "Cartographics - Projection".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: ["http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze, "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze]
    property :cartographicsScale,
      domain: "http://www.loc.gov/mods/rdf/v1#Cartographics".freeze,
      label: "Cartographics - Scale".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :classification,
      comment: "A designation applied to the resource that indicates the subject by applying a formal system of coding and organizing resources according to subject areas.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      equivalentProperty: "http://id.loc.gov/vocabulary/classSchemes/classification".freeze,
      label: "Classification".freeze,
      type: "http://www.w3.org/2002/07/owl#AnnotationProperty".freeze
    property :classificationGroup,
      comment: "Used when classification scheme is not in controlled vocabulary. Bundles together the classification number with its scheme.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Classification Group".freeze,
      range: "http://www.loc.gov/mods/rdf/v1#ClassificationGroup".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :classificationGroupScheme,
      comment: "The classification scheme".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ClassificationGroup".freeze,
      label: "Classification Group - Scheme".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :classificationGroupValue,
      comment: "The classification value".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ClassificationGroup".freeze,
      label: "Classification Group - Value".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :dateCaptured,
      comment: "Date that the resource  was digitized or a subsequent snapshot was taken.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Date Captured".freeze,
      subPropertyOf: "http://www.loc.gov/mods/rdf/v1#date".freeze,
      type: "http://www.w3.org/2002/07/owl#AnnotationProperty".freeze
    property :dateCapturedEnd,
      comment: "When there is both a start and end for the capture date this is the end  date.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Date Captured - End".freeze,
      subPropertyOf: "http://www.loc.gov/mods/rdf/v1#dateCaptured".freeze,
      type: "http://www.w3.org/2002/07/owl#AnnotationProperty".freeze
    property :dateCapturedStart,
      comment: "When there is both a start and end for the capture date this is the start date.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Date Captured -  Start".freeze,
      subPropertyOf: "http://www.loc.gov/mods/rdf/v1#dateCaptured".freeze,
      type: "http://www.w3.org/2002/07/owl#AnnotationProperty".freeze
    property :dateCreated,
      comment: "The resource's creation date.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: " Date Created".freeze,
      subPropertyOf: "http://www.loc.gov/mods/rdf/v1#date".freeze,
      type: "http://www.w3.org/2002/07/owl#AnnotationProperty".freeze
    property :dateCreatedEnd,
      comment: "When there is both a start and end for the creation date this is the end date.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Date Created - End".freeze,
      subPropertyOf: "http://www.loc.gov/mods/rdf/v1#dateCreated".freeze,
      type: "http://www.w3.org/2002/07/owl#AnnotationProperty".freeze
    property :dateCreatedStart,
      comment: "When there is both a start and end for the creation date this is the start date.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Date Created -  Start".freeze,
      subPropertyOf: "http://www.loc.gov/mods/rdf/v1#dateCreated".freeze,
      type: "http://www.w3.org/2002/07/owl#AnnotationProperty".freeze
    property :dateModified,
      comment: "Date when resource was modified.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Date Modified".freeze,
      subPropertyOf: "http://www.loc.gov/mods/rdf/v1#date".freeze,
      type: "http://www.w3.org/2002/07/owl#AnnotationProperty".freeze
    property :dateModifiedEnd,
      comment: "When there is both a start and end for the modification date this is the end date.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Date Modified - End".freeze,
      subPropertyOf: "http://www.loc.gov/mods/rdf/v1#dateModified".freeze,
      type: "http://www.w3.org/2002/07/owl#AnnotationProperty".freeze
    property :dateModifiedStart,
      comment: "When there is both a start and end for the modification date this is the start date.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Date Modified -  Start".freeze,
      subPropertyOf: "http://www.loc.gov/mods/rdf/v1#dateModified".freeze,
      type: "http://www.w3.org/2002/07/owl#AnnotationProperty".freeze
    property :dateOfCopyright,
      comment: "Date when resource was copyrighted.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Date of Copyright".freeze,
      subPropertyOf: "http://www.loc.gov/mods/rdf/v1#date".freeze,
      type: "http://www.w3.org/2002/07/owl#AnnotationProperty".freeze
    property :dateOfCopyrightEnd,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Date of Copyright - End".freeze,
      subPropertyOf: "http://www.loc.gov/mods/rdf/v1#dateOfCopyright".freeze,
      type: "http://www.w3.org/2002/07/owl#AnnotationProperty".freeze
    property :dateOfCopyrightStart,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Date of Copyright -  Start".freeze,
      subPropertyOf: "http://www.loc.gov/mods/rdf/v1#dateOfCopyright".freeze,
      type: "http://www.w3.org/2002/07/owl#AnnotationProperty".freeze
    property :dateValid,
      comment: "A date when resource was valid. (Not necessarily the first or last date, but this is an assertion that on that given date the information was valid.)".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Date Valid".freeze,
      subPropertyOf: "http://www.loc.gov/mods/rdf/v1#date".freeze,
      type: "http://www.w3.org/2002/07/owl#AnnotationProperty".freeze
    property :dateValidEnd,
      comment: "When the resource is valid over an interval with a start and end date, this is the end date. (When start and end date are given, it is an assertion that the information was valid over the course of this interval.  It does not necessarily assert that is was not valid before the start or after the end of the interval.)".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Date Valid - End".freeze,
      subPropertyOf: "http://www.loc.gov/mods/rdf/v1#dateValid".freeze,
      type: "http://www.w3.org/2002/07/owl#AnnotationProperty".freeze
    property :dateValidStart,
      comment: "When the resource is valid over an interval with a start and end date, this is the start date. (When start and end date are given, it is an assertion that the information was valid over the course of this interval.  It does not necessarily assert that is was not valid before the start or after the end of the interval.)".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Date Valid -  Start".freeze,
      subPropertyOf: "http://www.loc.gov/mods/rdf/v1#dateValid".freeze,
      type: "http://www.w3.org/2002/07/owl#AnnotationProperty".freeze
    property :digitalOrigin,
      comment: "a designation of the source of a digital file important to its creation, use and management.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Digital Origin".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :edition,
      comment: "Version of the resource.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Edition".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :frequency,
      comment: "publication frequency".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Frequency".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :genre,
      comment: "The genre (or one of several genres) of the resource. Represented in the MADS namespace. ".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Genre".freeze,
      range: "http://www.loc.gov/mads/rdf/v1#GenreForm".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :identifier,
      comment: "identifier is a property for which all terms in the \"identifier\" vocabulary become subproperties.  Thus for example 'identifer:isbn' is a subproperty saying in effect \"has this ISBN\" where 'isbn' is a term within that vocabulary. (The prefix 'identifier:' is used to denote the namespace for the \"identifier\" vocabulary.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      equivalentProperty: "http://id.loc.gov/vocabulary/identifiers/id".freeze,
      label: "Identifier".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :identifierGroup,
      comment: "Used when identifier type is not in controlled vocabulary. Bundles together the identifier with its type.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Identifier Group".freeze,
      range: "http://www.loc.gov/mods/rdf/v1#IdentifierGroup".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :identifierGroupType,
      comment: "The identifier type.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#IdentifierGroup".freeze,
      label: "Identifier Group - Type".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :identifierGroupValue,
      comment: "The identifier value\t.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#IdentifierGroup".freeze,
      label: "Identifier Group - Value".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :identifierValue,
      comment: "Used in conjuction with identifierType, when the type is not from the controlled vocabulary.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#IdentifierGroup".freeze,
      label: "Identifier - Value".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :issuance,
      comment: "Describes the issuance of the resource.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Issuance".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :languageOfResource,
      comment: "The language (or one of several languages) of the resource. ".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Language of Resource".freeze,
      type: "http://www.w3.org/2002/07/owl#AnnotationProperty".freeze
    property :locationCopy,
      comment: "Information about a specific tangible instance of a bibliographic resource or set which comprises one or more pieces via indication of sublocation and/or locator.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#Location".freeze,
      label: "Location - Copy".freeze,
      range: "http://www.loc.gov/mods/rdf/v1#LocationCopy".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :locationCopyElectronicLocator,
      comment: "URI of the copy of the resource.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#LocationCopy".freeze,
      label: "Location - Copy -- Electronic Locator".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :locationCopyEnumerationAndChronology,
      comment: "A summary holdings statement for the copy. A string with information including volume or issue, date of publication or date of issue of a component of a multi-part resource, distinguishing it from other components of the same resource. ".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#LocationCopy".freeze,
      label: "Location - Copy  - Enumeration And Chronology".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :locationCopyEnumerationAndChronologyBasic,
      comment: "One of three levels of enumerationAndChronology: 'basic'".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#LocationCopy".freeze,
      label: "Location - Copy  - Enumeration And Chronology -- Basic".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.loc.gov/mods/rdf/v1#locationCopyEnumerationAndChronology".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :locationCopyEnumerationAndChronologyIndex,
      comment: "One of three levels of enumerationAndChronology:'index'".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#LocationCopy".freeze,
      label: "Location - Copy  - Enumeration And Chronology -- Index".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.loc.gov/mods/rdf/v1#locationCopyEnumerationAndChronology".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :locationCopyEnumerationAndChronologySupplement,
      comment: "One of three levels  of enumerationAndChronology:'supplement'".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#LocationCopy".freeze,
      label: "Location - Copy  - Enumeration And Chronology -- Supplement".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.loc.gov/mods/rdf/v1#locationCopyEnumerationAndChronology".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :locationCopyForm,
      comment: "The form of a particular copy may be indicated when the general description refers to multiple forms and there is different detailed holdings information associated with different forms.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#LocationCopy".freeze,
      label: "Location - Copy -- Form".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :locationCopyNote,
      comment: "A note pertaining to a specific copy.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#LocationCopy".freeze,
      label: "Location - Copy -- Note".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :locationCopyShelfLocator,
      comment: "Shelfmark or other shelving designation that indicates the location identifier for a copy.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#LocationCopy".freeze,
      label: "Location - Copy -- Shelf Locator".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :locationCopySublocation,
      comment: "Department, division, or section of an institution holding a copy of the resource.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#LocationCopy".freeze,
      label: "Location - Copy -- Sublocation".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :locationOfResource,
      comment: "The location (or one of several locations) at which the resource resides.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Location".freeze,
      range: "http://www.loc.gov/mods/rdf/v1#Location".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :locationPhysical,
      comment: "The institution or repository that holds the resource, or where it is available.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#Location".freeze,
      label: "Location - Physical Location".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :locationShelfLocator,
      comment: "Shelfmark or other shelving designation".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#Location".freeze,
      label: "Location - Shelf Locator".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :locationUrl,
      comment: "Location of the resource (a URL)".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#Location".freeze,
      label: "Location - URL".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :mediaType,
      comment: "An Internet Media (MIME) type e.g. text/html. ".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Media Type".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :name,
      comment: "A name  - personal, corporate, conference, or family - associated with the resource. Represented in the MADS namespace. ".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Name".freeze,
      range: "http://www.loc.gov/mads/rdf/v1#Name".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :namePrincipal,
      comment: "A name that has been distinguished as the principal name associated with the resource. There should be no more than one name principal name. (The rule for determining the principal name is as follows: If the role associated with the name is 'creator' AND if it is the only name whose role is 'creator' then it is the principal name. Thus if there are more than one name, or no name, whose role is 'creator', then there is no principal name.) If there is a principal name, and if there is a uniform title, then that name and title are to be combined into a nameTitle. ".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Name -  Principle".freeze,
      range: "http://www.loc.gov/mads/rdf/v1#Name".freeze,
      subPropertyOf: "http://www.loc.gov/mods/rdf/v1#name".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :note,
      comment: "Textual information about the resource. This property is used when no type is specified. (In contrast to hasTypedNote, whose object is an aggregator that includes both the type and note.)".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Note".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :noteGroup,
      comment: "Used for a note with a type (other than \"statement of responsibility\")".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Note  Group".freeze,
      range: "http://www.loc.gov/mods/rdf/v1#NoteGroup".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :noteGroupType,
      comment: "A property of NoteGroup - used when a type is supplied for the note.  The type.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#NoteGroup".freeze,
      label: "NoteGroup - Type".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :noteGroupValue,
      comment: "A property of noteGroup - used when a type is supplied for the note. The text of the note.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#NoteGroup".freeze,
      label: "NoteGroup - Value".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :part,
      comment: "Information about a physical part of the resource, including the part number, its caption and title, and dimensions. ".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Part".freeze,
      range: "http://www.loc.gov/mods/rdf/v1#Part".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :partDate,
      comment: "Date associated with a part.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#Part".freeze,
      label: "Part Date".freeze,
      subPropertyOf: "http://www.loc.gov/mods/rdf/v1#date".freeze,
      type: "http://www.w3.org/2002/07/owl#AnnotationProperty".freeze
    property :partDetailType,
      comment: "The type of the resource part, e.g. volume, issue, page.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#Part".freeze,
      label: "Part - Detail Type".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :partEnd,
      comment: "The value of the end of a part. For example, if unit of the part has value 'page', this is the number of the last page. ".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#Part".freeze,
      label: "Part - End".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :partLevel,
      comment: "A property of a part - the level of numbering in the host/parent item.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#Part".freeze,
      label: "Part - Level".freeze,
      range: "http://www.w3.org/2001/XMLSchema#positiveInteger".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :partList,
      comment: "A property of a part - a textual listing of the units within the part.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#Part".freeze,
      label: "Part - List".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :partName,
      comment: "A string that designates the part name.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#Part".freeze,
      label: "Part - Name".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :partNumber,
      comment: "A string that designates the part number.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#Part".freeze,
      label: "Part - Number".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :partOrder,
      comment: "An integer that designates the sequence of parts".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#Part".freeze,
      label: "Part - Order".freeze,
      range: "http://www.w3.org/2001/XMLSchema#integer".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :partStart,
      comment: "The beginning unit of the part.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#Part".freeze,
      label: "Part - Start".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :partTotal,
      comment: "The total number of units within a part.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#Part".freeze,
      label: "Part - Total".freeze,
      range: "http://www.w3.org/2001/XMLSchema#positiveInteger".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :partType,
      comment: "The segment type of a part. (When parts are included, the resource is ususally a document, so the part type would be the segment type of the document.)".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#Part".freeze,
      label: "Part - Type".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :partUnit,
      comment: "the unit -- e.g. page, chapter -- applying to the start, end, and total values.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#Part".freeze,
      label: "Part - Unit".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :physicalExtent,
      comment: "a statement of the number and specific material of the units of the resource that express physical extent.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Physical Extent".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :physicalForm,
      comment: "A particular physical presentation of the resource, including the physical form or medium of material for a resource. Example: oil paint".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Physical Form".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :placeOfOrigin,
      comment: "Place of publication/origin. Used in connection with the origin of a resource, i.e., creation, publication, issuance, etc.  Represented as a MADS Geographic.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Place".freeze,
      range: "http://www.loc.gov/mads/rdf/v1#Geographic".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :publisher,
      comment: "The name of the entity that published, printed, distributed, released, issued, or produced the resource.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Publisher".freeze,
      range: "http://www.loc.gov/mads/rdf/v1#Name".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :recordContentSource,
      comment: "The code or name of the organization that either created the original description or modified it.".freeze,
      domain: "http://id.loc.gov/ontologies/RecordInfo#AdminMetadata".freeze,
      label: "Record Content Source".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :recordDescriptionStandard,
      comment: "Part of administrative metadata. The standard  which designates the rules used for the content of the description.".freeze,
      domain: "http://id.loc.gov/ontologies/RecordInfo#AdminMetadata".freeze,
      label: "Record Description Standard".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :recordIdentifier,
      comment: "The system control number assigned by the organization creating, using, or distributing the description.".freeze,
      domain: "http://id.loc.gov/ontologies/RecordInfo#AdminMetadata".freeze,
      label: "Record Identifier".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :recordOrigin,
      comment: "Describes the origin or provenance of the description.".freeze,
      domain: "http://id.loc.gov/ontologies/RecordInfo#AdminMetadata".freeze,
      label: "Record Origin".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :reformattingQuality,
      comment: "The reformatting quality;  e.g. access, preservation,  replacement.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Reformatting Quality".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :relatedConstituent,
      comment: "Relates the described MODS resource to another MODS resource which is a constituent of the described resource. ".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Related item - Constituent".freeze,
      range: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      subPropertyOf: "http://www.loc.gov/mods/rdf/v1#relatedItem".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :relatedFormat,
      comment: "Relates the described MODS resource to a similar MODS resource of a different format.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Related item - Other Format".freeze,
      range: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      subPropertyOf: "http://www.loc.gov/mods/rdf/v1#relatedItem".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :relatedHost,
      comment: "Relates the described MODS resource to another MODS resource which is a host of the described resource.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Related item - Host".freeze,
      range: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      subPropertyOf: "http://www.loc.gov/mods/rdf/v1#relatedItem".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :relatedInstantiation,
      comment: "Relates the described resource to a another MODS resource with different origination information.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Related item - Instantiation".freeze,
      range: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      subPropertyOf: "http://www.loc.gov/mods/rdf/v1#relatedItem".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :relatedItem,
      comment: "Relates the described MODS resource to another, related MODS resource.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Related Item".freeze,
      range: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :relatedOriginal,
      comment: "Relates the described MODS resource to another MODS resource which is an original of the described resource.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Related item - Original".freeze,
      range: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      subPropertyOf: "http://www.loc.gov/mods/rdf/v1#relatedItem".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :relatedPreceding,
      comment: "Relates the described MODS resource to a MODS resource which preceded the described resource.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Related item - Preceding".freeze,
      range: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      subPropertyOf: "http://www.loc.gov/mods/rdf/v1#relatedItem".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :relatedReference,
      comment: "Relates the described MODS resource to another MODS resource which the described resource references.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Related item - Reference".freeze,
      range: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      subPropertyOf: "http://www.loc.gov/mods/rdf/v1#relatedItem".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :relatedReferencedBy,
      comment: ["".freeze, "Relates the described MODS resource to another MODS resource which references the described resource.".freeze],
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Related item - Referenced By".freeze,
      range: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      subPropertyOf: "http://www.loc.gov/mods/rdf/v1#relatedItem".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :relatedReview,
      comment: "Relates the described MODS resource to another MODS resource which is review of the described resource.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Related item - Review".freeze,
      range: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      subPropertyOf: "http://www.loc.gov/mods/rdf/v1#relatedItem".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :relatedSeries,
      comment: "Relates the described resource to a another MODS resource which is a series of which the described resource is a part.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Related item - Series".freeze,
      range: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      subPropertyOf: "http://www.loc.gov/mods/rdf/v1#relatedItem".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :relatedSucceeding,
      comment: "Relates the described resource to a another MODS resource which suceeded it.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Related item - Suceeding".freeze,
      range: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      subPropertyOf: "http://www.loc.gov/mods/rdf/v1#relatedItem".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :relatedVersion,
      comment: "Relates the described MODS resource to another MODS resource which is a different version of the described resource.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Related Item - Other Version".freeze,
      range: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      subPropertyOf: "http://www.loc.gov/mods/rdf/v1#relatedItem".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :role,
      comment: "role is an abstract property, for which all terms in the relator vocabulary of roles become subproperties.  Thus for example 'relator:artist' refers to the role 'artist' within that vocabulary. (The prefix 'relator:' is used to denote the namespace for the \"relator\" vocabulary. \n\nThe property 'relator:artist' relates the resource to an artist associated with the resource, represented as a mads name.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      equivalentProperty: "http://id.loc.gov/vocabulary/relators/role".freeze,
      label: "Role (unbound)".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :roleRelationship,
      comment: "Binds a name to the role that the named entity played for the resource. ".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Role Relationship".freeze,
      range: "http://www.loc.gov/mods/rdf/v1#RoleRelationship".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :roleRelationshipName,
      comment: "The name included in a roleRelationship.  The roleRelationship binds an name and a role, where the name is a name associated with the resource and is specified elsewhere via the hasName property.  This mechanism is used when the role is not part of a known vocabulary.  Otherwise, the relationship is expressed by using the role vocabulary term as the property; for example, see relator:creator.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#RoleRelationship".freeze,
      label: "Role Relationship - Name".freeze,
      range: "http://www.loc.gov/mads/rdf/v1#Name".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :roleRelationshipRole,
      comment: "The role associated with a name, where the name and role are bound together in a roleRelationship.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#RoleRelationship".freeze,
      label: "Role Relationship -  Role".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :statementOfResponsibility,
      comment: "A note, when the note type is \"statement of responsibility\"".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Statement of Responsibility".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :subject,
      comment: "An abstract property defined for which the various subject catergories (e.g. subjectGenre, subjectTitle) are subproperties.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Subject".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :subjectComplex,
      comment: "A subject of the resource composed of several component subjects. ".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Subject - Complex".freeze,
      range: "http://www.loc.gov/mads/rdf/v1#ComplexSubject".freeze,
      subPropertyOf: "http://www.loc.gov/mods/rdf/v1#subject".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :subjectGenre,
      comment: "A subject of the resource which is a genre, expressed in terms of a MADS GenreForm.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Subject - Genre Subject".freeze,
      range: "http://www.loc.gov/mads/rdf/v1#GenreForm".freeze,
      subPropertyOf: "http://www.loc.gov/mods/rdf/v1#subject".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :subjectGeographic,
      comment: "A subject of the resource which is a geographic entity, expressed in terms of a MADS Geographic.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Subject - Geographic ".freeze,
      range: "http://www.loc.gov/mads/rdf/v1#Geographic".freeze,
      subPropertyOf: "http://www.loc.gov/mods/rdf/v1#subject".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :subjectGeographicCode,
      comment: "A subject of the resource which is a geographic entity, expressed as a geographic code and in terms of a MADS Geographic.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Subject - Geographic Code ".freeze,
      range: "http://www.loc.gov/mads/rdf/v1#Geographic".freeze,
      subPropertyOf: "http://www.loc.gov/mods/rdf/v1#subjectGeographic".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :subjectHierarchicalGeographic,
      comment: "A subject of the resource which is a hierarchy of geographic entities expressed in terms of a MADS Geographics.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Subject -  Hierarchical Geographic ".freeze,
      range: "http://www.loc.gov/mads/rdf/v1#HierarchicalGeographic".freeze,
      subPropertyOf: "http://www.loc.gov/mods/rdf/v1#subject".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :subjectName,
      comment: "A subject of the resource which is a name, expressed in terms of a MADS Name.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Subject - Name Subject".freeze,
      range: "http://www.loc.gov/mads/rdf/v1#Name".freeze,
      subPropertyOf: "http://www.loc.gov/mods/rdf/v1#subject".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :subjectOccupation,
      comment: "A subject of the resource which is an occupation, expressed in terms of a MADS Occupation.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Subject - Occupation".freeze,
      range: "http://www.loc.gov/mads/rdf/v1#Occupation".freeze,
      subPropertyOf: "http://www.loc.gov/mods/rdf/v1#subject".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :subjectTemporal,
      comment: "A subject of the resource which is a temporal expression, expressed in terms of a MADS Temporal.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Subject - Temporal".freeze,
      range: "http://www.loc.gov/mads/rdf/v1#Temporal".freeze,
      subPropertyOf: "http://www.loc.gov/mods/rdf/v1#subject".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :subjectTitle,
      comment: "A subject of the resource which is a title, expressed in terms of a MADS Title.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Subject - Title".freeze,
      range: "http://www.loc.gov/mads/rdf/v1#Title".freeze,
      subPropertyOf: "http://www.loc.gov/mods/rdf/v1#subject".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :subjectTopic,
      comment: "A subject of the resource which is a topic, expressed in terms of a MADS Topic.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Subject - Topic".freeze,
      range: "http://www.loc.gov/mads/rdf/v1#Topic".freeze,
      subPropertyOf: "http://www.loc.gov/mods/rdf/v1#subject".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :tableOfContents,
      comment: "Description of the contents of the resource.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Table of Contents".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :targetAudience,
      comment: "The target audience of the resource. Examples: adolescent, adult, general, juvenile, preschool,  specialized.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Target Audience".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :title,
      comment: "A title for the resource. Represented as a MADS Title.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Title".freeze,
      range: "http://www.loc.gov/mads/rdf/v1#Title".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :titlePrincipal,
      comment: "A title which has been distinguished as the principal  title. (This corresponds to a MODS XML titleInfo with  no type attribute.) There should be no more than one principal title. Represented as a MADS Title.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Title - Principal".freeze,
      range: "http://www.loc.gov/mads/rdf/v1#Title".freeze,
      subPropertyOf: "http://www.loc.gov/mods/rdf/v1#title".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :titleUniform,
      comment: "A title which has been distinguished as a uniform title. (This corresponds to a MODS XML titleInfo with 'type=uniform' attribute.) There should be no more than one uniform title.  Represented as a MADS Title, or, if there is a primary name, it is represented as a MADS NameTitle.  ".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Title - Uniform".freeze,
      range: "http://www.loc.gov/mads/rdf/v1#Title".freeze,
      subPropertyOf: "http://www.loc.gov/mods/rdf/v1#title".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze

    # Extra definitions
    term :access,
      type: ["http://www.loc.gov/mods/rdf/ReformattingQuality".freeze, "http://www.w3.org/2002/07/owl#NamedIndividual".freeze]
    term :date,
      comment: "An abstract property for which date properties in general are subproperties.".freeze,
      domain: "http://www.loc.gov/mods/rdf/v1#ModsResource".freeze,
      label: "Date".freeze
    term :digitizedAnalog,
      type: ["http://www.loc.gov/mods/rdf/DigitalOrigin".freeze, "http://www.w3.org/2002/07/owl#NamedIndividual".freeze]
    term :digitizedMicrofilm,
      type: ["http://www.loc.gov/mods/rdf/DigitalOrigin".freeze, "http://www.w3.org/2002/07/owl#NamedIndividual".freeze]
    term :integratingResource,
      type: ["http://www.loc.gov/mods/rdf/Issuance".freeze, "http://www.w3.org/2002/07/owl#NamedIndividual".freeze]
    term :monographic,
      type: ["http://www.loc.gov/mods/rdf/Issuance".freeze, "http://www.w3.org/2002/07/owl#NamedIndividual".freeze]
    term :reformattedDigital,
      type: ["http://www.loc.gov/mods/rdf/DigitalOrigin".freeze, "http://www.w3.org/2002/07/owl#NamedIndividual".freeze]
    term :serial,
      type: ["http://www.loc.gov/mods/rdf/Issuance".freeze, "http://www.w3.org/2002/07/owl#NamedIndividual".freeze]
  end
end
