# -*- encoding: utf-8 -*-
# frozen_string_literal: true
# This file generated automatically using rdf vocabulary format from http://rightsstatements.org/vocab/
require 'rdf'
module RDF::Vocab
  RightsStatements = Class.new(RDF::StrictVocabulary("http://rightsstatements.org/vocab/")) do

    # Extra definitions
    term :"1.0/",
      "http://purl.org/dc/elements/1.1/identifier": "rscs".freeze,
      "http://purl.org/dc/terms/creator": "http://rightsstatements.org/vocab/irswg".freeze,
      "http://purl.org/dc/terms/title": "RightsStatements.org Standardized International Rights Statements".freeze,
      "http://www.w3.org/2002/07/owl#versionInfo": "1.0".freeze,
      type: "http://www.w3.org/2004/02/skos/core#ConceptScheme".freeze
    term :"CNE/1.0/",
      "http://purl.org/dc/elements/1.1/identifier": "CNE".freeze,
      "http://purl.org/dc/terms/creator": "http://rightsstatements.org/vocab/irswg".freeze,
      "http://purl.org/dc/terms/modified": "2019-04-18".freeze,
      "http://www.w3.org/2002/07/owl#versionInfo": "1.0".freeze,
      "http://www.w3.org/2004/02/skos/core#closeMatch": "http://www.europeana.eu/rights/unknown/".freeze,
      "http://www.w3.org/2004/02/skos/core#relatedMatch": "http://id.loc.gov/vocabulary/preservation/copyrightStatus/unk".freeze,
      inScheme: "http://rightsstatements.org/vocab/1.0/".freeze,
      notation: "CNE".freeze,
      type: ["http://purl.org/dc/terms/RightsStatement".freeze, "http://www.w3.org/2004/02/skos/core#Concept".freeze]
    term :"InC-EDU/1.0/",
      "http://purl.org/dc/elements/1.1/identifier": "InC-EDU".freeze,
      "http://purl.org/dc/terms/creator": "http://rightsstatements.org/vocab/irswg".freeze,
      "http://purl.org/dc/terms/modified": "2019-04-18".freeze,
      "http://www.w3.org/2002/07/owl#versionInfo": "1.0".freeze,
      "http://www.w3.org/2004/02/skos/core#relatedMatch": "http://id.loc.gov/vocabulary/preservation/copyrightStatus/cpr".freeze,
      inScheme: "http://rightsstatements.org/vocab/1.0/".freeze,
      notation: "InC-EDU".freeze,
      type: ["http://purl.org/dc/terms/RightsStatement".freeze, "http://www.w3.org/2004/02/skos/core#Concept".freeze]
    term :"InC-NC/1.0/",
      "http://creativecommons.org/ns#prohibits": "http://creativecommons.org/ns#CommercialUse".freeze,
      "http://purl.org/dc/elements/1.1/identifier": "InC-NC".freeze,
      "http://purl.org/dc/terms/creator": "http://rightsstatements.org/vocab/irswg".freeze,
      "http://purl.org/dc/terms/modified": "2019-04-18".freeze,
      "http://www.w3.org/2002/07/owl#versionInfo": "1.0".freeze,
      "http://www.w3.org/2004/02/skos/core#closeMatch": "http://creativecommons.org/licenses/by-nc/4.0/".freeze,
      "http://www.w3.org/2004/02/skos/core#relatedMatch": "http://id.loc.gov/vocabulary/preservation/copyrightStatus/cpr".freeze,
      inScheme: "http://rightsstatements.org/vocab/1.0/".freeze,
      notation: "InC-NC".freeze,
      type: ["http://purl.org/dc/terms/RightsStatement".freeze, "http://www.w3.org/2004/02/skos/core#Concept".freeze]
    term :"InC-OW-EU/1.0/",
      "http://purl.org/dc/elements/1.1/identifier": "InC-OW-EU".freeze,
      "http://purl.org/dc/terms/creator": "http://rightsstatements.org/vocab/irswg".freeze,
      "http://purl.org/dc/terms/modified": "2010-04-18".freeze,
      "http://www.w3.org/2002/07/owl#versionInfo": "1.0".freeze,
      "http://www.w3.org/2004/02/skos/core#closeMatch": "http://www.europeana.eu/rights/orphan-work-eu/".freeze,
      "http://www.w3.org/2004/02/skos/core#relatedMatch": "http://id.loc.gov/vocabulary/preservation/copyrightStatus/cpr".freeze,
      inScheme: "http://rightsstatements.org/vocab/1.0/".freeze,
      notation: "InC-OW-EU".freeze,
      type: ["http://purl.org/dc/terms/RightsStatement".freeze, "http://www.w3.org/2004/02/skos/core#Concept".freeze]
    term :"InC-RUU/1.0/",
      "http://purl.org/dc/elements/1.1/identifier": "InC-RUU".freeze,
      "http://purl.org/dc/terms/creator": "http://rightsstatements.org/vocab/irswg".freeze,
      "http://purl.org/dc/terms/modified": "2019-04-18".freeze,
      "http://www.w3.org/2002/07/owl#versionInfo": "1.0".freeze,
      "http://www.w3.org/2004/02/skos/core#relatedMatch": "http://id.loc.gov/vocabulary/preservation/copyrightStatus/cpr".freeze,
      inScheme: "http://rightsstatements.org/vocab/1.0/".freeze,
      notation: "InC-RUU".freeze,
      type: ["http://purl.org/dc/terms/RightsStatement".freeze, "http://www.w3.org/2004/02/skos/core#Concept".freeze]
    term :"InC/1.0/",
      "http://purl.org/dc/elements/1.1/identifier": "InC".freeze,
      "http://purl.org/dc/terms/creator": "http://rightsstatements.org/vocab/irswg".freeze,
      "http://purl.org/dc/terms/modified": "2019-04-18".freeze,
      "http://www.w3.org/2002/07/owl#versionInfo": "1.0".freeze,
      "http://www.w3.org/2004/02/skos/core#closeMatch": "http://www.europeana.eu/rights/rr-f/".freeze,
      "http://www.w3.org/2004/02/skos/core#relatedMatch": "http://id.loc.gov/vocabulary/preservation/copyrightStatus/cpr".freeze,
      inScheme: "http://rightsstatements.org/vocab/1.0/".freeze,
      notation: "InC".freeze,
      type: ["http://purl.org/dc/terms/RightsStatement".freeze, "http://www.w3.org/2004/02/skos/core#Concept".freeze]
    term :"NKC/1.0/",
      "http://purl.org/dc/elements/1.1/identifier": "NKC".freeze,
      "http://purl.org/dc/terms/creator": "http://rightsstatements.org/vocab/irswg".freeze,
      "http://purl.org/dc/terms/modified": "2019-04-18".freeze,
      "http://www.w3.org/2002/07/owl#versionInfo": "1.0".freeze,
      "http://www.w3.org/2004/02/skos/core#relatedMatch": "http://id.loc.gov/vocabulary/preservation/copyrightStatus/unk".freeze,
      inScheme: "http://rightsstatements.org/vocab/1.0/".freeze,
      notation: "NKC".freeze,
      type: ["http://purl.org/dc/terms/RightsStatement".freeze, "http://www.w3.org/2004/02/skos/core#Concept".freeze]
    term :"NoC-CR/1.0/",
      "http://purl.org/dc/elements/1.1/identifier": "NoC-CR".freeze,
      "http://purl.org/dc/terms/creator": "http://rightsstatements.org/vocab/irswg".freeze,
      "http://purl.org/dc/terms/modified": "2019-04-18".freeze,
      "http://www.w3.org/2002/07/owl#versionInfo": "1.0".freeze,
      "http://www.w3.org/2004/02/skos/core#relatedMatch": "http://id.loc.gov/vocabulary/preservation/copyrightStatus/pub".freeze,
      inScheme: "http://rightsstatements.org/vocab/1.0/".freeze,
      notation: "NoC-CR".freeze,
      type: ["http://purl.org/dc/terms/RightsStatement".freeze, "http://www.w3.org/2004/02/skos/core#Concept".freeze]
    term :"NoC-NC/1.0/",
      "http://creativecommons.org/ns#prohibits": "http://creativecommons.org/ns#CommercialUse".freeze,
      "http://purl.org/dc/elements/1.1/identifier": "NoC-NC".freeze,
      "http://purl.org/dc/terms/creator": "http://rightsstatements.org/vocab/irswg".freeze,
      "http://purl.org/dc/terms/modified": "2019-04-18".freeze,
      "http://www.w3.org/2002/07/owl#versionInfo": "1.0".freeze,
      "http://www.w3.org/2004/02/skos/core#relatedMatch": "http://id.loc.gov/vocabulary/preservation/copyrightStatus/pub".freeze,
      inScheme: "http://rightsstatements.org/vocab/1.0/".freeze,
      notation: "NoC-NC".freeze,
      type: ["http://purl.org/dc/terms/RightsStatement".freeze, "http://www.w3.org/2004/02/skos/core#Concept".freeze]
    term :"NoC-OKLR/1.0/",
      "http://purl.org/dc/elements/1.1/identifier": "NoC-OKLR".freeze,
      "http://purl.org/dc/terms/creator": "http://rightsstatements.org/vocab/irswg".freeze,
      "http://purl.org/dc/terms/modified": "2019-04-18".freeze,
      "http://www.w3.org/2002/07/owl#versionInfo": "1.0".freeze,
      "http://www.w3.org/2004/02/skos/core#relatedMatch": "http://id.loc.gov/vocabulary/preservation/copyrightStatus/pub".freeze,
      inScheme: "http://rightsstatements.org/vocab/1.0/".freeze,
      notation: "NoC-OKLR".freeze,
      type: ["http://purl.org/dc/terms/RightsStatement".freeze, "http://www.w3.org/2004/02/skos/core#Concept".freeze]
    term :"NoC-US/1.0/",
      "http://purl.org/dc/elements/1.1/identifier": "NoC-US".freeze,
      "http://purl.org/dc/terms/creator": "http://rightsstatements.org/vocab/irswg".freeze,
      "http://purl.org/dc/terms/modified": "2019-04-18".freeze,
      "http://www.w3.org/2002/07/owl#versionInfo": "1.0".freeze,
      inScheme: "http://rightsstatements.org/vocab/1.0/".freeze,
      notation: "NoC-US".freeze,
      type: ["http://purl.org/dc/terms/RightsStatement".freeze, "http://www.w3.org/2004/02/skos/core#Concept".freeze]
    term :"UND/1.0/",
      "http://purl.org/dc/elements/1.1/identifier": "UND".freeze,
      "http://purl.org/dc/terms/creator": "http://rightsstatements.org/vocab/irswg".freeze,
      "http://purl.org/dc/terms/modified": "2019-04-18".freeze,
      "http://www.w3.org/2002/07/owl#versionInfo": "1.0".freeze,
      inScheme: "http://rightsstatements.org/vocab/1.0/".freeze,
      notation: "UND".freeze,
      type: ["http://purl.org/dc/terms/RightsStatement".freeze, "http://www.w3.org/2004/02/skos/core#Concept".freeze]
    term :"collection-ic/1.0/",
      "http://www.w3.org/2002/07/owl#versionInfo": "1.0".freeze,
      inScheme: "http://rightsstatements.org/vocab/1.0/".freeze,
      member: ["http://rightsstatements.org/vocab/InC-EDU/1.0/".freeze, "http://rightsstatements.org/vocab/InC-NC/1.0/".freeze, "http://rightsstatements.org/vocab/InC-OW-EU/1.0/".freeze, "http://rightsstatements.org/vocab/InC-RUU/1.0/".freeze, "http://rightsstatements.org/vocab/InC/1.0/".freeze],
      type: "http://www.w3.org/2004/02/skos/core#Collection".freeze
    term :"collection-nc/1.0/",
      "http://www.w3.org/2002/07/owl#versionInfo": "1.0".freeze,
      inScheme: "http://rightsstatements.org/vocab/1.0/".freeze,
      member: ["http://rightsstatements.org/vocab/NoC-CR/1.0/".freeze, "http://rightsstatements.org/vocab/NoC-NC/1.0/".freeze, "http://rightsstatements.org/vocab/NoC-OKLR/1.0/".freeze, "http://rightsstatements.org/vocab/NoC-US/1.0/".freeze],
      type: "http://www.w3.org/2004/02/skos/core#Collection".freeze
    term :"collection-other/1.0/",
      "http://www.w3.org/2002/07/owl#versionInfo": "1.0".freeze,
      inScheme: "http://rightsstatements.org/vocab/1.0/".freeze,
      member: ["http://rightsstatements.org/vocab/CNE/1.0/".freeze, "http://rightsstatements.org/vocab/NKC/1.0/".freeze, "http://rightsstatements.org/vocab/UND/1.0/".freeze],
      type: "http://www.w3.org/2004/02/skos/core#Collection".freeze
    term :irswg,
      "http://xmlns.com/foaf/0.1/homepage": "http://rightsstatements.org/".freeze,
      "http://xmlns.com/foaf/0.1/name": "RightsStatements.org Consortium".freeze,
      prefLabel: "RightsStatements.org Consortium".freeze,
      type: ["http://www.europeana.eu/schemas/edm/Agent".freeze, "http://xmlns.com/foaf/0.1/Group".freeze]
  end
end
