# -*- encoding: utf-8 -*-
# frozen_string_literal: true
# This file generated automatically using rdf vocabulary format from http://www.w3.org/ns/shacl#
require 'rdf'
module RDF::Vocab
  SH = Class.new(RDF::StrictVocabulary("http://www.w3.org/ns/shacl#")) do

    # Ontology definition
    ontology :"http://www.w3.org/ns/shacl#",
      comment: "This vocabulary defines terms used in SHACL, the W3C Shapes Constraint Language.".freeze,
      "http://www.w3.org/ns/shacl#declare": term(
          "http://www.w3.org/ns/shacl#namespace": "http://www.w3.org/ns/shacl#".freeze,
          "http://www.w3.org/ns/shacl#prefix": "sh".freeze
        ),
      "http://www.w3.org/ns/shacl#suggestedShapesGraph": "http://www.w3.org/ns/shacl-shacl#".freeze,
      label: "W3C Shapes Constraint Language (SHACL) Vocabulary".freeze,
      type: "http://www.w3.org/2002/07/owl#Ontology".freeze

    # Class definitions
    term :AbstractResult,
      comment: "The base class of validation results, typically not instantiated directly.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Abstract result".freeze,
      subClassOf: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ConstraintComponent,
      comment: "The class of constraint components.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Constraint component".freeze,
      subClassOf: "http://www.w3.org/ns/shacl#Parameterizable".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Function,
      comment: "The class of SHACL functions.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Function".freeze,
      subClassOf: "http://www.w3.org/ns/shacl#Parameterizable".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :JSConstraint,
      comment: "The class of constraints backed by a JavaScript function.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "JavaScript-based constraint".freeze,
      subClassOf: "http://www.w3.org/ns/shacl#JSExecutable".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :JSExecutable,
      comment: "Abstract base class of resources that declare an executable JavaScript.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "JavaScript executable".freeze,
      subClassOf: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :JSFunction,
      comment: "The class of SHACL functions that execute a JavaScript function when called.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "JavaScript function".freeze,
      subClassOf: ["http://www.w3.org/ns/shacl#Function".freeze, "http://www.w3.org/ns/shacl#JSExecutable".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :JSLibrary,
      comment: "Represents a JavaScript library, typically identified by one or more URLs of files to include.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "JavaScript library".freeze,
      subClassOf: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :JSRule,
      comment: "The class of SHACL rules expressed using JavaScript.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "JavaScript rule".freeze,
      subClassOf: ["http://www.w3.org/ns/shacl#JSExecutable".freeze, "http://www.w3.org/ns/shacl#Rule".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :JSTarget,
      comment: "The class of targets that are based on JavaScript functions.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "JavaScript target".freeze,
      subClassOf: ["http://www.w3.org/ns/shacl#JSExecutable".freeze, "http://www.w3.org/ns/shacl#Target".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :JSTargetType,
      comment: "The (meta) class for parameterizable targets that are based on JavaScript functions.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "JavaScript target type".freeze,
      subClassOf: ["http://www.w3.org/ns/shacl#JSExecutable".freeze, "http://www.w3.org/ns/shacl#TargetType".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :JSValidator,
      comment: "A SHACL validator based on JavaScript. This can be used to declare SHACL constraint components that perform JavaScript-based validation when used.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "JavaScript validator".freeze,
      subClassOf: ["http://www.w3.org/ns/shacl#JSExecutable".freeze, "http://www.w3.org/ns/shacl#Validator".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :NodeKind,
      comment: "The class of all node kinds, including sh:BlankNode, sh:IRI, sh:Literal or the combinations of these: sh:BlankNodeOrIRI, sh:BlankNodeOrLiteral, sh:IRIOrLiteral.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Node kind".freeze,
      subClassOf: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :NodeShape,
      comment: "A node shape is a shape that specifies constraint that need to be met with respect to focus nodes.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Node shape".freeze,
      subClassOf: "http://www.w3.org/ns/shacl#Shape".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Parameter,
      comment: "The class of parameter declarations, consisting of a path predicate and (possibly) information about allowed value type, cardinality and other characteristics.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Parameter".freeze,
      subClassOf: "http://www.w3.org/ns/shacl#PropertyShape".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Parameterizable,
      comment: "Superclass of components that can take parameters, especially functions and constraint components.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Parameterizable".freeze,
      subClassOf: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PrefixDeclaration,
      comment: "The class of prefix declarations, consisting of pairs of a prefix with a namespace.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Prefix declaration".freeze,
      subClassOf: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PropertyGroup,
      comment: "Instances of this class represent groups of property shapes that belong together.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Property group".freeze,
      subClassOf: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PropertyShape,
      comment: "A property shape is a shape that specifies constraints on the values of a focus node for a given property or path.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Property shape".freeze,
      subClassOf: "http://www.w3.org/ns/shacl#Shape".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ResultAnnotation,
      comment: "A class of result annotations, which define the rules to derive the values of a given annotation property as extra values for a validation result.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Result annotation".freeze,
      subClassOf: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Rule,
      comment: "The class of SHACL rules. Never instantiated directly.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Rule".freeze,
      subClassOf: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SPARQLAskExecutable,
      comment: "The class of SPARQL executables that are based on an ASK query.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "SPARQL ASK executable".freeze,
      subClassOf: "http://www.w3.org/ns/shacl#SPARQLExecutable".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SPARQLAskValidator,
      comment: "The class of validators based on SPARQL ASK queries. The queries are evaluated for each value node and are supposed to return true if the given node conforms.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "SPARQL ASK validator".freeze,
      subClassOf: ["http://www.w3.org/ns/shacl#SPARQLAskExecutable".freeze, "http://www.w3.org/ns/shacl#Validator".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SPARQLConstraint,
      comment: "The class of constraints based on SPARQL SELECT queries.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "SPARQL constraint".freeze,
      subClassOf: "http://www.w3.org/ns/shacl#SPARQLSelectExecutable".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SPARQLConstructExecutable,
      comment: "The class of SPARQL executables that are based on a CONSTRUCT query.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "SPARQL CONSTRUCT executable".freeze,
      subClassOf: "http://www.w3.org/ns/shacl#SPARQLExecutable".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SPARQLExecutable,
      comment: "The class of resources that encapsulate a SPARQL query.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "SPARQL executable".freeze,
      subClassOf: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SPARQLFunction,
      comment: "A function backed by a SPARQL query - either ASK or SELECT.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "SPARQL function".freeze,
      subClassOf: ["http://www.w3.org/ns/shacl#Function".freeze, "http://www.w3.org/ns/shacl#SPARQLAskExecutable".freeze, "http://www.w3.org/ns/shacl#SPARQLSelectExecutable".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SPARQLRule,
      comment: "The class of SHACL rules based on SPARQL CONSTRUCT queries.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "SPARQL CONSTRUCT rule".freeze,
      subClassOf: ["http://www.w3.org/ns/shacl#Rule".freeze, "http://www.w3.org/ns/shacl#SPARQLConstructExecutable".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SPARQLSelectExecutable,
      comment: "The class of SPARQL executables based on a SELECT query.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "SPARQL SELECT executable".freeze,
      subClassOf: "http://www.w3.org/ns/shacl#SPARQLExecutable".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SPARQLSelectValidator,
      comment: "The class of validators based on SPARQL SELECT queries. The queries are evaluated for each focus node and are supposed to produce bindings for all focus nodes that do not conform.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "SPARQL SELECT validator".freeze,
      subClassOf: ["http://www.w3.org/ns/shacl#SPARQLSelectExecutable".freeze, "http://www.w3.org/ns/shacl#Validator".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SPARQLTarget,
      comment: "The class of targets that are based on SPARQL queries.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "SPARQL target".freeze,
      subClassOf: ["http://www.w3.org/ns/shacl#SPARQLAskExecutable".freeze, "http://www.w3.org/ns/shacl#SPARQLSelectExecutable".freeze, "http://www.w3.org/ns/shacl#Target".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SPARQLTargetType,
      comment: "The (meta) class for parameterizable targets that are based on SPARQL queries.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "SPARQL target type".freeze,
      subClassOf: ["http://www.w3.org/ns/shacl#SPARQLAskExecutable".freeze, "http://www.w3.org/ns/shacl#SPARQLSelectExecutable".freeze, "http://www.w3.org/ns/shacl#TargetType".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SPARQLUpdateExecutable,
      comment: "The class of SPARQL executables based on a SPARQL UPDATE.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "SPARQL UPDATE executable".freeze,
      subClassOf: "http://www.w3.org/ns/shacl#SPARQLExecutable".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Severity,
      comment: "The class of validation result severity levels, including violation and warning levels.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Severity".freeze,
      subClassOf: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Shape,
      comment: "A shape is a collection of constraints that may be targeted for certain nodes.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Shape".freeze,
      subClassOf: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Target,
      comment: "The base class of targets such as those based on SPARQL queries.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Target".freeze,
      subClassOf: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TargetType,
      comment: "The (meta) class for parameterizable targets.\tInstances of this are instantiated as values of the sh:target property.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Target type".freeze,
      subClassOf: ["http://www.w3.org/2000/01/rdf-schema#Class".freeze, "http://www.w3.org/ns/shacl#Parameterizable".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TripleRule,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "A rule based on triple (subject, predicate, object) pattern.".freeze,
      subClassOf: "http://www.w3.org/ns/shacl#Rule".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ValidationReport,
      comment: "The class of SHACL validation reports.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Validation report".freeze,
      subClassOf: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ValidationResult,
      comment: "The class of validation results.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Validation result".freeze,
      subClassOf: "http://www.w3.org/ns/shacl#AbstractResult".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Validator,
      comment: "The class of validators, which provide instructions on how to process a constraint definition. This class serves as base class for the SPARQL-based validators and other possible implementations.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Validator".freeze,
      subClassOf: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze

    # Property definitions
    property :alternativePath,
      comment: "The (single) value of this property must be a list of path elements, representing the elements of alternative paths.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "alternative path".freeze,
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#List".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :and,
      comment: "RDF list of shapes to validate the value nodes against.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "and".freeze,
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#List".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :annotationProperty,
      comment: "The annotation property that shall be set.".freeze,
      domain: "http://www.w3.org/ns/shacl#ResultAnnotation".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "annotation property".freeze,
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :annotationValue,
      comment: "The (default) values of the annotation property.".freeze,
      domain: "http://www.w3.org/ns/shacl#ResultAnnotation".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "annotation value".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :annotationVarName,
      comment: "The name of the SPARQL variable from the SELECT clause that shall be used for the values.".freeze,
      domain: "http://www.w3.org/ns/shacl#ResultAnnotation".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "annotation variable name".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :ask,
      comment: "The SPARQL ASK query to execute.".freeze,
      domain: "http://www.w3.org/ns/shacl#SPARQLAskExecutable".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "ask".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :class,
      comment: "The type that all value nodes must have.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "class".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Class".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :closed,
      comment: "If set to true then the shape is closed.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "closed".freeze,
      range: "http://www.w3.org/2001/XMLSchema#boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :condition,
      comment: "The shapes that the focus nodes need to conform to before a rule is executed on them.".freeze,
      domain: "http://www.w3.org/ns/shacl#Rule".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "condition".freeze,
      range: "http://www.w3.org/ns/shacl#Shape".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :conforms,
      comment: "True if the validation did not produce any validation results, and false otherwise.".freeze,
      domain: "http://www.w3.org/ns/shacl#ValidationReport".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "conforms".freeze,
      range: "http://www.w3.org/2001/XMLSchema#boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :construct,
      comment: "The SPARQL CONSTRUCT query to execute.".freeze,
      domain: "http://www.w3.org/ns/shacl#SPARQLConstructExecutable".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "construct".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :datatype,
      comment: "Specifies an RDF datatype that all value nodes must have.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "datatype".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Datatype".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :deactivated,
      comment: "If set to true then all nodes conform to this.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "deactivated".freeze,
      range: "http://www.w3.org/2001/XMLSchema#boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :declare,
      comment: "Links a resource with its namespace prefix declarations.".freeze,
      domain: "http://www.w3.org/2002/07/owl#Ontology".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "declare".freeze,
      range: "http://www.w3.org/ns/shacl#PrefixDeclaration".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :defaultValue,
      comment: "A default value for a property, for example for user interface tools to pre-populate input fields.".freeze,
      domain: "http://www.w3.org/ns/shacl#PropertyShape".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "default value".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :description,
      comment: "Human-readable descriptions for the property in the context of the surrounding shape.".freeze,
      domain: "http://www.w3.org/ns/shacl#PropertyShape".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "description".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :detail,
      comment: "Links a result with other results that provide more details, for example to describe violations against nested shapes.".freeze,
      domain: "http://www.w3.org/ns/shacl#AbstractResult".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "detail".freeze,
      range: "http://www.w3.org/ns/shacl#AbstractResult".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :disjoint,
      comment: "Specifies a property where the set of values must be disjoint with the value nodes.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "disjoint".freeze,
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :entailment,
      comment: "An entailment regime that indicates what kind of inferencing is required by a shapes graph.".freeze,
      domain: "http://www.w3.org/2002/07/owl#Ontology".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "entailment".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :equals,
      comment: "Specifies a property that must have the same values as the value nodes.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "equals".freeze,
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :expression,
      comment: "The node expression that must return true for the value nodes.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "expression".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :filterShape,
      comment: "The shape that all input nodes of the expression need to conform to.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "filter shape".freeze,
      range: "http://www.w3.org/ns/shacl#Shape".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :flags,
      comment: "An optional flag to be used with regular expression pattern matching.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "flags".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :focusNode,
      comment: "The focus node that was validated when the result was produced.".freeze,
      domain: "http://www.w3.org/ns/shacl#AbstractResult".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "focus node".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :group,
      comment: "Can be used to link to a property group to indicate that a property shape belongs to a group of related property shapes.".freeze,
      domain: "http://www.w3.org/ns/shacl#PropertyShape".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "group".freeze,
      range: "http://www.w3.org/ns/shacl#PropertyGroup".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasValue,
      comment: "Specifies a value that must be among the value nodes.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "has value".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :ignoredProperties,
      comment: "An optional RDF list of properties that are also permitted in addition to those explicitly enumerated via sh:property/sh:path.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "ignored properties".freeze,
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#List".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :in,
      comment: "Specifies a list of allowed values so that each value node must be among the members of the given list.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "in".freeze,
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#List".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :intersection,
      comment: "A list of node expressions that shall be intersected.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "intersection".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :inversePath,
      comment: "The (single) value of this property represents an inverse path (object to subject).".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "inverse path".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :js,
      comment: "Constraints expressed in JavaScript.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "JavaScript constraint".freeze,
      range: "http://www.w3.org/ns/shacl#JSConstraint".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :jsFunctionName,
      comment: "The name of the JavaScript function to execute.".freeze,
      domain: "http://www.w3.org/ns/shacl#JSExecutable".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "JavaScript function name".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :jsLibrary,
      comment: "Declares which JavaScript libraries are needed to execute this.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "JavaScript library".freeze,
      range: "http://www.w3.org/ns/shacl#JSLibrary".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :jsLibraryURL,
      comment: "Declares the URLs of a JavaScript library. This should be the absolute URL of a JavaScript file. Implementations may redirect those to local files.".freeze,
      domain: "http://www.w3.org/ns/shacl#JSLibrary".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "JavaScript library URL".freeze,
      range: "http://www.w3.org/2001/XMLSchema#anyURI".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :labelTemplate,
      comment: "Outlines how human-readable labels of instances of the associated Parameterizable shall be produced. The values can contain {?paramName} as placeholders for the actual values of the given parameter.".freeze,
      domain: "http://www.w3.org/ns/shacl#Parameterizable".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "label template".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :languageIn,
      comment: "Specifies a list of language tags that all value nodes must have.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "language in".freeze,
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#List".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :lessThan,
      comment: "Specifies a property that must have smaller values than the value nodes.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "less than".freeze,
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :lessThanOrEquals,
      comment: "Specifies a property that must have smaller or equal values than the value nodes.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "less than or equals".freeze,
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :maxCount,
      comment: "Specifies the maximum number of values in the set of value nodes.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "max count".freeze,
      range: "http://www.w3.org/2001/XMLSchema#integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :maxExclusive,
      comment: "Specifies the maximum exclusive value of each value node.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "max exclusive".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :maxInclusive,
      comment: "Specifies the maximum inclusive value of each value node.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "max inclusive".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :maxLength,
      comment: "Specifies the maximum string length of each value node.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "max length".freeze,
      range: "http://www.w3.org/2001/XMLSchema#integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :message,
      comment: "A human-readable message (possibly with placeholders for variables) explaining the cause of the result.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "message".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :minCount,
      comment: "Specifies the minimum number of values in the set of value nodes.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "min count".freeze,
      range: "http://www.w3.org/2001/XMLSchema#integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :minExclusive,
      comment: "Specifies the minimum exclusive value of each value node.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "min exclusive".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :minInclusive,
      comment: "Specifies the minimum inclusive value of each value node.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "min inclusive".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :minLength,
      comment: "Specifies the minimum string length of each value node.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "min length".freeze,
      range: "http://www.w3.org/2001/XMLSchema#integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :name,
      comment: "Human-readable labels for the property in the context of the surrounding shape.".freeze,
      domain: "http://www.w3.org/ns/shacl#PropertyShape".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "name".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :namespace,
      comment: "The namespace associated with a prefix in a prefix declaration.".freeze,
      domain: "http://www.w3.org/ns/shacl#PrefixDeclaration".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "namespace".freeze,
      range: "http://www.w3.org/2001/XMLSchema#anyURI".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :node,
      comment: "Specifies the node shape that all value nodes must conform to.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "node".freeze,
      range: "http://www.w3.org/ns/shacl#NodeShape".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :nodeKind,
      comment: "Specifies the node kind (e.g. IRI or literal) each value node.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "node kind".freeze,
      range: "http://www.w3.org/ns/shacl#NodeKind".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :nodeValidator,
      comment: "The validator(s) used to evaluate a constraint in the context of a node shape.".freeze,
      domain: "http://www.w3.org/ns/shacl#ConstraintComponent".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "shape validator".freeze,
      range: "http://www.w3.org/ns/shacl#Validator".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :nodes,
      comment: "The node expression producing the input nodes of a filter shape expression.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "nodes".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :not,
      comment: "Specifies a shape that the value nodes must not conform to.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "not".freeze,
      range: "http://www.w3.org/ns/shacl#Shape".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :object,
      comment: "An expression producing the nodes that shall be inferred as objects.".freeze,
      domain: "http://www.w3.org/ns/shacl#TripleRule".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "object".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :oneOrMorePath,
      comment: "The (single) value of this property represents a path that is matched one or more times.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "one or more path".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :optional,
      comment: "Indicates whether a parameter is optional.".freeze,
      domain: "http://www.w3.org/ns/shacl#Parameter".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "optional".freeze,
      range: "http://www.w3.org/2001/XMLSchema#boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :or,
      comment: "Specifies a list of shapes so that the value nodes must conform to at least one of the shapes.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "or".freeze,
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#List".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :order,
      comment: "Specifies the relative order of this compared to its siblings. For example use 0 for the first, 1 for the second.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "order".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :parameter,
      comment: "The parameters of a function or constraint component.".freeze,
      domain: "http://www.w3.org/ns/shacl#Parameterizable".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "parameter".freeze,
      range: "http://www.w3.org/ns/shacl#Parameter".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :path,
      comment: "Specifies the property path of a property shape.".freeze,
      domain: "http://www.w3.org/ns/shacl#PropertyShape".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "path".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :pattern,
      comment: "Specifies a regular expression pattern that the string representations of the value nodes must match.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "pattern".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :predicate,
      comment: "An expression producing the properties that shall be inferred as predicates.".freeze,
      domain: "http://www.w3.org/ns/shacl#TripleRule".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "predicate".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :prefix,
      comment: "The prefix of a prefix declaration.".freeze,
      domain: "http://www.w3.org/ns/shacl#PrefixDeclaration".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "prefix".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :prefixes,
      comment: "The prefixes that shall be applied before parsing the associated SPARQL query.".freeze,
      domain: "http://www.w3.org/ns/shacl#SPARQLExecutable".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "prefixes".freeze,
      range: "http://www.w3.org/2002/07/owl#Ontology".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :property,
      comment: "Links a shape to its property shapes.".freeze,
      domain: "http://www.w3.org/ns/shacl#Shape".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "property".freeze,
      range: "http://www.w3.org/ns/shacl#PropertyShape".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :propertyValidator,
      comment: "The validator(s) used to evaluate a constraint in the context of a property shape.".freeze,
      domain: "http://www.w3.org/ns/shacl#ConstraintComponent".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "property validator".freeze,
      range: "http://www.w3.org/ns/shacl#Validator".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :qualifiedMaxCount,
      comment: "The maximum number of value nodes that can conform to the shape.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "qualified max count".freeze,
      range: "http://www.w3.org/2001/XMLSchema#integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :qualifiedMinCount,
      comment: "The minimum number of value nodes that must conform to the shape.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "qualified min count".freeze,
      range: "http://www.w3.org/2001/XMLSchema#integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :qualifiedValueShape,
      comment: "The shape that a specified number of values must conform to.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "qualified value shape".freeze,
      range: "http://www.w3.org/ns/shacl#Shape".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :qualifiedValueShapesDisjoint,
      comment: "Can be used to mark the qualified value shape to be disjoint with its sibling shapes.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "qualified value shapes disjoint".freeze,
      range: "http://www.w3.org/2001/XMLSchema#boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :result,
      comment: "The validation results contained in a validation report.".freeze,
      domain: "http://www.w3.org/ns/shacl#ValidationReport".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "result".freeze,
      range: "http://www.w3.org/ns/shacl#ValidationResult".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :resultAnnotation,
      comment: "Links a SPARQL validator with zero or more sh:ResultAnnotation instances, defining how to derive additional result properties based on the variables of the SELECT query.".freeze,
      domain: "http://www.w3.org/ns/shacl#SPARQLSelectValidator".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "result annotation".freeze,
      range: "http://www.w3.org/ns/shacl#ResultAnnotation".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :resultMessage,
      comment: "Human-readable messages explaining the cause of the result.".freeze,
      domain: "http://www.w3.org/ns/shacl#AbstractResult".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "result message".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :resultPath,
      comment: "The path of a validation result, based on the path of the validated property shape.".freeze,
      domain: "http://www.w3.org/ns/shacl#AbstractResult".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "result path".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :resultSeverity,
      comment: "The severity of the result, e.g. warning.".freeze,
      domain: "http://www.w3.org/ns/shacl#AbstractResult".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "result severity".freeze,
      range: "http://www.w3.org/ns/shacl#Severity".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :returnType,
      comment: "The expected type of values returned by the associated function.".freeze,
      domain: "http://www.w3.org/ns/shacl#Function".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "return type".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Class".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :rule,
      comment: "The rules linked to a shape.".freeze,
      domain: "http://www.w3.org/ns/shacl#Shape".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "rule".freeze,
      range: "http://www.w3.org/ns/shacl#Rule".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :select,
      comment: "The SPARQL SELECT query to execute.".freeze,
      domain: "http://www.w3.org/ns/shacl#SPARQLSelectExecutable".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "select".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :severity,
      comment: "Defines the severity that validation results produced by a shape must have. Defaults to sh:Violation.".freeze,
      domain: "http://www.w3.org/ns/shacl#Shape".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "severity".freeze,
      range: "http://www.w3.org/ns/shacl#Severity".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :shapesGraph,
      comment: "Shapes graphs that should be used when validating this data graph.".freeze,
      domain: "http://www.w3.org/2002/07/owl#Ontology".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "shapes graph".freeze,
      range: "http://www.w3.org/2002/07/owl#Ontology".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :shapesGraphWellFormed,
      comment: "If true then the validation engine was certain that the shapes graph has passed all SHACL syntax requirements during the validation process.".freeze,
      domain: "http://www.w3.org/ns/shacl#ValidationReport".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "shapes graph well-formed".freeze,
      range: "http://www.w3.org/2001/XMLSchema#boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :sourceConstraint,
      comment: "The constraint that was validated when the result was produced.".freeze,
      domain: "http://www.w3.org/ns/shacl#AbstractResult".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "source constraint".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :sourceConstraintComponent,
      comment: "The constraint component that is the source of the result.".freeze,
      domain: "http://www.w3.org/ns/shacl#AbstractResult".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "source constraint component".freeze,
      range: "http://www.w3.org/ns/shacl#ConstraintComponent".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :sourceShape,
      comment: "The shape that is was validated when the result was produced.".freeze,
      domain: "http://www.w3.org/ns/shacl#AbstractResult".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "source shape".freeze,
      range: "http://www.w3.org/ns/shacl#Shape".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :sparql,
      comment: "Links a shape with SPARQL constraints.".freeze,
      domain: "http://www.w3.org/ns/shacl#Shape".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "constraint (in SPARQL)".freeze,
      range: "http://www.w3.org/ns/shacl#SPARQLConstraint".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :subject,
      comment: "An expression producing the resources that shall be inferred as subjects.".freeze,
      domain: "http://www.w3.org/ns/shacl#TripleRule".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "subject".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :suggestedShapesGraph,
      comment: "Suggested shapes graphs for this ontology. The values of this property may be used in the absence of specific sh:shapesGraph statements.".freeze,
      domain: "http://www.w3.org/2002/07/owl#Ontology".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "suggested shapes graph".freeze,
      range: "http://www.w3.org/2002/07/owl#Ontology".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :target,
      comment: "Links a shape to a target specified by an extension language, for example instances of sh:SPARQLTarget.".freeze,
      domain: "http://www.w3.org/ns/shacl#Shape".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "target".freeze,
      range: "http://www.w3.org/ns/shacl#Target".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :targetClass,
      comment: "Links a shape to a class, indicating that all instances of the class must conform to the shape.".freeze,
      domain: "http://www.w3.org/ns/shacl#Shape".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "target class".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Class".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :targetNode,
      comment: "Links a shape to individual nodes, indicating that these nodes must conform to the shape.".freeze,
      domain: "http://www.w3.org/ns/shacl#Shape".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "target node".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :targetObjectsOf,
      comment: "Links a shape to a property, indicating that all all objects of triples that have the given property as their predicate must conform to the shape.".freeze,
      domain: "http://www.w3.org/ns/shacl#Shape".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "target objects of".freeze,
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :targetSubjectsOf,
      comment: "Links a shape to a property, indicating that all subjects of triples that have the given property as their predicate must conform to the shape.".freeze,
      domain: "http://www.w3.org/ns/shacl#Shape".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "target subjects of".freeze,
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :union,
      comment: "A list of node expressions that shall be used together.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "union".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :uniqueLang,
      comment: "Specifies whether all node values must have a unique (or no) language tag.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "unique languages".freeze,
      range: "http://www.w3.org/2001/XMLSchema#boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :update,
      comment: "The SPARQL UPDATE to execute.".freeze,
      domain: "http://www.w3.org/ns/shacl#SPARQLUpdateExecutable".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "update".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :validator,
      comment: "The validator(s) used to evaluate constraints of either node or property shapes.".freeze,
      domain: "http://www.w3.org/ns/shacl#ConstraintComponent".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "validator".freeze,
      range: "http://www.w3.org/ns/shacl#Validator".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :value,
      comment: "An RDF node that has caused the result.".freeze,
      domain: "http://www.w3.org/ns/shacl#AbstractResult".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "value".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :xone,
      comment: "Specifies a list of shapes so that the value nodes must conform to exactly one of the shapes.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "exactly one".freeze,
      range: "http://www.w3.org/1999/02/22-rdf-syntax-ns#List".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :zeroOrMorePath,
      comment: "The (single) value of this property represents a path that is matched zero or more times.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "zero or more path".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :zeroOrOnePath,
      comment: "The (single) value of this property represents a path that is matched zero or one times.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "zero or one path".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze

    # Extra definitions
    term :AndConstraintComponent,
      comment: "A constraint component that can be used to test whether a value node conforms to all members of a provided list of shapes.".freeze,
      "http://www.w3.org/ns/shacl#parameter": "http://www.w3.org/ns/shacl#AndConstraintComponent-and".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "And constraint component".freeze,
      type: "http://www.w3.org/ns/shacl#ConstraintComponent".freeze
    term :"AndConstraintComponent-and",
      "http://www.w3.org/ns/shacl#path": "http://www.w3.org/ns/shacl#and".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      type: "http://www.w3.org/ns/shacl#Parameter".freeze
    term :BlankNode,
      comment: "The node kind of all blank nodes.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Blank node".freeze,
      type: "http://www.w3.org/ns/shacl#NodeKind".freeze
    term :BlankNodeOrIRI,
      comment: "The node kind of all blank nodes or IRIs.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Blank node or IRI".freeze,
      type: "http://www.w3.org/ns/shacl#NodeKind".freeze
    term :BlankNodeOrLiteral,
      comment: "The node kind of all blank nodes or literals.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Blank node or literal".freeze,
      type: "http://www.w3.org/ns/shacl#NodeKind".freeze
    term :ClassConstraintComponent,
      comment: "A constraint component that can be used to verify that each value node is an instance of a given type.".freeze,
      "http://www.w3.org/ns/shacl#parameter": "http://www.w3.org/ns/shacl#ClassConstraintComponent-class".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Class constraint component".freeze,
      type: "http://www.w3.org/ns/shacl#ConstraintComponent".freeze
    term :"ClassConstraintComponent-class",
      "http://www.w3.org/ns/shacl#nodeKind": "http://www.w3.org/ns/shacl#IRI".freeze,
      "http://www.w3.org/ns/shacl#path": "http://www.w3.org/ns/shacl#class".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      type: "http://www.w3.org/ns/shacl#Parameter".freeze
    term :ClosedConstraintComponent,
      comment: "A constraint component that can be used to indicate that focus nodes must only have values for those properties that have been explicitly enumerated via sh:property/sh:path.".freeze,
      "http://www.w3.org/ns/shacl#parameter": ["http://www.w3.org/ns/shacl#ClosedConstraintComponent-closed".freeze, "http://www.w3.org/ns/shacl#ClosedConstraintComponent-ignoredProperties".freeze],
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Closed constraint component".freeze,
      type: "http://www.w3.org/ns/shacl#ConstraintComponent".freeze
    term :"ClosedConstraintComponent-closed",
      "http://www.w3.org/ns/shacl#datatype": "http://www.w3.org/2001/XMLSchema#boolean".freeze,
      "http://www.w3.org/ns/shacl#path": "http://www.w3.org/ns/shacl#closed".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      type: "http://www.w3.org/ns/shacl#Parameter".freeze
    term :"ClosedConstraintComponent-ignoredProperties",
      "http://www.w3.org/ns/shacl#optional": "true".freeze,
      "http://www.w3.org/ns/shacl#path": "http://www.w3.org/ns/shacl#ignoredProperties".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      type: "http://www.w3.org/ns/shacl#Parameter".freeze
    term :DatatypeConstraintComponent,
      comment: "A constraint component that can be used to restrict the datatype of all value nodes.".freeze,
      "http://www.w3.org/ns/shacl#parameter": "http://www.w3.org/ns/shacl#DatatypeConstraintComponent-datatype".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Datatype constraint component".freeze,
      type: "http://www.w3.org/ns/shacl#ConstraintComponent".freeze
    term :"DatatypeConstraintComponent-datatype",
      "http://www.w3.org/ns/shacl#maxCount": "1".freeze,
      "http://www.w3.org/ns/shacl#nodeKind": "http://www.w3.org/ns/shacl#IRI".freeze,
      "http://www.w3.org/ns/shacl#path": "http://www.w3.org/ns/shacl#datatype".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      type: "http://www.w3.org/ns/shacl#Parameter".freeze
    term :DisjointConstraintComponent,
      comment: "A constraint component that can be used to verify that the set of value nodes is disjoint with the the set of nodes that have the focus node as subject and the value of a given property as predicate.".freeze,
      "http://www.w3.org/ns/shacl#parameter": "http://www.w3.org/ns/shacl#DisjointConstraintComponent-disjoint".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Disjoint constraint component".freeze,
      type: "http://www.w3.org/ns/shacl#ConstraintComponent".freeze
    term :"DisjointConstraintComponent-disjoint",
      "http://www.w3.org/ns/shacl#nodeKind": "http://www.w3.org/ns/shacl#IRI".freeze,
      "http://www.w3.org/ns/shacl#path": "http://www.w3.org/ns/shacl#disjoint".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      type: "http://www.w3.org/ns/shacl#Parameter".freeze
    term :EqualsConstraintComponent,
      comment: "A constraint component that can be used to verify that the set of value nodes is equal to the set of nodes that have the focus node as subject and the value of a given property as predicate.".freeze,
      "http://www.w3.org/ns/shacl#parameter": "http://www.w3.org/ns/shacl#EqualsConstraintComponent-equals".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Equals constraint component".freeze,
      type: "http://www.w3.org/ns/shacl#ConstraintComponent".freeze
    term :"EqualsConstraintComponent-equals",
      "http://www.w3.org/ns/shacl#nodeKind": "http://www.w3.org/ns/shacl#IRI".freeze,
      "http://www.w3.org/ns/shacl#path": "http://www.w3.org/ns/shacl#equals".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      type: "http://www.w3.org/ns/shacl#Parameter".freeze
    term :ExpressionConstraintComponent,
      comment: "A constraint component that can be used to verify that a given node expression produces true for all value nodes.".freeze,
      "http://www.w3.org/ns/shacl#parameter": "http://www.w3.org/ns/shacl#ExpressionConstraintComponent-expression".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Expression constraint component".freeze,
      type: "http://www.w3.org/ns/shacl#ConstraintComponent".freeze
    term :"ExpressionConstraintComponent-expression",
      "http://www.w3.org/ns/shacl#path": "http://www.w3.org/ns/shacl#expression".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      type: "http://www.w3.org/ns/shacl#Parameter".freeze
    term :HasValueConstraintComponent,
      comment: "A constraint component that can be used to verify that one of the value nodes is a given RDF node.".freeze,
      "http://www.w3.org/ns/shacl#parameter": "http://www.w3.org/ns/shacl#HasValueConstraintComponent-hasValue".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Has-value constraint component".freeze,
      type: "http://www.w3.org/ns/shacl#ConstraintComponent".freeze
    term :"HasValueConstraintComponent-hasValue",
      "http://www.w3.org/ns/shacl#path": "http://www.w3.org/ns/shacl#hasValue".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      type: "http://www.w3.org/ns/shacl#Parameter".freeze
    term :IRI,
      comment: "The node kind of all IRIs.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "IRI".freeze,
      type: "http://www.w3.org/ns/shacl#NodeKind".freeze
    term :IRIOrLiteral,
      comment: "The node kind of all IRIs or literals.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "IRI or literal".freeze,
      type: "http://www.w3.org/ns/shacl#NodeKind".freeze
    term :InConstraintComponent,
      comment: "A constraint component that can be used to exclusively enumerate the permitted value nodes.".freeze,
      "http://www.w3.org/ns/shacl#parameter": "http://www.w3.org/ns/shacl#InConstraintComponent-in".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "In constraint component".freeze,
      type: "http://www.w3.org/ns/shacl#ConstraintComponent".freeze
    term :"InConstraintComponent-in",
      "http://www.w3.org/ns/shacl#maxCount": "1".freeze,
      "http://www.w3.org/ns/shacl#path": "http://www.w3.org/ns/shacl#in".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      type: "http://www.w3.org/ns/shacl#Parameter".freeze
    term :Info,
      comment: "The severity for an informational validation result.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Info".freeze,
      type: "http://www.w3.org/ns/shacl#Severity".freeze
    term :"JSConstraint-js",
      "http://www.w3.org/ns/shacl#path": "http://www.w3.org/ns/shacl#js".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      type: "http://www.w3.org/ns/shacl#Parameter".freeze
    term :JSConstraintComponent,
      comment: "A constraint component with the parameter sh:js linking to a sh:JSConstraint containing a sh:script.".freeze,
      "http://www.w3.org/ns/shacl#parameter": "http://www.w3.org/ns/shacl#JSConstraint-js".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "JavaScript constraint component".freeze,
      type: "http://www.w3.org/ns/shacl#ConstraintComponent".freeze
    term :LanguageInConstraintComponent,
      comment: "A constraint component that can be used to enumerate language tags that all value nodes must have.".freeze,
      "http://www.w3.org/ns/shacl#parameter": "http://www.w3.org/ns/shacl#LanguageInConstraintComponent-languageIn".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Language-in constraint component".freeze,
      type: "http://www.w3.org/ns/shacl#ConstraintComponent".freeze
    term :"LanguageInConstraintComponent-languageIn",
      "http://www.w3.org/ns/shacl#maxCount": "1".freeze,
      "http://www.w3.org/ns/shacl#path": "http://www.w3.org/ns/shacl#languageIn".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      type: "http://www.w3.org/ns/shacl#Parameter".freeze
    term :LessThanConstraintComponent,
      comment: "A constraint component that can be used to verify that each value node is smaller than all the nodes that have the focus node as subject and the value of a given property as predicate.".freeze,
      "http://www.w3.org/ns/shacl#parameter": "http://www.w3.org/ns/shacl#LessThanConstraintComponent-lessThan".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Less-than constraint component".freeze,
      type: "http://www.w3.org/ns/shacl#ConstraintComponent".freeze
    term :"LessThanConstraintComponent-lessThan",
      "http://www.w3.org/ns/shacl#nodeKind": "http://www.w3.org/ns/shacl#IRI".freeze,
      "http://www.w3.org/ns/shacl#path": "http://www.w3.org/ns/shacl#lessThan".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      type: "http://www.w3.org/ns/shacl#Parameter".freeze
    term :LessThanOrEqualsConstraintComponent,
      comment: "A constraint component that can be used to verify that every value node is smaller than all the nodes that have the focus node as subject and the value of a given property as predicate.".freeze,
      "http://www.w3.org/ns/shacl#parameter": "http://www.w3.org/ns/shacl#LessThanOrEqualsConstraintComponent-lessThanOrEquals".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "less-than-or-equals constraint component".freeze,
      type: "http://www.w3.org/ns/shacl#ConstraintComponent".freeze
    term :"LessThanOrEqualsConstraintComponent-lessThanOrEquals",
      "http://www.w3.org/ns/shacl#nodeKind": "http://www.w3.org/ns/shacl#IRI".freeze,
      "http://www.w3.org/ns/shacl#path": "http://www.w3.org/ns/shacl#lessThanOrEquals".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      type: "http://www.w3.org/ns/shacl#Parameter".freeze
    term :Literal,
      comment: "The node kind of all literals.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Literal".freeze,
      type: "http://www.w3.org/ns/shacl#NodeKind".freeze
    term :MaxCountConstraintComponent,
      comment: "A constraint component that can be used to restrict the maximum number of value nodes.".freeze,
      "http://www.w3.org/ns/shacl#parameter": "http://www.w3.org/ns/shacl#MaxCountConstraintComponent-maxCount".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Max-count constraint component".freeze,
      type: "http://www.w3.org/ns/shacl#ConstraintComponent".freeze
    term :"MaxCountConstraintComponent-maxCount",
      "http://www.w3.org/ns/shacl#datatype": "http://www.w3.org/2001/XMLSchema#integer".freeze,
      "http://www.w3.org/ns/shacl#maxCount": "1".freeze,
      "http://www.w3.org/ns/shacl#path": "http://www.w3.org/ns/shacl#maxCount".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      type: "http://www.w3.org/ns/shacl#Parameter".freeze
    term :MaxExclusiveConstraintComponent,
      comment: "A constraint component that can be used to restrict the range of value nodes with a maximum exclusive value.".freeze,
      "http://www.w3.org/ns/shacl#parameter": "http://www.w3.org/ns/shacl#MaxExclusiveConstraintComponent-maxExclusive".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Max-exclusive constraint component".freeze,
      type: "http://www.w3.org/ns/shacl#ConstraintComponent".freeze
    term :"MaxExclusiveConstraintComponent-maxExclusive",
      "http://www.w3.org/ns/shacl#maxCount": "1".freeze,
      "http://www.w3.org/ns/shacl#nodeKind": "http://www.w3.org/ns/shacl#Literal".freeze,
      "http://www.w3.org/ns/shacl#path": "http://www.w3.org/ns/shacl#maxExclusive".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      type: "http://www.w3.org/ns/shacl#Parameter".freeze
    term :MaxInclusiveConstraintComponent,
      comment: "A constraint component that can be used to restrict the range of value nodes with a maximum inclusive value.".freeze,
      "http://www.w3.org/ns/shacl#parameter": "http://www.w3.org/ns/shacl#MaxInclusiveConstraintComponent-maxInclusive".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Max-inclusive constraint component".freeze,
      type: "http://www.w3.org/ns/shacl#ConstraintComponent".freeze
    term :"MaxInclusiveConstraintComponent-maxInclusive",
      "http://www.w3.org/ns/shacl#maxCount": "1".freeze,
      "http://www.w3.org/ns/shacl#nodeKind": "http://www.w3.org/ns/shacl#Literal".freeze,
      "http://www.w3.org/ns/shacl#path": "http://www.w3.org/ns/shacl#maxInclusive".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      type: "http://www.w3.org/ns/shacl#Parameter".freeze
    term :MaxLengthConstraintComponent,
      comment: "A constraint component that can be used to restrict the maximum string length of value nodes.".freeze,
      "http://www.w3.org/ns/shacl#parameter": "http://www.w3.org/ns/shacl#MaxLengthConstraintComponent-maxLength".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Max-length constraint component".freeze,
      type: "http://www.w3.org/ns/shacl#ConstraintComponent".freeze
    term :"MaxLengthConstraintComponent-maxLength",
      "http://www.w3.org/ns/shacl#datatype": "http://www.w3.org/2001/XMLSchema#integer".freeze,
      "http://www.w3.org/ns/shacl#maxCount": "1".freeze,
      "http://www.w3.org/ns/shacl#path": "http://www.w3.org/ns/shacl#maxLength".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      type: "http://www.w3.org/ns/shacl#Parameter".freeze
    term :MinCountConstraintComponent,
      comment: "A constraint component that can be used to restrict the minimum number of value nodes.".freeze,
      "http://www.w3.org/ns/shacl#parameter": "http://www.w3.org/ns/shacl#MinCountConstraintComponent-minCount".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Min-count constraint component".freeze,
      type: "http://www.w3.org/ns/shacl#ConstraintComponent".freeze
    term :"MinCountConstraintComponent-minCount",
      "http://www.w3.org/ns/shacl#datatype": "http://www.w3.org/2001/XMLSchema#integer".freeze,
      "http://www.w3.org/ns/shacl#maxCount": "1".freeze,
      "http://www.w3.org/ns/shacl#path": "http://www.w3.org/ns/shacl#minCount".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      type: "http://www.w3.org/ns/shacl#Parameter".freeze
    term :MinExclusiveConstraintComponent,
      comment: "A constraint component that can be used to restrict the range of value nodes with a minimum exclusive value.".freeze,
      "http://www.w3.org/ns/shacl#parameter": "http://www.w3.org/ns/shacl#MinExclusiveConstraintComponent-minExclusive".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Min-exclusive constraint component".freeze,
      type: "http://www.w3.org/ns/shacl#ConstraintComponent".freeze
    term :"MinExclusiveConstraintComponent-minExclusive",
      "http://www.w3.org/ns/shacl#maxCount": "1".freeze,
      "http://www.w3.org/ns/shacl#nodeKind": "http://www.w3.org/ns/shacl#Literal".freeze,
      "http://www.w3.org/ns/shacl#path": "http://www.w3.org/ns/shacl#minExclusive".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      type: "http://www.w3.org/ns/shacl#Parameter".freeze
    term :MinInclusiveConstraintComponent,
      comment: "A constraint component that can be used to restrict the range of value nodes with a minimum inclusive value.".freeze,
      "http://www.w3.org/ns/shacl#parameter": "http://www.w3.org/ns/shacl#MinInclusiveConstraintComponent-minInclusive".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Min-inclusive constraint component".freeze,
      type: "http://www.w3.org/ns/shacl#ConstraintComponent".freeze
    term :"MinInclusiveConstraintComponent-minInclusive",
      "http://www.w3.org/ns/shacl#maxCount": "1".freeze,
      "http://www.w3.org/ns/shacl#nodeKind": "http://www.w3.org/ns/shacl#Literal".freeze,
      "http://www.w3.org/ns/shacl#path": "http://www.w3.org/ns/shacl#minInclusive".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      type: "http://www.w3.org/ns/shacl#Parameter".freeze
    term :MinLengthConstraintComponent,
      comment: "A constraint component that can be used to restrict the minimum string length of value nodes.".freeze,
      "http://www.w3.org/ns/shacl#parameter": "http://www.w3.org/ns/shacl#MinLengthConstraintComponent-minLength".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Min-length constraint component".freeze,
      type: "http://www.w3.org/ns/shacl#ConstraintComponent".freeze
    term :"MinLengthConstraintComponent-minLength",
      "http://www.w3.org/ns/shacl#datatype": "http://www.w3.org/2001/XMLSchema#integer".freeze,
      "http://www.w3.org/ns/shacl#maxCount": "1".freeze,
      "http://www.w3.org/ns/shacl#path": "http://www.w3.org/ns/shacl#minLength".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      type: "http://www.w3.org/ns/shacl#Parameter".freeze
    term :NodeConstraintComponent,
      comment: "A constraint component that can be used to verify that all value nodes conform to the given node shape.".freeze,
      "http://www.w3.org/ns/shacl#parameter": "http://www.w3.org/ns/shacl#NodeConstraintComponent-node".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Node constraint component".freeze,
      type: "http://www.w3.org/ns/shacl#ConstraintComponent".freeze
    term :"NodeConstraintComponent-node",
      "http://www.w3.org/ns/shacl#path": "http://www.w3.org/ns/shacl#node".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      type: "http://www.w3.org/ns/shacl#Parameter".freeze
    term :NodeKindConstraintComponent,
      comment: "A constraint component that can be used to restrict the RDF node kind of each value node.".freeze,
      "http://www.w3.org/ns/shacl#parameter": "http://www.w3.org/ns/shacl#NodeKindConstraintComponent-nodeKind".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Node-kind constraint component".freeze,
      type: "http://www.w3.org/ns/shacl#ConstraintComponent".freeze
    term :"NodeKindConstraintComponent-nodeKind",
      "http://www.w3.org/ns/shacl#in": list("http://www.w3.org/ns/shacl#BlankNode".freeze, "http://www.w3.org/ns/shacl#IRI".freeze, "http://www.w3.org/ns/shacl#Literal".freeze, "http://www.w3.org/ns/shacl#BlankNodeOrIRI".freeze, "http://www.w3.org/ns/shacl#BlankNodeOrLiteral".freeze, "http://www.w3.org/ns/shacl#IRIOrLiteral".freeze),
      "http://www.w3.org/ns/shacl#maxCount": "1".freeze,
      "http://www.w3.org/ns/shacl#path": "http://www.w3.org/ns/shacl#nodeKind".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      type: "http://www.w3.org/ns/shacl#Parameter".freeze
    term :NotConstraintComponent,
      comment: "A constraint component that can be used to verify that value nodes do not conform to a given shape.".freeze,
      "http://www.w3.org/ns/shacl#parameter": "http://www.w3.org/ns/shacl#NotConstraintComponent-not".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Not constraint component".freeze,
      type: "http://www.w3.org/ns/shacl#ConstraintComponent".freeze
    term :"NotConstraintComponent-not",
      "http://www.w3.org/ns/shacl#path": "http://www.w3.org/ns/shacl#not".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      type: "http://www.w3.org/ns/shacl#Parameter".freeze
    term :OrConstraintComponent,
      comment: "A constraint component that can be used to restrict the value nodes so that they conform to at least one out of several provided shapes.".freeze,
      "http://www.w3.org/ns/shacl#parameter": "http://www.w3.org/ns/shacl#OrConstraintComponent-or".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Or constraint component".freeze,
      type: "http://www.w3.org/ns/shacl#ConstraintComponent".freeze
    term :"OrConstraintComponent-or",
      "http://www.w3.org/ns/shacl#path": "http://www.w3.org/ns/shacl#or".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      type: "http://www.w3.org/ns/shacl#Parameter".freeze
    term :PatternConstraintComponent,
      comment: "A constraint component that can be used to verify that every value node matches a given regular expression.".freeze,
      "http://www.w3.org/ns/shacl#parameter": ["http://www.w3.org/ns/shacl#PatternConstraintComponent-flags".freeze, "http://www.w3.org/ns/shacl#PatternConstraintComponent-pattern".freeze],
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Pattern constraint component".freeze,
      type: "http://www.w3.org/ns/shacl#ConstraintComponent".freeze
    term :"PatternConstraintComponent-flags",
      "http://www.w3.org/ns/shacl#datatype": "http://www.w3.org/2001/XMLSchema#string".freeze,
      "http://www.w3.org/ns/shacl#optional": "true".freeze,
      "http://www.w3.org/ns/shacl#path": "http://www.w3.org/ns/shacl#flags".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      type: "http://www.w3.org/ns/shacl#Parameter".freeze
    term :"PatternConstraintComponent-pattern",
      "http://www.w3.org/ns/shacl#datatype": "http://www.w3.org/2001/XMLSchema#string".freeze,
      "http://www.w3.org/ns/shacl#path": "http://www.w3.org/ns/shacl#pattern".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      type: "http://www.w3.org/ns/shacl#Parameter".freeze
    term :PropertyConstraintComponent,
      comment: "A constraint component that can be used to verify that all value nodes conform to the given property shape.".freeze,
      "http://www.w3.org/ns/shacl#parameter": "http://www.w3.org/ns/shacl#PropertyConstraintComponent-property".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Property constraint component".freeze,
      type: "http://www.w3.org/ns/shacl#ConstraintComponent".freeze
    term :"PropertyConstraintComponent-property",
      "http://www.w3.org/ns/shacl#path": "http://www.w3.org/ns/shacl#property".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      type: "http://www.w3.org/ns/shacl#Parameter".freeze
    term :QualifiedMaxCountConstraintComponent,
      comment: "A constraint component that can be used to verify that a specified maximum number of value nodes conforms to a given shape.".freeze,
      "http://www.w3.org/ns/shacl#parameter": ["http://www.w3.org/ns/shacl#QualifiedMaxCountConstraintComponent-qualifiedMaxCount".freeze, "http://www.w3.org/ns/shacl#QualifiedMaxCountConstraintComponent-qualifiedValueShape".freeze, "http://www.w3.org/ns/shacl#QualifiedMaxCountConstraintComponent-qualifiedValueShapesDisjoint".freeze],
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Qualified-max-count constraint component".freeze,
      type: "http://www.w3.org/ns/shacl#ConstraintComponent".freeze
    term :"QualifiedMaxCountConstraintComponent-qualifiedMaxCount",
      "http://www.w3.org/ns/shacl#datatype": "http://www.w3.org/2001/XMLSchema#integer".freeze,
      "http://www.w3.org/ns/shacl#path": "http://www.w3.org/ns/shacl#qualifiedMaxCount".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      type: "http://www.w3.org/ns/shacl#Parameter".freeze
    term :"QualifiedMaxCountConstraintComponent-qualifiedValueShape",
      "http://www.w3.org/ns/shacl#path": "http://www.w3.org/ns/shacl#qualifiedValueShape".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      type: "http://www.w3.org/ns/shacl#Parameter".freeze
    term :"QualifiedMaxCountConstraintComponent-qualifiedValueShapesDisjoint",
      "http://www.w3.org/ns/shacl#datatype": "http://www.w3.org/2001/XMLSchema#boolean".freeze,
      "http://www.w3.org/ns/shacl#optional": "true".freeze,
      "http://www.w3.org/ns/shacl#path": "http://www.w3.org/ns/shacl#qualifiedValueShapesDisjoint".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      type: "http://www.w3.org/ns/shacl#Parameter".freeze
    term :QualifiedMinCountConstraintComponent,
      comment: "A constraint component that can be used to verify that a specified minimum number of value nodes conforms to a given shape.".freeze,
      "http://www.w3.org/ns/shacl#parameter": ["http://www.w3.org/ns/shacl#QualifiedMinCountConstraintComponent-qualifiedMinCount".freeze, "http://www.w3.org/ns/shacl#QualifiedMinCountConstraintComponent-qualifiedValueShape".freeze, "http://www.w3.org/ns/shacl#QualifiedMinCountConstraintComponent-qualifiedValueShapesDisjoint".freeze],
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Qualified-min-count constraint component".freeze,
      type: "http://www.w3.org/ns/shacl#ConstraintComponent".freeze
    term :"QualifiedMinCountConstraintComponent-qualifiedMinCount",
      "http://www.w3.org/ns/shacl#datatype": "http://www.w3.org/2001/XMLSchema#integer".freeze,
      "http://www.w3.org/ns/shacl#path": "http://www.w3.org/ns/shacl#qualifiedMinCount".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      type: "http://www.w3.org/ns/shacl#Parameter".freeze
    term :"QualifiedMinCountConstraintComponent-qualifiedValueShape",
      "http://www.w3.org/ns/shacl#path": "http://www.w3.org/ns/shacl#qualifiedValueShape".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      type: "http://www.w3.org/ns/shacl#Parameter".freeze
    term :"QualifiedMinCountConstraintComponent-qualifiedValueShapesDisjoint",
      "http://www.w3.org/ns/shacl#datatype": "http://www.w3.org/2001/XMLSchema#boolean".freeze,
      "http://www.w3.org/ns/shacl#optional": "true".freeze,
      "http://www.w3.org/ns/shacl#path": "http://www.w3.org/ns/shacl#qualifiedValueShapesDisjoint".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      type: "http://www.w3.org/ns/shacl#Parameter".freeze
    term :SPARQLConstraintComponent,
      comment: "A constraint component that can be used to define constraints based on SPARQL queries.".freeze,
      "http://www.w3.org/ns/shacl#parameter": "http://www.w3.org/ns/shacl#SPARQLConstraintComponent-sparql".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "SPARQL constraint component".freeze,
      type: "http://www.w3.org/ns/shacl#ConstraintComponent".freeze
    term :"SPARQLConstraintComponent-sparql",
      "http://www.w3.org/ns/shacl#path": "http://www.w3.org/ns/shacl#sparql".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      type: "http://www.w3.org/ns/shacl#Parameter".freeze
    term :UniqueLangConstraintComponent,
      comment: "A constraint component that can be used to specify that no pair of value nodes may use the same language tag.".freeze,
      "http://www.w3.org/ns/shacl#parameter": "http://www.w3.org/ns/shacl#UniqueLangConstraintComponent-uniqueLang".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Unique-languages constraint component".freeze,
      type: "http://www.w3.org/ns/shacl#ConstraintComponent".freeze
    term :"UniqueLangConstraintComponent-uniqueLang",
      "http://www.w3.org/ns/shacl#datatype": "http://www.w3.org/2001/XMLSchema#boolean".freeze,
      "http://www.w3.org/ns/shacl#maxCount": "1".freeze,
      "http://www.w3.org/ns/shacl#path": "http://www.w3.org/ns/shacl#uniqueLang".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      type: "http://www.w3.org/ns/shacl#Parameter".freeze
    term :Violation,
      comment: "The severity for a violation validation result.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Violation".freeze,
      type: "http://www.w3.org/ns/shacl#Severity".freeze
    term :Warning,
      comment: "The severity for a warning validation result.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Warning".freeze,
      type: "http://www.w3.org/ns/shacl#Severity".freeze
    term :XoneConstraintComponent,
      comment: "A constraint component that can be used to restrict the value nodes so that they conform to exactly one out of several provided shapes.".freeze,
      "http://www.w3.org/ns/shacl#parameter": "http://www.w3.org/ns/shacl#XoneConstraintComponent-xone".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "Exactly one constraint component".freeze,
      type: "http://www.w3.org/ns/shacl#ConstraintComponent".freeze
    term :"XoneConstraintComponent-xone",
      "http://www.w3.org/ns/shacl#path": "http://www.w3.org/ns/shacl#xone".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      type: "http://www.w3.org/ns/shacl#Parameter".freeze
    term :this,
      comment: "A node expression that represents the current focus node.".freeze,
      isDefinedBy: "http://www.w3.org/ns/shacl#".freeze,
      label: "this".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Resource".freeze
  end
end
