# -*- encoding: utf-8 -*-
# frozen_string_literal: true
# This file generated automatically using rdf vocabulary format from http://rdfs.org/sioc/ns#
require 'rdf'
module RDF::Vocab
  SIOC = Class.new(RDF::StrictVocabulary("http://rdfs.org/sioc/ns#")) do

    # Ontology definition
    ontology :"http://rdfs.org/sioc/ns#",
      "http://purl.org/dc/terms/description": "SIOC (Semantically-Interlinked Online Communities) is an ontology for describing the information in online communities. \nThis information can be used to export information from online communities and to link them together. The scope of the application areas that SIOC can be used for includes (and is not limited to) weblogs, message boards, mailing lists and chat channels.".freeze,
      "http://purl.org/dc/terms/title": "SIOC Core Ontology Namespace".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://rdfs.org/sioc/spec".freeze,
      "http://www.w3.org/2002/07/owl#versionInfo": "Revision: 1.36".freeze,
      type: ["http://www.w3.org/2002/07/owl#Ontology".freeze, "http://www.w3.org/2002/07/owl#Thing".freeze]

    # Class definitions
    term :Community,
      comment: "Community is a high-level concept that defines an online community and what it consists of.".freeze,
      "http://www.w3.org/2002/07/owl#disjointWith": ["http://rdfs.org/sioc/ns#Item".freeze, "http://rdfs.org/sioc/ns#Role".freeze, "http://rdfs.org/sioc/ns#UserAccount".freeze],
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "Community".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Container,
      comment: "An area in which content Items are contained.".freeze,
      "http://www.w3.org/2002/07/owl#disjointWith": ["http://rdfs.org/sioc/ns#Item".freeze, "http://rdfs.org/sioc/ns#Role".freeze, "http://rdfs.org/sioc/ns#UserAccount".freeze, "http://rdfs.org/sioc/ns#Usergroup".freeze],
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "Container".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Forum,
      comment: "A discussion area on which Posts or entries are made.".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "Forum".freeze,
      subClassOf: "http://rdfs.org/sioc/ns#Container".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Item,
      comment: "An Item is something which can be in a Container.".freeze,
      "http://www.w3.org/2002/07/owl#disjointWith": ["http://rdfs.org/sioc/ns#Container".freeze, "http://rdfs.org/sioc/ns#Role".freeze, "http://rdfs.org/sioc/ns#Space".freeze, "http://rdfs.org/sioc/ns#UserAccount".freeze, "http://rdfs.org/sioc/ns#Usergroup".freeze],
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "Item".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Post,
      comment: "An article or message that can be posted to a Forum.".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "Post".freeze,
      subClassOf: ["http://rdfs.org/sioc/ns#Item".freeze, "http://xmlns.com/foaf/0.1/Document".freeze],
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Role,
      comment: "A Role is a function of a UserAccount within a scope of a particular Forum, Site, etc.".freeze,
      "http://www.w3.org/2002/07/owl#disjointWith": ["http://rdfs.org/sioc/ns#Container".freeze, "http://rdfs.org/sioc/ns#Item".freeze, "http://rdfs.org/sioc/ns#Space".freeze, "http://rdfs.org/sioc/ns#UserAccount".freeze, "http://rdfs.org/sioc/ns#Usergroup".freeze],
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "Role".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Site,
      comment: "A Site can be the location of an online community or set of communities, with UserAccounts and Usergroups creating Items in a set of Containers. It can be thought of as a web-accessible data Space.".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "Site".freeze,
      subClassOf: "http://rdfs.org/sioc/ns#Space".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Space,
      comment: "A Space is a place where data resides, e.g. on a website, desktop, fileshare, etc.".freeze,
      "http://www.w3.org/2002/07/owl#disjointWith": ["http://rdfs.org/sioc/ns#Item".freeze, "http://rdfs.org/sioc/ns#Role".freeze, "http://rdfs.org/sioc/ns#UserAccount".freeze, "http://rdfs.org/sioc/ns#Usergroup".freeze],
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "Space".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Thread,
      comment: "A container for a series of threaded discussion Posts or Items.".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "Thread".freeze,
      subClassOf: "http://rdfs.org/sioc/ns#Container".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :User,
      comment: "UserAccount is now preferred. This is a deprecated class for a User in an online community site.".freeze,
      equivalentClass: "http://rdfs.org/sioc/ns#UserAccount".freeze,
      "http://www.w3.org/2002/07/owl#disjointWith": ["http://rdfs.org/sioc/ns#Container".freeze, "http://rdfs.org/sioc/ns#Item".freeze, "http://rdfs.org/sioc/ns#Role".freeze, "http://rdfs.org/sioc/ns#Space".freeze, "http://rdfs.org/sioc/ns#Usergroup".freeze],
      "http://www.w3.org/2002/07/owl#versionInfo": "This class is deprecated. Use sioc:UserAccount from the SIOC ontology instead.".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "User".freeze,
      subClassOf: "http://xmlns.com/foaf/0.1/OnlineAccount".freeze,
      type: "http://www.w3.org/2002/07/owl#DeprecatedClass".freeze
    term :UserAccount,
      comment: "A user account in an online community site.".freeze,
      "http://www.w3.org/2002/07/owl#disjointWith": ["http://rdfs.org/sioc/ns#Container".freeze, "http://rdfs.org/sioc/ns#Item".freeze, "http://rdfs.org/sioc/ns#Role".freeze, "http://rdfs.org/sioc/ns#Space".freeze, "http://rdfs.org/sioc/ns#Usergroup".freeze],
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "User Account".freeze,
      subClassOf: "http://xmlns.com/foaf/0.1/OnlineAccount".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Usergroup,
      comment: "A set of UserAccounts whose owners have a common purpose or interest. Can be used for access control purposes.".freeze,
      "http://www.w3.org/2002/07/owl#disjointWith": ["http://rdfs.org/sioc/ns#Container".freeze, "http://rdfs.org/sioc/ns#Item".freeze, "http://rdfs.org/sioc/ns#Role".freeze, "http://rdfs.org/sioc/ns#Space".freeze, "http://rdfs.org/sioc/ns#UserAccount".freeze],
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "Usergroup".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze

    # Property definitions
    property :about,
      comment: "Specifies that this Item is about a particular resource, e.g. a Post describing a book, hotel, etc.".freeze,
      domain: "http://rdfs.org/sioc/ns#Item".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "about".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :account_of,
      comment: "Refers to the foaf:Agent or foaf:Person who owns this sioc:UserAccount.".freeze,
      domain: "http://rdfs.org/sioc/ns#UserAccount".freeze,
      inverseOf: "http://xmlns.com/foaf/0.1/account".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "account of".freeze,
      range: "http://xmlns.com/foaf/0.1/Agent".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :addressed_to,
      comment: "Refers to who (e.g. a UserAccount, e-mail address, etc.) a particular Item is addressed to.".freeze,
      domain: "http://rdfs.org/sioc/ns#Item".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "addressed to".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :administrator_of,
      comment: "A Site that the UserAccount is an administrator of.".freeze,
      domain: "http://rdfs.org/sioc/ns#UserAccount".freeze,
      inverseOf: "http://rdfs.org/sioc/ns#has_administrator".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "administrator of".freeze,
      range: "http://rdfs.org/sioc/ns#Site".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :attachment,
      comment: "The URI of a file attached to an Item.".freeze,
      domain: "http://rdfs.org/sioc/ns#Item".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "attachment".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :avatar,
      comment: "An image or depiction used to represent this UserAccount.".freeze,
      domain: "http://rdfs.org/sioc/ns#UserAccount".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "avatar".freeze,
      subPropertyOf: "http://xmlns.com/foaf/0.1/depiction".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :container_of,
      comment: "An Item that this Container contains.".freeze,
      domain: "http://rdfs.org/sioc/ns#Container".freeze,
      inverseOf: "http://rdfs.org/sioc/ns#has_container".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "container of".freeze,
      range: "http://rdfs.org/sioc/ns#Item".freeze,
      subPropertyOf: "http://purl.org/dc/terms/hasPart".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :content,
      comment: "The content of the Item in plain text format.".freeze,
      domain: "http://rdfs.org/sioc/ns#Item".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "content".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :content_encoded,
      comment: "The encoded content of the Post, contained in CDATA areas.".freeze,
      domain: "http://rdfs.org/sioc/ns#Post".freeze,
      "http://www.w3.org/2002/07/owl#versionInfo": "This property is deprecated. Use content:encoded from the RSS 1.0 content module instead.".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "content encoded".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: ["http://www.w3.org/2002/07/owl#DatatypeProperty".freeze, "http://www.w3.org/2002/07/owl#DeprecatedProperty".freeze]
    property :created_at,
      comment: "When this was created, in ISO 8601 format.".freeze,
      domain: "http://rdfs.org/sioc/ns#Post".freeze,
      "http://www.w3.org/2002/07/owl#versionInfo": "This property is deprecated. Use dcterms:created from the Dublin Core ontology instead.".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "created at".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: ["http://www.w3.org/2002/07/owl#DatatypeProperty".freeze, "http://www.w3.org/2002/07/owl#DeprecatedProperty".freeze]
    property :creator_of,
      comment: "A resource that the UserAccount is a creator of.".freeze,
      domain: "http://rdfs.org/sioc/ns#UserAccount".freeze,
      inverseOf: "http://rdfs.org/sioc/ns#has_creator".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "creator of".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :delivered_at,
      comment: "When this was delivered, in ISO 8601 format.".freeze,
      domain: "http://rdfs.org/sioc/ns#Item".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "delivered at".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: ["http://www.w3.org/2002/07/owl#DatatypeProperty".freeze, "http://www.w3.org/2002/07/owl#ObjectProperty".freeze]
    property :description,
      comment: "The content of the Post.".freeze,
      domain: "http://rdfs.org/sioc/ns#Post".freeze,
      "http://www.w3.org/2002/07/owl#versionInfo": "This property is deprecated. Use sioc:content or other methods (AtomOwl, content:encoded from RSS 1.0, etc.) instead.".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "description".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: ["http://www.w3.org/2002/07/owl#DatatypeProperty".freeze, "http://www.w3.org/2002/07/owl#DeprecatedProperty".freeze]
    property :discussion_of,
      comment: "The Item that this discussion is about.".freeze,
      inverseOf: "http://rdfs.org/sioc/ns#has_discussion".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "discussion of".freeze,
      range: "http://rdfs.org/sioc/ns#Item".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :earlier_version,
      comment: "Links to a previous (older) revision of this Item or Post.".freeze,
      domain: "http://rdfs.org/sioc/ns#Item".freeze,
      inverseOf: "http://rdfs.org/sioc/ns#later_version".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "earlier version".freeze,
      range: "http://rdfs.org/sioc/ns#Item".freeze,
      type: "http://www.w3.org/2002/07/owl#TransitiveProperty".freeze
    property :email,
      comment: "An electronic mail address of the UserAccount.".freeze,
      domain: "http://rdfs.org/sioc/ns#UserAccount".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "email".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :email_sha1,
      comment: "An electronic mail address of the UserAccount, encoded using SHA1.".freeze,
      domain: "http://rdfs.org/sioc/ns#UserAccount".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "email sha1".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :embeds_knowledge,
      comment: "This links Items to embedded statements, facts and structured content.".freeze,
      domain: "http://rdfs.org/sioc/ns#Item".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "embeds knowledge".freeze,
      range: "http://www.w3.org/2004/03/trix/rdfg-1/Graph".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :feed,
      comment: "A feed (e.g. RSS, Atom, etc.) pertaining to this resource (e.g. for a Forum, Site, UserAccount, etc.).".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "feed".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :first_name,
      comment: "First (real) name of this User. Synonyms include given name or christian name.".freeze,
      domain: "http://rdfs.org/sioc/ns#UserAccount".freeze,
      "http://www.w3.org/2002/07/owl#versionInfo": "This property is deprecated. Use foaf:name or foaf:firstName from the FOAF vocabulary instead.".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "first name".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: ["http://www.w3.org/2002/07/owl#DatatypeProperty".freeze, "http://www.w3.org/2002/07/owl#DeprecatedProperty".freeze]
    property :follows,
      comment: "Indicates that one UserAccount follows another UserAccount (e.g. for microblog posts or other content item updates).".freeze,
      domain: "http://rdfs.org/sioc/ns#UserAccount".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "follows".freeze,
      range: "http://rdfs.org/sioc/ns#UserAccount".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :function_of,
      comment: "A UserAccount that has this Role.".freeze,
      domain: "http://rdfs.org/sioc/ns#Role".freeze,
      inverseOf: "http://rdfs.org/sioc/ns#has_function".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "function of".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :generator,
      comment: "A URI for the application used to generate this Item.".freeze,
      domain: "http://rdfs.org/sioc/ns#Item".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "generator".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :group_of,
      "http://www.w3.org/2002/07/owl#versionInfo": "This property has been renamed. Use sioc:usergroup_of instead.".freeze,
      inverseOf: "http://rdfs.org/sioc/ns#has_group".freeze,
      label: "group of".freeze,
      type: ["http://www.w3.org/2002/07/owl#DeprecatedProperty".freeze, "http://www.w3.org/2002/07/owl#ObjectProperty".freeze]
    property :has_administrator,
      comment: "A UserAccount that is an administrator of this Site.".freeze,
      domain: "http://rdfs.org/sioc/ns#Site".freeze,
      inverseOf: "http://rdfs.org/sioc/ns#administrator_of".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "has administrator".freeze,
      range: "http://rdfs.org/sioc/ns#UserAccount".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :has_container,
      comment: "The Container to which this Item belongs.".freeze,
      domain: "http://rdfs.org/sioc/ns#Item".freeze,
      inverseOf: "http://rdfs.org/sioc/ns#container_of".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "has container".freeze,
      range: "http://rdfs.org/sioc/ns#Container".freeze,
      subPropertyOf: "http://purl.org/dc/terms/partOf".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :has_creator,
      comment: "This is the UserAccount that made this resource.".freeze,
      inverseOf: "http://rdfs.org/sioc/ns#creator_of".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "has creator".freeze,
      range: "http://rdfs.org/sioc/ns#UserAccount".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :has_discussion,
      comment: "A discussion that is related to this Item. The discussion can be anything, for example, a sioc:Forum or sioc:Thread, a sioct:WikiArticle or simply a foaf:Document.".freeze,
      domain: "http://rdfs.org/sioc/ns#Item".freeze,
      inverseOf: "http://rdfs.org/sioc/ns#discussion_of".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "has discussion".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :has_function,
      comment: "A Role that this UserAccount has.".freeze,
      inverseOf: "http://rdfs.org/sioc/ns#function_of".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "has function".freeze,
      range: "http://rdfs.org/sioc/ns#Role".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :has_group,
      "http://www.w3.org/2002/07/owl#versionInfo": "This property has been renamed. Use sioc:has_usergroup instead.".freeze,
      inverseOf: "http://rdfs.org/sioc/ns#group_of".freeze,
      label: "has group".freeze,
      type: ["http://www.w3.org/2002/07/owl#DeprecatedProperty".freeze, "http://www.w3.org/2002/07/owl#ObjectProperty".freeze]
    property :has_host,
      comment: "The Site that hosts this Container.".freeze,
      domain: "http://rdfs.org/sioc/ns#Container".freeze,
      inverseOf: "http://rdfs.org/sioc/ns#host_of".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "has host".freeze,
      range: "http://rdfs.org/sioc/ns#Site".freeze,
      subPropertyOf: "http://rdfs.org/sioc/ns#has_space".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :has_member,
      comment: "A UserAccount that is a member of this Usergroup.".freeze,
      domain: "http://rdfs.org/sioc/ns#Usergroup".freeze,
      inverseOf: "http://rdfs.org/sioc/ns#member_of".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "has member".freeze,
      range: "http://rdfs.org/sioc/ns#UserAccount".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :has_moderator,
      comment: "A UserAccount that is a moderator of this Forum.".freeze,
      domain: "http://rdfs.org/sioc/ns#Forum".freeze,
      inverseOf: "http://rdfs.org/sioc/ns#moderator_of".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "has moderator".freeze,
      range: "http://rdfs.org/sioc/ns#UserAccount".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :has_modifier,
      comment: "A UserAccount that modified this resource (e.g. Item, Container, Space).".freeze,
      inverseOf: "http://rdfs.org/sioc/ns#modifier_of".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "has modifier".freeze,
      range: "http://rdfs.org/sioc/ns#UserAccount".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :has_owner,
      comment: "A UserAccount that this resource is owned by.".freeze,
      inverseOf: "http://rdfs.org/sioc/ns#owner_of".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "has owner".freeze,
      range: "http://rdfs.org/sioc/ns#UserAccount".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :has_parent,
      comment: "A Container or Forum that this Container or Forum is a child of.".freeze,
      domain: "http://rdfs.org/sioc/ns#Container".freeze,
      inverseOf: "http://rdfs.org/sioc/ns#parent_of".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "has parent".freeze,
      range: "http://rdfs.org/sioc/ns#Container".freeze,
      subPropertyOf: "http://purl.org/dc/terms/partOf".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :has_part,
      comment: "An resource that is a part of this subject.".freeze,
      "http://www.w3.org/2002/07/owl#versionInfo": "This property is deprecated. Use dcterms:hasPart from the Dublin Core ontology instead.".freeze,
      inverseOf: "http://rdfs.org/sioc/ns#part_of".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "has part".freeze,
      type: ["http://www.w3.org/2002/07/owl#DeprecatedProperty".freeze, "http://www.w3.org/2002/07/owl#ObjectProperty".freeze]
    property :has_reply,
      comment: "Points to an Item or Post that is a reply or response to this Item or Post.".freeze,
      domain: "http://rdfs.org/sioc/ns#Item".freeze,
      inverseOf: "http://rdfs.org/sioc/ns#reply_of".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "has reply".freeze,
      range: "http://rdfs.org/sioc/ns#Item".freeze,
      subPropertyOf: "http://rdfs.org/sioc/ns#related_to".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :has_scope,
      comment: "A resource that this Role applies to.".freeze,
      domain: "http://rdfs.org/sioc/ns#Role".freeze,
      inverseOf: "http://rdfs.org/sioc/ns#scope_of".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "has scope".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :has_space,
      comment: "A data Space which this resource is a part of.".freeze,
      inverseOf: "http://rdfs.org/sioc/ns#space_of".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "has space".freeze,
      range: "http://rdfs.org/sioc/ns#Space".freeze,
      subPropertyOf: "http://purl.org/dc/terms/partOf".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :has_subscriber,
      comment: "A UserAccount that is subscribed to this Container.".freeze,
      domain: "http://rdfs.org/sioc/ns#Container".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://rdfs.org/sioc/ns#feed".freeze,
      inverseOf: "http://rdfs.org/sioc/ns#subscriber_of".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "has subscriber".freeze,
      range: "http://rdfs.org/sioc/ns#UserAccount".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :has_usergroup,
      comment: "Points to a Usergroup that has certain access to this Space.".freeze,
      domain: "http://rdfs.org/sioc/ns#Space".freeze,
      inverseOf: "http://rdfs.org/sioc/ns#usergroup_of".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "has usergroup".freeze,
      range: "http://rdfs.org/sioc/ns#Usergroup".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :host_of,
      comment: "A Container that is hosted on this Site.".freeze,
      domain: "http://rdfs.org/sioc/ns#Site".freeze,
      inverseOf: "http://rdfs.org/sioc/ns#has_host".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "host of".freeze,
      range: "http://rdfs.org/sioc/ns#Container".freeze,
      subPropertyOf: "http://rdfs.org/sioc/ns#space_of".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :id,
      comment: "An identifier of a SIOC concept instance. For example, a user ID. Must be unique for instances of each type of SIOC concept within the same site.".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "id".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :ip_address,
      comment: "The IP address used when creating this Item, UserAccount, etc. This can be associated with a creator. Some wiki articles list the IP addresses for the creator or modifiers when the usernames are absent.".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "ip address".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :last_activity_date,
      comment: "The date and time of the last activity associated with a SIOC concept instance, and expressed in ISO 8601 format. This could be due to a reply Post or Comment, a modification to an Item, etc.".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "last activity date".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      subPropertyOf: "http://purl.org/dc/terms/date".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :last_item_date,
      comment: "The date and time of the last Post (or Item) in a Forum (or a Container), in ISO 8601 format.".freeze,
      domain: "http://rdfs.org/sioc/ns#Container".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "last item date".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      subPropertyOf: "http://purl.org/dc/terms/date".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :last_name,
      comment: "Last (real) name of this user. Synonyms include surname or family name.".freeze,
      domain: "http://rdfs.org/sioc/ns#UserAccount".freeze,
      "http://www.w3.org/2002/07/owl#versionInfo": "This property is deprecated. Use foaf:name or foaf:surname from the FOAF vocabulary instead.".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "last name".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: ["http://www.w3.org/2002/07/owl#DatatypeProperty".freeze, "http://www.w3.org/2002/07/owl#DeprecatedProperty".freeze]
    property :last_reply_date,
      comment: "The date and time of the last reply Post or Comment, which could be associated with a starter Item or Post or with a Thread, and expressed in ISO 8601 format.".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "last reply date".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      subPropertyOf: "http://purl.org/dc/terms/date".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :later_version,
      comment: "Links to a later (newer) revision of this Item or Post.".freeze,
      domain: "http://rdfs.org/sioc/ns#Item".freeze,
      inverseOf: "http://rdfs.org/sioc/ns#earlier_version".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "later version".freeze,
      range: "http://rdfs.org/sioc/ns#Item".freeze,
      type: "http://www.w3.org/2002/07/owl#TransitiveProperty".freeze
    property :latest_version,
      comment: "Links to the latest revision of this Item or Post.".freeze,
      domain: "http://rdfs.org/sioc/ns#Item".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "latest version".freeze,
      range: "http://rdfs.org/sioc/ns#Item".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :likes,
      comment: "Used to indicate some form of endorsement by a UserAccount or Agent of an Item, Container, Space, UserAccount, etc.".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "likes".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :link,
      comment: "A URI of a document which contains this SIOC object.".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "link".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :links_to,
      comment: "Links extracted from hyperlinks within a SIOC concept, e.g. Post or Site.".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "links to".freeze,
      subPropertyOf: "http://purl.org/dc/terms/references".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :member_of,
      comment: "A Usergroup that this UserAccount is a member of.".freeze,
      domain: "http://rdfs.org/sioc/ns#UserAccount".freeze,
      inverseOf: "http://rdfs.org/sioc/ns#has_member".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "member of".freeze,
      range: "http://rdfs.org/sioc/ns#Usergroup".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :mentions,
      comment: "Refers to a UserAccount that a particular Item mentions.".freeze,
      domain: "http://rdfs.org/sioc/ns#Item".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "mentions".freeze,
      range: "http://rdfs.org/sioc/ns#UserAccount".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :moderator_of,
      comment: "A Forum that a UserAccount is a moderator of.".freeze,
      domain: "http://rdfs.org/sioc/ns#UserAccount".freeze,
      inverseOf: "http://rdfs.org/sioc/ns#has_moderator".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "moderator of".freeze,
      range: "http://rdfs.org/sioc/ns#Forum".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :modified_at,
      comment: "When this was modified, in ISO 8601 format.".freeze,
      domain: "http://rdfs.org/sioc/ns#Post".freeze,
      "http://www.w3.org/2002/07/owl#versionInfo": "This property is deprecated. Use dcterms:modified from the Dublin Core ontology instead.".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "modified at".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: ["http://www.w3.org/2002/07/owl#DatatypeProperty".freeze, "http://www.w3.org/2002/07/owl#DeprecatedProperty".freeze]
    property :modifier_of,
      comment: "A resource that this UserAccount has modified.".freeze,
      domain: "http://rdfs.org/sioc/ns#UserAccount".freeze,
      inverseOf: "http://rdfs.org/sioc/ns#has_modifier".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "modifier of".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :name,
      comment: "The name of a SIOC concept instance, e.g. a username for a UserAccount, group name for a Usergroup, etc.".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "name".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :next_by_date,
      comment: "Next Item or Post in a given Container sorted by date.".freeze,
      domain: "http://rdfs.org/sioc/ns#Item".freeze,
      inverseOf: "http://rdfs.org/sioc/ns#previous_by_date".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "next by date".freeze,
      range: "http://rdfs.org/sioc/ns#Item".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :next_version,
      comment: "Links to the next revision of this Item or Post.".freeze,
      domain: "http://rdfs.org/sioc/ns#Item".freeze,
      inverseOf: "http://rdfs.org/sioc/ns#previous_version".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "next version".freeze,
      range: "http://rdfs.org/sioc/ns#Item".freeze,
      subPropertyOf: "http://rdfs.org/sioc/ns#later_version".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :note,
      comment: "A note associated with this resource, for example, if it has been edited by a UserAccount.".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "note".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :num_authors,
      comment: "The number of unique authors (UserAccounts and unregistered posters) who have contributed to this Item, Thread, Post, etc.".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "num authors".freeze,
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :num_items,
      comment: "The number of Posts (or Items) in a Forum (or a Container).".freeze,
      domain: "http://rdfs.org/sioc/ns#Container".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "num items".freeze,
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :num_replies,
      comment: "The number of replies that this Item, Thread, Post, etc. has. Useful for when the reply structure is absent.".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "num replies".freeze,
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :num_threads,
      comment: "The number of Threads (AKA discussion topics) in a Forum.".freeze,
      domain: "http://rdfs.org/sioc/ns#Forum".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "num threads".freeze,
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :num_views,
      comment: "The number of times this Item, Thread, UserAccount profile, etc. has been viewed.".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "num views".freeze,
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger".freeze,
      type: "http://www.w3.org/2002/07/owl#DatatypeProperty".freeze
    property :owner_of,
      comment: "A resource owned by a particular UserAccount, for example, a weblog or image gallery.".freeze,
      domain: "http://rdfs.org/sioc/ns#UserAccount".freeze,
      inverseOf: "http://rdfs.org/sioc/ns#has_owner".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "owner of".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :parent_of,
      comment: "A child Container or Forum that this Container or Forum is a parent of.".freeze,
      domain: "http://rdfs.org/sioc/ns#Container".freeze,
      inverseOf: "http://rdfs.org/sioc/ns#has_parent".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "parent of".freeze,
      range: "http://rdfs.org/sioc/ns#Container".freeze,
      subPropertyOf: "http://purl.org/dc/terms/hasPart".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :part_of,
      comment: "A resource that the subject is a part of.".freeze,
      "http://www.w3.org/2002/07/owl#versionInfo": "This property is deprecated. Use dcterms:isPartOf from the Dublin Core ontology instead.".freeze,
      inverseOf: "http://rdfs.org/sioc/ns#has_part".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "part of".freeze,
      type: ["http://www.w3.org/2002/07/owl#DeprecatedProperty".freeze, "http://www.w3.org/2002/07/owl#ObjectProperty".freeze]
    property :previous_by_date,
      comment: "Previous Item or Post in a given Container sorted by date.".freeze,
      domain: "http://rdfs.org/sioc/ns#Item".freeze,
      inverseOf: "http://rdfs.org/sioc/ns#next_by_date".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "previous by date".freeze,
      range: "http://rdfs.org/sioc/ns#Item".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :previous_version,
      comment: "Links to the previous revision of this Item or Post.".freeze,
      domain: "http://rdfs.org/sioc/ns#Item".freeze,
      inverseOf: "http://rdfs.org/sioc/ns#next_version".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "previous version".freeze,
      range: "http://rdfs.org/sioc/ns#Item".freeze,
      subPropertyOf: "http://rdfs.org/sioc/ns#earlier_version".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :read_at,
      comment: "When this was read, in ISO 8601 format.".freeze,
      domain: "http://rdfs.org/sioc/ns#Item".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "read at".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: ["http://www.w3.org/2002/07/owl#DatatypeProperty".freeze, "http://www.w3.org/2002/07/owl#ObjectProperty".freeze]
    property :reference,
      comment: "Links either created explicitly or extracted implicitly on the HTML level from the Post.".freeze,
      domain: "http://rdfs.org/sioc/ns#Post".freeze,
      "http://www.w3.org/2002/07/owl#versionInfo": "Renamed to sioc:links_to.".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "reference".freeze,
      type: ["http://www.w3.org/2002/07/owl#DeprecatedProperty".freeze, "http://www.w3.org/2002/07/owl#ObjectProperty".freeze]
    property :related_to,
      comment: "Related resources for this resource, e.g. for Posts, perhaps determined implicitly from topics or references.".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "related to".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :reply_of,
      comment: "Links to an Item or Post which this Item or Post is a reply to.".freeze,
      domain: "http://rdfs.org/sioc/ns#Item".freeze,
      inverseOf: "http://rdfs.org/sioc/ns#has_reply".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "reply of".freeze,
      range: "http://rdfs.org/sioc/ns#Item".freeze,
      subPropertyOf: "http://rdfs.org/sioc/ns#related_to".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :respond_to,
      comment: "For the reply-to address set in email messages, IMs, etc. The property name was chosen to avoid confusion with has_reply/reply_of (the reply graph).".freeze,
      domain: "http://rdfs.org/sioc/ns#Item".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "respond to".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :scope_of,
      comment: "A Role that has a scope of this resource.".freeze,
      inverseOf: "http://rdfs.org/sioc/ns#has_scope".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "scope of".freeze,
      range: "http://rdfs.org/sioc/ns#Role".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :shared_by,
      comment: "For shared Items where there is a certain creator_of and an intermediary who shares or forwards it (e.g. as a sibling Item).".freeze,
      domain: "http://rdfs.org/sioc/ns#Item".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://rdfs.org/sioc/ns#sibling".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "shared by".freeze,
      range: "http://rdfs.org/sioc/ns#UserAccount".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :sibling,
      comment: "An Item may have a sibling or a twin that exists in a different Container, but the siblings may differ in some small way (for example, language, category, etc.). The sibling of this Item should be self-describing (that is, it should contain all available information).".freeze,
      domain: "http://rdfs.org/sioc/ns#Item".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "sibling".freeze,
      range: "http://rdfs.org/sioc/ns#Item".freeze,
      type: "http://www.w3.org/2002/07/owl#SymmetricProperty".freeze
    property :space_of,
      comment: "A resource which belongs to this data Space.".freeze,
      domain: "http://rdfs.org/sioc/ns#Space".freeze,
      inverseOf: "http://rdfs.org/sioc/ns#has_space".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "space of".freeze,
      subPropertyOf: "http://purl.org/dc/terms/hasPart".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :subject,
      comment: "Keyword(s) describing subject of the Post.".freeze,
      domain: "http://rdfs.org/sioc/ns#Post".freeze,
      "http://www.w3.org/2002/07/owl#versionInfo": "This property is deprecated. Use dcterms:subject from the Dublin Core ontology for text keywords and sioc:topic if the subject can be represented by a URI instead.".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "subject".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: ["http://www.w3.org/2002/07/owl#DatatypeProperty".freeze, "http://www.w3.org/2002/07/owl#DeprecatedProperty".freeze]
    property :subscriber_of,
      comment: "A Container that a UserAccount is subscribed to.".freeze,
      domain: "http://rdfs.org/sioc/ns#UserAccount".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://rdfs.org/sioc/ns#feed".freeze,
      inverseOf: "http://rdfs.org/sioc/ns#has_subscriber".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "subscriber of".freeze,
      range: "http://rdfs.org/sioc/ns#Container".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :title,
      comment: "This is the title (subject line) of the Post. Note that for a Post within a threaded discussion that has no parents, it would detail the topic thread.".freeze,
      domain: "http://rdfs.org/sioc/ns#Post".freeze,
      "http://www.w3.org/2002/07/owl#versionInfo": "This property is deprecated. Use dcterms:title from the Dublin Core ontology instead.".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "title".freeze,
      range: "http://www.w3.org/2000/01/rdf-schema#Literal".freeze,
      type: ["http://www.w3.org/2002/07/owl#DatatypeProperty".freeze, "http://www.w3.org/2002/07/owl#DeprecatedProperty".freeze]
    property :topic,
      comment: "A topic of interest, linking to the appropriate URI, e.g. in the Open Directory Project or of a SKOS category.".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "topic".freeze,
      subPropertyOf: "http://purl.org/dc/terms/subject".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
    property :usergroup_of,
      comment: "A Space that the Usergroup has access to.".freeze,
      domain: "http://rdfs.org/sioc/ns#Usergroup".freeze,
      inverseOf: "http://rdfs.org/sioc/ns#has_usergroup".freeze,
      isDefinedBy: "http://rdfs.org/sioc/ns#".freeze,
      label: "usergroup of".freeze,
      range: "http://rdfs.org/sioc/ns#Space".freeze,
      type: "http://www.w3.org/2002/07/owl#ObjectProperty".freeze
  end
end
