# -*- encoding: utf-8 -*-
# frozen_string_literal: true
# This file generated automatically using rdf vocabulary format from http://rdfs.org/sioc/types#
require 'rdf'
module RDF::Vocab
  SiocTypes = Class.new(RDF::StrictVocabulary("http://rdfs.org/sioc/types#")) do

    # Ontology definition
    ontology :"http://rdfs.org/sioc/types#",
      "http://purl.org/dc/terms/description": "Extends the SIOC Core Ontology (Semantically-Interlinked Online Communities) by defining subclasses and subproperties of SIOC terms.".freeze,
      "http://purl.org/dc/terms/title": "SIOC Types Ontology Module Namespace".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://rdfs.org/sioc/spec/#sec-modules".freeze,
      "http://www.w3.org/2002/07/owl#imports": "http://rdfs.org/sioc/ns#".freeze,
      type: ["http://www.w3.org/2002/07/owl#Ontology".freeze, "http://www.w3.org/2002/07/owl#Thing".freeze]

    # Class definitions
    term :AddressBook,
      comment: "Describes a collection of personal or organisational addresses.".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://xmlns.com/foaf/0.1/Agent".freeze,
      isDefinedBy: "http://rdfs.org/sioc/types#".freeze,
      label: "Address Book".freeze,
      subClassOf: "http://rdfs.org/sioc/ns#Container".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :AnnotationSet,
      comment: "Describes a set of annotations, for example, those created by a particular user or related to a particular topic.".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://www.w3.org/2000/10/annotation-ns#Annotation".freeze,
      isDefinedBy: "http://rdfs.org/sioc/types#".freeze,
      label: "Annotation Set".freeze,
      subClassOf: "http://rdfs.org/sioc/ns#Container".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Answer,
      comment: "A Post that provides an answer in reply to a Question.".freeze,
      isDefinedBy: "http://rdfs.org/sioc/types#".freeze,
      label: "Answer".freeze,
      subClassOf: "http://rdfs.org/sioc/ns#Post".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :ArgumentativeDiscussion,
      comment: "Describes a discussion area where logical arguments can take place.".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://purl.org/ibis#Idea".freeze,
      isDefinedBy: "http://rdfs.org/sioc/types#".freeze,
      label: "Argumentative Discussion".freeze,
      subClassOf: "http://rdfs.org/sioc/ns#Forum".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :AudioChannel,
      comment: "Describes a channel for distributing audio or sound files, for example, a podcast.".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://purl.org/dc/dcmitype/Sound".freeze,
      isDefinedBy: "http://rdfs.org/sioc/types#".freeze,
      label: "Audio Channel".freeze,
      subClassOf: "http://rdfs.org/sioc/ns#Container".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :BestAnswer,
      comment: "A Post that is the best answer to a Question, as chosen by the UserAccount who asked the Question or as voted by a Community of UserAccounts.".freeze,
      isDefinedBy: "http://rdfs.org/sioc/types#".freeze,
      label: "Best Answer".freeze,
      subClassOf: "http://rdfs.org/sioc/ns#Post".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :BlogPost,
      comment: "Describes a post that is specifically made on a weblog.".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://rdfs.org/sioc/types#Weblog".freeze,
      isDefinedBy: "http://rdfs.org/sioc/types#".freeze,
      label: "Blog Post".freeze,
      subClassOf: "http://rdfs.org/sioc/ns#Post".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :BoardPost,
      comment: "Describes a post that is specifically made on a message board.".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://rdfs.org/sioc/types#MessageBoard".freeze,
      isDefinedBy: "http://rdfs.org/sioc/types#".freeze,
      label: "Board Post".freeze,
      subClassOf: "http://rdfs.org/sioc/ns#Post".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :BookmarkFolder,
      comment: "Describes a shared collection of bookmarks.".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://www.w3.org/2002/01/bookmark#Bookmark".freeze,
      isDefinedBy: "http://rdfs.org/sioc/types#".freeze,
      label: "Bookmark Folder".freeze,
      subClassOf: "http://rdfs.org/sioc/ns#Container".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Briefcase,
      comment: "Describes a briefcase or file service.".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://xmlns.com/foaf/0.1/Document".freeze,
      isDefinedBy: "http://rdfs.org/sioc/types#".freeze,
      label: "Briefcase".freeze,
      subClassOf: "http://rdfs.org/sioc/ns#Container".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Category,
      comment: "Category is used on the object of sioc:topic to indicate that this resource is a category on a site.".freeze,
      isDefinedBy: "http://rdfs.org/sioc/types#".freeze,
      label: "Category".freeze,
      subClassOf: "http://www.w3.org/2008/05/skos#Concept".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :ChatChannel,
      comment: "Describes a channel for chat or instant messages, for example, via IRC or IM.".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://rdfs.org/sioc/types#InstantMessage".freeze,
      isDefinedBy: "http://rdfs.org/sioc/types#".freeze,
      label: "Chat Channel".freeze,
      subClassOf: "http://rdfs.org/sioc/ns#Forum".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Comment,
      comment: "Comment is a subtype of sioc:Post and allows one to explicitly indicate that this SIOC post is a comment.  Note that comments have a narrower scope than sioc:Post and may not apply to all types of community site.".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://rdfs.org/sioc/types#Forum".freeze,
      isDefinedBy: "http://rdfs.org/sioc/types#".freeze,
      label: "Comment".freeze,
      subClassOf: "http://rdfs.org/sioc/ns#Post".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :EventCalendar,
      comment: "Describes a calendar of events.".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://www.w3.org/2002/12/cal/icaltzd#VEVENT".freeze,
      isDefinedBy: "http://rdfs.org/sioc/types#".freeze,
      label: "Event Calendar".freeze,
      subClassOf: "http://rdfs.org/sioc/ns#Container".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :FavouriteThings,
      comment: "Describes a list or a collection of one's favourite things.".freeze,
      isDefinedBy: "http://rdfs.org/sioc/types#".freeze,
      label: "Favourite Things".freeze,
      subClassOf: "http://rdfs.org/sioc/ns#Container".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :ImageGallery,
      comment: "Describes an image gallery, for example, a photo album.".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://www.w3.org/2003/12/exif/ns/IFD".freeze,
      isDefinedBy: "http://rdfs.org/sioc/types#".freeze,
      label: "Image Gallery".freeze,
      subClassOf: "http://rdfs.org/sioc/ns#Container".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :InstantMessage,
      comment: "Describes an instant message, e.g. sent via Jabber.".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://rdfs.org/sioc/types#ChatChannel".freeze,
      isDefinedBy: "http://rdfs.org/sioc/types#".freeze,
      label: "Instant Message".freeze,
      subClassOf: "http://rdfs.org/sioc/ns#Post".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :MailMessage,
      comment: "Describes an electronic mail message, e.g. a post sent to a mailing list.".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://rdfs.org/sioc/types#MailingList".freeze,
      isDefinedBy: "http://rdfs.org/sioc/types#".freeze,
      label: "Mail Message".freeze,
      subClassOf: "http://rdfs.org/sioc/ns#Post".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :MailingList,
      comment: "Describes an electronic mailing list.".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://rdfs.org/sioc/types#MailMessage".freeze,
      isDefinedBy: "http://rdfs.org/sioc/types#".freeze,
      label: "Mailing List".freeze,
      subClassOf: "http://rdfs.org/sioc/ns#Forum".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :MessageBoard,
      comment: "Describes a message board, also known as an online bulletin board or discussion forum.".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://rdfs.org/sioc/types#BoardPost".freeze,
      isDefinedBy: "http://rdfs.org/sioc/types#".freeze,
      label: "Message Board".freeze,
      subClassOf: "http://rdfs.org/sioc/ns#Forum".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Microblog,
      comment: "Describes a microblog, i.e. a blog consisting of short text messages.".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://rdfs.org/sioc/types#MicroblogPost".freeze,
      isDefinedBy: "http://rdfs.org/sioc/types#".freeze,
      label: "Microblog".freeze,
      subClassOf: "http://rdfs.org/sioc/ns#Forum".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :MicroblogPost,
      comment: "Describes a post that is specifically made on a microblog.".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://rdfs.org/sioc/types#Microblog".freeze,
      isDefinedBy: "http://rdfs.org/sioc/types#".freeze,
      label: "Microblog Post".freeze,
      subClassOf: "http://rdfs.org/sioc/ns#Post".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :OfferList,
      comment: "Describes a list of the items someone has available to offer.".freeze,
      isDefinedBy: "http://rdfs.org/sioc/types#".freeze,
      label: "Offer List".freeze,
      subClassOf: "http://rdfs.org/sioc/ns#Container".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Playlist,
      comment: "Describes a list of media items that have been played or can be played.".freeze,
      isDefinedBy: "http://rdfs.org/sioc/types#".freeze,
      label: "Playlist".freeze,
      subClassOf: "http://rdfs.org/sioc/ns#Container".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Poll,
      comment: "Describes a posted item that contains a poll or survey content.".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://rdfs.org/sioc/types#SurveyCollection".freeze,
      isDefinedBy: "http://rdfs.org/sioc/types#".freeze,
      label: "Poll".freeze,
      subClassOf: "http://rdfs.org/sioc/ns#Item".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :ProjectDirectory,
      comment: "Describes a project directory.".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://usefulinc.com/ns/doap#Project".freeze,
      isDefinedBy: "http://rdfs.org/sioc/types#".freeze,
      label: "Project Directory".freeze,
      subClassOf: "http://rdfs.org/sioc/ns#Container".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Question,
      comment: "A Post that asks a Question.".freeze,
      isDefinedBy: "http://rdfs.org/sioc/types#".freeze,
      label: "Question".freeze,
      subClassOf: "http://rdfs.org/sioc/ns#Post".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :ReadingList,
      comment: "Describes a list of books or other materials that have been read or are suggested for reading.".freeze,
      isDefinedBy: "http://rdfs.org/sioc/types#".freeze,
      label: "Reading List".freeze,
      subClassOf: "http://rdfs.org/sioc/ns#Container".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :ResumeBank,
      comment: "Describes a collection of resumes.".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://captsolo.net/semweb/resume/cv.rdfs#Resume".freeze,
      isDefinedBy: "http://rdfs.org/sioc/types#".freeze,
      label: "Resume Bank".freeze,
      subClassOf: "http://rdfs.org/sioc/ns#Container".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :ReviewArea,
      comment: "Describes an area where reviews are posted.".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": ["http://purl.org/stuff/rev#Review".freeze, "http://www.isi.edu/webscripter/communityreview/abstract-review-o#Review".freeze],
      isDefinedBy: "http://rdfs.org/sioc/types#".freeze,
      label: "Review Area".freeze,
      subClassOf: "http://rdfs.org/sioc/ns#Container".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :SubscriptionList,
      comment: "Describes a shared set of feed subscriptions.".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://atomowl.org/ontologies/atomrdf#Feed".freeze,
      isDefinedBy: "http://rdfs.org/sioc/types#".freeze,
      label: "Subscription List".freeze,
      subClassOf: "http://rdfs.org/sioc/ns#Container".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :SurveyCollection,
      comment: "Describes an area where survey data can be collected, e.g. from polls.".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://rdfs.org/sioc/types#Poll".freeze,
      isDefinedBy: "http://rdfs.org/sioc/types#".freeze,
      label: "Survey Collection".freeze,
      subClassOf: "http://rdfs.org/sioc/ns#Container".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Tag,
      comment: "Tag is used on the object of sioc:topic to indicate that this resource is a tag on a site.".freeze,
      isDefinedBy: "http://rdfs.org/sioc/types#".freeze,
      label: "Tag".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :VideoChannel,
      comment: "Describes a channel for distributing videos (moving image) files, for example, a video podcast.".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://purl.org/dc/dcmitype/MovingImage".freeze,
      isDefinedBy: "http://rdfs.org/sioc/types#".freeze,
      label: "Video Channel".freeze,
      subClassOf: "http://rdfs.org/sioc/ns#Container".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Weblog,
      comment: "Describes a weblog (blog), i.e. an online journal.".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://rdfs.org/sioc/types#BlogPost".freeze,
      isDefinedBy: "http://rdfs.org/sioc/types#".freeze,
      label: "Weblog".freeze,
      subClassOf: "http://rdfs.org/sioc/ns#Forum".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :Wiki,
      comment: "Describes a wiki space.".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://rdfs.org/sioc/types#WikiArticle".freeze,
      isDefinedBy: "http://rdfs.org/sioc/types#".freeze,
      label: "Wiki".freeze,
      subClassOf: "http://rdfs.org/sioc/ns#Container".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :WikiArticle,
      comment: "Describes a wiki article.".freeze,
      "http://www.w3.org/2000/01/rdf-schema#seeAlso": "http://rdfs.org/sioc/types#Wiki".freeze,
      isDefinedBy: "http://rdfs.org/sioc/types#".freeze,
      label: "Wiki Article".freeze,
      subClassOf: "http://rdfs.org/sioc/ns#Item".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
    term :WishList,
      comment: "Describes a list of the items someone wishes to get.".freeze,
      isDefinedBy: "http://rdfs.org/sioc/types#".freeze,
      label: "Wish List".freeze,
      subClassOf: "http://rdfs.org/sioc/ns#Container".freeze,
      type: "http://www.w3.org/2002/07/owl#Class".freeze
  end
end
