# -*- encoding: utf-8 -*-
# frozen_string_literal: true
# This file generated automatically using rdf vocabulary format from http://dbpedia.org/ontology/
require 'rdf'
module RDF::Vocab
  DBO = Class.new(RDF::StrictVocabulary("http://dbpedia.org/ontology/")) do

    # Ontology definition
    ontology :"http://dbpedia.org/ontology/",
      comment: "\n              This ontology is generated from the manually created specifications in the DBpedia Mappings\n              Wiki. Each release of this ontology corresponds to a new release of the DBpedia data set which\n              contains instance data extracted from the different language versions of Wikipedia. For\n              information regarding changes in this ontology, please refer to the DBpedia Mappings Wiki.\n            ".freeze,
      "http://creativecommons.org/ns#license": "http://creativecommons.org/licenses/by-sa/3.0/".freeze,
      "http://open.vocab.org/terms/defines": ["http://dbpedia.org/datatype/Area".freeze, "http://dbpedia.org/datatype/Currency".freeze, "http://dbpedia.org/datatype/Density".freeze, "http://dbpedia.org/datatype/ElectricCurrent".freeze, "http://dbpedia.org/datatype/Energy".freeze, "http://dbpedia.org/datatype/FlowRate".freeze, "http://dbpedia.org/datatype/Force".freeze, "http://dbpedia.org/datatype/Frequency".freeze, "http://dbpedia.org/datatype/FuelEfficiency".freeze, "http://dbpedia.org/datatype/InformationUnit".freeze, "http://dbpedia.org/datatype/Length".freeze, "http://dbpedia.org/datatype/LinearMassDensity".freeze, "http://dbpedia.org/datatype/Mass".freeze, "http://dbpedia.org/datatype/PopulationDensity".freeze, "http://dbpedia.org/datatype/Power".freeze, "http://dbpedia.org/datatype/Pressure".freeze, "http://dbpedia.org/datatype/Ratio".freeze, "http://dbpedia.org/datatype/Speed".freeze, "http://dbpedia.org/datatype/Temperature".freeze, "http://dbpedia.org/datatype/Time".freeze, "http://dbpedia.org/datatype/Torque".freeze, "http://dbpedia.org/datatype/Voltage".freeze, "http://dbpedia.org/datatype/Volume".freeze, "http://dbpedia.org/datatype/acre".freeze, "http://dbpedia.org/datatype/afghanAfghani".freeze, "http://dbpedia.org/datatype/albanianLek".freeze, "http://dbpedia.org/datatype/algerianDinar".freeze, "http://dbpedia.org/datatype/ampere".freeze, "http://dbpedia.org/datatype/angolanKwanza".freeze, "http://dbpedia.org/datatype/argentinePeso".freeze, "http://dbpedia.org/datatype/armenianDram".freeze, "http://dbpedia.org/datatype/arubanGuilder".freeze, "http://dbpedia.org/datatype/astronomicalUnit".freeze, "http://dbpedia.org/datatype/australianDollar".freeze, "http://dbpedia.org/datatype/azerbaijaniManat".freeze, "http://dbpedia.org/datatype/bahamianDollar".freeze, "http://dbpedia.org/datatype/bahrainiDinar".freeze, "http://dbpedia.org/datatype/bangladeshiTaka".freeze, "http://dbpedia.org/datatype/bar".freeze, "http://dbpedia.org/datatype/barbadosDollar".freeze, "http://dbpedia.org/datatype/belarussianRuble".freeze, "http://dbpedia.org/datatype/belizeDollar".freeze, "http://dbpedia.org/datatype/bermudianDollar".freeze, "http://dbpedia.org/datatype/bhutaneseNgultrum".freeze, "http://dbpedia.org/datatype/bit".freeze, "http://dbpedia.org/datatype/bolivianBoliviano".freeze, "http://dbpedia.org/datatype/bosniaAndHerzegovinaConvertibleMarks".freeze, "http://dbpedia.org/datatype/botswanaPula".freeze, "http://dbpedia.org/datatype/brakeHorsepower".freeze, "http://dbpedia.org/datatype/brazilianReal".freeze, "http://dbpedia.org/datatype/bruneiDollar".freeze, "http://dbpedia.org/datatype/bulgarianLev".freeze, "http://dbpedia.org/datatype/burundianFranc".freeze, "http://dbpedia.org/datatype/byte".freeze, "http://dbpedia.org/datatype/calorie".freeze, "http://dbpedia.org/datatype/cambodianRiel".freeze, "http://dbpedia.org/datatype/canadianDollar".freeze, "http://dbpedia.org/datatype/capeVerdeEscudo".freeze, "http://dbpedia.org/datatype/carat".freeze, "http://dbpedia.org/datatype/caymanIslandsDollar".freeze, "http://dbpedia.org/datatype/centilitre".freeze, "http://dbpedia.org/datatype/centimetre".freeze, "http://dbpedia.org/datatype/centralAfricanCfaFranc".freeze, "http://dbpedia.org/datatype/cfpFranc".freeze, "http://dbpedia.org/datatype/chain".freeze, "http://dbpedia.org/datatype/chileanPeso".freeze, "http://dbpedia.org/datatype/colombianPeso".freeze, "http://dbpedia.org/datatype/comorianFranc".freeze, "http://dbpedia.org/datatype/congoleseFranc".freeze, "http://dbpedia.org/datatype/costaRicanColon".freeze, "http://dbpedia.org/datatype/croatianKuna".freeze, "http://dbpedia.org/datatype/cubanPeso".freeze, "http://dbpedia.org/datatype/cubicCentimetre".freeze, "http://dbpedia.org/datatype/cubicDecametre".freeze, "http://dbpedia.org/datatype/cubicDecimetre".freeze, "http://dbpedia.org/datatype/cubicFeetPerSecond".freeze, "http://dbpedia.org/datatype/cubicFeetPerYear".freeze, "http://dbpedia.org/datatype/cubicFoot".freeze, "http://dbpedia.org/datatype/cubicHectometre".freeze, "http://dbpedia.org/datatype/cubicInch".freeze, "http://dbpedia.org/datatype/cubicKilometre".freeze, "http://dbpedia.org/datatype/cubicMetre".freeze, "http://dbpedia.org/datatype/cubicMetrePerSecond".freeze, "http://dbpedia.org/datatype/cubicMetrePerYear".freeze, "http://dbpedia.org/datatype/cubicMile".freeze, "http://dbpedia.org/datatype/cubicMillimetre".freeze, "http://dbpedia.org/datatype/cubicYard".freeze, "http://dbpedia.org/datatype/czechKoruna".freeze, "http://dbpedia.org/datatype/danishKrone".freeze, "http://dbpedia.org/datatype/day".freeze, "http://dbpedia.org/datatype/decametre".freeze, "http://dbpedia.org/datatype/decibar".freeze, "http://dbpedia.org/datatype/decilitre".freeze, "http://dbpedia.org/datatype/decimetre".freeze, "http://dbpedia.org/datatype/degreeCelsius".freeze, "http://dbpedia.org/datatype/degreeFahrenheit".freeze, "http://dbpedia.org/datatype/degreeRankine".freeze, "http://dbpedia.org/datatype/djiboutianFranc".freeze, "http://dbpedia.org/datatype/dominicanPeso".freeze, "http://dbpedia.org/datatype/eastCaribbeanDollar".freeze, "http://dbpedia.org/datatype/egyptianPound".freeze, "http://dbpedia.org/datatype/engineConfiguration".freeze, "http://dbpedia.org/datatype/erg".freeze, "http://dbpedia.org/datatype/eritreanNakfa".freeze, "http://dbpedia.org/datatype/estonianKroon".freeze, "http://dbpedia.org/datatype/ethiopianBirr".freeze, "http://dbpedia.org/datatype/euro".freeze, "http://dbpedia.org/datatype/falklandIslandsPound".freeze, "http://dbpedia.org/datatype/fathom".freeze, "http://dbpedia.org/datatype/fijiDollar".freeze, "http://dbpedia.org/datatype/foot".freeze, "http://dbpedia.org/datatype/footPerMinute".freeze, "http://dbpedia.org/datatype/footPerSecond".freeze, "http://dbpedia.org/datatype/footPound".freeze, "http://dbpedia.org/datatype/fuelType".freeze, "http://dbpedia.org/datatype/furlong".freeze, "http://dbpedia.org/datatype/gambianDalasi".freeze, "http://dbpedia.org/datatype/georgianLari".freeze, "http://dbpedia.org/datatype/ghanaianCedi".freeze, "http://dbpedia.org/datatype/gibraltarPound".freeze, "http://dbpedia.org/datatype/gigabyte".freeze, "http://dbpedia.org/datatype/gigahertz".freeze, "http://dbpedia.org/datatype/gigalitre".freeze, "http://dbpedia.org/datatype/gigametre".freeze, "http://dbpedia.org/datatype/giganewton".freeze, "http://dbpedia.org/datatype/gigawatt".freeze, "http://dbpedia.org/datatype/gigawattHour".freeze, "http://dbpedia.org/datatype/grain".freeze, "http://dbpedia.org/datatype/gram".freeze, "http://dbpedia.org/datatype/gramForce".freeze, "http://dbpedia.org/datatype/gramPerCubicCentimetre".freeze, "http://dbpedia.org/datatype/gramPerKilometre".freeze, "http://dbpedia.org/datatype/gramPerMillilitre".freeze, "http://dbpedia.org/datatype/guatemalanQuetzal".freeze, "http://dbpedia.org/datatype/guineaFranc".freeze, "http://dbpedia.org/datatype/guyanaDollar".freeze, "http://dbpedia.org/datatype/haitiGourde".freeze, "http://dbpedia.org/datatype/hand".freeze, "http://dbpedia.org/datatype/hectare".freeze, "http://dbpedia.org/datatype/hectolitre".freeze, "http://dbpedia.org/datatype/hectometre".freeze, "http://dbpedia.org/datatype/hectopascal".freeze, "http://dbpedia.org/datatype/hertz".freeze, "http://dbpedia.org/datatype/honduranLempira".freeze, "http://dbpedia.org/datatype/hongKongDollar".freeze, "http://dbpedia.org/datatype/horsepower".freeze, "http://dbpedia.org/datatype/hour".freeze, "http://dbpedia.org/datatype/hungarianForint".freeze, "http://dbpedia.org/datatype/icelandKrona".freeze, "http://dbpedia.org/datatype/imperialBarrel".freeze, "http://dbpedia.org/datatype/imperialBarrelOil".freeze, "http://dbpedia.org/datatype/imperialGallon".freeze, "http://dbpedia.org/datatype/inch".freeze, "http://dbpedia.org/datatype/inchPound".freeze, "http://dbpedia.org/datatype/indianRupee".freeze, "http://dbpedia.org/datatype/indonesianRupiah".freeze, "http://dbpedia.org/datatype/inhabitantsPerSquareKilometre".freeze, "http://dbpedia.org/datatype/inhabitantsPerSquareMile".freeze, "http://dbpedia.org/datatype/iranianRial".freeze, "http://dbpedia.org/datatype/iraqiDinar".freeze, "http://dbpedia.org/datatype/israeliNewSheqel".freeze, "http://dbpedia.org/datatype/jamaicanDollar".freeze, "http://dbpedia.org/datatype/japaneseYen".freeze, "http://dbpedia.org/datatype/jordanianDinar".freeze, "http://dbpedia.org/datatype/joule".freeze, "http://dbpedia.org/datatype/kazakhstaniTenge".freeze, "http://dbpedia.org/datatype/kelvin".freeze, "http://dbpedia.org/datatype/kenyanShilling".freeze, "http://dbpedia.org/datatype/kiloampere".freeze, "http://dbpedia.org/datatype/kilobit".freeze, "http://dbpedia.org/datatype/kilobyte".freeze, "http://dbpedia.org/datatype/kilocalorie".freeze, "http://dbpedia.org/datatype/kilogram".freeze, "http://dbpedia.org/datatype/kilogramForce".freeze, "http://dbpedia.org/datatype/kilogramPerCubicMetre".freeze, "http://dbpedia.org/datatype/kilogramPerLitre".freeze, "http://dbpedia.org/datatype/kilohertz".freeze, "http://dbpedia.org/datatype/kilojoule".freeze, "http://dbpedia.org/datatype/kilolightYear".freeze, "http://dbpedia.org/datatype/kilolitre".freeze, "http://dbpedia.org/datatype/kilometre".freeze, "http://dbpedia.org/datatype/kilometrePerHour".freeze, "http://dbpedia.org/datatype/kilometrePerSecond".freeze, "http://dbpedia.org/datatype/kilometresPerLitre".freeze, "http://dbpedia.org/datatype/kilonewton".freeze, "http://dbpedia.org/datatype/kilopascal".freeze, "http://dbpedia.org/datatype/kilopond".freeze, "http://dbpedia.org/datatype/kilovolt".freeze, "http://dbpedia.org/datatype/kilowatt".freeze, "http://dbpedia.org/datatype/kilowattHour".freeze, "http://dbpedia.org/datatype/knot".freeze, "http://dbpedia.org/datatype/kuwaitiDinar".freeze, "http://dbpedia.org/datatype/kyrgyzstaniSom".freeze, "http://dbpedia.org/datatype/laoKip".freeze, "http://dbpedia.org/datatype/latvianLats".freeze, "http://dbpedia.org/datatype/lebanesePound".freeze, "http://dbpedia.org/datatype/lesothoLoti".freeze, "http://dbpedia.org/datatype/liberianDollar".freeze, "http://dbpedia.org/datatype/libyanDinar".freeze, "http://dbpedia.org/datatype/lightYear".freeze, "http://dbpedia.org/datatype/lithuanianLitas".freeze, "http://dbpedia.org/datatype/litre".freeze, "http://dbpedia.org/datatype/macanesePataca".freeze, "http://dbpedia.org/datatype/macedonianDenar".freeze, "http://dbpedia.org/datatype/malagasyAriary".freeze, "http://dbpedia.org/datatype/malawianKwacha".freeze, "http://dbpedia.org/datatype/malaysianRinggit".freeze, "http://dbpedia.org/datatype/maldivianRufiyaa".freeze, "http://dbpedia.org/datatype/mauritanianOuguiya".freeze, "http://dbpedia.org/datatype/mauritianRupee".freeze, "http://dbpedia.org/datatype/megabit".freeze, "http://dbpedia.org/datatype/megabyte".freeze, "http://dbpedia.org/datatype/megacalorie".freeze, "http://dbpedia.org/datatype/megahertz".freeze, "http://dbpedia.org/datatype/megalitre".freeze, "http://dbpedia.org/datatype/megametre".freeze, "http://dbpedia.org/datatype/meganewton".freeze, "http://dbpedia.org/datatype/megapascal".freeze, "http://dbpedia.org/datatype/megapond".freeze, "http://dbpedia.org/datatype/megavolt".freeze, "http://dbpedia.org/datatype/megawatt".freeze, "http://dbpedia.org/datatype/megawattHour".freeze, "http://dbpedia.org/datatype/metre".freeze, "http://dbpedia.org/datatype/metrePerSecond".freeze, "http://dbpedia.org/datatype/mexicanPeso".freeze, "http://dbpedia.org/datatype/microampere".freeze, "http://dbpedia.org/datatype/microlitre".freeze, "http://dbpedia.org/datatype/micrometre".freeze, "http://dbpedia.org/datatype/microsecond".freeze, "http://dbpedia.org/datatype/microvolt".freeze, "http://dbpedia.org/datatype/mile".freeze, "http://dbpedia.org/datatype/milePerHour".freeze, "http://dbpedia.org/datatype/milliampere".freeze, "http://dbpedia.org/datatype/millibar".freeze, "http://dbpedia.org/datatype/millicalorie".freeze, "http://dbpedia.org/datatype/milligram".freeze, "http://dbpedia.org/datatype/milligramForce".freeze, "http://dbpedia.org/datatype/millihertz".freeze, "http://dbpedia.org/datatype/millilitre".freeze, "http://dbpedia.org/datatype/millimetre".freeze, "http://dbpedia.org/datatype/millinewton".freeze, "http://dbpedia.org/datatype/millipascal".freeze, "http://dbpedia.org/datatype/millipond".freeze, "http://dbpedia.org/datatype/millisecond".freeze, "http://dbpedia.org/datatype/millivolt".freeze, "http://dbpedia.org/datatype/milliwatt".freeze, "http://dbpedia.org/datatype/milliwattHour".freeze, "http://dbpedia.org/datatype/minute".freeze, "http://dbpedia.org/datatype/moldovanLeu".freeze, "http://dbpedia.org/datatype/mongolianTögrög".freeze, "http://dbpedia.org/datatype/moroccanDirham".freeze, "http://dbpedia.org/datatype/mozambicanMetical".freeze, "http://dbpedia.org/datatype/myanmaKyat".freeze, "http://dbpedia.org/datatype/namibianDollar".freeze, "http://dbpedia.org/datatype/nanometre".freeze, "http://dbpedia.org/datatype/nanonewton".freeze, "http://dbpedia.org/datatype/nanosecond".freeze, "http://dbpedia.org/datatype/nautialMile".freeze, "http://dbpedia.org/datatype/nepaleseRupee".freeze, "http://dbpedia.org/datatype/netherlandsAntilleanGuilder".freeze, "http://dbpedia.org/datatype/newTaiwanDollar".freeze, "http://dbpedia.org/datatype/newZealandDollar".freeze, "http://dbpedia.org/datatype/newton".freeze, "http://dbpedia.org/datatype/newtonCentimetre".freeze, "http://dbpedia.org/datatype/newtonMetre".freeze, "http://dbpedia.org/datatype/newtonMillimetre".freeze, "http://dbpedia.org/datatype/nicaraguanCórdoba".freeze, "http://dbpedia.org/datatype/nigerianNaira".freeze, "http://dbpedia.org/datatype/northKoreanWon".freeze, "http://dbpedia.org/datatype/norwegianKrone".freeze, "http://dbpedia.org/datatype/omaniRial".freeze, "http://dbpedia.org/datatype/ounce".freeze, "http://dbpedia.org/datatype/pakistaniRupee".freeze, "http://dbpedia.org/datatype/panamanianBalboa".freeze, "http://dbpedia.org/datatype/papuaNewGuineanKina".freeze, "http://dbpedia.org/datatype/paraguayanGuarani".freeze, "http://dbpedia.org/datatype/pascal".freeze, "http://dbpedia.org/datatype/perCent".freeze, "http://dbpedia.org/datatype/perMil".freeze, "http://dbpedia.org/datatype/peruvianNuevoSol".freeze, "http://dbpedia.org/datatype/pferdestaerke".freeze, "http://dbpedia.org/datatype/philippinePeso".freeze, "http://dbpedia.org/datatype/polishZłoty".freeze, "http://dbpedia.org/datatype/pond".freeze, "http://dbpedia.org/datatype/pound".freeze, "http://dbpedia.org/datatype/poundFoot".freeze, "http://dbpedia.org/datatype/poundPerSquareInch".freeze, "http://dbpedia.org/datatype/poundSterling".freeze, "http://dbpedia.org/datatype/poundal".freeze, "http://dbpedia.org/datatype/qatariRial".freeze, "http://dbpedia.org/datatype/renminbi".freeze, "http://dbpedia.org/datatype/rod".freeze, "http://dbpedia.org/datatype/romanianNewLeu".freeze, "http://dbpedia.org/datatype/russianRouble".freeze, "http://dbpedia.org/datatype/rwandaFranc".freeze, "http://dbpedia.org/datatype/saintHelenaPound".freeze, "http://dbpedia.org/datatype/samoanTala".freeze, "http://dbpedia.org/datatype/saudiRiyal".freeze, "http://dbpedia.org/datatype/second".freeze, "http://dbpedia.org/datatype/serbianDinar".freeze, "http://dbpedia.org/datatype/seychellesRupee".freeze, "http://dbpedia.org/datatype/sierraLeoneanLeone".freeze, "http://dbpedia.org/datatype/singaporeDollar".freeze, "http://dbpedia.org/datatype/slovakKoruna".freeze, "http://dbpedia.org/datatype/solomonIslandsDollar".freeze, "http://dbpedia.org/datatype/somaliShilling".freeze, "http://dbpedia.org/datatype/southAfricanRand".freeze, "http://dbpedia.org/datatype/southKoreanWon".freeze, "http://dbpedia.org/datatype/squareCentimetre".freeze, "http://dbpedia.org/datatype/squareDecametre".freeze, "http://dbpedia.org/datatype/squareDecimetre".freeze, "http://dbpedia.org/datatype/squareFoot".freeze, "http://dbpedia.org/datatype/squareHectometre".freeze, "http://dbpedia.org/datatype/squareInch".freeze, "http://dbpedia.org/datatype/squareKilometre".freeze, "http://dbpedia.org/datatype/squareMetre".freeze, "http://dbpedia.org/datatype/squareMile".freeze, "http://dbpedia.org/datatype/squareMillimetre".freeze, "http://dbpedia.org/datatype/squareNauticalMile".freeze, "http://dbpedia.org/datatype/squareYard".freeze, "http://dbpedia.org/datatype/sriLankanRupee".freeze, "http://dbpedia.org/datatype/standardAtmosphere".freeze, "http://dbpedia.org/datatype/stone".freeze, "http://dbpedia.org/datatype/sudanesePound".freeze, "http://dbpedia.org/datatype/surinamDollar".freeze, "http://dbpedia.org/datatype/swaziLilangeni".freeze, "http://dbpedia.org/datatype/swedishKrona".freeze, "http://dbpedia.org/datatype/swissFranc".freeze, "http://dbpedia.org/datatype/syrianPound".freeze, "http://dbpedia.org/datatype/sãoToméAndPríncipeDobra".freeze, "http://dbpedia.org/datatype/tajikistaniSomoni".freeze, "http://dbpedia.org/datatype/tanzanianShilling".freeze, "http://dbpedia.org/datatype/terabyte".freeze, "http://dbpedia.org/datatype/terahertz".freeze, "http://dbpedia.org/datatype/terawattHour".freeze, "http://dbpedia.org/datatype/thaiBaht".freeze, "http://dbpedia.org/datatype/tonganPaanga".freeze, "http://dbpedia.org/datatype/tonne".freeze, "http://dbpedia.org/datatype/tonneForce".freeze, "http://dbpedia.org/datatype/trinidadAndTobagoDollar".freeze, "http://dbpedia.org/datatype/tunisianDinar".freeze, "http://dbpedia.org/datatype/turkishLira".freeze, "http://dbpedia.org/datatype/turkmenistaniManat".freeze, "http://dbpedia.org/datatype/ugandaShilling".freeze, "http://dbpedia.org/datatype/ukrainianHryvnia".freeze, "http://dbpedia.org/datatype/unitedArabEmiratesDirham".freeze, "http://dbpedia.org/datatype/uruguayanPeso".freeze, "http://dbpedia.org/datatype/usBarrel".freeze, "http://dbpedia.org/datatype/usBarrelOil".freeze, "http://dbpedia.org/datatype/usDollar".freeze, "http://dbpedia.org/datatype/usGallon".freeze, "http://dbpedia.org/datatype/uzbekistanSom".freeze, "http://dbpedia.org/datatype/valvetrain".freeze, "http://dbpedia.org/datatype/vanuatuVatu".freeze, "http://dbpedia.org/datatype/venezuelanBolívar".freeze, "http://dbpedia.org/datatype/volt".freeze, "http://dbpedia.org/datatype/watt".freeze, "http://dbpedia.org/datatype/wattHour".freeze, "http://dbpedia.org/datatype/westAfricanCfaFranc".freeze, "http://dbpedia.org/datatype/yard".freeze, "http://dbpedia.org/datatype/yemeniRial".freeze, "http://dbpedia.org/datatype/zambianKwacha".freeze, "http://dbpedia.org/datatype/zimbabweanDollar".freeze, "http://dbpedia.org/ontology/".freeze, "http://dbpedia.org/ontology/AcademicConference".freeze, "http://dbpedia.org/ontology/AcademicJournal".freeze, "http://dbpedia.org/ontology/AcademicSubject".freeze, "http://dbpedia.org/ontology/Activity".freeze, "http://dbpedia.org/ontology/Actor".freeze, "http://dbpedia.org/ontology/AdministrativeRegion".freeze, "http://dbpedia.org/ontology/AdultActor".freeze, "http://dbpedia.org/ontology/Agent".freeze, "http://dbpedia.org/ontology/Agglomeration".freeze, "http://dbpedia.org/ontology/Aircraft".freeze, "http://dbpedia.org/ontology/Airline".freeze, "http://dbpedia.org/ontology/Airport".freeze, "http://dbpedia.org/ontology/Album".freeze, "http://dbpedia.org/ontology/Algorithm".freeze, "http://dbpedia.org/ontology/Altitude".freeze, "http://dbpedia.org/ontology/AmateurBoxer".freeze, "http://dbpedia.org/ontology/Ambassador".freeze, "http://dbpedia.org/ontology/AmericanFootballCoach".freeze, "http://dbpedia.org/ontology/AmericanFootballLeague".freeze, "http://dbpedia.org/ontology/AmericanFootballPlayer".freeze, "http://dbpedia.org/ontology/AmericanFootballTeam".freeze, "http://dbpedia.org/ontology/Amphibian".freeze, "http://dbpedia.org/ontology/AmusementParkAttraction".freeze, "http://dbpedia.org/ontology/AnatomicalStructure".freeze, "http://dbpedia.org/ontology/Animal".freeze, "http://dbpedia.org/ontology/AnimangaCharacter".freeze, "http://dbpedia.org/ontology/Anime".freeze, "http://dbpedia.org/ontology/Annotation".freeze, "http://dbpedia.org/ontology/Arachnid".freeze, "http://dbpedia.org/ontology/Archaea".freeze, "http://dbpedia.org/ontology/Archbishop".freeze, "http://dbpedia.org/ontology/Archeologist".freeze, "http://dbpedia.org/ontology/ArcherPlayer".freeze, "http://dbpedia.org/ontology/Archipelago".freeze, "http://dbpedia.org/ontology/Architect".freeze, "http://dbpedia.org/ontology/ArchitecturalStructure".freeze, "http://dbpedia.org/ontology/Archive".freeze, "http://dbpedia.org/ontology/Area".freeze, "http://dbpedia.org/ontology/Arena".freeze, "http://dbpedia.org/ontology/Aristocrat".freeze, "http://dbpedia.org/ontology/Arrondissement".freeze, "http://dbpedia.org/ontology/Artery".freeze, "http://dbpedia.org/ontology/Article".freeze, "http://dbpedia.org/ontology/ArtificialSatellite".freeze, "http://dbpedia.org/ontology/Artist".freeze, "http://dbpedia.org/ontology/ArtistDiscography".freeze, "http://dbpedia.org/ontology/ArtisticGenre".freeze, "http://dbpedia.org/ontology/Artwork".freeze, "http://dbpedia.org/ontology/Asteroid".freeze, "http://dbpedia.org/ontology/Astronaut".freeze, "http://dbpedia.org/ontology/Astronaut/timeInSpace".freeze, "http://dbpedia.org/ontology/Athlete".freeze, "http://dbpedia.org/ontology/Athletics".freeze, "http://dbpedia.org/ontology/AthleticsPlayer".freeze, "http://dbpedia.org/ontology/Atoll".freeze, "http://dbpedia.org/ontology/Attack".freeze, "http://dbpedia.org/ontology/AustralianFootballLeague".freeze, "http://dbpedia.org/ontology/AustralianFootballTeam".freeze, "http://dbpedia.org/ontology/AustralianRulesFootballPlayer".freeze, "http://dbpedia.org/ontology/AutoRacingLeague".freeze, "http://dbpedia.org/ontology/Automobile".freeze, "http://dbpedia.org/ontology/Automobile/fuelCapacity".freeze, "http://dbpedia.org/ontology/Automobile/wheelbase".freeze, "http://dbpedia.org/ontology/AutomobileEngine".freeze, "http://dbpedia.org/ontology/Award".freeze, "http://dbpedia.org/ontology/BackScene".freeze, "http://dbpedia.org/ontology/Bacteria".freeze, "http://dbpedia.org/ontology/BadmintonPlayer".freeze, "http://dbpedia.org/ontology/Band".freeze, "http://dbpedia.org/ontology/Bank".freeze, "http://dbpedia.org/ontology/Baronet".freeze, "http://dbpedia.org/ontology/BaseballLeague".freeze, "http://dbpedia.org/ontology/BaseballPlayer".freeze, "http://dbpedia.org/ontology/BaseballSeason".freeze, "http://dbpedia.org/ontology/BaseballTeam".freeze, "http://dbpedia.org/ontology/BasketballLeague".freeze, "http://dbpedia.org/ontology/BasketballPlayer".freeze, "http://dbpedia.org/ontology/BasketballTeam".freeze, "http://dbpedia.org/ontology/Battery".freeze, "http://dbpedia.org/ontology/Bay".freeze, "http://dbpedia.org/ontology/Beach".freeze, "http://dbpedia.org/ontology/BeachVolleyballPlayer".freeze, "http://dbpedia.org/ontology/BeautyQueen".freeze, "http://dbpedia.org/ontology/Beer".freeze, "http://dbpedia.org/ontology/Beverage".freeze, "http://dbpedia.org/ontology/Biathlete".freeze, "http://dbpedia.org/ontology/BiologicalDatabase".freeze, "http://dbpedia.org/ontology/Biologist".freeze, "http://dbpedia.org/ontology/Biomolecule".freeze, "http://dbpedia.org/ontology/Bird".freeze, "http://dbpedia.org/ontology/Blazon".freeze, "http://dbpedia.org/ontology/BloodVessel".freeze, "http://dbpedia.org/ontology/BoardGame".freeze, "http://dbpedia.org/ontology/BobsleighAthlete".freeze, "http://dbpedia.org/ontology/BodyOfWater".freeze, "http://dbpedia.org/ontology/Bodybuilder".freeze, "http://dbpedia.org/ontology/Bone".freeze, "http://dbpedia.org/ontology/Book".freeze, "http://dbpedia.org/ontology/BowlingLeague".freeze, "http://dbpedia.org/ontology/Boxer".freeze, "http://dbpedia.org/ontology/BoxingLeague".freeze, "http://dbpedia.org/ontology/Brain".freeze, "http://dbpedia.org/ontology/Brewery".freeze, "http://dbpedia.org/ontology/Bridge".freeze, "http://dbpedia.org/ontology/BritishRoyalty".freeze, "http://dbpedia.org/ontology/BroadcastNetwork".freeze, "http://dbpedia.org/ontology/Broadcaster".freeze, "http://dbpedia.org/ontology/BrownDwarf".freeze, "http://dbpedia.org/ontology/Browser".freeze, "http://dbpedia.org/ontology/Building".freeze, "http://dbpedia.org/ontology/Building/floorArea".freeze, "http://dbpedia.org/ontology/BullFighter".freeze, "http://dbpedia.org/ontology/BusCompany".freeze, "http://dbpedia.org/ontology/BusinessPerson".freeze, "http://dbpedia.org/ontology/Camera".freeze, "http://dbpedia.org/ontology/CanadianFootballLeague".freeze, "http://dbpedia.org/ontology/CanadianFootballPlayer".freeze, "http://dbpedia.org/ontology/CanadianFootballTeam".freeze, "http://dbpedia.org/ontology/Canal".freeze, "http://dbpedia.org/ontology/Canal/maximumBoatBeam".freeze, "http://dbpedia.org/ontology/Canal/maximumBoatLength".freeze, "http://dbpedia.org/ontology/Canal/originalMaximumBoatBeam".freeze, "http://dbpedia.org/ontology/Canal/originalMaximumBoatLength".freeze, "http://dbpedia.org/ontology/Canoeist".freeze, "http://dbpedia.org/ontology/Canton".freeze, "http://dbpedia.org/ontology/Cape".freeze, "http://dbpedia.org/ontology/Capital".freeze, "http://dbpedia.org/ontology/CapitalOfRegion".freeze, "http://dbpedia.org/ontology/CardGame".freeze, "http://dbpedia.org/ontology/Cardinal".freeze, "http://dbpedia.org/ontology/CardinalDirection".freeze, "http://dbpedia.org/ontology/CareerStation".freeze, "http://dbpedia.org/ontology/Cartoon".freeze, "http://dbpedia.org/ontology/Case".freeze, "http://dbpedia.org/ontology/Casino".freeze, "http://dbpedia.org/ontology/Castle".freeze, "http://dbpedia.org/ontology/Cat".freeze, "http://dbpedia.org/ontology/Caterer".freeze, "http://dbpedia.org/ontology/Cave".freeze, "http://dbpedia.org/ontology/CelestialBody".freeze, "http://dbpedia.org/ontology/Cemetery".freeze, "http://dbpedia.org/ontology/Chancellor".freeze, "http://dbpedia.org/ontology/ChartsPlacements".freeze, "http://dbpedia.org/ontology/Cheese".freeze, "http://dbpedia.org/ontology/Chef".freeze, "http://dbpedia.org/ontology/ChemicalCompound".freeze, "http://dbpedia.org/ontology/ChemicalElement".freeze, "http://dbpedia.org/ontology/ChemicalSubstance".freeze, "http://dbpedia.org/ontology/ChemicalSubstance/boilingPoint".freeze, "http://dbpedia.org/ontology/ChemicalSubstance/density".freeze, "http://dbpedia.org/ontology/ChemicalSubstance/meltingPoint".freeze, "http://dbpedia.org/ontology/ChessPlayer".freeze, "http://dbpedia.org/ontology/ChristianBishop".freeze, "http://dbpedia.org/ontology/ChristianDoctrine".freeze, "http://dbpedia.org/ontology/ChristianPatriarch".freeze, "http://dbpedia.org/ontology/Church".freeze, "http://dbpedia.org/ontology/Cinema".freeze, "http://dbpedia.org/ontology/Cipher".freeze, "http://dbpedia.org/ontology/City".freeze, "http://dbpedia.org/ontology/CityDistrict".freeze, "http://dbpedia.org/ontology/ClassicalMusicArtist".freeze, "http://dbpedia.org/ontology/ClassicalMusicComposition".freeze, "http://dbpedia.org/ontology/Cleric".freeze, "http://dbpedia.org/ontology/ClericalAdministrativeRegion".freeze, "http://dbpedia.org/ontology/ClericalOrder".freeze, "http://dbpedia.org/ontology/ClubMoss".freeze, "http://dbpedia.org/ontology/Coach".freeze, "http://dbpedia.org/ontology/CoalPit".freeze, "http://dbpedia.org/ontology/CollectionOfValuables".freeze, "http://dbpedia.org/ontology/College".freeze, "http://dbpedia.org/ontology/CollegeCoach".freeze, "http://dbpedia.org/ontology/Colour".freeze, "http://dbpedia.org/ontology/CombinationDrug".freeze, "http://dbpedia.org/ontology/Comedian".freeze, "http://dbpedia.org/ontology/ComedyGroup".freeze, "http://dbpedia.org/ontology/Comic".freeze, "http://dbpedia.org/ontology/ComicStrip".freeze, "http://dbpedia.org/ontology/ComicsCharacter".freeze, "http://dbpedia.org/ontology/ComicsCreator".freeze, "http://dbpedia.org/ontology/Community".freeze, "http://dbpedia.org/ontology/Company".freeze, "http://dbpedia.org/ontology/Competition".freeze, "http://dbpedia.org/ontology/ConcentrationCamp".freeze, "http://dbpedia.org/ontology/Congressman".freeze, "http://dbpedia.org/ontology/Conifer".freeze, "http://dbpedia.org/ontology/Constellation".freeze, "http://dbpedia.org/ontology/Contest".freeze, "http://dbpedia.org/ontology/Continent".freeze, "http://dbpedia.org/ontology/ControlledDesignationOfOriginWine".freeze, "http://dbpedia.org/ontology/Convention".freeze, "http://dbpedia.org/ontology/ConveyorSystem".freeze, "http://dbpedia.org/ontology/ConveyorSystem/diameter".freeze, "http://dbpedia.org/ontology/ConveyorSystem/height".freeze, "http://dbpedia.org/ontology/ConveyorSystem/length".freeze, "http://dbpedia.org/ontology/ConveyorSystem/mass".freeze, "http://dbpedia.org/ontology/ConveyorSystem/weight".freeze, "http://dbpedia.org/ontology/ConveyorSystem/width".freeze, "http://dbpedia.org/ontology/Country".freeze, "http://dbpedia.org/ontology/CountrySeat".freeze, "http://dbpedia.org/ontology/Crater".freeze, "http://dbpedia.org/ontology/CricketGround".freeze, "http://dbpedia.org/ontology/CricketLeague".freeze, "http://dbpedia.org/ontology/CricketTeam".freeze, "http://dbpedia.org/ontology/Cricketer".freeze, "http://dbpedia.org/ontology/Criminal".freeze, "http://dbpedia.org/ontology/CrossCountrySkier".freeze, "http://dbpedia.org/ontology/Crustacean".freeze, "http://dbpedia.org/ontology/CultivatedVariety".freeze, "http://dbpedia.org/ontology/Curler".freeze, "http://dbpedia.org/ontology/CurlingLeague".freeze, "http://dbpedia.org/ontology/Currency".freeze, "http://dbpedia.org/ontology/Cycad".freeze, "http://dbpedia.org/ontology/CyclingCompetition".freeze, "http://dbpedia.org/ontology/CyclingLeague".freeze, "http://dbpedia.org/ontology/CyclingRace".freeze, "http://dbpedia.org/ontology/CyclingTeam".freeze, "http://dbpedia.org/ontology/Cyclist".freeze, "http://dbpedia.org/ontology/DBpedian".freeze, "http://dbpedia.org/ontology/DTMRacer".freeze, "http://dbpedia.org/ontology/Dam".freeze, "http://dbpedia.org/ontology/Dancer".freeze, "http://dbpedia.org/ontology/DartsPlayer".freeze, "http://dbpedia.org/ontology/Database".freeze, "http://dbpedia.org/ontology/Deanery".freeze, "http://dbpedia.org/ontology/Decoration".freeze, "http://dbpedia.org/ontology/Deity".freeze, "http://dbpedia.org/ontology/Demographics".freeze, "http://dbpedia.org/ontology/Department".freeze, "http://dbpedia.org/ontology/Depth".freeze, "http://dbpedia.org/ontology/Deputy".freeze, "http://dbpedia.org/ontology/Desert".freeze, "http://dbpedia.org/ontology/Device".freeze, "http://dbpedia.org/ontology/DigitalCamera".freeze, "http://dbpedia.org/ontology/Dike".freeze, "http://dbpedia.org/ontology/Diocese".freeze, "http://dbpedia.org/ontology/Diploma".freeze, "http://dbpedia.org/ontology/Disease".freeze, "http://dbpedia.org/ontology/DisneyCharacter".freeze, "http://dbpedia.org/ontology/District".freeze, "http://dbpedia.org/ontology/DistrictWaterBoard".freeze, "http://dbpedia.org/ontology/Document".freeze, "http://dbpedia.org/ontology/DocumentType".freeze, "http://dbpedia.org/ontology/Dog".freeze, "http://dbpedia.org/ontology/Drama".freeze, "http://dbpedia.org/ontology/Drug".freeze, "http://dbpedia.org/ontology/Drug/boilingPoint".freeze, "http://dbpedia.org/ontology/Drug/meltingPoint".freeze, "http://dbpedia.org/ontology/Earthquake".freeze, "http://dbpedia.org/ontology/Economist".freeze, "http://dbpedia.org/ontology/EducationalInstitution".freeze, "http://dbpedia.org/ontology/Egyptologist".freeze, "http://dbpedia.org/ontology/Election".freeze, "http://dbpedia.org/ontology/ElectionDiagram".freeze, "http://dbpedia.org/ontology/ElectricalSubstation".freeze, "http://dbpedia.org/ontology/Embryology".freeze, "http://dbpedia.org/ontology/Employer".freeze, "http://dbpedia.org/ontology/EmployersOrganisation".freeze, "http://dbpedia.org/ontology/Engine".freeze, "http://dbpedia.org/ontology/Engine/acceleration".freeze, "http://dbpedia.org/ontology/Engine/co2Emission".freeze, "http://dbpedia.org/ontology/Engine/cylinderBore".freeze, "http://dbpedia.org/ontology/Engine/diameter".freeze, "http://dbpedia.org/ontology/Engine/displacement".freeze, "http://dbpedia.org/ontology/Engine/height".freeze, "http://dbpedia.org/ontology/Engine/length".freeze, "http://dbpedia.org/ontology/Engine/pistonStroke".freeze, "http://dbpedia.org/ontology/Engine/powerOutput".freeze, "http://dbpedia.org/ontology/Engine/topSpeed".freeze, "http://dbpedia.org/ontology/Engine/torqueOutput".freeze, "http://dbpedia.org/ontology/Engine/weight".freeze, "http://dbpedia.org/ontology/Engine/width".freeze, "http://dbpedia.org/ontology/Engineer".freeze, "http://dbpedia.org/ontology/Entomologist".freeze, "http://dbpedia.org/ontology/Enzyme".freeze, "http://dbpedia.org/ontology/Escalator".freeze, "http://dbpedia.org/ontology/Escalator/diameter".freeze, "http://dbpedia.org/ontology/Escalator/height".freeze, "http://dbpedia.org/ontology/Escalator/length".freeze, "http://dbpedia.org/ontology/Escalator/mass".freeze, "http://dbpedia.org/ontology/Escalator/weight".freeze, "http://dbpedia.org/ontology/Escalator/width".freeze, "http://dbpedia.org/ontology/EthnicGroup".freeze, "http://dbpedia.org/ontology/Eukaryote".freeze, "http://dbpedia.org/ontology/EurovisionSongContestEntry".freeze, "http://dbpedia.org/ontology/Event".freeze, "http://dbpedia.org/ontology/Factory".freeze, "http://dbpedia.org/ontology/Family".freeze, "http://dbpedia.org/ontology/Farmer".freeze, "http://dbpedia.org/ontology/Fashion".freeze, "http://dbpedia.org/ontology/FashionDesigner".freeze, "http://dbpedia.org/ontology/Fencer".freeze, "http://dbpedia.org/ontology/Fern".freeze, "http://dbpedia.org/ontology/FictionalCharacter".freeze, "http://dbpedia.org/ontology/FieldHockeyLeague".freeze, "http://dbpedia.org/ontology/FigureSkater".freeze, "http://dbpedia.org/ontology/File".freeze, "http://dbpedia.org/ontology/FileSystem".freeze, "http://dbpedia.org/ontology/Film".freeze, "http://dbpedia.org/ontology/FilmFestival".freeze, "http://dbpedia.org/ontology/Fish".freeze, "http://dbpedia.org/ontology/Flag".freeze, "http://dbpedia.org/ontology/FloweringPlant".freeze, "http://dbpedia.org/ontology/Food".freeze, "http://dbpedia.org/ontology/FootballLeagueSeason".freeze, "http://dbpedia.org/ontology/FootballMatch".freeze, "http://dbpedia.org/ontology/Forest".freeze, "http://dbpedia.org/ontology/FormerMunicipality".freeze, "http://dbpedia.org/ontology/FormulaOneRacer".freeze, "http://dbpedia.org/ontology/FormulaOneRacing".freeze, "http://dbpedia.org/ontology/FormulaOneTeam".freeze, "http://dbpedia.org/ontology/Fort".freeze, "http://dbpedia.org/ontology/Fungus".freeze, "http://dbpedia.org/ontology/GaelicGamesPlayer".freeze, "http://dbpedia.org/ontology/Galaxy".freeze, "http://dbpedia.org/ontology/Galaxy/apoapsis".freeze, "http://dbpedia.org/ontology/Galaxy/averageSpeed".freeze, "http://dbpedia.org/ontology/Galaxy/density".freeze, "http://dbpedia.org/ontology/Galaxy/mass".freeze, "http://dbpedia.org/ontology/Galaxy/maximumTemperature".freeze, "http://dbpedia.org/ontology/Galaxy/meanRadius".freeze, "http://dbpedia.org/ontology/Galaxy/meanTemperature".freeze, "http://dbpedia.org/ontology/Galaxy/minimumTemperature".freeze, "http://dbpedia.org/ontology/Galaxy/orbitalPeriod".freeze, "http://dbpedia.org/ontology/Galaxy/periapsis".freeze, "http://dbpedia.org/ontology/Galaxy/surfaceArea".freeze, "http://dbpedia.org/ontology/Galaxy/temperature".freeze, "http://dbpedia.org/ontology/Galaxy/volume".freeze, "http://dbpedia.org/ontology/Game".freeze, "http://dbpedia.org/ontology/Garden".freeze, "http://dbpedia.org/ontology/GatedCommunity".freeze, "http://dbpedia.org/ontology/Gene".freeze, "http://dbpedia.org/ontology/GeneLocation".freeze, "http://dbpedia.org/ontology/Genre".freeze, "http://dbpedia.org/ontology/GeologicalPeriod".freeze, "http://dbpedia.org/ontology/GeopoliticalOrganisation".freeze, "http://dbpedia.org/ontology/GeopoliticalOrganisation/areaMetro".freeze, "http://dbpedia.org/ontology/GeopoliticalOrganisation/populationDensity".freeze, "http://dbpedia.org/ontology/Ginkgo".freeze, "http://dbpedia.org/ontology/GivenName".freeze, "http://dbpedia.org/ontology/Glacier".freeze, "http://dbpedia.org/ontology/Globularswarm".freeze, "http://dbpedia.org/ontology/Gnetophytes".freeze, "http://dbpedia.org/ontology/GolfCourse".freeze, "http://dbpedia.org/ontology/GolfLeague".freeze, "http://dbpedia.org/ontology/GolfPlayer".freeze, "http://dbpedia.org/ontology/GolfTournament".freeze, "http://dbpedia.org/ontology/GovernmentAgency".freeze, "http://dbpedia.org/ontology/GovernmentCabinet".freeze, "http://dbpedia.org/ontology/GovernmentType".freeze, "http://dbpedia.org/ontology/GovernmentalAdministrativeRegion".freeze, "http://dbpedia.org/ontology/Governor".freeze, "http://dbpedia.org/ontology/GrandPrix".freeze, "http://dbpedia.org/ontology/GrandPrix/course".freeze, "http://dbpedia.org/ontology/GrandPrix/distance".freeze, "http://dbpedia.org/ontology/Grape".freeze, "http://dbpedia.org/ontology/GraveMonument".freeze, "http://dbpedia.org/ontology/GreenAlga".freeze, "http://dbpedia.org/ontology/GridironFootballPlayer".freeze, "http://dbpedia.org/ontology/GrossDomesticProduct".freeze, "http://dbpedia.org/ontology/GrossDomesticProductPerCapita".freeze, "http://dbpedia.org/ontology/Group".freeze, "http://dbpedia.org/ontology/Guitar".freeze, "http://dbpedia.org/ontology/Guitarist".freeze, "http://dbpedia.org/ontology/Gymnast".freeze, "http://dbpedia.org/ontology/HandballLeague".freeze, "http://dbpedia.org/ontology/HandballPlayer".freeze, "http://dbpedia.org/ontology/HandballTeam".freeze, "http://dbpedia.org/ontology/HighDiver".freeze, "http://dbpedia.org/ontology/Historian".freeze, "http://dbpedia.org/ontology/HistoricBuilding".freeze, "http://dbpedia.org/ontology/HistoricPlace".freeze, "http://dbpedia.org/ontology/HistoricalAreaOfAuthority".freeze, "http://dbpedia.org/ontology/HistoricalCountry".freeze, "http://dbpedia.org/ontology/HistoricalDistrict".freeze, "http://dbpedia.org/ontology/HistoricalEvent".freeze, "http://dbpedia.org/ontology/HistoricalPeriod".freeze, "http://dbpedia.org/ontology/HistoricalProvince".freeze, "http://dbpedia.org/ontology/HistoricalRegion".freeze, "http://dbpedia.org/ontology/HistoricalSettlement".freeze, "http://dbpedia.org/ontology/HockeyClub".freeze, "http://dbpedia.org/ontology/HockeyTeam".freeze, "http://dbpedia.org/ontology/Holiday".freeze, "http://dbpedia.org/ontology/HollywoodCartoon".freeze, "http://dbpedia.org/ontology/Hormone".freeze, "http://dbpedia.org/ontology/Horse".freeze, "http://dbpedia.org/ontology/HorseRace".freeze, "http://dbpedia.org/ontology/HorseRider".freeze, "http://dbpedia.org/ontology/HorseTrainer".freeze, "http://dbpedia.org/ontology/Hospital".freeze, "http://dbpedia.org/ontology/HotSpring".freeze, "http://dbpedia.org/ontology/Hotel".freeze, "http://dbpedia.org/ontology/HumanGene".freeze, "http://dbpedia.org/ontology/HumanGeneLocation".freeze, "http://dbpedia.org/ontology/Humorist".freeze, "http://dbpedia.org/ontology/IceHockeyLeague".freeze, "http://dbpedia.org/ontology/IceHockeyPlayer".freeze, "http://dbpedia.org/ontology/Identifier".freeze, "http://dbpedia.org/ontology/Ideology".freeze, "http://dbpedia.org/ontology/Image".freeze, "http://dbpedia.org/ontology/InformationAppliance".freeze, "http://dbpedia.org/ontology/Infrastructure".freeze, "http://dbpedia.org/ontology/Infrastructure/length".freeze, "http://dbpedia.org/ontology/InlineHockeyLeague".freeze, "http://dbpedia.org/ontology/Insect".freeze, "http://dbpedia.org/ontology/Instrument".freeze, "http://dbpedia.org/ontology/Instrumentalist".freeze, "http://dbpedia.org/ontology/Intercommunality".freeze, "http://dbpedia.org/ontology/InternationalFootballLeagueEvent".freeze, "http://dbpedia.org/ontology/InternationalOrganisation".freeze, "http://dbpedia.org/ontology/Island".freeze, "http://dbpedia.org/ontology/Jockey".freeze, "http://dbpedia.org/ontology/Journalist".freeze, "http://dbpedia.org/ontology/Judge".freeze, "http://dbpedia.org/ontology/LacrosseLeague".freeze, "http://dbpedia.org/ontology/LacrossePlayer".freeze, "http://dbpedia.org/ontology/Lake".freeze, "http://dbpedia.org/ontology/Lake/areaOfCatchment".freeze, "http://dbpedia.org/ontology/Lake/shoreLength".freeze, "http://dbpedia.org/ontology/Lake/volume".freeze, "http://dbpedia.org/ontology/Language".freeze, "http://dbpedia.org/ontology/LaunchPad".freeze, "http://dbpedia.org/ontology/Law".freeze, "http://dbpedia.org/ontology/LawFirm".freeze, "http://dbpedia.org/ontology/Lawyer".freeze, "http://dbpedia.org/ontology/LegalCase".freeze, "http://dbpedia.org/ontology/Legislature".freeze, "http://dbpedia.org/ontology/Letter".freeze, "http://dbpedia.org/ontology/Library".freeze, "http://dbpedia.org/ontology/Lieutenant".freeze, "http://dbpedia.org/ontology/LifeCycleEvent".freeze, "http://dbpedia.org/ontology/Ligament".freeze, "http://dbpedia.org/ontology/LightNovel".freeze, "http://dbpedia.org/ontology/Lighthouse".freeze, "http://dbpedia.org/ontology/LineOfFashion".freeze, "http://dbpedia.org/ontology/Linguist".freeze, "http://dbpedia.org/ontology/Lipid".freeze, "http://dbpedia.org/ontology/List".freeze, "http://dbpedia.org/ontology/LiteraryGenre".freeze, "http://dbpedia.org/ontology/Locality".freeze, "http://dbpedia.org/ontology/Lock".freeze, "http://dbpedia.org/ontology/Locomotive".freeze, "http://dbpedia.org/ontology/LunarCrater".freeze, "http://dbpedia.org/ontology/LunarCrater/diameter".freeze, "http://dbpedia.org/ontology/Lymph".freeze, "http://dbpedia.org/ontology/Magazine".freeze, "http://dbpedia.org/ontology/Mammal".freeze, "http://dbpedia.org/ontology/Man".freeze, "http://dbpedia.org/ontology/Manga".freeze, "http://dbpedia.org/ontology/Manhua".freeze, "http://dbpedia.org/ontology/Manhwa".freeze, "http://dbpedia.org/ontology/Manor".freeze, "http://dbpedia.org/ontology/MartialArtist".freeze, "http://dbpedia.org/ontology/MathematicalConcept".freeze, "http://dbpedia.org/ontology/Mayor".freeze, "http://dbpedia.org/ontology/MeanOfTransportation".freeze, "http://dbpedia.org/ontology/MeanOfTransportation/diameter".freeze, "http://dbpedia.org/ontology/MeanOfTransportation/height".freeze, "http://dbpedia.org/ontology/MeanOfTransportation/length".freeze, "http://dbpedia.org/ontology/MeanOfTransportation/mass".freeze, "http://dbpedia.org/ontology/MeanOfTransportation/weight".freeze, "http://dbpedia.org/ontology/MeanOfTransportation/width".freeze, "http://dbpedia.org/ontology/Media".freeze, "http://dbpedia.org/ontology/MedicalSpecialty".freeze, "http://dbpedia.org/ontology/Medician".freeze, "http://dbpedia.org/ontology/Medicine".freeze, "http://dbpedia.org/ontology/Meeting".freeze, "http://dbpedia.org/ontology/MemberOfParliament".freeze, "http://dbpedia.org/ontology/MemberResistanceMovement".freeze, "http://dbpedia.org/ontology/Memorial".freeze, "http://dbpedia.org/ontology/MetroStation".freeze, "http://dbpedia.org/ontology/MicroRegion".freeze, "http://dbpedia.org/ontology/MilitaryAircraft".freeze, "http://dbpedia.org/ontology/MilitaryConflict".freeze, "http://dbpedia.org/ontology/MilitaryPerson".freeze, "http://dbpedia.org/ontology/MilitaryService".freeze, "http://dbpedia.org/ontology/MilitaryStructure".freeze, "http://dbpedia.org/ontology/MilitaryUnit".freeze, "http://dbpedia.org/ontology/MilitaryVehicle".freeze, "http://dbpedia.org/ontology/Mill".freeze, "http://dbpedia.org/ontology/Mine".freeze, "http://dbpedia.org/ontology/Mineral".freeze, "http://dbpedia.org/ontology/Minister".freeze, "http://dbpedia.org/ontology/MixedMartialArtsEvent".freeze, "http://dbpedia.org/ontology/MixedMartialArtsLeague".freeze, "http://dbpedia.org/ontology/MobilePhone".freeze, "http://dbpedia.org/ontology/Model".freeze, "http://dbpedia.org/ontology/Mollusca".freeze, "http://dbpedia.org/ontology/Monarch".freeze, "http://dbpedia.org/ontology/Monastery".freeze, "http://dbpedia.org/ontology/MonoclonalAntibody".freeze, "http://dbpedia.org/ontology/Monument".freeze, "http://dbpedia.org/ontology/Mosque".freeze, "http://dbpedia.org/ontology/Moss".freeze, "http://dbpedia.org/ontology/MotocycleRacer".freeze, "http://dbpedia.org/ontology/MotorRace".freeze, "http://dbpedia.org/ontology/Motorcycle".freeze, "http://dbpedia.org/ontology/MotorcycleRacingLeague".freeze, "http://dbpedia.org/ontology/MotorcycleRider".freeze, "http://dbpedia.org/ontology/MotorsportRacer".freeze, "http://dbpedia.org/ontology/MotorsportSeason".freeze, "http://dbpedia.org/ontology/Mountain".freeze, "http://dbpedia.org/ontology/MountainPass".freeze, "http://dbpedia.org/ontology/MountainRange".freeze, "http://dbpedia.org/ontology/MouseGene".freeze, "http://dbpedia.org/ontology/MouseGeneLocation".freeze, "http://dbpedia.org/ontology/MovieDirector".freeze, "http://dbpedia.org/ontology/MovieGenre".freeze, "http://dbpedia.org/ontology/MovingImage".freeze, "http://dbpedia.org/ontology/MovingWalkway".freeze, "http://dbpedia.org/ontology/MovingWalkway/diameter".freeze, "http://dbpedia.org/ontology/MovingWalkway/height".freeze, "http://dbpedia.org/ontology/MovingWalkway/length".freeze, "http://dbpedia.org/ontology/MovingWalkway/mass".freeze, "http://dbpedia.org/ontology/MovingWalkway/weight".freeze, "http://dbpedia.org/ontology/MovingWalkway/width".freeze, "http://dbpedia.org/ontology/MultiVolumePublication".freeze, "http://dbpedia.org/ontology/Municipality".freeze, "http://dbpedia.org/ontology/Murderer".freeze, "http://dbpedia.org/ontology/Muscle".freeze, "http://dbpedia.org/ontology/Museum".freeze, "http://dbpedia.org/ontology/MusicComposer".freeze, "http://dbpedia.org/ontology/MusicDirector".freeze, "http://dbpedia.org/ontology/MusicFestival".freeze, "http://dbpedia.org/ontology/MusicGenre".freeze, "http://dbpedia.org/ontology/Musical".freeze, "http://dbpedia.org/ontology/MusicalArtist".freeze, "http://dbpedia.org/ontology/MusicalWork".freeze, "http://dbpedia.org/ontology/MythologicalFigure".freeze, "http://dbpedia.org/ontology/NCAATeamSeason".freeze, "http://dbpedia.org/ontology/Name".freeze, "http://dbpedia.org/ontology/NarutoCharacter".freeze, "http://dbpedia.org/ontology/NascarDriver".freeze, "http://dbpedia.org/ontology/NationalAnthem".freeze, "http://dbpedia.org/ontology/NationalCollegiateAthleticAssociationAthlete".freeze, "http://dbpedia.org/ontology/NationalFootballLeagueEvent".freeze, "http://dbpedia.org/ontology/NationalFootballLeagueSeason".freeze, "http://dbpedia.org/ontology/NationalSoccerClub".freeze, "http://dbpedia.org/ontology/NaturalEvent".freeze, "http://dbpedia.org/ontology/NaturalPlace".freeze, "http://dbpedia.org/ontology/NaturalRegion".freeze, "http://dbpedia.org/ontology/Nebula".freeze, "http://dbpedia.org/ontology/Nerve".freeze, "http://dbpedia.org/ontology/NetballPlayer".freeze, "http://dbpedia.org/ontology/Newspaper".freeze, "http://dbpedia.org/ontology/NobelPrize".freeze, "http://dbpedia.org/ontology/Noble".freeze, "http://dbpedia.org/ontology/NobleFamily".freeze, "http://dbpedia.org/ontology/Non-ProfitOrganisation".freeze, "http://dbpedia.org/ontology/NordicCombined".freeze, "http://dbpedia.org/ontology/Novel".freeze, "http://dbpedia.org/ontology/NuclearPowerStation".freeze, "http://dbpedia.org/ontology/Ocean".freeze, "http://dbpedia.org/ontology/OfficeHolder".freeze, "http://dbpedia.org/ontology/OldTerritory".freeze, "http://dbpedia.org/ontology/OlympicEvent".freeze, "http://dbpedia.org/ontology/OlympicResult".freeze, "http://dbpedia.org/ontology/Olympics".freeze, "http://dbpedia.org/ontology/On-SiteTransportation".freeze, "http://dbpedia.org/ontology/On-SiteTransportation/diameter".freeze, "http://dbpedia.org/ontology/On-SiteTransportation/height".freeze, "http://dbpedia.org/ontology/On-SiteTransportation/length".freeze, "http://dbpedia.org/ontology/On-SiteTransportation/mass".freeze, "http://dbpedia.org/ontology/On-SiteTransportation/weight".freeze, "http://dbpedia.org/ontology/On-SiteTransportation/width".freeze, "http://dbpedia.org/ontology/Openswarm".freeze, "http://dbpedia.org/ontology/Opera".freeze, "http://dbpedia.org/ontology/Organ".freeze, "http://dbpedia.org/ontology/Organisation".freeze, "http://dbpedia.org/ontology/OrganisationMember".freeze, "http://dbpedia.org/ontology/Outbreak".freeze, "http://dbpedia.org/ontology/OverseasDepartment".freeze, "http://dbpedia.org/ontology/PaintballLeague".freeze, "http://dbpedia.org/ontology/Painter".freeze, "http://dbpedia.org/ontology/Painting".freeze, "http://dbpedia.org/ontology/Parish".freeze, "http://dbpedia.org/ontology/Park".freeze, "http://dbpedia.org/ontology/Parliament".freeze, "http://dbpedia.org/ontology/PenaltyShootOut".freeze, "http://dbpedia.org/ontology/PeriodOfArtisticStyle".freeze, "http://dbpedia.org/ontology/PeriodicalLiterature".freeze, "http://dbpedia.org/ontology/Person".freeze, "http://dbpedia.org/ontology/Person/height".freeze, "http://dbpedia.org/ontology/Person/weight".freeze, "http://dbpedia.org/ontology/PersonFunction".freeze, "http://dbpedia.org/ontology/PersonalEvent".freeze, "http://dbpedia.org/ontology/Philosopher".freeze, "http://dbpedia.org/ontology/PhilosophicalConcept".freeze, "http://dbpedia.org/ontology/Photographer".freeze, "http://dbpedia.org/ontology/Place".freeze, "http://dbpedia.org/ontology/Planet".freeze, "http://dbpedia.org/ontology/Planet/apoapsis".freeze, "http://dbpedia.org/ontology/Planet/averageSpeed".freeze, "http://dbpedia.org/ontology/Planet/density".freeze, "http://dbpedia.org/ontology/Planet/mass".freeze, "http://dbpedia.org/ontology/Planet/maximumTemperature".freeze, "http://dbpedia.org/ontology/Planet/meanRadius".freeze, "http://dbpedia.org/ontology/Planet/meanTemperature".freeze, "http://dbpedia.org/ontology/Planet/minimumTemperature".freeze, "http://dbpedia.org/ontology/Planet/orbitalPeriod".freeze, "http://dbpedia.org/ontology/Planet/periapsis".freeze, "http://dbpedia.org/ontology/Planet/surfaceArea".freeze, "http://dbpedia.org/ontology/Planet/temperature".freeze, "http://dbpedia.org/ontology/Planet/volume".freeze, "http://dbpedia.org/ontology/Plant".freeze, "http://dbpedia.org/ontology/Play".freeze, "http://dbpedia.org/ontology/PlayWright".freeze, "http://dbpedia.org/ontology/PlayboyPlaymate".freeze, "http://dbpedia.org/ontology/Poem".freeze, "http://dbpedia.org/ontology/Poet".freeze, "http://dbpedia.org/ontology/PokerPlayer".freeze, "http://dbpedia.org/ontology/PoliticalConcept".freeze, "http://dbpedia.org/ontology/PoliticalFunction".freeze, "http://dbpedia.org/ontology/PoliticalParty".freeze, "http://dbpedia.org/ontology/Politician".freeze, "http://dbpedia.org/ontology/PoliticianSpouse".freeze, "http://dbpedia.org/ontology/PoloLeague".freeze, "http://dbpedia.org/ontology/Polysaccharide".freeze, "http://dbpedia.org/ontology/Pope".freeze, "http://dbpedia.org/ontology/PopulatedPlace".freeze, "http://dbpedia.org/ontology/PopulatedPlace/area".freeze, "http://dbpedia.org/ontology/PopulatedPlace/areaMetro".freeze, "http://dbpedia.org/ontology/PopulatedPlace/areaTotal".freeze, "http://dbpedia.org/ontology/PopulatedPlace/areaUrban".freeze, "http://dbpedia.org/ontology/PopulatedPlace/populationDensity".freeze, "http://dbpedia.org/ontology/PopulatedPlace/populationMetroDensity".freeze, "http://dbpedia.org/ontology/PopulatedPlace/populationUrbanDensity".freeze, "http://dbpedia.org/ontology/Population".freeze, "http://dbpedia.org/ontology/Port".freeze, "http://dbpedia.org/ontology/PowerStation".freeze, "http://dbpedia.org/ontology/Prefecture".freeze, "http://dbpedia.org/ontology/PrehistoricalPeriod".freeze, "http://dbpedia.org/ontology/Presenter".freeze, "http://dbpedia.org/ontology/President".freeze, "http://dbpedia.org/ontology/Priest".freeze, "http://dbpedia.org/ontology/PrimeMinister".freeze, "http://dbpedia.org/ontology/Prison".freeze, "http://dbpedia.org/ontology/Producer".freeze, "http://dbpedia.org/ontology/Profession".freeze, "http://dbpedia.org/ontology/Professor".freeze, "http://dbpedia.org/ontology/ProgrammingLanguage".freeze, "http://dbpedia.org/ontology/Project".freeze, "http://dbpedia.org/ontology/ProtectedArea".freeze, "http://dbpedia.org/ontology/Protein".freeze, "http://dbpedia.org/ontology/Protocol".freeze, "http://dbpedia.org/ontology/ProtohistoricalPeriod".freeze, "http://dbpedia.org/ontology/Province".freeze, "http://dbpedia.org/ontology/Psychologist".freeze, "http://dbpedia.org/ontology/PublicService".freeze, "http://dbpedia.org/ontology/PublicTransitSystem".freeze, "http://dbpedia.org/ontology/Publisher".freeze, "http://dbpedia.org/ontology/Pyramid".freeze, "http://dbpedia.org/ontology/Quote".freeze, "http://dbpedia.org/ontology/Race".freeze, "http://dbpedia.org/ontology/RaceTrack".freeze, "http://dbpedia.org/ontology/Racecourse".freeze, "http://dbpedia.org/ontology/RacingDriver".freeze, "http://dbpedia.org/ontology/RadioControlledRacingLeague".freeze, "http://dbpedia.org/ontology/RadioHost".freeze, "http://dbpedia.org/ontology/RadioProgram".freeze, "http://dbpedia.org/ontology/RadioStation".freeze, "http://dbpedia.org/ontology/RailwayLine".freeze, "http://dbpedia.org/ontology/RailwayStation".freeze, "http://dbpedia.org/ontology/RailwayTunnel".freeze, "http://dbpedia.org/ontology/RallyDriver".freeze, "http://dbpedia.org/ontology/Rebellion".freeze, "http://dbpedia.org/ontology/RecordLabel".freeze, "http://dbpedia.org/ontology/RecordOffice".freeze, "http://dbpedia.org/ontology/Referee".freeze, "http://dbpedia.org/ontology/Reference".freeze, "http://dbpedia.org/ontology/Regency".freeze, "http://dbpedia.org/ontology/Region".freeze, "http://dbpedia.org/ontology/Reign".freeze, "http://dbpedia.org/ontology/Relationship".freeze, "http://dbpedia.org/ontology/Religious".freeze, "http://dbpedia.org/ontology/ReligiousBuilding".freeze, "http://dbpedia.org/ontology/ReligiousOrganisation".freeze, "http://dbpedia.org/ontology/Reptile".freeze, "http://dbpedia.org/ontology/ResearchProject".freeze, "http://dbpedia.org/ontology/RestArea".freeze, "http://dbpedia.org/ontology/Restaurant".freeze, "http://dbpedia.org/ontology/Resume".freeze, "http://dbpedia.org/ontology/River".freeze, "http://dbpedia.org/ontology/Road".freeze, "http://dbpedia.org/ontology/RoadJunction".freeze, "http://dbpedia.org/ontology/RoadTunnel".freeze, "http://dbpedia.org/ontology/Robot".freeze, "http://dbpedia.org/ontology/Rocket".freeze, "http://dbpedia.org/ontology/Rocket/lowerEarthOrbitPayload".freeze, "http://dbpedia.org/ontology/Rocket/mass".freeze, "http://dbpedia.org/ontology/RocketEngine".freeze, "http://dbpedia.org/ontology/RollerCoaster".freeze, "http://dbpedia.org/ontology/RomanEmperor".freeze, "http://dbpedia.org/ontology/RouteOfTransportation".freeze, "http://dbpedia.org/ontology/RouteStop".freeze, "http://dbpedia.org/ontology/Rower".freeze, "http://dbpedia.org/ontology/Royalty".freeze, "http://dbpedia.org/ontology/RugbyClub".freeze, "http://dbpedia.org/ontology/RugbyLeague".freeze, "http://dbpedia.org/ontology/RugbyPlayer".freeze, "http://dbpedia.org/ontology/Saint".freeze, "http://dbpedia.org/ontology/Sales".freeze, "http://dbpedia.org/ontology/SambaSchool".freeze, "http://dbpedia.org/ontology/Satellite".freeze, "http://dbpedia.org/ontology/School".freeze, "http://dbpedia.org/ontology/School/campusSize".freeze, "http://dbpedia.org/ontology/ScientificConcept".freeze, "http://dbpedia.org/ontology/Scientist".freeze, "http://dbpedia.org/ontology/ScreenWriter".freeze, "http://dbpedia.org/ontology/Sculptor".freeze, "http://dbpedia.org/ontology/Sculpture".freeze, "http://dbpedia.org/ontology/Sea".freeze, "http://dbpedia.org/ontology/Senator".freeze, "http://dbpedia.org/ontology/SerialKiller".freeze, "http://dbpedia.org/ontology/Settlement".freeze, "http://dbpedia.org/ontology/Ship".freeze, "http://dbpedia.org/ontology/ShoppingMall".freeze, "http://dbpedia.org/ontology/Shrine".freeze, "http://dbpedia.org/ontology/Singer".freeze, "http://dbpedia.org/ontology/Single".freeze, "http://dbpedia.org/ontology/SiteOfSpecialScientificInterest".freeze, "http://dbpedia.org/ontology/Skater".freeze, "http://dbpedia.org/ontology/SkiArea".freeze, "http://dbpedia.org/ontology/SkiResort".freeze, "http://dbpedia.org/ontology/Ski_jumper".freeze, "http://dbpedia.org/ontology/Skier".freeze, "http://dbpedia.org/ontology/Skyscraper".freeze, "http://dbpedia.org/ontology/SnookerChamp".freeze, "http://dbpedia.org/ontology/SnookerPlayer".freeze, "http://dbpedia.org/ontology/SnookerWorldRanking".freeze, "http://dbpedia.org/ontology/SoapCharacter".freeze, "http://dbpedia.org/ontology/SoccerClub".freeze, "http://dbpedia.org/ontology/SoccerClubSeason".freeze, "http://dbpedia.org/ontology/SoccerLeague".freeze, "http://dbpedia.org/ontology/SoccerLeagueSeason".freeze, "http://dbpedia.org/ontology/SoccerManager".freeze, "http://dbpedia.org/ontology/SoccerPlayer".freeze, "http://dbpedia.org/ontology/SoccerTournament".freeze, "http://dbpedia.org/ontology/SocietalEvent".freeze, "http://dbpedia.org/ontology/SoftballLeague".freeze, "http://dbpedia.org/ontology/Software".freeze, "http://dbpedia.org/ontology/Software/fileSize".freeze, "http://dbpedia.org/ontology/SolarEclipse".freeze, "http://dbpedia.org/ontology/Song".freeze, "http://dbpedia.org/ontology/SongWriter".freeze, "http://dbpedia.org/ontology/Sound".freeze, "http://dbpedia.org/ontology/SpaceMission".freeze, "http://dbpedia.org/ontology/SpaceMission/cmpEvaDuration".freeze, "http://dbpedia.org/ontology/SpaceMission/distanceTraveled".freeze, "http://dbpedia.org/ontology/SpaceMission/lunarEvaTime".freeze, "http://dbpedia.org/ontology/SpaceMission/lunarOrbitTime".freeze, "http://dbpedia.org/ontology/SpaceMission/lunarSampleMass".freeze, "http://dbpedia.org/ontology/SpaceMission/lunarSurfaceTime".freeze, "http://dbpedia.org/ontology/SpaceMission/mass".freeze, "http://dbpedia.org/ontology/SpaceMission/missionDuration".freeze, "http://dbpedia.org/ontology/SpaceMission/stationEvaDuration".freeze, "http://dbpedia.org/ontology/SpaceMission/stationVisitDuration".freeze, "http://dbpedia.org/ontology/SpaceShuttle".freeze, "http://dbpedia.org/ontology/SpaceShuttle/distance".freeze, "http://dbpedia.org/ontology/SpaceShuttle/timeInSpace".freeze, "http://dbpedia.org/ontology/SpaceStation".freeze, "http://dbpedia.org/ontology/SpaceStation/volume".freeze, "http://dbpedia.org/ontology/Spacecraft".freeze, "http://dbpedia.org/ontology/Spacecraft/apoapsis".freeze, "http://dbpedia.org/ontology/Spacecraft/cargoFuel".freeze, "http://dbpedia.org/ontology/Spacecraft/cargoGas".freeze, "http://dbpedia.org/ontology/Spacecraft/cargoWater".freeze, "http://dbpedia.org/ontology/Spacecraft/dockedTime".freeze, "http://dbpedia.org/ontology/Spacecraft/dryCargo".freeze, "http://dbpedia.org/ontology/Spacecraft/freeFlightTime".freeze, "http://dbpedia.org/ontology/Spacecraft/periapsis".freeze, "http://dbpedia.org/ontology/Spacecraft/totalCargo".freeze, "http://dbpedia.org/ontology/Spacecraft/totalMass".freeze, "http://dbpedia.org/ontology/Species".freeze, "http://dbpedia.org/ontology/SpeedSkater".freeze, "http://dbpedia.org/ontology/SpeedwayLeague".freeze, "http://dbpedia.org/ontology/SpeedwayRider".freeze, "http://dbpedia.org/ontology/SpeedwayTeam".freeze, "http://dbpedia.org/ontology/Sport".freeze, "http://dbpedia.org/ontology/SportCompetitionResult".freeze, "http://dbpedia.org/ontology/SportFacility".freeze, "http://dbpedia.org/ontology/SportsClub".freeze, "http://dbpedia.org/ontology/SportsEvent".freeze, "http://dbpedia.org/ontology/SportsLeague".freeze, "http://dbpedia.org/ontology/SportsManager".freeze, "http://dbpedia.org/ontology/SportsSeason".freeze, "http://dbpedia.org/ontology/SportsTeam".freeze, "http://dbpedia.org/ontology/SportsTeamMember".freeze, "http://dbpedia.org/ontology/SportsTeamSeason".freeze, "http://dbpedia.org/ontology/Spreadsheet".freeze, "http://dbpedia.org/ontology/Square".freeze, "http://dbpedia.org/ontology/SquashPlayer".freeze, "http://dbpedia.org/ontology/Stadium".freeze, "http://dbpedia.org/ontology/Standard".freeze, "http://dbpedia.org/ontology/Star".freeze, "http://dbpedia.org/ontology/StarCluster".freeze, "http://dbpedia.org/ontology/State".freeze, "http://dbpedia.org/ontology/StatedResolution".freeze, "http://dbpedia.org/ontology/Station".freeze, "http://dbpedia.org/ontology/Statistic".freeze, "http://dbpedia.org/ontology/StillImage".freeze, "http://dbpedia.org/ontology/StormSurge".freeze, "http://dbpedia.org/ontology/Stream".freeze, "http://dbpedia.org/ontology/Stream/discharge".freeze, "http://dbpedia.org/ontology/Stream/dischargeAverage".freeze, "http://dbpedia.org/ontology/Stream/maximumDischarge".freeze, "http://dbpedia.org/ontology/Stream/minimumDischarge".freeze, "http://dbpedia.org/ontology/Stream/watershed".freeze, "http://dbpedia.org/ontology/Street".freeze, "http://dbpedia.org/ontology/SubMunicipality".freeze, "http://dbpedia.org/ontology/SumoWrestler".freeze, "http://dbpedia.org/ontology/SupremeCourtOfTheUnitedStatesCase".freeze, "http://dbpedia.org/ontology/Surfer".freeze, "http://dbpedia.org/ontology/Surname".freeze, "http://dbpedia.org/ontology/Swarm".freeze, "http://dbpedia.org/ontology/Swimmer".freeze, "http://dbpedia.org/ontology/Synagogue".freeze, "http://dbpedia.org/ontology/SystemOfLaw".freeze, "http://dbpedia.org/ontology/TableTennisPlayer".freeze, "http://dbpedia.org/ontology/Tank".freeze, "http://dbpedia.org/ontology/Tax".freeze, "http://dbpedia.org/ontology/Taxon".freeze, "http://dbpedia.org/ontology/TeamMember".freeze, "http://dbpedia.org/ontology/TeamSport".freeze, "http://dbpedia.org/ontology/TelevisionDirector".freeze, "http://dbpedia.org/ontology/TelevisionEpisode".freeze, "http://dbpedia.org/ontology/TelevisionHost".freeze, "http://dbpedia.org/ontology/TelevisionSeason".freeze, "http://dbpedia.org/ontology/TelevisionShow".freeze, "http://dbpedia.org/ontology/TelevisionStation".freeze, "http://dbpedia.org/ontology/Temple".freeze, "http://dbpedia.org/ontology/TennisLeague".freeze, "http://dbpedia.org/ontology/TennisPlayer".freeze, "http://dbpedia.org/ontology/TennisTournament".freeze, "http://dbpedia.org/ontology/Tenure".freeze, "http://dbpedia.org/ontology/TermOfOffice".freeze, "http://dbpedia.org/ontology/Territory".freeze, "http://dbpedia.org/ontology/Theatre".freeze, "http://dbpedia.org/ontology/TheatreDirector".freeze, "http://dbpedia.org/ontology/TheologicalConcept".freeze, "http://dbpedia.org/ontology/TimePeriod".freeze, "http://dbpedia.org/ontology/TopLevelDomain".freeze, "http://dbpedia.org/ontology/TopicalConcept".freeze, "http://dbpedia.org/ontology/Tournament".freeze, "http://dbpedia.org/ontology/Tower".freeze, "http://dbpedia.org/ontology/Town".freeze, "http://dbpedia.org/ontology/TrackList".freeze, "http://dbpedia.org/ontology/TradeUnion".freeze, "http://dbpedia.org/ontology/Train".freeze, "http://dbpedia.org/ontology/TrainCarriage".freeze, "http://dbpedia.org/ontology/Tram".freeze, "http://dbpedia.org/ontology/TramStation".freeze, "http://dbpedia.org/ontology/Treadmill".freeze, "http://dbpedia.org/ontology/Treaty".freeze, "http://dbpedia.org/ontology/Tunnel".freeze, "http://dbpedia.org/ontology/Type".freeze, "http://dbpedia.org/ontology/UndergroundJournal".freeze, "http://dbpedia.org/ontology/UnitOfWork".freeze, "http://dbpedia.org/ontology/University".freeze, "http://dbpedia.org/ontology/Unknown".freeze, "http://dbpedia.org/ontology/Vaccine".freeze, "http://dbpedia.org/ontology/Valley".freeze, "http://dbpedia.org/ontology/Vein".freeze, "http://dbpedia.org/ontology/Venue".freeze, "http://dbpedia.org/ontology/Vicar".freeze, "http://dbpedia.org/ontology/VicePresident".freeze, "http://dbpedia.org/ontology/VicePrimeMinister".freeze, "http://dbpedia.org/ontology/VideoGame".freeze, "http://dbpedia.org/ontology/VideogamesLeague".freeze, "http://dbpedia.org/ontology/Village".freeze, "http://dbpedia.org/ontology/Vodka".freeze, "http://dbpedia.org/ontology/VoiceActor".freeze, "http://dbpedia.org/ontology/Volcano".freeze, "http://dbpedia.org/ontology/VolleyballCoach".freeze, "http://dbpedia.org/ontology/VolleyballLeague".freeze, "http://dbpedia.org/ontology/VolleyballPlayer".freeze, "http://dbpedia.org/ontology/WaterPoloPlayer".freeze, "http://dbpedia.org/ontology/WaterRide".freeze, "http://dbpedia.org/ontology/WaterTower".freeze, "http://dbpedia.org/ontology/Watermill".freeze, "http://dbpedia.org/ontology/WaterwayTunnel".freeze, "http://dbpedia.org/ontology/Weapon".freeze, "http://dbpedia.org/ontology/Weapon/diameter".freeze, "http://dbpedia.org/ontology/Weapon/height".freeze, "http://dbpedia.org/ontology/Weapon/length".freeze, "http://dbpedia.org/ontology/Weapon/weight".freeze, "http://dbpedia.org/ontology/Weapon/width".freeze, "http://dbpedia.org/ontology/Website".freeze, "http://dbpedia.org/ontology/WikimediaTemplate".freeze, "http://dbpedia.org/ontology/WindMotor".freeze, "http://dbpedia.org/ontology/Windmill".freeze, "http://dbpedia.org/ontology/Wine".freeze, "http://dbpedia.org/ontology/WineRegion".freeze, "http://dbpedia.org/ontology/Winery".freeze, "http://dbpedia.org/ontology/WinterSportPlayer".freeze, "http://dbpedia.org/ontology/Woman".freeze, "http://dbpedia.org/ontology/WomensTennisAssociationTournament".freeze, "http://dbpedia.org/ontology/Work".freeze, "http://dbpedia.org/ontology/Work/runtime".freeze, "http://dbpedia.org/ontology/WorldHeritageSite".freeze, "http://dbpedia.org/ontology/Wrestler".freeze, "http://dbpedia.org/ontology/WrestlingEvent".freeze, "http://dbpedia.org/ontology/Writer".freeze, "http://dbpedia.org/ontology/WrittenWork".freeze, "http://dbpedia.org/ontology/Year".freeze, "http://dbpedia.org/ontology/YearInSpaceflight".freeze, "http://dbpedia.org/ontology/Zoo".freeze, "http://dbpedia.org/ontology/aSide".freeze, "http://dbpedia.org/ontology/abbeychurchBlessing".freeze, "http://dbpedia.org/ontology/abbeychurchBlessingCharge".freeze, "http://dbpedia.org/ontology/abbreviation".freeze, "http://dbpedia.org/ontology/ableToGrind".freeze, "http://dbpedia.org/ontology/absoluteMagnitude".freeze, "http://dbpedia.org/ontology/abstentions".freeze, "http://dbpedia.org/ontology/abstract".freeze, "http://dbpedia.org/ontology/academicAdvisor".freeze, "http://dbpedia.org/ontology/academicDiscipline".freeze, "http://dbpedia.org/ontology/academyAward".freeze, "http://dbpedia.org/ontology/acceleration".freeze, "http://dbpedia.org/ontology/access".freeze, "http://dbpedia.org/ontology/accessDate".freeze, "http://dbpedia.org/ontology/achievement".freeze, "http://dbpedia.org/ontology/acquirementDate".freeze, "http://dbpedia.org/ontology/actScore".freeze, "http://dbpedia.org/ontology/actingHeadteacher".freeze, "http://dbpedia.org/ontology/activeCases".freeze, "http://dbpedia.org/ontology/activeYears".freeze, "http://dbpedia.org/ontology/activeYearsEndDate".freeze, "http://dbpedia.org/ontology/activeYearsEndDateMgr".freeze, "http://dbpedia.org/ontology/activeYearsEndYear".freeze, "http://dbpedia.org/ontology/activeYearsEndYearMgr".freeze, "http://dbpedia.org/ontology/activeYearsStartDate".freeze, "http://dbpedia.org/ontology/activeYearsStartDateMgr".freeze, "http://dbpedia.org/ontology/activeYearsStartYear".freeze, "http://dbpedia.org/ontology/activeYearsStartYearMgr".freeze, "http://dbpedia.org/ontology/activity".freeze, "http://dbpedia.org/ontology/address".freeze, "http://dbpedia.org/ontology/addressInRoad".freeze, "http://dbpedia.org/ontology/adjacentSettlement".freeze, "http://dbpedia.org/ontology/administrativeCenter".freeze, "http://dbpedia.org/ontology/administrativeCollectivity".freeze, "http://dbpedia.org/ontology/administrativeDistrict".freeze, "http://dbpedia.org/ontology/administrativeHeadCity".freeze, "http://dbpedia.org/ontology/administrativeStatus".freeze, "http://dbpedia.org/ontology/administrator".freeze, "http://dbpedia.org/ontology/afdbId".freeze, "http://dbpedia.org/ontology/affair".freeze, "http://dbpedia.org/ontology/affiliate".freeze, "http://dbpedia.org/ontology/affiliation".freeze, "http://dbpedia.org/ontology/afiAward".freeze, "http://dbpedia.org/ontology/age".freeze, "http://dbpedia.org/ontology/ageRange".freeze, "http://dbpedia.org/ontology/agency".freeze, "http://dbpedia.org/ontology/agencyStationCode".freeze, "http://dbpedia.org/ontology/agglomeration".freeze, "http://dbpedia.org/ontology/agglomerationArea".freeze, "http://dbpedia.org/ontology/agglomerationDemographics".freeze, "http://dbpedia.org/ontology/agglomerationPopulation".freeze, "http://dbpedia.org/ontology/agglomerationPopulationTotal".freeze, "http://dbpedia.org/ontology/agglomerationPopulationYear".freeze, "http://dbpedia.org/ontology/aggregation".freeze, "http://dbpedia.org/ontology/airDate".freeze, "http://dbpedia.org/ontology/aircraftAttack".freeze, "http://dbpedia.org/ontology/aircraftBomber".freeze, "http://dbpedia.org/ontology/aircraftElectronic".freeze, "http://dbpedia.org/ontology/aircraftFighter".freeze, "http://dbpedia.org/ontology/aircraftHelicopter".freeze, "http://dbpedia.org/ontology/aircraftHelicopterAttack".freeze, "http://dbpedia.org/ontology/aircraftHelicopterCargo".freeze, "http://dbpedia.org/ontology/aircraftHelicopterMultirole".freeze, "http://dbpedia.org/ontology/aircraftHelicopterObservation".freeze, "http://dbpedia.org/ontology/aircraftHelicopterTransport".freeze, "http://dbpedia.org/ontology/aircraftHelicopterUtility".freeze, "http://dbpedia.org/ontology/aircraftInterceptor".freeze, "http://dbpedia.org/ontology/aircraftPatrol".freeze, "http://dbpedia.org/ontology/aircraftRecon".freeze, "http://dbpedia.org/ontology/aircraftTrainer".freeze, "http://dbpedia.org/ontology/aircraftTransport".freeze, "http://dbpedia.org/ontology/aircraftType".freeze, "http://dbpedia.org/ontology/aircraftUser".freeze, "http://dbpedia.org/ontology/airportUsing".freeze, "http://dbpedia.org/ontology/aitaCode".freeze, "http://dbpedia.org/ontology/albedo".freeze, "http://dbpedia.org/ontology/album".freeze, "http://dbpedia.org/ontology/albumRuntime".freeze, "http://dbpedia.org/ontology/alias".freeze, "http://dbpedia.org/ontology/allcinemaId".freeze, "http://dbpedia.org/ontology/allegiance".freeze, "http://dbpedia.org/ontology/alliance".freeze, "http://dbpedia.org/ontology/almaMater".freeze, "http://dbpedia.org/ontology/alongside".freeze, "http://dbpedia.org/ontology/alpsGroup".freeze, "http://dbpedia.org/ontology/alpsMainPart".freeze, "http://dbpedia.org/ontology/alpsMajorSector".freeze, "http://dbpedia.org/ontology/alpsSection".freeze, "http://dbpedia.org/ontology/alpsSoiusaCode".freeze, "http://dbpedia.org/ontology/alpsSubgroup".freeze, "http://dbpedia.org/ontology/alpsSubsection".freeze, "http://dbpedia.org/ontology/alpsSupergroup".freeze, "http://dbpedia.org/ontology/alternativeName".freeze, "http://dbpedia.org/ontology/alternativeTitle".freeze, "http://dbpedia.org/ontology/altitude".freeze, "http://dbpedia.org/ontology/alumni".freeze, "http://dbpedia.org/ontology/amateurDefeat".freeze, "http://dbpedia.org/ontology/amateurFight".freeze, "http://dbpedia.org/ontology/amateurKo".freeze, "http://dbpedia.org/ontology/amateurNoContest".freeze, "http://dbpedia.org/ontology/amateurTeam".freeze, "http://dbpedia.org/ontology/amateurTie".freeze, "http://dbpedia.org/ontology/amateurTitle".freeze, "http://dbpedia.org/ontology/amateurVictory".freeze, "http://dbpedia.org/ontology/amateurYear".freeze, "http://dbpedia.org/ontology/americanComedyAward".freeze, "http://dbpedia.org/ontology/amgid".freeze, "http://dbpedia.org/ontology/amsterdamCode".freeze, "http://dbpedia.org/ontology/analogChannel".freeze, "http://dbpedia.org/ontology/animal".freeze, "http://dbpedia.org/ontology/animator".freeze, "http://dbpedia.org/ontology/anniversary".freeze, "http://dbpedia.org/ontology/announcedFrom".freeze, "http://dbpedia.org/ontology/annualTemperature".freeze, "http://dbpedia.org/ontology/anthem".freeze, "http://dbpedia.org/ontology/aoCloassification".freeze, "http://dbpedia.org/ontology/apcPresident".freeze, "http://dbpedia.org/ontology/apoapsis".freeze, "http://dbpedia.org/ontology/apofocus".freeze, "http://dbpedia.org/ontology/apparentMagnitude".freeze, "http://dbpedia.org/ontology/appearance".freeze, "http://dbpedia.org/ontology/appearancesInLeague".freeze, "http://dbpedia.org/ontology/appearancesInNationalTeam".freeze, "http://dbpedia.org/ontology/appointer".freeze, "http://dbpedia.org/ontology/apprehended".freeze, "http://dbpedia.org/ontology/approach".freeze, "http://dbpedia.org/ontology/approvedByLowerParliament".freeze, "http://dbpedia.org/ontology/approvedByUpperParliament".freeze, "http://dbpedia.org/ontology/approximateCalories".freeze, "http://dbpedia.org/ontology/apskritis".freeze, "http://dbpedia.org/ontology/archipelago".freeze, "http://dbpedia.org/ontology/architect".freeze, "http://dbpedia.org/ontology/architectualBureau".freeze, "http://dbpedia.org/ontology/architecturalMovement".freeze, "http://dbpedia.org/ontology/architecturalStyle".freeze, "http://dbpedia.org/ontology/area".freeze, "http://dbpedia.org/ontology/areaCode".freeze, "http://dbpedia.org/ontology/areaDate".freeze, "http://dbpedia.org/ontology/areaLand".freeze, "http://dbpedia.org/ontology/areaMetro".freeze, "http://dbpedia.org/ontology/areaOfCatchment".freeze, "http://dbpedia.org/ontology/areaOfCatchmentQuote".freeze, "http://dbpedia.org/ontology/areaOfSearch".freeze, "http://dbpedia.org/ontology/areaQuote".freeze, "http://dbpedia.org/ontology/areaRank".freeze, "http://dbpedia.org/ontology/areaRural".freeze, "http://dbpedia.org/ontology/areaTotal".freeze, "http://dbpedia.org/ontology/areaTotalRanking".freeze, "http://dbpedia.org/ontology/areaUrban".freeze, "http://dbpedia.org/ontology/areaWater".freeze, "http://dbpedia.org/ontology/argueDate".freeze, "http://dbpedia.org/ontology/arielAward".freeze, "http://dbpedia.org/ontology/arm".freeze, "http://dbpedia.org/ontology/army".freeze, "http://dbpedia.org/ontology/arrestDate".freeze, "http://dbpedia.org/ontology/arrondissement".freeze, "http://dbpedia.org/ontology/artPatron".freeze, "http://dbpedia.org/ontology/artery".freeze, "http://dbpedia.org/ontology/artificialSnowArea".freeze, "http://dbpedia.org/ontology/artist".freeze, "http://dbpedia.org/ontology/artisticFunction".freeze, "http://dbpedia.org/ontology/asWikiText".freeze, "http://dbpedia.org/ontology/ascent".freeze, "http://dbpedia.org/ontology/asiaChampionship".freeze, "http://dbpedia.org/ontology/aspectRatio".freeze, "http://dbpedia.org/ontology/assembly".freeze, "http://dbpedia.org/ontology/assetUnderManagement".freeze, "http://dbpedia.org/ontology/assets".freeze, "http://dbpedia.org/ontology/assistantPrincipal".freeze, "http://dbpedia.org/ontology/associate".freeze, "http://dbpedia.org/ontology/associateEditor".freeze, "http://dbpedia.org/ontology/associateStar".freeze, "http://dbpedia.org/ontology/associatedAct".freeze, "http://dbpedia.org/ontology/associatedBand".freeze, "http://dbpedia.org/ontology/associatedMusicalArtist".freeze, "http://dbpedia.org/ontology/associatedRocket".freeze, "http://dbpedia.org/ontology/associationOfLocalGovernment".freeze, "http://dbpedia.org/ontology/astrologicalSign".freeze, "http://dbpedia.org/ontology/atPage".freeze, "http://dbpedia.org/ontology/atRowNumber".freeze, "http://dbpedia.org/ontology/atcCode".freeze, "http://dbpedia.org/ontology/atcPrefix".freeze, "http://dbpedia.org/ontology/atcSuffix".freeze, "http://dbpedia.org/ontology/athletics".freeze, "http://dbpedia.org/ontology/athleticsDiscipline".freeze, "http://dbpedia.org/ontology/atomicNumber".freeze, "http://dbpedia.org/ontology/attorneyGeneral".freeze, "http://dbpedia.org/ontology/aunt".freeze, "http://dbpedia.org/ontology/australiaOpenDouble".freeze, "http://dbpedia.org/ontology/australiaOpenMixed".freeze, "http://dbpedia.org/ontology/australiaOpenSingle".freeze, "http://dbpedia.org/ontology/author".freeze, "http://dbpedia.org/ontology/authority".freeze, "http://dbpedia.org/ontology/authorityMandate".freeze, "http://dbpedia.org/ontology/authorityTitle".freeze, "http://dbpedia.org/ontology/automobileModel".freeze, "http://dbpedia.org/ontology/automobilePlatform".freeze, "http://dbpedia.org/ontology/autonomy".freeze, "http://dbpedia.org/ontology/availableSmartCard".freeze, "http://dbpedia.org/ontology/average".freeze, "http://dbpedia.org/ontology/averageAnnualGeneration".freeze, "http://dbpedia.org/ontology/averageClassSize".freeze, "http://dbpedia.org/ontology/averageDepth".freeze, "http://dbpedia.org/ontology/averageDepthQuote".freeze, "http://dbpedia.org/ontology/averageSpeed".freeze, "http://dbpedia.org/ontology/avifaunaPopulation".freeze, "http://dbpedia.org/ontology/award".freeze, "http://dbpedia.org/ontology/awardName".freeze, "http://dbpedia.org/ontology/awayColourHexCode".freeze, "http://dbpedia.org/ontology/bSide".freeze, "http://dbpedia.org/ontology/background".freeze, "http://dbpedia.org/ontology/backhand".freeze, "http://dbpedia.org/ontology/badGuy".freeze, "http://dbpedia.org/ontology/baftaAward".freeze, "http://dbpedia.org/ontology/band".freeze, "http://dbpedia.org/ontology/bandMember".freeze, "http://dbpedia.org/ontology/barPassRate".freeze, "http://dbpedia.org/ontology/barangays".freeze, "http://dbpedia.org/ontology/basedOn".freeze, "http://dbpedia.org/ontology/battery".freeze, "http://dbpedia.org/ontology/battingSide".freeze, "http://dbpedia.org/ontology/battle".freeze, "http://dbpedia.org/ontology/battleHonours".freeze, "http://dbpedia.org/ontology/bbr".freeze, "http://dbpedia.org/ontology/beatifiedBy".freeze, "http://dbpedia.org/ontology/beatifiedDate".freeze, "http://dbpedia.org/ontology/beatifiedPlace".freeze, "http://dbpedia.org/ontology/bedCount".freeze, "http://dbpedia.org/ontology/believers".freeze, "http://dbpedia.org/ontology/beltwayCity".freeze, "http://dbpedia.org/ontology/bestFinish".freeze, "http://dbpedia.org/ontology/bestLap".freeze, "http://dbpedia.org/ontology/bestRankDouble".freeze, "http://dbpedia.org/ontology/bestRankSingle".freeze, "http://dbpedia.org/ontology/bestWsopRank".freeze, "http://dbpedia.org/ontology/bestYearWsop".freeze, "http://dbpedia.org/ontology/bgafdId".freeze, "http://dbpedia.org/ontology/bibsysId".freeze, "http://dbpedia.org/ontology/bicycleInformation".freeze, "http://dbpedia.org/ontology/bigPoolRecord".freeze, "http://dbpedia.org/ontology/biggestCity".freeze, "http://dbpedia.org/ontology/billed".freeze, "http://dbpedia.org/ontology/binomial".freeze, "http://dbpedia.org/ontology/binomialAuthority".freeze, "http://dbpedia.org/ontology/bioavailability".freeze, "http://dbpedia.org/ontology/bioclimate".freeze, "http://dbpedia.org/ontology/biome".freeze, "http://dbpedia.org/ontology/bird".freeze, "http://dbpedia.org/ontology/birthDate".freeze, "http://dbpedia.org/ontology/birthName".freeze, "http://dbpedia.org/ontology/birthPlace".freeze, "http://dbpedia.org/ontology/birthSign".freeze, "http://dbpedia.org/ontology/birthYear".freeze, "http://dbpedia.org/ontology/bishopric".freeze, "http://dbpedia.org/ontology/blackLongDistancePisteNumber".freeze, "http://dbpedia.org/ontology/blackSkiPisteNumber".freeze, "http://dbpedia.org/ontology/blazon".freeze, "http://dbpedia.org/ontology/blazonCaption".freeze, "http://dbpedia.org/ontology/blazonLink".freeze, "http://dbpedia.org/ontology/blazonRatio".freeze, "http://dbpedia.org/ontology/block".freeze, "http://dbpedia.org/ontology/blockAlloy".freeze, "http://dbpedia.org/ontology/bloodGroup".freeze, "http://dbpedia.org/ontology/bloodType".freeze, "http://dbpedia.org/ontology/blueLongDistancePisteNumber".freeze, "http://dbpedia.org/ontology/blueSkiPisteNumber".freeze, "http://dbpedia.org/ontology/bnfId".freeze, "http://dbpedia.org/ontology/board".freeze, "http://dbpedia.org/ontology/bodyDiscovered".freeze, "http://dbpedia.org/ontology/bodyStyle".freeze, "http://dbpedia.org/ontology/boiler".freeze, "http://dbpedia.org/ontology/boilerPressure".freeze, "http://dbpedia.org/ontology/boilingPoint".freeze, "http://dbpedia.org/ontology/book".freeze, "http://dbpedia.org/ontology/booster".freeze, "http://dbpedia.org/ontology/border".freeze, "http://dbpedia.org/ontology/borough".freeze, "http://dbpedia.org/ontology/bourgmestre".freeze, "http://dbpedia.org/ontology/bowlRecord".freeze, "http://dbpedia.org/ontology/bowlingSide".freeze, "http://dbpedia.org/ontology/boxerStyle".freeze, "http://dbpedia.org/ontology/bpnId".freeze, "http://dbpedia.org/ontology/brainInfoNumber".freeze, "http://dbpedia.org/ontology/brainInfoType".freeze, "http://dbpedia.org/ontology/branchFrom".freeze, "http://dbpedia.org/ontology/branchTo".freeze, "http://dbpedia.org/ontology/brand".freeze, "http://dbpedia.org/ontology/breeder".freeze, "http://dbpedia.org/ontology/bridgeCarries".freeze, "http://dbpedia.org/ontology/brinCode".freeze, "http://dbpedia.org/ontology/britishComedyAwards".freeze, "http://dbpedia.org/ontology/britishOpen".freeze, "http://dbpedia.org/ontology/britishWins".freeze, "http://dbpedia.org/ontology/broadcastArea".freeze, "http://dbpedia.org/ontology/broadcastNetwork".freeze, "http://dbpedia.org/ontology/broadcastRepeater".freeze, "http://dbpedia.org/ontology/broadcastStationClass".freeze, "http://dbpedia.org/ontology/broadcastTranslator".freeze, "http://dbpedia.org/ontology/bronzeMedalDouble".freeze, "http://dbpedia.org/ontology/bronzeMedalMixed".freeze, "http://dbpedia.org/ontology/bronzeMedalSingle".freeze, "http://dbpedia.org/ontology/bronzeMedalist".freeze, "http://dbpedia.org/ontology/brother".freeze, "http://dbpedia.org/ontology/budget".freeze, "http://dbpedia.org/ontology/budgetYear".freeze, "http://dbpedia.org/ontology/builder".freeze, "http://dbpedia.org/ontology/building".freeze, "http://dbpedia.org/ontology/buildingEndDate".freeze, "http://dbpedia.org/ontology/buildingEndYear".freeze, "http://dbpedia.org/ontology/buildingStartDate".freeze, "http://dbpedia.org/ontology/buildingStartYear".freeze, "http://dbpedia.org/ontology/buildingType".freeze, "http://dbpedia.org/ontology/bustSize".freeze, "http://dbpedia.org/ontology/bustWaistHipSize".freeze, "http://dbpedia.org/ontology/cableCar".freeze, "http://dbpedia.org/ontology/calculationNeeds".freeze, "http://dbpedia.org/ontology/callSign".freeze, "http://dbpedia.org/ontology/callsignMeaning".freeze, "http://dbpedia.org/ontology/campus".freeze, "http://dbpedia.org/ontology/campusSize".freeze, "http://dbpedia.org/ontology/campusType".freeze, "http://dbpedia.org/ontology/canBaggageChecked".freeze, "http://dbpedia.org/ontology/cannonNumber".freeze, "http://dbpedia.org/ontology/canonizedBy".freeze, "http://dbpedia.org/ontology/canonizedDate".freeze, "http://dbpedia.org/ontology/canonizedPlace".freeze, "http://dbpedia.org/ontology/canton".freeze, "http://dbpedia.org/ontology/capacity".freeze, "http://dbpedia.org/ontology/capacityFactor".freeze, "http://dbpedia.org/ontology/capital".freeze, "http://dbpedia.org/ontology/capitalCoordinates".freeze, "http://dbpedia.org/ontology/capitalCountry".freeze, "http://dbpedia.org/ontology/capitalDistrict".freeze, "http://dbpedia.org/ontology/capitalElevation".freeze, "http://dbpedia.org/ontology/capitalMountain".freeze, "http://dbpedia.org/ontology/capitalPlace".freeze, "http://dbpedia.org/ontology/capitalPosition".freeze, "http://dbpedia.org/ontology/capitalRegion".freeze, "http://dbpedia.org/ontology/captureDate".freeze, "http://dbpedia.org/ontology/carNumber".freeze, "http://dbpedia.org/ontology/carbohydrate".freeze, "http://dbpedia.org/ontology/carcinogen".freeze, "http://dbpedia.org/ontology/careerPoints".freeze, "http://dbpedia.org/ontology/careerPrizeMoney".freeze, "http://dbpedia.org/ontology/careerStation".freeze, "http://dbpedia.org/ontology/cargoFuel".freeze, "http://dbpedia.org/ontology/cargoGas".freeze, "http://dbpedia.org/ontology/cargoWater".freeze, "http://dbpedia.org/ontology/casNumber".freeze, "http://dbpedia.org/ontology/casSupplemental".freeze, "http://dbpedia.org/ontology/case".freeze, "http://dbpedia.org/ontology/casualties".freeze, "http://dbpedia.org/ontology/catch".freeze, "http://dbpedia.org/ontology/category".freeze, "http://dbpedia.org/ontology/caterer".freeze, "http://dbpedia.org/ontology/catholicPercentage".freeze, "http://dbpedia.org/ontology/causalties".freeze, "http://dbpedia.org/ontology/causeOfDeath".freeze, "http://dbpedia.org/ontology/causedBy".freeze, "http://dbpedia.org/ontology/ccaState".freeze, "http://dbpedia.org/ontology/ceeb".freeze, "http://dbpedia.org/ontology/ceiling".freeze, "http://dbpedia.org/ontology/cemetery".freeze, "http://dbpedia.org/ontology/censusYear".freeze, "http://dbpedia.org/ontology/center".freeze, "http://dbpedia.org/ontology/centuryBreaks".freeze, "http://dbpedia.org/ontology/ceo".freeze, "http://dbpedia.org/ontology/ceremonialCounty".freeze, "http://dbpedia.org/ontology/certification".freeze, "http://dbpedia.org/ontology/certificationDate".freeze, "http://dbpedia.org/ontology/cesarAward".freeze, "http://dbpedia.org/ontology/chEBI".freeze, "http://dbpedia.org/ontology/chEMBL".freeze, "http://dbpedia.org/ontology/chain".freeze, "http://dbpedia.org/ontology/chairLabel".freeze, "http://dbpedia.org/ontology/chairman".freeze, "http://dbpedia.org/ontology/chairmanTitle".freeze, "http://dbpedia.org/ontology/chairperson".freeze, "http://dbpedia.org/ontology/champion".freeze, "http://dbpedia.org/ontology/championInDouble".freeze, "http://dbpedia.org/ontology/championInDoubleFemale".freeze, "http://dbpedia.org/ontology/championInDoubleMale".freeze, "http://dbpedia.org/ontology/championInMixedDouble".freeze, "http://dbpedia.org/ontology/championInSingle".freeze, "http://dbpedia.org/ontology/championInSingleFemale".freeze, "http://dbpedia.org/ontology/championInSingleMale".freeze, "http://dbpedia.org/ontology/championships".freeze, "http://dbpedia.org/ontology/chancellor".freeze, "http://dbpedia.org/ontology/channel".freeze, "http://dbpedia.org/ontology/chaplain".freeze, "http://dbpedia.org/ontology/characterInPlay".freeze, "http://dbpedia.org/ontology/chef".freeze, "http://dbpedia.org/ontology/chemSpiderId".freeze, "http://dbpedia.org/ontology/chemicalFormula".freeze, "http://dbpedia.org/ontology/chiefEditor".freeze, "http://dbpedia.org/ontology/chiefPlace".freeze, "http://dbpedia.org/ontology/child".freeze, "http://dbpedia.org/ontology/childOrganisation".freeze, "http://dbpedia.org/ontology/choreographer".freeze, "http://dbpedia.org/ontology/chorusCharacterInPlay".freeze, "http://dbpedia.org/ontology/christeningDate".freeze, "http://dbpedia.org/ontology/chromosome".freeze, "http://dbpedia.org/ontology/cinematography".freeze, "http://dbpedia.org/ontology/circle".freeze, "http://dbpedia.org/ontology/circuitLength".freeze, "http://dbpedia.org/ontology/circuitName".freeze, "http://dbpedia.org/ontology/circulation".freeze, "http://dbpedia.org/ontology/circumcised".freeze, "http://dbpedia.org/ontology/cites".freeze, "http://dbpedia.org/ontology/citizenship".freeze, "http://dbpedia.org/ontology/city".freeze, "http://dbpedia.org/ontology/cityLink".freeze, "http://dbpedia.org/ontology/cityRank".freeze, "http://dbpedia.org/ontology/citySince".freeze, "http://dbpedia.org/ontology/cityType".freeze, "http://dbpedia.org/ontology/clade".freeze, "http://dbpedia.org/ontology/class".freeze, "http://dbpedia.org/ontology/classes".freeze, "http://dbpedia.org/ontology/classification".freeze, "http://dbpedia.org/ontology/classis".freeze, "http://dbpedia.org/ontology/climate".freeze, "http://dbpedia.org/ontology/climbUpNumber".freeze, "http://dbpedia.org/ontology/closeTo".freeze, "http://dbpedia.org/ontology/closed".freeze, "http://dbpedia.org/ontology/closingDate".freeze, "http://dbpedia.org/ontology/closingFilm".freeze, "http://dbpedia.org/ontology/closingYear".freeze, "http://dbpedia.org/ontology/clothSize".freeze, "http://dbpedia.org/ontology/clothingSize".freeze, "http://dbpedia.org/ontology/club".freeze, "http://dbpedia.org/ontology/clubsRecordGoalscorer".freeze, "http://dbpedia.org/ontology/cluster".freeze, "http://dbpedia.org/ontology/cmpEvaDuration".freeze, "http://dbpedia.org/ontology/cmykCoordinateBlack".freeze, "http://dbpedia.org/ontology/cmykCoordinateCyanic".freeze, "http://dbpedia.org/ontology/cmykCoordinateMagenta".freeze, "http://dbpedia.org/ontology/cmykCoordinateYellow".freeze, "http://dbpedia.org/ontology/co2Emission".freeze, "http://dbpedia.org/ontology/coExecutiveProducer".freeze, "http://dbpedia.org/ontology/coProducer".freeze, "http://dbpedia.org/ontology/coach".freeze, "http://dbpedia.org/ontology/coachClub".freeze, "http://dbpedia.org/ontology/coachSeason".freeze, "http://dbpedia.org/ontology/coachedTeam".freeze, "http://dbpedia.org/ontology/coachingRecord".freeze, "http://dbpedia.org/ontology/coalition".freeze, "http://dbpedia.org/ontology/coastLength".freeze, "http://dbpedia.org/ontology/coastLine".freeze, "http://dbpedia.org/ontology/coatOfArms".freeze, "http://dbpedia.org/ontology/code".freeze, "http://dbpedia.org/ontology/codeBook".freeze, "http://dbpedia.org/ontology/codeDistrict".freeze, "http://dbpedia.org/ontology/codeIndex".freeze, "http://dbpedia.org/ontology/codeListOfHonour".freeze, "http://dbpedia.org/ontology/codeMemorial".freeze, "http://dbpedia.org/ontology/codeMunicipalMonument".freeze, "http://dbpedia.org/ontology/codeNationalMonument".freeze, "http://dbpedia.org/ontology/codeProvincialMonument".freeze, "http://dbpedia.org/ontology/codeSettlement".freeze, "http://dbpedia.org/ontology/codeStockExchange".freeze, "http://dbpedia.org/ontology/coden".freeze, "http://dbpedia.org/ontology/coemperor".freeze, "http://dbpedia.org/ontology/collaboration".freeze, "http://dbpedia.org/ontology/colleague".freeze, "http://dbpedia.org/ontology/collection".freeze, "http://dbpedia.org/ontology/collectionSize".freeze, "http://dbpedia.org/ontology/collectivityMinority".freeze, "http://dbpedia.org/ontology/college".freeze, "http://dbpedia.org/ontology/collegeHof".freeze, "http://dbpedia.org/ontology/colonialName".freeze, "http://dbpedia.org/ontology/colorChart".freeze, "http://dbpedia.org/ontology/colour".freeze, "http://dbpedia.org/ontology/colourHexCode".freeze, "http://dbpedia.org/ontology/colourName".freeze, "http://dbpedia.org/ontology/combatant".freeze, "http://dbpedia.org/ontology/comic".freeze, "http://dbpedia.org/ontology/comitat".freeze, "http://dbpedia.org/ontology/command".freeze, "http://dbpedia.org/ontology/commandModule".freeze, "http://dbpedia.org/ontology/commandStructure".freeze, "http://dbpedia.org/ontology/commandant".freeze, "http://dbpedia.org/ontology/commander".freeze, "http://dbpedia.org/ontology/comment".freeze, "http://dbpedia.org/ontology/commissioner".freeze, "http://dbpedia.org/ontology/commissionerDate".freeze, "http://dbpedia.org/ontology/commissioningDate".freeze, "http://dbpedia.org/ontology/committee".freeze, "http://dbpedia.org/ontology/committeeInLegislature".freeze, "http://dbpedia.org/ontology/commonName".freeze, "http://dbpedia.org/ontology/commune".freeze, "http://dbpedia.org/ontology/communityIsoCode".freeze, "http://dbpedia.org/ontology/company".freeze, "http://dbpedia.org/ontology/comparable".freeze, "http://dbpedia.org/ontology/competition".freeze, "http://dbpedia.org/ontology/competitionTitle".freeze, "http://dbpedia.org/ontology/compiler".freeze, "http://dbpedia.org/ontology/completionDate".freeze, "http://dbpedia.org/ontology/complexion".freeze, "http://dbpedia.org/ontology/complexity".freeze, "http://dbpedia.org/ontology/complications".freeze, "http://dbpedia.org/ontology/component".freeze, "http://dbpedia.org/ontology/composer".freeze, "http://dbpedia.org/ontology/compressionRatio".freeze, "http://dbpedia.org/ontology/computingInput".freeze, "http://dbpedia.org/ontology/computingMedia".freeze, "http://dbpedia.org/ontology/computingPlatform".freeze, "http://dbpedia.org/ontology/configuration".freeze, "http://dbpedia.org/ontology/confirmedCases".freeze, "http://dbpedia.org/ontology/conflict".freeze, "http://dbpedia.org/ontology/congressionalDistrict".freeze, "http://dbpedia.org/ontology/connectsReferencedTo".freeze, "http://dbpedia.org/ontology/connotation".freeze, "http://dbpedia.org/ontology/consecration".freeze, "http://dbpedia.org/ontology/conservationStatus".freeze, "http://dbpedia.org/ontology/conservationStatusSystem".freeze, "http://dbpedia.org/ontology/constellation".freeze, "http://dbpedia.org/ontology/constituencyDistrict".freeze, "http://dbpedia.org/ontology/construction".freeze, "http://dbpedia.org/ontology/constructionMaterial".freeze, "http://dbpedia.org/ontology/contest".freeze, "http://dbpedia.org/ontology/continent".freeze, "http://dbpedia.org/ontology/continentRank".freeze, "http://dbpedia.org/ontology/continentalTournament".freeze, "http://dbpedia.org/ontology/continentalTournamentBronze".freeze, "http://dbpedia.org/ontology/continentalTournamentGold".freeze, "http://dbpedia.org/ontology/continentalTournamentSilver".freeze, "http://dbpedia.org/ontology/contractAward".freeze, "http://dbpedia.org/ontology/contractor".freeze, "http://dbpedia.org/ontology/convictionDate".freeze, "http://dbpedia.org/ontology/convictionPenalty".freeze, "http://dbpedia.org/ontology/coolingSystem".freeze, "http://dbpedia.org/ontology/copilote".freeze, "http://dbpedia.org/ontology/coronationDate".freeze, "http://dbpedia.org/ontology/cosparId".freeze, "http://dbpedia.org/ontology/cost".freeze, "http://dbpedia.org/ontology/costumeDesigner".freeze, "http://dbpedia.org/ontology/council".freeze, "http://dbpedia.org/ontology/councilArea".freeze, "http://dbpedia.org/ontology/country".freeze, "http://dbpedia.org/ontology/countryCode".freeze, "http://dbpedia.org/ontology/countryOrigin".freeze, "http://dbpedia.org/ontology/countryRank".freeze, "http://dbpedia.org/ontology/countryWithFirstAstronaut".freeze, "http://dbpedia.org/ontology/countryWithFirstSatellite".freeze, "http://dbpedia.org/ontology/countryWithFirstSatelliteLaunched".freeze, "http://dbpedia.org/ontology/countryWithFirstSpaceflight".freeze, "http://dbpedia.org/ontology/county".freeze, "http://dbpedia.org/ontology/countySeat".freeze, "http://dbpedia.org/ontology/course".freeze, "http://dbpedia.org/ontology/courseArea".freeze, "http://dbpedia.org/ontology/cousurper".freeze, "http://dbpedia.org/ontology/coverArtist".freeze, "http://dbpedia.org/ontology/cpu".freeze, "http://dbpedia.org/ontology/created".freeze, "http://dbpedia.org/ontology/creationChristianBishop".freeze, "http://dbpedia.org/ontology/creationYear".freeze, "http://dbpedia.org/ontology/creativeDirector".freeze, "http://dbpedia.org/ontology/creator".freeze, "http://dbpedia.org/ontology/creatorOfDish".freeze, "http://dbpedia.org/ontology/credit".freeze, "http://dbpedia.org/ontology/crest".freeze, "http://dbpedia.org/ontology/crew".freeze, "http://dbpedia.org/ontology/crewMember".freeze, "http://dbpedia.org/ontology/crewSize".freeze, "http://dbpedia.org/ontology/crews".freeze, "http://dbpedia.org/ontology/criminalCharge".freeze, "http://dbpedia.org/ontology/criteria".freeze, "http://dbpedia.org/ontology/crosses".freeze, "http://dbpedia.org/ontology/crownDependency".freeze, "http://dbpedia.org/ontology/cuisine".freeze, "http://dbpedia.org/ontology/cultivatedVariety".freeze, "http://dbpedia.org/ontology/curator".freeze, "http://dbpedia.org/ontology/currency".freeze, "http://dbpedia.org/ontology/currencyCode".freeze, "http://dbpedia.org/ontology/currentCity".freeze, "http://dbpedia.org/ontology/currentLeague".freeze, "http://dbpedia.org/ontology/currentMember".freeze, "http://dbpedia.org/ontology/currentPartner".freeze, "http://dbpedia.org/ontology/currentProduction".freeze, "http://dbpedia.org/ontology/currentRank".freeze, "http://dbpedia.org/ontology/currentRecord".freeze, "http://dbpedia.org/ontology/currentSeason".freeze, "http://dbpedia.org/ontology/currentStatus".freeze, "http://dbpedia.org/ontology/currentTeam".freeze, "http://dbpedia.org/ontology/currentTeamManager".freeze, "http://dbpedia.org/ontology/currentTeamMember".freeze, "http://dbpedia.org/ontology/currentWorldChampion".freeze, "http://dbpedia.org/ontology/currentlyUsedFor".freeze, "http://dbpedia.org/ontology/custodian".freeze, "http://dbpedia.org/ontology/cyclistGenre".freeze, "http://dbpedia.org/ontology/cylinderBore".freeze, "http://dbpedia.org/ontology/cylinderCount".freeze, "http://dbpedia.org/ontology/daira".freeze, "http://dbpedia.org/ontology/dam".freeze, "http://dbpedia.org/ontology/damage".freeze, "http://dbpedia.org/ontology/damsire".freeze, "http://dbpedia.org/ontology/danseCompetition".freeze, "http://dbpedia.org/ontology/danseScore".freeze, "http://dbpedia.org/ontology/date".freeze, "http://dbpedia.org/ontology/dateAct".freeze, "http://dbpedia.org/ontology/dateAgreement".freeze, "http://dbpedia.org/ontology/dateBudget".freeze, "http://dbpedia.org/ontology/dateClosed".freeze, "http://dbpedia.org/ontology/dateCompleted".freeze, "http://dbpedia.org/ontology/dateConstruction".freeze, "http://dbpedia.org/ontology/dateExtended".freeze, "http://dbpedia.org/ontology/dateLastUpdated".freeze, "http://dbpedia.org/ontology/dateOfAbandonment".freeze, "http://dbpedia.org/ontology/dateOfBurial".freeze, "http://dbpedia.org/ontology/dateUnveiled".freeze, "http://dbpedia.org/ontology/dateUse".freeze, "http://dbpedia.org/ontology/daughter".freeze, "http://dbpedia.org/ontology/davisCup".freeze, "http://dbpedia.org/ontology/day".freeze, "http://dbpedia.org/ontology/daylightSavingTimeZone".freeze, "http://dbpedia.org/ontology/dbnlCodeDutch".freeze, "http://dbpedia.org/ontology/dcc".freeze, "http://dbpedia.org/ontology/deFactoLanguage".freeze, "http://dbpedia.org/ontology/deadInFightDate".freeze, "http://dbpedia.org/ontology/deadInFightPlace".freeze, "http://dbpedia.org/ontology/dean".freeze, "http://dbpedia.org/ontology/deanery".freeze, "http://dbpedia.org/ontology/deathAge".freeze, "http://dbpedia.org/ontology/deathCause".freeze, "http://dbpedia.org/ontology/deathDate".freeze, "http://dbpedia.org/ontology/deathPlace".freeze, "http://dbpedia.org/ontology/deathYear".freeze, "http://dbpedia.org/ontology/debut".freeze, "http://dbpedia.org/ontology/debutTeam".freeze, "http://dbpedia.org/ontology/debutWork".freeze, "http://dbpedia.org/ontology/dec".freeze, "http://dbpedia.org/ontology/decay".freeze, "http://dbpedia.org/ontology/decideDate".freeze, "http://dbpedia.org/ontology/declination".freeze, "http://dbpedia.org/ontology/decommissioningDate".freeze, "http://dbpedia.org/ontology/decoration".freeze, "http://dbpedia.org/ontology/defeat".freeze, "http://dbpedia.org/ontology/defeatAsMgr".freeze, "http://dbpedia.org/ontology/definition".freeze, "http://dbpedia.org/ontology/defunct".freeze, "http://dbpedia.org/ontology/delegateMayor".freeze, "http://dbpedia.org/ontology/delegation".freeze, "http://dbpedia.org/ontology/deliveryDate".freeze, "http://dbpedia.org/ontology/deme".freeze, "http://dbpedia.org/ontology/demographics".freeze, "http://dbpedia.org/ontology/demographicsAsOf".freeze, "http://dbpedia.org/ontology/demolitionDate".freeze, "http://dbpedia.org/ontology/demolitionYear".freeze, "http://dbpedia.org/ontology/demonym".freeze, "http://dbpedia.org/ontology/denomination".freeze, "http://dbpedia.org/ontology/density".freeze, "http://dbpedia.org/ontology/department".freeze, "http://dbpedia.org/ontology/departmentCode".freeze, "http://dbpedia.org/ontology/departmentPosition".freeze, "http://dbpedia.org/ontology/depictionDescription".freeze, "http://dbpedia.org/ontology/depth".freeze, "http://dbpedia.org/ontology/depthQuote".freeze, "http://dbpedia.org/ontology/depths".freeze, "http://dbpedia.org/ontology/deputy".freeze, "http://dbpedia.org/ontology/derivative".freeze, "http://dbpedia.org/ontology/derivedWord".freeze, "http://dbpedia.org/ontology/description".freeze, "http://dbpedia.org/ontology/designCompany".freeze, "http://dbpedia.org/ontology/designer".freeze, "http://dbpedia.org/ontology/destination".freeze, "http://dbpedia.org/ontology/destructionDate".freeze, "http://dbpedia.org/ontology/detectionMethod".freeze, "http://dbpedia.org/ontology/detractor".freeze, "http://dbpedia.org/ontology/developer".freeze, "http://dbpedia.org/ontology/dfE".freeze, "http://dbpedia.org/ontology/diameter".freeze, "http://dbpedia.org/ontology/differentialDiagnosis".freeze, "http://dbpedia.org/ontology/digitalChannel".freeze, "http://dbpedia.org/ontology/digitalSubChannel".freeze, "http://dbpedia.org/ontology/diocese".freeze, "http://dbpedia.org/ontology/diploma".freeze, "http://dbpedia.org/ontology/director".freeze, "http://dbpedia.org/ontology/disappearanceDate".freeze, "http://dbpedia.org/ontology/disbanded".freeze, "http://dbpedia.org/ontology/discharge".freeze, "http://dbpedia.org/ontology/dischargeAverage".freeze, "http://dbpedia.org/ontology/disciple".freeze, "http://dbpedia.org/ontology/discipline".freeze, "http://dbpedia.org/ontology/discontinued".freeze, "http://dbpedia.org/ontology/discovered".freeze, "http://dbpedia.org/ontology/discoverer".freeze, "http://dbpedia.org/ontology/discovery".freeze, "http://dbpedia.org/ontology/disease".freeze, "http://dbpedia.org/ontology/diseasesDB".freeze, "http://dbpedia.org/ontology/diseasesDb".freeze, "http://dbpedia.org/ontology/displacement".freeze, "http://dbpedia.org/ontology/dissolutionDate".freeze, "http://dbpedia.org/ontology/dissolutionYear".freeze, "http://dbpedia.org/ontology/dissolved".freeze, "http://dbpedia.org/ontology/dist_ly".freeze, "http://dbpedia.org/ontology/dist_pc".freeze, "http://dbpedia.org/ontology/distance".freeze, "http://dbpedia.org/ontology/distanceLaps".freeze, "http://dbpedia.org/ontology/distanceToBelfast".freeze, "http://dbpedia.org/ontology/distanceToCapital".freeze, "http://dbpedia.org/ontology/distanceToCardiff".freeze, "http://dbpedia.org/ontology/distanceToCharingCross".freeze, "http://dbpedia.org/ontology/distanceToDouglas".freeze, "http://dbpedia.org/ontology/distanceToDublin".freeze, "http://dbpedia.org/ontology/distanceToEdinburgh".freeze, "http://dbpedia.org/ontology/distanceToLondon".freeze, "http://dbpedia.org/ontology/distanceToNearestCity".freeze, "http://dbpedia.org/ontology/distanceTraveled".freeze, "http://dbpedia.org/ontology/distributingCompany".freeze, "http://dbpedia.org/ontology/distributingLabel".freeze, "http://dbpedia.org/ontology/distributor".freeze, "http://dbpedia.org/ontology/district".freeze, "http://dbpedia.org/ontology/division".freeze, "http://dbpedia.org/ontology/dockedTime".freeze, "http://dbpedia.org/ontology/doctoralAdvisor".freeze, "http://dbpedia.org/ontology/doctoralStudent".freeze, "http://dbpedia.org/ontology/documentDesignation".freeze, "http://dbpedia.org/ontology/documentNumber".freeze, "http://dbpedia.org/ontology/domain".freeze, "http://dbpedia.org/ontology/dorlandsId".freeze, "http://dbpedia.org/ontology/dorlandsPrefix".freeze, "http://dbpedia.org/ontology/dorlandsSuffix".freeze, "http://dbpedia.org/ontology/draft".freeze, "http://dbpedia.org/ontology/draftLeague".freeze, "http://dbpedia.org/ontology/draftPick".freeze, "http://dbpedia.org/ontology/draftPosition".freeze, "http://dbpedia.org/ontology/draftRound".freeze, "http://dbpedia.org/ontology/draftTeam".freeze, "http://dbpedia.org/ontology/draftYear".freeze, "http://dbpedia.org/ontology/drainsFrom".freeze, "http://dbpedia.org/ontology/drainsTo".freeze, "http://dbpedia.org/ontology/drama".freeze, "http://dbpedia.org/ontology/dressCode".freeze, "http://dbpedia.org/ontology/drugbank".freeze, "http://dbpedia.org/ontology/drugs.com".freeze, "http://dbpedia.org/ontology/dryCargo".freeze, "http://dbpedia.org/ontology/dubber".freeze, "http://dbpedia.org/ontology/duration".freeze, "http://dbpedia.org/ontology/dutchArtworkCode".freeze, "http://dbpedia.org/ontology/dutchCOROPCode".freeze, "http://dbpedia.org/ontology/dutchMIPCode".freeze, "http://dbpedia.org/ontology/dutchNAIdentifier".freeze, "http://dbpedia.org/ontology/dutchPPNCode".freeze, "http://dbpedia.org/ontology/dutchRKDCode".freeze, "http://dbpedia.org/ontology/dutchWinkelID".freeze, "http://dbpedia.org/ontology/dynasty".freeze, "http://dbpedia.org/ontology/eMedicineSubject".freeze, "http://dbpedia.org/ontology/eMedicineTopic".freeze, "http://dbpedia.org/ontology/eTeatrId".freeze, "http://dbpedia.org/ontology/eastPlace".freeze, "http://dbpedia.org/ontology/ecNumber".freeze, "http://dbpedia.org/ontology/editing".freeze, "http://dbpedia.org/ontology/editor".freeze, "http://dbpedia.org/ontology/editorTitle".freeze, "http://dbpedia.org/ontology/education".freeze, "http://dbpedia.org/ontology/educationPlace".freeze, "http://dbpedia.org/ontology/educationSystem".freeze, "http://dbpedia.org/ontology/effectiveRadiatedPower".freeze, "http://dbpedia.org/ontology/egafdId".freeze, "http://dbpedia.org/ontology/einecsNumber".freeze, "http://dbpedia.org/ontology/ekatteCode".freeze, "http://dbpedia.org/ontology/electionDate".freeze, "http://dbpedia.org/ontology/electionDateLeader".freeze, "http://dbpedia.org/ontology/electionMajority".freeze, "http://dbpedia.org/ontology/elementAbove".freeze, "http://dbpedia.org/ontology/elementBlock".freeze, "http://dbpedia.org/ontology/elementGroup".freeze, "http://dbpedia.org/ontology/elementPeriod".freeze, "http://dbpedia.org/ontology/elevation".freeze, "http://dbpedia.org/ontology/elevationQuote".freeze, "http://dbpedia.org/ontology/elevatorCount".freeze, "http://dbpedia.org/ontology/elo".freeze, "http://dbpedia.org/ontology/eloRecord".freeze, "http://dbpedia.org/ontology/emblem".freeze, "http://dbpedia.org/ontology/emmyAward".freeze, "http://dbpedia.org/ontology/employer".freeze, "http://dbpedia.org/ontology/employersCelebration".freeze, "http://dbpedia.org/ontology/end".freeze, "http://dbpedia.org/ontology/endCareer".freeze, "http://dbpedia.org/ontology/endDate".freeze, "http://dbpedia.org/ontology/endDateTime".freeze, "http://dbpedia.org/ontology/endOccupation".freeze, "http://dbpedia.org/ontology/endPoint".freeze, "http://dbpedia.org/ontology/endReign".freeze, "http://dbpedia.org/ontology/endYear".freeze, "http://dbpedia.org/ontology/endYearOfInsertion".freeze, "http://dbpedia.org/ontology/endYearOfSales".freeze, "http://dbpedia.org/ontology/endangeredSince".freeze, "http://dbpedia.org/ontology/endingTheme".freeze, "http://dbpedia.org/ontology/endowment".freeze, "http://dbpedia.org/ontology/enemy".freeze, "http://dbpedia.org/ontology/engine".freeze, "http://dbpedia.org/ontology/enginePower".freeze, "http://dbpedia.org/ontology/engineType".freeze, "http://dbpedia.org/ontology/engineer".freeze, "http://dbpedia.org/ontology/ensembl".freeze, "http://dbpedia.org/ontology/enshrinedDeity".freeze, "http://dbpedia.org/ontology/entourage".freeze, "http://dbpedia.org/ontology/entrezgene".freeze, "http://dbpedia.org/ontology/eparchy".freeze, "http://dbpedia.org/ontology/episode".freeze, "http://dbpedia.org/ontology/episodeNumber".freeze, "http://dbpedia.org/ontology/epoch".freeze, "http://dbpedia.org/ontology/eptFinalTable".freeze, "http://dbpedia.org/ontology/eptItm".freeze, "http://dbpedia.org/ontology/eptTitle".freeze, "http://dbpedia.org/ontology/equipment".freeze, "http://dbpedia.org/ontology/equity".freeze, "http://dbpedia.org/ontology/era".freeze, "http://dbpedia.org/ontology/eruption".freeze, "http://dbpedia.org/ontology/eruptionYear".freeze, "http://dbpedia.org/ontology/escalafon".freeze, "http://dbpedia.org/ontology/escapeVelocity".freeze, "http://dbpedia.org/ontology/espnId".freeze, "http://dbpedia.org/ontology/established".freeze, "http://dbpedia.org/ontology/establishment".freeze, "http://dbpedia.org/ontology/ethnicGroup".freeze, "http://dbpedia.org/ontology/ethnicGroupsInYear".freeze, "http://dbpedia.org/ontology/ethnicity".freeze, "http://dbpedia.org/ontology/eurobabeIndexId".freeze, "http://dbpedia.org/ontology/europeanAffiliation".freeze, "http://dbpedia.org/ontology/europeanChampionship".freeze, "http://dbpedia.org/ontology/europeanParliamentGroup".freeze, "http://dbpedia.org/ontology/europeanUnionEntranceDate".freeze, "http://dbpedia.org/ontology/event".freeze, "http://dbpedia.org/ontology/eventDate".freeze, "http://dbpedia.org/ontology/eventDescription".freeze, "http://dbpedia.org/ontology/executiveHeadteacher".freeze, "http://dbpedia.org/ontology/executiveProducer".freeze, "http://dbpedia.org/ontology/exhibition".freeze, "http://dbpedia.org/ontology/existence".freeze, "http://dbpedia.org/ontology/expedition".freeze, "http://dbpedia.org/ontology/explorer".freeze, "http://dbpedia.org/ontology/externalOrnament".freeze, "http://dbpedia.org/ontology/extinctionDate".freeze, "http://dbpedia.org/ontology/extinctionYear".freeze, "http://dbpedia.org/ontology/eyeColor".freeze, "http://dbpedia.org/ontology/eyeColour".freeze, "http://dbpedia.org/ontology/eyes".freeze, "http://dbpedia.org/ontology/faaLocationIdentifier".freeze, "http://dbpedia.org/ontology/facilityId".freeze, "http://dbpedia.org/ontology/facultySize".freeze, "http://dbpedia.org/ontology/failedLaunches".freeze, "http://dbpedia.org/ontology/family".freeze, "http://dbpedia.org/ontology/familyMember".freeze, "http://dbpedia.org/ontology/fansgroup".freeze, "http://dbpedia.org/ontology/fareZone".freeze, "http://dbpedia.org/ontology/fastestDriver".freeze, "http://dbpedia.org/ontology/fastestDriverCountry".freeze, "http://dbpedia.org/ontology/fastestDriverTeam".freeze, "http://dbpedia.org/ontology/fastestLap".freeze, "http://dbpedia.org/ontology/fat".freeze, "http://dbpedia.org/ontology/fatalityRate".freeze, "http://dbpedia.org/ontology/fate".freeze, "http://dbpedia.org/ontology/father".freeze, "http://dbpedia.org/ontology/fauna".freeze, "http://dbpedia.org/ontology/fc".freeze, "http://dbpedia.org/ontology/fcRuns".freeze, "http://dbpedia.org/ontology/fdaUniiCode".freeze, "http://dbpedia.org/ontology/feastDay".freeze, "http://dbpedia.org/ontology/feat".freeze, "http://dbpedia.org/ontology/feature".freeze, "http://dbpedia.org/ontology/features".freeze, "http://dbpedia.org/ontology/fedCup".freeze, "http://dbpedia.org/ontology/federalState".freeze, "http://dbpedia.org/ontology/federation".freeze, "http://dbpedia.org/ontology/fees".freeze, "http://dbpedia.org/ontology/fibahof".freeze, "http://dbpedia.org/ontology/field".freeze, "http://dbpedia.org/ontology/fight".freeze, "http://dbpedia.org/ontology/fighter".freeze, "http://dbpedia.org/ontology/fileExtension".freeze, "http://dbpedia.org/ontology/fileSize".freeze, "http://dbpedia.org/ontology/fileURL".freeze, "http://dbpedia.org/ontology/filename".freeze, "http://dbpedia.org/ontology/fillingStation".freeze, "http://dbpedia.org/ontology/film".freeze, "http://dbpedia.org/ontology/filmAudioType".freeze, "http://dbpedia.org/ontology/filmColourType".freeze, "http://dbpedia.org/ontology/filmFareAward".freeze, "http://dbpedia.org/ontology/filmNumber".freeze, "http://dbpedia.org/ontology/filmPolskiId".freeze, "http://dbpedia.org/ontology/filmRuntime".freeze, "http://dbpedia.org/ontology/filmVersion".freeze, "http://dbpedia.org/ontology/finalFlight".freeze, "http://dbpedia.org/ontology/finalLost".freeze, "http://dbpedia.org/ontology/finalLostDouble".freeze, "http://dbpedia.org/ontology/finalLostSingle".freeze, "http://dbpedia.org/ontology/finalLostTeam".freeze, "http://dbpedia.org/ontology/finalPublicationDate".freeze, "http://dbpedia.org/ontology/finalPublicationYear".freeze, "http://dbpedia.org/ontology/fipsCode".freeze, "http://dbpedia.org/ontology/firstAirDate".freeze, "http://dbpedia.org/ontology/firstAppearance".freeze, "http://dbpedia.org/ontology/firstAscent".freeze, "http://dbpedia.org/ontology/firstAscentPerson".freeze, "http://dbpedia.org/ontology/firstAscentYear".freeze, "http://dbpedia.org/ontology/firstBroadcast".freeze, "http://dbpedia.org/ontology/firstDriver".freeze, "http://dbpedia.org/ontology/firstDriverCountry".freeze, "http://dbpedia.org/ontology/firstDriverTeam".freeze, "http://dbpedia.org/ontology/firstFlight".freeze, "http://dbpedia.org/ontology/firstFlightEndDate".freeze, "http://dbpedia.org/ontology/firstFlightStartDate".freeze, "http://dbpedia.org/ontology/firstGame".freeze, "http://dbpedia.org/ontology/firstLaunch".freeze, "http://dbpedia.org/ontology/firstLaunchDate".freeze, "http://dbpedia.org/ontology/firstLaunchRocket".freeze, "http://dbpedia.org/ontology/firstLeader".freeze, "http://dbpedia.org/ontology/firstMention".freeze, "http://dbpedia.org/ontology/firstOlympicEvent".freeze, "http://dbpedia.org/ontology/firstOwner".freeze, "http://dbpedia.org/ontology/firstPlace".freeze, "http://dbpedia.org/ontology/firstPopularVote".freeze, "http://dbpedia.org/ontology/firstProMatch".freeze, "http://dbpedia.org/ontology/firstPublicationDate".freeze, "http://dbpedia.org/ontology/firstPublicationYear".freeze, "http://dbpedia.org/ontology/firstPublisher".freeze, "http://dbpedia.org/ontology/firstRace".freeze, "http://dbpedia.org/ontology/firstWin".freeze, "http://dbpedia.org/ontology/firstWinner".freeze, "http://dbpedia.org/ontology/flag".freeze, "http://dbpedia.org/ontology/flagBearer".freeze, "http://dbpedia.org/ontology/flagBorder".freeze, "http://dbpedia.org/ontology/flagCaption".freeze, "http://dbpedia.org/ontology/flagLink".freeze, "http://dbpedia.org/ontology/flagSize".freeze, "http://dbpedia.org/ontology/flashPoint".freeze, "http://dbpedia.org/ontology/floodingDate".freeze, "http://dbpedia.org/ontology/floorArea".freeze, "http://dbpedia.org/ontology/floorCount".freeze, "http://dbpedia.org/ontology/flora".freeze, "http://dbpedia.org/ontology/flower".freeze, "http://dbpedia.org/ontology/flyingHours".freeze, "http://dbpedia.org/ontology/foalDate".freeze, "http://dbpedia.org/ontology/focus".freeze, "http://dbpedia.org/ontology/followedBy".freeze, "http://dbpedia.org/ontology/followingEvent".freeze, "http://dbpedia.org/ontology/follows".freeze, "http://dbpedia.org/ontology/foot".freeze, "http://dbpedia.org/ontology/footedness".freeze, "http://dbpedia.org/ontology/forces".freeze, "http://dbpedia.org/ontology/foresterDistrict".freeze, "http://dbpedia.org/ontology/format".freeze, "http://dbpedia.org/ontology/formationDate".freeze, "http://dbpedia.org/ontology/formationYear".freeze, "http://dbpedia.org/ontology/formerBandMember".freeze, "http://dbpedia.org/ontology/formerBroadcastNetwork".freeze, "http://dbpedia.org/ontology/formerCallsign".freeze, "http://dbpedia.org/ontology/formerChannel".freeze, "http://dbpedia.org/ontology/formerChoreographer".freeze, "http://dbpedia.org/ontology/formerCoach".freeze, "http://dbpedia.org/ontology/formerHighschool".freeze, "http://dbpedia.org/ontology/formerName".freeze, "http://dbpedia.org/ontology/formerPartner".freeze, "http://dbpedia.org/ontology/formerTeam".freeze, "http://dbpedia.org/ontology/formula".freeze, "http://dbpedia.org/ontology/fossil".freeze, "http://dbpedia.org/ontology/foundation".freeze, "http://dbpedia.org/ontology/foundationPlace".freeze, "http://dbpedia.org/ontology/foundedBy".freeze, "http://dbpedia.org/ontology/founder".freeze, "http://dbpedia.org/ontology/foundingDate".freeze, "http://dbpedia.org/ontology/foundingYear".freeze, "http://dbpedia.org/ontology/fourthCommander".freeze, "http://dbpedia.org/ontology/frazioni".freeze, "http://dbpedia.org/ontology/free".freeze, "http://dbpedia.org/ontology/freeDanseScore".freeze, "http://dbpedia.org/ontology/freeFlightTime".freeze, "http://dbpedia.org/ontology/freeLabel".freeze, "http://dbpedia.org/ontology/freeProgCompetition".freeze, "http://dbpedia.org/ontology/freeProgScore".freeze, "http://dbpedia.org/ontology/freeScoreCompetition".freeze, "http://dbpedia.org/ontology/frequency".freeze, "http://dbpedia.org/ontology/frequencyOfPublication".freeze, "http://dbpedia.org/ontology/frequentlyUpdated".freeze, "http://dbpedia.org/ontology/friend".freeze, "http://dbpedia.org/ontology/frontierLength".freeze, "http://dbpedia.org/ontology/frozen".freeze, "http://dbpedia.org/ontology/fuel".freeze, "http://dbpedia.org/ontology/fuelCapacity".freeze, "http://dbpedia.org/ontology/fuelConsumption".freeze, "http://dbpedia.org/ontology/fuelSystem".freeze, "http://dbpedia.org/ontology/fuelType".freeze, "http://dbpedia.org/ontology/fuelTypeName".freeze, "http://dbpedia.org/ontology/fullCompetition".freeze, "http://dbpedia.org/ontology/fullScore".freeze, "http://dbpedia.org/ontology/functionEndDate".freeze, "http://dbpedia.org/ontology/functionEndYear".freeze, "http://dbpedia.org/ontology/functionStartDate".freeze, "http://dbpedia.org/ontology/functionStartYear".freeze, "http://dbpedia.org/ontology/fundedBy".freeze, "http://dbpedia.org/ontology/galicianSpeakersDate".freeze, "http://dbpedia.org/ontology/galicianSpeakersPercentage".freeze, "http://dbpedia.org/ontology/galleryItem".freeze, "http://dbpedia.org/ontology/gameArtist".freeze, "http://dbpedia.org/ontology/gameEngine".freeze, "http://dbpedia.org/ontology/gameModus".freeze, "http://dbpedia.org/ontology/games".freeze, "http://dbpedia.org/ontology/garrison".freeze, "http://dbpedia.org/ontology/gasChambers".freeze, "http://dbpedia.org/ontology/gaudiAward".freeze, "http://dbpedia.org/ontology/gdpPerCapita".freeze, "http://dbpedia.org/ontology/geminiAward".freeze, "http://dbpedia.org/ontology/gender".freeze, "http://dbpedia.org/ontology/geneLocation".freeze, "http://dbpedia.org/ontology/geneLocationEnd".freeze, "http://dbpedia.org/ontology/geneLocationStart".freeze, "http://dbpedia.org/ontology/geneReviewsId".freeze, "http://dbpedia.org/ontology/geneReviewsName".freeze, "http://dbpedia.org/ontology/generalCouncil".freeze, "http://dbpedia.org/ontology/generalManager".freeze, "http://dbpedia.org/ontology/generationUnits".freeze, "http://dbpedia.org/ontology/genomeDB".freeze, "http://dbpedia.org/ontology/genre".freeze, "http://dbpedia.org/ontology/genus".freeze, "http://dbpedia.org/ontology/geolocDepartment".freeze, "http://dbpedia.org/ontology/geolocDual".freeze, "http://dbpedia.org/ontology/geologicPeriod".freeze, "http://dbpedia.org/ontology/geology".freeze, "http://dbpedia.org/ontology/giniCoefficient".freeze, "http://dbpedia.org/ontology/giniCoefficientAsOf".freeze, "http://dbpedia.org/ontology/giniCoefficientCategory".freeze, "http://dbpedia.org/ontology/giniCoefficientRanking".freeze, "http://dbpedia.org/ontology/glycemicIndex".freeze, "http://dbpedia.org/ontology/gnisCode".freeze, "http://dbpedia.org/ontology/gnl".freeze, "http://dbpedia.org/ontology/goalsInLeague".freeze, "http://dbpedia.org/ontology/goalsInNationalTeam".freeze, "http://dbpedia.org/ontology/goldMedalDouble".freeze, "http://dbpedia.org/ontology/goldMedalMixed".freeze, "http://dbpedia.org/ontology/goldMedalSingle".freeze, "http://dbpedia.org/ontology/goldMedalist".freeze, "http://dbpedia.org/ontology/goldenCalfAward".freeze, "http://dbpedia.org/ontology/goldenGlobeAward".freeze, "http://dbpedia.org/ontology/goldenRaspberryAward".freeze, "http://dbpedia.org/ontology/governingBody".freeze, "http://dbpedia.org/ontology/government".freeze, "http://dbpedia.org/ontology/governmentCountry".freeze, "http://dbpedia.org/ontology/governmentElevation".freeze, "http://dbpedia.org/ontology/governmentMountain".freeze, "http://dbpedia.org/ontology/governmentPlace".freeze, "http://dbpedia.org/ontology/governmentPosition".freeze, "http://dbpedia.org/ontology/governmentRegion".freeze, "http://dbpedia.org/ontology/governmentType".freeze, "http://dbpedia.org/ontology/governor".freeze, "http://dbpedia.org/ontology/governorGeneral".freeze, "http://dbpedia.org/ontology/governorate".freeze, "http://dbpedia.org/ontology/goyaAward".freeze, "http://dbpedia.org/ontology/gradName".freeze, "http://dbpedia.org/ontology/gradNum".freeze, "http://dbpedia.org/ontology/grades".freeze, "http://dbpedia.org/ontology/grammyAward".freeze, "http://dbpedia.org/ontology/grandsire".freeze, "http://dbpedia.org/ontology/grave".freeze, "http://dbpedia.org/ontology/grayPage".freeze, "http://dbpedia.org/ontology/graySubject".freeze, "http://dbpedia.org/ontology/greekName".freeze, "http://dbpedia.org/ontology/greenLongDistancePisteNumber".freeze, "http://dbpedia.org/ontology/greenSkiPisteNumber".freeze, "http://dbpedia.org/ontology/gridReference".freeze, "http://dbpedia.org/ontology/grindingCapability".freeze, "http://dbpedia.org/ontology/gross".freeze, "http://dbpedia.org/ontology/grossDomesticProduct".freeze, "http://dbpedia.org/ontology/grossDomesticProductAsOf".freeze, "http://dbpedia.org/ontology/grossDomesticProductNominalPerCapita".freeze, "http://dbpedia.org/ontology/grossDomesticProductPerPeople".freeze, "http://dbpedia.org/ontology/grossDomesticProductPurchasingPowerParityPerCapita".freeze, "http://dbpedia.org/ontology/grossDomesticProductRank".freeze, "http://dbpedia.org/ontology/ground".freeze, "http://dbpedia.org/ontology/groundsForLiquidation".freeze, "http://dbpedia.org/ontology/groupCommemorated".freeze, "http://dbpedia.org/ontology/growingGrape".freeze, "http://dbpedia.org/ontology/guest".freeze, "http://dbpedia.org/ontology/gun".freeze, "http://dbpedia.org/ontology/gymApparatus".freeze, "http://dbpedia.org/ontology/hairColor".freeze, "http://dbpedia.org/ontology/hairColour".freeze, "http://dbpedia.org/ontology/hairs".freeze, "http://dbpedia.org/ontology/hallOfFame".freeze, "http://dbpedia.org/ontology/hand".freeze, "http://dbpedia.org/ontology/handedness".freeze, "http://dbpedia.org/ontology/handisport".freeze, "http://dbpedia.org/ontology/hasAbsorbedMunicipality".freeze, "http://dbpedia.org/ontology/hasAnnotation".freeze, "http://dbpedia.org/ontology/hasChannel".freeze, "http://dbpedia.org/ontology/hasInput".freeze, "http://dbpedia.org/ontology/hasInsidePlace".freeze, "http://dbpedia.org/ontology/hasJunctionWith".freeze, "http://dbpedia.org/ontology/hasKMLData".freeze, "http://dbpedia.org/ontology/hasNaturalBust".freeze, "http://dbpedia.org/ontology/hasOutsidePlace".freeze, "http://dbpedia.org/ontology/hasSurfaceForm".freeze, "http://dbpedia.org/ontology/hasVariant".freeze, "http://dbpedia.org/ontology/head".freeze, "http://dbpedia.org/ontology/headAlloy".freeze, "http://dbpedia.org/ontology/headChef".freeze, "http://dbpedia.org/ontology/headLabel".freeze, "http://dbpedia.org/ontology/headOfFamily".freeze, "http://dbpedia.org/ontology/headquarter".freeze, "http://dbpedia.org/ontology/headteacher".freeze, "http://dbpedia.org/ontology/height".freeze, "http://dbpedia.org/ontology/heightAboveAverageTerrain".freeze, "http://dbpedia.org/ontology/heightAgainst".freeze, "http://dbpedia.org/ontology/heightAttack".freeze, "http://dbpedia.org/ontology/heir".freeze, "http://dbpedia.org/ontology/heisman".freeze, "http://dbpedia.org/ontology/heritageRegister".freeze, "http://dbpedia.org/ontology/hgncid".freeze, "http://dbpedia.org/ontology/highest".freeze, "http://dbpedia.org/ontology/highestAltitude".freeze, "http://dbpedia.org/ontology/highestBreak".freeze, "http://dbpedia.org/ontology/highestBuildingInYear".freeze, "http://dbpedia.org/ontology/highestMountain".freeze, "http://dbpedia.org/ontology/highestPlace".freeze, "http://dbpedia.org/ontology/highestPoint".freeze, "http://dbpedia.org/ontology/highestPointIsland".freeze, "http://dbpedia.org/ontology/highestPosition".freeze, "http://dbpedia.org/ontology/highestRank".freeze, "http://dbpedia.org/ontology/highestRegion".freeze, "http://dbpedia.org/ontology/highestState".freeze, "http://dbpedia.org/ontology/highschool".freeze, "http://dbpedia.org/ontology/highwaySystem".freeze, "http://dbpedia.org/ontology/hipSize".freeze, "http://dbpedia.org/ontology/historicalMap".freeze, "http://dbpedia.org/ontology/historicalName".freeze, "http://dbpedia.org/ontology/historicalRegion".freeze, "http://dbpedia.org/ontology/hof".freeze, "http://dbpedia.org/ontology/homage".freeze, "http://dbpedia.org/ontology/homeArena".freeze, "http://dbpedia.org/ontology/homeColourHexCode".freeze, "http://dbpedia.org/ontology/homeStadium".freeze, "http://dbpedia.org/ontology/homeport".freeze, "http://dbpedia.org/ontology/hometown".freeze, "http://dbpedia.org/ontology/honours".freeze, "http://dbpedia.org/ontology/hopmanCup".freeze, "http://dbpedia.org/ontology/horseRidingDiscipline".freeze, "http://dbpedia.org/ontology/house".freeze, "http://dbpedia.org/ontology/hraState".freeze, "http://dbpedia.org/ontology/hsvCoordinateHue".freeze, "http://dbpedia.org/ontology/hsvCoordinateSaturation".freeze, "http://dbpedia.org/ontology/hsvCoordinateValue".freeze, "http://dbpedia.org/ontology/hubAirport".freeze, "http://dbpedia.org/ontology/humanDevelopmentIndex".freeze, "http://dbpedia.org/ontology/humanDevelopmentIndexAsOf".freeze, "http://dbpedia.org/ontology/humanDevelopmentIndexRank".freeze, "http://dbpedia.org/ontology/humanDevelopmentIndexRankingCategory".freeze, "http://dbpedia.org/ontology/hybrid".freeze, "http://dbpedia.org/ontology/iafdId".freeze, "http://dbpedia.org/ontology/iataAirlineCode".freeze, "http://dbpedia.org/ontology/iataLocationIdentifier".freeze, "http://dbpedia.org/ontology/ibdbId".freeze, "http://dbpedia.org/ontology/icaoAirlineCode".freeze, "http://dbpedia.org/ontology/icaoLocationIdentifier".freeze, "http://dbpedia.org/ontology/icd1".freeze, "http://dbpedia.org/ontology/icd10".freeze, "http://dbpedia.org/ontology/icd9".freeze, "http://dbpedia.org/ontology/icdo".freeze, "http://dbpedia.org/ontology/iconographicAttributes".freeze, "http://dbpedia.org/ontology/id".freeze, "http://dbpedia.org/ontology/idAllocine".freeze, "http://dbpedia.org/ontology/idNumber".freeze, "http://dbpedia.org/ontology/identificationSymbol".freeze, "http://dbpedia.org/ontology/ideology".freeze, "http://dbpedia.org/ontology/iftaAward".freeze, "http://dbpedia.org/ontology/iihfHof".freeze, "http://dbpedia.org/ontology/illiteracy".freeze, "http://dbpedia.org/ontology/illustrator".freeze, "http://dbpedia.org/ontology/imageSize".freeze, "http://dbpedia.org/ontology/imdbId".freeze, "http://dbpedia.org/ontology/impactFactor".freeze, "http://dbpedia.org/ontology/impactFactorAsOf".freeze, "http://dbpedia.org/ontology/importantStation".freeze, "http://dbpedia.org/ontology/imposedDanseCompetition".freeze, "http://dbpedia.org/ontology/imposedDanseScore".freeze, "http://dbpedia.org/ontology/inCemetery".freeze, "http://dbpedia.org/ontology/inchi".freeze, "http://dbpedia.org/ontology/inclination".freeze, "http://dbpedia.org/ontology/income".freeze, "http://dbpedia.org/ontology/incumbent".freeze, "http://dbpedia.org/ontology/individualisedGnd".freeze, "http://dbpedia.org/ontology/individualisedPnd".freeze, "http://dbpedia.org/ontology/industry".freeze, "http://dbpedia.org/ontology/infantMortality".freeze, "http://dbpedia.org/ontology/inflow".freeze, "http://dbpedia.org/ontology/influenced".freeze, "http://dbpedia.org/ontology/influencedBy".freeze, "http://dbpedia.org/ontology/information".freeze, "http://dbpedia.org/ontology/informationName".freeze, "http://dbpedia.org/ontology/ingredient".freeze, "http://dbpedia.org/ontology/ingredientName".freeze, "http://dbpedia.org/ontology/initiallyUsedFor".freeze, "http://dbpedia.org/ontology/inn".freeze, "http://dbpedia.org/ontology/innervates".freeze, "http://dbpedia.org/ontology/inscription".freeze, "http://dbpedia.org/ontology/inseeCode".freeze, "http://dbpedia.org/ontology/installedCapacity".freeze, "http://dbpedia.org/ontology/institution".freeze, "http://dbpedia.org/ontology/instrument".freeze, "http://dbpedia.org/ontology/intercommunality".freeze, "http://dbpedia.org/ontology/interest".freeze, "http://dbpedia.org/ontology/internationalAffiliation".freeze, "http://dbpedia.org/ontology/internationalPhonePrefix".freeze, "http://dbpedia.org/ontology/internationalPhonePrefixLabel".freeze, "http://dbpedia.org/ontology/internationally".freeze, "http://dbpedia.org/ontology/introduced".freeze, "http://dbpedia.org/ontology/introductionDate".freeze, "http://dbpedia.org/ontology/iobdbId".freeze, "http://dbpedia.org/ontology/isCityState".freeze, "http://dbpedia.org/ontology/isHandicappedAccessible".freeze, "http://dbpedia.org/ontology/isPartOf".freeze, "http://dbpedia.org/ontology/isPartOfAnatomicalStructure".freeze, "http://dbpedia.org/ontology/isPartOfMilitaryConflict".freeze, "http://dbpedia.org/ontology/isPartOfName".freeze, "http://dbpedia.org/ontology/isPartOfWineRegion".freeze, "http://dbpedia.org/ontology/isPeerReviewed".freeze, "http://dbpedia.org/ontology/isRouteStop".freeze, "http://dbpedia.org/ontology/isbn".freeze, "http://dbpedia.org/ontology/isil".freeze, "http://dbpedia.org/ontology/island".freeze, "http://dbpedia.org/ontology/isniId".freeze, "http://dbpedia.org/ontology/iso31661Code".freeze, "http://dbpedia.org/ontology/iso6391Code".freeze, "http://dbpedia.org/ontology/iso6392Code".freeze, "http://dbpedia.org/ontology/iso6393Code".freeze, "http://dbpedia.org/ontology/isoCode".freeze, "http://dbpedia.org/ontology/isoCodeRegion".freeze, "http://dbpedia.org/ontology/issDockings".freeze, "http://dbpedia.org/ontology/issn".freeze, "http://dbpedia.org/ontology/ist".freeze, "http://dbpedia.org/ontology/istat".freeze, "http://dbpedia.org/ontology/ithfDate".freeze, "http://dbpedia.org/ontology/iucnCategory".freeze, "http://dbpedia.org/ontology/iupacName".freeze, "http://dbpedia.org/ontology/jockey".freeze, "http://dbpedia.org/ontology/jointCommunity".freeze, "http://dbpedia.org/ontology/jstor".freeze, "http://dbpedia.org/ontology/judge".freeze, "http://dbpedia.org/ontology/juniorSeason".freeze, "http://dbpedia.org/ontology/juniorTeam".freeze, "http://dbpedia.org/ontology/juniorYearsEndYear".freeze, "http://dbpedia.org/ontology/juniorYearsStartYear".freeze, "http://dbpedia.org/ontology/jureLanguage".freeze, "http://dbpedia.org/ontology/jurisdiction".freeze, "http://dbpedia.org/ontology/jutsu".freeze, "http://dbpedia.org/ontology/kegg".freeze, "http://dbpedia.org/ontology/keyPerson".freeze, "http://dbpedia.org/ontology/khlDraft".freeze, "http://dbpedia.org/ontology/khlDraftTeam".freeze, "http://dbpedia.org/ontology/khlDraftYear".freeze, "http://dbpedia.org/ontology/killedBy".freeze, "http://dbpedia.org/ontology/kinOfLanguage".freeze, "http://dbpedia.org/ontology/kindOfCoordinate".freeze, "http://dbpedia.org/ontology/kindOfCriminal".freeze, "http://dbpedia.org/ontology/kindOfCriminalAction".freeze, "http://dbpedia.org/ontology/kindOfRock".freeze, "http://dbpedia.org/ontology/kingdom".freeze, "http://dbpedia.org/ontology/knownFor".freeze, "http://dbpedia.org/ontology/ko".freeze, "http://dbpedia.org/ontology/lahHof".freeze, "http://dbpedia.org/ontology/lake".freeze, "http://dbpedia.org/ontology/land".freeze, "http://dbpedia.org/ontology/landArea".freeze, "http://dbpedia.org/ontology/landPercentage".freeze, "http://dbpedia.org/ontology/landRegistryCode".freeze, "http://dbpedia.org/ontology/landeshauptmann".freeze, "http://dbpedia.org/ontology/landingDate".freeze, "http://dbpedia.org/ontology/landingSite".freeze, "http://dbpedia.org/ontology/landingVehicle".freeze, "http://dbpedia.org/ontology/landskap".freeze, "http://dbpedia.org/ontology/landtag".freeze, "http://dbpedia.org/ontology/landtagMandate".freeze, "http://dbpedia.org/ontology/language".freeze, "http://dbpedia.org/ontology/languageCode".freeze, "http://dbpedia.org/ontology/languageFamily".freeze, "http://dbpedia.org/ontology/languageRegulator".freeze, "http://dbpedia.org/ontology/largestCity".freeze, "http://dbpedia.org/ontology/largestMetro".freeze, "http://dbpedia.org/ontology/largestSettlement".freeze, "http://dbpedia.org/ontology/largestWin".freeze, "http://dbpedia.org/ontology/lastAirDate".freeze, "http://dbpedia.org/ontology/lastAppearance".freeze, "http://dbpedia.org/ontology/lastElectionDate".freeze, "http://dbpedia.org/ontology/lastFamilyMember".freeze, "http://dbpedia.org/ontology/lastFlight".freeze, "http://dbpedia.org/ontology/lastFlightEndDate".freeze, "http://dbpedia.org/ontology/lastFlightStartDate".freeze, "http://dbpedia.org/ontology/lastLaunch".freeze, "http://dbpedia.org/ontology/lastLaunchDate".freeze, "http://dbpedia.org/ontology/lastLaunchRocket".freeze, "http://dbpedia.org/ontology/lastPosition".freeze, "http://dbpedia.org/ontology/lastProMatch".freeze, "http://dbpedia.org/ontology/lastPublicationDate".freeze, "http://dbpedia.org/ontology/lastRace".freeze, "http://dbpedia.org/ontology/lastSeason".freeze, "http://dbpedia.org/ontology/lastWin".freeze, "http://dbpedia.org/ontology/laterality".freeze, "http://dbpedia.org/ontology/latestElection".freeze, "http://dbpedia.org/ontology/latestPreviewDate".freeze, "http://dbpedia.org/ontology/latestPreviewVersion".freeze, "http://dbpedia.org/ontology/latestReleaseDate".freeze, "http://dbpedia.org/ontology/latestReleaseVersion".freeze, "http://dbpedia.org/ontology/latinName".freeze, "http://dbpedia.org/ontology/launch".freeze, "http://dbpedia.org/ontology/launchDate".freeze, "http://dbpedia.org/ontology/launchPad".freeze, "http://dbpedia.org/ontology/launchSite".freeze, "http://dbpedia.org/ontology/launchVehicle".freeze, "http://dbpedia.org/ontology/launches".freeze, "http://dbpedia.org/ontology/laurenceOlivierAward".freeze, "http://dbpedia.org/ontology/lawCountry".freeze, "http://dbpedia.org/ontology/layingDown".freeze, "http://dbpedia.org/ontology/layout".freeze, "http://dbpedia.org/ontology/lcc".freeze, "http://dbpedia.org/ontology/lccn".freeze, "http://dbpedia.org/ontology/lccnId".freeze, "http://dbpedia.org/ontology/lchfDraft".freeze, "http://dbpedia.org/ontology/lchfDraftTeam".freeze, "http://dbpedia.org/ontology/lchfDraftYear".freeze, "http://dbpedia.org/ontology/leadTeam".freeze, "http://dbpedia.org/ontology/leadYear".freeze, "http://dbpedia.org/ontology/leader".freeze, "http://dbpedia.org/ontology/leaderFunction".freeze, "http://dbpedia.org/ontology/leaderName".freeze, "http://dbpedia.org/ontology/leaderParty".freeze, "http://dbpedia.org/ontology/leaderTitle".freeze, "http://dbpedia.org/ontology/leadership".freeze, "http://dbpedia.org/ontology/league".freeze, "http://dbpedia.org/ontology/leagueManager".freeze, "http://dbpedia.org/ontology/leftChild".freeze, "http://dbpedia.org/ontology/leftTributary".freeze, "http://dbpedia.org/ontology/legalArrondissement".freeze, "http://dbpedia.org/ontology/legalArticle".freeze, "http://dbpedia.org/ontology/legalForm".freeze, "http://dbpedia.org/ontology/legislativePeriodName".freeze, "http://dbpedia.org/ontology/legislature".freeze, "http://dbpedia.org/ontology/length".freeze, "http://dbpedia.org/ontology/lengthQuote".freeze, "http://dbpedia.org/ontology/lengthReference".freeze, "http://dbpedia.org/ontology/lethalOnChickens".freeze, "http://dbpedia.org/ontology/lethalOnMice".freeze, "http://dbpedia.org/ontology/lethalOnRabbits".freeze, "http://dbpedia.org/ontology/lethalOnRats".freeze, "http://dbpedia.org/ontology/liberationDate".freeze, "http://dbpedia.org/ontology/libretto".freeze, "http://dbpedia.org/ontology/licenceLetter".freeze, "http://dbpedia.org/ontology/licenceNumber".freeze, "http://dbpedia.org/ontology/licenceNumberLabel".freeze, "http://dbpedia.org/ontology/license".freeze, "http://dbpedia.org/ontology/licensee".freeze, "http://dbpedia.org/ontology/lieutenancy".freeze, "http://dbpedia.org/ontology/lieutenancyArea".freeze, "http://dbpedia.org/ontology/lieutenant".freeze, "http://dbpedia.org/ontology/lifeExpectancy".freeze, "http://dbpedia.org/ontology/limit".freeze, "http://dbpedia.org/ontology/lineLength".freeze, "http://dbpedia.org/ontology/linguisticsTradition".freeze, "http://dbpedia.org/ontology/linkedSpace".freeze, "http://dbpedia.org/ontology/linkedTo".freeze, "http://dbpedia.org/ontology/listItemOf".freeze, "http://dbpedia.org/ontology/literaryGenre".freeze, "http://dbpedia.org/ontology/littlePoolRecord".freeze, "http://dbpedia.org/ontology/livingPlace".freeze, "http://dbpedia.org/ontology/loadLimit".freeze, "http://dbpedia.org/ontology/localAuthority".freeze, "http://dbpedia.org/ontology/localPhonePrefix".freeze, "http://dbpedia.org/ontology/locality".freeze, "http://dbpedia.org/ontology/localization".freeze, "http://dbpedia.org/ontology/localizationThumbnail".freeze, "http://dbpedia.org/ontology/localizationThumbnailCaption".freeze, "http://dbpedia.org/ontology/locatedInArea".freeze, "http://dbpedia.org/ontology/location".freeze, "http://dbpedia.org/ontology/locationCity".freeze, "http://dbpedia.org/ontology/locationCountry".freeze, "http://dbpedia.org/ontology/locationIdentifier".freeze, "http://dbpedia.org/ontology/locationName".freeze, "http://dbpedia.org/ontology/locomotive".freeze, "http://dbpedia.org/ontology/locusSupplementaryData".freeze, "http://dbpedia.org/ontology/logo".freeze, "http://dbpedia.org/ontology/longDistancePisteKilometre".freeze, "http://dbpedia.org/ontology/longDistancePisteNumber".freeze, "http://dbpedia.org/ontology/longName".freeze, "http://dbpedia.org/ontology/longtype".freeze, "http://dbpedia.org/ontology/lounge".freeze, "http://dbpedia.org/ontology/lowerAge".freeze, "http://dbpedia.org/ontology/lowerEarthOrbitPayload".freeze, "http://dbpedia.org/ontology/lowest".freeze, "http://dbpedia.org/ontology/lowestAltitude".freeze, "http://dbpedia.org/ontology/lowestMountain".freeze, "http://dbpedia.org/ontology/lowestPlace".freeze, "http://dbpedia.org/ontology/lowestPoint".freeze, "http://dbpedia.org/ontology/lowestPosition".freeze, "http://dbpedia.org/ontology/lowestRegion".freeze, "http://dbpedia.org/ontology/lowestState".freeze, "http://dbpedia.org/ontology/lunarEvaTime".freeze, "http://dbpedia.org/ontology/lunarLandingSite".freeze, "http://dbpedia.org/ontology/lunarModule".freeze, "http://dbpedia.org/ontology/lunarOrbitTime".freeze, "http://dbpedia.org/ontology/lunarRover".freeze, "http://dbpedia.org/ontology/lunarSampleMass".freeze, "http://dbpedia.org/ontology/lunarSurfaceTime".freeze, "http://dbpedia.org/ontology/lymph".freeze, "http://dbpedia.org/ontology/lyrics".freeze, "http://dbpedia.org/ontology/magazine".freeze, "http://dbpedia.org/ontology/maidenFlight".freeze, "http://dbpedia.org/ontology/maidenFlightRocket".freeze, "http://dbpedia.org/ontology/maidenVoyage".freeze, "http://dbpedia.org/ontology/mainBuilding".freeze, "http://dbpedia.org/ontology/mainCharacter".freeze, "http://dbpedia.org/ontology/mainDomain".freeze, "http://dbpedia.org/ontology/mainFamilyBranch".freeze, "http://dbpedia.org/ontology/mainInterest".freeze, "http://dbpedia.org/ontology/mainIsland".freeze, "http://dbpedia.org/ontology/mainIslands".freeze, "http://dbpedia.org/ontology/mainOrgan".freeze, "http://dbpedia.org/ontology/mainspan".freeze, "http://dbpedia.org/ontology/maintainedBy".freeze, "http://dbpedia.org/ontology/majorIsland".freeze, "http://dbpedia.org/ontology/majorShrine".freeze, "http://dbpedia.org/ontology/majorityFloorLeader".freeze, "http://dbpedia.org/ontology/majorityLeader".freeze, "http://dbpedia.org/ontology/makeupArtist".freeze, "http://dbpedia.org/ontology/management".freeze, "http://dbpedia.org/ontology/managementCountry".freeze, "http://dbpedia.org/ontology/managementElevation".freeze, "http://dbpedia.org/ontology/managementMountain".freeze, "http://dbpedia.org/ontology/managementPlace".freeze, "http://dbpedia.org/ontology/managementPosition".freeze, "http://dbpedia.org/ontology/managementRegion".freeze, "http://dbpedia.org/ontology/manager".freeze, "http://dbpedia.org/ontology/managerClub".freeze, "http://dbpedia.org/ontology/managerSeason".freeze, "http://dbpedia.org/ontology/managerTitle".freeze, "http://dbpedia.org/ontology/managerYears".freeze, "http://dbpedia.org/ontology/managerYearsEndYear".freeze, "http://dbpedia.org/ontology/managerYearsStartYear".freeze, "http://dbpedia.org/ontology/managingEditor".freeze, "http://dbpedia.org/ontology/mandate".freeze, "http://dbpedia.org/ontology/manufactory".freeze, "http://dbpedia.org/ontology/manufacturer".freeze, "http://dbpedia.org/ontology/map".freeze, "http://dbpedia.org/ontology/mapCaption".freeze, "http://dbpedia.org/ontology/mapDescription".freeze, "http://dbpedia.org/ontology/march".freeze, "http://dbpedia.org/ontology/marketCapitalisation".freeze, "http://dbpedia.org/ontology/mascot".freeze, "http://dbpedia.org/ontology/mass".freeze, "http://dbpedia.org/ontology/massif".freeze, "http://dbpedia.org/ontology/mastersWins".freeze, "http://dbpedia.org/ontology/matchPoint".freeze, "http://dbpedia.org/ontology/material".freeze, "http://dbpedia.org/ontology/max".freeze, "http://dbpedia.org/ontology/maxAbsoluteMagnitude".freeze, "http://dbpedia.org/ontology/maxApparentMagnitude".freeze, "http://dbpedia.org/ontology/maxTime".freeze, "http://dbpedia.org/ontology/maximumArea".freeze, "http://dbpedia.org/ontology/maximumAreaQuote".freeze, "http://dbpedia.org/ontology/maximumBoatBeam".freeze, "http://dbpedia.org/ontology/maximumBoatLength".freeze, "http://dbpedia.org/ontology/maximumDepth".freeze, "http://dbpedia.org/ontology/maximumDepthQuote".freeze, "http://dbpedia.org/ontology/maximumDischarge".freeze, "http://dbpedia.org/ontology/maximumElevation".freeze, "http://dbpedia.org/ontology/maximumInclination".freeze, "http://dbpedia.org/ontology/maximumTemperature".freeze, "http://dbpedia.org/ontology/mayor".freeze, "http://dbpedia.org/ontology/mayorArticle".freeze, "http://dbpedia.org/ontology/mayorCouncillor".freeze, "http://dbpedia.org/ontology/mayorFunction".freeze, "http://dbpedia.org/ontology/mayorMandate".freeze, "http://dbpedia.org/ontology/mayorTitle".freeze, "http://dbpedia.org/ontology/mbaId".freeze, "http://dbpedia.org/ontology/meanRadius".freeze, "http://dbpedia.org/ontology/meanTemperature".freeze, "http://dbpedia.org/ontology/meaning".freeze, "http://dbpedia.org/ontology/measurements".freeze, "http://dbpedia.org/ontology/medalist".freeze, "http://dbpedia.org/ontology/media".freeze, "http://dbpedia.org/ontology/mediaItem".freeze, "http://dbpedia.org/ontology/mediaType".freeze, "http://dbpedia.org/ontology/medicalCause".freeze, "http://dbpedia.org/ontology/medicalDiagnosis".freeze, "http://dbpedia.org/ontology/medicalSpecialty".freeze, "http://dbpedia.org/ontology/medication".freeze, "http://dbpedia.org/ontology/medlinePlus".freeze, "http://dbpedia.org/ontology/meetingBuilding".freeze, "http://dbpedia.org/ontology/meetingCity".freeze, "http://dbpedia.org/ontology/meetingRoad".freeze, "http://dbpedia.org/ontology/meltingPoint".freeze, "http://dbpedia.org/ontology/member".freeze, "http://dbpedia.org/ontology/memberOfParliament".freeze, "http://dbpedia.org/ontology/membership".freeze, "http://dbpedia.org/ontology/membershipAsOf".freeze, "http://dbpedia.org/ontology/mentor".freeze, "http://dbpedia.org/ontology/mergedSettlement".freeze, "http://dbpedia.org/ontology/mergedWith".freeze, "http://dbpedia.org/ontology/mergerDate".freeze, "http://dbpedia.org/ontology/meshId".freeze, "http://dbpedia.org/ontology/meshName".freeze, "http://dbpedia.org/ontology/meshNumber".freeze, "http://dbpedia.org/ontology/messierName".freeze, "http://dbpedia.org/ontology/metropolitanBorough".freeze, "http://dbpedia.org/ontology/mgiid".freeze, "http://dbpedia.org/ontology/militaryBranch".freeze, "http://dbpedia.org/ontology/militaryCommand".freeze, "http://dbpedia.org/ontology/militaryFunction".freeze, "http://dbpedia.org/ontology/militaryGovernment".freeze, "http://dbpedia.org/ontology/militaryRank".freeze, "http://dbpedia.org/ontology/militaryService".freeze, "http://dbpedia.org/ontology/militaryUnit".freeze, "http://dbpedia.org/ontology/militaryUnitSize".freeze, "http://dbpedia.org/ontology/millSpan".freeze, "http://dbpedia.org/ontology/millType".freeze, "http://dbpedia.org/ontology/millsCodeBE".freeze, "http://dbpedia.org/ontology/millsCodeDutch".freeze, "http://dbpedia.org/ontology/millsCodeNL".freeze, "http://dbpedia.org/ontology/millsCodeNLVerdwenen".freeze, "http://dbpedia.org/ontology/millsCodeNLWindmotoren".freeze, "http://dbpedia.org/ontology/min".freeze, "http://dbpedia.org/ontology/minTime".freeze, "http://dbpedia.org/ontology/minimumArea".freeze, "http://dbpedia.org/ontology/minimumAreaQuote".freeze, "http://dbpedia.org/ontology/minimumDischarge".freeze, "http://dbpedia.org/ontology/minimumElevation".freeze, "http://dbpedia.org/ontology/minimumInclination".freeze, "http://dbpedia.org/ontology/minimumTemperature".freeze, "http://dbpedia.org/ontology/minister".freeze, "http://dbpedia.org/ontology/minority".freeze, "http://dbpedia.org/ontology/minorityFloorLeader".freeze, "http://dbpedia.org/ontology/minorityLeader".freeze, "http://dbpedia.org/ontology/mirDockings".freeze, "http://dbpedia.org/ontology/mission".freeze, "http://dbpedia.org/ontology/missionDuration".freeze, "http://dbpedia.org/ontology/missions".freeze, "http://dbpedia.org/ontology/model".freeze, "http://dbpedia.org/ontology/modelEndDate".freeze, "http://dbpedia.org/ontology/modelEndYear".freeze, "http://dbpedia.org/ontology/modelLineVehicle".freeze, "http://dbpedia.org/ontology/modelStartDate".freeze, "http://dbpedia.org/ontology/modelStartYear".freeze, "http://dbpedia.org/ontology/molarMass".freeze, "http://dbpedia.org/ontology/molecularWeight".freeze, "http://dbpedia.org/ontology/monarch".freeze, "http://dbpedia.org/ontology/month".freeze, "http://dbpedia.org/ontology/mood".freeze, "http://dbpedia.org/ontology/mostDownPoint".freeze, "http://dbpedia.org/ontology/mostSuccessfulPlayer".freeze, "http://dbpedia.org/ontology/mostWins".freeze, "http://dbpedia.org/ontology/mother".freeze, "http://dbpedia.org/ontology/motive".freeze, "http://dbpedia.org/ontology/motto".freeze, "http://dbpedia.org/ontology/mount".freeze, "http://dbpedia.org/ontology/mountainRange".freeze, "http://dbpedia.org/ontology/mouthCountry".freeze, "http://dbpedia.org/ontology/mouthDistrict".freeze, "http://dbpedia.org/ontology/mouthElevation".freeze, "http://dbpedia.org/ontology/mouthMountain".freeze, "http://dbpedia.org/ontology/mouthPlace".freeze, "http://dbpedia.org/ontology/mouthPosition".freeze, "http://dbpedia.org/ontology/mouthRegion".freeze, "http://dbpedia.org/ontology/mouthState".freeze, "http://dbpedia.org/ontology/movement".freeze, "http://dbpedia.org/ontology/movie".freeze, "http://dbpedia.org/ontology/mukhtar".freeze, "http://dbpedia.org/ontology/municipality".freeze, "http://dbpedia.org/ontology/municipalityAbsorbedBy".freeze, "http://dbpedia.org/ontology/municipalityCode".freeze, "http://dbpedia.org/ontology/municipalityRenamedTo".freeze, "http://dbpedia.org/ontology/municipalityType".freeze, "http://dbpedia.org/ontology/museum".freeze, "http://dbpedia.org/ontology/museumType".freeze, "http://dbpedia.org/ontology/musicBand".freeze, "http://dbpedia.org/ontology/musicBrainzArtistId".freeze, "http://dbpedia.org/ontology/musicBy".freeze, "http://dbpedia.org/ontology/musicComposer".freeze, "http://dbpedia.org/ontology/musicFormat".freeze, "http://dbpedia.org/ontology/musicFusionGenre".freeze, "http://dbpedia.org/ontology/musicSubgenre".freeze, "http://dbpedia.org/ontology/musicType".freeze, "http://dbpedia.org/ontology/musicalArtist".freeze, "http://dbpedia.org/ontology/musicalBand".freeze, "http://dbpedia.org/ontology/musicalKey".freeze, "http://dbpedia.org/ontology/musicians".freeze, "http://dbpedia.org/ontology/muteCharacterInPlay".freeze, "http://dbpedia.org/ontology/mvp".freeze, "http://dbpedia.org/ontology/mythology".freeze, "http://dbpedia.org/ontology/naacpImageAward".freeze, "http://dbpedia.org/ontology/name".freeze, "http://dbpedia.org/ontology/nameAsOf".freeze, "http://dbpedia.org/ontology/nameDay".freeze, "http://dbpedia.org/ontology/nameInCantoneseChinese".freeze, "http://dbpedia.org/ontology/nameInHangulKorean".freeze, "http://dbpedia.org/ontology/nameInHanjaKorean".freeze, "http://dbpedia.org/ontology/nameInJapanese".freeze, "http://dbpedia.org/ontology/nameInMindongyuChinese".freeze, "http://dbpedia.org/ontology/nameInMinnanyuChinese".freeze, "http://dbpedia.org/ontology/nameInPinyinChinese".freeze, "http://dbpedia.org/ontology/nameInSimplifiedChinese".freeze, "http://dbpedia.org/ontology/nameInTraditionalChinese".freeze, "http://dbpedia.org/ontology/nameInWadeGilesChinese".freeze, "http://dbpedia.org/ontology/namedAfter".freeze, "http://dbpedia.org/ontology/namedByLanguage".freeze, "http://dbpedia.org/ontology/names".freeze, "http://dbpedia.org/ontology/narrator".freeze, "http://dbpedia.org/ontology/nation".freeze, "http://dbpedia.org/ontology/nationalAffiliation".freeze, "http://dbpedia.org/ontology/nationalChampionship".freeze, "http://dbpedia.org/ontology/nationalFilmAward".freeze, "http://dbpedia.org/ontology/nationalOlympicCommittee".freeze, "http://dbpedia.org/ontology/nationalRanking".freeze, "http://dbpedia.org/ontology/nationalSelection".freeze, "http://dbpedia.org/ontology/nationalTeam".freeze, "http://dbpedia.org/ontology/nationalTeamMatchPoint".freeze, "http://dbpedia.org/ontology/nationalTeamYear".freeze, "http://dbpedia.org/ontology/nationalTopographicSystemMapNumber".freeze, "http://dbpedia.org/ontology/nationalTournament".freeze, "http://dbpedia.org/ontology/nationalTournamentBronze".freeze, "http://dbpedia.org/ontology/nationalTournamentGold".freeze, "http://dbpedia.org/ontology/nationalTournamentSilver".freeze, "http://dbpedia.org/ontology/nationalYears".freeze, "http://dbpedia.org/ontology/nationality".freeze, "http://dbpedia.org/ontology/ncaaSeason".freeze, "http://dbpedia.org/ontology/ncaaTeam".freeze, "http://dbpedia.org/ontology/ncbhof".freeze, "http://dbpedia.org/ontology/nciId".freeze, "http://dbpedia.org/ontology/ndlId".freeze, "http://dbpedia.org/ontology/nearestCity".freeze, "http://dbpedia.org/ontology/neighboringMunicipality".freeze, "http://dbpedia.org/ontology/neighbourConstellations".freeze, "http://dbpedia.org/ontology/neighbourRegion".freeze, "http://dbpedia.org/ontology/neighbourhood".freeze, "http://dbpedia.org/ontology/nerve".freeze, "http://dbpedia.org/ontology/netIncome".freeze, "http://dbpedia.org/ontology/network".freeze, "http://dbpedia.org/ontology/networth".freeze, "http://dbpedia.org/ontology/newspaper".freeze, "http://dbpedia.org/ontology/nextEntity".freeze, "http://dbpedia.org/ontology/nextEvent".freeze, "http://dbpedia.org/ontology/nextMission".freeze, "http://dbpedia.org/ontology/nflCode".freeze, "http://dbpedia.org/ontology/nflSeason".freeze, "http://dbpedia.org/ontology/nflTeam".freeze, "http://dbpedia.org/ontology/ngcName".freeze, "http://dbpedia.org/ontology/nisCode".freeze, "http://dbpedia.org/ontology/nlaId".freeze, "http://dbpedia.org/ontology/nndbId".freeze, "http://dbpedia.org/ontology/noContest".freeze, "http://dbpedia.org/ontology/nobelLaureates".freeze, "http://dbpedia.org/ontology/nominee".freeze, "http://dbpedia.org/ontology/nonFictionSubject".freeze, "http://dbpedia.org/ontology/nonProfessionalCareer".freeze, "http://dbpedia.org/ontology/nord".freeze, "http://dbpedia.org/ontology/northEastPlace".freeze, "http://dbpedia.org/ontology/northPlace".freeze, "http://dbpedia.org/ontology/northWestPlace".freeze, "http://dbpedia.org/ontology/notSolubleIn".freeze, "http://dbpedia.org/ontology/notableCommander".freeze, "http://dbpedia.org/ontology/notableFeatures".freeze, "http://dbpedia.org/ontology/notableIdea".freeze, "http://dbpedia.org/ontology/notableStudent".freeze, "http://dbpedia.org/ontology/notableWine".freeze, "http://dbpedia.org/ontology/notableWork".freeze, "http://dbpedia.org/ontology/note".freeze, "http://dbpedia.org/ontology/noteOnPlaceOfBurial".freeze, "http://dbpedia.org/ontology/noteOnRestingPlace".freeze, "http://dbpedia.org/ontology/notes".freeze, "http://dbpedia.org/ontology/notifyDate".freeze, "http://dbpedia.org/ontology/novel".freeze, "http://dbpedia.org/ontology/nrhpReferenceNumber".freeze, "http://dbpedia.org/ontology/nrhpType".freeze, "http://dbpedia.org/ontology/nssdcId".freeze, "http://dbpedia.org/ontology/number".freeze, "http://dbpedia.org/ontology/numberBuilt".freeze, "http://dbpedia.org/ontology/numberOfAcademicStaff".freeze, "http://dbpedia.org/ontology/numberOfAlbums".freeze, "http://dbpedia.org/ontology/numberOfArrondissement".freeze, "http://dbpedia.org/ontology/numberOfBombs".freeze, "http://dbpedia.org/ontology/numberOfBronzeMedalsWon".freeze, "http://dbpedia.org/ontology/numberOfCanton".freeze, "http://dbpedia.org/ontology/numberOfCantons".freeze, "http://dbpedia.org/ontology/numberOfCapitalDeputies".freeze, "http://dbpedia.org/ontology/numberOfCity".freeze, "http://dbpedia.org/ontology/numberOfClasses".freeze, "http://dbpedia.org/ontology/numberOfClassesWithResource".freeze, "http://dbpedia.org/ontology/numberOfClassrooms".freeze, "http://dbpedia.org/ontology/numberOfClubs".freeze, "http://dbpedia.org/ontology/numberOfCollectionItems".freeze, "http://dbpedia.org/ontology/numberOfCompetitors".freeze, "http://dbpedia.org/ontology/numberOfCounties".freeze, "http://dbpedia.org/ontology/numberOfCountries".freeze, "http://dbpedia.org/ontology/numberOfCrew".freeze, "http://dbpedia.org/ontology/numberOfDeaths".freeze, "http://dbpedia.org/ontology/numberOfDependency".freeze, "http://dbpedia.org/ontology/numberOfDisambiguates".freeze, "http://dbpedia.org/ontology/numberOfDistrict".freeze, "http://dbpedia.org/ontology/numberOfDistricts".freeze, "http://dbpedia.org/ontology/numberOfDoctoralStudents".freeze, "http://dbpedia.org/ontology/numberOfDoors".freeze, "http://dbpedia.org/ontology/numberOfEmployees".freeze, "http://dbpedia.org/ontology/numberOfEntrances".freeze, "http://dbpedia.org/ontology/numberOfEpisodes".freeze, "http://dbpedia.org/ontology/numberOfFederalDeputies".freeze, "http://dbpedia.org/ontology/numberOfFilms".freeze, "http://dbpedia.org/ontology/numberOfGoals".freeze, "http://dbpedia.org/ontology/numberOfGoldMedalsWon".freeze, "http://dbpedia.org/ontology/numberOfGraduateStudents".freeze, "http://dbpedia.org/ontology/numberOfGraves".freeze, "http://dbpedia.org/ontology/numberOfHoles".freeze, "http://dbpedia.org/ontology/numberOfHouses".freeze, "http://dbpedia.org/ontology/numberOfIndegree".freeze, "http://dbpedia.org/ontology/numberOfIntercommunality".freeze, "http://dbpedia.org/ontology/numberOfIsland".freeze, "http://dbpedia.org/ontology/numberOfIslands".freeze, "http://dbpedia.org/ontology/numberOfLanes".freeze, "http://dbpedia.org/ontology/numberOfLaps".freeze, "http://dbpedia.org/ontology/numberOfLaunches".freeze, "http://dbpedia.org/ontology/numberOfLawyers".freeze, "http://dbpedia.org/ontology/numberOfLifts".freeze, "http://dbpedia.org/ontology/numberOfLines".freeze, "http://dbpedia.org/ontology/numberOfLiveAlbums".freeze, "http://dbpedia.org/ontology/numberOfLocations".freeze, "http://dbpedia.org/ontology/numberOfMatches".freeze, "http://dbpedia.org/ontology/numberOfMembers".freeze, "http://dbpedia.org/ontology/numberOfMembersAsOf".freeze, "http://dbpedia.org/ontology/numberOfMinistries".freeze, "http://dbpedia.org/ontology/numberOfMunicipalities".freeze, "http://dbpedia.org/ontology/numberOfMusicalArtistEntities".freeze, "http://dbpedia.org/ontology/numberOfMusicalArtistInstrument".freeze, "http://dbpedia.org/ontology/numberOfMusicalArtistStyle".freeze, "http://dbpedia.org/ontology/numberOfNeighbourhood".freeze, "http://dbpedia.org/ontology/numberOfNewlyIntroducedSports".freeze, "http://dbpedia.org/ontology/numberOfOffices".freeze, "http://dbpedia.org/ontology/numberOfOfficials".freeze, "http://dbpedia.org/ontology/numberOfOrbits".freeze, "http://dbpedia.org/ontology/numberOfOutdegree".freeze, "http://dbpedia.org/ontology/numberOfPads".freeze, "http://dbpedia.org/ontology/numberOfPages".freeze, "http://dbpedia.org/ontology/numberOfParkingSpaces".freeze, "http://dbpedia.org/ontology/numberOfParticipatingAthletes".freeze, "http://dbpedia.org/ontology/numberOfParticipatingFemaleAthletes".freeze, "http://dbpedia.org/ontology/numberOfParticipatingMaleAthletes".freeze, "http://dbpedia.org/ontology/numberOfParticipatingNations".freeze, "http://dbpedia.org/ontology/numberOfPassengers".freeze, "http://dbpedia.org/ontology/numberOfPeopleAttending".freeze, "http://dbpedia.org/ontology/numberOfPeopleLicensed".freeze, "http://dbpedia.org/ontology/numberOfPersonBornInPlace".freeze, "http://dbpedia.org/ontology/numberOfPersonEntities".freeze, "http://dbpedia.org/ontology/numberOfPersonFromUniversity".freeze, "http://dbpedia.org/ontology/numberOfPersonInOccupation".freeze, "http://dbpedia.org/ontology/numberOfPiersInWater".freeze, "http://dbpedia.org/ontology/numberOfPixels".freeze, "http://dbpedia.org/ontology/numberOfPlatformLevels".freeze, "http://dbpedia.org/ontology/numberOfPlayers".freeze, "http://dbpedia.org/ontology/numberOfPostgraduateStudents".freeze, "http://dbpedia.org/ontology/numberOfPredicates".freeze, "http://dbpedia.org/ontology/numberOfProfessionals".freeze, "http://dbpedia.org/ontology/numberOfProperties".freeze, "http://dbpedia.org/ontology/numberOfPropertiesUsed".freeze, "http://dbpedia.org/ontology/numberOfReactors".freeze, "http://dbpedia.org/ontology/numberOfRedirectedResource".freeze, "http://dbpedia.org/ontology/numberOfResource".freeze, "http://dbpedia.org/ontology/numberOfResourceOfClass".freeze, "http://dbpedia.org/ontology/numberOfResourceOfType".freeze, "http://dbpedia.org/ontology/numberOfResourceWithType".freeze, "http://dbpedia.org/ontology/numberOfRestaurants".freeze, "http://dbpedia.org/ontology/numberOfRockets".freeze, "http://dbpedia.org/ontology/numberOfRooms".freeze, "http://dbpedia.org/ontology/numberOfRun".freeze, "http://dbpedia.org/ontology/numberOfSeasons".freeze, "http://dbpedia.org/ontology/numberOfSeats".freeze, "http://dbpedia.org/ontology/numberOfSeatsInParliament".freeze, "http://dbpedia.org/ontology/numberOfSettlement".freeze, "http://dbpedia.org/ontology/numberOfSettlementsInCountry".freeze, "http://dbpedia.org/ontology/numberOfSilverMedalsWon".freeze, "http://dbpedia.org/ontology/numberOfSoccerPlayerInCountryRepre".freeze, "http://dbpedia.org/ontology/numberOfSoccerPlayersBornInPlace".freeze, "http://dbpedia.org/ontology/numberOfSoccerPlayersInTeam".freeze, "http://dbpedia.org/ontology/numberOfSpans".freeze, "http://dbpedia.org/ontology/numberOfSpeakers".freeze, "http://dbpedia.org/ontology/numberOfSports".freeze, "http://dbpedia.org/ontology/numberOfSportsEvents".freeze, "http://dbpedia.org/ontology/numberOfStaff".freeze, "http://dbpedia.org/ontology/numberOfStars".freeze, "http://dbpedia.org/ontology/numberOfStateDeputies".freeze, "http://dbpedia.org/ontology/numberOfStations".freeze, "http://dbpedia.org/ontology/numberOfStores".freeze, "http://dbpedia.org/ontology/numberOfStudents".freeze, "http://dbpedia.org/ontology/numberOfStudioAlbums".freeze, "http://dbpedia.org/ontology/numberOfSuites".freeze, "http://dbpedia.org/ontology/numberOfTeams".freeze, "http://dbpedia.org/ontology/numberOfTracks".freeze, "http://dbpedia.org/ontology/numberOfTrails".freeze, "http://dbpedia.org/ontology/numberOfTriples".freeze, "http://dbpedia.org/ontology/numberOfTurns".freeze, "http://dbpedia.org/ontology/numberOfUndergraduateStudents".freeze, "http://dbpedia.org/ontology/numberOfUniqeResources".freeze, "http://dbpedia.org/ontology/numberOfUseOfProperty".freeze, "http://dbpedia.org/ontology/numberOfVehicles".freeze, "http://dbpedia.org/ontology/numberOfVillages".freeze, "http://dbpedia.org/ontology/numberOfVineyards".freeze, "http://dbpedia.org/ontology/numberOfVisitors".freeze, "http://dbpedia.org/ontology/numberOfVisitorsAsOf".freeze, "http://dbpedia.org/ontology/numberOfVolumes".freeze, "http://dbpedia.org/ontology/numberOfVolunteers".freeze, "http://dbpedia.org/ontology/numberOfWineries".freeze, "http://dbpedia.org/ontology/numberSold".freeze, "http://dbpedia.org/ontology/nutsCode".freeze, "http://dbpedia.org/ontology/observatory".freeze, "http://dbpedia.org/ontology/occupation".freeze, "http://dbpedia.org/ontology/oclc".freeze, "http://dbpedia.org/ontology/odor".freeze, "http://dbpedia.org/ontology/offeredClasses".freeze, "http://dbpedia.org/ontology/office".freeze, "http://dbpedia.org/ontology/officerInCharge".freeze, "http://dbpedia.org/ontology/officialLanguage".freeze, "http://dbpedia.org/ontology/officialName".freeze, "http://dbpedia.org/ontology/officialOpenedBy".freeze, "http://dbpedia.org/ontology/officialSchoolColour".freeze, "http://dbpedia.org/ontology/ofsCode".freeze, "http://dbpedia.org/ontology/oilSystem".freeze, "http://dbpedia.org/ontology/okatoCode".freeze, "http://dbpedia.org/ontology/oldDistrict".freeze, "http://dbpedia.org/ontology/oldName".freeze, "http://dbpedia.org/ontology/oldProvince".freeze, "http://dbpedia.org/ontology/oldTeamCoached".freeze, "http://dbpedia.org/ontology/oldcode".freeze, "http://dbpedia.org/ontology/olivierAward".freeze, "http://dbpedia.org/ontology/olympicGames".freeze, "http://dbpedia.org/ontology/olympicGamesBronze".freeze, "http://dbpedia.org/ontology/olympicGamesGold".freeze, "http://dbpedia.org/ontology/olympicGamesSilver".freeze, "http://dbpedia.org/ontology/olympicGamesWins".freeze, "http://dbpedia.org/ontology/olympicOathSwornBy".freeze, "http://dbpedia.org/ontology/olympicOathSwornByAthlete".freeze, "http://dbpedia.org/ontology/olympicOathSwornByJudge".freeze, "http://dbpedia.org/ontology/omim".freeze, "http://dbpedia.org/ontology/onChromosome".freeze, "http://dbpedia.org/ontology/ons".freeze, "http://dbpedia.org/ontology/openAccessContent".freeze, "http://dbpedia.org/ontology/openingDate".freeze, "http://dbpedia.org/ontology/openingFilm".freeze, "http://dbpedia.org/ontology/openingTheme".freeze, "http://dbpedia.org/ontology/openingYear".freeze, "http://dbpedia.org/ontology/operatingIncome".freeze, "http://dbpedia.org/ontology/operatingSystem".freeze, "http://dbpedia.org/ontology/operator".freeze, "http://dbpedia.org/ontology/opponent".freeze, "http://dbpedia.org/ontology/opponents".freeze, "http://dbpedia.org/ontology/orbitalEccentricity".freeze, "http://dbpedia.org/ontology/orbitalFlights".freeze, "http://dbpedia.org/ontology/orbitalInclination".freeze, "http://dbpedia.org/ontology/orbitalPeriod".freeze, "http://dbpedia.org/ontology/orbits".freeze, "http://dbpedia.org/ontology/orcidId".freeze, "http://dbpedia.org/ontology/order".freeze, "http://dbpedia.org/ontology/orderDate".freeze, "http://dbpedia.org/ontology/orderInOffice".freeze, "http://dbpedia.org/ontology/ordination".freeze, "http://dbpedia.org/ontology/organ".freeze, "http://dbpedia.org/ontology/organSystem".freeze, "http://dbpedia.org/ontology/organisation".freeze, "http://dbpedia.org/ontology/organisationMember".freeze, "http://dbpedia.org/ontology/orientation".freeze, "http://dbpedia.org/ontology/origin".freeze, "http://dbpedia.org/ontology/originalDanseCompetition".freeze, "http://dbpedia.org/ontology/originalDanseScore".freeze, "http://dbpedia.org/ontology/originalEndPoint".freeze, "http://dbpedia.org/ontology/originalLanguage".freeze, "http://dbpedia.org/ontology/originalMaximumBoatBeam".freeze, "http://dbpedia.org/ontology/originalMaximumBoatLength".freeze, "http://dbpedia.org/ontology/originalName".freeze, "http://dbpedia.org/ontology/originalStartPoint".freeze, "http://dbpedia.org/ontology/originalTitle".freeze, "http://dbpedia.org/ontology/originallyUsedFor".freeze, "http://dbpedia.org/ontology/origo".freeze, "http://dbpedia.org/ontology/orogeny".freeze, "http://dbpedia.org/ontology/orpha".freeze, "http://dbpedia.org/ontology/orthologousGene".freeze, "http://dbpedia.org/ontology/other".freeze, "http://dbpedia.org/ontology/otherActivity".freeze, "http://dbpedia.org/ontology/otherAppearances".freeze, "http://dbpedia.org/ontology/otherChannel".freeze, "http://dbpedia.org/ontology/otherFamilyBranch".freeze, "http://dbpedia.org/ontology/otherFuelType".freeze, "http://dbpedia.org/ontology/otherFunction".freeze, "http://dbpedia.org/ontology/otherInformation".freeze, "http://dbpedia.org/ontology/otherLanguage".freeze, "http://dbpedia.org/ontology/otherMedia".freeze, "http://dbpedia.org/ontology/otherName".freeze, "http://dbpedia.org/ontology/otherOccupation".freeze, "http://dbpedia.org/ontology/otherParty".freeze, "http://dbpedia.org/ontology/otherServingLines".freeze, "http://dbpedia.org/ontology/otherSportsExperience".freeze, "http://dbpedia.org/ontology/otherWins".freeze, "http://dbpedia.org/ontology/outflow".freeze, "http://dbpedia.org/ontology/output".freeze, "http://dbpedia.org/ontology/outskirts".freeze, "http://dbpedia.org/ontology/overallRecord".freeze, "http://dbpedia.org/ontology/oversight".freeze, "http://dbpedia.org/ontology/owner".freeze, "http://dbpedia.org/ontology/owningCompany".freeze, "http://dbpedia.org/ontology/owningOrganisation".freeze, "http://dbpedia.org/ontology/owns".freeze, "http://dbpedia.org/ontology/painter".freeze, "http://dbpedia.org/ontology/parent".freeze, "http://dbpedia.org/ontology/parentCompany".freeze, "http://dbpedia.org/ontology/parentMountainPeak".freeze, "http://dbpedia.org/ontology/parentOrganisation".freeze, "http://dbpedia.org/ontology/parentheses".freeze, "http://dbpedia.org/ontology/parish".freeze, "http://dbpedia.org/ontology/parkingInformation".freeze, "http://dbpedia.org/ontology/parkingLotsCars".freeze, "http://dbpedia.org/ontology/parkingLotsTrucks".freeze, "http://dbpedia.org/ontology/parliament".freeze, "http://dbpedia.org/ontology/parliamentType".freeze, "http://dbpedia.org/ontology/parliamentaryGroup".freeze, "http://dbpedia.org/ontology/part".freeze, "http://dbpedia.org/ontology/partialFailedLaunches".freeze, "http://dbpedia.org/ontology/participant".freeze, "http://dbpedia.org/ontology/participatingIn".freeze, "http://dbpedia.org/ontology/particularSign".freeze, "http://dbpedia.org/ontology/partitionCoefficient".freeze, "http://dbpedia.org/ontology/partner".freeze, "http://dbpedia.org/ontology/party".freeze, "http://dbpedia.org/ontology/partyNumber".freeze, "http://dbpedia.org/ontology/passengersPerDay".freeze, "http://dbpedia.org/ontology/passengersPerYear".freeze, "http://dbpedia.org/ontology/passengersUsedSystem".freeze, "http://dbpedia.org/ontology/pastMember".freeze, "http://dbpedia.org/ontology/pastor".freeze, "http://dbpedia.org/ontology/patent".freeze, "http://dbpedia.org/ontology/patron".freeze, "http://dbpedia.org/ontology/patronSaint".freeze, "http://dbpedia.org/ontology/pccSecretary".freeze, "http://dbpedia.org/ontology/pdb".freeze, "http://dbpedia.org/ontology/peabodyAward".freeze, "http://dbpedia.org/ontology/penaltiesTeamA".freeze, "http://dbpedia.org/ontology/penaltiesTeamB".freeze, "http://dbpedia.org/ontology/penaltyScore".freeze, "http://dbpedia.org/ontology/pendamicDeaths".freeze, "http://dbpedia.org/ontology/penisLength".freeze, "http://dbpedia.org/ontology/peopleName".freeze, "http://dbpedia.org/ontology/perCapitaIncome".freeze, "http://dbpedia.org/ontology/perCapitaIncomeAsOf".freeze, "http://dbpedia.org/ontology/perCapitaIncomeRank".freeze, "http://dbpedia.org/ontology/percentage".freeze, "http://dbpedia.org/ontology/percentageAlcohol".freeze, "http://dbpedia.org/ontology/percentageFat".freeze, "http://dbpedia.org/ontology/percentageLiteracyMen".freeze, "http://dbpedia.org/ontology/percentageLiteracyWomen".freeze, "http://dbpedia.org/ontology/percentageLiterate".freeze, "http://dbpedia.org/ontology/percentageOfAreaWater".freeze, "http://dbpedia.org/ontology/performer".freeze, "http://dbpedia.org/ontology/periapsis".freeze, "http://dbpedia.org/ontology/perifocus".freeze, "http://dbpedia.org/ontology/perimeter".freeze, "http://dbpedia.org/ontology/period".freeze, "http://dbpedia.org/ontology/perpetrator".freeze, "http://dbpedia.org/ontology/person".freeze, "http://dbpedia.org/ontology/personFunction".freeze, "http://dbpedia.org/ontology/personName".freeze, "http://dbpedia.org/ontology/pgaWins".freeze, "http://dbpedia.org/ontology/philosophicalSchool".freeze, "http://dbpedia.org/ontology/phonePrefix".freeze, "http://dbpedia.org/ontology/phonePrefixLabel".freeze, "http://dbpedia.org/ontology/photographer".freeze, "http://dbpedia.org/ontology/phylum".freeze, "http://dbpedia.org/ontology/picture".freeze, "http://dbpedia.org/ontology/pictureDescription".freeze, "http://dbpedia.org/ontology/pictureFormat".freeze, "http://dbpedia.org/ontology/picturesCommonsCategory".freeze, "http://dbpedia.org/ontology/piercing".freeze, "http://dbpedia.org/ontology/pisciculturalPopulation".freeze, "http://dbpedia.org/ontology/pistonStroke".freeze, "http://dbpedia.org/ontology/place".freeze, "http://dbpedia.org/ontology/placeOfBurial".freeze, "http://dbpedia.org/ontology/placeOfWorship".freeze, "http://dbpedia.org/ontology/plant".freeze, "http://dbpedia.org/ontology/playRole".freeze, "http://dbpedia.org/ontology/playerInTeam".freeze, "http://dbpedia.org/ontology/playerSeason".freeze, "http://dbpedia.org/ontology/playerStatus".freeze, "http://dbpedia.org/ontology/playingTime".freeze, "http://dbpedia.org/ontology/plays".freeze, "http://dbpedia.org/ontology/pluviometry".freeze, "http://dbpedia.org/ontology/podium".freeze, "http://dbpedia.org/ontology/podiums".freeze, "http://dbpedia.org/ontology/pole".freeze, "http://dbpedia.org/ontology/poleDriver".freeze, "http://dbpedia.org/ontology/poleDriverCountry".freeze, "http://dbpedia.org/ontology/poleDriverTeam".freeze, "http://dbpedia.org/ontology/polePosition".freeze, "http://dbpedia.org/ontology/poles".freeze, "http://dbpedia.org/ontology/policeName".freeze, "http://dbpedia.org/ontology/polishFilmAward".freeze, "http://dbpedia.org/ontology/politicGovernmentDepartment".freeze, "http://dbpedia.org/ontology/politicalFunction".freeze, "http://dbpedia.org/ontology/politicalLeader".freeze, "http://dbpedia.org/ontology/politicalMajority".freeze, "http://dbpedia.org/ontology/politicalPartyInLegislature".freeze, "http://dbpedia.org/ontology/politicalPartyOfLeader".freeze, "http://dbpedia.org/ontology/politicalSeats".freeze, "http://dbpedia.org/ontology/politician".freeze, "http://dbpedia.org/ontology/popularVote".freeze, "http://dbpedia.org/ontology/population".freeze, "http://dbpedia.org/ontology/populationAsOf".freeze, "http://dbpedia.org/ontology/populationDensity".freeze, "http://dbpedia.org/ontology/populationMetro".freeze, "http://dbpedia.org/ontology/populationMetroDensity".freeze, "http://dbpedia.org/ontology/populationPctChildren".freeze, "http://dbpedia.org/ontology/populationPctMen".freeze, "http://dbpedia.org/ontology/populationPctWomen".freeze, "http://dbpedia.org/ontology/populationPlace".freeze, "http://dbpedia.org/ontology/populationQuote".freeze, "http://dbpedia.org/ontology/populationRural".freeze, "http://dbpedia.org/ontology/populationRuralDensity".freeze, "http://dbpedia.org/ontology/populationTotal".freeze, "http://dbpedia.org/ontology/populationTotalRanking".freeze, "http://dbpedia.org/ontology/populationTotalReference".freeze, "http://dbpedia.org/ontology/populationUrban".freeze, "http://dbpedia.org/ontology/populationUrbanDensity".freeze, "http://dbpedia.org/ontology/populationYear".freeze, "http://dbpedia.org/ontology/portfolio".freeze, "http://dbpedia.org/ontology/portrayer".freeze, "http://dbpedia.org/ontology/position".freeze, "http://dbpedia.org/ontology/postalCode".freeze, "http://dbpedia.org/ontology/power".freeze, "http://dbpedia.org/ontology/powerOutput".freeze, "http://dbpedia.org/ontology/powerType".freeze, "http://dbpedia.org/ontology/precursor".freeze, "http://dbpedia.org/ontology/predecessor".freeze, "http://dbpedia.org/ontology/prefaceBy".freeze, "http://dbpedia.org/ontology/prefect".freeze, "http://dbpedia.org/ontology/prefectMandate".freeze, "http://dbpedia.org/ontology/prefecture".freeze, "http://dbpedia.org/ontology/prefix".freeze, "http://dbpedia.org/ontology/premiereDate".freeze, "http://dbpedia.org/ontology/premierePlace".freeze, "http://dbpedia.org/ontology/premiereYear".freeze, "http://dbpedia.org/ontology/presentMunicipality".freeze, "http://dbpedia.org/ontology/presentName".freeze, "http://dbpedia.org/ontology/presenter".freeze, "http://dbpedia.org/ontology/president".freeze, "http://dbpedia.org/ontology/presidentGeneralCouncil".freeze, "http://dbpedia.org/ontology/presidentGeneralCouncilMandate".freeze, "http://dbpedia.org/ontology/presidentRegionalCouncil".freeze, "http://dbpedia.org/ontology/presidentRegionalCouncilMandate".freeze, "http://dbpedia.org/ontology/previousDemographics".freeze, "http://dbpedia.org/ontology/previousEditor".freeze, "http://dbpedia.org/ontology/previousEntity".freeze, "http://dbpedia.org/ontology/previousEvent".freeze, "http://dbpedia.org/ontology/previousInfrastructure".freeze, "http://dbpedia.org/ontology/previousMission".freeze, "http://dbpedia.org/ontology/previousName".freeze, "http://dbpedia.org/ontology/previousPopulation".freeze, "http://dbpedia.org/ontology/previousPopulationTotal".freeze, "http://dbpedia.org/ontology/previousWork".freeze, "http://dbpedia.org/ontology/price".freeze, "http://dbpedia.org/ontology/primaryFuelType".freeze, "http://dbpedia.org/ontology/primate".freeze, "http://dbpedia.org/ontology/primeMinister".freeze, "http://dbpedia.org/ontology/primogenitor".freeze, "http://dbpedia.org/ontology/principal".freeze, "http://dbpedia.org/ontology/principalArea".freeze, "http://dbpedia.org/ontology/principalEngineer".freeze, "http://dbpedia.org/ontology/proTeam".freeze, "http://dbpedia.org/ontology/probowlPick".freeze, "http://dbpedia.org/ontology/procedure".freeze, "http://dbpedia.org/ontology/producedBy".freeze, "http://dbpedia.org/ontology/producer".freeze, "http://dbpedia.org/ontology/produces".freeze, "http://dbpedia.org/ontology/product".freeze, "http://dbpedia.org/ontology/productShape".freeze, "http://dbpedia.org/ontology/production".freeze, "http://dbpedia.org/ontology/productionCompany".freeze, "http://dbpedia.org/ontology/productionEndDate".freeze, "http://dbpedia.org/ontology/productionEndYear".freeze, "http://dbpedia.org/ontology/productionStartDate".freeze, "http://dbpedia.org/ontology/productionStartYear".freeze, "http://dbpedia.org/ontology/productionYears".freeze, "http://dbpedia.org/ontology/profession".freeze, "http://dbpedia.org/ontology/programCost".freeze, "http://dbpedia.org/ontology/programmeFormat".freeze, "http://dbpedia.org/ontology/programmingLanguage".freeze, "http://dbpedia.org/ontology/project".freeze, "http://dbpedia.org/ontology/projectBudgetFunding".freeze, "http://dbpedia.org/ontology/projectBudgetTotal".freeze, "http://dbpedia.org/ontology/projectCoordinator".freeze, "http://dbpedia.org/ontology/projectEndDate".freeze, "http://dbpedia.org/ontology/projectKeyword".freeze, "http://dbpedia.org/ontology/projectObjective".freeze, "http://dbpedia.org/ontology/projectParticipant".freeze, "http://dbpedia.org/ontology/projectReferenceID".freeze, "http://dbpedia.org/ontology/projectStartDate".freeze, "http://dbpedia.org/ontology/projectType".freeze, "http://dbpedia.org/ontology/prominence".freeze, "http://dbpedia.org/ontology/promotion".freeze, "http://dbpedia.org/ontology/pronunciation".freeze, "http://dbpedia.org/ontology/prospectLeague".freeze, "http://dbpedia.org/ontology/prospectTeam".freeze, "http://dbpedia.org/ontology/protectionStatus".freeze, "http://dbpedia.org/ontology/protein".freeze, "http://dbpedia.org/ontology/protestantPercentage".freeze, "http://dbpedia.org/ontology/provCode".freeze, "http://dbpedia.org/ontology/provides".freeze, "http://dbpedia.org/ontology/province".freeze, "http://dbpedia.org/ontology/provinceIsoCode".freeze, "http://dbpedia.org/ontology/provinceLink".freeze, "http://dbpedia.org/ontology/provost".freeze, "http://dbpedia.org/ontology/pseudonym".freeze, "http://dbpedia.org/ontology/pubchem".freeze, "http://dbpedia.org/ontology/publication".freeze, "http://dbpedia.org/ontology/publicationDate".freeze, "http://dbpedia.org/ontology/publiclyAccessible".freeze, "http://dbpedia.org/ontology/publisher".freeze, "http://dbpedia.org/ontology/purchasingPowerParity".freeze, "http://dbpedia.org/ontology/purchasingPowerParityRank".freeze, "http://dbpedia.org/ontology/purchasingPowerParityYear".freeze, "http://dbpedia.org/ontology/purpose".freeze, "http://dbpedia.org/ontology/qatarClassic".freeze, "http://dbpedia.org/ontology/quebecerTitle".freeze, "http://dbpedia.org/ontology/quotation".freeze, "http://dbpedia.org/ontology/quote".freeze, "http://dbpedia.org/ontology/ra".freeze, "http://dbpedia.org/ontology/race".freeze, "http://dbpedia.org/ontology/raceHorse".freeze, "http://dbpedia.org/ontology/raceLength".freeze, "http://dbpedia.org/ontology/raceResult".freeze, "http://dbpedia.org/ontology/raceTrack".freeze, "http://dbpedia.org/ontology/raceWins".freeze, "http://dbpedia.org/ontology/races".freeze, "http://dbpedia.org/ontology/racketCatching".freeze, "http://dbpedia.org/ontology/radio".freeze, "http://dbpedia.org/ontology/radioStation".freeze, "http://dbpedia.org/ontology/radius_ly".freeze, "http://dbpedia.org/ontology/railGauge".freeze, "http://dbpedia.org/ontology/railwayLineUsingTunnel".freeze, "http://dbpedia.org/ontology/railwayPlatforms".freeze, "http://dbpedia.org/ontology/railwayRollingStock".freeze, "http://dbpedia.org/ontology/range".freeze, "http://dbpedia.org/ontology/rank".freeze, "http://dbpedia.org/ontology/rankAgreement".freeze, "http://dbpedia.org/ontology/rankArea".freeze, "http://dbpedia.org/ontology/rankInFinalMedalCount".freeze, "http://dbpedia.org/ontology/rankPopulation".freeze, "http://dbpedia.org/ontology/ranking".freeze, "http://dbpedia.org/ontology/rankingWins".freeze, "http://dbpedia.org/ontology/rankingsDoubles".freeze, "http://dbpedia.org/ontology/rankingsSingles".freeze, "http://dbpedia.org/ontology/rating".freeze, "http://dbpedia.org/ontology/ratio".freeze, "http://dbpedia.org/ontology/rebuildDate".freeze, "http://dbpedia.org/ontology/rebuilder".freeze, "http://dbpedia.org/ontology/rebuildingDate".freeze, "http://dbpedia.org/ontology/rebuildingYear".freeze, "http://dbpedia.org/ontology/recentWinner".freeze, "http://dbpedia.org/ontology/recommissioningDate".freeze, "http://dbpedia.org/ontology/recordDate".freeze, "http://dbpedia.org/ontology/recordLabel".freeze, "http://dbpedia.org/ontology/recordedIn".freeze, "http://dbpedia.org/ontology/recoveryCases".freeze, "http://dbpedia.org/ontology/rector".freeze, "http://dbpedia.org/ontology/redListIdNL".freeze, "http://dbpedia.org/ontology/redLongDistancePisteNumber".freeze, "http://dbpedia.org/ontology/redSkiPisteNumber".freeze, "http://dbpedia.org/ontology/redline".freeze, "http://dbpedia.org/ontology/refcul".freeze, "http://dbpedia.org/ontology/reference".freeze, "http://dbpedia.org/ontology/reffBourgmestre".freeze, "http://dbpedia.org/ontology/refgen".freeze, "http://dbpedia.org/ontology/refgeo".freeze, "http://dbpedia.org/ontology/refpol".freeze, "http://dbpedia.org/ontology/refseq".freeze, "http://dbpedia.org/ontology/refseqmrna".freeze, "http://dbpedia.org/ontology/refseqprotein".freeze, "http://dbpedia.org/ontology/regency".freeze, "http://dbpedia.org/ontology/regentOf".freeze, "http://dbpedia.org/ontology/regime".freeze, "http://dbpedia.org/ontology/region".freeze, "http://dbpedia.org/ontology/regionLink".freeze, "http://dbpedia.org/ontology/regionServed".freeze, "http://dbpedia.org/ontology/regionType".freeze, "http://dbpedia.org/ontology/regionalCouncil".freeze, "http://dbpedia.org/ontology/regionalLanguage".freeze, "http://dbpedia.org/ontology/regionalPrefecture".freeze, "http://dbpedia.org/ontology/registration".freeze, "http://dbpedia.org/ontology/registry".freeze, "http://dbpedia.org/ontology/registryNumber".freeze, "http://dbpedia.org/ontology/reign".freeze, "http://dbpedia.org/ontology/reignName".freeze, "http://dbpedia.org/ontology/reigningPope".freeze, "http://dbpedia.org/ontology/related".freeze, "http://dbpedia.org/ontology/relatedFunctions".freeze, "http://dbpedia.org/ontology/relatedMeanOfTransportation".freeze, "http://dbpedia.org/ontology/relatedPlaces".freeze, "http://dbpedia.org/ontology/relation".freeze, "http://dbpedia.org/ontology/relative".freeze, "http://dbpedia.org/ontology/relativeAtomicMass".freeze, "http://dbpedia.org/ontology/releaseDate".freeze, "http://dbpedia.org/ontology/releaseLocation".freeze, "http://dbpedia.org/ontology/relics".freeze, "http://dbpedia.org/ontology/relief".freeze, "http://dbpedia.org/ontology/religion".freeze, "http://dbpedia.org/ontology/religiousHead".freeze, "http://dbpedia.org/ontology/religiousHeadLabel".freeze, "http://dbpedia.org/ontology/religiousOrder".freeze, "http://dbpedia.org/ontology/reopened".freeze, "http://dbpedia.org/ontology/reopeningDate".freeze, "http://dbpedia.org/ontology/reopeningYear".freeze, "http://dbpedia.org/ontology/reportingMark".freeze, "http://dbpedia.org/ontology/representative".freeze, "http://dbpedia.org/ontology/requirement".freeze, "http://dbpedia.org/ontology/reservations".freeze, "http://dbpedia.org/ontology/residence".freeze, "http://dbpedia.org/ontology/resolution".freeze, "http://dbpedia.org/ontology/restingDate".freeze, "http://dbpedia.org/ontology/restingPlace".freeze, "http://dbpedia.org/ontology/restingPlacePosition".freeze, "http://dbpedia.org/ontology/restoreDate".freeze, "http://dbpedia.org/ontology/restriction".freeze, "http://dbpedia.org/ontology/result".freeze, "http://dbpedia.org/ontology/retentionTime".freeze, "http://dbpedia.org/ontology/retired".freeze, "http://dbpedia.org/ontology/retiredRocket".freeze, "http://dbpedia.org/ontology/retirementDate".freeze, "http://dbpedia.org/ontology/revenue".freeze, "http://dbpedia.org/ontology/revenueYear".freeze, "http://dbpedia.org/ontology/review".freeze, "http://dbpedia.org/ontology/rgbCoordinateBlue".freeze, "http://dbpedia.org/ontology/rgbCoordinateGreen".freeze, "http://dbpedia.org/ontology/rgbCoordinateRed".freeze, "http://dbpedia.org/ontology/ridId".freeze, "http://dbpedia.org/ontology/rightAscension".freeze, "http://dbpedia.org/ontology/rightChild".freeze, "http://dbpedia.org/ontology/rightTributary".freeze, "http://dbpedia.org/ontology/rivalSchool".freeze, "http://dbpedia.org/ontology/river".freeze, "http://dbpedia.org/ontology/riverBranch".freeze, "http://dbpedia.org/ontology/riverBranchOf".freeze, "http://dbpedia.org/ontology/riverMouth".freeze, "http://dbpedia.org/ontology/rkdArtistsId".freeze, "http://dbpedia.org/ontology/road".freeze, "http://dbpedia.org/ontology/rocket".freeze, "http://dbpedia.org/ontology/rocketFunction".freeze, "http://dbpedia.org/ontology/rocketStages".freeze, "http://dbpedia.org/ontology/rolandGarrosDouble".freeze, "http://dbpedia.org/ontology/rolandGarrosMixed".freeze, "http://dbpedia.org/ontology/rolandGarrosSingle".freeze, "http://dbpedia.org/ontology/role".freeze, "http://dbpedia.org/ontology/roleInEvent".freeze, "http://dbpedia.org/ontology/roofHeight".freeze, "http://dbpedia.org/ontology/rotationPeriod".freeze, "http://dbpedia.org/ontology/route".freeze, "http://dbpedia.org/ontology/routeActivity".freeze, "http://dbpedia.org/ontology/routeDirection".freeze, "http://dbpedia.org/ontology/routeEnd".freeze, "http://dbpedia.org/ontology/routeEndDirection".freeze, "http://dbpedia.org/ontology/routeEndLocation".freeze, "http://dbpedia.org/ontology/routeJunction".freeze, "http://dbpedia.org/ontology/routeLine".freeze, "http://dbpedia.org/ontology/routeNext".freeze, "http://dbpedia.org/ontology/routeNumber".freeze, "http://dbpedia.org/ontology/routePrevious".freeze, "http://dbpedia.org/ontology/routeStart".freeze, "http://dbpedia.org/ontology/routeStartDirection".freeze, "http://dbpedia.org/ontology/routeStartLocation".freeze, "http://dbpedia.org/ontology/routeTypeAbbreviation".freeze, "http://dbpedia.org/ontology/royalAnthem".freeze, "http://dbpedia.org/ontology/ruling".freeze, "http://dbpedia.org/ontology/runningMate".freeze, "http://dbpedia.org/ontology/runtime".freeze, "http://dbpedia.org/ontology/runwayDesignation".freeze, "http://dbpedia.org/ontology/runwayLength".freeze, "http://dbpedia.org/ontology/runwaySurface".freeze, "http://dbpedia.org/ontology/runwayWidth".freeze, "http://dbpedia.org/ontology/ruralMunicipality".freeze, "http://dbpedia.org/ontology/saint".freeze, "http://dbpedia.org/ontology/salary".freeze, "http://dbpedia.org/ontology/sales".freeze, "http://dbpedia.org/ontology/sameName".freeze, "http://dbpedia.org/ontology/satScore".freeze, "http://dbpedia.org/ontology/satcat".freeze, "http://dbpedia.org/ontology/satellite".freeze, "http://dbpedia.org/ontology/satellitesDeployed".freeze, "http://dbpedia.org/ontology/scale".freeze, "http://dbpedia.org/ontology/scene".freeze, "http://dbpedia.org/ontology/school".freeze, "http://dbpedia.org/ontology/schoolBoard".freeze, "http://dbpedia.org/ontology/schoolCode".freeze, "http://dbpedia.org/ontology/schoolNumber".freeze, "http://dbpedia.org/ontology/schoolPatron".freeze, "http://dbpedia.org/ontology/scientificName".freeze, "http://dbpedia.org/ontology/score".freeze, "http://dbpedia.org/ontology/screenActorsGuildAward".freeze, "http://dbpedia.org/ontology/sea".freeze, "http://dbpedia.org/ontology/season".freeze, "http://dbpedia.org/ontology/seasonManager".freeze, "http://dbpedia.org/ontology/seasonNumber".freeze, "http://dbpedia.org/ontology/seatNumber".freeze, "http://dbpedia.org/ontology/seatingCapacity".freeze, "http://dbpedia.org/ontology/second".freeze, "http://dbpedia.org/ontology/secondCommander".freeze, "http://dbpedia.org/ontology/secondDriver".freeze, "http://dbpedia.org/ontology/secondDriverCountry".freeze, "http://dbpedia.org/ontology/secondLeader".freeze, "http://dbpedia.org/ontology/secondPlace".freeze, "http://dbpedia.org/ontology/secondPopularVote".freeze, "http://dbpedia.org/ontology/secondTeam".freeze, "http://dbpedia.org/ontology/secretaryGeneral".freeze, "http://dbpedia.org/ontology/security".freeze, "http://dbpedia.org/ontology/seiyu".freeze, "http://dbpedia.org/ontology/selection".freeze, "http://dbpedia.org/ontology/selectionPoint".freeze, "http://dbpedia.org/ontology/selectionYear".freeze, "http://dbpedia.org/ontology/selibrId".freeze, "http://dbpedia.org/ontology/senator".freeze, "http://dbpedia.org/ontology/senior".freeze, "http://dbpedia.org/ontology/seniority".freeze, "http://dbpedia.org/ontology/seniunija".freeze, "http://dbpedia.org/ontology/sentence".freeze, "http://dbpedia.org/ontology/series".freeze, "http://dbpedia.org/ontology/service".freeze, "http://dbpedia.org/ontology/serviceEndDate".freeze, "http://dbpedia.org/ontology/serviceEndYear".freeze, "http://dbpedia.org/ontology/serviceModule".freeze, "http://dbpedia.org/ontology/serviceNumber".freeze, "http://dbpedia.org/ontology/serviceStartDate".freeze, "http://dbpedia.org/ontology/serviceStartYear".freeze, "http://dbpedia.org/ontology/servingRailwayLine".freeze, "http://dbpedia.org/ontology/servingSize".freeze, "http://dbpedia.org/ontology/servingTemperature".freeze, "http://dbpedia.org/ontology/sessionNumber".freeze, "http://dbpedia.org/ontology/setDesigner".freeze, "http://dbpedia.org/ontology/settingOfPlay".freeze, "http://dbpedia.org/ontology/settlement".freeze, "http://dbpedia.org/ontology/settlementAttached".freeze, "http://dbpedia.org/ontology/setupTime".freeze, "http://dbpedia.org/ontology/severeCases".freeze, "http://dbpedia.org/ontology/sex".freeze, "http://dbpedia.org/ontology/sexualOrientation".freeze, "http://dbpedia.org/ontology/shape".freeze, "http://dbpedia.org/ontology/shareDate".freeze, "http://dbpedia.org/ontology/shareOfAudience".freeze, "http://dbpedia.org/ontology/shareSource".freeze, "http://dbpedia.org/ontology/sharingOutPopulation".freeze, "http://dbpedia.org/ontology/sharingOutPopulationYear".freeze, "http://dbpedia.org/ontology/sheading".freeze, "http://dbpedia.org/ontology/shipBeam".freeze, "http://dbpedia.org/ontology/shipCrew".freeze, "http://dbpedia.org/ontology/shipDisplacement".freeze, "http://dbpedia.org/ontology/shipDraft".freeze, "http://dbpedia.org/ontology/shipLaunch".freeze, "http://dbpedia.org/ontology/shoeNumber".freeze, "http://dbpedia.org/ontology/shoeSize".freeze, "http://dbpedia.org/ontology/shoot".freeze, "http://dbpedia.org/ontology/shoots".freeze, "http://dbpedia.org/ontology/shoreLength".freeze, "http://dbpedia.org/ontology/shortProgCompetition".freeze, "http://dbpedia.org/ontology/shortProgScore".freeze, "http://dbpedia.org/ontology/show".freeze, "http://dbpedia.org/ontology/showJudge".freeze, "http://dbpedia.org/ontology/shuttle".freeze, "http://dbpedia.org/ontology/sibling".freeze, "http://dbpedia.org/ontology/signName".freeze, "http://dbpedia.org/ontology/signature".freeze, "http://dbpedia.org/ontology/significantBuilding".freeze, "http://dbpedia.org/ontology/significantDesign".freeze, "http://dbpedia.org/ontology/significantProject".freeze, "http://dbpedia.org/ontology/silCode".freeze, "http://dbpedia.org/ontology/silverMedalDouble".freeze, "http://dbpedia.org/ontology/silverMedalMixed".freeze, "http://dbpedia.org/ontology/silverMedalSingle".freeze, "http://dbpedia.org/ontology/silverMedalist".freeze, "http://dbpedia.org/ontology/simcCode".freeze, "http://dbpedia.org/ontology/similar".freeze, "http://dbpedia.org/ontology/sire".freeze, "http://dbpedia.org/ontology/siren".freeze, "http://dbpedia.org/ontology/sister".freeze, "http://dbpedia.org/ontology/sisterCollege".freeze, "http://dbpedia.org/ontology/sisterNewspaper".freeze, "http://dbpedia.org/ontology/sisterStation".freeze, "http://dbpedia.org/ontology/sixthFormStudents".freeze, "http://dbpedia.org/ontology/sizeBlazon".freeze, "http://dbpedia.org/ontology/sizeLogo".freeze, "http://dbpedia.org/ontology/sizeMap".freeze, "http://dbpedia.org/ontology/sizeThumbnail".freeze, "http://dbpedia.org/ontology/size_v".freeze, "http://dbpedia.org/ontology/skiLift".freeze, "http://dbpedia.org/ontology/skiPisteKilometre".freeze, "http://dbpedia.org/ontology/skiPisteNumber".freeze, "http://dbpedia.org/ontology/skiTow".freeze, "http://dbpedia.org/ontology/skills".freeze, "http://dbpedia.org/ontology/skinColor".freeze, "http://dbpedia.org/ontology/slogan".freeze, "http://dbpedia.org/ontology/smiles".freeze, "http://dbpedia.org/ontology/snowParkNumber".freeze, "http://dbpedia.org/ontology/soccerLeaguePromoted".freeze, "http://dbpedia.org/ontology/soccerLeagueRelegated".freeze, "http://dbpedia.org/ontology/soccerLeagueSeason".freeze, "http://dbpedia.org/ontology/soccerLeagueWinner".freeze, "http://dbpedia.org/ontology/soccerTournamentClosingSeason".freeze, "http://dbpedia.org/ontology/soccerTournamentLastChampion".freeze, "http://dbpedia.org/ontology/soccerTournamentMostSteady".freeze, "http://dbpedia.org/ontology/soccerTournamentMostSuccesfull".freeze, "http://dbpedia.org/ontology/soccerTournamentOpeningSeason".freeze, "http://dbpedia.org/ontology/soccerTournamentThisSeason".freeze, "http://dbpedia.org/ontology/soccerTournamentTopScorer".freeze, "http://dbpedia.org/ontology/solicitorGeneral".freeze, "http://dbpedia.org/ontology/solubility".freeze, "http://dbpedia.org/ontology/solvent".freeze, "http://dbpedia.org/ontology/solventWithBadSolubility".freeze, "http://dbpedia.org/ontology/solventWithGoodSolubility".freeze, "http://dbpedia.org/ontology/solventWithMediocreSolubility".freeze, "http://dbpedia.org/ontology/son".freeze, "http://dbpedia.org/ontology/soundRecording".freeze, "http://dbpedia.org/ontology/source".freeze, "http://dbpedia.org/ontology/sourceConfluence".freeze, "http://dbpedia.org/ontology/sourceConfluenceCountry".freeze, "http://dbpedia.org/ontology/sourceConfluenceElevation".freeze, "http://dbpedia.org/ontology/sourceConfluenceMountain".freeze, "http://dbpedia.org/ontology/sourceConfluencePlace".freeze, "http://dbpedia.org/ontology/sourceConfluencePosition".freeze, "http://dbpedia.org/ontology/sourceConfluenceRegion".freeze, "http://dbpedia.org/ontology/sourceConfluenceState".freeze, "http://dbpedia.org/ontology/sourceCountry".freeze, "http://dbpedia.org/ontology/sourceDistrict".freeze, "http://dbpedia.org/ontology/sourceElevation".freeze, "http://dbpedia.org/ontology/sourceMountain".freeze, "http://dbpedia.org/ontology/sourcePlace".freeze, "http://dbpedia.org/ontology/sourcePosition".freeze, "http://dbpedia.org/ontology/sourceRegion".freeze, "http://dbpedia.org/ontology/sourceState".freeze, "http://dbpedia.org/ontology/sourceText".freeze, "http://dbpedia.org/ontology/southEastPlace".freeze, "http://dbpedia.org/ontology/southPlace".freeze, "http://dbpedia.org/ontology/southWestPlace".freeze, "http://dbpedia.org/ontology/sovereignCountry".freeze, "http://dbpedia.org/ontology/space".freeze, "http://dbpedia.org/ontology/spacecraft".freeze, "http://dbpedia.org/ontology/spacestation".freeze, "http://dbpedia.org/ontology/spacewalkBegin".freeze, "http://dbpedia.org/ontology/spacewalkEnd".freeze, "http://dbpedia.org/ontology/speaker".freeze, "http://dbpedia.org/ontology/specialEffects".freeze, "http://dbpedia.org/ontology/specialTrial".freeze, "http://dbpedia.org/ontology/specialist".freeze, "http://dbpedia.org/ontology/speciality".freeze, "http://dbpedia.org/ontology/specialization".freeze, "http://dbpedia.org/ontology/species".freeze, "http://dbpedia.org/ontology/speedLimit".freeze, "http://dbpedia.org/ontology/spike".freeze, "http://dbpedia.org/ontology/splitFromParty".freeze, "http://dbpedia.org/ontology/spokenIn".freeze, "http://dbpedia.org/ontology/spokesperson".freeze, "http://dbpedia.org/ontology/sport".freeze, "http://dbpedia.org/ontology/sportCountry".freeze, "http://dbpedia.org/ontology/sportDiscipline".freeze, "http://dbpedia.org/ontology/sportGoverningBody".freeze, "http://dbpedia.org/ontology/sportSpecialty".freeze, "http://dbpedia.org/ontology/sportsFunction".freeze, "http://dbpedia.org/ontology/spouse".freeze, "http://dbpedia.org/ontology/spouseName".freeze, "http://dbpedia.org/ontology/spurOf".freeze, "http://dbpedia.org/ontology/spurType".freeze, "http://dbpedia.org/ontology/squadNumber".freeze, "http://dbpedia.org/ontology/stadium".freeze, "http://dbpedia.org/ontology/staff".freeze, "http://dbpedia.org/ontology/starRating".freeze, "http://dbpedia.org/ontology/starring".freeze, "http://dbpedia.org/ontology/start".freeze, "http://dbpedia.org/ontology/startCareer".freeze, "http://dbpedia.org/ontology/startDate".freeze, "http://dbpedia.org/ontology/startDateTime".freeze, "http://dbpedia.org/ontology/startOccupation".freeze, "http://dbpedia.org/ontology/startPoint".freeze, "http://dbpedia.org/ontology/startReign".freeze, "http://dbpedia.org/ontology/startWct".freeze, "http://dbpedia.org/ontology/startWqs".freeze, "http://dbpedia.org/ontology/startYear".freeze, "http://dbpedia.org/ontology/startYearOfInsertion".freeze, "http://dbpedia.org/ontology/startYearOfSales".freeze, "http://dbpedia.org/ontology/statName".freeze, "http://dbpedia.org/ontology/statValue".freeze, "http://dbpedia.org/ontology/state".freeze, "http://dbpedia.org/ontology/stateDelegate".freeze, "http://dbpedia.org/ontology/stateOfOrigin".freeze, "http://dbpedia.org/ontology/stateOfOriginPoint".freeze, "http://dbpedia.org/ontology/stateOfOriginTeam".freeze, "http://dbpedia.org/ontology/stateOfOriginYear".freeze, "http://dbpedia.org/ontology/stationEvaDuration".freeze, "http://dbpedia.org/ontology/stationStructure".freeze, "http://dbpedia.org/ontology/stationVisitDuration".freeze, "http://dbpedia.org/ontology/statistic".freeze, "http://dbpedia.org/ontology/statisticLabel".freeze, "http://dbpedia.org/ontology/statisticValue".freeze, "http://dbpedia.org/ontology/statisticYear".freeze, "http://dbpedia.org/ontology/status".freeze, "http://dbpedia.org/ontology/statusManager".freeze, "http://dbpedia.org/ontology/statusYear".freeze, "http://dbpedia.org/ontology/stellarClassification".freeze, "http://dbpedia.org/ontology/stockExchange".freeze, "http://dbpedia.org/ontology/storyEditor".freeze, "http://dbpedia.org/ontology/strength".freeze, "http://dbpedia.org/ontology/structuralSystem".freeze, "http://dbpedia.org/ontology/student".freeze, "http://dbpedia.org/ontology/style".freeze, "http://dbpedia.org/ontology/stylisticOrigin".freeze, "http://dbpedia.org/ontology/subClassis".freeze, "http://dbpedia.org/ontology/subFamily".freeze, "http://dbpedia.org/ontology/subGenus".freeze, "http://dbpedia.org/ontology/subMunicipalityType".freeze, "http://dbpedia.org/ontology/subOrder".freeze, "http://dbpedia.org/ontology/subPrefecture".freeze, "http://dbpedia.org/ontology/subTribus".freeze, "http://dbpedia.org/ontology/subdivision".freeze, "http://dbpedia.org/ontology/subdivisionLink".freeze, "http://dbpedia.org/ontology/subdivisionName".freeze, "http://dbpedia.org/ontology/subdivisions".freeze, "http://dbpedia.org/ontology/subjectOfPlay".freeze, "http://dbpedia.org/ontology/subjectTerm".freeze, "http://dbpedia.org/ontology/sublimationPoint".freeze, "http://dbpedia.org/ontology/suborbitalFlights".freeze, "http://dbpedia.org/ontology/subprefecture".freeze, "http://dbpedia.org/ontology/subregion".freeze, "http://dbpedia.org/ontology/subsequentInfrastructure".freeze, "http://dbpedia.org/ontology/subsequentWork".freeze, "http://dbpedia.org/ontology/subsidiary".freeze, "http://dbpedia.org/ontology/subsystem".freeze, "http://dbpedia.org/ontology/subsystemLink".freeze, "http://dbpedia.org/ontology/subtitle".freeze, "http://dbpedia.org/ontology/successfulLaunches".freeze, "http://dbpedia.org/ontology/successor".freeze, "http://dbpedia.org/ontology/sudocId".freeze, "http://dbpedia.org/ontology/summerAppearances".freeze, "http://dbpedia.org/ontology/summerTemperature".freeze, "http://dbpedia.org/ontology/superFamily".freeze, "http://dbpedia.org/ontology/superOrder".freeze, "http://dbpedia.org/ontology/superTribus".freeze, "http://dbpedia.org/ontology/superbowlWin".freeze, "http://dbpedia.org/ontology/superintendent".freeze, "http://dbpedia.org/ontology/supplementalDraftRound".freeze, "http://dbpedia.org/ontology/supplementalDraftYear".freeze, "http://dbpedia.org/ontology/supplies".freeze, "http://dbpedia.org/ontology/supply".freeze, "http://dbpedia.org/ontology/suppreddedDate".freeze, "http://dbpedia.org/ontology/surfaceArea".freeze, "http://dbpedia.org/ontology/surfaceFormOccurrenceOffset".freeze, "http://dbpedia.org/ontology/surfaceGravity".freeze, "http://dbpedia.org/ontology/surfaceType".freeze, "http://dbpedia.org/ontology/suspectedCases".freeze, "http://dbpedia.org/ontology/swimmingStyle".freeze, "http://dbpedia.org/ontology/symbol".freeze, "http://dbpedia.org/ontology/symptom".freeze, "http://dbpedia.org/ontology/synonym".freeze, "http://dbpedia.org/ontology/systemOfLaw".freeze, "http://dbpedia.org/ontology/systemRequirements".freeze, "http://dbpedia.org/ontology/tag".freeze, "http://dbpedia.org/ontology/taoiseach".freeze, "http://dbpedia.org/ontology/targetAirport".freeze, "http://dbpedia.org/ontology/targetSpaceStation".freeze, "http://dbpedia.org/ontology/taste".freeze, "http://dbpedia.org/ontology/tattoo".freeze, "http://dbpedia.org/ontology/taxon".freeze, "http://dbpedia.org/ontology/teachingStaff".freeze, "http://dbpedia.org/ontology/team".freeze, "http://dbpedia.org/ontology/teamCoached".freeze, "http://dbpedia.org/ontology/teamManager".freeze, "http://dbpedia.org/ontology/teamName".freeze, "http://dbpedia.org/ontology/teamPoint".freeze, "http://dbpedia.org/ontology/teamSize".freeze, "http://dbpedia.org/ontology/teamTitle".freeze, "http://dbpedia.org/ontology/technique".freeze, "http://dbpedia.org/ontology/televisionSeries".freeze, "http://dbpedia.org/ontology/tempPlace".freeze, "http://dbpedia.org/ontology/temperature".freeze, "http://dbpedia.org/ontology/templateName".freeze, "http://dbpedia.org/ontology/temple".freeze, "http://dbpedia.org/ontology/templeYear".freeze, "http://dbpedia.org/ontology/tenant".freeze, "http://dbpedia.org/ontology/tennisSurfaceType".freeze, "http://dbpedia.org/ontology/termOfOffice".freeze, "http://dbpedia.org/ontology/termPeriod".freeze, "http://dbpedia.org/ontology/territory".freeze, "http://dbpedia.org/ontology/terytCode".freeze, "http://dbpedia.org/ontology/tessitura".freeze, "http://dbpedia.org/ontology/testaverage".freeze, "http://dbpedia.org/ontology/theology".freeze, "http://dbpedia.org/ontology/third".freeze, "http://dbpedia.org/ontology/thirdCommander".freeze, "http://dbpedia.org/ontology/thirdDriver".freeze, "http://dbpedia.org/ontology/thirdDriverCountry".freeze, "http://dbpedia.org/ontology/thirdPlace".freeze, "http://dbpedia.org/ontology/thirdTeam".freeze, "http://dbpedia.org/ontology/throwingSide".freeze, "http://dbpedia.org/ontology/thumbnail".freeze, "http://dbpedia.org/ontology/thumbnailCaption".freeze, "http://dbpedia.org/ontology/tie".freeze, "http://dbpedia.org/ontology/time".freeze, "http://dbpedia.org/ontology/timeInSpace".freeze, "http://dbpedia.org/ontology/timeZone".freeze, "http://dbpedia.org/ontology/timeshiftChannel".freeze, "http://dbpedia.org/ontology/title".freeze, "http://dbpedia.org/ontology/titleDate".freeze, "http://dbpedia.org/ontology/titleDouble".freeze, "http://dbpedia.org/ontology/titleLanguage".freeze, "http://dbpedia.org/ontology/titleSingle".freeze, "http://dbpedia.org/ontology/toll".freeze, "http://dbpedia.org/ontology/tonyAward".freeze, "http://dbpedia.org/ontology/topFloorHeight".freeze, "http://dbpedia.org/ontology/topLevelDomain".freeze, "http://dbpedia.org/ontology/topSpeed".freeze, "http://dbpedia.org/ontology/topic".freeze, "http://dbpedia.org/ontology/torchBearer".freeze, "http://dbpedia.org/ontology/torqueOutput".freeze, "http://dbpedia.org/ontology/totalCargo".freeze, "http://dbpedia.org/ontology/totalDiscs".freeze, "http://dbpedia.org/ontology/totalIliCases".freeze, "http://dbpedia.org/ontology/totalLaunches".freeze, "http://dbpedia.org/ontology/totalMass".freeze, "http://dbpedia.org/ontology/totalPopulation".freeze, "http://dbpedia.org/ontology/totalTracks".freeze, "http://dbpedia.org/ontology/totalTravellers".freeze, "http://dbpedia.org/ontology/touristicSite".freeze, "http://dbpedia.org/ontology/tournamentOfChampions".freeze, "http://dbpedia.org/ontology/tournamentRecord".freeze, "http://dbpedia.org/ontology/towerHeight".freeze, "http://dbpedia.org/ontology/trackLength".freeze, "http://dbpedia.org/ontology/trackNumber".freeze, "http://dbpedia.org/ontology/trackWidth".freeze, "http://dbpedia.org/ontology/tradeMark".freeze, "http://dbpedia.org/ontology/tradingName".freeze, "http://dbpedia.org/ontology/trainer".freeze, "http://dbpedia.org/ontology/trainerClub".freeze, "http://dbpedia.org/ontology/trainerYears".freeze, "http://dbpedia.org/ontology/training".freeze, "http://dbpedia.org/ontology/translatedMotto".freeze, "http://dbpedia.org/ontology/translator".freeze, "http://dbpedia.org/ontology/transmission".freeze, "http://dbpedia.org/ontology/treatment".freeze, "http://dbpedia.org/ontology/tree".freeze, "http://dbpedia.org/ontology/tribus".freeze, "http://dbpedia.org/ontology/trustee".freeze, "http://dbpedia.org/ontology/tuition".freeze, "http://dbpedia.org/ontology/tvComId".freeze, "http://dbpedia.org/ontology/tvShow".freeze, "http://dbpedia.org/ontology/twinCountry".freeze, "http://dbpedia.org/ontology/twinTown".freeze, "http://dbpedia.org/ontology/type".freeze, "http://dbpedia.org/ontology/typeCoordinate".freeze, "http://dbpedia.org/ontology/typeOfElectrification".freeze, "http://dbpedia.org/ontology/typeOfGrain".freeze, "http://dbpedia.org/ontology/typeOfStorage".freeze, "http://dbpedia.org/ontology/typeOfYeast".freeze, "http://dbpedia.org/ontology/uRN".freeze, "http://dbpedia.org/ontology/uciCode".freeze, "http://dbpedia.org/ontology/ulanId".freeze, "http://dbpedia.org/ontology/umbrellaTitle".freeze, "http://dbpedia.org/ontology/unNumber".freeze, "http://dbpedia.org/ontology/uncle".freeze, "http://dbpedia.org/ontology/undraftedYear".freeze, "http://dbpedia.org/ontology/unesco".freeze, "http://dbpedia.org/ontology/unicode".freeze, "http://dbpedia.org/ontology/uniprot".freeze, "http://dbpedia.org/ontology/unitCost".freeze, "http://dbpedia.org/ontology/unitaryAuthority".freeze, "http://dbpedia.org/ontology/unitedStatesNationalBridgeId".freeze, "http://dbpedia.org/ontology/university".freeze, "http://dbpedia.org/ontology/unknownOutcomes".freeze, "http://dbpedia.org/ontology/unloCode".freeze, "http://dbpedia.org/ontology/updated".freeze, "http://dbpedia.org/ontology/upperAge".freeze, "http://dbpedia.org/ontology/urbanArea".freeze, "http://dbpedia.org/ontology/usOpenDouble".freeze, "http://dbpedia.org/ontology/usOpenMixed".freeze, "http://dbpedia.org/ontology/usOpenSingle".freeze, "http://dbpedia.org/ontology/usSales".freeze, "http://dbpedia.org/ontology/usedInWar".freeze, "http://dbpedia.org/ontology/uses".freeze, "http://dbpedia.org/ontology/usingCountry".freeze, "http://dbpedia.org/ontology/usk".freeze, "http://dbpedia.org/ontology/usopenWins".freeze, "http://dbpedia.org/ontology/usurper".freeze, "http://dbpedia.org/ontology/utcOffset".freeze, "http://dbpedia.org/ontology/v_hb".freeze, "http://dbpedia.org/ontology/value".freeze, "http://dbpedia.org/ontology/valvetrain".freeze, "http://dbpedia.org/ontology/vaporPressure".freeze, "http://dbpedia.org/ontology/variantOf".freeze, "http://dbpedia.org/ontology/varietals".freeze, "http://dbpedia.org/ontology/vehicle".freeze, "http://dbpedia.org/ontology/vehicleCode".freeze, "http://dbpedia.org/ontology/vehiclesInFleet".freeze, "http://dbpedia.org/ontology/vehiclesPerDay".freeze, "http://dbpedia.org/ontology/vein".freeze, "http://dbpedia.org/ontology/veneratedIn".freeze, "http://dbpedia.org/ontology/version".freeze, "http://dbpedia.org/ontology/viafId".freeze, "http://dbpedia.org/ontology/viceChancellor".freeze, "http://dbpedia.org/ontology/viceLeader".freeze, "http://dbpedia.org/ontology/viceLeaderParty".freeze, "http://dbpedia.org/ontology/vicePresident".freeze, "http://dbpedia.org/ontology/vicePrimeMinister".freeze, "http://dbpedia.org/ontology/vicePrincipal".freeze, "http://dbpedia.org/ontology/vicePrincipalLabel".freeze, "http://dbpedia.org/ontology/victim".freeze, "http://dbpedia.org/ontology/victims".freeze, "http://dbpedia.org/ontology/victory".freeze, "http://dbpedia.org/ontology/victoryAsMgr".freeze, "http://dbpedia.org/ontology/victoryPercentageAsMgr".freeze, "http://dbpedia.org/ontology/virtualChannel".freeze, "http://dbpedia.org/ontology/visitorStatisticsAsOf".freeze, "http://dbpedia.org/ontology/visitorsPerDay".freeze, "http://dbpedia.org/ontology/visitorsPerYear".freeze, "http://dbpedia.org/ontology/visitorsPercentageChange".freeze, "http://dbpedia.org/ontology/visitorsTotal".freeze, "http://dbpedia.org/ontology/voice".freeze, "http://dbpedia.org/ontology/voiceType".freeze, "http://dbpedia.org/ontology/volcanicActivity".freeze, "http://dbpedia.org/ontology/volcanicType".freeze, "http://dbpedia.org/ontology/volcanoId".freeze, "http://dbpedia.org/ontology/voltageOfElectrification".freeze, "http://dbpedia.org/ontology/volume".freeze, "http://dbpedia.org/ontology/volumeQuote".freeze, "http://dbpedia.org/ontology/volumes".freeze, "http://dbpedia.org/ontology/vonKlitzingConstant".freeze, "http://dbpedia.org/ontology/votesAgainst".freeze, "http://dbpedia.org/ontology/votesFor".freeze, "http://dbpedia.org/ontology/wagon".freeze, "http://dbpedia.org/ontology/waistSize".freeze, "http://dbpedia.org/ontology/war".freeze, "http://dbpedia.org/ontology/ward".freeze, "http://dbpedia.org/ontology/water".freeze, "http://dbpedia.org/ontology/waterArea".freeze, "http://dbpedia.org/ontology/waterPercentage".freeze, "http://dbpedia.org/ontology/watercourse".freeze, "http://dbpedia.org/ontology/watershed".freeze, "http://dbpedia.org/ontology/waterwayThroughTunnel".freeze, "http://dbpedia.org/ontology/wavelength".freeze, "http://dbpedia.org/ontology/weapon".freeze, "http://dbpedia.org/ontology/webcast".freeze, "http://dbpedia.org/ontology/websiteLabel".freeze, "http://dbpedia.org/ontology/weddingParentsDate".freeze, "http://dbpedia.org/ontology/weight".freeze, "http://dbpedia.org/ontology/westPlace".freeze, "http://dbpedia.org/ontology/whaDraft".freeze, "http://dbpedia.org/ontology/whaDraftTeam".freeze, "http://dbpedia.org/ontology/whaDraftYear".freeze, "http://dbpedia.org/ontology/wheelbase".freeze, "http://dbpedia.org/ontology/wholeArea".freeze, "http://dbpedia.org/ontology/width".freeze, "http://dbpedia.org/ontology/widthQuote".freeze, "http://dbpedia.org/ontology/wikiPageCharacterSize".freeze, "http://dbpedia.org/ontology/wikiPageDisambiguates".freeze, "http://dbpedia.org/ontology/wikiPageEditLink".freeze, "http://dbpedia.org/ontology/wikiPageExternalLink".freeze, "http://dbpedia.org/ontology/wikiPageExtracted".freeze, "http://dbpedia.org/ontology/wikiPageHistoryLink".freeze, "http://dbpedia.org/ontology/wikiPageID".freeze, "http://dbpedia.org/ontology/wikiPageInDegree".freeze, "http://dbpedia.org/ontology/wikiPageInterLanguageLink".freeze, "http://dbpedia.org/ontology/wikiPageLength".freeze, "http://dbpedia.org/ontology/wikiPageModified".freeze, "http://dbpedia.org/ontology/wikiPageOutDegree".freeze, "http://dbpedia.org/ontology/wikiPageRedirects".freeze, "http://dbpedia.org/ontology/wikiPageRevisionID".freeze, "http://dbpedia.org/ontology/wikiPageRevisionLink".freeze, "http://dbpedia.org/ontology/wikiPageUsesTemplate".freeze, "http://dbpedia.org/ontology/wikiPageWikiLink".freeze, "http://dbpedia.org/ontology/wikiPageWikiLinkText".freeze, "http://dbpedia.org/ontology/wikidataSplitIri".freeze, "http://dbpedia.org/ontology/wilaya".freeze, "http://dbpedia.org/ontology/wimbledonDouble".freeze, "http://dbpedia.org/ontology/wimbledonMixed".freeze, "http://dbpedia.org/ontology/wimbledonSingle".freeze, "http://dbpedia.org/ontology/wineProduced".freeze, "http://dbpedia.org/ontology/wineRegion".freeze, "http://dbpedia.org/ontology/wineYear".freeze, "http://dbpedia.org/ontology/wingArea".freeze, "http://dbpedia.org/ontology/wingspan".freeze, "http://dbpedia.org/ontology/wins".freeze, "http://dbpedia.org/ontology/winsAtAlpg".freeze, "http://dbpedia.org/ontology/winsAtAsia".freeze, "http://dbpedia.org/ontology/winsAtAus".freeze, "http://dbpedia.org/ontology/winsAtChallenges".freeze, "http://dbpedia.org/ontology/winsAtChampionships".freeze, "http://dbpedia.org/ontology/winsAtJLPGA".freeze, "http://dbpedia.org/ontology/winsAtJapan".freeze, "http://dbpedia.org/ontology/winsAtKLPGA".freeze, "http://dbpedia.org/ontology/winsAtLAGT".freeze, "http://dbpedia.org/ontology/winsAtLET".freeze, "http://dbpedia.org/ontology/winsAtLPGA".freeze, "http://dbpedia.org/ontology/winsAtMajors".freeze, "http://dbpedia.org/ontology/winsAtNWIDE".freeze, "http://dbpedia.org/ontology/winsAtOtherTournaments".freeze, "http://dbpedia.org/ontology/winsAtPGA".freeze, "http://dbpedia.org/ontology/winsAtProTournaments".freeze, "http://dbpedia.org/ontology/winsAtSenEuro".freeze, "http://dbpedia.org/ontology/winsAtSun".freeze, "http://dbpedia.org/ontology/winsInEurope".freeze, "http://dbpedia.org/ontology/winterAppearances".freeze, "http://dbpedia.org/ontology/winterTemperature".freeze, "http://dbpedia.org/ontology/woRMS".freeze, "http://dbpedia.org/ontology/wordBefore".freeze, "http://dbpedia.org/ontology/work".freeze, "http://dbpedia.org/ontology/workArea".freeze, "http://dbpedia.org/ontology/world".freeze, "http://dbpedia.org/ontology/worldChampionTitleYear".freeze, "http://dbpedia.org/ontology/worldOpen".freeze, "http://dbpedia.org/ontology/worldTeamCup".freeze, "http://dbpedia.org/ontology/worldTournament".freeze, "http://dbpedia.org/ontology/worldTournamentBronze".freeze, "http://dbpedia.org/ontology/worldTournamentGold".freeze, "http://dbpedia.org/ontology/worldTournamentSilver".freeze, "http://dbpedia.org/ontology/worstDefeat".freeze, "http://dbpedia.org/ontology/wptFinalTable".freeze, "http://dbpedia.org/ontology/wptItm".freeze, "http://dbpedia.org/ontology/wptTitle".freeze, "http://dbpedia.org/ontology/writer".freeze, "http://dbpedia.org/ontology/wsopItm".freeze, "http://dbpedia.org/ontology/wsopWinYear".freeze, "http://dbpedia.org/ontology/wsopWristband".freeze, "http://dbpedia.org/ontology/year".freeze, "http://dbpedia.org/ontology/yearElevationIntoNobility".freeze, "http://dbpedia.org/ontology/yearOfConstruction".freeze, "http://dbpedia.org/ontology/yearOfElectrification".freeze, "http://dbpedia.org/ontology/years".freeze, "http://dbpedia.org/ontology/youthClub".freeze, "http://dbpedia.org/ontology/youthWing".freeze, "http://dbpedia.org/ontology/youthYears".freeze, "http://dbpedia.org/ontology/zdb".freeze, "http://dbpedia.org/ontology/zipCode".freeze, "http://dbpedia.org/ontology/zodiacSign".freeze, "http://www.w3.org/1999/02/22-rdf-syntax-ns#langString".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#boolean".freeze, "http://www.w3.org/2001/XMLSchema#date".freeze, "http://www.w3.org/2001/XMLSchema#dateTime".freeze, "http://www.w3.org/2001/XMLSchema#double".freeze, "http://www.w3.org/2001/XMLSchema#float".freeze, "http://www.w3.org/2001/XMLSchema#gDay".freeze, "http://www.w3.org/2001/XMLSchema#gMonth".freeze, "http://www.w3.org/2001/XMLSchema#gMonthDay".freeze, "http://www.w3.org/2001/XMLSchema#gYear".freeze, "http://www.w3.org/2001/XMLSchema#gYearMonth".freeze, "http://www.w3.org/2001/XMLSchema#integer".freeze, "http://www.w3.org/2001/XMLSchema#negativeInteger".freeze, "http://www.w3.org/2001/XMLSchema#nonNegativeInteger".freeze, "http://www.w3.org/2001/XMLSchema#nonPositiveInteger".freeze, "http://www.w3.org/2001/XMLSchema#positiveInteger".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze, "http://www.w3.org/2001/XMLSchema#time".freeze],
      "http://purl.org/dc/terms/creator": "DBpedia Maintainers and Contributors".freeze,
      "http://purl.org/dc/terms/description": "\n              The DBpedia ontology provides the classes and properties used in the DBpedia data set.\n            ".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-17T12:00Z".freeze,
      "http://purl.org/dc/terms/license": "http://creativecommons.org/licenses/by-sa/3.0/".freeze,
      "http://purl.org/dc/terms/publisher": "DBpedia Maintainers".freeze,
      "http://purl.org/dc/terms/source": "http://mappings.dbpedia.org".freeze,
      "http://purl.org/dc/terms/title": "The DBpedia Ontology".freeze,
      "http://purl.org/vocab/vann/preferredNamespacePrefix": "dbo".freeze,
      "http://purl.org/vocab/vann/preferredNamespaceUri": "http://dbpedia.org/ontology/".freeze,
      "http://www.w3.org/2002/07/owl#sameAs": "http://dbpedia.org/ontology/".freeze,
      "http://www.w3.org/2002/07/owl#versionInfo": "latest-snapshot".freeze,
      "http://www.w3.org/2007/05/powder-s#describedby": "http://dbpedia.org/ontology/data/definitions.ttl".freeze,
      "http://xmlns.com/foaf/0.1/homepage": "http://wiki.dbpedia.org/Ontology".freeze,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze,
      type: ["http://purl.org/vocommons/voaf#Vocabulary".freeze, "http://www.w3.org/2002/07/owl#Ontology".freeze]

    # Extra definitions
    term :AcademicConference,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :AcademicJournal,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :AcademicSubject,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Activity,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Actor,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :AdministrativeRegion,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :AdultActor,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Agent,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Agglomeration,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Aircraft,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Airline,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Airport,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Album,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Algorithm,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Altitude,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :AmateurBoxer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Ambassador,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :AmericanFootballCoach,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :AmericanFootballLeague,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :AmericanFootballPlayer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :AmericanFootballTeam,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Amphibian,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :AmusementParkAttraction,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :AnatomicalStructure,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Animal,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :AnimangaCharacter,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Anime,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Annotation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Arachnid,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Archaea,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Archbishop,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Archeologist,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ArcherPlayer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Archipelago,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Architect,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ArchitecturalStructure,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Archive,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Area,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Arena,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Aristocrat,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Arrondissement,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Artery,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Article,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ArtificialSatellite,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Artist,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ArtistDiscography,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ArtisticGenre,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Artwork,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Asteroid,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Astronaut,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Astronaut/timeInSpace",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Athlete,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Athletics,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :AthleticsPlayer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Atoll,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Attack,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :AustralianFootballLeague,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :AustralianFootballTeam,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :AustralianRulesFootballPlayer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :AutoRacingLeague,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Automobile,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Automobile/fuelCapacity",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Automobile/wheelbase",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :AutomobileEngine,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Award,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :BackScene,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Bacteria,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :BadmintonPlayer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Band,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Bank,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Baronet,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :BaseballLeague,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :BaseballPlayer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :BaseballSeason,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :BaseballTeam,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :BasketballLeague,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :BasketballPlayer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :BasketballTeam,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Battery,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Bay,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Beach,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :BeachVolleyballPlayer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :BeautyQueen,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Beer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Beverage,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Biathlete,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :BiologicalDatabase,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Biologist,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Biomolecule,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Bird,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Blazon,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :BloodVessel,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :BoardGame,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :BobsleighAthlete,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :BodyOfWater,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Bodybuilder,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Bone,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Book,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :BowlingLeague,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Boxer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :BoxingLeague,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Brain,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Brewery,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Bridge,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :BritishRoyalty,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :BroadcastNetwork,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Broadcaster,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :BrownDwarf,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Browser,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Building,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Building/floorArea",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :BullFighter,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :BusCompany,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :BusinessPerson,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Camera,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :CanadianFootballLeague,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :CanadianFootballPlayer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :CanadianFootballTeam,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Canal,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Canal/maximumBoatBeam",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Canal/maximumBoatLength",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Canal/originalMaximumBoatBeam",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Canal/originalMaximumBoatLength",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Canoeist,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Canton,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Cape,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Capital,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :CapitalOfRegion,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :CardGame,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Cardinal,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :CardinalDirection,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :CareerStation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Cartoon,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Case,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Casino,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Castle,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Cat,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Caterer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Cave,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :CelestialBody,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Cemetery,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Chancellor,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ChartsPlacements,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Cheese,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Chef,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ChemicalCompound,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ChemicalElement,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ChemicalSubstance,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"ChemicalSubstance/boilingPoint",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"ChemicalSubstance/density",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"ChemicalSubstance/meltingPoint",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ChessPlayer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ChristianBishop,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ChristianDoctrine,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ChristianPatriarch,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Church,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Cinema,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Cipher,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :City,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :CityDistrict,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ClassicalMusicArtist,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ClassicalMusicComposition,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Cleric,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ClericalAdministrativeRegion,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ClericalOrder,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ClubMoss,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Coach,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :CoalPit,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :CollectionOfValuables,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :College,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :CollegeCoach,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Colour,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :CombinationDrug,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Comedian,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ComedyGroup,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Comic,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ComicStrip,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ComicsCharacter,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ComicsCreator,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Community,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Company,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Competition,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ConcentrationCamp,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Congressman,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Conifer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Constellation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Contest,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Continent,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ControlledDesignationOfOriginWine,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Convention,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ConveyorSystem,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"ConveyorSystem/diameter",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"ConveyorSystem/height",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"ConveyorSystem/length",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"ConveyorSystem/mass",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"ConveyorSystem/weight",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"ConveyorSystem/width",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Country,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :CountrySeat,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Crater,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :CricketGround,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :CricketLeague,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :CricketTeam,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Cricketer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Criminal,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :CrossCountrySkier,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Crustacean,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :CultivatedVariety,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Curler,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :CurlingLeague,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Currency,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Cycad,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :CyclingCompetition,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :CyclingLeague,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :CyclingRace,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :CyclingTeam,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Cyclist,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :DBpedian,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :DTMRacer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Dam,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Dancer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :DartsPlayer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Database,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Deanery,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Decoration,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Deity,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Demographics,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Department,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Depth,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Deputy,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Desert,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Device,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :DigitalCamera,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Dike,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Diocese,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Diploma,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Disease,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :DisneyCharacter,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :District,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :DistrictWaterBoard,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Document,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :DocumentType,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Dog,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Drama,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Drug,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Drug/boilingPoint",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Drug/meltingPoint",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Earthquake,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Economist,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :EducationalInstitution,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Egyptologist,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Election,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ElectionDiagram,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ElectricalSubstation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Embryology,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Employer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :EmployersOrganisation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Engine,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Engine/acceleration",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Engine/co2Emission",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Engine/cylinderBore",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Engine/diameter",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Engine/displacement",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Engine/height",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Engine/length",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Engine/pistonStroke",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Engine/powerOutput",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Engine/topSpeed",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Engine/torqueOutput",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Engine/weight",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Engine/width",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Engineer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Entomologist,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Enzyme,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Escalator,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Escalator/diameter",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Escalator/height",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Escalator/length",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Escalator/mass",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Escalator/weight",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Escalator/width",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :EthnicGroup,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Eukaryote,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :EurovisionSongContestEntry,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Event,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Factory,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Family,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Farmer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Fashion,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :FashionDesigner,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Fencer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Fern,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :FictionalCharacter,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :FieldHockeyLeague,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :FigureSkater,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :File,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :FileSystem,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Film,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :FilmFestival,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Fish,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Flag,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :FloweringPlant,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Food,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :FootballLeagueSeason,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :FootballMatch,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Forest,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :FormerMunicipality,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :FormulaOneRacer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :FormulaOneRacing,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :FormulaOneTeam,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Fort,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Fungus,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :GaelicGamesPlayer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Galaxy,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Galaxy/apoapsis",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Galaxy/averageSpeed",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Galaxy/density",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Galaxy/mass",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Galaxy/maximumTemperature",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Galaxy/meanRadius",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Galaxy/meanTemperature",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Galaxy/minimumTemperature",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Galaxy/orbitalPeriod",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Galaxy/periapsis",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Galaxy/surfaceArea",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Galaxy/temperature",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Galaxy/volume",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Game,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Garden,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :GatedCommunity,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Gene,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :GeneLocation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Genre,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :GeologicalPeriod,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :GeopoliticalOrganisation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"GeopoliticalOrganisation/areaMetro",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"GeopoliticalOrganisation/populationDensity",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Ginkgo,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :GivenName,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Glacier,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Globularswarm,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Gnetophytes,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :GolfCourse,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :GolfLeague,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :GolfPlayer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :GolfTournament,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :GovernmentAgency,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :GovernmentCabinet,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :GovernmentType,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :GovernmentalAdministrativeRegion,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Governor,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :GrandPrix,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"GrandPrix/course",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"GrandPrix/distance",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Grape,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :GraveMonument,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :GreenAlga,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :GridironFootballPlayer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :GrossDomesticProduct,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :GrossDomesticProductPerCapita,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Group,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Guitar,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Guitarist,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Gymnast,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :HandballLeague,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :HandballPlayer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :HandballTeam,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :HighDiver,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Historian,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :HistoricBuilding,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :HistoricPlace,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :HistoricalAreaOfAuthority,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :HistoricalCountry,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :HistoricalDistrict,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :HistoricalEvent,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :HistoricalPeriod,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :HistoricalProvince,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :HistoricalRegion,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :HistoricalSettlement,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :HockeyClub,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :HockeyTeam,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Holiday,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :HollywoodCartoon,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Hormone,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Horse,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :HorseRace,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :HorseRider,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :HorseTrainer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Hospital,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :HotSpring,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Hotel,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :HumanGene,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :HumanGeneLocation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Humorist,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :IceHockeyLeague,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :IceHockeyPlayer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Identifier,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Ideology,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Image,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :InformationAppliance,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Infrastructure,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Infrastructure/length",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :InlineHockeyLeague,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Insect,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Instrument,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Instrumentalist,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Intercommunality,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :InternationalFootballLeagueEvent,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :InternationalOrganisation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Island,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Jockey,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Journalist,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Judge,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :LacrosseLeague,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :LacrossePlayer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Lake,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Lake/areaOfCatchment",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Lake/shoreLength",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Lake/volume",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Language,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :LaunchPad,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Law,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :LawFirm,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Lawyer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :LegalCase,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Legislature,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Letter,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Library,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Lieutenant,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :LifeCycleEvent,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Ligament,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :LightNovel,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Lighthouse,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :LineOfFashion,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Linguist,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Lipid,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :List,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :LiteraryGenre,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Locality,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Lock,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Locomotive,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :LunarCrater,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"LunarCrater/diameter",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Lymph,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Magazine,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Mammal,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Man,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Manga,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Manhua,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Manhwa,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Manor,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :MartialArtist,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :MathematicalConcept,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Mayor,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :MeanOfTransportation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"MeanOfTransportation/diameter",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"MeanOfTransportation/height",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"MeanOfTransportation/length",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"MeanOfTransportation/mass",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"MeanOfTransportation/weight",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"MeanOfTransportation/width",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Media,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :MedicalSpecialty,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Medician,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Medicine,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Meeting,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :MemberOfParliament,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :MemberResistanceMovement,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Memorial,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :MetroStation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :MicroRegion,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :MilitaryAircraft,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :MilitaryConflict,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :MilitaryPerson,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :MilitaryService,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :MilitaryStructure,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :MilitaryUnit,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :MilitaryVehicle,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Mill,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Mine,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Mineral,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Minister,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :MixedMartialArtsEvent,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :MixedMartialArtsLeague,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :MobilePhone,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Model,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Mollusca,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Monarch,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Monastery,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :MonoclonalAntibody,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Monument,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Mosque,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Moss,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :MotocycleRacer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :MotorRace,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Motorcycle,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :MotorcycleRacingLeague,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :MotorcycleRider,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :MotorsportRacer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :MotorsportSeason,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Mountain,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :MountainPass,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :MountainRange,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :MouseGene,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :MouseGeneLocation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :MovieDirector,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :MovieGenre,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :MovingImage,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :MovingWalkway,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"MovingWalkway/diameter",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"MovingWalkway/height",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"MovingWalkway/length",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"MovingWalkway/mass",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"MovingWalkway/weight",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"MovingWalkway/width",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :MultiVolumePublication,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Municipality,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Murderer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Muscle,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Museum,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :MusicComposer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :MusicDirector,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :MusicFestival,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :MusicGenre,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Musical,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :MusicalArtist,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :MusicalWork,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :MythologicalFigure,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :NCAATeamSeason,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Name,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :NarutoCharacter,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :NascarDriver,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :NationalAnthem,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :NationalCollegiateAthleticAssociationAthlete,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :NationalFootballLeagueEvent,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :NationalFootballLeagueSeason,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :NationalSoccerClub,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :NaturalEvent,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :NaturalPlace,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :NaturalRegion,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Nebula,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Nerve,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :NetballPlayer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Newspaper,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :NobelPrize,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Noble,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :NobleFamily,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Non-ProfitOrganisation",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :NordicCombined,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Novel,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :NuclearPowerStation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Ocean,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :OfficeHolder,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :OldTerritory,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :OlympicEvent,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :OlympicResult,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Olympics,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"On-SiteTransportation",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"On-SiteTransportation/diameter",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"On-SiteTransportation/height",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"On-SiteTransportation/length",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"On-SiteTransportation/mass",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"On-SiteTransportation/weight",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"On-SiteTransportation/width",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Openswarm,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Opera,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Organ,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Organisation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :OrganisationMember,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Outbreak,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :OverseasDepartment,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :PaintballLeague,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Painter,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Painting,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Parish,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Park,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Parliament,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :PenaltyShootOut,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :PeriodOfArtisticStyle,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :PeriodicalLiterature,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Person,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Person/height",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Person/weight",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :PersonFunction,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :PersonalEvent,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Philosopher,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :PhilosophicalConcept,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Photographer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Place,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Planet,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Planet/apoapsis",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Planet/averageSpeed",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Planet/density",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Planet/mass",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Planet/maximumTemperature",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Planet/meanRadius",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Planet/meanTemperature",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Planet/minimumTemperature",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Planet/orbitalPeriod",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Planet/periapsis",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Planet/surfaceArea",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Planet/temperature",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Planet/volume",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Plant,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Play,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :PlayWright,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :PlayboyPlaymate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Poem,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Poet,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :PokerPlayer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :PoliticalConcept,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :PoliticalFunction,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :PoliticalParty,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Politician,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :PoliticianSpouse,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :PoloLeague,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Polysaccharide,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Pope,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :PopulatedPlace,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"PopulatedPlace/area",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"PopulatedPlace/areaMetro",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"PopulatedPlace/areaTotal",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"PopulatedPlace/areaUrban",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"PopulatedPlace/populationDensity",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"PopulatedPlace/populationMetroDensity",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"PopulatedPlace/populationUrbanDensity",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Population,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Port,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :PowerStation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Prefecture,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :PrehistoricalPeriod,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Presenter,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :President,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Priest,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :PrimeMinister,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Prison,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Producer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Profession,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Professor,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ProgrammingLanguage,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Project,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ProtectedArea,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Protein,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Protocol,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ProtohistoricalPeriod,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Province,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Psychologist,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :PublicService,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :PublicTransitSystem,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Publisher,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Pyramid,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Quote,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Race,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :RaceTrack,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Racecourse,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :RacingDriver,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :RadioControlledRacingLeague,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :RadioHost,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :RadioProgram,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :RadioStation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :RailwayLine,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :RailwayStation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :RailwayTunnel,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :RallyDriver,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Rebellion,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :RecordLabel,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :RecordOffice,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Referee,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Reference,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Regency,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Region,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Reign,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Relationship,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Religious,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ReligiousBuilding,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ReligiousOrganisation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Reptile,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ResearchProject,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :RestArea,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Restaurant,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Resume,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :River,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Road,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :RoadJunction,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :RoadTunnel,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Robot,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Rocket,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Rocket/lowerEarthOrbitPayload",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Rocket/mass",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :RocketEngine,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :RollerCoaster,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :RomanEmperor,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :RouteOfTransportation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :RouteStop,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Rower,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Royalty,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :RugbyClub,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :RugbyLeague,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :RugbyPlayer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Saint,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Sales,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :SambaSchool,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Satellite,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :School,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"School/campusSize",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ScientificConcept,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Scientist,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ScreenWriter,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Sculptor,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Sculpture,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Sea,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Senator,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :SerialKiller,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Settlement,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Ship,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ShoppingMall,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Shrine,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Singer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Single,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :SiteOfSpecialScientificInterest,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Skater,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :SkiArea,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :SkiResort,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Ski_jumper,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Skier,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Skyscraper,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :SnookerChamp,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :SnookerPlayer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :SnookerWorldRanking,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :SoapCharacter,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :SoccerClub,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :SoccerClubSeason,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :SoccerLeague,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :SoccerLeagueSeason,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :SoccerManager,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :SoccerPlayer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :SoccerTournament,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :SocietalEvent,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :SoftballLeague,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Software,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Software/fileSize",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :SolarEclipse,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Song,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :SongWriter,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Sound,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :SpaceMission,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"SpaceMission/cmpEvaDuration",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"SpaceMission/distanceTraveled",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"SpaceMission/lunarEvaTime",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"SpaceMission/lunarOrbitTime",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"SpaceMission/lunarSampleMass",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"SpaceMission/lunarSurfaceTime",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"SpaceMission/mass",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"SpaceMission/missionDuration",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"SpaceMission/stationEvaDuration",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"SpaceMission/stationVisitDuration",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :SpaceShuttle,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"SpaceShuttle/distance",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"SpaceShuttle/timeInSpace",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :SpaceStation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"SpaceStation/volume",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Spacecraft,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Spacecraft/apoapsis",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Spacecraft/cargoFuel",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Spacecraft/cargoGas",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Spacecraft/cargoWater",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Spacecraft/dockedTime",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Spacecraft/dryCargo",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Spacecraft/freeFlightTime",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Spacecraft/periapsis",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Spacecraft/totalCargo",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Spacecraft/totalMass",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Species,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :SpeedSkater,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :SpeedwayLeague,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :SpeedwayRider,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :SpeedwayTeam,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Sport,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :SportCompetitionResult,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :SportFacility,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :SportsClub,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :SportsEvent,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :SportsLeague,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :SportsManager,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :SportsSeason,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :SportsTeam,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :SportsTeamMember,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :SportsTeamSeason,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Spreadsheet,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Square,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :SquashPlayer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Stadium,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Standard,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Star,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :StarCluster,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :State,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :StatedResolution,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Station,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Statistic,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :StillImage,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :StormSurge,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Stream,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Stream/discharge",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Stream/dischargeAverage",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Stream/maximumDischarge",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Stream/minimumDischarge",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Stream/watershed",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Street,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :SubMunicipality,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :SumoWrestler,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :SupremeCourtOfTheUnitedStatesCase,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Surfer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Surname,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Swarm,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Swimmer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Synagogue,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :SystemOfLaw,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :TableTennisPlayer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Tank,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Tax,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Taxon,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :TeamMember,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :TeamSport,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :TelevisionDirector,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :TelevisionEpisode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :TelevisionHost,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :TelevisionSeason,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :TelevisionShow,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :TelevisionStation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Temple,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :TennisLeague,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :TennisPlayer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :TennisTournament,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Tenure,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :TermOfOffice,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Territory,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Theatre,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :TheatreDirector,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :TheologicalConcept,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :TimePeriod,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :TopLevelDomain,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :TopicalConcept,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Tournament,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Tower,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Town,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :TrackList,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :TradeUnion,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Train,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :TrainCarriage,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Tram,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :TramStation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Treadmill,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Treaty,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Tunnel,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Type,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :UndergroundJournal,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :UnitOfWork,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :University,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Unknown,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Vaccine,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Valley,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Vein,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Venue,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Vicar,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :VicePresident,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :VicePrimeMinister,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :VideoGame,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :VideogamesLeague,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Village,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Vodka,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :VoiceActor,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Volcano,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :VolleyballCoach,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :VolleyballLeague,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :VolleyballPlayer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :WaterPoloPlayer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :WaterRide,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :WaterTower,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Watermill,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :WaterwayTunnel,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Weapon,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Weapon/diameter",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Weapon/height",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Weapon/length",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Weapon/weight",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Weapon/width",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Website,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :WikimediaTemplate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :WindMotor,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Windmill,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Wine,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :WineRegion,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Winery,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :WinterSportPlayer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Woman,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :WomensTennisAssociationTournament,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Work,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"Work/runtime",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :WorldHeritageSite,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Wrestler,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :WrestlingEvent,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Writer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :WrittenWork,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Year,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :YearInSpaceflight,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :Zoo,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :aSide,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :abbeychurchBlessing,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :abbeychurchBlessingCharge,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :abbreviation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ableToGrind,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :absoluteMagnitude,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :abstentions,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :abstract,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :academicAdvisor,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :academicDiscipline,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :academyAward,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :acceleration,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :access,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :accessDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :achievement,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :acquirementDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :actScore,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :actingHeadteacher,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :activeCases,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :activeYears,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :activeYearsEndDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :activeYearsEndDateMgr,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :activeYearsEndYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :activeYearsEndYearMgr,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :activeYearsStartDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :activeYearsStartDateMgr,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :activeYearsStartYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :activeYearsStartYearMgr,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :activity,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :address,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :addressInRoad,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :adjacentSettlement,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :administrativeCenter,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :administrativeCollectivity,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :administrativeDistrict,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :administrativeHeadCity,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :administrativeStatus,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :administrator,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :afdbId,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :affair,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :affiliate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :affiliation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :afiAward,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :age,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ageRange,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :agency,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :agencyStationCode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :agglomeration,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :agglomerationArea,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :agglomerationDemographics,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :agglomerationPopulation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :agglomerationPopulationTotal,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :agglomerationPopulationYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :aggregation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :airDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :aircraftAttack,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :aircraftBomber,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :aircraftElectronic,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :aircraftFighter,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :aircraftHelicopter,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :aircraftHelicopterAttack,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :aircraftHelicopterCargo,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :aircraftHelicopterMultirole,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :aircraftHelicopterObservation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :aircraftHelicopterTransport,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :aircraftHelicopterUtility,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :aircraftInterceptor,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :aircraftPatrol,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :aircraftRecon,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :aircraftTrainer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :aircraftTransport,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :aircraftType,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :aircraftUser,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :airportUsing,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :aitaCode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :albedo,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :album,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :albumRuntime,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :alias,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :allcinemaId,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :allegiance,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :alliance,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :almaMater,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :alongside,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :alpsGroup,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :alpsMainPart,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :alpsMajorSector,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :alpsSection,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :alpsSoiusaCode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :alpsSubgroup,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :alpsSubsection,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :alpsSupergroup,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :alternativeName,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :alternativeTitle,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :altitude,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :alumni,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :amateurDefeat,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :amateurFight,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :amateurKo,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :amateurNoContest,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :amateurTeam,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :amateurTie,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :amateurTitle,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :amateurVictory,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :amateurYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :americanComedyAward,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :amgid,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :amsterdamCode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :analogChannel,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :animal,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :animator,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :anniversary,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :announcedFrom,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :annualTemperature,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :anthem,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :aoCloassification,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :apcPresident,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :apoapsis,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :apofocus,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :apparentMagnitude,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :appearance,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :appearancesInLeague,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :appearancesInNationalTeam,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :appointer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :apprehended,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :approach,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :approvedByLowerParliament,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :approvedByUpperParliament,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :approximateCalories,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :apskritis,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :archipelago,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :architect,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :architectualBureau,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :architecturalMovement,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :architecturalStyle,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :area,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :areaCode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :areaDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :areaLand,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :areaMetro,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :areaOfCatchment,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :areaOfCatchmentQuote,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :areaOfSearch,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :areaQuote,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :areaRank,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :areaRural,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :areaTotal,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :areaTotalRanking,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :areaUrban,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :areaWater,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :argueDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :arielAward,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :arm,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :army,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :arrestDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :arrondissement,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :artPatron,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :artery,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :artificialSnowArea,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :artist,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :artisticFunction,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :asWikiText,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ascent,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :asiaChampionship,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :aspectRatio,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :assembly,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :assetUnderManagement,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :assets,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :assistantPrincipal,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :associate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :associateEditor,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :associateStar,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :associatedAct,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :associatedBand,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :associatedMusicalArtist,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :associatedRocket,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :associationOfLocalGovernment,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :astrologicalSign,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :atPage,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :atRowNumber,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :atcCode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :atcPrefix,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :atcSuffix,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :athletics,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :athleticsDiscipline,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :atomicNumber,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :attorneyGeneral,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :aunt,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :australiaOpenDouble,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :australiaOpenMixed,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :australiaOpenSingle,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :author,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :authority,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :authorityMandate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :authorityTitle,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :automobileModel,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :automobilePlatform,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :autonomy,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :availableSmartCard,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :average,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :averageAnnualGeneration,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :averageClassSize,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :averageDepth,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :averageDepthQuote,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :averageSpeed,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :avifaunaPopulation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :award,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :awardName,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :awayColourHexCode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :bSide,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :background,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :backhand,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :badGuy,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :baftaAward,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :band,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :bandMember,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :barPassRate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :barangays,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :basedOn,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :battery,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :battingSide,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :battle,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :battleHonours,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :bbr,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :beatifiedBy,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :beatifiedDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :beatifiedPlace,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :bedCount,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :believers,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :beltwayCity,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :bestFinish,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :bestLap,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :bestRankDouble,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :bestRankSingle,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :bestWsopRank,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :bestYearWsop,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :bgafdId,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :bibsysId,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :bicycleInformation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :bigPoolRecord,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :biggestCity,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :billed,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :binomial,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :binomialAuthority,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :bioavailability,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :bioclimate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :biome,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :bird,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :birthDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :birthName,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :birthPlace,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :birthSign,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :birthYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :bishopric,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :blackLongDistancePisteNumber,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :blackSkiPisteNumber,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :blazon,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :blazonCaption,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :blazonLink,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :blazonRatio,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :block,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :blockAlloy,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :bloodGroup,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :bloodType,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :blueLongDistancePisteNumber,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :blueSkiPisteNumber,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :bnfId,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :board,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :bodyDiscovered,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :bodyStyle,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :boiler,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :boilerPressure,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :boilingPoint,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :book,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :booster,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :border,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :borough,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :bourgmestre,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :bowlRecord,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :bowlingSide,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :boxerStyle,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :bpnId,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :brainInfoNumber,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :brainInfoType,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :branchFrom,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :branchTo,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :brand,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :breeder,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :bridgeCarries,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :brinCode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :britishComedyAwards,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :britishOpen,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :britishWins,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :broadcastArea,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :broadcastNetwork,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :broadcastRepeater,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :broadcastStationClass,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :broadcastTranslator,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :bronzeMedalDouble,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :bronzeMedalMixed,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :bronzeMedalSingle,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :bronzeMedalist,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :brother,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :budget,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :budgetYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :builder,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :building,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :buildingEndDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :buildingEndYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :buildingStartDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :buildingStartYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :buildingType,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :bustSize,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :bustWaistHipSize,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :cableCar,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :calculationNeeds,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :callSign,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :callsignMeaning,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :campus,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :campusSize,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :campusType,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :canBaggageChecked,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :cannonNumber,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :canonizedBy,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :canonizedDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :canonizedPlace,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :canton,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :capacity,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :capacityFactor,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :capital,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :capitalCoordinates,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :capitalCountry,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :capitalDistrict,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :capitalElevation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :capitalMountain,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :capitalPlace,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :capitalPosition,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :capitalRegion,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :captureDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :carNumber,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :carbohydrate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :carcinogen,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :careerPoints,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :careerPrizeMoney,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :careerStation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :cargoFuel,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :cargoGas,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :cargoWater,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :casNumber,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :casSupplemental,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :case,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :casualties,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :catch,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :category,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :caterer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :catholicPercentage,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :causalties,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :causeOfDeath,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :causedBy,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ccaState,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ceeb,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ceiling,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :cemetery,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :censusYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :center,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :centuryBreaks,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ceo,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ceremonialCounty,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :certification,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :certificationDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :cesarAward,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :chEBI,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :chEMBL,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :chain,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :chairLabel,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :chairman,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :chairmanTitle,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :chairperson,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :champion,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :championInDouble,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :championInDoubleFemale,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :championInDoubleMale,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :championInMixedDouble,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :championInSingle,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :championInSingleFemale,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :championInSingleMale,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :championships,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :chancellor,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :channel,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :chaplain,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :characterInPlay,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :chef,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :chemSpiderId,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :chemicalFormula,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :chiefEditor,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :chiefPlace,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :child,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :childOrganisation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :choreographer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :chorusCharacterInPlay,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :christeningDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :chromosome,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :cinematography,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :circle,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :circuitLength,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :circuitName,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :circulation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :circumcised,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :cites,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :citizenship,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :city,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :cityLink,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :cityRank,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :citySince,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :cityType,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :clade,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :class,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :classes,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :classification,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :classis,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :climate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :climbUpNumber,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :closeTo,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :closed,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :closingDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :closingFilm,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :closingYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :clothSize,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :clothingSize,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :club,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :clubsRecordGoalscorer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :cluster,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :cmpEvaDuration,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :cmykCoordinateBlack,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :cmykCoordinateCyanic,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :cmykCoordinateMagenta,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :cmykCoordinateYellow,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :co2Emission,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :coExecutiveProducer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :coProducer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :coach,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :coachClub,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :coachSeason,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :coachedTeam,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :coachingRecord,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :coalition,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :coastLength,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :coastLine,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :coatOfArms,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :code,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :codeBook,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :codeDistrict,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :codeIndex,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :codeListOfHonour,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :codeMemorial,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :codeMunicipalMonument,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :codeNationalMonument,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :codeProvincialMonument,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :codeSettlement,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :codeStockExchange,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :coden,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :coemperor,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :collaboration,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :colleague,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :collection,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :collectionSize,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :collectivityMinority,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :college,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :collegeHof,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :colonialName,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :colorChart,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :colour,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :colourHexCode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :colourName,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :combatant,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :comic,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :comitat,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :command,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :commandModule,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :commandStructure,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :commandant,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :commander,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :comment,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :commissioner,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :commissionerDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :commissioningDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :committee,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :committeeInLegislature,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :commonName,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :commune,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :communityIsoCode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :company,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :comparable,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :competition,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :competitionTitle,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :compiler,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :completionDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :complexion,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :complexity,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :complications,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :component,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :composer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :compressionRatio,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :computingInput,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :computingMedia,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :computingPlatform,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :configuration,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :confirmedCases,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :conflict,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :congressionalDistrict,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :connectsReferencedTo,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :connotation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :consecration,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :conservationStatus,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :conservationStatusSystem,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :constellation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :constituencyDistrict,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :construction,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :constructionMaterial,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :contest,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :continent,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :continentRank,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :continentalTournament,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :continentalTournamentBronze,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :continentalTournamentGold,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :continentalTournamentSilver,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :contractAward,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :contractor,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :convictionDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :convictionPenalty,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :coolingSystem,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :copilote,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :coronationDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :cosparId,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :cost,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :costumeDesigner,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :council,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :councilArea,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :country,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :countryCode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :countryOrigin,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :countryRank,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :countryWithFirstAstronaut,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :countryWithFirstSatellite,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :countryWithFirstSatelliteLaunched,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :countryWithFirstSpaceflight,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :county,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :countySeat,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :course,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :courseArea,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :cousurper,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :coverArtist,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :cpu,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :created,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :creationChristianBishop,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :creationYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :creativeDirector,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :creator,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :creatorOfDish,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :credit,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :crest,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :crew,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :crewMember,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :crewSize,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :crews,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :criminalCharge,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :criteria,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :crosses,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :crownDependency,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :cuisine,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :cultivatedVariety,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :curator,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :currency,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :currencyCode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :currentCity,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :currentLeague,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :currentMember,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :currentPartner,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :currentProduction,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :currentRank,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :currentRecord,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :currentSeason,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :currentStatus,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :currentTeam,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :currentTeamManager,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :currentTeamMember,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :currentWorldChampion,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :currentlyUsedFor,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :custodian,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :cyclistGenre,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :cylinderBore,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :cylinderCount,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :daira,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :dam,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :damage,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :damsire,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :danseCompetition,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :danseScore,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"data/definitions.ttl",
      "http://open.vocab.org/terms/describes": "http://dbpedia.org/ontology/".freeze
    term :date,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :dateAct,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :dateAgreement,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :dateBudget,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :dateClosed,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :dateCompleted,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :dateConstruction,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :dateExtended,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :dateLastUpdated,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :dateOfAbandonment,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :dateOfBurial,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :dateUnveiled,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :dateUse,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :daughter,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :davisCup,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :day,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :daylightSavingTimeZone,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :dbnlCodeDutch,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :dcc,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :deFactoLanguage,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :deadInFightDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :deadInFightPlace,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :dean,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :deanery,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :deathAge,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :deathCause,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :deathDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :deathPlace,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :deathYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :debut,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :debutTeam,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :debutWork,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :dec,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :decay,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :decideDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :declination,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :decommissioningDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :decoration,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :defeat,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :defeatAsMgr,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :definition,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :defunct,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :delegateMayor,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :delegation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :deliveryDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :deme,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :demographics,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :demographicsAsOf,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :demolitionDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :demolitionYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :demonym,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :denomination,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :density,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :department,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :departmentCode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :departmentPosition,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :depictionDescription,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :depth,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :depthQuote,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :depths,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :deputy,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :derivative,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :derivedWord,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :description,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :designCompany,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :designer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :destination,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :destructionDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :detectionMethod,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :detractor,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :developer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :dfE,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :diameter,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :differentialDiagnosis,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :digitalChannel,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :digitalSubChannel,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :diocese,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :diploma,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :director,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :disappearanceDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :disbanded,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :discharge,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :dischargeAverage,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :disciple,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :discipline,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :discontinued,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :discovered,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :discoverer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :discovery,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :disease,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :diseasesDB,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :diseasesDb,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :displacement,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :dissolutionDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :dissolutionYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :dissolved,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :dist_ly,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :dist_pc,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :distance,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :distanceLaps,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :distanceToBelfast,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :distanceToCapital,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :distanceToCardiff,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :distanceToCharingCross,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :distanceToDouglas,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :distanceToDublin,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :distanceToEdinburgh,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :distanceToLondon,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :distanceToNearestCity,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :distanceTraveled,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :distributingCompany,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :distributingLabel,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :distributor,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :district,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :division,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :dockedTime,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :doctoralAdvisor,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :doctoralStudent,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :documentDesignation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :documentNumber,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :domain,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :dorlandsId,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :dorlandsPrefix,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :dorlandsSuffix,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :draft,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :draftLeague,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :draftPick,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :draftPosition,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :draftRound,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :draftTeam,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :draftYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :drainsFrom,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :drainsTo,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :drama,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :dressCode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :drugbank,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :"drugs.com",
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :dryCargo,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :dubber,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :duration,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :dutchArtworkCode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :dutchCOROPCode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :dutchMIPCode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :dutchNAIdentifier,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :dutchPPNCode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :dutchRKDCode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :dutchWinkelID,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :dynasty,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :eMedicineSubject,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :eMedicineTopic,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :eTeatrId,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :eastPlace,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ecNumber,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :editing,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :editor,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :editorTitle,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :education,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :educationPlace,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :educationSystem,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :effectiveRadiatedPower,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :egafdId,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :einecsNumber,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ekatteCode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :electionDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :electionDateLeader,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :electionMajority,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :elementAbove,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :elementBlock,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :elementGroup,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :elementPeriod,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :elevation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :elevationQuote,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :elevatorCount,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :elo,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :eloRecord,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :emblem,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :emmyAward,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :employer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :employersCelebration,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :end,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :endCareer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :endDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :endDateTime,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :endOccupation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :endPoint,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :endReign,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :endYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :endYearOfInsertion,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :endYearOfSales,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :endangeredSince,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :endingTheme,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :endowment,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :enemy,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :engine,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :enginePower,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :engineType,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :engineer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ensembl,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :enshrinedDeity,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :entourage,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :entrezgene,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :eparchy,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :episode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :episodeNumber,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :epoch,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :eptFinalTable,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :eptItm,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :eptTitle,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :equipment,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :equity,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :era,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :eruption,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :eruptionYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :escalafon,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :escapeVelocity,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :espnId,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :established,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :establishment,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ethnicGroup,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ethnicGroupsInYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ethnicity,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :eurobabeIndexId,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :europeanAffiliation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :europeanChampionship,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :europeanParliamentGroup,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :europeanUnionEntranceDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :event,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :eventDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :eventDescription,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :executiveHeadteacher,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :executiveProducer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :exhibition,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :existence,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :expedition,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :explorer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :externalOrnament,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :extinctionDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :extinctionYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :eyeColor,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :eyeColour,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :eyes,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :faaLocationIdentifier,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :facilityId,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :facultySize,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :failedLaunches,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :family,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :familyMember,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :fansgroup,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :fareZone,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :fastestDriver,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :fastestDriverCountry,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :fastestDriverTeam,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :fastestLap,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :fat,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :fatalityRate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :fate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :father,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :fauna,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :fc,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :fcRuns,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :fdaUniiCode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :feastDay,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :feat,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :feature,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :features,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :fedCup,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :federalState,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :federation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :fees,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :fibahof,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :field,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :fight,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :fighter,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :fileExtension,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :fileSize,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :fileURL,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :filename,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :fillingStation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :film,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :filmAudioType,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :filmColourType,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :filmFareAward,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :filmNumber,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :filmPolskiId,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :filmRuntime,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :filmVersion,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :finalFlight,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :finalLost,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :finalLostDouble,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :finalLostSingle,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :finalLostTeam,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :finalPublicationDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :finalPublicationYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :fipsCode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :firstAirDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :firstAppearance,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :firstAscent,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :firstAscentPerson,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :firstAscentYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :firstBroadcast,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :firstDriver,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :firstDriverCountry,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :firstDriverTeam,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :firstFlight,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :firstFlightEndDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :firstFlightStartDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :firstGame,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :firstLaunch,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :firstLaunchDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :firstLaunchRocket,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :firstLeader,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :firstMention,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :firstOlympicEvent,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :firstOwner,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :firstPlace,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :firstPopularVote,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :firstProMatch,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :firstPublicationDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :firstPublicationYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :firstPublisher,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :firstRace,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :firstWin,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :firstWinner,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :flag,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :flagBearer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :flagBorder,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :flagCaption,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :flagLink,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :flagSize,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :flashPoint,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :floodingDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :floorArea,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :floorCount,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :flora,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :flower,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :flyingHours,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :foalDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :focus,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :followedBy,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :followingEvent,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :follows,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :foot,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :footedness,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :forces,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :foresterDistrict,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :format,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :formationDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :formationYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :formerBandMember,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :formerBroadcastNetwork,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :formerCallsign,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :formerChannel,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :formerChoreographer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :formerCoach,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :formerHighschool,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :formerName,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :formerPartner,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :formerTeam,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :formula,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :fossil,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :foundation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :foundationPlace,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :foundedBy,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :founder,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :foundingDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :foundingYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :fourthCommander,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :frazioni,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :free,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :freeDanseScore,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :freeFlightTime,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :freeLabel,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :freeProgCompetition,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :freeProgScore,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :freeScoreCompetition,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :frequency,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :frequencyOfPublication,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :frequentlyUpdated,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :friend,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :frontierLength,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :frozen,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :fuel,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :fuelCapacity,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :fuelConsumption,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :fuelSystem,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :fuelType,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :fuelTypeName,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :fullCompetition,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :fullScore,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :functionEndDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :functionEndYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :functionStartDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :functionStartYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :fundedBy,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :galicianSpeakersDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :galicianSpeakersPercentage,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :galleryItem,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :gameArtist,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :gameEngine,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :gameModus,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :games,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :garrison,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :gasChambers,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :gaudiAward,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :gdpPerCapita,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :geminiAward,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :gender,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :geneLocation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :geneLocationEnd,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :geneLocationStart,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :geneReviewsId,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :geneReviewsName,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :generalCouncil,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :generalManager,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :generationUnits,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :genomeDB,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :genre,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :genus,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :geolocDepartment,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :geolocDual,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :geologicPeriod,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :geology,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :giniCoefficient,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :giniCoefficientAsOf,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :giniCoefficientCategory,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :giniCoefficientRanking,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :glycemicIndex,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :gnisCode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :gnl,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :goalsInLeague,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :goalsInNationalTeam,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :goldMedalDouble,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :goldMedalMixed,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :goldMedalSingle,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :goldMedalist,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :goldenCalfAward,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :goldenGlobeAward,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :goldenRaspberryAward,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :governingBody,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :government,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :governmentCountry,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :governmentElevation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :governmentMountain,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :governmentPlace,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :governmentPosition,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :governmentRegion,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :governmentType,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :governor,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :governorGeneral,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :governorate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :goyaAward,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :gradName,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :gradNum,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :grades,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :grammyAward,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :grandsire,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :grave,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :grayPage,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :graySubject,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :greekName,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :greenLongDistancePisteNumber,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :greenSkiPisteNumber,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :gridReference,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :grindingCapability,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :gross,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :grossDomesticProduct,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :grossDomesticProductAsOf,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :grossDomesticProductNominalPerCapita,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :grossDomesticProductPerPeople,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :grossDomesticProductPurchasingPowerParityPerCapita,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :grossDomesticProductRank,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ground,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :groundsForLiquidation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :groupCommemorated,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :growingGrape,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :guest,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :gun,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :gymApparatus,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :hairColor,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :hairColour,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :hairs,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :hallOfFame,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :hand,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :handedness,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :handisport,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :hasAbsorbedMunicipality,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :hasAnnotation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :hasChannel,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :hasInput,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :hasInsidePlace,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :hasJunctionWith,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :hasKMLData,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :hasNaturalBust,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :hasOutsidePlace,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :hasSurfaceForm,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :hasVariant,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :head,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :headAlloy,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :headChef,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :headLabel,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :headOfFamily,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :headquarter,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :headteacher,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :height,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :heightAboveAverageTerrain,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :heightAgainst,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :heightAttack,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :heir,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :heisman,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :heritageRegister,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :hgncid,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :highest,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :highestAltitude,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :highestBreak,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :highestBuildingInYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :highestMountain,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :highestPlace,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :highestPoint,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :highestPointIsland,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :highestPosition,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :highestRank,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :highestRegion,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :highestState,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :highschool,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :highwaySystem,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :hipSize,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :historicalMap,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :historicalName,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :historicalRegion,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :hof,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :homage,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :homeArena,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :homeColourHexCode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :homeStadium,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :homeport,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :hometown,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :honours,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :hopmanCup,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :horseRidingDiscipline,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :house,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :hraState,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :hsvCoordinateHue,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :hsvCoordinateSaturation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :hsvCoordinateValue,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :hubAirport,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :humanDevelopmentIndex,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :humanDevelopmentIndexAsOf,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :humanDevelopmentIndexRank,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :humanDevelopmentIndexRankingCategory,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :hybrid,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :iafdId,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :iataAirlineCode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :iataLocationIdentifier,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ibdbId,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :icaoAirlineCode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :icaoLocationIdentifier,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :icd1,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :icd10,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :icd9,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :icdo,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :iconographicAttributes,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :id,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :idAllocine,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :idNumber,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :identificationSymbol,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ideology,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :iftaAward,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :iihfHof,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :illiteracy,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :illustrator,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :imageSize,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :imdbId,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :impactFactor,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :impactFactorAsOf,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :importantStation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :imposedDanseCompetition,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :imposedDanseScore,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :inCemetery,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :inchi,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :inclination,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :income,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :incumbent,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :individualisedGnd,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :individualisedPnd,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :industry,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :infantMortality,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :inflow,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :influenced,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :influencedBy,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :information,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :informationName,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ingredient,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ingredientName,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :initiallyUsedFor,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :inn,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :innervates,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :inscription,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :inseeCode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :installedCapacity,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :institution,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :instrument,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :intercommunality,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :interest,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :internationalAffiliation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :internationalPhonePrefix,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :internationalPhonePrefixLabel,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :internationally,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :introduced,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :introductionDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :iobdbId,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :isCityState,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :isHandicappedAccessible,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :isPartOf,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :isPartOfAnatomicalStructure,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :isPartOfMilitaryConflict,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :isPartOfName,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :isPartOfWineRegion,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :isPeerReviewed,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :isRouteStop,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :isbn,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :isil,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :island,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :isniId,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :iso31661Code,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :iso6391Code,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :iso6392Code,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :iso6393Code,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :isoCode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :isoCodeRegion,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :issDockings,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :issn,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ist,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :istat,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ithfDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :iucnCategory,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :iupacName,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :jockey,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :jointCommunity,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :jstor,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :judge,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :juniorSeason,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :juniorTeam,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :juniorYearsEndYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :juniorYearsStartYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :jureLanguage,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :jurisdiction,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :jutsu,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :kegg,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :keyPerson,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :khlDraft,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :khlDraftTeam,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :khlDraftYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :killedBy,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :kinOfLanguage,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :kindOfCoordinate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :kindOfCriminal,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :kindOfCriminalAction,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :kindOfRock,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :kingdom,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :knownFor,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ko,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lahHof,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lake,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :land,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :landArea,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :landPercentage,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :landRegistryCode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :landeshauptmann,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :landingDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :landingSite,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :landingVehicle,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :landskap,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :landtag,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :landtagMandate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :language,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :languageCode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :languageFamily,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :languageRegulator,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :largestCity,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :largestMetro,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :largestSettlement,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :largestWin,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lastAirDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lastAppearance,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lastElectionDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lastFamilyMember,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lastFlight,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lastFlightEndDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lastFlightStartDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lastLaunch,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lastLaunchDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lastLaunchRocket,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lastPosition,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lastProMatch,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lastPublicationDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lastRace,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lastSeason,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lastWin,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :laterality,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :latestElection,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :latestPreviewDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :latestPreviewVersion,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :latestReleaseDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :latestReleaseVersion,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :latinName,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :launch,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :launchDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :launchPad,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :launchSite,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :launchVehicle,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :launches,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :laurenceOlivierAward,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lawCountry,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :layingDown,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :layout,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lcc,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lccn,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lccnId,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lchfDraft,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lchfDraftTeam,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lchfDraftYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :leadTeam,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :leadYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :leader,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :leaderFunction,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :leaderName,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :leaderParty,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :leaderTitle,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :leadership,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :league,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :leagueManager,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :leftChild,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :leftTributary,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :legalArrondissement,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :legalArticle,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :legalForm,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :legislativePeriodName,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :legislature,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :length,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lengthQuote,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lengthReference,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lethalOnChickens,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lethalOnMice,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lethalOnRabbits,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lethalOnRats,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :liberationDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :libretto,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :licenceLetter,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :licenceNumber,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :licenceNumberLabel,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :license,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :licensee,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lieutenancy,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lieutenancyArea,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lieutenant,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lifeExpectancy,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :limit,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lineLength,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :linguisticsTradition,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :linkedSpace,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :linkedTo,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :listItemOf,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :literaryGenre,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :littlePoolRecord,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :livingPlace,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :loadLimit,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :localAuthority,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :localPhonePrefix,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :locality,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :localization,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :localizationThumbnail,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :localizationThumbnailCaption,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :locatedInArea,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :location,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :locationCity,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :locationCountry,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :locationIdentifier,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :locationName,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :locomotive,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :locusSupplementaryData,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :logo,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :longDistancePisteKilometre,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :longDistancePisteNumber,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :longName,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :longtype,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lounge,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lowerAge,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lowerEarthOrbitPayload,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lowest,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lowestAltitude,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lowestMountain,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lowestPlace,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lowestPoint,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lowestPosition,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lowestRegion,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lowestState,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lunarEvaTime,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lunarLandingSite,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lunarModule,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lunarOrbitTime,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lunarRover,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lunarSampleMass,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lunarSurfaceTime,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lymph,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :lyrics,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :magazine,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :maidenFlight,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :maidenFlightRocket,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :maidenVoyage,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mainBuilding,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mainCharacter,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mainDomain,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mainFamilyBranch,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mainInterest,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mainIsland,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mainIslands,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mainOrgan,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mainspan,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :maintainedBy,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :majorIsland,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :majorShrine,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :majorityFloorLeader,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :majorityLeader,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :makeupArtist,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :management,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :managementCountry,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :managementElevation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :managementMountain,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :managementPlace,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :managementPosition,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :managementRegion,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :manager,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :managerClub,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :managerSeason,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :managerTitle,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :managerYears,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :managerYearsEndYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :managerYearsStartYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :managingEditor,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mandate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :manufactory,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :manufacturer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :map,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mapCaption,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mapDescription,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :march,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :marketCapitalisation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mascot,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mass,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :massif,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mastersWins,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :matchPoint,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :material,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :max,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :maxAbsoluteMagnitude,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :maxApparentMagnitude,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :maxTime,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :maximumArea,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :maximumAreaQuote,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :maximumBoatBeam,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :maximumBoatLength,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :maximumDepth,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :maximumDepthQuote,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :maximumDischarge,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :maximumElevation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :maximumInclination,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :maximumTemperature,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mayor,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mayorArticle,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mayorCouncillor,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mayorFunction,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mayorMandate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mayorTitle,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mbaId,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :meanRadius,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :meanTemperature,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :meaning,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :measurements,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :medalist,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :media,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mediaItem,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mediaType,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :medicalCause,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :medicalDiagnosis,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :medicalSpecialty,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :medication,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :medlinePlus,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :meetingBuilding,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :meetingCity,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :meetingRoad,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :meltingPoint,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :member,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :memberOfParliament,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :membership,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :membershipAsOf,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mentor,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mergedSettlement,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mergedWith,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mergerDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :meshId,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :meshName,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :meshNumber,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :messierName,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :metropolitanBorough,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mgiid,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :militaryBranch,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :militaryCommand,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :militaryFunction,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :militaryGovernment,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :militaryRank,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :militaryService,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :militaryUnit,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :militaryUnitSize,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :millSpan,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :millType,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :millsCodeBE,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :millsCodeDutch,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :millsCodeNL,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :millsCodeNLVerdwenen,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :millsCodeNLWindmotoren,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :min,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :minTime,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :minimumArea,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :minimumAreaQuote,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :minimumDischarge,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :minimumElevation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :minimumInclination,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :minimumTemperature,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :minister,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :minority,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :minorityFloorLeader,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :minorityLeader,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mirDockings,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mission,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :missionDuration,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :missions,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :model,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :modelEndDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :modelEndYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :modelLineVehicle,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :modelStartDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :modelStartYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :molarMass,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :molecularWeight,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :monarch,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :month,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mood,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mostDownPoint,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mostSuccessfulPlayer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mostWins,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mother,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :motive,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :motto,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mount,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mountainRange,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mouthCountry,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mouthDistrict,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mouthElevation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mouthMountain,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mouthPlace,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mouthPosition,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mouthRegion,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mouthState,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :movement,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :movie,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mukhtar,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :municipality,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :municipalityAbsorbedBy,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :municipalityCode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :municipalityRenamedTo,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :municipalityType,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :museum,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :museumType,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :musicBand,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :musicBrainzArtistId,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :musicBy,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :musicComposer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :musicFormat,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :musicFusionGenre,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :musicSubgenre,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :musicType,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :musicalArtist,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :musicalBand,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :musicalKey,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :musicians,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :muteCharacterInPlay,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mvp,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :mythology,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :naacpImageAward,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :name,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nameAsOf,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nameDay,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nameInCantoneseChinese,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nameInHangulKorean,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nameInHanjaKorean,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nameInJapanese,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nameInMindongyuChinese,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nameInMinnanyuChinese,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nameInPinyinChinese,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nameInSimplifiedChinese,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nameInTraditionalChinese,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nameInWadeGilesChinese,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :namedAfter,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :namedByLanguage,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :names,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :narrator,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nationalAffiliation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nationalChampionship,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nationalFilmAward,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nationalOlympicCommittee,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nationalRanking,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nationalSelection,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nationalTeam,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nationalTeamMatchPoint,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nationalTeamYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nationalTopographicSystemMapNumber,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nationalTournament,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nationalTournamentBronze,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nationalTournamentGold,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nationalTournamentSilver,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nationalYears,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nationality,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ncaaSeason,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ncaaTeam,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ncbhof,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nciId,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ndlId,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nearestCity,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :neighboringMunicipality,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :neighbourConstellations,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :neighbourRegion,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :neighbourhood,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nerve,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :netIncome,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :network,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :networth,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :newspaper,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nextEntity,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nextEvent,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nextMission,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nflCode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nflSeason,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nflTeam,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ngcName,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nisCode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nlaId,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nndbId,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :noContest,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nobelLaureates,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nominee,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nonFictionSubject,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nonProfessionalCareer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nord,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :northEastPlace,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :northPlace,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :northWestPlace,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :notSolubleIn,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :notableCommander,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :notableFeatures,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :notableIdea,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :notableStudent,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :notableWine,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :notableWork,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :note,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :noteOnPlaceOfBurial,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :noteOnRestingPlace,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :notes,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :notifyDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :novel,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nrhpReferenceNumber,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nrhpType,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nssdcId,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :number,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberBuilt,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfAcademicStaff,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfAlbums,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfArrondissement,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfBombs,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfBronzeMedalsWon,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfCanton,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfCantons,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfCapitalDeputies,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfCity,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfClasses,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfClassesWithResource,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfClassrooms,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfClubs,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfCollectionItems,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfCompetitors,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfCounties,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfCountries,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfCrew,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfDeaths,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfDependency,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfDisambiguates,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfDistrict,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfDistricts,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfDoctoralStudents,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfDoors,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfEmployees,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfEntrances,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfEpisodes,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfFederalDeputies,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfFilms,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfGoals,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfGoldMedalsWon,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfGraduateStudents,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfGraves,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfHoles,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfHouses,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfIndegree,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfIntercommunality,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfIsland,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfIslands,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfLanes,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfLaps,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfLaunches,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfLawyers,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfLifts,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfLines,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfLiveAlbums,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfLocations,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfMatches,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfMembers,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfMembersAsOf,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfMinistries,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfMunicipalities,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfMusicalArtistEntities,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfMusicalArtistInstrument,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfMusicalArtistStyle,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfNeighbourhood,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfNewlyIntroducedSports,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfOffices,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfOfficials,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfOrbits,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfOutdegree,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfPads,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfPages,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfParkingSpaces,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfParticipatingAthletes,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfParticipatingFemaleAthletes,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfParticipatingMaleAthletes,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfParticipatingNations,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfPassengers,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfPeopleAttending,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfPeopleLicensed,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfPersonBornInPlace,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfPersonEntities,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfPersonFromUniversity,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfPersonInOccupation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfPiersInWater,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfPixels,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfPlatformLevels,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfPlayers,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfPostgraduateStudents,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfPredicates,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfProfessionals,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfProperties,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfPropertiesUsed,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfReactors,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfRedirectedResource,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfResource,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfResourceOfClass,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfResourceOfType,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfResourceWithType,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfRestaurants,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfRockets,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfRooms,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfRun,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfSeasons,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfSeats,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfSeatsInParliament,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfSettlement,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfSettlementsInCountry,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfSilverMedalsWon,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfSoccerPlayerInCountryRepre,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfSoccerPlayersBornInPlace,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfSoccerPlayersInTeam,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfSpans,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfSpeakers,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfSports,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfSportsEvents,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfStaff,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfStars,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfStateDeputies,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfStations,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfStores,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfStudents,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfStudioAlbums,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfSuites,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfTeams,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfTracks,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfTrails,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfTriples,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfTurns,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfUndergraduateStudents,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfUniqeResources,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfUseOfProperty,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfVehicles,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfVillages,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfVineyards,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfVisitors,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfVisitorsAsOf,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfVolumes,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfVolunteers,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberOfWineries,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :numberSold,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :nutsCode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :observatory,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :occupation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :oclc,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :odor,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :offeredClasses,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :office,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :officerInCharge,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :officialLanguage,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :officialName,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :officialOpenedBy,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :officialSchoolColour,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ofsCode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :oilSystem,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :okatoCode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :oldDistrict,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :oldName,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :oldProvince,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :oldTeamCoached,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :oldcode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :olivierAward,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :olympicGames,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :olympicGamesBronze,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :olympicGamesGold,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :olympicGamesSilver,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :olympicGamesWins,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :olympicOathSwornBy,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :olympicOathSwornByAthlete,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :olympicOathSwornByJudge,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :omim,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :onChromosome,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ons,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :openAccessContent,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :openingDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :openingFilm,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :openingTheme,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :openingYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :operatingIncome,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :operatingSystem,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :operator,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :opponent,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :opponents,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :orbitalEccentricity,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :orbitalFlights,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :orbitalInclination,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :orbitalPeriod,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :orbits,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :orcidId,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :order,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :orderDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :orderInOffice,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ordination,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :organ,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :organSystem,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :organisation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :organisationMember,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :orientation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :origin,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :originalDanseCompetition,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :originalDanseScore,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :originalEndPoint,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :originalLanguage,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :originalMaximumBoatBeam,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :originalMaximumBoatLength,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :originalName,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :originalStartPoint,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :originalTitle,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :originallyUsedFor,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :origo,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :orogeny,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :orpha,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :orthologousGene,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :other,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :otherActivity,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :otherAppearances,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :otherChannel,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :otherFamilyBranch,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :otherFuelType,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :otherFunction,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :otherInformation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :otherLanguage,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :otherMedia,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :otherName,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :otherOccupation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :otherParty,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :otherServingLines,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :otherSportsExperience,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :otherWins,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :outflow,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :output,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :outskirts,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :overallRecord,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :oversight,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :owner,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :owningCompany,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :owningOrganisation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :owns,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :painter,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :parent,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :parentCompany,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :parentMountainPeak,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :parentOrganisation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :parentheses,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :parish,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :parkingInformation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :parkingLotsCars,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :parkingLotsTrucks,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :parliament,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :parliamentType,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :parliamentaryGroup,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :part,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :partialFailedLaunches,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :participant,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :participatingIn,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :particularSign,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :partitionCoefficient,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :partner,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :party,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :partyNumber,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :passengersPerDay,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :passengersPerYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :passengersUsedSystem,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :pastMember,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :pastor,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :patent,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :patron,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :patronSaint,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :pccSecretary,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :pdb,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :peabodyAward,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :penaltiesTeamA,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :penaltiesTeamB,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :penaltyScore,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :pendamicDeaths,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :penisLength,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :peopleName,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :perCapitaIncome,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :perCapitaIncomeAsOf,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :perCapitaIncomeRank,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :percentage,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :percentageAlcohol,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :percentageFat,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :percentageLiteracyMen,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :percentageLiteracyWomen,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :percentageLiterate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :percentageOfAreaWater,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :performer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :periapsis,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :perifocus,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :perimeter,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :period,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :perpetrator,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :person,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :personFunction,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :personName,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :pgaWins,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :philosophicalSchool,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :phonePrefix,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :phonePrefixLabel,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :photographer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :phylum,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :picture,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :pictureDescription,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :pictureFormat,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :picturesCommonsCategory,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :piercing,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :pisciculturalPopulation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :pistonStroke,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :place,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :placeOfBurial,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :placeOfWorship,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :plant,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :playRole,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :playerInTeam,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :playerSeason,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :playerStatus,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :playingTime,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :plays,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :pluviometry,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :podium,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :podiums,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :pole,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :poleDriver,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :poleDriverCountry,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :poleDriverTeam,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :polePosition,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :poles,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :policeName,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :polishFilmAward,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :politicGovernmentDepartment,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :politicalFunction,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :politicalLeader,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :politicalMajority,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :politicalPartyInLegislature,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :politicalPartyOfLeader,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :politicalSeats,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :politician,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :popularVote,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :population,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :populationAsOf,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :populationDensity,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :populationMetro,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :populationMetroDensity,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :populationPctChildren,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :populationPctMen,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :populationPctWomen,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :populationPlace,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :populationQuote,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :populationRural,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :populationRuralDensity,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :populationTotal,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :populationTotalRanking,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :populationTotalReference,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :populationUrban,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :populationUrbanDensity,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :populationYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :portfolio,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :portrayer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :position,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :postalCode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :power,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :powerOutput,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :powerType,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :precursor,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :predecessor,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :prefaceBy,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :prefect,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :prefectMandate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :prefecture,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :prefix,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :premiereDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :premierePlace,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :premiereYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :presentMunicipality,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :presentName,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :presenter,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :president,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :presidentGeneralCouncil,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :presidentGeneralCouncilMandate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :presidentRegionalCouncil,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :presidentRegionalCouncilMandate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :previousDemographics,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :previousEditor,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :previousEntity,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :previousEvent,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :previousInfrastructure,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :previousMission,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :previousName,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :previousPopulation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :previousPopulationTotal,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :previousWork,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :price,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :primaryFuelType,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :primate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :primeMinister,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :primogenitor,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :principal,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :principalArea,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :principalEngineer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :proTeam,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :probowlPick,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :procedure,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :producedBy,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :producer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :produces,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :product,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :productShape,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :production,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :productionCompany,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :productionEndDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :productionEndYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :productionStartDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :productionStartYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :productionYears,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :profession,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :programCost,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :programmeFormat,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :programmingLanguage,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :project,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :projectBudgetFunding,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :projectBudgetTotal,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :projectCoordinator,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :projectEndDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :projectKeyword,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :projectObjective,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :projectParticipant,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :projectReferenceID,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :projectStartDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :projectType,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :prominence,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :promotion,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :pronunciation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :prospectLeague,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :prospectTeam,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :protectionStatus,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :protein,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :protestantPercentage,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :provCode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :provides,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :province,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :provinceIsoCode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :provinceLink,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :provost,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :pseudonym,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :pubchem,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :publication,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :publicationDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :publiclyAccessible,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :publisher,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :purchasingPowerParity,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :purchasingPowerParityRank,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :purchasingPowerParityYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :purpose,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :qatarClassic,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :quebecerTitle,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :quotation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :quote,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ra,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :race,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :raceHorse,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :raceLength,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :raceResult,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :raceTrack,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :raceWins,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :races,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :racketCatching,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :radio,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :radioStation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :radius_ly,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :railGauge,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :railwayLineUsingTunnel,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :railwayPlatforms,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :railwayRollingStock,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :range,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :rank,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :rankAgreement,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :rankArea,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :rankInFinalMedalCount,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :rankPopulation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ranking,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :rankingWins,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :rankingsDoubles,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :rankingsSingles,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :rating,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ratio,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :rebuildDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :rebuilder,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :rebuildingDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :rebuildingYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :recentWinner,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :recommissioningDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :recordDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :recordLabel,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :recordedIn,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :recoveryCases,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :rector,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :redListIdNL,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :redLongDistancePisteNumber,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :redSkiPisteNumber,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :redline,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :refcul,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :reference,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :reffBourgmestre,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :refgen,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :refgeo,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :refpol,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :refseq,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :refseqmrna,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :refseqprotein,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :regency,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :regentOf,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :regime,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :region,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :regionLink,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :regionServed,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :regionType,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :regionalCouncil,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :regionalLanguage,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :regionalPrefecture,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :registration,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :registry,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :registryNumber,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :reign,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :reignName,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :reigningPope,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :related,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :relatedFunctions,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :relatedMeanOfTransportation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :relatedPlaces,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :relation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :relative,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :relativeAtomicMass,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :releaseDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :releaseLocation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :relics,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :relief,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :religion,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :religiousHead,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :religiousHeadLabel,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :religiousOrder,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :reopened,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :reopeningDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :reopeningYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :reportingMark,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :representative,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :requirement,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :reservations,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :residence,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :resolution,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :restingDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :restingPlace,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :restingPlacePosition,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :restoreDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :restriction,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :result,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :retentionTime,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :retired,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :retiredRocket,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :retirementDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :revenue,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :revenueYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :review,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :rgbCoordinateBlue,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :rgbCoordinateGreen,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :rgbCoordinateRed,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ridId,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :rightAscension,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :rightChild,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :rightTributary,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :rivalSchool,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :river,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :riverBranch,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :riverBranchOf,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :riverMouth,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :rkdArtistsId,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :road,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :rocket,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :rocketFunction,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :rocketStages,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :rolandGarrosDouble,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :rolandGarrosMixed,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :rolandGarrosSingle,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :role,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :roleInEvent,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :roofHeight,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :rotationPeriod,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :route,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :routeActivity,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :routeDirection,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :routeEnd,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :routeEndDirection,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :routeEndLocation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :routeJunction,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :routeLine,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :routeNext,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :routeNumber,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :routePrevious,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :routeStart,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :routeStartDirection,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :routeStartLocation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :routeTypeAbbreviation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :royalAnthem,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ruling,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :runningMate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :runtime,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :runwayDesignation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :runwayLength,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :runwaySurface,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :runwayWidth,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ruralMunicipality,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :saint,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :salary,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :sales,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :sameName,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :satScore,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :satcat,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :satellite,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :satellitesDeployed,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :scale,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :scene,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :school,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :schoolBoard,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :schoolCode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :schoolNumber,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :schoolPatron,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :scientificName,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :score,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :screenActorsGuildAward,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :sea,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :season,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :seasonManager,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :seasonNumber,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :seatNumber,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :seatingCapacity,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :second,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :secondCommander,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :secondDriver,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :secondDriverCountry,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :secondLeader,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :secondPlace,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :secondPopularVote,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :secondTeam,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :secretaryGeneral,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :security,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :seiyu,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :selection,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :selectionPoint,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :selectionYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :selibrId,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :senator,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :senior,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :seniority,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :seniunija,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :sentence,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :series,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :service,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :serviceEndDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :serviceEndYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :serviceModule,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :serviceNumber,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :serviceStartDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :serviceStartYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :servingRailwayLine,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :servingSize,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :servingTemperature,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :sessionNumber,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :setDesigner,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :settingOfPlay,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :settlement,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :settlementAttached,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :setupTime,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :severeCases,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :sex,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :sexualOrientation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :shape,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :shareDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :shareOfAudience,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :shareSource,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :sharingOutPopulation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :sharingOutPopulationYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :sheading,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :shipBeam,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :shipCrew,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :shipDisplacement,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :shipDraft,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :shipLaunch,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :shoeNumber,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :shoeSize,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :shoot,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :shoots,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :shoreLength,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :shortProgCompetition,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :shortProgScore,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :show,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :showJudge,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :shuttle,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :sibling,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :signName,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :signature,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :significantBuilding,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :significantDesign,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :significantProject,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :silCode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :silverMedalDouble,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :silverMedalMixed,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :silverMedalSingle,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :silverMedalist,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :simcCode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :similar,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :sire,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :siren,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :sister,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :sisterCollege,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :sisterNewspaper,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :sisterStation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :sixthFormStudents,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :sizeBlazon,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :sizeLogo,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :sizeMap,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :sizeThumbnail,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :size_v,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :skiLift,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :skiPisteKilometre,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :skiPisteNumber,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :skiTow,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :skills,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :skinColor,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :slogan,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :smiles,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :snowParkNumber,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :soccerLeaguePromoted,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :soccerLeagueRelegated,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :soccerLeagueSeason,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :soccerLeagueWinner,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :soccerTournamentClosingSeason,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :soccerTournamentLastChampion,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :soccerTournamentMostSteady,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :soccerTournamentMostSuccesfull,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :soccerTournamentOpeningSeason,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :soccerTournamentThisSeason,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :soccerTournamentTopScorer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :solicitorGeneral,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :solubility,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :solvent,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :solventWithBadSolubility,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :solventWithGoodSolubility,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :solventWithMediocreSolubility,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :son,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :soundRecording,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :source,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :sourceConfluence,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :sourceConfluenceCountry,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :sourceConfluenceElevation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :sourceConfluenceMountain,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :sourceConfluencePlace,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :sourceConfluencePosition,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :sourceConfluenceRegion,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :sourceConfluenceState,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :sourceCountry,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :sourceDistrict,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :sourceElevation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :sourceMountain,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :sourcePlace,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :sourcePosition,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :sourceRegion,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :sourceState,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :sourceText,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :southEastPlace,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :southPlace,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :southWestPlace,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :sovereignCountry,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :space,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :spacecraft,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :spacestation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :spacewalkBegin,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :spacewalkEnd,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :speaker,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :specialEffects,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :specialTrial,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :specialist,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :speciality,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :specialization,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :species,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :speedLimit,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :spike,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :splitFromParty,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :spokenIn,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :spokesperson,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :sport,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :sportCountry,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :sportDiscipline,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :sportGoverningBody,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :sportSpecialty,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :sportsFunction,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :spouse,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :spouseName,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :spurOf,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :spurType,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :squadNumber,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :stadium,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :staff,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :starRating,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :starring,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :start,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :startCareer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :startDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :startDateTime,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :startOccupation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :startPoint,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :startReign,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :startWct,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :startWqs,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :startYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :startYearOfInsertion,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :startYearOfSales,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :statName,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :statValue,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :state,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :stateDelegate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :stateOfOrigin,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :stateOfOriginPoint,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :stateOfOriginTeam,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :stateOfOriginYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :stationEvaDuration,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :stationStructure,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :stationVisitDuration,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :statistic,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :statisticLabel,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :statisticValue,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :statisticYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :status,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :statusManager,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :statusYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :stellarClassification,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :stockExchange,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :storyEditor,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :strength,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :structuralSystem,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :student,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :style,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :stylisticOrigin,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :subClassis,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :subFamily,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :subGenus,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :subMunicipalityType,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :subOrder,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :subPrefecture,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :subTribus,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :subdivision,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :subdivisionLink,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :subdivisionName,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :subdivisions,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :subjectOfPlay,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :subjectTerm,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :sublimationPoint,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :suborbitalFlights,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :subprefecture,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :subregion,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :subsequentInfrastructure,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :subsequentWork,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :subsidiary,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :subsystem,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :subsystemLink,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :subtitle,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :successfulLaunches,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :successor,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :sudocId,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :summerAppearances,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :summerTemperature,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :superFamily,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :superOrder,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :superTribus,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :superbowlWin,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :superintendent,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :supplementalDraftRound,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :supplementalDraftYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :supplies,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :supply,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :suppreddedDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :surfaceArea,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :surfaceFormOccurrenceOffset,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :surfaceGravity,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :surfaceType,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :suspectedCases,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :swimmingStyle,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :symbol,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :symptom,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :synonym,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :systemOfLaw,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :systemRequirements,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :tag,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :taoiseach,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :targetAirport,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :targetSpaceStation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :taste,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :tattoo,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :taxon,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :teachingStaff,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :team,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :teamCoached,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :teamManager,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :teamName,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :teamPoint,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :teamSize,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :teamTitle,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :technique,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :televisionSeries,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :tempPlace,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :temperature,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :templateName,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :temple,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :templeYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :tenant,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :tennisSurfaceType,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :termOfOffice,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :termPeriod,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :territory,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :terytCode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :tessitura,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :testaverage,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :theology,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :third,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :thirdCommander,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :thirdDriver,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :thirdDriverCountry,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :thirdPlace,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :thirdTeam,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :throwingSide,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :thumbnail,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :thumbnailCaption,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :tie,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :time,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :timeInSpace,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :timeZone,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :timeshiftChannel,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :title,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :titleDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :titleDouble,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :titleLanguage,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :titleSingle,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :toll,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :tonyAward,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :topFloorHeight,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :topLevelDomain,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :topSpeed,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :topic,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :torchBearer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :torqueOutput,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :totalCargo,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :totalDiscs,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :totalIliCases,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :totalLaunches,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :totalMass,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :totalPopulation,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :totalTracks,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :totalTravellers,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :touristicSite,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :tournamentOfChampions,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :tournamentRecord,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :towerHeight,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :trackLength,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :trackNumber,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :trackWidth,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :tradeMark,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :tradingName,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :trainer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :trainerClub,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :trainerYears,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :training,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :translatedMotto,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :translator,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :transmission,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :treatment,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :tree,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :tribus,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :trustee,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :tuition,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :tvComId,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :tvShow,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :twinCountry,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :twinTown,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :type,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :typeCoordinate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :typeOfElectrification,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :typeOfGrain,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :typeOfStorage,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :typeOfYeast,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :uRN,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :uciCode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ulanId,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :umbrellaTitle,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :unNumber,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :uncle,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :undraftedYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :unesco,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :unicode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :uniprot,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :unitCost,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :unitaryAuthority,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :unitedStatesNationalBridgeId,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :university,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :unknownOutcomes,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :unloCode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :updated,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :upperAge,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :urbanArea,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :usOpenDouble,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :usOpenMixed,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :usOpenSingle,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :usSales,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :usedInWar,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :uses,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :usingCountry,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :usk,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :usopenWins,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :usurper,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :utcOffset,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :v_hb,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :value,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :valvetrain,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :vaporPressure,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :variantOf,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :varietals,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :vehicle,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :vehicleCode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :vehiclesInFleet,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :vehiclesPerDay,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :vein,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :veneratedIn,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :version,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :viafId,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :viceChancellor,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :viceLeader,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :viceLeaderParty,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :vicePresident,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :vicePrimeMinister,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :vicePrincipal,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :vicePrincipalLabel,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :victim,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :victims,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :victory,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :victoryAsMgr,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :victoryPercentageAsMgr,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :virtualChannel,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :visitorStatisticsAsOf,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :visitorsPerDay,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :visitorsPerYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :visitorsPercentageChange,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :visitorsTotal,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :voice,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :voiceType,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :volcanicActivity,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :volcanicType,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :volcanoId,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :voltageOfElectrification,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :volume,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :volumeQuote,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :volumes,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :vonKlitzingConstant,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :votesAgainst,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :votesFor,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :wagon,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :waistSize,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :war,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :ward,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :water,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :waterArea,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :waterPercentage,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :watercourse,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :watershed,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :waterwayThroughTunnel,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :wavelength,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :weapon,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :webcast,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :websiteLabel,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :weddingParentsDate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :weight,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :westPlace,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :whaDraft,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :whaDraftTeam,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :whaDraftYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :wheelbase,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :wholeArea,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :width,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :widthQuote,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :wikiPageCharacterSize,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :wikiPageDisambiguates,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :wikiPageEditLink,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :wikiPageExternalLink,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :wikiPageExtracted,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :wikiPageHistoryLink,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :wikiPageID,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :wikiPageInDegree,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :wikiPageInterLanguageLink,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :wikiPageLength,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :wikiPageModified,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :wikiPageOutDegree,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :wikiPageRedirects,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :wikiPageRevisionID,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :wikiPageRevisionLink,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :wikiPageUsesTemplate,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :wikiPageWikiLink,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :wikiPageWikiLinkText,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :wikidataSplitIri,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :wilaya,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :wimbledonDouble,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :wimbledonMixed,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :wimbledonSingle,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :wineProduced,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :wineRegion,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :wineYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :wingArea,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :wingspan,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :wins,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :winsAtAlpg,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :winsAtAsia,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :winsAtAus,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :winsAtChallenges,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :winsAtChampionships,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :winsAtJLPGA,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :winsAtJapan,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :winsAtKLPGA,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :winsAtLAGT,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :winsAtLET,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :winsAtLPGA,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :winsAtMajors,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :winsAtNWIDE,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :winsAtOtherTournaments,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :winsAtPGA,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :winsAtProTournaments,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :winsAtSenEuro,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :winsAtSun,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :winsInEurope,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :winterAppearances,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :winterTemperature,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :woRMS,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :wordBefore,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :work,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :workArea,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :world,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :worldChampionTitleYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :worldOpen,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :worldTeamCup,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :worldTournament,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :worldTournamentBronze,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :worldTournamentGold,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :worldTournamentSilver,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :worstDefeat,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :wptFinalTable,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :wptItm,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :wptTitle,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :writer,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :wsopItm,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :wsopWinYear,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :wsopWristband,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :year,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :yearElevationIntoNobility,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :yearOfConstruction,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :yearOfElectrification,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :years,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :youthClub,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :youthWing,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :youthYears,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :zdb,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :zipCode,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
    term :zodiacSign,
      isDefinedBy: "http://dbpedia.org/ontology/".freeze
  end
end
