# -*- encoding: utf-8 -*-
# frozen_string_literal: true
# This file generated automatically using rdf vocabulary format from http://rs.tdwg.org/dwc/terms/
require 'rdf'
module RDF::Vocab
  DWC = Class.new(RDF::Vocabulary("http://rs.tdwg.org/dwc/terms/")) do

    # Ontology definition
    ontology :"http://rs.tdwg.org/dwc/terms/",
      comment: "This document contains a list of Darwin Core terms that have the dwcattributes:status equal to \"recommended\". For the full normative RDF document of all Darwin Core terms, see dwctermshistory.rdf. To comment on this schema, please create a new issue in https://github.com/tdwg/dwc/issues".freeze,
      "http://purl.org/dc/terms/modified": "2014-12-05".freeze,
      "http://purl.org/dc/terms/publisher": "Biodiversity Information Standards (TDWG)".freeze,
      "http://purl.org/dc/terms/title": "Darwin Core Recommended Terms".freeze

    # Class definitions
    term :Event,
      comment: "An action that occurs at some location during some time.".freeze,
      "http://purl.org/dc/terms/description": "Examples: A specimen collection process. A machine observation.".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#Event-2014-10-23".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2014-10-23".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/Event-2009-04-29".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/decision": "http://rs.tdwg.org/dwc/terms/history/decisions/#Decision-2014-10-26_15".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Event".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :FossilSpecimen,
      comment: "A preserved specimen that is a fossil.".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#FossilSpecimen-2014-10-23".freeze,
      "http://purl.org/dc/terms/issued": "2014-10-23".freeze,
      "http://purl.org/dc/terms/modified": "2014-10-23".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/dwctype/FossilSpecimen-2011-10-16".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "RecordBasisEnum/FossileSpecimen".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/decision": "http://rs.tdwg.org/dwc/terms/history/decisions/#Decision-2014-10-26_15".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Fossil Specimen".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :GeologicalContext,
      comment: "Geological information, such as stratigraphy, that qualifies a region or place.".freeze,
      "http://purl.org/dc/terms/description": "Example: A lithostratigraphic layer.".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#GeologicalContext-2014-10-23".freeze,
      "http://purl.org/dc/terms/issued": "2009-07-06".freeze,
      "http://purl.org/dc/terms/modified": "2014-10-23".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/GeologicalContext-2009-07-06".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/Stratigraphy".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/decision": "http://rs.tdwg.org/dwc/terms/history/decisions/#Decision-2014-10-26_15".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Geological Context".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :HumanObservation,
      comment: "An output of a human observation process.".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#HumanObservation-2014-10-23".freeze,
      "http://purl.org/dc/terms/issued": "2014-10-23".freeze,
      "http://purl.org/dc/terms/modified": "2014-10-23".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/dwctype/HumanObservation-2011-10-16".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "RecordBasisEnum/HumanObservation".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/decision": "http://rs.tdwg.org/dwc/terms/history/decisions/#Decision-2014-10-26_15".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Human Observation".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Identification,
      comment: "A taxonomic determination (e.g., the assignment to a taxon).".freeze,
      "http://purl.org/dc/terms/description": "Example: A subspecies determination of an organism.".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#Identification-2014-10-23".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2014-10-23".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/Identification-2008-11-19".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Identifications/Identification".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/decision": "http://rs.tdwg.org/dwc/terms/history/decisions/#Decision-2014-10-26_15".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Identification".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :LivingSpecimen,
      comment: "A specimen that is alive.".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#LivingSpecimen-2014-10-23".freeze,
      "http://purl.org/dc/terms/issued": "2014-10-23".freeze,
      "http://purl.org/dc/terms/modified": "2014-10-23".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/dwctype/LivingSpecimen-2011-10-16".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "RecordBasisEnum/LivingSpecimen".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/decision": "http://rs.tdwg.org/dwc/terms/history/decisions/#Decision-2014-10-26_15".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Living Specimen".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MachineObservation,
      comment: "An output of a machine observation process.".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#MachineObservation-2014-10-23".freeze,
      "http://purl.org/dc/terms/issued": "2014-10-23".freeze,
      "http://purl.org/dc/terms/modified": "2014-10-23".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/dwctype/MachineObservation-2011-10-16".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "RecordBasisEnum/MachineObservation".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/decision": "http://rs.tdwg.org/dwc/terms/history/decisions/#Decision-2014-10-26_15".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Machine Observation".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MaterialSample,
      comment: "A physical results of a sampling (or subsampling) event. In biological collections, the material sample is typically collected, and either preserved or destructively processed.".freeze,
      "http://purl.org/dc/terms/description": "Examples: A whole organism preserved in a collection. A part of an organism isolated for some purpose. A soil sample. A marine microbial sample.".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#MaterialSample-2014-10-23".freeze,
      "http://purl.org/dc/terms/issued": "2013-03-28".freeze,
      "http://purl.org/dc/terms/modified": "2014-10-23".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/MaterialSample-2013-03-28".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/decision": "http://rs.tdwg.org/dwc/terms/history/decisions/#Decision-2014-10-26_15".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Material Sample".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MeasurementOrFact,
      comment: "A measurement of or fact about an rdfs:Resource (http://www.w3.org/2000/01/rdf-schema#Resource).".freeze,
      "http://purl.org/dc/terms/description": "Resources can be thought of as identifiable records or instances of classes and may include, but need not be limited to Occurrences, Organisms, MaterialSamples, Events, Locations, GeologicalContexts, Identifications, or Taxa. Examples: The weight of an organism in grams. The number of placental scars.".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#MeasurementOrFact-2014-10-23".freeze,
      "http://purl.org/dc/terms/issued": "2009-04-24".freeze,
      "http://purl.org/dc/terms/modified": "2014-10-23".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/MeasurementOrFact-2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "Datasets/Dataset/Units/Unit/MeasurementsOrFacts or DataSets/DataSet/Units/Unit/Gathering/SiteMeasurementsOrFacts".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/decision": "http://rs.tdwg.org/dwc/terms/history/decisions/#Decision-2014-10-26_15".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Measurement or Fact".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Occurrence,
      comment: "An existence of an Organism (sensu http://rs.tdwg.org/dwc/terms/Organism) at a particular place at a particular time.".freeze,
      "http://purl.org/dc/terms/description": "Examples: A wolf pack on the shore of Kluane Lake in 1988. A virus in a plant leaf in a the New York Botanical Garden at 15:29 on 2014-10-23. A fungus in Central Park in the summer of 1929.".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#Occurrence-2014-10-23".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2014-10-23".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/Occurrence-2009-04-29".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/decision": "http://rs.tdwg.org/dwc/terms/history/decisions/#Decision-2014-10-26_15".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Occurrence".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Organism,
      comment: "A particular organism or defined group of organisms considered to be taxonomically homogeneous.".freeze,
      "http://purl.org/dc/terms/description": "Instances of the Organism class are intended to facilitate linking of one or more Identification instances to one or more Occurrence instances. Therefore, things that are typically assigned scientific names (such as viruses, hybrids, and lichens) and aggregates whose occurrences are typically recorded (such as packs, clones, and colonies) are included in the scope of this class.".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#Organism-2014-10-23".freeze,
      "http://purl.org/dc/terms/issued": "2014-10-23".freeze,
      "http://purl.org/dc/terms/modified": "2014-10-23".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/decision": "http://rs.tdwg.org/dwc/terms/history/decisions/#Decision-2014-10-26_14".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Organism".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PreservedSpecimen,
      comment: "A specimen that has been preserved.".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#PreservedSpecimen-2014-10-23".freeze,
      "http://purl.org/dc/terms/issued": "2014-10-23".freeze,
      "http://purl.org/dc/terms/modified": "2014-10-23".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/dwctype/PreservedSpecimen-2011-10-16".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "RecordBasisEnum/PreservedSpecimen".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/decision": "http://rs.tdwg.org/dwc/terms/history/decisions/#Decision-2014-10-26_15".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Preserved Specimen".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ResourceRelationship,
      comment: "A relationship of one rdfs:Resource (http://www.w3.org/2000/01/rdf-schema#Resource) to another.".freeze,
      "http://purl.org/dc/terms/description": "Resources can be thought of as identifiable records or instances of classes and may include, but need not be limited to Occurrences, Organisms, MaterialSamples, Events, Locations, GeologicalContexts, Identifications, or Taxa. Example: An instance of an Organism is the mother of another instance of an Organism.".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#ResourceRelationship-2014-10-23".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2014-10-23".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/ResourceRelationship-2009-01-21".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Associations".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/decision": "http://rs.tdwg.org/dwc/terms/history/decisions/#Decision-2014-10-26_15".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Resource Relationship".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Taxon,
      comment: "A group of organisms (sensu http://purl.obolibrary.org/obo/OBI_0100026) considered by taxonomists to form a homogeneous unit.".freeze,
      "http://purl.org/dc/terms/description": "Example: The genus Truncorotaloides as published by Brönnimann et al. in 1953 in the Journal of Paleontology Vol. 27(6) p. 817-820.".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#Taxon-2014-10-23".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2014-10-23".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/Taxon-2009-09-21".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "no simple equivalent in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/decision": "http://rs.tdwg.org/dwc/terms/history/decisions/#Decision-2014-10-26_15".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Taxon".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze

    # Property definitions
    property :acceptedNameUsage,
      comment: "The full name, with authorship and date information if known, of the currently valid (zoological) or accepted (botanical) taxon.".freeze,
      "http://purl.org/dc/terms/description": "Example: \"Tamias minimus\" valid name for \"Eutamias minimus\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#acceptedNameUsage-2009-09-21".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-09-21".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/acceptedScientificName-2009-07-06".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Taxon".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Accepted Name Usage".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :acceptedNameUsageID,
      comment: "An identifier for the name usage (documented meaning of the name according to a source) of the currently valid (zoological) or accepted (botanical) taxon.".freeze,
      "http://purl.org/dc/terms/description": "Example: \"8fa58e08-08de-4ac1-b69c-1235340b7001\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#acceptedNameUsageID-2009-09-21".freeze,
      "http://purl.org/dc/terms/issued": "2009-01-21".freeze,
      "http://purl.org/dc/terms/modified": "2009-09-21".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/acceptedTaxonID-2009-08-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Taxon".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Accepted Name Usage ID".freeze,
      subPropertyOf: "http://purl.org/dc/terms/identifier".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :accordingTo,
      comment: "Abstract term to attribute information to a source.".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#accordingTo-2009-01-21".freeze,
      "http://purl.org/dc/terms/issued": "2009-01-21".freeze,
      "http://purl.org/dc/terms/modified": "2009-01-21".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "According To".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :associatedMedia,
      comment: "A list (concatenated and separated) of identifiers (publication, global unique identifier, URI) of media associated with the Occurrence.".freeze,
      "http://purl.org/dc/terms/description": "The recommended best practice is to separate the values with a vertical bar (' | '). Examples: \"http://arctos.database.museum/SpecimenImages/UAMObs/Mamm/2/P7291179.JPG\", \"http://204.140.246.24/Fish/Collection%20Pictures/10118-00.jpg | http://204.140.246.24/Fish/Collection%20Pictures/10118-00a.jpg\".".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#associatedMedia-2014-10-23".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2014-10-23".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/associatedMedia-2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/MultimediaObjects".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/decision": "http://rs.tdwg.org/dwc/terms/history/decisions/#Decision-2014-10-30_16".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Occurrence".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Associated Media".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :associatedOccurrences,
      comment: "A list (concatenated and separated) of identifiers of other Occurrence records and their associations to this Occurrence.".freeze,
      "http://purl.org/dc/terms/description": "The recommended best practice is to separate the values with a vertical bar (' | ').".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#associatedOccurrences-2014-10-23".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2014-10-23".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/associatedOccurrences-2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Associations/UnitAssociation/AssociatedUnitSourceInstitutionCode + DataSets/DataSet/Units/Unit/Associations/UnitAssociation/AssociatedUnitSourceName + DataSets/DataSet/Units/Unit/Associations/UnitAssociation/AssociatedUnitID".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/decision": "http://rs.tdwg.org/dwc/terms/history/decisions/#Decision-2014-10-30_16".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Organism".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Associated Occurrences".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :associatedOrganisms,
      comment: "A list (concatenated and separated) of identifiers of other Organisms and their associations to this Organism.".freeze,
      "http://purl.org/dc/terms/description": "The recommended best practice is to separate the values with a vertical bar (' | '). Examples: \"sibling of MXA-232\", \"mother of MXA-231 | mother of MXA-232\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#associatedOrganisms-2014-10-23".freeze,
      "http://purl.org/dc/terms/issued": "2014-10-23".freeze,
      "http://purl.org/dc/terms/modified": "2014-10-23".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/decision": "http://rs.tdwg.org/dwc/terms/history/decisions/#Decision-2014-10-26_14".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Organism".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Associated Organisms".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :associatedReferences,
      comment: "A list (concatenated and separated) of identifiers (publication, bibliographic reference, global unique identifier, URI) of literature associated with the Occurrence.".freeze,
      "http://purl.org/dc/terms/description": "The recommended best practice is to separate the values with a vertical bar (' | '). Examples: \"http://www.sciencemag.org/cgi/content/abstract/322/5899/261\", \"Christopher J. Conroy, Jennifer L. Neuwald. 2008. Phylogeographic study of the California vole, Microtus californicus Journal of Mammalogy, 89(3):755-767.\", \"Steven R. Hoofer and Ronald A. Van Den Bussche. 2001. Phylogenetic Relationships of Plecotine Bats and Allies Based on Mitochondrial Ribosomal Sequences. Journal of Mammalogy 82(1):131-137. | Walker, Faith M., Jeffrey T. Foster, Kevin P. Drees, Carol L. Chambers. 2014. Spotted bat (Euderma maculatum) microsatellite discovery using illumina sequencing. Conservation Genetics Resources.\".".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#associatedReferences-2014-10-23".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2014-10-23".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/associatedReferences-2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/UnitReferences".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/decision": "http://rs.tdwg.org/dwc/terms/history/decisions/#Decision-2014-10-30_16".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Occurrence".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Associated References".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :associatedSequences,
      comment: "A list (concatenated and separated) of identifiers (publication, global unique identifier, URI) of genetic sequence information associated with the Occurrence.".freeze,
      "http://purl.org/dc/terms/description": "The recommended best practice is to separate the values with a vertical bar (' | '). Examples: \"http://www.ncbi.nlm.nih.gov/nuccore/U34853.1\", \"http://www.ncbi.nlm.nih.gov/nuccore/GU328060 | http://www.ncbi.nlm.nih.gov/nuccore/AF326093\".".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#associatedSequences-2014-10-23".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2014-10-23".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/associatedSequences-2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Sequences/Sequence/ID-in-Database + constant".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/decision": "http://rs.tdwg.org/dwc/terms/history/decisions/#Decision-2014-10-30_16".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Occurrence".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Associated Sequences".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :associatedTaxa,
      comment: "A list (concatenated and separated) of identifiers or names of taxa and their associations with the Occurrence.".freeze,
      "http://purl.org/dc/terms/description": "The recommended best practice is to separate the values with a vertical bar (' | '), and to separate the relationship from the taxon with a colon (':'). Examples: \"host: Quercus alba\", \"parasitoid of:Cyclocephala signaticollis | predator of Apis mellifera\".".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#associatedTaxa-2014-10-23".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2014-10-23".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/associatedTaxa-2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/Synecology/AssociatedTaxa".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/decision": "http://rs.tdwg.org/dwc/terms/history/decisions/#Decision-2014-10-30_16".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Occurrence".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Associated Taxa".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :basisOfRecord,
      comment: "The specific nature of the data record.".freeze,
      "http://purl.org/dc/terms/description": "Recommended best practice is to use a controlled vocabulary such as the list of Darwin Core classes. Examples: \"PreservedSpecimen\", \"FossilSpecimen\", \"LivingSpecimen\", \"HumanObservation\", \"MachineObservation\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#basisOfRecord-2014-10-23".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2014-10-23".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/basisOfRecord-2009-12-07".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/RecordBasis".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/decision": "http://rs.tdwg.org/dwc/terms/history/decisions/#Decision-2014-10-26_15".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/all".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Basis of Record".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :bed,
      comment: "The full name of the lithostratigraphic bed from which the cataloged item was collected.".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#bed-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2009-04-24".freeze,
      "http://purl.org/dc/terms/modified": "2009-07-06".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/Bed-2005-07-03".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/GeologicalContext".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Bed".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :behavior,
      comment: "A description of the behavior shown by the subject at the time the Occurrence was recorded.  Recommended best practice is to use a controlled vocabulary.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"roosting\", \"foraging\", \"running\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#behavior-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2009-03-06".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Occurrence".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Behavior".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :catalogNumber,
      comment: "An identifier (preferably unique) for the record within the data set or collection.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"2008.1334\", \"145732a\", \"145732\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#catalogNumber-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/CatalogNumber-2007-04-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/UnitID".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Occurrence".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Catalog Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :class,
      comment: "The full scientific name of the class in which the taxon is classified.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"Mammalia\", \"Hepaticopsida\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#class-2009-08-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-08-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/class-2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Identifications/Identification/TaxonIdentified/HigherTaxa/HigherTaxon/HigherTaxonName with HigherTaxa/HigherTaxon/HigherTaxonRank = classis".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Taxon".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Class".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :collectionCode,
      comment: "The name, acronym, coden, or initialism identifying the collection or data set from which the record was derived.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"Mammals\", \"Hildebrandt\", \"eBird\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#collectionCode-2009-09-11".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2013-10-04".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/collectionCode-2009-08-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/SourceID".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/all".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Collection Code".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :collectionID,
      comment: "An identifier for the collection or dataset from which the record was derived.".freeze,
      "http://purl.org/dc/terms/description": "For physical specimens, the recommended best practice is to use an identifier from a collections registry such as the Global Registry of Biodiversity Repositories (http://grbio.org/). Examples: \"http://biocol.org/urn:lsid:biocol.org:col:1001\", \"http://grbio.org/cool/p5fp-c036\".".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#collectionID-2009-09-11".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2014-10-23".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/SourceID".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/all".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Collection ID".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :continent,
      comment: "The name of the continent in which the Location occurs. Recommended best practice is to use a controlled vocabulary such as the Getty Thesaurus of Geographic Names.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"Africa\", \"Antarctica\", \"Asia\", \"Europe\", \"North America\", \"Oceania\", \"South America\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#continent-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2013-10-04".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/Continent-2007-04-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/NamedAreas/NamedArea/AreaName with NamedAreas/NamedArea/AreaClass= Continent".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://purl.org/dc/terms/Location".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Continent".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :coordinatePrecision,
      comment: "A decimal representation of the precision of the coordinates given in the decimalLatitude and decimalLongitude.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"0.00001\" (normal GPS limit for decimal degrees), \"0.000278\" (nearest second), \"0.01667\" (nearest minute), \"1.0\" (nearest degree)".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#coordinatePrecision-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/CoordinatePrecision-2003-06-13".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/SiteCoordinateSets/SiteCoordinates/CoordinatesLatLong/ISOAccuracy or DataSets/DataSet/Units/Unit/Gathering/SiteCoordinateSets/SiteCoordinates/CoordinatesLatLong/AccuracyStatement".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://purl.org/dc/terms/Location".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Coordinate Precision".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :coordinateUncertaintyInMeters,
      comment: "The horizontal distance (in meters) from the given decimalLatitude and decimalLongitude describing the smallest circle containing the whole of the Location. Leave the value empty if the uncertainty is unknown, cannot be estimated, or is not applicable (because there are no coordinates). Zero is not a valid value for this term.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"30\" (reasonable lower limit of a GPS reading under good conditions if the actual precision was not recorded at the time), \"71\" (uncertainty for a UTM coordinate having 100 meter precision and a known spatial reference system).".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#coordinateUncertaintyInMeters-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/CoordinateUncertaintyInMeters-2007-04-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/SiteCoordinateSets/SiteCoordinates/CoordinatesLatLon/CoordinateErrorDistanceInMeters".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://purl.org/dc/terms/Location".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Coordinate Uncertainty In Meters".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :country,
      comment: "The name of the country or major administrative unit in which the Location occurs. Recommended best practice is to use a controlled vocabulary such as the Getty Thesaurus of Geographic Names.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"Denmark\", \"Colombia\", \"España\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#country-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/Country-2007-04-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/Country/Name".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://purl.org/dc/terms/Location".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Country".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :countryCode,
      comment: "The standard code for the country in which the Location occurs. Recommended best practice is to use ISO 3166-1-alpha-2 country codes.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"AR\" for Argentina, \"SV\" for El Salvador".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#countryCode-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/Country/ISO3166Code".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://purl.org/dc/terms/Location".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Country Code".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :county,
      comment: "The full, unabbreviated name of the next smaller administrative region than stateProvince (county, shire, department, etc.) in which the Location occurs.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"Missoula\", \"Los Lagos\", \"Mataró\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#county-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/County-2007-04-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/NamedAreas/NamedArea/AreaName with NamedAreas/NamedArea/AreaClass= County".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://purl.org/dc/terms/Location".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "County".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :dataGeneralizations,
      comment: "Actions taken to make the shared data less specific or complete than in its original form. Suggests that alternative data of higher quality may be available on request.".freeze,
      "http://purl.org/dc/terms/description": "Example: \"Coordinates generalized from original GPS coordinates to the nearest half degree grid cell\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#dataGeneralizations-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/Generalizations-2008-11-19".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/all".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Data Generalizations".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :datasetID,
      comment: "An identifier for the set of data. May be a global unique identifier or an identifier specific to a collection or institution.".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#datasetID-2009-09-11".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-09-11".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/datasetID-2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/DataSetGUID".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/all".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Dataset ID".freeze,
      subPropertyOf: "http://purl.org/dc/terms/identifier".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :datasetName,
      comment: "The name identifying the data set from which the record was derived.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"Grinnell Resurvey Mammals\", \"Lacey Ctenomys Recaptures\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#datasetName-2009-09-11".freeze,
      "http://purl.org/dc/terms/issued": "2009-09-11".freeze,
      "http://purl.org/dc/terms/modified": "2009-09-11".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/SourceID".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/all".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Dataset Name".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :dateIdentified,
      comment: "The date on which the subject was identified as representing the Taxon. Recommended best practice is to use an encoding scheme, such as ISO 8601:2004(E).".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"1963-03-08T14:07-0600\" is 8 Mar 1963 2:07pm in the time zone six hours earlier than UTC, \"2009-02-20T08:40Z\" is 20 Feb 2009 8:40am UTC, \"1809-02-12\" is 12 Feb 1809, \"1906-06\" is Jun 1906, \"1971\" is just that year, \"2007-03-01T13:00:00Z/2008-05-11T15:30:00Z\" is the interval between 1 Mar 2007 1pm UTC and 11 May 2008 3:30pm UTC, \"2007-11-13/15\" is the interval between 13 Nov 2007 and 15 Nov 2007.".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#dateIdentified-2009-08-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-08-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/dateIdentified-2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Identifications/Identification/Date/DateText".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Identification".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Date Identified".freeze,
      subPropertyOf: "http://purl.org/dc/terms/date".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :day,
      comment: "The integer day of the month on which the Event occurred.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"9\", \"28\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#day-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/DayCollected-2003-06-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "accessible from DataSets/DataSet/Units/Unit/Gathering/ISODateTimeBegin".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Event".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Day".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :decimalLatitude,
      comment: "The geographic latitude (in decimal degrees, using the spatial reference system given in geodeticDatum) of the geographic center of a Location. Positive values are north of the Equator, negative values are south of it. Legal values lie between -90 and 90, inclusive.".freeze,
      "http://purl.org/dc/terms/description": "Example: \"-41.0983423\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#decimalLatitude-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-07-06".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/DecimalLatitude-2007-04-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/SiteCoordinateSets/SiteCoordinates/CoordinatesLatLon/LatitudeDecimal".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://purl.org/dc/terms/Location".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Decimal Latitude".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :decimalLongitude,
      comment: "The geographic longitude (in decimal degrees, using the spatial reference system given in geodeticDatum) of the geographic center of a Location. Positive values are east of the Greenwich Meridian, negative values are west of it. Legal values lie between -180 and 180, inclusive.".freeze,
      "http://purl.org/dc/terms/description": "Example: \"-121.1761111\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#decimalLongitude-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-07-06".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/DecimalLongitude-2007-04-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/SiteCoordinateSets/SiteCoordinates/CoordinatesLatLon/LongitudeDecimal".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://purl.org/dc/terms/Location".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Decimal Longitude".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :disposition,
      comment: "The current state of a specimen with respect to the collection identified in collectionCode or collectionID. Recommended best practice is to use a controlled vocabulary.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"in collection\", \"missing\", \"voucher elsewhere\", \"duplicates elsewhere\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#disposition-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/Disposition-2007-04-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/SpecimenUnit/Disposition".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Occurrence".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Disposition".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :dynamicProperties,
      comment: "A list of additional measurements, facts, characteristics, or assertions about the record. Meant to provide a mechanism for structured content.".freeze,
      "http://purl.org/dc/terms/description": "The recommended best practice is to use a key:value encoding schema such as JSON. Examples: \"{\"heightInMeters\":1.5}\", \"{\"tragusLengthInMeters\":0.014, \"weightInGrams\":120}\", \"{\"natureOfID\":\"expert identification\", \"identificationEvidence\":\"cytochrome B sequence\"}\", \"{\"relativeHumidity\":28, \"airTemperatureInCelcius\":22, \"sampleSizeInKilograms\":10}\", \"{\"aspectHeading\":277, \"slopeInDegrees\":6}\", \"{\"iucnStatus\":\"vulnerable\", \"taxonDistribution\":\"Neuquén, Argentina\"}\".".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#dynamicProperties-2014-10-23".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2014-10-23".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/dynamicProperties-2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/decision": "http://rs.tdwg.org/dwc/terms/history/decisions/#Decision-2014-10-30_16".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/all".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Dynamic Properties".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :earliestAgeOrLowestStage,
      comment: "The full name of the earliest possible geochronologic age or lowest chronostratigraphic stage attributable to the stratigraphic horizon from which the cataloged item was collected.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"Atlantic\", \"Boreal\", \"Skullrockian\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#earliestAgeOrLowestStage-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2009-04-24".freeze,
      "http://purl.org/dc/terms/modified": "2009-07-06".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/EarliestAgeOrLowestStage-2005-07-03".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/GeologicalContext".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Earliest Age Or Lowest Stage".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :earliestEonOrLowestEonothem,
      comment: "The full name of the earliest possible geochronologic eon or lowest chrono-stratigraphic eonothem or the informal name (\"Precambrian\") attributable to the stratigraphic horizon from which the cataloged item was collected.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"Phanerozoic\", \"Proterozoic\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#earliestEonOrLowestEonothem-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2009-04-24".freeze,
      "http://purl.org/dc/terms/modified": "2009-07-06".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/EarliestEonOrLowestEonothem-2005-07-03".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/GeologicalContext".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Earliest Eon Or Lowest Eonothem".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :earliestEpochOrLowestSeries,
      comment: "The full name of the earliest possible geochronologic epoch or lowest chronostratigraphic series attributable to the stratigraphic horizon from which the cataloged item was collected.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"Holocene\", \"Pleistocene\", \"Ibexian Series\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#earliestEpochOrLowestSeries-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2009-04-24".freeze,
      "http://purl.org/dc/terms/modified": "2009-07-06".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/EarliestEpochOrLowestSeries-2005-07-03".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/GeologicalContext".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Earliest Epoch Or Lowest Series".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :earliestEraOrLowestErathem,
      comment: "The full name of the earliest possible geochronologic era or lowest chronostratigraphic erathem attributable to the stratigraphic horizon from which the cataloged item was collected.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"Cenozoic\", \"Mesozoic\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#earliestEraOrLowestErathem-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2009-04-24".freeze,
      "http://purl.org/dc/terms/modified": "2009-07-06".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/EarliestEraOrLowestErathem-2005-07-03".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/GeologicalContext".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Earliest Era Or Lowest Erathem".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :earliestPeriodOrLowestSystem,
      comment: "The full name of the earliest possible geochronologic period or lowest chronostratigraphic system attributable to the stratigraphic horizon from which the cataloged item was collected.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"Neogene\", \"Tertiary\", \"Quaternary\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#earliestPeriodOrLowestSystem-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2009-04-24".freeze,
      "http://purl.org/dc/terms/modified": "2009-07-06".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/EarliestPeriodOrLowestSystem-2005-07-03".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/GeologicalContext".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Earliest Period Or Lowest System".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :endDayOfYear,
      comment: "The latest ordinal day of the year on which the Event occurred (1 for January 1, 365 for December 31, except in a leap year, in which case it is 366).".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"1\" (=1 Jan), \"366\" (=31 Dec), \"365\" (=30 Dec in a leap year, 31 Dec in a non-leap year)".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#endDayOfYear-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/DayOfYear-2007-04-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/DateTime/DayNumberEnd".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Event".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "End Day Of Year".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :establishmentMeans,
      comment: "The process by which the biological individual(s) represented in the Occurrence became established at the location. Recommended best practice is to use a controlled vocabulary.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"native\", \"introduced\", \"naturalised\", \"invasive\", \"managed\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#establishmentMeans-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/EstablishmentMeans".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Occurrence".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Establishment Means".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :eventDate,
      comment: "The date-time or interval during which an Event occurred. For occurrences, this is the date-time when the event was recorded. Not suitable for a time in a geological context. Recommended best practice is to use an encoding scheme, such as ISO 8601:2004(E).".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"1963-03-08T14:07-0600\" is 8 Mar 1963 2:07pm in the time zone six hours earlier than UTC, \"2009-02-20T08:40Z\" is 20 Feb 2009 8:40am UTC, \"1809-02-12\" is 12 Feb 1809, \"1906-06\" is Jun 1906, \"1971\" is just that year, \"2007-03-01T13:00:00Z/2008-05-11T15:30:00Z\" is the interval between 1 Mar 2007 1pm UTC and 11 May 2008 3:30pm UTC, \"2007-11-13/15\" is the interval between 13 Nov 2007 and 15 Nov 2007.".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#eventDate-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2009-04-24".freeze,
      "http://purl.org/dc/terms/modified": "2009-07-01".freeze,
      "http://purl.org/dc/terms/replaces": ["http://rs.tdwg.org/dwc/terms/EarliestDateCollected-2007-04-17".freeze, "http://rs.tdwg.org/dwc/terms/LatestDateCollected-2007-04-17".freeze],
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/ISODateTimeBegin".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Event".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Event Date".freeze,
      subPropertyOf: "http://purl.org/dc/terms/date".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :eventID,
      comment: "An identifier for the set of information associated with an Event (something that occurs at a place and time). May be a global unique identifier or an identifier specific to the data set.".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#eventID-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/SamplingEventID-2008-11-19".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/Code".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Event".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Event ID".freeze,
      subPropertyOf: "http://purl.org/dc/terms/identifier".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :eventRemarks,
      comment: "Comments or notes about the Event.".freeze,
      "http://purl.org/dc/terms/description": "Example: \"after the recent rains the river is nearly at flood stage\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#eventRemarks-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2009-01-18".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/Notes".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Event".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Event Remarks".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :eventTime,
      comment: "The time or interval during which an Event occurred. Recommended best practice is to use an encoding scheme, such as ISO 8601:2004(E).".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"14:07-0600\" is 2:07pm in the time zone six hours earlier than UTC, \"08:40:21Z\" is 8:40:21am UTC, \"13:00:00Z/15:30:00Z\" is the interval between 1pm UTC and 3:30pm UTC.".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#eventTime-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2009-04-24".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": ["http://rs.tdwg.org/dwc/terms/EndTimeOfDay-2005-07-10".freeze, "http://rs.tdwg.org/dwc/terms/StartTimeOfDay-2005-07-10".freeze],
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "accessible from DataSets/DataSet/Units/Unit/Gathering/ISODateTimeBegin and DataSets/DataSet/Units/Unit/Gathering/ISODateTimeEnd".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Event".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Event Time".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :family,
      comment: "The full scientific name of the family in which the taxon is classified.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"Felidae\", \"Monocleaceae\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#family-2009-08-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-08-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/family-2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Identifications/Identification/TaxonIdentified/HigherTaxa/HigherTaxon/HigherTaxonName with HigherTaxa/HigherTaxon/HigherTaxonRank = familia".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Taxon".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Family".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :fieldNotes,
      comment: "One of a) an indicator of the existence of, b) a reference to (publication, URI), or c) the text of notes taken in the field about the Event.".freeze,
      "http://purl.org/dc/terms/description": "Example: \"notes available in Grinnell-Miller Library\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#fieldNotes-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/FieldNotes-2007-04-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/FieldNotes".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Event".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Field Notes".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :fieldNumber,
      comment: "An identifier given to the event in the field. Often serves as a link between field notes and the Event.".freeze,
      "http://purl.org/dc/terms/description": "Example: \"RV Sol 87-03-08\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#fieldNumber-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/FieldNumber-2007-04-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/Code".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Event".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Field Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :footprintSRS,
      comment: "A Well-Known Text (WKT) representation of the Spatial Reference System (SRS) for the footprintWKT of the Location. Do not use this term to describe the SRS of the decimalLatitude and decimalLongitude, even if it is the same as for the footprintWKT - use the geodeticDatum instead.".freeze,
      "http://purl.org/dc/terms/description": "Example: The WKT for the standard WGS84 SRS (EPSG:4326) is \"GEOGCS[\"GCS_WGS_1984\",DATUM[\"D_WGS_1984\",SPHEROID[\"WGS_1984\",6378137,298.257223563]],PRIMEM[\"Greenwich\",0],UNIT[\"Degree\",0.0174532925199433]]\" without the enclosing quotes.".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#footprintSRS-2009-07-06".freeze,
      "http://purl.org/dc/terms/issued": "2009-07-06".freeze,
      "http://purl.org/dc/terms/modified": "2009-07-06".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://purl.org/dc/terms/Location".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Footprint SRS".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :footprintSpatialFit,
      comment: "The ratio of the area of the footprint (footprintWKT) to the area of the true (original, or most specific) spatial representation of the Location. Legal values are 0, greater than or equal to 1, or undefined. A value of 1 is an exact match or 100% overlap. A value of 0 should be used if the given footprint does not completely contain the original representation. The footprintSpatialFit is undefined (and should be left blank) if the original representation is a point and the given georeference is not that same point. If both the original and the given georeference are the same point, the footprintSpatialFit is 1.".freeze,
      "http://purl.org/dc/terms/description": "Detailed explanations with graphical examples can be found in the \"Guide to Best Practices for Georeferencing\", Chapman and Wieczorek, eds. 2006.".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#footprintSpatialFit-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2014-10-23".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/FootprintSpatialFit-2007-04-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/FootprintSpatialFit (ABCD v2.06b)".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://purl.org/dc/terms/Location".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Footprint Spatial Fit".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :footprintWKT,
      comment: "A Well-Known Text (WKT) representation of the shape (footprint, geometry) that defines the Location. A Location may have both a point-radius representation (see decimalLatitude) and a footprint representation, and they may differ from each other.".freeze,
      "http://purl.org/dc/terms/description": "Example: the one-degree bounding box with opposite corners at (longitude=10, latitude=20) and (longitude=11, latitude=21) would be expressed in well-known text as POLYGON ((10 20, 11 20, 11 21, 10 21, 10 20))".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#footprintWKT-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/FootprintWKT-2007-04-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/FootprintWKT (ABCD v2.06b)".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://purl.org/dc/terms/Location".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Footprint WKT".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :formation,
      comment: "The full name of the lithostratigraphic formation from which the cataloged item was collected.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"Notch Peak Fromation\", \"House Limestone\", \"Fillmore Formation\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#formation-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2009-04-24".freeze,
      "http://purl.org/dc/terms/modified": "2009-07-06".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/Formation-2005-07-03".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/GeologicalContext".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Formation".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :genus,
      comment: "The full scientific name of the genus in which the taxon is classified.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"Puma\", \"Monoclea\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#genus-2009-08-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-08-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/genus-2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "{DataSets/DataSet/Units/Unit/Identifications/Identification/TaxonIdentified/ScientificName/NameAtomised/Bacterial/GenusOrMonomial or DataSets/DataSet/Units/Unit/Identifications/Identification/TaxonIdentified/ScientificName/NameAtomised/Botanical/GenusOrMonomial or DataSets/DataSet/Units/Unit/Identifications/Identification/TaxonIdentified/ScientificName/NameAtomised/Viral/GenusOrMonomial or DataSets/DataSet/Units/Unit/Identifications/Identification/TaxonIdentified/ScientificName/NameAtomised/Zoological/GenusOrMonomial}".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Taxon".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Genus".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :geodeticDatum,
      comment: "The ellipsoid, geodetic datum, or spatial reference system (SRS) upon which the geographic coordinates given in decimalLatitude and decimalLongitude as based. Recommended best practice is use the EPSG code as a controlled vocabulary to provide an SRS, if known. Otherwise use a controlled vocabulary for the name or code of the geodetic datum, if known. Otherwise use a controlled vocabulary for the name or code of the ellipsoid, if known. If none of these is known, use the value \"unknown\".".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"EPSG:4326\", \"WGS84\", \"NAD27\", \"Campo Inchauspe\", \"European 1950\", \"Clarke 1866\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#geodeticDatum-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-07-06".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/GeodeticDatum-2007-04-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/SiteCoordinateSets/SiteCoordinates/CoordinatesLatLon/SpatialDatum".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://purl.org/dc/terms/Location".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Geodetic Datum".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :geologicalContextID,
      comment: "An identifier for the set of information associated with a GeologicalContext (the location within a geological context, such as stratigraphy). May be a global unique identifier or an identifier specific to the data set.".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#geologicalContextID-2009-07-06".freeze,
      "http://purl.org/dc/terms/issued": "2009-07-06".freeze,
      "http://purl.org/dc/terms/modified": "2009-07-06".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/GeologicalContext".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Geological Context ID".freeze,
      subPropertyOf: "http://purl.org/dc/terms/identifier".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :georeferenceProtocol,
      comment: "A description or reference to the methods used to determine the spatial footprint, coordinates, and uncertainties.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"Guide to Best Practices for Georeferencing. (Chapman and Wieczorek, eds. 2006). Global Biodiversity Information Facility.\", \"MaNIS/HerpNet/ORNIS Georeferencing Guidelines\", \"Georeferencing Quick Reference Guide\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#georeferenceProtocol-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/GeoreferenceProtocol-2007-04-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/SiteCoordinateSets/SiteCoordinates/CoordinateMethod".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://purl.org/dc/terms/Location".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Georeference Protocol".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :georeferenceRemarks,
      comment: "Notes or comments about the spatial description determination, explaining assumptions made in addition or opposition to the those formalized in the method referred to in georeferenceProtocol.".freeze,
      "http://purl.org/dc/terms/description": "Example: \"assumed distance by road (Hwy. 101)\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#georeferenceRemarks-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/GeoreferenceRemarks-2007-04-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/SiteCoordinateSets/SiteCoordinates/GeoreferenceRemarks".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://purl.org/dc/terms/Location".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Georeference Remarks".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :georeferenceSources,
      comment: "A list (concatenated and separated) of maps, gazetteers, or other resources used to georeference the Location, described specifically enough to allow anyone in the future to use the same resources.".freeze,
      "http://purl.org/dc/terms/description": "The recommended best practice is to separate the values with a vertical bar (' | '). Examples: \"GeoLocate\", \"USGS 1:24000 Florence Montana Quad | Terrametrics 2008 on Google Earth\".".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#georeferenceSources-2014-10-23".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2014-10-23".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/georeferenceSources-2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/SiteCoordinateSets/SiteCoordinates/GeoreferenceSources".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/decision": "http://rs.tdwg.org/dwc/terms/history/decisions/#Decision-2014-10-30_16".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://purl.org/dc/terms/Location".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Georeference Sources".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :georeferenceVerificationStatus,
      comment: "A categorical description of the extent to which the georeference has been verified to represent the best possible spatial description. Recommended best practice is to use a controlled vocabulary.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"requires verification\", \"verified by collector\", \"verified by curator\".".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#georeferenceVerificationStatus-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/GeoreferenceVerificationStatus-2007-04-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/SiteCoordinateSets/SiteCoordinates/GeoreferenceVerificationStatus".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://purl.org/dc/terms/Location".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Georeference Verification Status".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :georeferencedBy,
      comment: "A list (concatenated and separated) of names of people, groups, or organizations who determined the georeference (spatial representation) for the Location.".freeze,
      "http://purl.org/dc/terms/description": "The recommended best practice is to separate the values with a vertical bar (' | '). Examples: \"Brad Millen (ROM)\", \"Kristina Yamamoto (MVZ) | Janet Fang (MVZ)\".".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#georeferencedBy-2014-10-23".freeze,
      "http://purl.org/dc/terms/issued": "2009-01-21".freeze,
      "http://purl.org/dc/terms/modified": "2014-10-23".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/georeferencedBy-2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/decision": "http://rs.tdwg.org/dwc/terms/history/decisions/#Decision-2014-10-30_16".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://purl.org/dc/terms/Location".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Georeferenced By".freeze,
      subPropertyOf: "http://rs.tdwg.org/dwc/terms/accordingTo".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :georeferencedDate,
      comment: "The date on which the Location was georeferenced. Recommended best practice is to use an encoding scheme, such as ISO 8601:2004(E).".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"1963-03-08T14:07-0600\" is 8 Mar 1963 2:07pm in the time zone six hours earlier than UTC, \"2009-02-20T08:40Z\" is 20 Feb 2009 8:40am UTC, \"1809-02-12\" is 12 Feb 1809, \"1906-06\" is Jun 1906, \"1971\" is just that year, \"2007-03-01T13:00:00Z/2008-05-11T15:30:00Z\" is the interval between 1 Mar 2007 1pm UTC and 11 May 2008 3:30pm UTC, \"2007-11-13/15\" is the interval between 13 Nov 2007 and 15 Nov 2007.".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#georeferencedDate-2011-10-16".freeze,
      "http://purl.org/dc/terms/issued": "2011-10-16".freeze,
      "http://purl.org/dc/terms/modified": "2011-10-16".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/decision": "http://rs.tdwg.org/dwc/terms/history/decisions/#Decision-2011-10-16_9".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://purl.org/dc/terms/Location".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Georeferenced Date".freeze,
      subPropertyOf: "http://purl.org/dc/terms/date".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :group,
      comment: "The full name of the lithostratigraphic group from which the cataloged item was collected.".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#group-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2009-04-24".freeze,
      "http://purl.org/dc/terms/modified": "2009-07-06".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/Group-2005-07-03".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/GeologicalContext".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Group".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :habitat,
      comment: "A category or description of the habitat in which the Event occurred.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"oak savanna\", \"pre-cordilleran steppe\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#habitat-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-05-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/Biotope/Text".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Event".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Habitat".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :higherClassification,
      comment: "A list (concatenated and separated) of taxa names terminating at the rank immediately superior to the taxon referenced in the taxon record.".freeze,
      "http://purl.org/dc/terms/description": "The recommended best practice is to separate the values with a vertical bar (' | '), with terms in order from the highest taxonomic rank to the lowest. Examples: \"Animalia\", \"Animalia | Chordata | Vertebrata | Mammalia | Theria | Eutheria | Rodentia | Hystricognatha | Hystricognathi | Ctenomyidae | Ctenomyini | Ctenomys\".".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#higherClassification-2014-10-23".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2014-10-23".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/higherClassification-2009-08-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/decision": "http://rs.tdwg.org/dwc/terms/history/decisions/#Decision-2014-10-30_16".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Taxon".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Higher Classification".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :higherGeography,
      comment: "A list (concatenated and separated) of geographic names less specific than the information captured in the locality term.".freeze,
      "http://purl.org/dc/terms/description": "The recommended best practice is to separate the values with a vertical bar (' | '), with terms in order from least specific to most specific. Examples: \"North Atlantic Ocean\", \"South America | Argentina | Patagonia | Parque Nacional Nahuel Huapi | Neuquén | Los Lagos\" with accompanying values \"South America\" in Continent, \"Argentina\" in Country, \"Neuquén\" in StateProvince, and \"Los Lagos\" in County.".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#higherGeography-2014-10-23".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2014-10-23".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/higherGeography-2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "{DataSets/DataSet/Units/Unit/Gathering/LocalityText or DataSets/DataSet/Units/Unit/Gathering/NamedAreas/NamedArea/AreaName}".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/decision": "http://rs.tdwg.org/dwc/terms/history/decisions/#Decision-2014-10-30_16".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://purl.org/dc/terms/Location".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Higher Geography".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :higherGeographyID,
      comment: "An identifier for the geographic region within which the Location occurred. Recommended best practice is to use an persistent identifier from a controlled vocabulary such as the Getty Thesaurus of Geographic Names.".freeze,
      "http://purl.org/dc/terms/description": "Example: \"TGN: 1002002\" for Prov. Tierra del Fuego, Argentina".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#higherGeographyID-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2009-01-21".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://purl.org/dc/terms/Location".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Higher Geography ID".freeze,
      subPropertyOf: "http://purl.org/dc/terms/identifier".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :highestBiostratigraphicZone,
      comment: "The full name of the highest possible geological biostratigraphic zone of the stratigraphic horizon from which the cataloged item was collected.".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#highestBiostratigraphicZone-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2009-04-24".freeze,
      "http://purl.org/dc/terms/modified": "2009-07-06".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/HighestBiostratigraphicZone-2005-07-03".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/GeologicalContext".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Highest Biostratigraphic Zone".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :identificationID,
      comment: "An identifier for the Identification (the body of information associated with the assignment of a scientific name). May be a global unique identifier or an identifier specific to the data set.".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#identificationID-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Identification".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Identification ID".freeze,
      subPropertyOf: "http://purl.org/dc/terms/identifier".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :identificationQualifier,
      comment: "A brief phrase or a standard term (\"cf.\", \"aff.\") to express the determiner's doubts about the Identification.".freeze,
      "http://purl.org/dc/terms/description": "Examples: 1) For the determination \"Quercus aff. agrifolia var. oxyadenia\", identificationQualifier would be \"aff. agrifolia var. oxyadenia\" with accompanying values \"Quercus\" in genus, \"agrifolia\" in specificEpithet, \"oxyadenia\" in infraspecificEpithet, and \"var.\" in rank. 2) For the determination \"Quercus agrifolia cf. var. oxyadenia\", identificationQualifier would be \"cf. var. oxyadenia \" with accompanying values \"Quercus\" in genus, \"agrifolia\" in specificEpithet, \"oxyadenia\" in infraspecificEpithet, and \"var.\" in rank.".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#identificationQualifier-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/IdentificationQualifier-2007-04-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Identifications/Identification/TaxonIdentified/IdentificationQualifier".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Identification".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Identification Qualifier".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :identificationReferences,
      comment: "A list (concatenated and separated) of references (publication, global unique identifier, URI) used in the Identification.".freeze,
      "http://purl.org/dc/terms/description": "The recommended best practice is to separate the values with a vertical bar (' | '). Examples: \"Aves del Noroeste Patagonico. Christie et al. 2004.\", \"Stebbins, R. Field Guide to Western Reptiles and Amphibians. 3rd Edition. 2003. | Irschick, D.J. and Shaffer, H.B. (1997). ''The polytypic species revisited: Morphological differentiation among tiger salamanders (Ambystoma tigrinum) (Amphibia: Caudata).'' Herpetologica, 53(1), 30-49.\".".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#identificationReferences-2014-10-23".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2014-10-23".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/identificationReferences-2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Identifications/Identification/References".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/decision": "http://rs.tdwg.org/dwc/terms/history/decisions/#Decision-2014-10-30_16".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Identification".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Identification References".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :identificationRemarks,
      comment: "Comments or notes about the Identification.".freeze,
      "http://purl.org/dc/terms/description": "Example: \"Distinguished between Anthus correndera and Anthus hellmayri based on the comparative lengths of the uñas.\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#identificationRemarks-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Identifications/Identification/Notes".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Identification".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Identification Remarks".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :identificationVerificationStatus,
      comment: "A categorical indicator of the extent to which the taxonomic identification has been verified to be correct. Recommended best practice is to use a controlled vocabulary such as that used in HISPID/ABCD.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"0\", \"4\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#identificationVerificationStatus-2011-10-16".freeze,
      "http://purl.org/dc/terms/issued": "2011-10-16".freeze,
      "http://purl.org/dc/terms/modified": "2011-10-16".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/decision": "http://rs.tdwg.org/dwc/terms/history/decisions/#Decision-2011-10-16_10".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Identification".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Identification Verification Status".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :identifiedBy,
      comment: "A list (concatenated and separated) of names of people, groups, or organizations who assigned the Taxon to the subject.".freeze,
      "http://purl.org/dc/terms/description": "The recommended best practice is to separate the values with a vertical bar (' | '). Examples: \"James L. Patton\", \"Theodore Pappenfuss | Robert Macey\".".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#identifiedBy-2014-10-23".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2014-10-23".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/identifiedBy-2009-08-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Identifications/Identification/Identifiers/IdentifiersText".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/decision": "http://rs.tdwg.org/dwc/terms/history/decisions/#Decision-2014-10-30_16".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Identification".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Identified By".freeze,
      subPropertyOf: "http://rs.tdwg.org/dwc/terms/accordingTo".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :individualCount,
      comment: "The number of individuals represented present at the time of the Occurrence.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"1\", \"25\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#individualCount-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/IndividualCount-2007-04-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/SiteMeasurementsOrFacts/SiteMeasurementOrFact/MeasurementOrFactAtomised/LowerValue".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Occurrence".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Individual Count".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :informationWithheld,
      comment: "Additional information that exists, but that has not been shared in the given record.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"location information not given for endangered species\", \"collector identities withheld\", \"ask about tissue samples\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#informationWithheld-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/InformationWithheld-2007-04-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/InformationWithheld".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/all".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Information Withheld".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :infraspecificEpithet,
      comment: "The name of the lowest or terminal infraspecific epithet of the scientificName, excluding any rank designation.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"concolor\", \"oxyadenia\", \"sayi\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#infraspecificEpithet-2009-08-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-08-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/infraspecificEpithet-2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "{DataSets/DataSet/Units/Unit/Identifications/Identification/TaxonIdentified/ScientificName/NameAtomised/Bacterial/SubspeciesEpithet or DataSets/DataSet/Units/Unit/Identifications/Identification/TaxonIdentified/ScientificName/NameAtomised/Botanical/SecondEpithet or DataSets/DataSet/Units/Unit/Identifications/Identification/TaxonIdentified/ScientificName/NameAtomised/Zoological/SubspeciesEpithet}".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Taxon".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Infraspecific Epithet".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :institutionCode,
      comment: "The name (or acronym) in use by the institution having custody of the object(s) or information referred to in the record.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"MVZ\", \"FMNH\", \"AKN-CLO\", \"University of California Museum of Paleontology (UCMP)\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#institutionCode-2009-09-11".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2013-10-04".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/institutionCode-2009-08-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/SourceInstitutionID".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/all".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Institution Code".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :institutionID,
      comment: "An identifier for the institution having custody of the object(s) or information referred to in the record.".freeze,
      "http://purl.org/dc/terms/description": "For physical specimens, the recommended best practice is to use an identifier from a collections registry such as the Global Registry of Biodiversity Repositories (http://grbio.org/). Examples: \"http://biocol.org/urn:lsid:biocol.org:col:34777\", \"http://grbio.org/cool/km06-gtbn\".".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#institutionID-2009-09-11".freeze,
      "http://purl.org/dc/terms/issued": "2009-09-11".freeze,
      "http://purl.org/dc/terms/modified": "2014-10-23".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/SourceInstitutionID".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/all".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Institution ID".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :island,
      comment: "The name of the island on or near which the Location occurs. Recommended best practice is to use a controlled vocabulary such as the Getty Thesaurus of Geographic Names.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"Isla Victoria\", \"Vancouver\", \"Viti Levu\", \"Zanzibar\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#island-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/Island-2007-04-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/NamedAreas/NamedArea/AreaName with NamedAreas/NamedArea/AreaClass= Island".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://purl.org/dc/terms/Location".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Island".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :islandGroup,
      comment: "The name of the island group in which the Location occurs. Recommended best practice is to use a controlled vocabulary such as the Getty Thesaurus of Geographic Names.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"Alexander Archipelago\", \"Seychelles\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#islandGroup-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/IslandGroup-2007-04-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/NamedAreas/NamedArea/AreaName with NamedAreas/NamedArea/AreaClass= Island group".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://purl.org/dc/terms/Location".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Island Group".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :kingdom,
      comment: "The full scientific name of the kingdom in which the taxon is classified.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"Animalia\", \"Plantae\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#kingdom-2009-08-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-08-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/kingdom-2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Identifications/Identification/TaxonIdentified/HigherTaxa/HigherTaxon/HigherTaxonName with HigherTaxa/HigherTaxon/HigherTaxonRank = regnum".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Taxon".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Kingdom".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :latestAgeOrHighestStage,
      comment: "The full name of the latest possible geochronologic age or highest chronostratigraphic stage attributable to the stratigraphic horizon from which the cataloged item was collected.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"Atlantic\", \"Boreal\", \"Skullrockian\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#latestAgeOrHighestStage-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2009-04-24".freeze,
      "http://purl.org/dc/terms/modified": "2009-07-06".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/LatestAgeOrHighestStage-2005-07-03".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/GeologicalContext".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Latest AgeOr Highest Stage".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :latestEonOrHighestEonothem,
      comment: "The full name of the latest possible geochronologic eon or highest chrono-stratigraphic eonothem or the informal name (\"Precambrian\") attributable to the stratigraphic horizon from which the cataloged item was collected.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"Phanerozoic\", \"Proterozoic\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#latestEonOrHighestEonothem-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2009-04-24".freeze,
      "http://purl.org/dc/terms/modified": "2009-07-06".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/LatestEonOrLowestEonothem-2005-07-03".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/GeologicalContext".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Latest Eon Or Highest Eonothem".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :latestEpochOrHighestSeries,
      comment: "The full name of the latest possible geochronologic epoch or highest chronostratigraphic series attributable to the stratigraphic horizon from which the cataloged item was collected.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"Holocene\", \"Pleistocene\", \"Ibexian Series\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#latestEpochOrHighestSeries-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2009-04-24".freeze,
      "http://purl.org/dc/terms/modified": "2009-07-06".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/LatestEpochOrHighestSeries-2005-07-03".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/GeologicalContext".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Latest Epoch Or Highest Series".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :latestEraOrHighestErathem,
      comment: "The full name of the latest possible geochronologic era or highest chronostratigraphic erathem attributable to the stratigraphic horizon from which the cataloged item was collected.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"Cenozoic\", \"Mesozoic\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#latestEraOrHighestErathem-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2009-04-24".freeze,
      "http://purl.org/dc/terms/modified": "2009-07-06".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/LatestEraOrHighestErathem-2005-07-03".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/GeologicalContext".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Latest Era Or Highest Erathem".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :latestPeriodOrHighestSystem,
      comment: "The full name of the latest possible geochronologic period or highest chronostratigraphic system attributable to the stratigraphic horizon from which the cataloged item was collected.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"Neogene\", \"Tertiary\", \"Quaternary\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#latestPeriodOrHighestSystem-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2009-04-24".freeze,
      "http://purl.org/dc/terms/modified": "2009-07-06".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/LatestPeriodOrHighestSystem-2005-07-03".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/GeologicalContext".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Latest Period Or Highest System".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :lifeStage,
      comment: "The age class or life stage of the biological individual(s) at the time the Occurrence was recorded. Recommended best practice is to use a controlled vocabulary.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"egg\", \"eft\", \"juvenile\", \"adult\", \"2 adults 4 juveniles\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#lifeStage-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/LifeStage-2007-04-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/MycologicalUnit/MycologicalSexualStage or DataSets/DataSet/Units/Unit/MycologicalUnit/MycologicalLiveStages/MycologicalLiveStage (Note DwC spec uses ”MycologicalLifeStage” or DataSets/DataSet/Units/Unit/ZoologicalUnit/PhasesOrStages/PhaseOrStage".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Occurrence".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Life Stage".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :lithostratigraphicTerms,
      comment: "The combination of all litho-stratigraphic names for the rock from which the cataloged item was collected.".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#lithostratigraphicTerms-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2009-04-24".freeze,
      "http://purl.org/dc/terms/modified": "2009-07-06".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/LithostratigraphicTerms-2005-07-03".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/Stratigraphy/LithostratigraphicTerms".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/GeologicalContext".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Lithostratigraphic Terms".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :locality,
      comment: "The specific description of the place. Less specific geographic information can be provided in other geographic terms (higherGeography, continent, country, stateProvince, county, municipality, waterBody, island, islandGroup). This term may contain information modified from the original to correct perceived errors or standardize the description.".freeze,
      "http://purl.org/dc/terms/description": "Example: \"Bariloche, 25 km NNE via Ruta Nacional 40 (=Ruta 237)\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#locality-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/Locality-2007-04-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/NamedAreas/NamedArea/AreaName".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://purl.org/dc/terms/Location".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Locality".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :locationAccordingTo,
      comment: "Information about the source of this Location information. Could be a publication (gazetteer), institution, or team of individuals.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"Getty Thesaurus of Geographic Names\", \"GADM\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#locationAccordingTo-2009-08-24".freeze,
      "http://purl.org/dc/terms/issued": "2009-08-24".freeze,
      "http://purl.org/dc/terms/modified": "2009-08-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://purl.org/dc/terms/Location".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Location According To".freeze,
      subPropertyOf: "http://rs.tdwg.org/dwc/terms/accordingTo".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :locationID,
      comment: "An identifier for the set of location information (data associated with dcterms:Location). May be a global unique identifier or an identifier specific to the data set.".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#locationID-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/SamplingLocationID-2008-11-19".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://purl.org/dc/terms/Location".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Location ID".freeze,
      subPropertyOf: "http://purl.org/dc/terms/identifier".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :locationRemarks,
      comment: "Comments or notes about the Location.".freeze,
      "http://purl.org/dc/terms/description": "Example: \"under water since 2005\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#locationRemarks-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2009-01-18".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/SamplingLocationRemarks-2009-01-18".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/AreaDetail".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://purl.org/dc/terms/Location".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Location Remarks".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :lowestBiostratigraphicZone,
      comment: "The full name of the lowest possible geological biostratigraphic zone of the stratigraphic horizon from which the cataloged item was collected.".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#lowestBiostratigraphicZone-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2009-04-24".freeze,
      "http://purl.org/dc/terms/modified": "2009-07-06".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/LowestBiostratigraphicZone-2005-07-03".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/GeologicalContext".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Lowest Biostratigraphic Zone".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :materialSampleID,
      comment: "An identifier for the MaterialSample (as opposed to a particular digital record of the material sample). In the absence of a persistent global unique identifier, construct one from a combination of identifiers in the record that will most closely make the materialSampleID globally unique.".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#materialSampleID-2013-05-25".freeze,
      "http://purl.org/dc/terms/issued": "2013-03-28".freeze,
      "http://purl.org/dc/terms/modified": "2013-09-26".freeze,
      "http://purl.org/dc/terms/replaces": "http://gensc.org/ns/mixs/source_mat_id-2011-01-26".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/decision": "http://rs.tdwg.org/dwc/terms/history/decisions/#Decision-2013-10-09_13".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/MaterialSample".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Material Sample ID".freeze,
      subPropertyOf: "http://purl.org/dc/terms/identifier".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :maximumDepthInMeters,
      comment: "The greater depth of a range of depth below the local surface, in meters.".freeze,
      "http://purl.org/dc/terms/description": "Example: \"200\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#maximumDepthInMeters-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/MaximumDepthInMeters-2007-04-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/Depth/MeasurementOrFactAtomised/UpperValue".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://purl.org/dc/terms/Location".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Maximum Depth In Meters".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :maximumDistanceAboveSurfaceInMeters,
      comment: "The greater distance in a range of distance from a reference surface in the vertical direction, in meters. Use positive values for locations above the surface, negative values for locations below. If depth measures are given, the reference surface is the location given by the depth, otherwise the reference surface is the location given by the elevation.".freeze,
      "http://purl.org/dc/terms/description": "Example: 1.5 meter sediment core from the bottom of a lake (at depth 20m) at 300m elevation; VerbatimElevation: \"300m\" MinimumElevationInMeters: \"300\", MaximumElevationInMeters: \"300\", VerbatimDepth: \"20m\", MinimumDepthInMeters: \"20\", MaximumDepthInMeters: \"20\", minimumDistanceAboveSurfaceInMeters: \"0\", maximumDistanceAboveSurfaceInMeters: \"-1.5\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#maximumDistanceAboveSurfaceInMeters-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/Height/MeasurementOrFactAtomised/UpperValue".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://purl.org/dc/terms/Location".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Maximum Distance Above Surface In Meters".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :maximumElevationInMeters,
      comment: "The upper limit of the range of elevation (altitude, usually above sea level), in meters.".freeze,
      "http://purl.org/dc/terms/description": "Example: \"200\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#maximumElevationInMeters-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/MaximumElevationInMeters-2007-04-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/Altitude/MeasurementOrFactAtomised/UpperValue".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://purl.org/dc/terms/Location".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Maximum Elevation In Meters".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :measurementAccuracy,
      comment: "The description of the potential error associated with the measurementValue.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"0.01\", \"normal distribution with variation of 2 m\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#measurementAccuracy-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2009-01-18".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": ["http://rs.tdwg.org/dwc/terms/eventMeasurementAccuracy-2009-04-24".freeze, "http://rs.tdwg.org/dwc/terms/occurrenceMeasurementAccuracy-2009-04-24".freeze],
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/MeasurementsOrFacts/MeasurementOrFact/MeasurementOrFactAtomised/Accuracy or DataSet/Units/Unit/Gathering/SiteMeasurementsOrFacts/SiteMeasurementOrFact/MeasurementOrFactAtomised/Accuracy or DataSets/DataSet/Units/Unit/Gathering/Aspect/Accuracy or DataSets/DataSet/Units/Unit/Gathering/Altitude/MeasurementOrFactAtomised/Accuracy or DataSets/DataSet/Units/Unit/Gathering/Depth/MeasurementOrFactAtomised/Accuracy or DataSets/DataSet/Units/Unit/Gathering/Biotope/MeasurementsOrFacts/MeasurementOrFactAtomised/Accuracy or DataSets/DataSet/Units/Unit/MeasurementsOrFacts/MeasurementOrFact/MeasurementOrFactAtomised/Accuracy".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/MeasurementOrFact".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Measurement Accuracy".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :measurementDeterminedBy,
      comment: "A list (concatenated and separated) of names of people, groups, or organizations who determined the value of the MeasurementOrFact.".freeze,
      "http://purl.org/dc/terms/description": "The recommended best practice is to separate the values with a vertical bar (' | '). Examples: \"Rob Guralnick\", \"Julie Woodruff | Eileen Lacey\".".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#measurementDeterminedBy-2014-10-23".freeze,
      "http://purl.org/dc/terms/issued": "2009-01-23".freeze,
      "http://purl.org/dc/terms/modified": "2014-10-23".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/measurementDeterminedBy-2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/MeasurementsOrFacts/MeasurementOrFact/MeasurementOrFactAtomised/MeasuredBy or DataSets/DataSet/Units/Unit/Gathering/Altitude/MeasurementOrFactAtomised/MeasuredBy or DataSets/DataSet/Units/Unit/Gathering/Depth/MeasurementOrFactAtomised/MeasuredBy or DataSets/DataSet/Units/Unit/Gathering/Height/MeasurementOrFactAtomised/MeasuredBy or DataSets/DataSet/Units/Unit/Gathering/SiteMeasurementsOrFacts/SiteMeasurementOrFact/MeasurementOrFactAtomised/MeasuredBy or DataSets/DataSet/Units/Unit/Gathering/Biotope/MeasurementsOrFacts/MeasurementOrFactAtomised/MeasuredBy".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/decision": "http://rs.tdwg.org/dwc/terms/history/decisions/#Decision-2014-10-30_16".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/MeasurementOrFact".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Measurement Determined By".freeze,
      subPropertyOf: "http://rs.tdwg.org/dwc/terms/accordingTo".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :measurementDeterminedDate,
      comment: "The date on which the MeasurementOrFact was made. Recommended best practice is to use an encoding scheme, such as ISO 8601:2004(E).".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"1963-03-08T14:07-0600\" is 8 Mar 1963 2:07pm in the time zone six hours earlier than UTC, \"2009-02-20T08:40Z\" is 20 Feb 2009 8:40am UTC, \"1809-02-12\" is 12 Feb 1809, \"1906-06\" is Jun 1906, \"1971\" is just that year, \"2007-03-01T13:00:00Z/2008-05-11T15:30:00Z\" is the interval between 1 Mar 2007 1pm UTC and 11 May 2008 3:30pm UTC, \"2007-11-13/15\" is the interval between 13 Nov 2007 and 15 Nov 2007.".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#measurementDeterminedDate-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2009-01-23".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": ["http://rs.tdwg.org/dwc/terms/eventMeasurementDeterminedDate-2009-04-24".freeze, "http://rs.tdwg.org/dwc/terms/occurrenceMeasurementDeterminedDate-2009-04-24".freeze],
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/MeasurementsOrFacts/MeasurementOrFact/MeasurementOrFactAtomised/MeasurementDateTime or DataSets/DataSet/Units/Unit/Gathering/Altitude/MeasurementOrFactAtomised/MeasurementDateTime or DataSets/DataSet/Units/Unit/Gathering/Depth/MeasurementOrFactAtomised/MeasurementDateTime or DataSets/DataSet/Units/Unit/Gathering/Height/MeasurementOrFactAtomised/MeasurementDateTime or DataSets/DataSet/Units/Unit/Gathering/SiteMeasurementsOrFacts/SiteMeasurementOrFact/MeasurementOrFactAtomised/MeasurementDateTime or DataSets/DataSet/Units/Unit/Gathering/Biotope/MeasurementsOrFacts/MeasurementOrFactAtomised/MeasurementDateTime".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/MeasurementOrFact".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Measurement Determined Date".freeze,
      subPropertyOf: "http://purl.org/dc/terms/date".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :measurementID,
      comment: "An identifier for the MeasurementOrFact (information pertaining to measurements, facts, characteristics, or assertions). May be a global unique identifier or an identifier specific to the data set.".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#measurementID-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2009-03-06".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": ["http://rs.tdwg.org/dwc/terms/eventMeasurementID-2009-04-24".freeze, "http://rs.tdwg.org/dwc/terms/occurrenceMeasurementID-2009-04-24".freeze],
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/MeasurementOrFact".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Measurement ID".freeze,
      subPropertyOf: "http://purl.org/dc/terms/identifier".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :measurementMethod,
      comment: "A description of or reference to (publication, URI) the method or protocol used to determine the measurement, fact, characteristic, or assertion.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"minimum convex polygon around burrow entrances\" for a home range area, \"barometric altimeter\" for an elevation".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#measurementMethod-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "/DataSets/DataSet/Units/Unit/MeasurementsOrFacts/MeasurementOrFact/MeasurementOrFactAtomised/Method or /DataSets/DataSet/Units/Unit/Gathering/Biotope/MeasurementsOrFacts/MeasurementOrFactAtomised/Method or /DataSets/DataSet/Units/Unit/Gathering/SiteMeasurementsOrFacts/SiteMeasurementOrFact/MeasurementOrFactAtomised/Method".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/MeasurementOrFact".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Measurement Method".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :measurementRemarks,
      comment: "Comments or notes accompanying the MeasurementOrFact.".freeze,
      "http://purl.org/dc/terms/description": "Example: \"tip of tail missing\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#measurementRemarks-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": ["http://rs.tdwg.org/dwc/terms/eventMeasurementRemarks-2009-04-24".freeze, "http://rs.tdwg.org/dwc/terms/occurrenceMeasurementRemarks-2009-04-24".freeze],
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/MeasurementOrFact".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Measurement Remarks".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :measurementType,
      comment: "The nature of the measurement, fact, characteristic, or assertion. Recommended best practice is to use a controlled vocabulary.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"tail length\", \"temperature\", \"trap line length\", \"survey area\", \"trap type\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#measurementType-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": ["http://rs.tdwg.org/dwc/terms/eventMeasurementType-2009-04-24".freeze, "http://rs.tdwg.org/dwc/terms/occurrenceMeasurementType-2009-04-24".freeze],
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/MeasurementsOrFacts/MeasurementOrFact/MeasurementOrFactAtomised/Parameter or DataSets/DataSet/Units/Unit/Gathering/SiteMeasurementsOrFacts/MeasurementOrFact/MeasurementOrFactAtomised/Parameter".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/MeasurementOrFact".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Measurement Type".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :measurementUnit,
      comment: "The units associated with the measurementValue. Recommended best practice is to use the International System of Units (SI).".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"mm\", \"C\", \"km\", \"ha\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#measurementUnit-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": ["http://rs.tdwg.org/dwc/terms/eventMeasurementUnit-2009-04-24".freeze, "http://rs.tdwg.org/dwc/terms/occurrenceMeasurementUnit-2009-04-24".freeze],
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/SiteMeasurementsOrFacts/MeasurementOrFact/MeasurementOrFactAtomised/UnitOfMeasurement or DataSets/DataSet/Units/Unit/Gathering/SiteMeasurementsOrFacts/MeasurementOrFact/MeasurementOrFactAtomised/UnitOfMeasurement".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/MeasurementOrFact".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Measurement Unit".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :measurementValue,
      comment: "The value of the measurement, fact, characteristic, or assertion.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"45\", \"20\", \"1\", \"14.5\", \"UV-light\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#measurementValue-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": ["http://rs.tdwg.org/dwc/terms/eventMeasurementValue-2009-04-24".freeze, "http://rs.tdwg.org/dwc/terms/occurrenceMeasurementValue-2009-04-24".freeze],
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/MeasurementsOrFacts/MeasurementOrFact/MeasurementOrFactAtomised/LowerValue or DataSets/DataSet/Units/Unit/MeasurementsOrFacts/MeasurementOrFact/MeasurementOrFactAtomised/UpperValue or DataSets/DataSet/Units/Unit/Gathering/SiteMeasurementsOrFacts/SiteMeasurementOrFact/MeasurementOrFactAtomised/LowerValue or DataSets/DataSet/Units/Unit/Gathering/SiteMeasurementsOrFacts/SiteMeasurementOrFact/MeasurementOrFactAtomised/UpperValue or DataSets/DataSet/Units/Unit/Gathering/Altitude/MeasurementOrFactAtomised/LowerValue or DataSets/DataSet/Units/Unit/Gathering/Altitude/MeasurementOrFactAtomised/UpperValue or DataSets/DataSet/Units/Unit/Gathering/Depth/MeasurementOrFactAtomised/LowerValue or DataSets/DataSet/Units/Unit/Gathering/Depth/MeasurementOrFactAtomised/UpperValue or DataSets/DataSet/Units/Unit/Gathering/Biotope/MeasurementsOrFacts/MeasurementOrFactAtomised/LowerValue or DataSets/DataSet/Units/Unit/Gathering/Biotope/MeasurementsOrFacts/MeasurementOrFactAtomised/UpperValue or DataSets/DataSet/Units/Unit/Gathering/Height/MeasurementOrFactAtomised/LowerValue or DataSets/DataSet/Units/Unit/Gathering/Height/MeasurementOrFactAtomised/UpperValue".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/MeasurementOrFact".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Measurement Value".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :member,
      comment: "The full name of the lithostratigraphic member from which the cataloged item was collected.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"Lava Dam Member\", \"Hellnmaria Member\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#member-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2009-04-24".freeze,
      "http://purl.org/dc/terms/modified": "2009-07-06".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/Member-2005-07-03".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/GeologicalContext".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Member".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :minimumDepthInMeters,
      comment: "The lesser depth of a range of depth below the local surface, in meters.".freeze,
      "http://purl.org/dc/terms/description": "Example: \"100\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#minimumDepthInMeters-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/MinimumDepthInMeters-2007-04-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/Depth/MeasurementOrFactAtomised/LowerValue".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://purl.org/dc/terms/Location".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Minimum Depth In Meters".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :minimumDistanceAboveSurfaceInMeters,
      comment: "The lesser distance in a range of distance from a reference surface in the vertical direction, in meters. Use positive values for locations above the surface, negative values for locations below. If depth measures are given, the reference surface is the location given by the depth, otherwise the reference surface is the location given by the elevation.".freeze,
      "http://purl.org/dc/terms/description": "Example: 1.5 meter sediment core from the bottom of a lake (at depth 20m) at 300m elevation; VerbatimElevation: \"300m\" MinimumElevationInMeters: \"300\", MaximumElevationInMeters: \"300\", VerbatimDepth: \"20m\", MinimumDepthInMeters: \"20\", MaximumDepthInMeters: \"20\", minimumDistanceAboveSurfaceInMeters: \"0\", maximumDistanceAboveSurfaceInMeters: \"-1.5\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#minimumDistanceAboveSurfaceInMeters-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/Height/MeasurementOrFactAtomised/LowerValue".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://purl.org/dc/terms/Location".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Minimum Distance Above Surface In Meters".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :minimumElevationInMeters,
      comment: "The lower limit of the range of elevation (altitude, usually above sea level), in meters.".freeze,
      "http://purl.org/dc/terms/description": "Example: \"100\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#minimumElevationInMeters-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/MinimumElevationInMeters-2007-04-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/Altitude/MeasurementOrFactAtomised/LowerValue".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://purl.org/dc/terms/Location".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Minimum Elevation In Meters".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :month,
      comment: "The ordinal month in which the Event occurred.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"1\" (=January), \"10\" (=October)".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#month-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/MonthCollected-2003-06-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "accessible from DataSets/DataSet/Units/Unit/Gathering/ISODateTimeBegin".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Event".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Month".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :municipality,
      comment: "The full, unabbreviated name of the next smaller administrative region than county (city, municipality, etc.) in which the Location occurs. Do not use this term for a nearby named place that does not contain the actual location.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"Holzminden\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#municipality-2009-08-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-08-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/NamedAreas/NamedArea/AreaName".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://purl.org/dc/terms/Location".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Municipality".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :nameAccordingTo,
      comment: "The reference to the source in which the specific taxon concept circumscription is defined or implied - traditionally signified by the Latin \"sensu\" or \"sec.\" (from secundum, meaning \"according to\"). For taxa that result from identifications, a reference to the keys, monographs, experts and other sources should be given.".freeze,
      "http://purl.org/dc/terms/description": "Example: \"McCranie, J. R., D. B. Wake, and L. D. Wilson. 1996. The taxonomic status of Bolitoglossa schmidti, with comments on the biology of the Mesoamerican salamander Bolitoglossa dofleini (Caudata: Plethodontidae). Carib. J. Sci. 32:395-398.\", \"Werner Greuter 2008\", \"Lilljeborg 1861, Upsala Univ. Arsskrift, Math. Naturvet., pp. 4, 5\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#nameAccordingTo-2009-09-21".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-09-21".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/taxonAccordingTo-2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Taxon".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Name According To".freeze,
      subPropertyOf: "http://rs.tdwg.org/dwc/terms/accordingTo".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :nameAccordingToID,
      comment: "An identifier for the source in which the specific taxon concept circumscription is defined or implied. See nameAccordingTo.".freeze,
      "http://purl.org/dc/terms/description": "Example: \"doi:10.1016/S0269-915X(97)80026-2\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#nameAccordingToID-2009-09-21".freeze,
      "http://purl.org/dc/terms/issued": "2009-08-24".freeze,
      "http://purl.org/dc/terms/modified": "2009-09-21".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Taxon".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Name According To ID".freeze,
      subPropertyOf: "http://purl.org/dc/terms/identifier".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :namePublishedIn,
      comment: "A reference for the publication in which the scientificName was originally established under the rules of the associated nomenclaturalCode.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"Pearson O. P., and M. I. Christie. 1985. Historia Natural, 5(37):388\", \"Forel, Auguste, Diagnosies provisoires de quelques espèces nouvelles de fourmis de Madagascar, récoltées par M. Grandidier., Annales de la Societe Entomologique de Belgique, Comptes-rendus des Seances 30, 1886\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#namePublishedIn-2009-09-21".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-09-21".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/namePublishedIn-2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/SpecimenUnit/NomenclaturalTypeDesignations/NomenclaturalTypeDesignation/NomenclaturalReference/TitleCitation".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Taxon".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Name Published In".freeze,
      subPropertyOf: "http://purl.org/dc/terms/bibliographicCitation".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :namePublishedInID,
      comment: "An identifier for the publication in which the scientificName was originally established under the rules of the associated nomenclaturalCode.".freeze,
      "http://purl.org/dc/terms/description": "Example: \"http://hdl.handle.net/10199/7\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#namePublishedInID-2009-09-21".freeze,
      "http://purl.org/dc/terms/issued": "2009-05-18".freeze,
      "http://purl.org/dc/terms/modified": "2009-09-21".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/namePublicationID-2009-05-18".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Taxon".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Name Published In ID".freeze,
      subPropertyOf: "http://purl.org/dc/terms/identifier".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :namePublishedInYear,
      comment: "The four-digit year in which the scientificName was published.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"1915\", \"2008\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#namePublishedInYear-2011-10-16".freeze,
      "http://purl.org/dc/terms/issued": "2011-10-16".freeze,
      "http://purl.org/dc/terms/modified": "2011-10-16".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/decision": "http://rs.tdwg.org/dwc/terms/history/decisions/#Decision-2011-10-16_8".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Taxon".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Name Published In Year".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :nomenclaturalCode,
      comment: "The nomenclatural code (or codes in the case of an ambiregnal name) under which the scientificName is constructed. Recommended best practice is to use a controlled vocabulary.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"ICBN\", \"ICZN\", \"BC\", \"ICNCP\", \"BioCode\", \"ICZN; ICBN\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#nomenclaturalCode-2009-09-21".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-09-21".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/NomenclaturalCode-2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Identifications/Identification/TaxonIdentified/Code".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Taxon".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Nomenclatural Code".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :nomenclaturalStatus,
      comment: "The status related to the original publication of the name and its conformance to the relevant rules of nomenclature. It is based essentially on an algorithm according to the business rules of the code.  It requires no taxonomic opinion.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"nom. ambig.\", \"nom. illeg.\", \"nom. subnud.\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#nomenclaturalStatus-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2009-01-18".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "(DataSets/DataSet/Units/Unit/SpecimenUnit/NomenclaturalTypeDesignations/NomenclaturalTypeDesignation/NomenclaturalReference/TitleCitation) pro parte".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Taxon".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Nomenclatural Status".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :occurrenceID,
      comment: "An identifier for the Occurrence (as opposed to a particular digital record of the occurrence). In the absence of a persistent global unique identifier, construct one from a combination of identifiers in the record that will most closely make the occurrenceID globally unique.".freeze,
      "http://purl.org/dc/terms/description": "For a specimen in the absence of a bona fide global unique identifier, for example, use the form: \"urn:catalog:[institutionCode]:[collectionCode]:[catalogNumber]. Examples: \"urn:lsid:nhm.ku.edu:Herps:32\", \"urn:catalog:FMNH:Mammal:145732\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#occurrenceID-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/GlobalUniqueIdentifier-2007-04-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/UnitGUID".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Occurrence".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Occurrence ID".freeze,
      subPropertyOf: "http://purl.org/dc/terms/identifier".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :occurrenceRemarks,
      comment: "Comments or notes about the Occurrence.".freeze,
      "http://purl.org/dc/terms/description": "Example: \"found dead on road\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#occurrenceRemarks-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/SampleRemarks-2009-01-18".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Notes".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Occurrence".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Occurrence Remarks".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :occurrenceStatus,
      comment: "A statement about the presence or absence of a Taxon at a Location. Recommended best practice is to use a controlled vocabulary.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"present\", \"absent\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#occurrenceStatus-2009-09-17".freeze,
      "http://purl.org/dc/terms/issued": "2009-09-17".freeze,
      "http://purl.org/dc/terms/modified": "2009-09-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Occurrence".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Occurrence Status".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :order,
      comment: "The full scientific name of the order in which the taxon is classified.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"Carnivora\", \"Monocleales\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#order-2009-08-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-08-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/order-2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Identifications/Identification/TaxonIdentified/HigherTaxa/HigherTaxon/HigherTaxonName with HigherTaxa/HigherTaxon/HigherTaxonRank = ordo".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Taxon".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Order".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :organismID,
      comment: "An identifier for the Organism instance (as opposed to a particular digital record of the Organism). May be a globally unique identifier or an identifier specific to the data set.".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#organismID-2014-10-23".freeze,
      "http://purl.org/dc/terms/issued": "2014-10-23".freeze,
      "http://purl.org/dc/terms/modified": "2014-10-23".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/individualID-2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/decision": "http://rs.tdwg.org/dwc/terms/history/decisions/#Decision-2014-10-26_14".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Organism".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Organism ID".freeze,
      subPropertyOf: "http://purl.org/dc/terms/identifier".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :organismName,
      comment: "A textual name or label assigned to an Organism instance.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"Huberta\", \"Boab Prison Tree\", \"J pod\".".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#organismName-2014-10-23".freeze,
      "http://purl.org/dc/terms/issued": "2014-10-23".freeze,
      "http://purl.org/dc/terms/modified": "2014-10-23".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/decision": "http://rs.tdwg.org/dwc/terms/history/decisions/#Decision-2014-10-26_14".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Organism".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Organism Name".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :organismRemarks,
      comment: "Comments or notes about the Organism instance.".freeze,
      "http://purl.org/dc/terms/description": "Example: \"One of a litter of six.\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#organismRemarks-2014-10-23".freeze,
      "http://purl.org/dc/terms/issued": "2014-10-23".freeze,
      "http://purl.org/dc/terms/modified": "2014-10-23".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/decision": "http://rs.tdwg.org/dwc/terms/history/decisions/#Decision-2014-10-26_14".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Organism".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Organism Remarks".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :organismScope,
      comment: "A description of the kind of Organism instance. Can be used to indicate whether the Organism instance represents a discrete organism or if it represents a particular type of aggregation. Recommended best practice is to use a controlled vocabulary.".freeze,
      "http://purl.org/dc/terms/description": "This term is not intended to be used to specify a type of taxon. To describe the kind of Organism using a URI object in RDF, use rdf:type (http://www.w3.org/1999/02/22-rdf-syntax-ns#type) instead. Examples: \"multicellular organism\", \"virus\", \"clone\" \"pack\", \"colony\".".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#organismScope-2014-10-23".freeze,
      "http://purl.org/dc/terms/issued": "2014-10-23".freeze,
      "http://purl.org/dc/terms/modified": "2014-10-23".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/decision": "http://rs.tdwg.org/dwc/terms/history/decisions/#Decision-2014-10-26_14".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Organism".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Organism Scope".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :originalNameUsage,
      comment: "The taxon name, with authorship and date information if known, as it originally appeared when first established under the rules of the associated nomenclaturalCode. The basionym (botany) or basonym (bacteriology) of the scientificName or the senior/earlier homonym for replaced names.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"Pinus abies\", \"Gasterosteus saltatrix Linnaeus 1768\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#originalNameUsage-2009-09-21".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-09-21".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/basionym-2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Taxon".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Original Name Usage".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :originalNameUsageID,
      comment: "An identifier for the name usage (documented meaning of the name according to a source) in which the terminal element of the scientificName was originally established under the rules of the associated nomenclaturalCode.".freeze,
      "http://purl.org/dc/terms/description": "Example: \"http://species.gbif.org/abies_alba_1753\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#originalNameUsageID-2009-09-21".freeze,
      "http://purl.org/dc/terms/issued": "2009-01-21".freeze,
      "http://purl.org/dc/terms/modified": "2009-09-21".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/basionymID-2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Taxon".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Original Name Usage ID".freeze,
      subPropertyOf: "http://purl.org/dc/terms/identifier".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :otherCatalogNumbers,
      comment: "A list (concatenated and separated) of previous or alternate fully qualified catalog numbers or other human-used identifiers for the same Occurrence, whether in the current or any other data set or collection.".freeze,
      "http://purl.org/dc/terms/description": "The recommended best practice is to separate the values with a vertical bar (' | '). Examples: \"FMNH:Mammal:1234\", \"NPS YELLO6778 | MBG 33424\".".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#otherCatalogNumbers-2014-10-23".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2014-10-23".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/otherCatalogNumbers-2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/SpecimenUnit/History/PreviousUnitsText".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/decision": "http://rs.tdwg.org/dwc/terms/history/decisions/#Decision-2014-10-30_16".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Occurrence".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Other Catalog Numbers".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :ownerInstitutionCode,
      comment: "The name (or acronym) in use by the institution having ownership of the object(s) or information referred to in the record.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"NPS\", \"APN\", \"InBio\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#ownerInstitutionCode-2009-08-24".freeze,
      "http://purl.org/dc/terms/issued": "2009-08-24".freeze,
      "http://purl.org/dc/terms/modified": "2013-10-04".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/all".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Owner Institution Code".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :parentNameUsage,
      comment: "The full name, with authorship and date information if known, of the direct, most proximate higher-rank parent taxon (in a classification) of the most specific element of the scientificName.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"Rubiaceae\", \"Gruiformes\", \"Testudinae\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#parentNameUsage-2009-09-21".freeze,
      "http://purl.org/dc/terms/issued": "2009-08-24".freeze,
      "http://purl.org/dc/terms/modified": "2009-09-21".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Identifications/Identification/TaxonIdentified/HigherTaxa/HigherTaxon/HigherTaxonName".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Taxon".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Parent Name Usage".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :parentNameUsageID,
      comment: "An identifier for the name usage (documented meaning of the name according to a source) of the direct, most proximate higher-rank parent taxon (in a classification) of the most specific element of the scientificName.".freeze,
      "http://purl.org/dc/terms/description": "Example: \"8fa58e08-08de-4ac1-b69c-1235340b7001\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#parentNameUsageID-2009-09-21".freeze,
      "http://purl.org/dc/terms/issued": "2009-01-21".freeze,
      "http://purl.org/dc/terms/modified": "2009-09-21".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/higherTaxonNameID-2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Taxon".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Parent Name Usage ID".freeze,
      subPropertyOf: "http://purl.org/dc/terms/identifier".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :phylum,
      comment: "The full scientific name of the phylum or division in which the taxon is classified.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"Chordata\" (phylum), \"Bryophyta\" (division)".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#phylum-2009-08-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-08-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/phylum-2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Identifications/Identification/TaxonIdentified/HigherTaxa/HigherTaxon/HigherTaxonName with HigherTaxa/HigherTaxon/HigherTaxonRank = phylum".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Taxon".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Phylum".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :pointRadiusSpatialFit,
      comment: "The ratio of the area of the point-radius (decimalLatitude, decimalLongitude, coordinateUncertaintyInMeters) to the area of the true (original, or most specific) spatial representation of the Location. Legal values are 0, greater than or equal to 1, or undefined. A value of 1 is an exact match or 100% overlap. A value of 0 should be used if the given point-radius does not completely contain the original representation. The pointRadiusSpatialFit is undefined (and should be left blank) if the original representation is a point without uncertainty and the given georeference is not that same point (without uncertainty). If both the original and the given georeference are the same point, the pointRadiusSpatialFit is 1.".freeze,
      "http://purl.org/dc/terms/description": "Detailed explanations with graphical examples can be found in the \"Guide to Best Practices for Georeferencing\", Chapman and Wieczorek, eds. 2006.".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#pointRadiusSpatialFit-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2014-10-23".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/PointRadiusSpatialFit-2007-04-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/SiteCoordinateSets/SiteCoordinates/PointRadiusSpatialFit".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://purl.org/dc/terms/Location".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Point Radius Spatial Fit".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :preparations,
      comment: "A list (concatenated and separated) of preparations and preservation methods for a specimen.".freeze,
      "http://purl.org/dc/terms/description": "The recommended best practice is to separate the values with a vertical bar (' | '). Examples: \"fossil\", \"cast\", \"photograph\", \"DNA extract\", \"skin | \"skull | skeleton\", \"whole animal (ETOH) | tissue (EDTA)\".".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#preparations-2014-10-23".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2014-10-23".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/preparations-2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/SpecimenUnit/Preparations/PreparationsText".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/decision": "http://rs.tdwg.org/dwc/terms/history/decisions/#Decision-2014-10-30_16".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Occurrence".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Preparations".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :previousIdentifications,
      comment: "A list (concatenated and separated) of previous assignments of names to the Organism.".freeze,
      "http://purl.org/dc/terms/description": "The recommended best practice is to separate the values with a vertical bar (' | '). Examples: \"Chalepidae\", \"Pinus abies\", \"Anthus sp., field ID by G. Iglesias | Anthus correndera, expert ID by C. Cicero 2009-02-12 based on morphology\".".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#previousIdentifications-2014-10-23".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2014-10-23".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/previousIdentifications-2009-05-18".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Identifications/Identification with PreferredFlag = false".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/decision": "http://rs.tdwg.org/dwc/terms/history/decisions/#Decision-2014-10-30_16".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Organism".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Previous Identifications".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :recordNumber,
      comment: "An identifier given to the Occurrence at the time it was recorded. Often serves as a link between field notes and an Occurrence record, such as a specimen collector's number.".freeze,
      "http://purl.org/dc/terms/description": "Example: \"OPP 7101\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#recordNumber-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-05-18".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/CollectorNumber-2007-04-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/CollectorsFieldNumber".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Occurrence".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Record Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :recordedBy,
      comment: "A list (concatenated and separated) of names of people, groups, or organizations responsible for recording the original Occurrence. The primary collector or observer, especially one who applies a personal identifier (recordNumber), should be listed first.".freeze,
      "http://purl.org/dc/terms/description": "The recommended best practice is to separate the values with a vertical bar (' | '). The primary collector or observer, especially one who applies a personal identifier (recordNumber), should be listed first. Examples: \"José E. Crespo\", \"Oliver P. Pearson | Anita K. Pearson\" where the value in recordNumber \"OPP 7101\" corresponds to the number for the specimen in the field catalog (collector number) of Oliver P. Pearson.".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#recordedBy-2014-10-23".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2014-10-23".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/recordedBy-2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/GatheringAgents/GatheringAgentsText".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/decision": "http://rs.tdwg.org/dwc/terms/history/decisions/#Decision-2014-10-30_16".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Occurrence".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Recorded By".freeze,
      subPropertyOf: "http://rs.tdwg.org/dwc/terms/accordingTo".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :relatedResourceID,
      comment: "An identifier for a related resource (the object, rather than the subject of the relationship).".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#relatedResourceID-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Associations/UnitAssociation/AssociatedUnitSourceInstitutionCode + DataSets/DataSet/Units/Unit/Associations/UnitAssociation/AssociatedUnitSourceName + DataSets/DataSet/Units/Unit/Associations/UnitAssociation/AssociatedUnitID".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/ResourceRelationship".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Related Resource ID".freeze,
      subPropertyOf: "http://purl.org/dc/terms/identifier".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :relationshipAccordingTo,
      comment: "The source (person, organization, publication, reference) establishing the relationship between the two resources.".freeze,
      "http://purl.org/dc/terms/description": "Example: \"Julie Woodruff\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#relationshipAccordingTo-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2009-04-24".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/ResourceRelationship".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Relationship According To".freeze,
      subPropertyOf: "http://rs.tdwg.org/dwc/terms/accordingTo".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :relationshipEstablishedDate,
      comment: "The date-time on which the relationship between the two resources was established. Recommended best practice is to use an encoding scheme, such as ISO 8601:2004(E).".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"1963-03-08T14:07-0600\" is 8 Mar 1963 2:07pm in the time zone six hours earlier than UTC, \"2009-02-20T08:40Z\" is 20 Feb 2009 8:40am UTC, \"1809-02-12\" is 12 Feb 1809, \"1906-06\" is Jun 1906, \"1971\" is just that year, \"2007-03-01T13:00:00Z/2008-05-11T15:30:00Z\" is the interval between 1 Mar 2007 1pm UTC and 11 May 2008 3:30pm UTC, \"2007-11-13/15\" is the interval between 13 Nov 2007 and 15 Nov 2007.".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#relationshipEstablishedDate-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2009-04-24".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/ResourceRelationship".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Relationship Established Date".freeze,
      subPropertyOf: "http://purl.org/dc/terms/date".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :relationshipOfResource,
      comment: "The relationship of the resource identified by relatedResourceID to the subject (optionally identified by the resourceID). Recommended best practice is to use a controlled vocabulary.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"duplicate of\", \"mother of\", \"endoparasite of\", \"host to\", \"sibling of\", \"valid synonym of\", \"located within\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#relationshipOfResource-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Associations/UnitAssociation/AssociationType".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/ResourceRelationship".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Relationship Of Resource".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :relationshipRemarks,
      comment: "Comments or notes about the relationship between the two resources.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"mother and offspring collected from the same nest\", \"pollinator captured in the act\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#relationshipRemarks-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Associations/UnitAssociation/Comments".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/ResourceRelationship".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Relationship Remarks".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :reproductiveCondition,
      comment: "The reproductive condition of the biological individual(s) represented in the Occurrence. Recommended best practice is to use a controlled vocabulary.".freeze,
      "http://purl.org/dc/terms/description": "Examples\" \"non-reproductive\", \"pregnant\", \"in bloom\", \"fruit-bearing\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#reproductiveCondition-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Occurrence".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Reproductive Condition".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :resourceID,
      comment: "An identifier for the resource that is the subject of the relationship.".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#resourceID-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2009-04-24".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/ResourceRelationship".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Resource ID".freeze,
      subPropertyOf: "http://purl.org/dc/terms/identifier".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :resourceRelationshipID,
      comment: "An identifier for an instance of relationship between one resource (the subject) and another (relatedResource, the object).".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#resourceRelationshipID-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2009-01-26".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/ResourceRelationship".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Resource Relationship ID".freeze,
      subPropertyOf: "http://purl.org/dc/terms/identifier".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :samplingEffort,
      comment: "The amount of effort expended during an Event.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"40 trap-nights\", \"10 observer-hours; 10 km by foot; 30 km by car\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#samplingEffort-2009-08-24".freeze,
      "http://purl.org/dc/terms/issued": "2009-08-24".freeze,
      "http://purl.org/dc/terms/modified": "2009-08-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Event".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Sampling Effort".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :samplingProtocol,
      comment: "The name of, reference to, or description of the method or protocol used during an Event.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"UV light trap\", \"mist net\", \"bottom trawl\", \"ad hoc observation\", \"point count\", \"Penguins from space: faecal stains reveal the location of emperor penguin colonies, http://dx.doi.org/10.1111/j.1466-8238.2009.00467.x\", \"Takats et al. 2001. Guidelines for Nocturnal Owl Monitoring in North America. Beaverhill Bird Observatory and Bird Studies Canada, Edmonton, Alberta. 32 pp.\", \"http://www.bsc-eoc.org/download/Owl.pdf\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#samplingProtocol-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/CollectingMethod-2007-04-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/Method".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Event".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Sampling Protocol".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :scientificName,
      comment: "The full scientific name, with authorship and date information if known. When forming part of an Identification, this should be the name in lowest level taxonomic rank that can be determined. This term should not contain identification qualifications, which should instead be supplied in the IdentificationQualifier term.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"Coleoptera\" (order), \"Vespertilionidae\" (family), \"Manis\" (genus), \"Ctenomys sociabilis\" (genus + specificEpithet), \"Ambystoma tigrinum diaboli\" (genus + specificEpithet + infraspecificEpithet), \"Roptrocerus typographi (Györfi, 1952)\" (genus + specificEpithet + scientificNameAuthorship), \"Quercus agrifolia var. oxyadenia (Torr.) J.T. Howell\" (genus + specificEpithet + taxonRank + infraspecificEpithet + scientificNameAuthorship)".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#scientificName-2009-09-21".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-09-21".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/scientificName-2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Identifications/Identification/TaxonIdentified/ScientificName/FullScientificNameString".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Taxon".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Scientific Name".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :scientificNameAuthorship,
      comment: "The authorship information for the scientificName formatted according to the conventions of the applicable nomenclaturalCode.".freeze,
      "http://purl.org/dc/terms/description": "Example: \"(Torr.) J.T. Howell\", \"(Martinovský) Tzvelev\", \"(Györfi, 1952)\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#scientificNameAuthorship-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/AuthorYearOfScientificName-2007-04-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "{DataSets/DataSet/Units/Unit/Identifications/Identification/TaxonIdentified/ScientificName/NameAtomised/Bacterial/ParentheticalAuthorTeamAndYear + DataSets/DataSet/Units/Unit/Identifications/Identification/TaxonIdentified/ScientificName/NameAtomised/Bacterial/AuthorTeamAndYear} or {DataSets/DataSet/Units/Unit/Identifications/Identification/TaxonIdentified/ScientificName/NameAtomised/Botanical/AuthorTeamParenthesis + DataSets/DataSet/Units/Unit/Identifications/Identification/TaxonIdentified/ScientificName/NameAtomised/Botanical/AuthorTeam} or {DataSets/DataSet/Units/Unit/Identifications/Identification/TaxonIdentified/ScientificName/NameAtomised/Zoological/AuthorTeamOriginalAndYear + [= or] DataSets/DataSet/Units/Unit/Identifications/Identification/TaxonIdentified/ScientificName/NameAtomised/Zoological/AuthorTeamParenthesisAndYear}".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Taxon".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Scientific Name Authorship".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :scientificNameID,
      comment: "An identifier for the nomenclatural (not taxonomic) details of a scientific name.".freeze,
      "http://purl.org/dc/terms/description": "Example: \"urn:lsid:ipni.org:names:37829-1:1.3\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#scientificNameID-2009-08-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-08-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/TaxonNameID-2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Taxon".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Scientific Name ID".freeze,
      subPropertyOf: "http://purl.org/dc/terms/identifier".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :sex,
      comment: "The sex of the biological individual(s) represented in the Occurrence. Recommended best practice is to use a controlled vocabulary.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"female\", \"hermaphrodite\", \"8 males, 4 females\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#sex-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/Sex-2007-04-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Sex".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Occurrence".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Sex".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :specificEpithet,
      comment: "The name of the first or species epithet of the scientificName.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"concolor\", \"gottschei\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#specificEpithet-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/SpecificEpithet-2007-04-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "{DataSets/DataSet/Units/Unit/Identifications/Identification/TaxonIdentified/ScientificName/NameAtomised/Bacterial/SpeciesEpithet or DataSets/DataSet/Units/Unit/Identifications/Identification/TaxonIdentified/ScientificName/NameAtomised/Botanical/FirstEpithet or DataSets/DataSet/Units/Unit/Identifications/Identification/TaxonIdentified/ScientificName/NameAtomised/Zoological/SpeciesEpithet}".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Taxon".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Specific Epithet".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :startDayOfYear,
      comment: "The earliest ordinal day of the year on which the Event occurred (1 for January 1, 365 for December 31, except in a leap year, in which case it is 366).".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"1\" (=1 Jan), \"366\" (=31 Dec), \"365\" (=30 Dec in a leap year, 31 Dec in a non-leap year)".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#startDayOfYear-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/DayOfYear-2007-04-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/DateTime/DayNumberBegin".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Event".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Start Day Of Year".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :stateProvince,
      comment: "The name of the next smaller administrative region than country (state, province, canton, department, region, etc.) in which the Location occurs.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"Montana\", \"Minas Gerais\", \"Córdoba\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#stateProvince-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/StateProvince-2007-04-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/NamedAreas/NamedArea/AreaName with NamedAreas/NamedArea/AreaClass= State or = Province (etc.)".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://purl.org/dc/terms/Location".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "State Province".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :subgenus,
      comment: "The full scientific name of the subgenus in which the taxon is classified. Values should include the genus to avoid homonym confusion.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"Strobus (Pinus)\", \"Puma (Puma)\" \"Loligo (Amerigo)\", \"Hieracium subgen. Pilosella\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#subgenus-2009-08-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-08-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/subgenus-2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Identifications/Identification/TaxonIdentified/ScientificName/NameAtomised/Zoological/Subgenus".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Taxon".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Subgenus".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :taxonConceptID,
      comment: "An identifier for the taxonomic concept to which the record refers - not for the nomenclatural details of a taxon.".freeze,
      "http://purl.org/dc/terms/description": "Example: \"8fa58e08-08de-4ac1-b69c-1235340b7001\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#taxonConceptID-2009-09-21".freeze,
      "http://purl.org/dc/terms/issued": "2009-04-24".freeze,
      "http://purl.org/dc/terms/modified": "2009-09-21".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/taxonConceptID-2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Taxon".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Taxon Concept ID".freeze,
      subPropertyOf: "http://purl.org/dc/terms/identifier".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :taxonID,
      comment: "An identifier for the set of taxon information (data associated with the Taxon class). May be a global unique identifier or an identifier specific to the data set.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"8fa58e08-08de-4ac1-b69c-1235340b7001\", \"32567\", \"http://species.gbif.org/abies_alba_1753\", \"urn:lsid:gbif.org:usages:32567\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#taxonID-2009-08-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-08-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/scientificNameID-2009-07-06".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Taxon".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Taxon ID".freeze,
      subPropertyOf: "http://purl.org/dc/terms/identifier".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :taxonRank,
      comment: "The taxonomic rank of the most specific name in the scientificName. Recommended best practice is to use a controlled vocabulary.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"subspecies\", \"varietas\", \"forma\", \"species\", \"genus\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#taxonRank-2009-09-21".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-09-21".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/scientificNameRank-2009-07-06".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Identifications/Identification/TaxonIdentified/ScientificName/NameAtomised/Botanical/Rank".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Taxon".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Taxon Rank".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :taxonRemarks,
      comment: "Comments or notes about the taxon or name.".freeze,
      "http://purl.org/dc/terms/description": "Example: \"this name is a misspelling in common use\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#taxonRemarks-2009-08-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-08-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/taxonRemarks-2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Taxon".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Taxon Remarks".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :taxonomicStatus,
      comment: "The status of the use of the scientificName as a label for a taxon. Requires taxonomic opinion to define the scope of a taxon. Rules of priority then are used to define the taxonomic status of the nomenclature contained in that scope, combined with the experts opinion. It must be linked to a specific taxonomic reference that defines the concept. Recommended best practice is to use a controlled vocabulary.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"invalid\", \"misapplied\", \"homotypic synonym\", \"accepted\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#taxonomicStatus-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Taxon".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Taxonomic Status".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :typeStatus,
      comment: "A list (concatenated and separated) of nomenclatural types (type status, typified scientific name, publication) applied to the subject.".freeze,
      "http://purl.org/dc/terms/description": "The recommended best practice is to separate the values with a vertical bar (' | '). Examples: \"holotype of Ctenomys sociabilis. Pearson O. P., and M. I. Christie. 1985. Historia Natural, 5(37):388\", \"holotype of Pinus abies | holotype of Picea abies\".".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#typeStatus-2014-10-23".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2014-10-23".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/typeStatus-2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/SpecimenUnit/NomenclaturalTypeDesignations/NomenclaturalTypeText".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/decision": "http://rs.tdwg.org/dwc/terms/history/decisions/#Decision-2014-10-30_16".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Identification".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Type Status".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :verbatimCoordinateSystem,
      comment: "The spatial coordinate system for the verbatimLatitude and verbatimLongitude or the verbatimCoordinates of the Location. Recommended best practice is to use a controlled vocabulary.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"decimal degrees\", \"degrees decimal minutes\", \"degrees minutes seconds\", \"UTM\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#verbatimCoordinateSystem-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-07-06".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/VerbatimCoordinateSystem-2007-04-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "(partly) DataSets/DataSet/Units/Unit/Gathering/SiteCoordinateSets/SiteCoordinates/CoordinatesGrid/GridCellSystem".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://purl.org/dc/terms/Location".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Verbatim Coordinate System".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :verbatimCoordinates,
      comment: "The verbatim original spatial coordinates of the Location. The coordinate ellipsoid, geodeticDatum, or full Spatial Reference System (SRS) for these coordinates should be stored in verbatimSRS and the coordinate system should be stored in verbatimCoordinateSystem.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"41 05 54S 121 05 34W\", \"17T 630000 4833400\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#verbatimCoordinates-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-07-06".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/VerbatimCoordinates-2007-04-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "{DataSets/DataSet/Units/Unit/Gathering/SiteCoordinateSets/SiteCoordinates/CoordinatesLatLon/CoordinatesText or DataSets/DataSet/Units/Unit/Gathering/SiteCoordinateSets/SiteCoordinates/CoordinatesUTM/UTMText}".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://purl.org/dc/terms/Location".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Verbatim Coordinates".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :verbatimDepth,
      comment: "The original description of the depth below the local surface.".freeze,
      "http://purl.org/dc/terms/description": "Example: \"100-200 m\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#verbatimDepth-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/VerbatimDepth-2007-04-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/Depth/MeasurementOrFactText".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://purl.org/dc/terms/Location".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Verbatim Depth".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :verbatimElevation,
      comment: "The original description of the elevation (altitude, usually above sea level) of the Location.".freeze,
      "http://purl.org/dc/terms/description": "Example: \"100-200 m\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#verbatimElevation-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/VerbatimElevation-2007-04-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/Altitude/MeasurementOrFactText".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://purl.org/dc/terms/Location".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Verbatim Elevation".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :verbatimEventDate,
      comment: "The verbatim original representation of the date and time information for an Event.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"spring 1910\", \"Marzo 2002\", \"1999-03-XX\", \"17IV1934\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#verbatimEventDate-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/VerbatimCollectingDate-2007-04-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/DateTime/DateText".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Event".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Verbatim EventDate".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :verbatimLatitude,
      comment: "The verbatim original latitude of the Location. The coordinate ellipsoid, geodeticDatum, or full Spatial Reference System (SRS) for these coordinates should be stored in verbatimSRS and the coordinate system should be stored in verbatimCoordinateSystem.".freeze,
      "http://purl.org/dc/terms/description": "Example: \"41 05 54.03S\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#verbatimLatitude-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-07-06".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/VerbatimLatitude-2007-04-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/SiteCoordinateSets/SiteCoordinates/CoordinatesLatLon/VerbatimLatitude".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://purl.org/dc/terms/Location".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Verbatim Latitude".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :verbatimLocality,
      comment: "The original textual description of the place.".freeze,
      "http://purl.org/dc/terms/description": "Example: \"25 km NNE Bariloche por R. Nac. 237\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#verbatimLocality-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/NamedAreas/NamedArea/AreaName".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://purl.org/dc/terms/Location".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Verbatim Locality".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :verbatimLongitude,
      comment: "The verbatim original longitude of the Location. The coordinate ellipsoid, geodeticDatum, or full Spatial Reference System (SRS) for these coordinates should be stored in verbatimSRS and the coordinate system should be stored in verbatimCoordinateSystem.".freeze,
      "http://purl.org/dc/terms/description": "Example: \"121d 10' 34\" W\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#verbatimLongitude-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-07-06".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/VerbatimLongitude-2007-04-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/SiteCoordinateSets/SiteCoordinates/CoordinatesLatLon/VerbatimLongitude".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://purl.org/dc/terms/Location".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Verbatim Longitude".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :verbatimSRS,
      comment: "The ellipsoid, geodetic datum, or spatial reference system (SRS) upon which coordinates given in verbatimLatitude and verbatimLongitude, or verbatimCoordinates are based. Recommended best practice is use the EPSG code as a controlled vocabulary to provide an SRS, if known. Otherwise use a controlled vocabulary for the name or code of the geodetic datum, if known. Otherwise use a controlled vocabulary for the name or code of the ellipsoid, if known. If none of these is known, use the value \"unknown\".".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"EPSG:4326\", \"WGS84\", \"NAD27\", \"Campo Inchauspe\", \"European 1950\", \"Clarke 1866\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#verbatimSRS-2009-07-06".freeze,
      "http://purl.org/dc/terms/issued": "2009-07-06".freeze,
      "http://purl.org/dc/terms/modified": "2009-07-06".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://purl.org/dc/terms/Location".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Verbatim SRS".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :verbatimTaxonRank,
      comment: "The taxonomic rank of the most specific name in the scientificName as it appears in the original record.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"Agamospecies\", \"sub-lesus\", \"prole\", \"apomict\", \"nothogrex\", \"sp.\", \"subsp.\", \"var.\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#verbatimTaxonRank-2009-09-21".freeze,
      "http://purl.org/dc/terms/issued": "2009-07-06".freeze,
      "http://purl.org/dc/terms/modified": "2009-09-21".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/verbatimScientificNameRank-2009-07-06".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Taxon".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Verbatim Taxon Rank".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :vernacularName,
      comment: "A common or vernacular name.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"Andean Condor\", \"Condor Andino\", \"American Eagle\", \"Gänsegeier\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#vernacularName-2009-07-06".freeze,
      "http://purl.org/dc/terms/issued": "2009-07-06".freeze,
      "http://purl.org/dc/terms/modified": "2009-07-06".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "not in ABCD".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Taxon".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Vernacular Name".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :waterBody,
      comment: "The name of the water body in which the Location occurs. Recommended best practice is to use a controlled vocabulary such as the Getty Thesaurus of Geographic Names.".freeze,
      "http://purl.org/dc/terms/description": "Examples: \"Indian Ocean\", \"Baltic Sea\", \"Hudson River\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#waterBody-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/WaterBody-2007-04-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "DataSets/DataSet/Units/Unit/Gathering/NamedAreas/NamedArea/AreaName with NamedAreas/NamedArea/AreaClass= Water body".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://purl.org/dc/terms/Location".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Water Body".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :year,
      comment: "The four-digit year in which the Event occurred, according to the Common Era Calendar.".freeze,
      "http://purl.org/dc/terms/description": "Example: \"2008\"".freeze,
      "http://purl.org/dc/terms/hasVersion": "http://rs.tdwg.org/dwc/terms/history/#year-2009-04-24".freeze,
      "http://purl.org/dc/terms/issued": "2008-11-19".freeze,
      "http://purl.org/dc/terms/modified": "2009-04-24".freeze,
      "http://purl.org/dc/terms/replaces": "http://rs.tdwg.org/dwc/terms/YearCollected-2003-06-17".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/abcdEquivalence": "accessible from DataSets/DataSet/Units/Unit/Gathering/ISODateTimeBegin".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/organizedInClass": "http://rs.tdwg.org/dwc/terms/Event".freeze,
      "http://rs.tdwg.org/dwc/terms/attributes/status": "recommended".freeze,
      isDefinedBy: "http://rs.tdwg.org/dwc/terms/".freeze,
      label: "Year".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
  end
end
