# -*- encoding: utf-8 -*-
# frozen_string_literal: true
# This file generated automatically using rdf vocabulary format from http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#
require 'rdf'
module RDF::Vocab
  EBUCore = Class.new(RDF::StrictVocabulary("http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#")) do

    # Ontology definition
    ontology :"http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#",
      "http://creativecommons.org/ns#licence": "http://creativecommons.org/licenses/by-sa/3.0/".freeze,
      "http://purl.org/dc/elements/1.1/contributor": ["Adam Wead, Penn State University".freeze, "Casey Davis, WGBH".freeze, "Chuck McCallum, WGBH".freeze, "Cliff Ingham, City of Bloomington".freeze, "Dalia R. Levine, HBO".freeze, "Drew Myers, WGBH".freeze, "Glenn Clatworthy, PBS".freeze, "Jack Brighton, WILL Public Media".freeze, "Julie Hardesty, Indian University Library".freeze, "Kara van Malssen, AV Preserve".freeze, "Karen Cariani, WGBH".freeze, "Laurence Cook, metaCirque".freeze, "Michael J. Giarlo, Penn State University".freeze, "Peggy Griesinger, George Mason University Libraries".freeze, "Rebecca Fraimow, WGBH".freeze, "Rebecca Guenther, Rebecca Guenther Consulting".freeze, "Sadie Roosa, WGBH".freeze, "Valerie J. Miller, PBS".freeze],
      "http://purl.org/dc/elements/1.1/description": ["Guidelines: for the purpose of flexibility and interoperability with a wider range of implementations, some properties purposefully do not have a range and accept either a resource or a literal.  When a resource is used, it is recommended to reuse objects defined in the model (e.g. pair hasEvent/Event or hasRole/Role). Example 1: x hasRole 'actor'. Example 2: x hasRole _:Role_1 (a reference to the Concept identifier from a SKOS Role vocabulary defined in the ontology).".freeze, "Note to implementers: The EBUCore ontology is used by a variety of users with different needs. Several EBUCore properties have no range to allow different implementations using entities or literals. As an implementer, it is your choice to go for one or the other for each property to have consistent expectations when parsing individuals. EBUCore also provides different classes defined as subclasses of skos:Concept. You can use these classes as entities in range of several properties currently left without range. EBUCore is expressed in RDF in order to facilitate such modelling and flexibility. As a consequence, propoerties appear in the documentation as annotation properties.".freeze, "The EBUCore has been designed to make users benefit from the flexibility of RDF to adapt the names of Classes and properties to their respective needs. This means users are welcome to add their own subclasses (e.g. to define the most appropriate BusinessObjects or Resources or Agents) and subproperties.".freeze, "The development of the EBUCore ontology is a joint effort of the EBUCore and PBCore communities.".freeze],
      "http://purl.org/dc/elements/1.1/rights": "Copyright 2020 EBU".freeze,
      "http://purl.org/dc/elements/1.1/title": "EBUCore - the Dublin Core for media".freeze,
      "http://purl.org/vocab/vann/preferredNamespaceUri": "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#".freeze,
      "http://spinrdf.org/spin#imports": "http://topbraid.org/spin/owlrl-all".freeze,
      "http://www.w3.org/2002/07/owl#backwardCompatibleWith": "http://www.ebu.ch/metadata/ontologies/ebucore/20182011/ebucore.rdf".freeze,
      "http://www.w3.org/2002/07/owl#imports": "http://www.w3.org/2004/02/skos/core".freeze,
      "http://www.w3.org/2002/07/owl#priorVersion": "http://www.ebu.ch/metadata/ontologies/ebucore/20182011/ebucore.rdf".freeze,
      "http://www.w3.org/2002/07/owl#versionInfo": ["Add Concept TargetPlatform and property hasTargetPlatform as a subproperty of Type.".freeze, "Add Concept Theme and define property hasTheme as subproperty of hasSubject.".freeze, "Add ContentEditorialFormat as subclass of Type + hasContentEditorialFormat property as subpropertyof hastype.".freeze, "Add abstract as subpropertyOf description.".freeze, "Add formatId to Format.".freeze, "Add hasRatingProvider equivalent to hasRatingSource in specific environments".freeze, "Add hasRelationType with domain Relation.".freeze, "Add isScheduledOn to associate a PublicationEvent directly with an EditorialObject.".freeze, "Add lead as subproperty of description.".freeze, "Add missing Concepts and propose default types.".freeze, "Add missing multiple range definitions.".freeze, "Add productionSynopsis as subproperty of description.".freeze, "Add property dateProduced and property hasProducer.".freeze, "Add reverse property isTimelineTrackPartOf.".freeze, "Add roleId to identify a Role.".freeze, "Add roleType to define a type of Role.".freeze, "Alignment of Concepts and Types with original EBU and new Dwerft SKOS vocabularies".freeze, "Change hierarchy between Resource and MediaResource and provide hasRelatedResource and hasRelatedMediaResource and similar properties.".freeze, "Change identifier into hasIdentifier.".freeze, "Changed subclasses to dc: with owl:equivalentClass or owl:equivalentProperty.".freeze, "Correct misstyped owl:Classes into rdfs:Classes.".freeze, "Correct property actionType into hasActionType of rnage string or ActionType subclass of Concept.".freeze, "Correct target of end and start as MediaResource.".freeze, "Create property Asset / hasCopyright with range string or Copyright. Same correction for all Rights subclasses e.g. AccessConditions".freeze, "Delete formatName and use skos:prefLabel and skos:definition.".freeze, "Delete hasAssociatedRights has already covered by isCoveredBy.".freeze, "Delete roleDefinition and use skos:definition instead as Role is a subclass of Concept.".freeze, "Had Review and hasReview.".freeze, "Harmonise multi-range definition of properties, when applicable.".freeze, "Move generic properties from BusinessObject/EditorialObject, Resource and MediaResource at Asset level (e.g. title, etc.).".freeze, "Separate mutli-domains and multi-ranges to avoid owl:unionOf statements.".freeze, "Version 1.10".freeze],
      "http://www.w3.org/2003/06/sw-vocab-status/ns#term_status": "stable".freeze,
      type: "http://www.w3.org/2002/07/owl#Ontology".freeze

    # Class definitions
    term :AccessConditions,
      comment: "The conditions under which content can be accessed.".freeze,
      label: "Access conditions".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rights".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Action,
      comment: "A class to log Actions.".freeze,
      label: "Action".freeze,
      subClassOf: "http://www.w3.org/2002/07/owl#Thing".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Action_Type,
      comment: "To define a type of Action.".freeze,
      label: "Action type".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ActiveFormatDescriptorCode,
      comment: "To define an active format code.".freeze,
      label: "Active format descriptor code".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Format".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Affiliation,
      comment: "An Organisation to which a Contact is affiliated (with period of validity).".freeze,
      label: "Affiliation".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Organisation".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Agent,
      comment: "A person / contact or organisation.".freeze,
      equivalentClass: ["http://purl.org/dc/terms/Agent".freeze, "http://xmlns.com/foaf/0.1/Agent".freeze],
      label: "Agent".freeze,
      subClassOf: "http://www.w3.org/2002/07/owl#Thing".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AncillaryData,
      comment: "Any ancillary data provided with the content\n            other than captioning and subtitling.".freeze,
      label: "Ancillary data".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#DataTrack".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AncillaryDataFormat,
      comment: "To define the format of AncillaryData such as\n            legacy data used to be carried in vertical blanking intervals. This is provided as free\n            text in an annotation label or as an identifier pointing to a term in a classification\n            scheme.".freeze,
      label: "Ancillary data format".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#DataFormat".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Animal,
      comment: "To identify an animal.".freeze,
      label: "Animal".freeze,
      subClassOf: "http://www.w3.org/2002/07/owl#Thing".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AnimalBreedCode,
      comment: "To provide a breed code for an animal..".freeze,
      label: "Animal breed code".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AnimalColourCode,
      comment: "To provide a colour code for an animal..".freeze,
      label: "Animal colour code".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Annotation,
      comment: "A class used to annotate Assets.".freeze,
      label: "Annotation".freeze,
      subClassOf: "http://www.w3.org/2002/07/owl#Thing".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Annotation_Type,
      comment: "To define a type of Annotation.".freeze,
      label: "Annotation type".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Artefact,
      comment: "To identify and describe artefacts used in a production (on and behind the stage).".freeze,
      label: "Artefact".freeze,
      subClassOf: "http://www.w3.org/2002/07/owl#Thing".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Artefact_Type,
      comment: "To define a type of artefact.".freeze,
      label: "Artefact type".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Asset,
      comment: "The Class \"Asset\" is an\n            object to which an identifier will be associated at commissioning. It will serve as a\n            central reference point to manage rights associated to EditorialObjects, Resources,\n            MediaResources or Essences, and PublicationEvents (distribution and exploitation\n            conditions).".freeze,
      label: "Asset".freeze,
      subClassOf: "http://www.w3.org/2002/07/owl#Thing".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Asset_Type,
      comment: "To define a type of asset.".freeze,
      label: "Asset type".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Atmosphere,
      comment: "To describe a feeling summarising the atmosphere.".freeze,
      label: "Atmosphere".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Type".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AudienceLevel,
      comment: ["The target audience (target region, target\n            audience category but also parental guidance recommendation) for which the media\n            resource is intended.".freeze, "This is provided as free text in an annotation\n            label or as an identifier pointing to a term in a classification scheme.".freeze],
      label: "Target audience".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rating".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AudienceRating,
      comment: "The audience by which the Resource can be\n            seen according to ratings like MPAA  (http://en.wikipedia.org/wiki/Motion_picture_rating_system) or other organisational / national / local standards.".freeze,
      label: "Audience rating".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rating".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AudienceScoreRecordingTechnique,
      comment: "To define the technique use to measure an audience score.".freeze,
      label: "Audience score recording technique".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AudioChannelFunction,
      comment: "To define the function of an AudioChannel.".freeze,
      label: "Audio channel function".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AudioChannelPurpose,
      comment: "To define the purpose of an AudioChannel.".freeze,
      label: "Audio channel purpose".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AudioCodec,
      comment: "To provide information about an audio codec.".freeze,
      label: "Audio codec".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Codec".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AudioContent,
      comment: "An audioContent defines one component of a programme (e.g. background\r\n\t\t\t\tmusic), its association with an audioGroup (e.g. a 2.0 audioPackFormat of\r\n\t\t\t\taudioChannelFormats for stereo reproduction), its association with an\r\n\t\t\t\taudioStreamFormat, and its set of loudness parameters.".freeze,
      label: "Audio content".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Programme".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AudioContent_Type,
      comment: "to define a type of AudioContent.".freeze,
      label: "Audio content type".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AudioDescription,
      comment: "A Track containing audio description.".freeze,
      label: "Audio description".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioTrack".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AudioEncodingFormat,
      comment: "The encoding format for the audio.".freeze,
      label: "Audio encoding format".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EncodingFormat".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AudioFormat,
      comment: "To define an AudioFormat.".freeze,
      label: "Audio format".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Format".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AudioObject,
      comment: "To define an audio object in reference to the Audio Definition Model (ADM)".freeze,
      label: "Audio object".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AudioProgramme,
      comment: "A set of one or more audioContent that derive from the same material,\r\n\t\t\t\ti.e. an audioMultiplex, and the definition of its multiplexed audioContents (e.g.\r\n\t\t\t\tforeground and commentary, background music).".freeze,
      label: "Audio programme".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Programme".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AudioProgramme_Type,
      comment: "to define a type of AudioProgramme.".freeze,
      label: "Audio programme type".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AudioStream,
      comment: "An audioStreamFormat describes a decodable signal - PCM signal or a Dolby E stream for example. It is composed of one or more AudioTracks.".freeze,
      label: "Audio stream".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Stream".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AudioTrack,
      comment: ["An audioTrack is the basic audio data container of a medium. Attribute is\r\n\t\t\t\tan unambiguous reference to this container in a given medium.".freeze, "An audioTrack object defines a component of an audioStream.\r\n\t\t\t\tA single set of samples or data in the storage medium.".freeze, "Represents a physical container or carrier to hold an audio stream. This\r\n\t\t\t\tshould be usually defined by many attributes such as ID, format (e.g. 48 kHz/24\r\n\t\t\t\tbits), linkage information (e.g. odd/even)â€¦".freeze],
      label: "Audio track".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Track".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AudioTrackPurpose,
      comment: "To describe the purpose of an AudioTrack e.g. dubbing.".freeze,
      label: "Audio track purpose".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Award,
      comment: "To describe an Award and associated information.".freeze,
      label: "Award".freeze,
      subClassOf: "http://www.w3.org/2002/07/owl#Thing".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Award_Type,
      comment: "To define a type of Award.".freeze,
      label: "Award type".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BMContent,
      comment: "The FIMS BMContent.".freeze,
      label: "BMContent".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BMEssence,
      comment: "The FIMS Essence".freeze,
      label: "BMEssence".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Essence".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BMTemplate,
      comment: "A template describe as a BMEssence.".freeze,
      label: "BMTemplate".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Template".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BibliographicalObject,
      comment: "Documents of various nature.".freeze,
      label: "Bibliographical object".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#BusinessObject".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Biography,
      comment: "To record a biography.".freeze,
      label: "Biography".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#BibliographicalObject".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Brand,
      comment: "A group of EditorialObjects having a Brand as a\n            common denominator.".freeze,
      label: "Brand".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Group".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BreakingNewsItem,
      comment: "To describe a breaking news.".freeze,
      label: "Breaking news item".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Item".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BusinessObject,
      comment: "An image, a document, an annotation\n            (descriptive textual metadata or audio/video tag), a tag (time related in audiovisual\n            media resources), or an audiovisual media resource (optionally composed of one or more\n            fragment / part and / or audio, video data tracks). Other types of BusinessObjects may\n            be defined as subclasses.".freeze,
      "http://www.w3.org/2002/07/owl#disjointWith": "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Business Object".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BusinessObject_Type,
      comment: "To define a type of business object.".freeze,
      label: "Business object type".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Captioning,
      comment: "To signal the presence of hard of hearing\n            captioning.".freeze,
      label: "Captioning".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Track".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :CaptioningFormat,
      comment: "To define the format of captioning.\n            Captioning's main use isfor hard of hearing transcription. This is provided as\n            free text in an annotation label or as an identifier pointing to a term in a\n            classification scheme.".freeze,
      label: "Captioning format".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#DataFormat".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Cast,
      comment: "A member of the cast list (a list of performers/actors and associated fictitious\n            characters).".freeze,
      label: "Cast member".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Character,
      comment: "E.g. a fictitious contact / person.".freeze,
      label: "Character".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :CityCode,
      comment: "To allocate a city code.".freeze,
      label: "City code".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Clip,
      comment: "For use in models where Clip is common.".freeze,
      label: "Clip".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ClosedCaptions,
      comment: "Closed captioning is provided as separate\n            content.".freeze,
      label: "Closed caption".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Captioning".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ClosedSubtitling,
      comment: "Closed subtitles are provided as separate\n            content.".freeze,
      label: "Closed subtitling".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Subtitling".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Codec,
      comment: "To provide information on a codec.".freeze,
      label: "Codec".freeze,
      subClassOf: "http://www.w3.org/2002/07/owl#Thing".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Collection,
      comment: "A group of EditorialObjects. There can be many\n            types of collections for which specific sub-classes should be defined. In the worl of\n            archives, A collection corresponds to all items belonging to an individual /\n            collector.".freeze,
      label: "Collection".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Group".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ColourSpace,
      comment: "The CoulourSpace of a VideoResource. A\n            ColourSpace is defined as free text in an annotation label or as an identifier pointing\n            to a term in a classification scheme such as\n            http://www.ebu.ch/metadata/ontologies/skos/ebu_ColourCodeCS.rdf.".freeze,
      label: "Colour space".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Format".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :CommercialCode,
      comment: "To identify a type of commercial content.".freeze,
      label: "Commercial code".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Type".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Component,
      comment: "A component e.g. audio, video, data or else or a MediaResource or Essence.".freeze,
      label: "Component".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Contact,
      comment: "A physical person.".freeze,
      label: "Contact".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ContainerCodec,
      comment: "To identify an container codec, e.g. MXF".freeze,
      label: "Container codec".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Codec".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ContainerEncodingFormat,
      comment: "To define the conatiner encoding format.".freeze,
      label: "Container encoding format".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EncodingFormat".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ContainerMimeType,
      comment: "The definition of the container if available as\n            a MIME type. This is provided as free text in an annotation label or as an identifier\n            pointing to a term in a classification scheme. For more information:\n            http://www.iana.org/assignments/media-types/application/index.html.".freeze,
      label: "Container Mime type".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Format".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ContentAlert,
      comment: "To provide information about a particular type of content potentially sensitive.".freeze,
      label: "Content alert".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Type".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ContentEditorialCode,
      comment: "To define a code of EditorialFormat".freeze,
      label: "Editorial code".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Type".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ContentEditorialFormat,
      comment: "To define an EditorialFormat".freeze,
      label: "Editorial format".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Type".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ContractType,
      comment: "To define a type of contract.".freeze,
      label: "Contract type".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Copyright,
      comment: "To provide a copyright\n            statement.".freeze,
      label: "Copyright".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rights".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Costume,
      comment: "To identify and describe Costumes used in productions.".freeze,
      label: "Costume".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :CostumeType,
      comment: "To define a costume type.".freeze,
      label: "Costume type".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :CountryCode,
      comment: "To identify a country by its ISO code.".freeze,
      label: "Country code".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :CoverageRestrictions,
      comment: "To provide information on possible restrictions\n            regarding the temporal and spatial coverage for publication.".freeze,
      label: "Coverage restrictions".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rights".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :CreativeCommons,
      comment: "A set of creative commons rights.".freeze,
      label: "Creative commons".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rights".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Crew,
      comment: "A member of the Crew.".freeze,
      label: "Crew member".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :CuisineStyle,
      comment: "To identify a style of Cuisine.".freeze,
      label: "Cuisine style".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :CurrencyCode,
      comment: "To identify a currency by its ISO code.".freeze,
      label: "Currency code".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DataFormat,
      comment: "To provide addtional technical information on\n            the characteristics of data streams in a MediaResource including but not limited to\n            AncillaryData, Subtilting and Captioning. Additional specific data format may be defined\n            as subclasses of DataFormat.".freeze,
      label: "Data format".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Format".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DataTrack,
      comment: "Ancillary data track e.g. Â¨captioning\"\n            or \"subtitling\" in addition to video and audio tracks.".freeze,
      label: "Data track".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Track".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Department,
      comment: "A department within and\n            organisation.".freeze,
      label: "Department".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Organisation".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DepictedEvent,
      comment: "A DepictedEVent is fictitious or historical or\n            other sort of Event that the content of the BusinessObject or resource relates\n            to.".freeze,
      label: "Depicted Event".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Disclaimer,
      comment: "To provide a disclaimer of any\n            form.".freeze,
      label: "Disclaimer".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rights".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Document,
      comment: "To describe a publication in the form of a\n            document e.g. a html webpage (news item) or a pdf document e.g. a script.".freeze,
      label: "Document".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Resource".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DocumentFormat,
      comment: "To provide technical information about the\n            format of a document such as the orientation. This is provided as free text in an\n            annotation label or as an identifier pointing to a term in a classification\n            scheme.".freeze,
      label: "Document format".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Format".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Dopesheet,
      comment: "Provides additional information about a NewsItem, e.g. date and place, subject.".freeze,
      label: "Dopesheet".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Document".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :EditorialObject,
      comment: "In the audiovisual domain, the Class\n            EditorialObject transforms a commissioned concept into an editorial definition of a\n            MediaResource before fabrication (in the Production Domain) and Distribution (in the\n            Distribution Domain). An EditorialObject is a set of descriptive metadata summarising\n            e.g. editing decisions. An EditorialObject can also be a part of an EditorialObject,\n            which is defined by its start time and duration. An EditorialObject can also be a group\n            of EditorialObjects. For example a series composed of episodes is defined as an\n            EditorialObject.".freeze,
      label: "Editorial Object".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#BusinessObject".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :EditorialObject_Type,
      comment: "To define a type of editorial object.".freeze,
      label: "Editorial object type".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Emotion,
      comment: "A class to log Emotions.".freeze,
      label: "Emotion".freeze,
      subClassOf: "http://www.w3.org/2002/07/owl#Thing".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Emotion_Type,
      comment: "To define a type of emotion.".freeze,
      label: "Emotion type".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :EncodingFormat,
      comment: "To provide a definition of the encoding format\n            for audio and video. This is provided as free text in an annotation label or as an\n            identifier pointing to a term in a classification scheme e.g.\n            http://www.ebu.ch/metadata/ontologies/skos/ebu_AudioCompressionCodeCS.rdf or\n            http://www.ebu.ch/metadata/ontologies/skos/ebu_VideoCompressionCodeCS.rdf.".freeze,
      label: "Encoding".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Format".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Episode,
      comment: "To describe an episode in a series.".freeze,
      label: "Episode".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Essence,
      comment: "Essence is content ready for distribution. Essence can become a MediaResource in further production processes.".freeze,
      label: "Essence".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Event,
      comment: ["Additional types of event shall be defined as\n            new sub-classes of event.".freeze, "An event related to the media resource, e.g.\n            depicted in the resource (possibly fictional), etc.".freeze],
      equivalentClass: "http://www.bbc.co.uk/ontologies/coreconcepts/Event".freeze,
      label: "Event".freeze,
      subClassOf: "http://www.w3.org/2002/07/owl#Thing".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :EventType,
      comment: "To define a type of event.".freeze,
      label: "Event type".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ExclusivityType,
      comment: "To define a type of exclusity rights.".freeze,
      label: "Exclusivity type".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ExploitationIssues,
      comment: "To highlight potential exploitation\n            issues.".freeze,
      label: "Exploitation issues".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rights".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Feature,
      comment: "The editorial object for a feature film.".freeze,
      label: "Feature".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :FictionalEvent,
      comment: "To describe a fictional Event.".freeze,
      label: "Fictional event".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :FictionalLocation,
      comment: "To describe a fictional Location.".freeze,
      label: "Fictional location".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :FictionalOrganisation,
      comment: "To define a fictional Organisation.".freeze,
      label: "Fictional organisation".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Organisation".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :FictionalPerson,
      comment: "To describe a fictional Person, e.g. a character in a drama.".freeze,
      label: "Fictional person".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :FileFormat,
      comment: "A file format for Resources other than\n            audiovisual resources. The format is defined as free text or pointing at a term in a\n            classification scheme e.g.\n            http://www.ebu.ch/metadata/ontologies/skos/ebu_FileFormatCS.rdf.".freeze,
      label: "File format".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Format".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Food,
      comment: "To describe Food shown or consumed in productions.".freeze,
      label: "Food".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :FoodStyle,
      comment: "To define a style of food.".freeze,
      label: "Food style".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Format,
      comment: "The format provides technical information on\n            the format of a Resource. A BusinessObject can be instantiated in a variety of Resources\n            each in a particular Format. Other specific data formats may be defined as subclasses of\n            format.".freeze,
      label: "Format".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Generation,
      comment: "Identifies the generation of a version of a resource, i.e. master, edit master, distribution copy, etc.".freeze,
      label: "Generation".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Format".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Genre,
      comment: "This class shall be used to provide information\n            on the genre of the BusinessObject or Resource. This is provided as free text in an\n            annotation label or as an identifier pointing to a term in a classification scheme e.g.\n            http://www.ebu.ch/metadata/ontologies/skos/ebu_ContentGenreCS.rdf or\n            http://www.ebu.ch/metadata/ontologies/skos/ebu_EditorialFormatCodeCS.rdf.".freeze,
      label: "Genre".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Type".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Group,
      comment: "To define a collection / group of media\n            resources, for example a series made of episodes.".freeze,
      label: "Group".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :IPRRestrictions,
      comment: "To provide information on intellectual\n            property.".freeze,
      label: "IPR restrictions".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rights".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Identifier,
      comment: "To support the use of structured identifiers.".freeze,
      label: "Identifier".freeze,
      subClassOf: "http://www.w3.org/2002/07/owl#Thing".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :IdentifierType,
      comment: "To define a type of identifier.".freeze,
      label: "Identifier type".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Image,
      comment: "A still image / thumbnail / key frame / logo\n            related to the media resource or being the media resource itself.".freeze,
      label: "Image".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#BusinessObject".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ImageCodec,
      comment: "to identify a codec for images".freeze,
      label: "Image codec".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Codec".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ImageFormat,
      comment: "To provide technical information about the\n            format of an image such as the orientation. This is provided as free text in an\n            annotation label or as an identifier pointing to a term in a classification\n            scheme.".freeze,
      label: "Image format".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Format".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :IntentionCode,
      comment: "To indicate the purpose for which content was created.".freeze,
      label: "Intention code".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Type".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Item,
      comment: "An item e.g. newsItem or sportItem".freeze,
      label: "Item".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :KeyCareerEvent,
      comment: "To describe a key career Event of a Contact.".freeze,
      label: "Key career event".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#KeyEvent".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :KeyEvent,
      comment: "To describe a significant event.".freeze,
      label: "Key event".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :KeyPersonalEvent,
      comment: "A key personal Event of a Contact.".freeze,
      label: "Key personal event".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#KeyEvent".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Keyframe,
      comment: "A key frame is a frame extarcted from video,\n            e.g. representative of a part of a MediaResource.".freeze,
      label: "key frame".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Picture".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Keyword,
      comment: "To proivde keywords and define key concepts\n            illustrating the content of the Resource or EditorialObject. This is provided as free\n            text in an annotation label or as an identifier pointing to a term in a classification\n            scheme.".freeze,
      equivalentClass: "http://www.bbc.co.uk/ontologies/coreconcepts/Theme".freeze,
      label: "Keyword".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Language,
      comment: "To provide information on languages present in\n            the BusinessObject and its purpose. This is provided as free text in an annotation label\n            or as an identifier pointing to a term in a classification scheme.Other language\n            specific types may be added as subclasses of language.".freeze,
      label: "Language".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Licensing,
      comment: "To define the licensing terms associated with an Asset.".freeze,
      label: "Licensing".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rights".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Link,
      comment: "To define a custom link.".freeze,
      label: "Link".freeze,
      subClassOf: "http://www.w3.org/2002/07/owl#Thing".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Location,
      comment: ["A location related to the media resource, e.g.\n            depicted in the resource (possibly fictional) or where the resource was created\n            (shooting location), etc.".freeze, "A type of location is defined as a sub-class of \n            location.".freeze, "This is provided as free text in an annotation\n            label or as an identifier pointing to a term in a classification scheme.".freeze],
      equivalentClass: "http://www.bbc.co.uk/ontologies/coreconcepts/Place".freeze,
      label: "Location".freeze,
      subClassOf: "http://www.w3.org/2002/07/owl#Thing".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :LocationCode,
      comment: "A code given to a Location.".freeze,
      label: "Location code.".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :LocationTimeType,
      comment: "To define a type of time at a location.".freeze,
      label: "Location time type".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :LocationType,
      comment: "To define a type of location.".freeze,
      label: "Location type".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Locator,
      comment: ["Custom attributes are to be associated by implementers.".freeze, "To provide information about complex locators.".freeze],
      label: "Locator".freeze,
      subClassOf: "http://www.w3.org/2002/07/owl#Thing".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Logo,
      comment: "A Logo allows to visually identify an\n            organisation, publicationService, publicationChannel, or ratings /\n            parentalGuidance".freeze,
      label: "Logo".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Picture".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MediaFragment,
      comment: "A MediaFragment is a temporal or spatial segment of a resource identified by a MediaGragment URI (http://www.w3.org/2008/WebVideo/Fragments/WD-media-fragments-spec/).".freeze,
      label: "Media Fragment".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MediaResource,
      comment: "The use of MediaResource is reserved to\n            audiovisual content. In a production process, several MediaResources can be edited and assembled to realsie an Essence ready for distribution (see IMF package and OPL)".freeze,
      "http://www.w3.org/2002/07/owl#disjointWith": "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#BusinessObject".freeze,
      label: "Media Resource".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MediaResource_Type,
      comment: "To define a type of MediaResource.".freeze,
      label: "Media resource type".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MediaType,
      comment: "To provide additional information on the type of media.".freeze,
      label: "Media type".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Format".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Medium,
      comment: "To provide information on the medium formats in\n            which the resource is available. This is provided as free text in an annotation label or\n            as an identifier pointing to a term in a classification scheme.".freeze,
      label: "Medium".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Format".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MetadataTrack,
      comment: "A Track on which metadata is embedded (e.g. MXF).".freeze,
      label: "Metadata track".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Track".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MimeType,
      comment: "The definition of the container if available as\n            a MIME type. This is provided as free text in an annotation label or as an identifier\n            pointing to a term in a classification scheme. For more information:\n            http://www.iana.org/assignments/media-types/index.html.".freeze,
      label: "Mime type".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Format".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :NewsItem,
      comment: "A NewsItem aggregates all information about a particular news event.".freeze,
      label: "News Item".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Item".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ObjectType,
      comment: "To specify the type of BusinessObject e.g. and\n            EditorialObject of type \"programme\" or clip\". This is\n            provided as free text in an annotation label or as an identifier pointing to a term in a\n            classification scheme e.g.\n            http://www.ebu.ch/metadata/ontologies/skos/ebu_ObjectTypeCodeCS.rdf.".freeze,
      label: "Object type".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Type".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :OpenCaptions,
      comment: "Open Captions are burned in the\n            image.".freeze,
      label: "Open captions".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Captioning".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :OpenSubtitling,
      comment: "Open subtitles are burned in the\n            image.".freeze,
      label: "Open subtitling".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Subtitling".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Organisation,
      comment: "An organisation (business, corporation, federation, etc.) or moral agent (government body).".freeze,
      equivalentClass: ["http://www.bbc.co.uk/ontologies/coreconcepts/Organisation".freeze, "http://xmlns.com/foaf/0.1/Organization".freeze],
      label: "Organisation".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :OriginalLanguage,
      comment: "The original language in which the\n            BusinessObject or Resource has been created and released. This is provided as free text\n            in an annotation label or as an identifier pointing to a term in a classification\n            scheme.".freeze,
      label: "Language".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Language".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Part,
      comment: ["A Fragment is a particular section of a\n            MediaResource identified by a start and end time or duration. Fragment can also be\n            called segment or part.".freeze, "One of more media fragment (audio, video, data)\n            composing an audiovisual media resource. In other ontolgies fragment is often referred\n            to e.g. as a 'part' or 'segment' or\n            'fragment'.".freeze],
      label: "Part, Fragment, Segment".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Part_Type,
      comment: "To define a type or part.".freeze,
      label: "Part type".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Party,
      comment: "To identify a Party intervening in a transaction or contractual agreement.".freeze,
      label: "Party".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Person,
      comment: "To describe a Person.".freeze,
      equivalentClass: ["http://www.bbc.co.uk/ontologies/coreconcepts/Person".freeze, "http://xmlns.com/foaf/0.1/Person".freeze],
      label: "Person".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PhysicalResource,
      comment: "To describe a physical resource e.g. a tape.".freeze,
      label: "Physical resource".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Pictogram,
      comment: "A visual / graphical representation of a concept.".freeze,
      label: "Pictogram".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Picture".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Picture,
      comment: "A photography, a logo, a pictogram, etc.".freeze,
      equivalentClass: "http://xmlns.com/foaf/0.1/img".freeze,
      label: "Picture".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Resource".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PictureDisplayFormat,
      comment: "To define a picture display format code.".freeze,
      label: "Picture display format code".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Format".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Platform,
      comment: "A platform like a network or operator platform.".freeze,
      label: "Platform".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Service".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Programme,
      comment: "An EditorialObject corresponding to a\n            MediaResource ready for publication.".freeze,
      label: "Programme".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Props,
      comment: "To identify and describe Props used in productions (e.g. vehicles, objects of various shapes and brand and purpose, etc.).".freeze,
      equivalentClass: "http://xmlns.com/foaf/0.1/Agent".freeze,
      label: "Props".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Provenance,
      subClassOf: "http://www.w3.org/2002/07/owl#Thing".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PublicationChannel,
      comment: "The name of the channel through which a\n            Resource has been published as a PublicationEvent. A PublicationChannel can use a\n            variety of medias e.g. broadcast or online.".freeze,
      label: "Publication Channel".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Service".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PublicationChannel_Type,
      comment: "To define a type of publication channel.".freeze,
      label: "Publication channel type".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PublicationEvent,
      comment: "To describe any manifestation of a media\n            resource on any media (live, on demand, catch-up TV, etc.) and the appropriate\n            PublciationChannel.".freeze,
      label: "Publication Event".freeze,
      subClassOf: "http://www.w3.org/2002/07/owl#Thing".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PublicationEvent_Type,
      comment: "To define a type of publication event.".freeze,
      label: "Publication event type".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PublicationHistory,
      comment: "A collection of PublicationEvents through which\n            a resource has been published.".freeze,
      label: "Publication History".freeze,
      subClassOf: "http://www.w3.org/2002/07/owl#Thing".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PublicationMedium,
      label: "Publication medium".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PublicationPlan,
      comment: "A collection of PublicationEvents organised as a PublicationPlanning.".freeze,
      label: "Publication History".freeze,
      subClassOf: "http://www.w3.org/2002/07/owl#Thing".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PublicationPlan_Type,
      comment: "To define a type of publication plan.".freeze,
      label: "Publication plan type".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :RadioProgramme,
      comment: "A programme for distribution on radio\n            channels.".freeze,
      label: "Radio Programme".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Programme".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Rating,
      comment: ["All the information about the rating/evaluation\n            given to a media resource by an Agent i.e. a person/Contact or\n            Organisation.".freeze, "This is provided as free text in an annotation\n            label or as an identifier pointing to a term in a classification scheme.".freeze],
      "http://www.w3.org/2002/07/owl#disjointWith": ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze, "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#BusinessObject".freeze, "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze, "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent".freeze],
      label: "Rating".freeze,
      subClassOf: "http://www.w3.org/2002/07/owl#Thing".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Record,
      comment: "The record the description of an Asset.".freeze,
      label: "Record".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#BibliographicalObject".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :RegionCode,
      comment: "To define a region.(@en}".freeze,
      label: "Region code".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Relation,
      comment: "To define links and relations.".freeze,
      label: "Relation".freeze,
      subClassOf: "http://www.w3.org/2002/07/owl#Thing".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Relation_Type,
      comment: "To specify a type of relation.".freeze,
      label: "Relation type".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Resource,
      comment: "To describe a Resource.".freeze,
      label: "Resource".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Resource_Type,
      comment: "To define a type of resource.".freeze,
      label: "Resource type".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Review,
      comment: "To provide a Review.".freeze,
      label: "Review".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Item".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Rights,
      comment: "To provide information on the rights, including\n            intellectual property, related to a BusinessObject or Resource.".freeze,
      label: "Rights".freeze,
      subClassOf: "http://www.w3.org/2002/07/owl#Thing".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :RightsClearance,
      comment: "To signal that rights have been cleared (or\n            not)".freeze,
      label: "Rights Clearance".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rights".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :RightsType,
      comment: "To define a type of Rights.".freeze,
      label: "Rights type".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Role,
      comment: "To define the role / action of an agent. This\n            is provided as free text in an annotation label or as an identifier pointing to a term\n            in a classification scheme.".freeze,
      label: "Role".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Scene,
      comment: "A specifc type of Part.".freeze,
      label: "Scene".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Part".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Season,
      comment: "A series can be composed of one or more seasons\n            clustering a certain number of episodes. Fro this reason, seasons are related to series\n            using the isRelatedTo property.".freeze,
      label: "Season".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Group".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Series,
      comment: "Series is a particular type of collection. TV\n            or Radio Series are composed of Episodes.".freeze,
      label: "Series".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Group".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Service,
      comment: "A service is the umbrella under which one or\n            more PublicationChannel is operated.".freeze,
      label: "Service".freeze,
      subClassOf: "http://www.w3.org/2002/07/owl#Thing".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Service_Type,
      comment: "To define a type of service.".freeze,
      label: "Service type".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Shot,
      comment: "A specifc type of Part.".freeze,
      label: "Shot".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Part".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SignLanguageCode,
      comment: "To identify a sign language by its code.".freeze,
      label: "Sign language code".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Signing,
      comment: "To signal the presence of Signing for hard of\n            hearing users. The type of Signing (e.g. incursted in or else) or language of Signing\n            can be specified using the appropriate properties.".freeze,
      label: "Signing".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#VideoTrack".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SigningFormat,
      comment: "To provide additional information on the\n            signing format. This is provided as free text in an annotation label or as an identifier\n            pointing to a term in a classification scheme.".freeze,
      label: "Signing format".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SportItem,
      comment: "A SportItem aggregates all information about a sport event.".freeze,
      label: "Sport item".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Item".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Staff,
      comment: "A member of Staff.".freeze,
      label: "Staff member.".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Standard,
      comment: "identifies the technical video standard of a resource, i.e. NTSC or PAL.".freeze,
      label: "Standard".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Format".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Sticker,
      comment: "A sticker associated with a Costume.".freeze,
      label: "Sticker".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Picture".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Storage_Type,
      comment: "The type of storage used for the repository.\n            This is provided as free text in an annotation label or as an identifier pointing to a\n            term in a classification scheme.".freeze,
      label: "Storage type".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Stream,
      comment: "A continuous stream of bits.".freeze,
      label: "Stream".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Component".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Subject,
      comment: "A term describing the topic covered by the\n            BusinessObject or resource. This is provided as free text in an annotation label or as\n            an identifier pointing to a term in a classification scheme.".freeze,
      label: "Subject".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Subtitling,
      comment: "To signal the presence of subtitles for\n            translation in alternative languages.".freeze,
      label: "Subtitling".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Track".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SubtitlingFormat,
      comment: "To define the format of subtitling.\n            subtitling's main use isfor translation. This is provided as free text in an\n            annotation label  or as an identifier pointing to a term in a classification\n            scheme.".freeze,
      label: "Subtitling format".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#DataFormat".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TVProgramme,
      comment: "A programme for distribution on television\n            channels.".freeze,
      label: "TV Programme".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Programme".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TargetAudience,
      comment: "To identify the audience for which the content was created.".freeze,
      label: "Target audience".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Type".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TargetPlatform,
      comment: "To specify a target platform.".freeze,
      label: "Target Platform".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Team,
      comment: "To define a Team.".freeze,
      equivalentClass: "http://xmlns.com/foaf/0.1/Group".freeze,
      label: "Team".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Template,
      comment: "An Essence defined as a Template with all associated technical parameters.".freeze,
      label: "Template".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TerritoryCode,
      comment: "To identify a territory e.g. by its UN code.".freeze,
      label: "Territory code".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TextAnnotation,
      comment: "A class specific to the annotation of a text or portions of text.".freeze,
      label: "Text Annotation".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Annotation".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TextLine,
      comment: "To provide lines of text extracted from or additional to the resource.".freeze,
      label: "Text line".freeze,
      subClassOf: "http://www.w3.org/2002/07/owl#Thing".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TextLine_Type,
      comment: "To define a TextLine type.".freeze,
      label: "Text line type".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TextUsageType,
      comment: "To specify the usage of a text.".freeze,
      label: "Text usage type".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Theme,
      comment: "To define a Theme associated with an Asset.".freeze,
      label: "Theme".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Thumbnail,
      comment: "A thumbnail is a low resolution picture that\n            can be associated with EditorialObjects or e.g. MediaResources or\n            Contacts.".freeze,
      label: "Thumbnail".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Picture".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TimecodeTrack,
      comment: "A track with timecode information e.g. in MXF.".freeze,
      label: "Timecode track".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Track".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TimedTextAuthoringTechnique,
      comment: "To define a timed text authoring technique.".freeze,
      label: "Timed text authoring technique".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Format".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TimedTextContentType,
      comment: "To define a type of timed text.".freeze,
      label: "Timed text content type".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Format".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TimedTextSubtitleTargetFormat,
      comment: "To define a timed text subtitle format.".freeze,
      label: "Timed text subtitle target format".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Format".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TimelineTrack,
      comment: "To define a time sequence of EditorialObjects.".freeze,
      label: "Timeline track".freeze,
      subClassOf: "http://www.w3.org/2002/07/owl#Thing".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TimelineTrack_Type,
      comment: "To specify a type or TimelineTrack.".freeze,
      label: "Timeline track type".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Topic,
      comment: "A type subject for use in some contexts. This\n            is provided as free text in an annotation label or as an identifier pointing to a term\n            in a classification scheme.".freeze,
      label: "Topic".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Track,
      comment: "Audiovisual content can be composed of audio,\n            video and data Tracks (including captioning and subtitling).".freeze,
      label: "Track".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TrackPurpose,
      comment: "To define the prupose of a track.".freeze,
      label: "Track purpose".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Track_Type,
      comment: "To define a type of track.".freeze,
      label: "Track type".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Type,
      comment: "An expression of type in textual form or as a term from a classification scheme.".freeze,
      label: "Type".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :UsageRestrictions,
      comment: "To define a set of UsageRestrictions.".freeze,
      label: "Usage restrictions".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rights".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :UsageRights,
      comment: "Usage rights associated with content.".freeze,
      label: "Usage rights".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rights".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Version,
      comment: "To specifically identify a Version of an EditorialObject.".freeze,
      label: "Version".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :VideoCodec,
      comment: "To provide information about a video codec.".freeze,
      label: "Video codec".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Codec".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :VideoEncodingFormat,
      comment: "The encoding format of the video.".freeze,
      label: "Video encoding format".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EncodingFormat".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :VideoFormat,
      comment: "To define an VideoFormat.".freeze,
      label: "Video format".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Format".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :VideoStream,
      comment: "A decodable video stream of bits.".freeze,
      label: "Video stream".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Stream".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :VideoTrack,
      comment: "A specialisation of Track for Video to provide\n            a link to specific data properties such as frameRate, etc. Signing is another possible\n            example of video track. Specific VideoTracks such as Signing can be defined as sub\n            VideoTracks.. In advanced systems, different VideoTracks can be used to provide e.g.\n            different viewing angles.".freeze,
      label: "Video track".freeze,
      subClassOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Track".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :WrappingType,
      comment: "To define a type of wrapping.".freeze,
      label: "Wrapping type".freeze,
      subClassOf: "http://www.w3.org/2004/02/skos/core#Concept".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze

    # Property definitions
    property :DID,
      comment: "The Data Identifier word (along with the SDID,\n            if used), indicates the type of ancillary data that the packet corresponds\n            to.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AncillaryData".freeze,
      label: "DID".freeze,
      range: "http://www.w3.org/2001/XMLSchema#integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :SDID,
      comment: "Secondary data identification word for\n            ancillary data. Send mode identifier. An identifier which indicates the transmission\n            timing for closed caption data.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AncillaryData".freeze,
      label: "SDID".freeze,
      range: "http://www.w3.org/2001/XMLSchema#integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :abrigedTitle,
      comment: "An abridged title.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Abridged title".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#alternativeTitle".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :abstract,
      comment: "To provide an abstract.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Abstract".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#description".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :actionDescription,
      comment: "The description of an Action.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Action".freeze,
      label: "Action description".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :actionId,
      comment: ["An identifier attributed to an Action.".freeze, "Range: anyURI or string or Identifier".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Action".freeze,
      label: "Action identifier".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :actionName,
      comment: "The name of an Action.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Action".freeze,
      label: "Action name".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :actionTimestamp,
      comment: "The time when the Action occurs.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Action".freeze,
      label: "Action timestamp".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :actionTimestampEditUnits,
      comment: "The edit unit number at which the Action occurs.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Action".freeze,
      label: "Action edit unit number".freeze,
      range: "http://www.w3.org/2001/XMLSchema#long".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#actionTimestamp".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :actionTimestampNormalPlayTime,
      comment: "The normal play time at which the Action occurs.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Action".freeze,
      label: "Action normal play time".freeze,
      range: "http://www.w3.org/2001/XMLSchema#time".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#actionTimestamp".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :actionTimestampTimecode,
      comment: "The timecode at which the Action occurs.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Action".freeze,
      label: "Action timecode".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#actionTimestamp".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :actionTimestampTimecodeDropFrame,
      comment: "The timecode (dropframe) at which the Action occurs.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Action".freeze,
      label: "Action timecode (dropframe)".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#actionTimestamp".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :actionType,
      comment: ["A type of Action.".freeze, "Range: Action_type or string".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Action".freeze,
      label: "Action type".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Action_Type".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :activityEndDate,
      comment: "To provide the end date of activity of an Organisation.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Organisation".freeze,
      label: "Activity end date".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :activityStartDate,
      comment: "To provide the start date of activity of an Organisation.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Organisation".freeze,
      label: "Activity start date".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :adultContent,
      comment: "A flag to indiucate adult content.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Adult content flag".freeze,
      range: "http://www.w3.org/2001/XMLSchema#boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :affiliationEndDate,
      comment: "The date of end of Affiliation.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Affiliation".freeze,
      label: "Affiliation end date".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :affiliationStartDate,
      comment: "The date of Affiliation.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Affiliation".freeze,
      label: "Affiliation start date".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :age,
      comment: "The age of a Contact/Person.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person".freeze,
      label: "Age".freeze,
      range: "http://www.w3.org/2001/XMLSchema#integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :agentDbpedia,
      comment: "A link to a DBPedia page.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      label: "DBPedia".freeze,
      range: "http://www.w3.org/2001/XMLSchema#anyURI".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#agentLinkedData".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :agentDescription,
      comment: "To provide a description of an Agent.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      label: "Description".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :agentEmailAddress,
      comment: "To provide an email address.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      label: "email".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :agentFacebook,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      label: "Facebook".freeze,
      range: "http://www.w3.org/2001/XMLSchema#anyURI".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#agentSocialMedia".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :agentFee,
      comment: "The fee of an Agent.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      label: "Agent fee".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :agentFlickr,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      label: "Flickr".freeze,
      range: "http://www.w3.org/2001/XMLSchema#anyURI".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#agentSocialMedia".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :agentId,
      comment: ["An identifier attributed to an Agent.".freeze, "Range: an Identifier or anyURI or string.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      label: "Agent identifier".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :agentImdb,
      comment: "A link to an imdb page.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      label: "Wikidata".freeze,
      range: "http://www.w3.org/2001/XMLSchema#anyURI".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#agentLinkedData".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :agentInstagram,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      label: "Instagram".freeze,
      range: "http://www.w3.org/2001/XMLSchema#anyURI".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#agentSocialMedia".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :agentLinkedData,
      comment: ["Range: a URL or URI.".freeze, "To provide a hook to linked data.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      label: "Agent linked data".freeze,
      range: "http://www.w3.org/2001/XMLSchema#anyURI".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :agentLinkedIn,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      label: "LinkedIn".freeze,
      range: "http://www.w3.org/2001/XMLSchema#anyURI".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#agentSocialMedia".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :agentMobileTelephoneNumber,
      comment: "To provide the mobile telephone number of an\n            Agent (Contact/Person or organisation)".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      label: "Mobile".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#agentTelephoneNumber".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :agentName,
      comment: "To provide a name of an Agent.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      label: "Name".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :agentNickname,
      comment: "To provide a nickname of a Contact/Person.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      label: "Nickname".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :agentPreviousName,
      comment: "To provide the previous name of a Contact/Person.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      label: "Previous name".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :agentRelatedInformationLink,
      comment: "To provide a link to a web resource containing\n            information related to an Agent (Contact/Person or Organisation).".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      label: "Related information link".freeze,
      range: "http://www.w3.org/2001/XMLSchema#anyURI".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#agentRelatedLink".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :agentRelatedLink,
      comment: "To provide a link to e.g. a web resource related to an Agent.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      label: "Related link".freeze,
      range: "http://www.w3.org/2001/XMLSchema#anyURI".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :agentRelatedPressLink,
      comment: "To provide a link to a web resource containing\n            information related to an Agent (Contact/Person or Organisation).".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      label: "Related press link".freeze,
      range: "http://www.w3.org/2001/XMLSchema#anyURI".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#agentRelatedLink".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :agentSocialMedia,
      comment: "Links to an Agent's social media.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      label: "Socail media".freeze,
      range: "http://www.w3.org/2001/XMLSchema#anyURI".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :agentTelephoneNumber,
      comment: "To provide the telephone number of an Agent\n            (Contact/Person or Organisation).".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      label: "Telephone".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :agentTwitter,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      label: "Twitter".freeze,
      range: "http://www.w3.org/2001/XMLSchema#anyURI".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#agentSocialMedia".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :agentType,
      comment: ["Range: string or anyURI or Concept.".freeze, "To define a type of Agent.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      label: "Agent type".freeze,
      range: ["http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :agentWebHomepage,
      comment: "To provide the address of the webpage of an\n            Agent (Contact/Person or Organisation).".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      equivalentProperty: "http://xmlns.com/foaf/0.1/homepage".freeze,
      label: "Homepage".freeze,
      range: "http://www.w3.org/2001/XMLSchema#anyURI".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :agentWikidata,
      comment: "A link to a wikidata page.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      label: "Wikidata".freeze,
      range: "http://www.w3.org/2001/XMLSchema#anyURI".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#agentLinkedData".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :agentWikipedia,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      label: "Wikipedia".freeze,
      range: "http://www.w3.org/2001/XMLSchema#anyURI".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#agentSocialMedia".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :alternativeTitle,
      comment: "To provide an alternative title.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Alternative title.".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :animalBirthYear,
      comment: "To year of birth of an animal.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Animal".freeze,
      label: "Animal birth year".freeze,
      range: "http://www.w3.org/2001/XMLSchema#date".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :animalCharacterName,
      comment: "To associate a fictitious character name with an animal.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Animal".freeze,
      label: "Animal character name".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :animalCode,
      comment: "To associate a code with an animal.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Animal".freeze,
      label: "Animal code".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :animalDescription,
      comment: "To describe an animal.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Animal".freeze,
      label: "Animal description".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :animalGender,
      comment: "To give the gender of an animal.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Animal".freeze,
      label: "Animal gender".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :animalId,
      comment: "To associate an Id with an animal.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Animal".freeze,
      label: "Animal Id".freeze,
      range: "http://www.w3.org/2001/XMLSchema#anyURI".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :animalName,
      comment: "To name an animal.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Animal".freeze,
      label: "Animal name".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :animalPassport,
      comment: "To replicate the passport of an animal.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Animal".freeze,
      label: "Animal passport".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :annotationConfidence,
      comment: "To estimate the confidence in an Annotation.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Annotation".freeze,
      label: "Annotation confidence".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :annotationCurationDateTime,
      comment: "To provide the date and time when an Annotation has been reviewed.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Annotation".freeze,
      label: "Annotation curation date & time".freeze,
      range: "http://www.w3.org/2001/XMLSchema#dateTime".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :annotationDescription,
      comment: "To describe an Annotation.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Annotation".freeze,
      label: "Annotation description".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :annotationId,
      comment: "To identify an Annotation.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Annotation".freeze,
      label: "Annotation Id".freeze,
      range: "http://www.w3.org/2001/XMLSchema#anyURI".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :annotationName,
      comment: "To name an Annotation.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Annotation".freeze,
      label: "Annotation name".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :annotationSaliency,
      comment: "To estimate the saliency of an Annotation.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Annotation".freeze,
      label: "Annotation saliency".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :annotationType,
      comment: ["Range: string, anyURI or Concept.".freeze, "To define a type of Annotation.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Annotation".freeze,
      label: "Annotation type".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Annotation_Type".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :appliesOutOf,
      comment: ["Range: string or CountryCode.".freeze, "To define the Location (e.g. country, region) to which Rating and TargetAudience do NOT apply.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rating".freeze,
      label: "Exclusion area".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#CountryCode".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :appliesTo,
      comment: "To identify the media resource to which the Rating applies.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rating".freeze,
      label: "Media resource".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :applyTo,
      comment: "The Asset to which Rights apply.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rights".freeze,
      label: "Asset".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :approvedBy,
      comment: ["Range: Agent or string".freeze, "To identify the Agent who approved the EditorialObject.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject".freeze,
      label: "Agent".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :artefactAvailability,
      comment: "To flag the availability of an Artefact.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact".freeze,
      label: "Artefact availability flag".freeze,
      range: "http://www.w3.org/2001/XMLSchema#boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :artefactBoxHeight,
      comment: "The height of the box containing the Artefact.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine".freeze,
      label: "Artefact box height.".freeze,
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :artefactBoxTopLeftCornerLineNumber,
      comment: "The coordinates on a vertical axis of the position of the top left corner of the box containing the Artefact.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine".freeze,
      label: "Artefact box top left corner Y position.".freeze,
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :artefactBoxTopLeftCornerPixelNumber,
      comment: "The coordinates on an horizontal axis of the position of the top left corner of the box containing the Artefact.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine".freeze,
      label: "Artefact box top left corner X position.".freeze,
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :artefactBoxWidth,
      comment: "The width of the box containing the Artefact.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine".freeze,
      label: "Artefact box width.".freeze,
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :artefactBrand,
      comment: "To specify the brand of an Artefact.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact".freeze,
      label: "Artefact brand".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :artefactColour,
      comment: "To provide the clour(s) of an Artefact.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact".freeze,
      label: "Artefact colour(s)".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :artefactComment,
      comment: "To provide a contextual comment about an Artefact.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact".freeze,
      label: "Artefact comment".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :artefactDateOfPurchase,
      comment: "The date when an Artefact was purchased. .".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact".freeze,
      label: "Artefact date of purchase".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :artefactDateOfSell,
      comment: "The date when an Artefact was sold.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact".freeze,
      label: "Artefact date of sell".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :artefactDescription,
      comment: "A description of an Artefact.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact".freeze,
      label: "Artefact description".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :artefactId,
      comment: ["Range: string or Identifier.".freeze, "To identify an Artefact.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact".freeze,
      label: "Artefact Identifier".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :artefactModel,
      comment: "To specify a model of an Artefact.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact".freeze,
      label: "Artefact model".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :artefactName,
      comment: "A name associated with an Artefact.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact".freeze,
      label: "Artefact name".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :artefactPeriod,
      comment: "To specify the period associated with an Artefact.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact".freeze,
      label: "Artefact period".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :artefactPriceAmount,
      comment: "To specifythe price of an Artefact.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact".freeze,
      label: "Artefact price".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :artefactReference,
      comment: "To specify a reference of an Artefact.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact".freeze,
      label: "Artefact reference".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :artefactStyle,
      comment: "To specify the style associated with an Artefact.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact".freeze,
      label: "Artefact style".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :artefactType,
      comment: ["Range: string or Artefact_type.".freeze, "To specify the type of an Artefact.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact".freeze,
      label: "Artefact type".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact_Type".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :artefactUsageHistory,
      comment: "To provide information on the usage history of an Artefact.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact".freeze,
      label: "Artefact usage history".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :artefactWebsite,
      comment: "To specify a website where more \tinformation can be found on the Artefact.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact".freeze,
      label: "Artefact website".freeze,
      range: "http://www.w3.org/2001/XMLSchema#anyURI".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :aspectRatio,
      comment: "To specify the aspect ratio.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Aspect ratio".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :assetDescription,
      comment: "To provide a description of an Asset.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Description".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :assetId,
      comment: ["An identifier attributed to an Asset.".freeze, "Range: an Identifier or anyURI or string.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Asset identifier".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :assetName,
      comment: "To provide a name of an Asset.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Name".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :assetType,
      comment: ["Range: string or anyURI or Concept.".freeze, "To define a type of an Asset.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Asset type".freeze,
      range: ["http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :audioBitRate,
      comment: "The audio bitrate.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Audio bitrate".freeze,
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#bitRate".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :audioBitRateMax,
      comment: "The max audio bitrate.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Audio bitrate".freeze,
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#bitRateMax".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :audioBitRateMode,
      comment: "The audio bitrate mode.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Audio bitrate mode".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#bitRateMode".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :audioChannelNumber,
      comment: "The total number of audio channels contained in\n            the MediaResource.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Audio channel number".freeze,
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :audioEncodingLevel,
      comment: "The encoding level as defined in specifications.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Audio encoding level".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#encodingLevel".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :audioEncodingProfile,
      comment: "The encoding profile as defined in specifications.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Audio encoding profile".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#encodingProfile".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :audioTrackConfiguration,
      comment: "The configuration of audio tracks contained in\n            the MediaResource.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Audio track configuration".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :audioTrackNumber,
      comment: "The total number of audio tracks contained in\n            the MediaResource.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Audio track number".freeze,
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :awardCeremony,
      comment: "To provide an Award ceremony name.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Award".freeze,
      label: "Award ceremony".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :awardDate,
      comment: "To provide an date when an Award was delivered.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Award".freeze,
      label: "Award date".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :awardDescription,
      comment: "To provide a description for an Award.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Award".freeze,
      label: "Award description".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :awardId,
      comment: ["Range: string or Identifier".freeze, "To identify an Award.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Award".freeze,
      label: "Award identifier".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :awardName,
      comment: "To provide the name of an Award.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Award".freeze,
      label: "Award name".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :awardType,
      comment: ["Range: string or Award_Type".freeze, "To define a type of Award.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Award".freeze,
      label: "Award type".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Award_Type".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :bitDepth,
      comment: "To provide the bitdepth at which the\n            MediaResource has been encoded.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#averageBitRate".freeze,
      label: "Bit depth".freeze,
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :bitRate,
      comment: "To provide the bitrate at which the\n            MediaResource can be played in bits/second. Current bitrate if constant, and average bitrate if variable.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#averageBitRate".freeze,
      label: "Bitrate".freeze,
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :bitRateMax,
      comment: "The maximum bitrate when variable, in bits per second.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Maximum bitrate".freeze,
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :bitRateMode,
      comment: "A flag to indicate if the bit rate is fixed or\n            variable.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Bitrate mode".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :bitRateOverall,
      comment: "To provide the overall bitrate at which the\n            MediaResource can be played in bits/second. Current bitrate if constant, and average bitrate if variable.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#averageBitRate".freeze,
      label: "Overall bitrate".freeze,
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :bookmark,
      comment: "To provide a bookmark.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Bookmark".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#description".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :businessObjectDescription,
      comment: "To provide a description of an BusinessObject.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#BusinessObject".freeze,
      label: "Description".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :businessObjectId,
      comment: ["An identifier attributed to an BusinessObject.".freeze, "Range: an Identifier or anyURI or string.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#BusinessObject".freeze,
      label: "BusinessObject identifier".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :businessObjectName,
      comment: "To provide a name of an BusinessObject.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#BusinessObject".freeze,
      label: "Name".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :businessObjectType,
      comment: ["A type attributed to a BusinessObject.".freeze, "Range: string or BusinessObjectType".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#BusinessObject".freeze,
      label: "Business Object type".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#BusinessObject_Type".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :characterDescription,
      comment: "To provide the description of a Character.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Character".freeze,
      label: "Character description".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :characterEndIndex,
      comment: "To identify the end character index of the portion of text to which the Annotation applies.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextAnnotation".freeze,
      label: "Annotation character start index".freeze,
      range: "http://www.w3.org/2001/XMLSchema#integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :characterName,
      comment: "To specify the name of a Character.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Character".freeze,
      label: "Character name.".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :characterStartIndex,
      comment: "To identify the start character index of the portion of text to which the Annotation applies.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextAnnotation".freeze,
      label: "Annotation text character start index".freeze,
      range: "http://www.w3.org/2001/XMLSchema#integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :clonedTo,
      comment: "Identifies relationship between a digital instantiation of a Resource and its direct copy, with no generational loss.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      inverseOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#isClonedFrom".freeze,
      label: "Cloned to".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :codecFamily,
      comment: "To provide information on the product family of the Codec.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Codec".freeze,
      label: "Codec family".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :codecId,
      comment: ["Range: string or Identifier.".freeze, "To identify a Codec.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Codec".freeze,
      label: "Codec Identifier".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :codecName,
      comment: "To provide a name for the Codec, e.g. a product name.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Codec".freeze,
      label: "Codec name".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :codecVersion,
      comment: "To provide information on the version of the Codec.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Codec".freeze,
      label: "Codec version".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :comments,
      comment: "To provide a comment.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Comments".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#description".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :costumeGender,
      comment: "To specify the gender associated with a Costume.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Costume".freeze,
      label: "Costume gender".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :costumeSizeInformation,
      comment: "To collect all information available useful to determine the size of a Costume.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Costume".freeze,
      label: "Costume size information".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :costumeTexture,
      comment: ["Range: a string or a Concept code from a vocabulary, e.g. Getty".freeze, "To define the texture of a Costume.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Costume".freeze,
      label: "Costume texture".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :costumeType,
      comment: "To specify a type of Costume.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Costume".freeze,
      label: "Costume type".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#CostumeType".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :date,
      comment: "A date associated to an Asset.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      equivalentProperty: "http://purl.org/dc/elements/1.1/date".freeze,
      label: "Date".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :dateArchived,
      comment: "The date when the Asset was archived.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#creationDate".freeze,
      label: "Archiving date".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#date".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :dateBroadcast,
      comment: "The date when the Asset was first broadcast publicly on television or radio or via streaming.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#creationDate".freeze,
      label: "Broadcast date".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#date".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :dateCreated,
      comment: "The date of creation of the Asset.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#creationDate".freeze,
      label: "Creation date/time".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#date".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :dateDeleted,
      comment: "The date when the Resource was deleted.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#creationDate".freeze,
      label: "Deletion date".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#date".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :dateDigitised,
      comment: "The date when the Resource was digitised.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#creationDate".freeze,
      label: "Digitisation date".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#date".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :dateDistributed,
      comment: "The date when the Resource was first made available to the public for purchase, download, or online access.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#creationDate".freeze,
      label: "Distribution date".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#date".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :dateIngested,
      comment: "The date when the Resource was ingested/acquired in institutional holdings.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#creationDate".freeze,
      label: "Ingest date".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#date".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :dateIssued,
      comment: "The date when the Asset was issued.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#creationDate".freeze,
      label: "Archiving date".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#date".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :dateMigrated,
      comment: "The date when the Resource was copied or converted from an obsolete or endangered original format to a more updated format for preservation.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#creationDate".freeze,
      label: "Migration date".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#date".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :dateModified,
      comment: "To indicate the date at which the Asset has been modified.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Modification date/time".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#date".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :dateNormalized,
      comment: "The date when the Resource was converted from its original format into a format pre-selected by the institution for preservation.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#creationDate".freeze,
      label: "Normalization date".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#date".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :dateOfBirth,
      comment: "The date when a Contact/Person is born.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person".freeze,
      equivalentProperty: "http://www.bbc.co.uk/ontologies/coreconcepts/dateOfBirth".freeze,
      label: "Date of birth".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :dateOfDeath,
      comment: "The date when a Contact/Person has passed away.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person".freeze,
      equivalentProperty: "http://www.bbc.co.uk/ontologies/coreconcepts/dateOfDeath".freeze,
      label: "Date of death".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :dateOfRetirement,
      comment: "The date when a Contact/Person has retired.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person".freeze,
      label: "Date of retirement".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :dateProduced,
      comment: "The date of production of the Asset.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#creationDate".freeze,
      label: "production date".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#date".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :dateReleased,
      comment: "The date when the Resource was first made available to the public for purchase, download, or online access.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#creationDate".freeze,
      label: "Release date".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#date".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :dateTransferred,
      comment: "The date when the Asset was moved from one digital or physical location to another.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#creationDate".freeze,
      label: "Transfer date".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#date".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :dateValidated,
      comment: "The most recent date when the Resource was confirmed to be valid through manual or digital QC.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#creationDate".freeze,
      label: "Validation date".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#date".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :datelicenseEnd,
      comment: "The date when the licence for the Asset ends.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#creationDate".freeze,
      label: "Licence end date".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#date".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :datelicensed,
      comment: "The date when the licence for the Asset begins.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#creationDate".freeze,
      label: "Licence start date".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#date".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :derivedTo,
      comment: "To identify a new version derived from the original.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Derivation target".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :description,
      comment: "This can be specialised by using sub-properties\n            like defined in http://www.ebu.ch/metadata/cs/web/ebu_DescriptionTypeCodeCS_p.xml.htm\n            implemented as examples as e.g. 'summary' or\n            'script'.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      equivalentProperty: ["http://purl.org/dc/elements/1.1/description".freeze, "http://www.w3.org/ns/ma-ont#description".freeze],
      label: "Description".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :dimensions,
      comment: "Describes the physical dimensions of a MediaResource, with units of measure concatenated to become part of the value.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Dimensions".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :dishDescription,
      comment: "The description of a Dish.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Food".freeze,
      label: "Dish description".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :dishName,
      comment: "The name of a Dish.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Food".freeze,
      label: "Dish name".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :displayAspectRatio,
      comment: "The aspect ratio when displayed.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Display aspect ratio".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#ActiveFormatDescriptorCode".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#aspectRatio".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :displayOrder,
      comment: "The order in which an Agent appears in a scene.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      label: "Display order".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :dubbedTo,
      comment: ["Range: string or Language.".freeze, "the Language into which MediaResource is dubbed.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      inverseOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#isDubbedFrom".freeze,
      label: "Dubbed to".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Language".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :duration,
      comment: "To provide information on the duration of an EditorialObject or MediaResource.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#duration".freeze,
      label: "Duration".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :durationEditUnits,
      comment: "To provide a duration in edit units.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Duration (edit units)".freeze,
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#duration".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :durationNormalPlayTime,
      comment: "To provide a duration as normal\n            time.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Duration (time)".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#duration".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :durationPublished,
      comment: "To provide information on the published / announced duration of an EditorialObject.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Published Duration".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :durationPublishedNormalPlayTime,
      comment: "To provide a published duration as normal play time.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Published duration (play time)".freeze,
      range: "http://www.w3.org/2001/XMLSchema#time".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#durationPublished".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :durationTimecode,
      comment: "The duration expressed as a\n            timecode.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Duration (timecode)".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#duration".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :durationTimecodeDropFrame,
      comment: "The duration expressed as a\n            timecode with drop frames.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Duration (timecode, drop frame)".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#duration".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :editUnit,
      comment: "The edit unit is e.g. the inverse of the audio\n            sample rate or video frame rate.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Edit unit".freeze,
      range: "http://www.w3.org/2001/XMLSchema#float".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :editorialObjectDescription,
      comment: "To provide a description of an EditorialObject.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject".freeze,
      label: "Description".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :editorialObjectId,
      comment: ["An identifier attributed to an EditorialObject.".freeze, "Range: an Identifier or anyURI or string.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject".freeze,
      label: "Editorial object identifier".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :editorialObjectName,
      comment: "A name attributed to an EditorialObject.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject".freeze,
      label: ["Editorial Object name".freeze, "Name".freeze],
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :editorialObjectType,
      comment: ["A type attributed to an EditorialObject.".freeze, "Range: string or EditorialObjectType/Concept".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject".freeze,
      label: "Editorial Object type".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject_Type".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :education,
      comment: "To provide information on the education.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person".freeze,
      label: "Education".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :emotionDescription,
      comment: "The description of an Emotion.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Emotion".freeze,
      label: "Emotion description".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :emotionEditUnit,
      comment: "The edit unit number at which the Emotion occurs.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Emotion".freeze,
      label: "Emotion edit unit number".freeze,
      range: "http://www.w3.org/2001/XMLSchema#long".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#emotionTimestamp".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :emotionId,
      comment: ["An identifier attributed to an Emotion.".freeze, "Range: anyURI or string or Identifier".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Emotion".freeze,
      label: "Emotion identifier".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :emotionName,
      comment: "A name attributed to an Emotion.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Emotion".freeze,
      label: "Emotion name".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :emotionNormalPlayTime,
      comment: "The normal play time at which the Emotion occurs.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Emotion".freeze,
      label: "Emotion normal play time".freeze,
      range: "http://www.w3.org/2001/XMLSchema#time".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#emotionTimestamp".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :emotionTimecode,
      comment: "The timecode at which the Emotion occurs.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Emotion".freeze,
      label: "Emotion timecode".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#emotionTimestamp".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :emotionTimecodeDropFrame,
      comment: "The timecode (dropframe) at which the Emotion occurs.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Emotion".freeze,
      label: "Emotion timecode (dropframe)".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#emotionTimestamp".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :emotionTimestamp,
      comment: "To identify a timestamp at which an Emotion can be seen.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Emotion".freeze,
      label: "Emotion timestamp".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :emotionType,
      comment: ["A type of Emotion.".freeze, "Range: anyURI or string or Emotion_Type".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Emotion".freeze,
      label: "Emotion type".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Emotion_Type".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :encodingLevel,
      comment: "To define an encoding level.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Encoding level".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :encodingProfile,
      comment: "The encoding profile as defined in specifications.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Encoding profile".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :end,
      comment: "To define an end timestamp, e.g. the end point of a MediaResource.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "End".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :endEditUnits,
      comment: "The end time in edit units.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "End time (edit units)".freeze,
      range: "http://www.w3.org/2001/XMLSchema#double".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#end".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :endNormalPlayTime,
      comment: "The end time expressed using a time\n            expression.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "End time (time)".freeze,
      range: "http://www.w3.org/2001/XMLSchema#time".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#end".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :endOffsetEditUnits,
      comment: "The offset end time in edit units.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Offset end time (edit units)".freeze,
      range: "http://www.w3.org/2001/XMLSchema#double".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#end".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :endOffsetNormalPlayTime,
      comment: "The offset end time in normal play time.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Offset end time (normal play time)".freeze,
      range: "http://www.w3.org/2001/XMLSchema#time".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#end".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :endOffsetTimecode,
      comment: "The offset end timecode.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Offset end timecode".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#end".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :endOffsetTimecodedropframe,
      comment: "The offset end timecode dropframe.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Offset end timecode (dropframe)".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#end".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :endTimecode,
      comment: "An end time expressed as\n            timecode.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "End time (timecode)".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#end".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :endTimecodeDropFrame,
      comment: "An end time expressed as\n            timecode with drop frames.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "End time (timecode dropframe)".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#end".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :episodeNumber,
      comment: "The Episode Number".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Episode number".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :episodeNumberInSeason,
      comment: "The Episode Number in a season".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Episode number in season".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :episodeNumberInSeries,
      comment: "The Episode Number in a series".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Episode number in series".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :eventDescription,
      comment: "To provide a description for an Event.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event".freeze,
      label: "Event description".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :eventDuration,
      comment: "The duration of an Event.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event".freeze,
      label: "Duration".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :eventEndDate,
      comment: "The end date of an Event.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event".freeze,
      label: "Event end date".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :eventEndDateTime,
      comment: "The end date and time of an Event.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event".freeze,
      label: "Event end date & time".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :eventEndTime,
      comment: "The end time of an Event.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event".freeze,
      label: "Event end time".freeze,
      range: "http://www.w3.org/2001/XMLSchema#time".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :eventId,
      comment: ["An identifier attributed to an Event.".freeze, "Range: identifier or string or anyURI.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event".freeze,
      label: "Event identifier".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :eventName,
      comment: "To provide a name for an Event.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event".freeze,
      label: "Event name".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :eventPeriod,
      comment: "The period of time during which an Event has occured.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event".freeze,
      label: "Event period".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :eventStartDate,
      comment: "The start date of an Event.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event".freeze,
      label: "Event start date".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :eventStartDateTime,
      comment: "The start date and time of an Event.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event".freeze,
      label: "Event start date & time".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :eventStartTime,
      comment: "The start time of an Event.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event".freeze,
      label: "Event start time".freeze,
      range: "http://www.w3.org/2001/XMLSchema#time".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :eventType,
      comment: ["Range: Event or string".freeze, "To define a type of Event.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event".freeze,
      label: "Event type".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EventType".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :familyInformation,
      comment: "To provide information on the family of a Person.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person".freeze,
      label: "Family information".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :familyName,
      comment: "The family name of a Person.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person".freeze,
      label: "Family name".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :fileSize,
      comment: "Provides the size of a MediaResource in bytes.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "File size".freeze,
      range: "http://www.w3.org/2001/XMLSchema#double".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :firstShowing,
      comment: "To flag this is a first showing PublicationEvent.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent".freeze,
      label: "First showing flag".freeze,
      range: "http://www.w3.org/2001/XMLSchema#boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :firstShowingThisService,
      comment: "To falg this is a first showing  PublicationEvent on this service.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent".freeze,
      label: "First showing on service flag".freeze,
      range: "http://www.w3.org/2001/XMLSchema#boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :folksonomy,
      comment: "Provides a user/audience-generated description, tag, or label for resource content.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Folksonomy".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :followsInSequence,
      comment: "A link to an Asset precedinging the current Asset in an ordered sequence.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Preceding".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :foodCategory,
      comment: "To define a category of Food.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Food".freeze,
      label: "Food category".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :foodIngredient,
      comment: "The Food ingredients or Food items.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Food".freeze,
      label: "Food ingredient".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :formatId,
      comment: ["A version identifier attributed to a Format.".freeze, "Range: string or anyURI or Identifier.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Format".freeze,
      label: "Format version identifier".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :formatVersionId,
      comment: ["A version identifier attributed to a Format.".freeze, "Range: string or anyURI or identifier.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Format".freeze,
      label: "Format version identifier".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :frameHeight,
      comment: "The height of a video frame.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Frame height".freeze,
      range: "http://www.w3.org/2001/XMLSchema#integer".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#height".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :frameHeightUnit,
      comment: "The unit used to measure the height of a frame.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Frame height unit".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#heightUnit".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :frameRate,
      comment: "The unit used to express the frame rate of a MediaResource in frames/second.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#frameSizeUnit".freeze,
      label: "Frame rate".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :frameSizeUnit,
      comment: "The unit used to express the frame width or\n            height. The unit by default is 'pixel'.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#frameSizeUnit".freeze,
      label: "Frame size unit".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :frameWidth,
      comment: "The width of a video frame.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Frame width".freeze,
      range: "http://www.w3.org/2001/XMLSchema#integer".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#width".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :frameWidthUnit,
      comment: "The unit used to measure the width of a frame.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Frame width unit".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#widthUnit".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :free,
      comment: "A flag to indicate that the access to the PublicationEvent is 'free'.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent".freeze,
      label: "Free access".freeze,
      range: "http://www.w3.org/2001/XMLSchema#boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :gender,
      comment: "The gender of a Person e.g. male or female.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person".freeze,
      equivalentProperty: "http://www.bbc.co.uk/ontologies/coreconcepts/gender".freeze,
      label: "Gender".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :geoBlocking,
      comment: "To identify geographical areas where content cannor be accessed.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AccessConditions".freeze,
      label: "Geographical blocking".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :givenName,
      comment: "The given name of a Person.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person".freeze,
      label: "Given name".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :groupDescription,
      comment: "A textual description of a\n            Group.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Group".freeze,
      label: "Group description".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :groupId,
      comment: ["An identifier attributed to a Group.".freeze, "Range: Identifier or string or anyURI.".freeze],
      domain: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Group".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      label: "Group identifier".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :groupName,
      comment: "The name attributed to a Group.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Group".freeze,
      label: "Group name".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :groupType,
      comment: ["A type attributed to a Group.".freeze, "Range: Concept or string or anyURI.".freeze],
      domain: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Group".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      label: "Group identifier".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasAccessConditions,
      comment: ["Range: string or AccessConditions.".freeze, "To express access conditions/restrictions.".freeze],
      domain: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze, "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent".freeze],
      label: "Access conditions".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AccessConditions".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#isCoveredBy".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasActionRelatedAgent,
      comment: ["Range: string or Agent.".freeze, "To associate an Action with an Agent (e.g. Person or Character).".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Action".freeze,
      label: "Action related agent".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasActionRelatedScene,
      comment: ["Range: string or Scene.".freeze, "To associate an Action with a Scene.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Action".freeze,
      label: "Action related scene".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Scene".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasAffiliation,
      comment: ["A property to establish the relation between a\n            Contact/Person and an Organisation.".freeze, "Range: Affiliation or string".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person".freeze,
      label: "Affiliation".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Affiliation".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasAgentBiography,
      comment: ["Range: a string or an anyURI (e,g, a URL to a webpage) or a Biography.".freeze, "To provide a biography of an Agent.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      label: "Biography".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Biography".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasAgentCountryOfResidence,
      comment: ["Range: string or CountryCode".freeze, "To indicate the place of residence of an Agent.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      label: "Country of residence".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#CountryCode".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasAgentLanguage,
      comment: ["Range: a string or Language.".freeze, "To provide the language(s) of a Contact/person.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      label: "Language".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Language".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasAgentMember,
      comment: ["Range: string or Agent.".freeze, "To associate an Agent to another Agent e.g. a Team.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      label: "Agent member".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasAgentNationality,
      comment: ["Range: a string or CountryCode.".freeze, "To provide the nationality of an Agent.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      label: "Nationality".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#CountryCode".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasAgentPlaceOfResidence,
      comment: ["Range: string or Location".freeze, "To indicate the place of residence of an Agent.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      label: "Place of residence".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasAgentRelatedPicture,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      "http://purl.org/dc/elements/1.1/description": "A link/locator to a picture related to an Agent.".freeze,
      label: "Related picture".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Picture".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasAncillaryData,
      comment: "To identify ancillary data in the media resource.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Ancillary data".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AncillaryData".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasAncillaryDataFormat,
      comment: ["Range: string or AncillaryDataFormat".freeze, "the format of ancillary data.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Ancillary data format".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AncillaryDataFormat".freeze,
      subPropertyOf: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasFormat".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasAnimalBreedCode,
      comment: "To associate a breed code with an animal.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Animal".freeze,
      label: "Animal breed code".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AnimalBreedCode".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasAnimalColourCode,
      comment: "To associate a colour code with an animal.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Animal".freeze,
      label: "Animal colour code".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AnimalColourCode".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasAnimalRole,
      comment: "To identify the role of an animal.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Animal".freeze,
      label: "Animal role".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Role".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasAnnotationBody,
      comment: "To define the Annotation has a string or instance of an EBUCore class.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Annotation".freeze,
      label: "Annotation body".freeze,
      range: ["http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasAnnotationPurpose,
      comment: "To define the purpose of an Annotation.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Annotation".freeze,
      label: "Annotation confidence".freeze,
      range: ["http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasAnnotationRelatedAgent,
      comment: "To identify an Agent subject of the Annotation.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Annotation".freeze,
      label: "Annotation related agent".freeze,
      range: ["http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasAnnotationPurpose".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasAnnotationRelatedArtefact,
      comment: "To identify an Artefact subject of the Annotation.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Annotation".freeze,
      label: "Annotation related artefact".freeze,
      range: ["http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasAnnotationPurpose".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasAnnotationRelatedEvent,
      comment: "To identify an Event subject of the Annotation.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Annotation".freeze,
      label: "Annotation related event".freeze,
      range: ["http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasAnnotationPurpose".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasAnnotationRelatedLocation,
      comment: "To identify a Location subject of the Annotation.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Annotation".freeze,
      label: "Annotation related location".freeze,
      range: ["http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasAnnotationPurpose".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasAnnotationTarget,
      comment: "To define the target object to which the Annotation applies.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Annotation".freeze,
      label: "Annotation target".freeze,
      range: "http://www.w3.org/2001/XMLSchema#anyURI".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasArtefactBuyer,
      comment: ["Range: string or Agent".freeze, "The Agent who bought the Artefact.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact".freeze,
      label: "Buyer".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasArtefactCreator,
      comment: ["Range: string or Agent".freeze, "To identify the creator of an Artefact.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact".freeze,
      label: "Creator".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasArtefactLocation,
      comment: ["Range: string or Location".freeze, "To identify the location of an Artefact.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact".freeze,
      label: "Location".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasArtefactOwner,
      comment: ["Range: string or Agent".freeze, "To identify the owner of an Artefact.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact".freeze,
      label: "Owner".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasArtefactPriceCurrency,
      comment: ["Range: string or CurrencyCode".freeze, "To specify the currency into which the price of an Artefact is expressed.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact".freeze,
      label: "Artefact price currency".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#CurrencyCode".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasArtefactRelatedAgent,
      comment: ["Range: string or Agent".freeze, "To associate an Artefact/Prop or else with an Agent.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact".freeze,
      label: "Associated agent".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasArtefactRelatedEditorialObject,
      comment: ["Range: string or EditorialObject".freeze, "To associate an Artefact/Prop or else with an EditorialObject.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact".freeze,
      label: "Associated editorial object".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasArtefactRelatedLocation,
      comment: ["Range: string or Location".freeze, "To associate an Artefact/Prop or else with a Location.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact".freeze,
      label: "Associated location".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasArtefactRelatedPhysicalResource,
      comment: ["Range: string or PhysicalResource".freeze, "To associate an Artefact/Prop or else with a physical resource.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact".freeze,
      label: "Associated physical resource".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PhysicalResource".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasArtefactRelatedResource,
      comment: ["Range: string or Resource".freeze, "To associate an Artefact/Prop or else with a resource.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact".freeze,
      label: "Associated resource".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasArtefactRetailer,
      comment: ["Range: string or Agent".freeze, "To identify the retailer of an Artefact.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact".freeze,
      label: "Retailer".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasArtefactSupplier,
      comment: ["Range: string or Agent".freeze, "To identify a supplier of an Artefact.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact".freeze,
      label: "Supplier".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasAssetRelatedBusinessObject,
      comment: "To associate a BusinessObject with an Asset.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Related business object".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#BusinessObject".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasAssetRelatedEditorialObject,
      comment: "To associate an EditorialObject with an Asset.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Related editorial object".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasAssetRelatedMediaResource,
      comment: "To identify a related MediaResource.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Asset related media resource".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasAssetRelatedResource,
      comment: "To identify a related Resource.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Asset related resource".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Resource".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasAssociatedArtefact,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      "http://purl.org/dc/elements/1.1/description": ["An Artefact related to an Agent.".freeze, "Range: string or Artefact".freeze],
      label: "Related Artefact".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasAssociatedAsset,
      comment: "To identify an associated asset.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationPlan".freeze,
      label: "Associated asset".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasAssociatedRelation,
      comment: "To define a Relation.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Relation".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Relation".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasAudienceScoreRecordingTechnique,
      comment: ["Range: string or AudienceScorerecordingTechnique.".freeze, "To identify the technique used to measure an audience.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudienceRating".freeze,
      label: "Audience score recording technique".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasAudioCodec,
      comment: ["Range:string or AudioCodec".freeze, "To identify the audio Codec".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Audio codec".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioCodec".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasCodec".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasAudioContentType,
      comment: ["Range:string or AudioContent_Type.".freeze, "To define a type of AudioContent.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioContent".freeze,
      label: "Audio content type".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioContent_Type".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasAudioDescription,
      comment: "To signal the presence of\n            AudioDescription.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Audio description".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioDescription".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasAudioEncodingFormat,
      comment: ["Range: string or AudioEncodingFormat".freeze, "To specify the audio encoding format.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Audio encoding format".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioEncodingFormat".freeze,
      subPropertyOf: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasFormat".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasAudioProgrammeType,
      comment: ["Range:string or AudioProgramme_Type".freeze, "To define a type of AudioProgramme.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioProgramme".freeze,
      label: "Audio programme type.".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioProgramme_Type".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasAudioTrack,
      comment: "To identify AudioTracks in the Resource.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Audio track".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioTrack".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasAwardRelatedAgent,
      comment: ["Range: string or Agent.".freeze, "To link an Agent to an Award.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Award".freeze,
      label: "Agent".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasAwardRelatedBusinessObject,
      comment: "To link a BusinessObject to an Award.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Award".freeze,
      label: "Business object".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#BusinessObject".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasAwardRelatedEvent,
      comment: "An Event e.g. a ceremony, associated to an Award.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Award".freeze,
      label: "Event".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasBeenAwarded,
      comment: ["Range: a string or an Award.".freeze, "The Award gievn to an Agent".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      label: "Agent".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Award".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasCaptioning,
      comment: "To signal the presence of\n            Captioning.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Captioning".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Captioning".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasCaptioningFormat,
      comment: ["Range: string or CaptioningFormat".freeze, "The format of Captioning.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Captioning format".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#CaptioningFormat".freeze,
      subPropertyOf: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasFormat".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasCaptioningSource,
      comment: ["Range: string or Agent".freeze, "To provide information on the source of\n            Captioning.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Captioning source".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasCastMember,
      comment: ["A member of the cast.".freeze, "Range: a string or a Cast".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Cast member".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Cast".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasCastRole,
      comment: ["Range: a string or a Role/Concept from a controlled vocabulary.".freeze, "To define the role of an Agent (Contact/person\n            or Organisation). The association in a particular context is made by e.g. declaring the hasCastRole or hasCrewRole  associated with the BusinessObject.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      label: "Cast role".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Role".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasChannelLogo,
      comment: "The logo of a Publication Channel".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationChannel".freeze,
      label: "Channel logo".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Logo".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasLogo".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasChannelPublicationEvent,
      comment: "To associate PublicationEvents with\n            PublicationChannels.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationChannel".freeze,
      label: "Publication event".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasCharacter,
      comment: ["Range: a string or a \"fictitious\" person - Character.".freeze, "To list characters in a fiction.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Character".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Character".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasCodec,
      comment: ["Range: string or Codec".freeze, "To identify a Codec used to create a resource.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Codec".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Codec".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasCodecVendor,
      comment: ["Range: string or Agent.".freeze, "To provide a name for the vendor of the Codec.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Codec".freeze,
      label: "Codec vendor".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasColourSpace,
      comment: ["Range: string or Concept".freeze, "To describe the colour space.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Colour space".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#ColourSpace".freeze,
      subPropertyOf: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasFormat".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasContact,
      comment: ["Range: a link to a Contact or a string.".freeze, "To provide information on a Contact for an\n            Organisation or a physical person (e.g. the agent of an actor).".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      label: "Contact".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Contact".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasContainerCodec,
      comment: ["Range: string or ContainerCodec".freeze, "To identify a container codec.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Container codec".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#ContainerCodec".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasCodec".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasContainerEncodingFormat,
      comment: ["Range: string or ContainerEncodingFormat".freeze, "To describe the container encoding format.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Container encoding format".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#ContainerEncodingFormat".freeze,
      subPropertyOf: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasFormat".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasContainerMimeType,
      comment: ["Range: string or MimeType".freeze, "To provide the Mime type of the Resource.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Mime type".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MimeType".freeze,
      subPropertyOf: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasFormat".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasContentEditorialFormat,
      comment: ["Range: string or ContentEditorialFormat.".freeze, "To define a content editorial format e.g. magazine.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject".freeze,
      label: "Editorial format".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#ContentEditorialFormat".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasContributor,
      comment: ["Range: string or Agent".freeze, "To identify a contributor to a Resource, a Business Object, an Event...".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      equivalentProperty: "http://purl.org/dc/elements/1.1/contributor".freeze,
      label: "Contributor".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasCopyright,
      comment: ["Range: string or Copyright.".freeze, "To express copyright.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Copyright".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Copyright".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#isCoveredBy".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasCostumeType,
      comment: ["Range: a string or Costume_type e.g. a Concept code from a vocabulary, e.g. Getty.".freeze, "To define a type of Costume.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Costume".freeze,
      label: "Costume type".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#CostumeType".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasCountryOfBirth,
      comment: ["Range: string or CountryCode".freeze, "The country where a person is born.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person".freeze,
      equivalentProperty: "http://www.bbc.co.uk/ontologies/coreconcepts/placeOfBirth".freeze,
      label: "Country of birth".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#CountryCode".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasCountryOfDeath,
      comment: ["Range: string or CountryCode".freeze, "The country where a person is dead.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person".freeze,
      equivalentProperty: "http://www.bbc.co.uk/ontologies/coreconcepts/placeOfBirth".freeze,
      label: "Country of death".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#CountryCode".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasCoverage,
      comment: ["Range: string or Event or Location".freeze, "To provide coverage information.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Coverage".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event".freeze, "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasCoverageRestrictions,
      comment: ["Range: string or CoverageRestrictions.".freeze, "To express coverage restrictions.".freeze],
      domain: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze, "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent".freeze],
      label: "Coverage restrictions".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#CoverageRestrictions".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#isCoveredBy".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasCreationLocation,
      comment: ["Range: string or Location.".freeze, "To identify the location where a media resources was created.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Creation location".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasCreativeCommons,
      comment: ["Range: string or Creative Commons.".freeze, "To express Creative Commons.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Creative Commons".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#CreativeCommons".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#isCoveredBy".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasCreator,
      comment: ["Range: string or Agent.".freeze, "To identify an Agent involved in the creation of the Resource or BusinessObject.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      equivalentProperty: ["http://purl.org/dc/elements/1.1/creator".freeze, "http://www.w3.org/ns/ma-ont#hasCreator".freeze],
      label: "Creator".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasCrewMember,
      comment: ["A member of the crew.".freeze, "Range: a string or a Crew".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Crew member".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Cast".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasCrewRole,
      comment: ["Range: a string or a Role/Concept from a controlled vocabulary.".freeze, "To define the role of an Agent (Contact/person\n            or Organisation). The association in a particular context is made by e.g. declaring the hasCastRole or hasCrewRole associated with the BusinessObject.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      label: "Crew role".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Role".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasCuisineOrigin,
      comment: ["Range: a string or CountryCode".freeze, "The country/region of origin of the cuisine".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Food".freeze,
      label: "Cuisine origin".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#CountryCode".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasCuisineStyle,
      comment: ["Range: a string or CuisineStyle".freeze, "The style of the cuisine".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Food".freeze,
      label: "Cuisine style".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#CuisineStyle".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasDataFormat,
      comment: ["Range: string or DataFormat".freeze, "To describe the format of data carried in a resource.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#DataTrack".freeze,
      label: "Data format".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#DataFormat".freeze,
      subPropertyOf: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasFormat".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasDataTrack,
      comment: "To identify DataTracks in the Resource.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Data track".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#DataTrack".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasDepartment,
      comment: ["Range: string or Department.".freeze, "To identify a department in an organisation.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Organisation".freeze,
      label: "Department".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Department".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasDisclaimer,
      comment: ["Range: string or Disclaimer.".freeze, "To express Disclaimer.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Disclaimer".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Disclaimer".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#isCoveredBy".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasDocumentFormat,
      comment: ["Range: string or Document format".freeze, "To describe the format of a Document.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Document".freeze,
      label: "Document format".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#DocumentFormat".freeze,
      subPropertyOf: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasFormat".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasDopesheet,
      comment: ["Range: string or Dopesheet.".freeze, "The dopesheet of a NewsItem.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#NewsItem".freeze,
      label: "Dopesheet".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Dopesheet".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasDubbedLanguage,
      comment: ["Range: string or Language.".freeze, "To identify available dubbed languages.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Dubbed language".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Language".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasLanguage".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasEidrIdentifier,
      comment: ["Range: string or Identifier.".freeze, "To associate an EIDR Identifier with an Asset.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      equivalentProperty: "http://purl.org/dc/elements/1.1/identifier".freeze,
      label: "EIDR".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasIdentifier".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasEmotionRelatedAgent,
      comment: ["Range: String or Agent".freeze, "To associate an Emotion with an Agent (e.g. Person or Character).".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Emotion".freeze,
      label: "Emotion related agent".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasEmotionRelatedScene,
      comment: ["Range: string or Scene".freeze, "To associate an Emotion with a Scene.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Emotion".freeze,
      label: "Emotion related scene".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Scene".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasEncodingFormat,
      comment: ["Range: string or Encoding format".freeze, "To describe any encoding format use to produce content.".freeze],
      domain: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Document".freeze, "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze, "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Picture".freeze],
      label: "Encoding format".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EncodingFormat".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasFormat".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasEpisode,
      comment: ["Range: string or Episode.".freeze, "To identify Episodes in a Series".freeze],
      domain: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Season".freeze, "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Series".freeze],
      label: "Episode".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Episode".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasEventRelatedAgent,
      comment: ["An Agent relates to an Event.".freeze, "Range: string or Agent".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event".freeze,
      label: "Agent".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasEventRelatedArtefact,
      comment: ["An artefact related to an Event.".freeze, "Range: string or Artefact.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event".freeze,
      label: "Artefact".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasEventRelatedBusinessObject,
      comment: "A BusinessObject relates to an Event.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event".freeze,
      label: "Business object".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#BusinessObject".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasEventRelatedEvent,
      comment: ["An Event relates to an Event.".freeze, "Range: string or Event".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event".freeze,
      label: "Event".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasEventRelatedLocation,
      comment: ["Range: a Location or a string".freeze, "To associate a Location with an Event.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event".freeze,
      label: "Location".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasEventRelatedResource,
      comment: "A Resource relates to an Event.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event".freeze,
      label: "Resource".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasEventType,
      comment: ["Range: string or EventType".freeze, "To define a type of Event.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event".freeze,
      label: "Agent".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EventType".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasExploitationIssues,
      comment: ["Range: string or Exploitation Issues.".freeze, "To express Exploitation Issues.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Exploitation Issues".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#ExploitationIssues".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#isCoveredBy".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasFileFormat,
      comment: ["Range: string or FileFormat.".freeze, "The format of a file.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "File format".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#FileFormat".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasFoodStyle,
      comment: ["Range: string or FoodStyle.".freeze, "The style of Food.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Food".freeze,
      label: "Food style".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#FoodStyle".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasFormat,
      comment: ["Range: string, Format or any Format-related Concept".freeze, "To identify a Format".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Format".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Format".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasFormatId,
      comment: ["An identifier attributed to a Format.".freeze, "Range: Identifier or string or anyURI.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Format".freeze,
      label: "Format identifier".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasGeneration,
      comment: "Identifies the generation of a version of a resource, i.e. master,\r\n      edit master, distribution copy, etc.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Generation".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasGenre,
      comment: ["To define a Genre/category associated to the\n            BusinesssObject.".freeze, "range: string or Genre.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#hasGenre".freeze,
      label: "Genre".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Genre".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasIMediaIdentifier,
      comment: ["Range: string or Identifier.".freeze, "To associate an IMedia Identifier with an Asset.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      equivalentProperty: "http://purl.org/dc/elements/1.1/identifier".freeze,
      label: "IMedia Id".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasIdentifier".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasIPRRestrictions,
      comment: ["Range: string or IPR Restrictions.".freeze, "To express IPR Restrictions.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "IPR restrictions".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#IPRRestrictions".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#isCoveredBy".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasIdPicture,
      comment: ["A locator / URI or a Picture.".freeze, "To provide a link to an identification picture.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person".freeze,
      label: "Identification picture".freeze,
      range: "http://www.w3.org/2001/XMLSchema#anyURI".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasIdentifier,
      comment: ["Range: string or Identifier.".freeze, "To associate an Identifier with an Asset.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      equivalentProperty: "http://purl.org/dc/elements/1.1/identifier".freeze,
      label: "Identifier".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasIdentifierType,
      comment: ["Range: Concept or string".freeze, "To define a type of Identifer (e.g. UUID, ISAN, EIDR, in-house production Id).".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier".freeze,
      label: "Identifier type".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#IdentifierType".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasImageCodec,
      comment: ["Range: string or Codec".freeze, "To specify the codec of an Image.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Image codec".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#ImageCodec".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasImageFormat,
      comment: ["Range: string or ImageFormat".freeze, "To specify the format of an Image.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Image format".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#ImageFormat".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasIsanIdentifier,
      comment: ["Range: string or Identifier.".freeze, "To associate an ISAN Identifier with an Asset.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      equivalentProperty: "http://purl.org/dc/elements/1.1/identifier".freeze,
      label: "ISAN".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasIdentifier".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasKeyCareerEvent,
      comment: ["Range: string or KeyCareerEvent".freeze, "To identify the key career events of a Person.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person".freeze,
      label: "Career event".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#KeyCareerEvent".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasKeyPersonalEvent,
      comment: ["Range: string or KeyPersonalEvent".freeze, "To identify the key personal events of a Person.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person".freeze,
      label: "Personal event".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#KeyPersonalEvent".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasKeyword,
      comment: ["Range: Keyword or string or any URI from a controlled vocabulary".freeze, "To associate a concept, descriptive phrase or Keyword that specifies the topic of the EditorialObject.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#hasKeyword".freeze,
      label: "Keyword".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Keyword".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasSubject".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasLanguage,
      comment: ["Range: string or Language.".freeze, "To associate a Language to an Asset. A controlled vocabulary based on BCP 47 is recommended. This\n            property can also be used to identify the presence of sign language (RFC 5646). By\n            inheritance, the hasLanguage property applies indifferently at the MediaResource /\n            Fragment / Track levels at which the usage is being defined. Best practice recommends to\n            use to best possible level of granularity fo describe the usage of language within a\n            MediaResource including at Fragment and Track levels.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      equivalentProperty: ["http://purl.org/dc/elements/1.1/language".freeze, "http://www.w3.org/ns/ma-ont#hasLanguage".freeze],
      label: "Language".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Language".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasLicensing,
      comment: ["Range: string or Licensing.".freeze, "To express Licensing.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Licensing".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Licensing".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#isCoveredBy".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasLocationCode,
      comment: ["Range: string or LocationCode.".freeze, "To give the code of a Location.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location".freeze,
      label: "Locationcode".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#LocationCode".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasLocationPicture,
      comment: "A picture associated with a Location.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location".freeze,
      label: "Picture".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Picture".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasLocationRelatedArtefact,
      comment: ["Range: a string or an Artefact.".freeze, "To associate an Artefact with a\n            Location.".freeze],
      domain: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      label: "Artefact".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasLocationRelatedEvent,
      comment: ["Range: a string or an Event.".freeze, "To associate an Event with a\n            Location.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location".freeze,
      label: "Event".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasLocationRelatedResource,
      comment: "To identify a Resource associated with a Location.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location".freeze,
      label: "Related resource".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasLocationType,
      comment: ["Range: string or LocationType.".freeze, "To define the type of a Location.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location".freeze,
      label: "Locationcode".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#LocationType".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasLocator,
      comment: ["A locator from where the MediaResource can be accessed.".freeze, "Range: a locator e.g. a URI or a Locator or a string.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#locator".freeze,
      label: "Locator".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Locator".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasLogo,
      comment: "Logos can be used in a variety of contexts.\n            Logo can be associated with an Organisation or a Service or a PublicationChannel.".freeze,
      domain: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Award".freeze, "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Organisation".freeze, "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rating".freeze, "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Service".freeze],
      label: "Logo".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Logo".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasManifestation,
      comment: "A manifestation is the physical embodiment of work e.g. a tape, a file...".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Manifestation".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasMaster,
      comment: "To identify the master of a Resource".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Master".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasMediaFragment,
      comment: "To define relation to MediaFragments\n            withiin a MediaResource.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#hasFragment".freeze,
      inverseOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#isMediaFragmentOf".freeze,
      label: "Fragment".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaFragment".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasMedium,
      comment: ["Range: string or Medium".freeze, "To specify the medium on which the Resource is available.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Medium".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Medium".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasFormat".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasMember,
      comment: "To establish group/collection relationship between EditorialObjects.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Group".freeze,
      label: "Member.".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasMemberPublicationPlan,
      comment: "To identify a PublicationPlan that forms part of another PublicationPlan.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationPlan".freeze,
      label: "Publication  plan member".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationPlan".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasMetadataTrack,
      comment: "To identify MetadataTracks in the Resource.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Metadata track".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MetadataTrack".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasMimeType,
      comment: ["Range: string or MimeType".freeze, "To specify the Mime type of a Resource.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Mime type".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MimeType".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasFormat".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasObjectType,
      comment: ["Range: string or ObjectType.".freeze, "To define an ObjectType for the BusinessObject\n             (e.g. book, report, programme, clip) if not defined as a subClass of BusinessObject.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject".freeze,
      label: "Object/asset type".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#ObjectType".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasOrganisationLogo,
      comment: "The logo representing an Organisation".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Organisation".freeze,
      label: "Organisation logo".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Logo".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasLogo".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasOrganisationStaff,
      comment: ["Range: string or Staff.".freeze, "To identify Staff members in an Organisation.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Organisation".freeze,
      label: "Staff".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Staff".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasOriginalLanguage,
      comment: ["Range: string or Language.".freeze, "To define the original language of an Asset.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Original language".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Language".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasLanguage".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasParentEditorialObject,
      comment: "To link a EditorialOject to a parent.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject".freeze,
      label: "Parent editorial object".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasParentMediaResource,
      comment: "To link a MediaResource to a parent.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Parent resource".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasPart,
      comment: "To define Parts (segments, fragments, shots, etc.)\n            within an EditorialObject.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Part".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Part".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasPartType,
      comment: ["A type of Part.".freeze, "Range: a string or Part_Type".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Part".freeze,
      label: "Part type".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Part_Type".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasParticipatingAgent,
      comment: ["To identify participating Agents.".freeze, "range: Agent or string".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Participating agent".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasPictogram,
      comment: ["Range: a locator/URI or a Picture.".freeze, "To provide a visual representation of  a Rating / AufdienceRating / AudienceLevel.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rating".freeze,
      label: "Pictogram".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Picture".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasPlaceOfBirth,
      comment: "To identify the place of birth.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person".freeze,
      label: "Birth place".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasPlaceOfDeath,
      comment: "To identify the place of death.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person".freeze,
      label: "Death place".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasProducer,
      comment: ["Range: string or Agent.".freeze, "To identify an Agent involved in the production of the Resource or BusinessObject.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#hasCreator".freeze,
      label: "Producer".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasProductionLocation,
      comment: ["Range: a Location or string".freeze, "To identify the Location of a production".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Production location".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasProvenance,
      comment: ["Range: string, anyURI or Concept.".freeze, "To associate information on Provenance to an EBUCore class.".freeze],
      domain: "http://www.w3.org/2002/07/owl#Thing".freeze,
      label: "Provenance".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Provenance".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasProvenanceTarget,
      comment: "The instance of an object sourced by the Provenance.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Provenance".freeze,
      label: "Provenance target".freeze,
      range: ["http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasPublicationEvent,
      comment: "To associate PublicationEvents with\n            PublicationChannels or as elements of a PublicationHistory or PublicationPlanning.".freeze,
      domain: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationChannel".freeze, "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationHistory".freeze, "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationPlan".freeze],
      label: "Publication event".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasPublicationHistory,
      comment: "To provide the history of publication of an EditorailObject or MediaResource.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Publication history".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationHistory".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasPublicationMedium,
      comment: ["Range: string or PublicationMedium.".freeze, "To identify the publication medium.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent".freeze,
      label: "Publication medium".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationMedium".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasPublicationPlanMember,
      comment: "To identify a subplan of a publication plan.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationPlan".freeze,
      label: "Publication plan member.".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationPlan".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasPublicationPlanType,
      comment: ["Range: string or PublicationPlan_type.".freeze, "To define a type of PublicationPlan.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationPlan".freeze,
      label: "Publication plan type".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationPlan_Type".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasPublicationRegion,
      comment: ["Range: string or Location".freeze, "The region where the publication takes place.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent".freeze,
      label: "Publication region".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasPublisher,
      comment: "To identify an Agent involved in the publication of the Resource or BusinessObject.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      equivalentProperty: ["http://purl.org/dc/elements/1.1/publisher".freeze, "http://www.w3.org/ns/ma-ont#hasPublisher".freeze],
      label: "Publisher".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasRating,
      comment: ["Range: a string or a Rating.".freeze, "To identify the presence of Rating attributed\n            to a Resource or BusinessObject.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#hasRating".freeze,
      label: "Rating".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rating".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasRatingProvider,
      comment: ["Range: string or Agent.".freeze, "To identify an Agent who has provided a Rating.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rating".freeze,
      label: "Rating source / agent".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasRatingSource,
      comment: ["Range: string or Agent.".freeze, "To identify an Agent who has provided a Rating.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rating".freeze,
      label: "Rating source / agent".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasRelatedAnimal,
      comment: "To identify animals associate with an Asset.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Related animal".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Animal".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasRelatedArtefact,
      comment: ["Range: string or Artefact.".freeze, "To identify and Artefact related to EditorialObject or a resource.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Related artefact".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Artefact".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasRelatedAsset,
      comment: "To identify related Assets.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Related asset".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasRelatedAudioContent,
      comment: "To identify related Audio Content".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Audio content".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioContent".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasRelatedAudioObject,
      comment: "To identify related Audio Objects".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Audio object".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioObject".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasRelatedAudioProgramme,
      comment: "A related audio programme".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Audio programme".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioProgramme".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasRelatedAudioTrack,
      comment: "To identify related Audio Tracks".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Audio track".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioTrack".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasRelatedAward,
      comment: ["Range: string or Award.".freeze, "To identify an Award related to EditorialObject.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Related award".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Award".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasRelatedEditorialObject,
      comment: "To identify related EditorialObjects.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Related editorial object".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasRelatedEssence,
      comment: "To establish a relation between a MediaResource and an Essence.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Related essence".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Essence".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasRelatedEvent,
      comment: ["A property to identify the \r\n            Events, all real or fictional, covered by the \r\n            EditorialObject.".freeze, "Range: Sting or Event".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Event".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Event".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasCoverage".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasRelatedImage,
      comment: "To associate an Image with a BusinessObject.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Image".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Image".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasRelatedLocation,
      comment: ["A property to identify the \n            Locations, all real or fictional, covered by the \n            EditorialObject.".freeze, "Range: String or Location".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#hasRelatedLocation".freeze,
      label: "Location".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasCoverage".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasRelatedMediaFragment,
      comment: "To associate a Part of an Asset with a MediaFragment within the association MediaResource instantiating the Asset.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Media fragment".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaFragment".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasRelatedMediaResource,
      comment: "To identify a MediaResource associated with an Asset or a BusinessObject or a PublicationEvent or another Resource.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#hasRelatedResource".freeze,
      label: "Related media resource".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasRelatedPicture,
      comment: "To associate a Picture with a BusinessObject or a Resource.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#hasRelatedImage".freeze,
      label: "Picture".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Picture".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasRelatedPublicationChannel,
      comment: ["Range: string or PublicationChannel".freeze, "To identify a Publication Channel".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent".freeze,
      label: "Publication channel".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationChannel".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasRelatedPublicationEvent,
      comment: "To identify the PublicationEvent associated with a MediaResource (manifestation of an EditorialObject).".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent".freeze,
      label: "Publication event".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasRelatedRecord,
      comment: ["Range, a string a URI or a Record.".freeze, "To associate a Record with an Asset.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Related record".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Record".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasRelatedResource,
      comment: "To identify a Resource associated with an Asset or a BusinessObject or a PublicationEvent or another Resource.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#hasRelatedResource".freeze,
      label: "Related resource".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Resource".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasRelatedService,
      comment: ["Range: string or Service.".freeze, "To establish a relation between Services.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Service".freeze,
      label: "Related Service".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Service".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasRelatedTextLine,
      comment: ["A TextLine or free text related to an EditorialObject.".freeze, "Range: string or TextLine.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Related text line".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasRelationSource,
      comment: ["Range: string or Agent.".freeze, "To define source of a Relation.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Relation".freeze,
      label: "Relation source".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasResourceLocator,
      comment: ["A locator from where the Resource can be accessed.".freeze, "Range: a locator e.g. a URI or a Locator.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Resource".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#locator".freeze,
      label: "Locator".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Locator".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasReview,
      comment: ["Range: string or Review.".freeze, "To provide a review.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Review".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Review".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasRightsClearance,
      comment: ["Range: string or Rights Clearance.".freeze, "To express Rights Clearance.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Rights clearance".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#RightsClearance".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#isCoveredBy".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasRightsContact,
      comment: ["Range: a string or a Contact.".freeze, "To identify a Contact/person who can provide\n            assistance / guidance regarding the associated Rights.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rights".freeze,
      label: "Contact".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Contact".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasRightsHolder,
      comment: ["Range: a string or an Agent.".freeze, "To identify an Agent (Contact/person or\n            Organisation) having/managing Rights.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rights".freeze,
      label: "Rights holder".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasRole,
      comment: ["Range: a string or a Role/Concept from a controlled vocabulary.".freeze, "To define the role of an Agent (Contact/person\n            or Organisation). The association in a particular context is made by e.g. declaring the hasCastRole or hasCrewRole  associated with the BusinessObject.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      label: "Role".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Role".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasSeason,
      comment: "To identiify Seasons in a Series.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Series".freeze,
      label: "Season".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Season".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasServiceGenre,
      comment: ["Range: string or Genre".freeze, "The genre of content associated with the Service.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Service".freeze,
      label: "Service genre".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Genre".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasServiceLogo,
      comment: "The Logo characterising a Service".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Service".freeze,
      label: "Service logo".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Logo".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasLogo".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasShootingLocation,
      comment: ["Range: Location or string".freeze, "The Location where content has been captured.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Shooting location".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasSigning,
      comment: ["A locator/URI to a resource or a Signing resource.".freeze, "To identify the presence of Signing associated\n            to the BusinessObject/Resource.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#hasSigning".freeze,
      label: "Accessibility - signing".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Signing".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasSigningFormat,
      comment: ["Range: string or SigningFormat.".freeze, "To specify the format used for signing.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Signing".freeze,
      label: "Signing format".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#SigningFormat".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasSigningSource,
      comment: ["Range: string or Agent.".freeze, "To specify the source of signing.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Signing".freeze,
      label: "Signing source".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasSource,
      comment: "To identify the source of a MediaResource.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Source".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasStaffMember,
      comment: ["Range: string or Staff.".freeze, "To identify members of staff in an organisation.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Organisation".freeze,
      label: "member of Staff".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Staff".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasStaffRole,
      comment: ["Range: a string or a Role/Concept from a controlled vocabulary.".freeze, "To define the role of an Agent (Contact/person\n            or Organisation). The association in a particular context is made by e.g. declaring the hasCastRole or hasCrewRole or hasStaffRole.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      label: "Staff role".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Role".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasStakeholder,
      comment: ["An Agent related to the PublicationPlan.".freeze, "Range: Agent or string".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationPlan".freeze,
      label: "Publication plan stakeholder".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasStandard,
      comment: ["Identifies the technical video standard of a MediaResource, i.e. NTSC or PAL.".freeze, "Range: string or Standard".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Standard".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Standard".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasFormat".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasStorageId,
      comment: ["Range: Identifier, anyURI, string".freeze, "To identify storage associated with a locator from which a Resource can be accessed or can be retrieved.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Storage identifier".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasStorageType,
      comment: ["Range:; string or Storage_Type".freeze, "To define a type of storage associated with a locator from which a Resource can be accessed or can be retrieved.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Storage type".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Storage_Type".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasSubject,
      comment: ["Range: string, anyURI or Subject".freeze, "This property enables to associate an Asset with a subject which can be a string or a URI pointing to a term from a controlled vocabulary.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      equivalentProperty: "http://purl.org/dc/elements/1.1/subject".freeze,
      label: "Subject".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Subject".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasSubtitling,
      comment: ["Range: string or Subtitling".freeze, "To identify existing subtitling.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Subtitling".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Subtitling".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasSubtitlingFormat,
      comment: ["Range: string or SubtitlingFormat".freeze, "The format of Subtitling.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Subtitling format".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#SubtitlingFormat".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasFormat".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasSubtitlingSource,
      comment: ["Range: a string or an Agent.".freeze, "To identify the source of the Subtitling\n            resource.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Subtitling".freeze,
      label: "Subtitling source".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasTargetAudience,
      comment: ["Range: string or TargetAudience.".freeze, "To associate a TargetAudience (e.g. for\n            parental guiddance or targeting a particular social group) with a\n            BusinessObject/Resource.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#hasTargetAudience".freeze,
      label: "Target audience".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TargetAudience".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasTargetPlatform,
      comment: ["Range: string or TargetPlatform.".freeze, "To specify a target platform.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Target platform".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TargetPlatform".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasTeamMember,
      comment: ["Range: a Person or a string".freeze, "To identify the members of a Team".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Team".freeze,
      label: "Team member".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasTextLineId,
      comment: ["Range: string or Identifier.".freeze, "To attribute an identifier to a text line.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine".freeze,
      label: "Text line identifier.".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine_Type".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasTextLineRelatedAgent,
      comment: ["Range: string or Agent.".freeze, "To identify an Agent/Person/Character related to a TextLine.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine".freeze,
      label: "Text line related agent".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasTextLineRelatedCharacter,
      comment: ["Range: string or Character.".freeze, "To identify a Character related to a TextLine.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine".freeze,
      label: "Text line related character".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Character".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasTextLineRelatedScene,
      comment: ["Range: string or Scene.".freeze, "To identify an scene related to a text line.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine".freeze,
      label: "Text line related scene".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Scene".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasTextLineSource,
      comment: ["Range: string or Agent.".freeze, "To identify the source of a TextLine.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine".freeze,
      label: "Text line source".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasTextLineType,
      comment: ["Range: string or TextLine_Type".freeze, "To identify the type of a text line.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine".freeze,
      label: "Text line type".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine_Type".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasTheme,
      comment: ["Range: a Concept, anyURI or a string".freeze, "This property enables to associate an Asset with a theme which can be a string or a URI pointing to a term from a controlled vocabulary. A typical example is the Eurostats NACE classification.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Theme".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Theme".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasSubject".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasTimecodeTrack,
      comment: "To identify a timecode track with a MediaResource.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#hasTrack".freeze,
      label: "Timecode track".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TimecodeTrack".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasTimelineTrack,
      comment: "To associate a TimelineTrack with an EditorialObject".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject".freeze,
      label: "Timeline track".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TimelineTrack".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasTimelineTrackPart,
      comment: "To associate an EditorialObject to a TimelineTrackPart".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TimelineTrack".freeze,
      label: "Timeline track part".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasTimelineTrackType,
      comment: ["Range: string or anyURI or TimelineTrack_Type.".freeze, "To specify a type of TimelineTrack".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TimelineTrack".freeze,
      label: "Timeline track type".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TimelineTrack_Type".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasTopic,
      comment: ["Range: a Topic, anyURI or a string".freeze, "This property enables to associate an Asset with a topic which can be a string or a URI pointing to a term from a controlled vocabulary. A typical example is to make use of the IPTC Media Topics defined at http://cv.iptc.org/newscodes/mediatopic/.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Topic".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Topic".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasSubject".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasTrack,
      comment: "To associate audio/data/video tracks with a MediaResource.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#hasTrack".freeze,
      label: "Track".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Track".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasTrackPart,
      comment: "An element to identify a part of a track by a title, a start time and an end time in both the media source and media destinationn.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Track".freeze,
      label: "Track part source".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasTrackPurpose,
      comment: ["Range: string or TrackPurpose.".freeze, "The purpose for which the Track is provided.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Track".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#trackName".freeze,
      label: "Track purpose".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TrackPurpose".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasType,
      comment: ["An type of Asset.".freeze, "Range: string or Type.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      equivalentProperty: "http://purl.org/dc/elements/1.1/type".freeze,
      label: ["Asset type".freeze, "Type".freeze],
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Type".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasUsageRestrictions,
      comment: ["Range: string or UsageRestrictions.".freeze, "To express usage restrictions.".freeze],
      domain: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze, "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent".freeze],
      label: "Usage restrictions".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#UsageRestrictions".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#isCoveredBy".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasUsageRights,
      comment: ["Range: string or UsageRights.".freeze, "To express usage rights.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Usage rights".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#UsageRights".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#isCoveredBy".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasVersion,
      comment: "To identify another version of an Asset, BusinessObject or Resource.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      inverseOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#isVersionOf".freeze,
      label: "Version".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasVideoCodec,
      comment: ["Range: string or VideoCodec".freeze, "To identify a video codec".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Video codec".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#VideoCodec".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasCodec".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasVideoEncodingFormat,
      comment: ["Range: string or VideoEncodingFormat".freeze, "To specify the video encoding format.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Audio encoding format".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#VideoEncodingFormat".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasFormat".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasVideoTrack,
      comment: "To identify VideoTracks in the Resource.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Video track".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#VideoTrack".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasWrappingType,
      comment: ["Range: string or WrappingType.".freeze, "To specify the type of wrapping.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AncillaryData".freeze,
      label: "Wrapping type".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#WrappingType".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hashValue,
      comment: "The hash value associated to a Resource. There\n            are different methods / algorithms to calculate hash values, which can be defined as\n            subproperties.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Hash code".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :height,
      comment: "The height of e.g. a video frame typically\n            expressed as a number of lines or the height of a picture/image expressed in millimeters\n            or else.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#frameHeight".freeze,
      label: "Height".freeze,
      range: "http://www.w3.org/2001/XMLSchema#integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :heightUnit,
      comment: "To specify a unit to express height.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Height unit".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :highlights,
      comment: "To provide highlights.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Highlights".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#description".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hobbies,
      comment: "The hobbies of a Person.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person".freeze,
      label: "Hobbies".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :iFrameSize,
      comment: "The distance between 2 I-frames also known as the gop size.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "I-frame/Gop size".freeze,
      range: "http://www.w3.org/2001/XMLSchema#int".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :idDateOfCreation,
      comment: "The date when the identifier was generated.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier".freeze,
      label: "Date of creation".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :identifierValue,
      comment: ["Range: string or anyURI.".freeze, "To provide the value attribued to an Identifier.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier".freeze,
      label: "Identifier value".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :inchesPerSecond,
      comment: "Identifies the inches per second at which an analog audio tape should be played back for human consumption.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#frameRate".freeze,
      label: "Inches per second".freeze,
      range: "http://www.w3.org/2001/XMLSchema#double".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#playbackSpeed".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :instantiates,
      comment: "To link a particular manifestation of a\n            BusinessObject to the corresponding Resource.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Business object".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isAgent,
      comment: ["Range: string or Agent.".freeze, "To identify a related Agent.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isAnimalGroom,
      comment: "To identify the groom / care taker of an animal.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Animal".freeze,
      label: "Animal groom".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isAnimalOwner,
      comment: "To identify the owner of an animal.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Animal".freeze,
      label: "Animal owner".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isAnnotatedMediaResource,
      comment: "To link an Annotation to a MediaResource.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Annotation".freeze,
      label: "Media resource".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isAnnotationBy,
      comment: "To link an Annotation to an Agent who created it.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Annotation".freeze,
      label: "Agent".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isAttributedTo,
      comment: "Tassociate an Agent with a Provenance instance.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Provenance".freeze,
      label: "Provenance target".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isBrand,
      comment: ["Range: a string or Brand".freeze, "To identify a Brand.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject".freeze,
      inverseOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasEpisode".freeze,
      label: "Brand".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Brand".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isCharacter,
      comment: ["Range: string or Agent.".freeze, "To identify a character.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze,
      label: "Fictional character.".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Character".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isChildOf,
      comment: "To link a BusinessOject or Resource to a parent.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Parent".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isClonedFrom,
      comment: "To identify the source of a clone Editorial Object or Resource".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Clone source".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isComposedOf,
      comment: "To identify mediaResources used to compose an Essence.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Media Resource".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isCoveredBy,
      comment: ["Range: a link to Rights or open text (string).".freeze, "The Rights or policy applicable to the\n            BusinessObject, Asset, Resource or PublicationEvent.".freeze],
      domain: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze, "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent".freeze],
      equivalentProperty: ["http://purl.org/dc/elements/1.1/rights".freeze, "http://www.w3.org/ns/ma-ont#hasPermissions".freeze, "http://www.w3.org/ns/ma-ont#hasPolicy".freeze],
      label: "Rights".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rights".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isDerivedFrom,
      comment: "Identifies a content-based relationship between two resources.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      inverseOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#derivedTo".freeze,
      label: "Derived from".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isDistributedOn,
      comment: ["Range: Service or string.".freeze, "To identify the platform on which content is distributed.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject".freeze,
      label: ["Platform/Service/PublicationChannel".freeze, "Range: string or Service and subclasses".freeze],
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Service".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isDubbedFrom,
      comment: "the origin of a dubbed MediaResource.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      inverseOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#dubbedTo".freeze,
      label: "Dubbed from".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isEditorialFormatOf,
      comment: "To identify an Editorial Object based on the same Editorial format".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject".freeze,
      label: "Same editorial format".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isEpisodeOf,
      comment: ["Range: Series or string.".freeze, "The Episode of a Series or a Season.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      inverseOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasEpisode".freeze,
      label: "Parent season / series".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Series".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isEpisodeOfSeason,
      comment: ["Range: string or Season.".freeze, "The Episode of a Series or a Season.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      inverseOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasEpisode".freeze,
      label: "Parent season / series".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Season".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isEpisodeOfSeries,
      comment: ["Range: string or Series.".freeze, "The Episode of a Series or a Season.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      inverseOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasEpisode".freeze,
      label: "Parent season / series".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Series".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isFictitiousPerson,
      comment: ["Range: a string or a FictitiousPerson.".freeze, "To identify a Contact/Person being fictitious.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Character".freeze,
      label: "Fictitious contact".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isInstantiatedBy,
      comment: "To identify a MediaResource instantiating an EditorialObject.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject".freeze,
      label: "Media Resource".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isIssuedBy,
      comment: ["Range: Agent or String".freeze, "To identify the issuer of an identifier.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier".freeze,
      label: "Issuer".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isMasterOf,
      comment: "To identify the master of a derived media resource.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Derived media resource".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isMediaFragmentOf,
      comment: "To identify the Media Resource to which a Media Fragment belongs to".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaFragment".freeze,
      label: "Media fragment source".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isMemberOf,
      comment: ["Range: string or Group.".freeze, "To identify a Group to which an EditorialObject is a member of.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      inverseOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasMember".freeze,
      label: "Member of".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Group".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isMemberOfPublicationPlan,
      comment: "To identify a parent Publication Plan".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationPlan".freeze,
      label: "Parent publication  plan".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationPlan".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isNextInSequence,
      comment: "A link to an Asset following the current Asset in an ordered sequence.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Next".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isOperatedBy,
      comment: ["Range: string or Service.".freeze, "To identify the Service that operates the\n            PublicationChannel.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationChannel".freeze,
      label: "Operator, owner".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Service".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isOwnedBy,
      comment: ["Range: string or Agent.".freeze, "To identify the Agent (Contact/person or\n            Organisation) who owns a Service operating a PublicationChannel.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Service".freeze,
      label: "Owner".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Agent".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isParentOf,
      comment: "To link a Asset to a parent Asset.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Child".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isPartOf,
      comment: "To identify the editorial object to which belongs a part.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Part".freeze,
      label: "Editorial object".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isPictureIdLocator,
      comment: ["Range: e.g. a string, URL or Locator.".freeze, "The location from where a Person identification picture can be accessed.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person".freeze,
      label: "Identification picture locator".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Locator".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isRatingRelatedToBusinessObject,
      comment: "To identify the BusinessObject associated with a Rating.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rating".freeze,
      label: "Rated business object".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#BusinessObject".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isRatingRelatedToResource,
      comment: "To identify the resource associated with a Rating.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rating".freeze,
      label: "Rated Resource".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isReferencedBy,
      comment: "To described references between assets.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Reference source".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isReleasedBy,
      comment: ["Range: Service or string".freeze, "To identify a Service assocoated to a PublicationEvent.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent".freeze,
      label: "Service".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Service".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isReplacedBy,
      comment: "To identify substitutions.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Replacement".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isRequiredBy,
      comment: "To express strong relations between Assets, BusinessObjects or Resources.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Required".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isScheduledOn,
      comment: "To associatre a PublicationEvent with an EditorialObject.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject".freeze,
      label: "Publication event".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isSeasonOf,
      comment: ["Range: Series or string.".freeze, "To assoicate a Season with a Series.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Season".freeze,
      label: "Series".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Series".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isSeriesOf,
      comment: ["Range: Brand or string.".freeze, "To associate a Series with a Brand.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Series".freeze,
      label: "Brand".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Brand".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isTimelineTrackPartOf,
      comment: "To associate an EditorialObject with a part of the TimelineTrack.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject".freeze,
      label: "Editorial Object".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TimelineTrack".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isTrackPartOf,
      comment: "An element to identify a part of a track by a title, a start time and an end time in both the media source and media destination.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Track part source".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Track".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isVersionOf,
      comment: "To identify related versions.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      inverseOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#hasVersion".freeze,
      label: "Version of".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :lineNumber,
      comment: "To provide the number of the line on which\n            ancillary data is being carried and the equivalent in the digital domain.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AncillaryData".freeze,
      label: "Line number".freeze,
      range: "http://www.w3.org/2001/XMLSchema#integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :linkToLogo,
      comment: ["Range: string or Logo".freeze, "To provide a link to a Logo".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Costume".freeze,
      label: "Link to logo".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Logo".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :linkToSticker,
      comment: ["Range: anyURI or Sticker.".freeze, "To provide a link to a Sticker".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Costume".freeze,
      label: "Link to Sticker".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Sticker".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :live,
      comment: "A flag to signal that content is live".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent".freeze,
      label: "live".freeze,
      range: "http://www.w3.org/2001/XMLSchema#boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :localFamiliyName,
      comment: "To provide a family name in its local expression.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person".freeze,
      label: "Local familiy name".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :localGivenName,
      comment: "To provide a given name in its local expression.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person".freeze,
      label: "Local given name".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :locationAddress,
      comment: "To provide the address of a\n           Location.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location".freeze,
      label: "Address".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :locationAddressArea,
      comment: "To provide the Area part of an\n            Adrress.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location".freeze,
      label: "Area".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#locationAddress".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :locationAddressCountry,
      comment: "To provide the country name and or country\n            code.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location".freeze,
      label: "Country".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#locationAddress".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :locationAddressLine,
      comment: "To provide an address line.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location".freeze,
      label: "Adress line".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#locationAddress".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :locationAddressLocality,
      comment: "To provide the name of a city, village,\n            etc.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location".freeze,
      label: "Locality".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#locationAddress".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :locationAddressPostalCode,
      comment: "To provide an address postal\n            code.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location".freeze,
      label: "Postal code".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#locationAddress".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :locationAltitude,
      comment: "To define the altitude of a Location in\n            meters.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#locationAltitude".freeze,
      label: "Altitude".freeze,
      range: "http://www.w3.org/2001/XMLSchema#float".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :locationCoordinateSystemName,
      comment: "To specify the name of the gps coordinate\n            system used for the Location.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location".freeze,
      label: "Coordinate system".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :locationDescription,
      comment: "To provide a description of a particular Location.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location".freeze,
      label: "Location description".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :locationId,
      comment: ["An identifier attributed to a Location.".freeze, "Range: Identifier, anyURI or string".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location".freeze,
      label: "Location identifier".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :locationLatitude,
      comment: "The latitude of the Location.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location".freeze,
      equivalentProperty: ["http://www.w3.org/2003/01/geo/wgs84_pos#lat".freeze, "http://www.w3.org/ns/ma-ont#locationLatitude".freeze],
      label: "Latitude".freeze,
      range: "http://www.w3.org/2001/XMLSchema#float".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :locationLongitude,
      comment: "To define the longitude of the\n            Location.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location".freeze,
      equivalentProperty: ["http://www.w3.org/2003/01/geo/wgs84_pos#long".freeze, "http://www.w3.org/ns/ma-ont#locationLongitude".freeze],
      label: "Longitude".freeze,
      range: "http://www.w3.org/2001/XMLSchema#float".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :locationName,
      comment: "To provide a namefor a particular Location.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location".freeze,
      label: "Location name".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :locationRegion,
      comment: ["Range: string or RegionCode".freeze, "To provide a description of a particular region assocoated to the Location.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location".freeze,
      label: "Region".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#RegionCode".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :locationTimeType,
      comment: ["A type of time at a Location.".freeze, "Range: string or LocationTimeType or anyURI.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#locationName".freeze,
      label: "Location type".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#LocationTimeType".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :locationType,
      comment: ["A type of Location.".freeze, "Range: string or anyURI or LocationType".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Location".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#locationName".freeze,
      label: "Location type".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#LocationType".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :locatorTargetInformation,
      comment: "Information on the locator target.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#locator".freeze,
      label: "Locator target information".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :log,
      comment: "To log everything in the content following predefined rules and criterias, as a neutral sequence of (possibly timed) textual descriptions.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Log".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#description".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :loudnessIntegratedLoudness,
      comment: "The value for integrated loudness measured at AudioProgramme or AudioContent level.".freeze,
      domain: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioContent".freeze, "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioProgramme".freeze],
      label: "Integrated loudness".freeze,
      range: "http://www.w3.org/2001/XMLSchema#float".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#loudnessParameters".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :loudnessMaxMomentary,
      comment: "The value for maximum momentary loudness measured at AudioProgramme or AudioContent level.".freeze,
      domain: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioContent".freeze, "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioProgramme".freeze],
      label: "Max momentary loudness".freeze,
      range: "http://www.w3.org/2001/XMLSchema#float".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#loudnessParameters".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :loudnessMaxShortTerm,
      comment: "The value for maximum max short term loudness measured at AudioProgramme or AudioContent level.".freeze,
      domain: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioContent".freeze, "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioProgramme".freeze],
      label: "Max short term loudness".freeze,
      range: "http://www.w3.org/2001/XMLSchema#float".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#loudnessParameters".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :loudnessMaxTruepeak,
      comment: "The value for maximum true peak loudness measured at AudioProgramme or AudioContent level.".freeze,
      domain: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioContent".freeze, "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioProgramme".freeze],
      label: "Max true peak loudness".freeze,
      range: "http://www.w3.org/2001/XMLSchema#float".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#loudnessParameters".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :loudnessMethod,
      comment: "The method for loudness measurement at AudioProgramme or AudioContent level.".freeze,
      domain: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioContent".freeze, "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioProgramme".freeze],
      label: "Loudness method".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#loudnessParameters".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :loudnessParameters,
      comment: "To provide loudness parameters.".freeze,
      domain: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioContent".freeze, "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioProgramme".freeze],
      label: "Loudness parameters".freeze,
      range: "http://www.w3.org/2001/XMLSchema#float".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :loudnessRange,
      comment: "The loudness range measured at AudioProgramme or AudioContent level.".freeze,
      domain: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioContent".freeze, "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudioProgramme".freeze],
      label: "Loudness range".freeze,
      range: "http://www.w3.org/2001/XMLSchema#float".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#loudnessParameters".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :mainTitle,
      comment: "Specifies the main title or name given to the\n            EditorialObject.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      equivalentProperty: ["http://purl.org/dc/elements/1.1/title".freeze, "http://www.w3.org/ns/ma-ont#title".freeze],
      label: "Main title".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#title".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :maritalStatus,
      comment: "To identify the marital status of a Person.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person".freeze,
      label: "Marital Status".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :mediaResourceDescription,
      comment: "A description of a MediaResource.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "MediaResource description".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :mediaResourceId,
      comment: ["Range: Identifier or string".freeze, "To identify a type of MediaResource, e.g. a template'.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Media resource Id".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :mediaResourceType,
      comment: ["Range: MediaResource_Type or string".freeze, "To identify a type of MediaResource, e.g. a template'.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Media resource type".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource_Type".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :midRollAdAllowed,
      comment: "A flag to indicate whether it is allowed to insert ad breaks in mid-roll.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Midroll ad allowed".freeze,
      range: "http://www.w3.org/2001/XMLSchema#boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :middleName,
      comment: "To provide one or more middle names for a Person.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person".freeze,
      label: "Middle name".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :nickName,
      comment: "The nickname of a Person.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person".freeze,
      label: "Nickname".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :noiseFilter,
      comment: "A flag to signal that a noise filter has been\n            used.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Noise filter".freeze,
      range: "http://www.w3.org/2001/XMLSchema#boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :notRated,
      comment: "A flag to indicate that the EditorialObejct has not been rated.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rating".freeze,
      label: "Not rated".freeze,
      range: "http://www.w3.org/2001/XMLSchema#boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :numberOfAudioTracks,
      comment: "To provide the number of audio tracks.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Number of audio tracks".freeze,
      range: "http://www.w3.org/2001/XMLSchema#integer".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#numberOfTracks".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :numberOfTracks,
      comment: "The number of Tracks composing the MediaResource.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#numberOfTracks".freeze,
      label: "Number of tracks".freeze,
      range: "http://www.w3.org/2001/XMLSchema#integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :numberOfVideoTracks,
      comment: "To provide the number of video tracks.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Number of video tracks".freeze,
      range: "http://www.w3.org/2001/XMLSchema#integer".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#numberOfTracks".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :occupation,
      comment: "The job / occupation name of a Person.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person".freeze,
      label: "Occupation".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :offers,
      comment: "To identify the PublicationEvents provided through a Service.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Service".freeze,
      label: "PublicationEvent".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :officeEmailAddress,
      comment: "To provide the professional/office email\n            address of an Agent (Contact/Person or Organisation).".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person".freeze,
      label: "Office email".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#agentEmailAddress".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :officeMobileTelephoneNumber,
      comment: "To provide the office mobile telephone number of an\n            Agent (Contact/Person).".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person".freeze,
      label: "Telephone (private)".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#agentTelephoneNumber".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :officeTelephoneNumber,
      comment: "To provide the office telephone number of an\n            Agent (Contact/Person).".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person".freeze,
      label: "Telephone (private)".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#agentTelephoneNumber".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :orderedFlag,
      comment: "A flag to indicate that a EditorialObject is member of an ordered group or is an ordered group (e.g. Series)".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject".freeze,
      label: "Ordered flag".freeze,
      range: "http://www.w3.org/2001/XMLSchema#boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :organisationDescription,
      comment: "To provide a description of an Organisation.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Organisation".freeze,
      label: "Organisation description".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :organisationId,
      comment: ["Range: string or Identifier".freeze, "The identifier attributed to an Organisation".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Organisation".freeze,
      label: "Organisation identifier".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :organisationName,
      comment: "To provide the full name of an Organisation.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Organisation".freeze,
      label: "Organisation name".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :organisationType,
      comment: ["Range: string or anyURI or Concept.".freeze, "To define a type of an Organisation.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Organisation".freeze,
      label: "Asset type".freeze,
      range: ["http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :orientation,
      comment: "The orientation of a Document or an Image i.e. landscape or\n            portrait.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#BusinessObject".freeze,
      label: "Orientation".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :originalTitle,
      comment: "The original title used to identify the work.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Original title.".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#title".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :packageByteSize,
      comment: "The size of a media package in\n            Bytes.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Package size (in bytes)".freeze,
      range: "http://www.w3.org/2001/XMLSchema#long".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :packageName,
      comment: "The name of a media package in\n            Bytes.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Package name".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :partDefinition,
      comment: "A definition associated with the Part.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Part".freeze,
      label: "Part definition".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :partDescription,
      comment: "A description associated with the Part.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Part".freeze,
      label: "Part definition".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :partId,
      comment: ["Range: a string or Identifier".freeze, "The identifier of a Part.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Part".freeze,
      label: "Part identifier".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :partName,
      comment: "A name associated with the Part.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Part".freeze,
      label: "Part name".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :partNumber,
      comment: "The number associated to a Part as one among\n            many.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Part".freeze,
      label: "Part number".freeze,
      range: "http://www.w3.org/2001/XMLSchema#integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :partTotalNumber,
      comment: "The total number of Parts associated with an EditorialObject.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject".freeze,
      label: "Part total number".freeze,
      range: "http://www.w3.org/2001/XMLSchema#integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :personDescription,
      comment: "To provide a description of a Person.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person".freeze,
      label: "Description".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :personHeight,
      comment: "To indicate the height of a person.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person".freeze,
      label: "Person height".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :personId,
      comment: ["An identifier attributed to a Person.".freeze, "Range: an Identifier or anyURI or string.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person".freeze,
      label: "Person identifier".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :personName,
      comment: "To provide e.g. compound names.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person".freeze,
      label: "Person name".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :personType,
      comment: ["A type attributed to a Person.".freeze, "Range: a Concept or anyURI or string.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person".freeze,
      label: "Person type".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :personWeight,
      comment: "To indicate the weight of a person.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person".freeze,
      label: "Person weight".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :playbackSpeed,
      comment: "Identifies the rate of units against time at which the resource should be played back for human consumption.  If the unit of measure is known, use sub-properties framesPerSecond or inchesPerSecond.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#frameRate".freeze,
      label: "Playback speed".freeze,
      range: "http://www.w3.org/2001/XMLSchema#double".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :playlist,
      comment: "To provide a playlist.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Playlist".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#description".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :playsOut,
      comment: "To identify the Essence used in a PublicationEvent".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent".freeze,
      label: "Essence".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Essence".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :position,
      comment: "To indicate the position of an EditorialObject in an ordered\r\n      group.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject".freeze,
      label: "Position".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :privateEmailAddress,
      comment: "To provide the private email address of an\n            Agent (Contact/Person)".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person".freeze,
      label: "Private email".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#agentEmailAddress".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :privateHomepage,
      comment: "To provide an private web homepage of an Agent\n            (Contact/Person).".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person".freeze,
      equivalentProperty: "http://xmlns.com/foaf/0.1/homepage".freeze,
      label: "Homepage (private)".freeze,
      range: "http://www.w3.org/2001/XMLSchema#anyURI".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#agentWebHomepage".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :privateMobileTelephoneNumber,
      comment: "To provide the private mobile telephone number of an\n            Agent (Contact/Person).".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person".freeze,
      label: "Telephone (private)".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#agentTelephoneNumber".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :privateTelephoneNumber,
      comment: "To provide the private telephone number of an\n            Agent (Contact/Person).".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person".freeze,
      label: "Telephone (private)".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#agentTelephoneNumber".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :productionSynopsis,
      comment: "A synopsis or summary provided by the producer at the time of production.".freeze,
      label: "Production synopsis".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#description".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :promotionalInformation,
      comment: "To provide textual promotional information.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Promotional information".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#description".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :provenanceDateCreated,
      comment: "The date of creation of a Provenance instance.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Provenance".freeze,
      label: "Provenance creation date & time".freeze,
      range: "http://www.w3.org/2001/XMLSchema#dateTime".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :provenanceDateModified,
      comment: "The date of modification of a Provenance instance.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Provenance".freeze,
      label: "Provenance modification date & time".freeze,
      range: "http://www.w3.org/2001/XMLSchema#dateTime".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :provenanceDescription,
      comment: "To describe a Provenance.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Provenance".freeze,
      label: "Provenance description".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :provenanceId,
      comment: "To identify a Provenance.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Provenance".freeze,
      label: "Provenance Id".freeze,
      range: "http://www.w3.org/2001/XMLSchema#anyURI".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :provenanceName,
      comment: "To name a Provenance.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Provenance".freeze,
      label: "Provenance name".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :provenanceType,
      comment: ["Range: string, anyURI or Concept.".freeze, "To define a type of Provenance.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Provenance".freeze,
      label: "Provenance type".freeze,
      range: ["http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :pubStatus,
      comment: "To indicate a publication status.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Publication status".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#description".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :publicationChannelDescription,
      comment: "To provide a description of a PublicationChannel e.g. a TV channel or website.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationChannel".freeze,
      label: "PublicationChannel description".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :publicationChannelId,
      comment: ["An identifier attributed to a PublicationChannel.".freeze, "Range: Identifier, anyURI, string".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationChannel".freeze,
      label: "Publication channel identifier".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :publicationChannelName,
      comment: "To provide a name to a PublicationChannel e.g. a TV channel or website.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationChannel".freeze,
      label: "PublicationChannel name".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :publicationChannelType,
      comment: ["Range: string or PublicationChannel_Type.".freeze, "To define a type of PublicationChannel.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationChannel".freeze,
      label: "Publication Channel type".freeze,
      range: ["http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze, "http://www.w3.org/2004/02/skos/core#Concept".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :publicationDuration,
      comment: "The actual duration of a PublicationEvent.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent".freeze,
      label: "PublicationEvent duration".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :publicationEndDateTime,
      comment: "The actual end date and time of a PublicationEvent.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent".freeze,
      label: "PublicationEvent end date & time".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :publicationEventAbstract,
      comment: "To provide an abstract for a PublicationEvent.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent".freeze,
      label: "PublicationEvent abstract".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :publicationEventDescription,
      comment: "To provide the description of a PublicationEvent.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent".freeze,
      label: "PublicationEvent  description".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :publicationEventId,
      comment: ["An identifier attributed to a PublicationEvent.".freeze, "Range: Identifier, anyURI, string".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent".freeze,
      label: "Publication event identifier".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :publicationEventName,
      comment: "To provide a name to a PublicationEvent.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent".freeze,
      label: "PublicationEvent name".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :publicationEventTitle,
      comment: "To provide a title for a PublicationEvent.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent".freeze,
      label: "PublicationEvent title".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :publicationEventType,
      comment: ["A type of PublicationEvent.".freeze, "Range: a string or PublicationEvent_Type".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent".freeze,
      label: "Publication event type".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent_Type".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :publicationPlanDescription,
      comment: "A description of a PublicationPlan.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationPlan".freeze,
      label: "PublicationPlan description".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :publicationPlanEndDate,
      comment: "The end date of a PublicationPlan".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationPlan".freeze,
      label: "PublicationPlan end date".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :publicationPlanId,
      comment: ["An identifier attributed to a PublicationPlan.".freeze, "Range: Identifier, anyURI, string".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationPlan".freeze,
      label: "Publication plan identifier".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :publicationPlanName,
      comment: "A name attributed to a PublicationPlan.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationPlan".freeze,
      label: "Publication plan name".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :publicationPlanStartDate,
      comment: "The start date of a PublicationPlan".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationPlan".freeze,
      label: "PublicationPlan start date".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :publicationPlanStatus,
      comment: "To provide a status regarding the PublicationPlan.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationPlan".freeze,
      label: "PublicationPlan status".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :publicationScheduleDate,
      comment: "To express specifically the schedule date to which a PublicationEvent is related in particular if the broacdast time is after midnight. For example, the schedule date would be May 29th and the programme is published at 1 am on May 30th, while still associated in the schedule with the night of May 29th.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent".freeze,
      label: "Schedule date".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :publicationStartDateTime,
      comment: "The actual start date and time of a PublicationEvent.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent".freeze,
      label: "Publication start date & time".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :publishedEndDateTime,
      comment: "The end date and time of a PublicationEvent as\n            scheduled.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent".freeze,
      label: "Publication end date & time".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :publishedStartDateTime,
      comment: "The start date and time of a PublicationEvent\n            as scheduled.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent".freeze,
      label: "Publication start date & time".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :publishedTitle,
      comment: "The title used to identify the work at publication time.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Published title.".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#title".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :publishes,
      comment: "The editorial object associated to a PublicationEvent.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#PublicationEvent".freeze,
      label: "Editorial object".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :ratingDescription,
      comment: "To associate a description with a Rating.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rating".freeze,
      label: "Rating name".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :ratingId,
      comment: ["Range: string or anyURI or Identifier.".freeze, "To associate an id with a Rating.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rating".freeze,
      label: "Rating Id".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :ratingName,
      comment: "To associate a name with a Rating.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rating".freeze,
      label: "Rating name".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :ratingScaleMax,
      comment: "The maximum value of the scale used for the Rating\n            of a MediaResource.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rating".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#ratingScaleMax".freeze,
      label: "Rating scale (top value)".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :ratingScaleMin,
      comment: "The minimum value of the scale used for rating\n            a MediaResource.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rating".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#ratingScaleMin".freeze,
      label: "Rating scale (min. value)".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :ratingSystemEnvironment,
      comment: "To identify the environment in which rating applies.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rating".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#hasRatingSystem".freeze,
      label: "Rating environment".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :ratingSystemName,
      comment: "To identify a Rating system by its name.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rating".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#hasRatingSystem".freeze,
      label: "Rating system".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :ratingType,
      comment: ["Range: string or anyURI or Concept.".freeze, "To define a type of Rating.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rating".freeze,
      label: "Rating type".freeze,
      range: ["http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :ratingValue,
      comment: "To express a free text Rating value defined in\n            a rating classification scheme.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rating".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#ratingValue".freeze,
      label: "Rating".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :readyForPublication,
      comment: "A flag to indicate that the Essence is ready for publication.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Essence".freeze,
      label: "Ready for publication".freeze,
      range: "http://www.w3.org/2001/XMLSchema#boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :reason,
      comment: "A reason given for a rating.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rating".freeze,
      label: "Reason".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :references,
      comment: "To express a reference between Assets, BusinessObjects or Resources.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject".freeze,
      label: "References".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :regionDelimX,
      comment: "To define the top left corner of a zone on\n            the x-axis. If present with regionDelimy, the zone definition is complemented by the\n            associated values of the height and width.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Region delimiter (x-axis)".freeze,
      range: "http://www.w3.org/2001/XMLSchema#integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :regionDelimY,
      comment: "To define the bottom right corner of a zone on\n            the y-axis. If present with regionDelimX, the zone definition is complemented by the\n            associated values of the height and width.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Region delimiter (y-axis)".freeze,
      range: "http://www.w3.org/2001/XMLSchema#integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :relationIdentifier,
      comment: ["Range: string or Identifier.".freeze, "To identify a Relation.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Relation".freeze,
      label: "Relation Type".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :relationLink,
      comment: "To define a link in a Relation.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Relation".freeze,
      label: "Link".freeze,
      range: "http://www.w3.org/2001/XMLSchema#anyURI".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :relationNote,
      comment: "A note to provide additional information about a Relation.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Relation".freeze,
      label: "Relation Note".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :relationOrderedGroupFlag,
      comment: "A boolean to define if a Relation is defined within and ordered group.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Relation".freeze,
      label: "Relation Ordered group flag".freeze,
      range: "http://www.w3.org/2001/XMLSchema#boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :relationRunningOrderNumber,
      comment: "The order number in a list.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Relation".freeze,
      label: "Relation Running Order Number".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :relationTotalNumberOfGroupMembers,
      comment: "Total number of group members in a Relation.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Relation".freeze,
      label: "Total number of group members.".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :relationType,
      comment: ["Range: string or Relation_Type.".freeze, "To define a type of Relation.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Relation".freeze,
      label: "Relation Type".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Relation_Type".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :replaces,
      comment: "To identify substitution.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Replaces".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :represents,
      comment: "To establish a relation between a BusinessObject and an Asset.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject".freeze,
      label: "Related asset".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :requires,
      comment: "To express dependency.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Requires".freeze,
      range: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :resolution,
      comment: "To define the resolution of an Asset e.g. video, image...".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Resolution".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :resourceDescription,
      comment: "A desciprtion of a Resource.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Resource".freeze,
      label: "Resource description".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :resourceFileSize,
      comment: "Provides the size of a Resource in bytes.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Resource".freeze,
      label: "File size".freeze,
      range: "http://www.w3.org/2001/XMLSchema#double".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :resourceFilename,
      comment: "The name of the file containing the\n            Resource.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Resource".freeze,
      label: "File name".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :resourceId,
      comment: ["An identifier associated to a Resource.".freeze, "Range: Identifier or anyURI or string".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Resource id".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :resourceIdType,
      comment: ["Range: Resource_type or anyURI or string".freeze, "To define a type of Resource.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Resource id".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Resource_Type".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :resourceLocatorTargetInformation,
      comment: "Information on the Resource locator target.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Resource".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#locator".freeze,
      label: "Locator target information".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :resourceName,
      comment: "The name given to a Resource.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Resource".freeze,
      label: "Resource name".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :resourceOffset,
      comment: "The start offset within a Resource.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Resource offset".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :resourceOffsetNormalPlaytime,
      comment: "The resource offset in normal play time".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Resource offset normal playtime".freeze,
      range: "http://www.w3.org/2001/XMLSchema#time".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#resourceOffset".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :resourceOffsetNumberEditUnit,
      comment: "The resource offset in edit units".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Resource offset number edit units".freeze,
      range: "http://www.w3.org/2001/XMLSchema#long".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#resourceOffset".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :resourceOffsetTimecode,
      comment: "The resource offset in timecode".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Resource offset timecode.".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#resourceOffset".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :resourceOffsetTimecodedropframe,
      comment: "The resource offset in timecode dropframe".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Resource offset timecode (dropframe).".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#resourceOffset".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :rightsClearanceFlag,
      comment: "A flag to indicate that righst have been cleared".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#BusinessObject".freeze,
      label: "Rights clearance flag".freeze,
      range: "http://www.w3.org/2001/XMLSchema#boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :rightsDuration,
      comment: "To define the duration of the period when Rights are applicable.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rights".freeze,
      label: "Rights duration".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :rightsEndDateTime,
      comment: "To define the end time until when Rights are applicable.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rights".freeze,
      label: "Rights end date time".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :rightsExpression,
      comment: "To express an expression of Rights.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rights".freeze,
      label: "Rights".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :rightsId,
      comment: ["An identifier attributed to a set of Rights.".freeze, "Range: Identifier, anyURI, string".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rights".freeze,
      label: "Rights identifier".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :rightsLink,
      comment: "A link to e.g. a webpage where an expression of\n            the rights can be found and consulted.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rights".freeze,
      label: "Rights web resource".freeze,
      range: "http://www.w3.org/2001/XMLSchema#anyURI".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :rightsStartDateTime,
      comment: "To define the start time since when Rights are applicable.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rights".freeze,
      label: "Rights start date time".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :rightsTerritoryExcludes,
      comment: ["A list of country or region codes to which Rights do not apply.".freeze, "Range: string or CountryCode.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rights".freeze,
      label: "Excluded territories".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#CountryCode".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :rightsTerritoryIncludes,
      comment: ["A list of country or region codes to which Rights apply.".freeze, "Range: string or CountryCode.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rights".freeze,
      label: "Included territories".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#CountryCode".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :rightsType,
      comment: ["Range: a string or a Rights_Type or a ContractType.".freeze, "To identify a type of Rights.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Rights".freeze,
      label: "Rights type".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#ContractType".freeze, "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#ExclusivityType".freeze, "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#RightsType".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :roleId,
      comment: ["Range: string or anyURI.".freeze, "To identify a Role.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Role".freeze,
      label: "role Id".freeze,
      range: ["http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :roleType,
      comment: "To define a type of Role (not the Role itself).".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Role".freeze,
      label: "Role type".freeze,
      range: ["http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :salutationTitle,
      comment: "To provide a salutation title e.g M. Ms, Dr, Pr.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person".freeze,
      equivalentProperty: "http://xmlns.com/foaf/0.1/title".freeze,
      label: "Salutation title".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :sampleRate,
      comment: "The frequency at which audio is sampled per second. Also called sampling rate.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#samplingRate".freeze,
      label: "Sample Rate".freeze,
      range: "http://www.w3.org/2001/XMLSchema#integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :sampleSize,
      comment: "The size of an audio sample in\n            bits. Also called bit depth.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Sample size".freeze,
      range: "http://www.w3.org/2001/XMLSchema#integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :sampleType,
      comment: "The type of audio sample.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Sample type".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :scanningFormat,
      comment: "To define the scanning format for a\n            MediaResource. For video, the two main values are \"interlaced\" or\n            \"progressive\".".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Scanning format".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :script,
      comment: "To provide a script.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Script".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#description".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :seasonNumber,
      comment: "To provide a Season number.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Season number".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :serviceDescription,
      comment: "A description of the Service.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Service".freeze,
      label: "Service description".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :serviceId,
      comment: ["Range: string or Identifier.".freeze, "To attribute an identifiier to a Service.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Service".freeze,
      label: "Service identiifier".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :serviceName,
      comment: "The name of the Service.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Service".freeze,
      label: "Service name".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :serviceType,
      comment: ["Range: string or Service_type".freeze, "The type of a Service.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Service".freeze,
      label: "Service type".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Service_Type".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :shotLog,
      comment: "Provides a shot-by-shot description of a MediaResource.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Shot log".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#description".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :start,
      comment: "Start timestamp e.g. the start time for a MediaResource.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Start time".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :startEditUnits,
      comment: "A start time expressed as a number of edit\n            units.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Start time (edit units)".freeze,
      range: "http://www.w3.org/2001/XMLSchema#double".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#start".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :startNormalPlayTime,
      comment: "A start time expressed as a normal play time.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Start time (normal play time)".freeze,
      range: "http://www.w3.org/2001/XMLSchema#time".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#start".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :startOffsetEditUnit,
      comment: "A start offset time expressed as a number of edit\n            units.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Startoffset  time (edit units)".freeze,
      range: "http://www.w3.org/2001/XMLSchema#double".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#start".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :startOffsetNormalPlayTime,
      comment: "A start offset time expressed as normal play time.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Startoffset  time (edit units)".freeze,
      range: "http://www.w3.org/2001/XMLSchema#double".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#start".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :startOffsetTimecode,
      comment: "A start offset time expressed as\n            timecode.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Start offset time (timecode)".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#start".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :startOffsetTimecodeDropFrame,
      comment: "A start offset time expressed as\n            timecode with drop frames.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Start offset time (timecode, drop frames)".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#start".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :startTimecode,
      comment: "A start time expressed as\n            timecode.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Start time (timecode)".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#start".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :startTimecodeDropFrame,
      comment: "A start time expressed as\n            timecode with drop frames.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Start time (timecode, drop frames)".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#start".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :subtitle,
      comment: "A complementary subtitle.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Subtitle".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#alternativeTitle".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :suffix,
      comment: "To provide a suffix associated with a Person name e.g. Jr.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person".freeze,
      label: "Suffix".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :summary,
      comment: "To provide a summary.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Summary".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#description".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :synopsis,
      comment: "To provide a summary.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Synopsis".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#description".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :tableOfContent,
      comment: "to provide a table of content.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Table of content".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#description".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :tag,
      comment: "To provide a list of tags.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Tag".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#description".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :targetAudienceSystem,
      comment: "To define the system used to provide a TargetAudience.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#AudienceLevel".freeze,
      label: "Target audience system".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :textLineBoxHeight,
      comment: "The height of the text box containing the TextLine.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine".freeze,
      label: "Text line box height.".freeze,
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :textLineBoxTopLeftCornerLineNumber,
      comment: "The coordinates on a vertical axis of the position of the top left corner of the text box containing the TextLine.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine".freeze,
      label: "Text line box top left corner Y position.".freeze,
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :textLineBoxTopLeftCornerPixelNumber,
      comment: "The coordinates on an horizontal axis of the position of the top left corner of the text box containing the TextLine.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine".freeze,
      label: "Text line box top left Coner X position.".freeze,
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :textLineBoxWidth,
      comment: "The width of the text box containing the TextLine.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine".freeze,
      label: "Text line box width.".freeze,
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :textLineContent,
      comment: "To provide the content of a text line.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine".freeze,
      label: "Text line".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :textLineEndEditUnits,
      comment: "The end time of a TextLine expressed as a number of edit units.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine".freeze,
      label: "Text line end in edit units".freeze,
      range: "http://www.w3.org/2001/XMLSchema#long".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#textLineEndTime".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :textLineEndNormalPlayTime,
      comment: "The end time of a TextLine expressed as a normal play time.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine".freeze,
      label: "Text line end in normal play time".freeze,
      range: "http://www.w3.org/2001/XMLSchema#time".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#textLineEndTime".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :textLineEndTime,
      comment: "The end time point of a TextLine in a Scene.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine".freeze,
      label: "Text line end time".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :textLineEndTimecode,
      comment: "The end time of a TextLine expressed as timecode.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine".freeze,
      label: "Text line end timecode".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#textLineEndTime".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :textLineEndTimecodeDropFrame,
      comment: "The end time of a TextLine expressed as timecode with drop frames.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine".freeze,
      label: "Text line end timecode drop frames".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#textLineEndTime".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :textLineOrder,
      comment: "The order in which a text line can be found e.g. in a scene.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine".freeze,
      label: "Text line order".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :textLineStartEditUnits,
      comment: "The start time of a TextLine expressed as a number of edit units.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine".freeze,
      label: "Text line start in edit units".freeze,
      range: "http://www.w3.org/2001/XMLSchema#long".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#textLineStartTime".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :textLineStartNormalPlayTime,
      comment: "The start time of a TextLine expressed as a normal play time.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine".freeze,
      label: "Text line start in normal play time".freeze,
      range: "http://www.w3.org/2001/XMLSchema#time".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#textLineStartTime".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :textLineStartTime,
      comment: "The start time point of a TextLine in a Scene.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine".freeze,
      label: "Text line start time".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :textLineStartTimecode,
      comment: "The start time of a TextLine expressed as timecode.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine".freeze,
      label: "Text line start timecode".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#textLineStartTime".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :textLineStartTimecodeDropFrame,
      comment: "The start time of a TextLine expressed as timecode with drop frames.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TextLine".freeze,
      label: "Text line start timecode drop frames".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#textLineStartTime".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :timeCreated,
      comment: "the tie of creation of an Asset.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Time created.".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :timelineTrackDuration,
      comment: "To express the duration of a TimelineTrack.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TimelineTrack".freeze,
      label: "TimelineTrack duration".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :timelineTrackDurationEditUnits,
      comment: "To provide a duration as a number of edit units.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TimelineTrack".freeze,
      label: "Duration (edit unit)".freeze,
      range: "http://www.w3.org/2001/XMLSchema#time".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#timelineTrackDuration".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :timelineTrackDurationNormalPlayTime,
      comment: "To provide a duration as normal\n            time.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TimelineTrack".freeze,
      label: "Duration (time)".freeze,
      range: "http://www.w3.org/2001/XMLSchema#time".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#timelineTrackDuration".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :timelineTrackDurationTimecode,
      comment: "The duration expressed as a\n            timecode.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TimelineTrack".freeze,
      label: "Duration (timecode)".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#timelineTrackDuration".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :timelineTrackDurationTimecodeDropFrame,
      comment: "The duration expressed as a\n            timecode with drop frames.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#TimelineTrack".freeze,
      label: "Duration (timecode, drop frame)".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#timelineTrackDuration".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :title,
      comment: ["All value of the EBU title status\n            classification scheme\n            (http://www.ebu.ch/metadata/cs/web/ebu_TitleStatusCodeCS_p.xml.htm) are candidates\n            subproperties of the title property as implemented for an example with\n            alternativeTitle.".freeze, "Specifies the title or name given to the\n            resource.  A root for the definition of subproperties defining ebucore titles of different types. The ebucore title type can be used to define sub-properties to optionally refine the category of\n            the title.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      equivalentProperty: ["http://purl.org/dc/elements/1.1/title".freeze, "http://www.w3.org/ns/ma-ont#title".freeze],
      label: "Title".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :totalNumberOfEpisodes,
      comment: "To provide the total number of episodes in a Series or a Season.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Group".freeze,
      label: "Total number of episodes".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :totalNumberOfGroupMembers,
      comment: "To provide the total number of members in a Group.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Group".freeze,
      label: "Total number of Group members".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :trackDefinition,
      comment: "To provide a definition associated to a\n            Track.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Track".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#trackName".freeze,
      label: "Definition".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :trackId,
      comment: ["An Identifier attributed to a Track.".freeze, "Range: Identifier, anyURI, string".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Track".freeze,
      label: "Track identifier".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Identifier".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :trackName,
      comment: "To provide  name of a\n            Track.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Track".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#trackName".freeze,
      label: "Track name".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :trackType,
      comment: ["Range: string or Track_Type".freeze, "The type attributed to a Track.".freeze],
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Track".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#trackName".freeze,
      label: "Track name".freeze,
      range: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Track_Type".freeze, "http://www.w3.org/2001/XMLSchema#anyURI".freeze, "http://www.w3.org/2001/XMLSchema#string".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :translationTitle,
      comment: "A translated version of the title.".freeze,
      domain: ["http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#EditorialObject".freeze, "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze],
      label: "Translation title".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#alternativeTitle".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :username,
      comment: "The username by which a Person is\n            known e.g. when attributing a rating value.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Person".freeze,
      equivalentProperty: "http://xmlns.com/foaf/0.1/nick".freeze,
      label: "Username".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :version,
      comment: "To provide information on the current version of an EditorialObject.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Version".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :versionTitle,
      comment: "An alternative title specific to a verison of content.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Version title".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#alternativeTitle".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :videoBitRate,
      comment: "The video bitrate. To provide the bitrate at which the MediaResource can be played\r\n          in bits/second. Current bitrate if constant, and average bitrate if\r\n          variable.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Video bitrate".freeze,
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#bitRate".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :videoBitRateMax,
      comment: "The maximum video bitrate.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Video bitrate max".freeze,
      range: "http://www.w3.org/2001/XMLSchema#nonNegativeInteger".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#bitRateMax".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :videoBitRateMode,
      comment: "The video bitrate mode.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Video bitrate mode".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#bitRateMode".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :videoEncodingLevel,
      comment: "The encoding level as defined in specifications.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Video encoding level".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#encodingLevel".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :videoEncodingProfile,
      comment: "The encoding level as defined in specifications.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Video encoding profile".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#encodingProfile".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :width,
      comment: "The width of e.g. a video frame typically\n            expressed as a number of pixels, or picture/image in millimeters.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      equivalentProperty: "http://www.w3.org/ns/ma-ont#frameWidth".freeze,
      label: "Width".freeze,
      range: "http://www.w3.org/2001/XMLSchema#integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :widthUnit,
      comment: "The unit used to measure a width e.g. in pixels\n            or number of lines or millimeters or else.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#MediaResource".freeze,
      label: "Width unit".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :wordCount,
      comment: "The number of words contained in a\n            document.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Document".freeze,
      label: "Word count".freeze,
      range: "http://www.w3.org/2001/XMLSchema#integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :workingTitle,
      comment: "A title used while content is not complete.".freeze,
      domain: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#Asset".freeze,
      label: "Working title".freeze,
      range: "http://www.w3.org/2001/XMLSchema#string".freeze,
      subPropertyOf: "http://www.ebu.ch/metadata/ontologies/ebucore/ebucore#alternativeTitle".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
  end
end
