# -*- encoding: utf-8 -*-
# frozen_string_literal: true
# This file generated automatically using rdf vocabulary format from http://schema.org/
require 'rdf'
module RDF::Vocab
  SCHEMA = Class.new(RDF::StrictVocabulary("http://schema.org/")) do

    # Class definitions
    term :"3DModel",
      comment: "A 3D model represents some kind of 3D content, which may have [[encoding]]s in one or more [[MediaObject]]s. Many 3D formats are available (e.g. see [Wikipedia](https://en.wikipedia.org/wiki/Category:3D_graphics_file_formats)); specific encoding formats can be represented using the [[encodingFormat]] property applied to the relevant [[MediaObject]]. For the\ncase of a single file published after Zip compression, the convention of appending '+zip' to the [[encodingFormat]] can be used. Geospatial, AR/VR, artistic/animation, gaming, engineering and scientific content can all be represented using [[3DModel]].".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2140".freeze,
      label: "3DModel".freeze,
      subClassOf: "http://schema.org/MediaObject".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AMRadioChannel,
      comment: "A radio channel that uses AM.".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1004".freeze,
      label: "AMRadioChannel".freeze,
      subClassOf: "http://schema.org/RadioChannel".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :APIReference,
      comment: "Reference documentation for application programming interfaces (APIs).".freeze,
      label: "APIReference".freeze,
      subClassOf: "http://schema.org/TechArticle".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AboutPage,
      comment: "Web page type: About page.".freeze,
      label: "AboutPage".freeze,
      subClassOf: "http://schema.org/WebPage".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AcceptAction,
      comment: "The act of committing to/adopting an object.\\n\\nRelated actions:\\n\\n* [[RejectAction]]: The antonym of AcceptAction.".freeze,
      label: "AcceptAction".freeze,
      subClassOf: "http://schema.org/AllocateAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Accommodation,
      comment: "An accommodation is a place that can accommodate human beings, e.g. a hotel room, a camping pitch, or a meeting room. Many accommodations are for overnight stays, but this is not a mandatory requirement.\nFor more specific types of accommodations not defined in schema.org, one can use additionalType with external vocabularies.\n<br /><br />\nSee also the <a href=\"/docs/hotels.html\">dedicated document on the use of schema.org for marking up hotels and other forms of accommodations</a>.\n".freeze,
      "http://schema.org/source": "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#STI_Accommodation_Ontology".freeze,
      label: "Accommodation".freeze,
      subClassOf: "http://schema.org/Place".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AccountingService,
      comment: "Accountancy business.\\n\\nAs a [[LocalBusiness]] it can be described as a [[provider]] of one or more [[Service]]\\(s).\n      ".freeze,
      label: "AccountingService".freeze,
      subClassOf: "http://schema.org/FinancialService".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AchieveAction,
      comment: "The act of accomplishing something via previous efforts. It is an instantaneous action rather than an ongoing process.".freeze,
      label: "AchieveAction".freeze,
      subClassOf: "http://schema.org/Action".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Action,
      comment: "An action performed by a direct agent and indirect participants upon a direct object. Optionally happens at a location with the help of an inanimate instrument. The execution of the action may produce a result. Specific action sub-type documentation specifies the exact expectation of each argument/role.\\n\\nSee also [blog post](http://blog.schema.org/2014/04/announcing-schemaorg-actions.html) and [Actions overview document](http://schema.org/docs/actions.html).".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_ActionCollabClass".freeze,
      label: "Action".freeze,
      subClassOf: "http://schema.org/Thing".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ActionAccessSpecification,
      comment: "A set of requirements that a must be fulfilled in order to perform an Action.".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1741".freeze,
      label: "ActionAccessSpecification".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ActionStatusType,
      comment: "The status of an Action.".freeze,
      label: "ActionStatusType".freeze,
      subClassOf: "http://schema.org/StatusEnumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ActivateAction,
      comment: "The act of starting or activating a device or application (e.g. starting a timer or turning on a flashlight).".freeze,
      label: "ActivateAction".freeze,
      subClassOf: "http://schema.org/ControlAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AddAction,
      comment: "The act of editing by adding an object to a collection.".freeze,
      label: "AddAction".freeze,
      subClassOf: "http://schema.org/UpdateAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AdministrativeArea,
      comment: "A geographical region, typically under the jurisdiction of a particular government.".freeze,
      label: "AdministrativeArea".freeze,
      subClassOf: "http://schema.org/Place".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AdultEntertainment,
      comment: "An adult entertainment establishment.".freeze,
      label: "AdultEntertainment".freeze,
      subClassOf: "http://schema.org/EntertainmentBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AdvertiserContentArticle,
      comment: "An [[Article]] that an external entity has paid to place or to produce to its specifications. Includes [advertorials](https://en.wikipedia.org/wiki/Advertorial), sponsored content, native advertising and other paid content.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["https://github.com/schemaorg/schemaorg/issues/1525".freeze, "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#TP".freeze],
      label: "AdvertiserContentArticle".freeze,
      subClassOf: "http://schema.org/Article".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AggregateOffer,
      comment: "When a single product is associated with multiple offers (for example, the same pair of shoes is offered by different merchants), then AggregateOffer can be used.\\n\\nNote: AggregateOffers are normally expected to associate multiple offers that all share the same defined [[businessFunction]] value, or default to http://purl.org/goodrelations/v1#Sell if businessFunction is not explicitly defined.".freeze,
      label: "AggregateOffer".freeze,
      subClassOf: "http://schema.org/Offer".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AggregateRating,
      comment: "The average rating based on multiple ratings or reviews.".freeze,
      label: "AggregateRating".freeze,
      subClassOf: "http://schema.org/Rating".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AgreeAction,
      comment: "The act of expressing a consistency of opinion with the object. An agent agrees to/about an object (a proposition, topic or theme) with participants.".freeze,
      label: "AgreeAction".freeze,
      subClassOf: "http://schema.org/ReactAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Airline,
      comment: "An organization that provides flights for passengers.".freeze,
      label: "Airline".freeze,
      subClassOf: "http://schema.org/Organization".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Airport,
      comment: "An airport.".freeze,
      label: "Airport".freeze,
      subClassOf: "http://schema.org/CivicStructure".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AlignmentObject,
      comment: "An intangible item that describes an alignment between a learning resource and a node in an educational framework.\n\nShould not be used where the nature of the alignment can be described using a simple property, for example to express that a resource [[teaches]] or [[assesses]] a competency.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_LRMIClass".freeze,
      label: "AlignmentObject".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AllocateAction,
      comment: "The act of organizing tasks/objects/events by associating resources to it.".freeze,
      label: "AllocateAction".freeze,
      subClassOf: "http://schema.org/OrganizeAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AmpStory,
      comment: "A creative work with a visual storytelling format intended to be viewed online, particularly on mobile devices.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2646".freeze,
      label: "AmpStory".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AmusementPark,
      comment: "An amusement park.".freeze,
      label: "AmusementPark".freeze,
      subClassOf: "http://schema.org/EntertainmentBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AnalysisNewsArticle,
      comment: "An AnalysisNewsArticle is a [[NewsArticle]] that, while based on factual reporting, incorporates the expertise of the author/producer, offering interpretations and conclusions.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["https://github.com/schemaorg/schemaorg/issues/1525".freeze, "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#TP".freeze],
      label: "AnalysisNewsArticle".freeze,
      subClassOf: "http://schema.org/NewsArticle".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AnatomicalStructure,
      comment: "Any part of the human body, typically a component of an anatomical system. Organs, tissues, and cells are all anatomical structures.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "AnatomicalStructure".freeze,
      subClassOf: "http://schema.org/MedicalEntity".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AnatomicalSystem,
      comment: "An anatomical system is a group of anatomical structures that work together to perform a certain task. Anatomical systems, such as organ systems, are one organizing principle of anatomy, and can includes circulatory, digestive, endocrine, integumentary, immune, lymphatic, muscular, nervous, reproductive, respiratory, skeletal, urinary, vestibular, and other systems.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "AnatomicalSystem".freeze,
      subClassOf: "http://schema.org/MedicalEntity".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AnimalShelter,
      comment: "Animal shelter.".freeze,
      label: "AnimalShelter".freeze,
      subClassOf: "http://schema.org/LocalBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Answer,
      comment: "An answer offered to a question; perhaps correct, perhaps opinionated or wrong.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_QAStackExchange".freeze,
      label: "Answer".freeze,
      subClassOf: "http://schema.org/Comment".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Apartment,
      comment: "An apartment (in American English) or flat (in British English) is a self-contained housing unit (a type of residential real estate) that occupies only part of a building (Source: Wikipedia, the free encyclopedia, see <a href=\"http://en.wikipedia.org/wiki/Apartment\">http://en.wikipedia.org/wiki/Apartment</a>).".freeze,
      "http://schema.org/source": "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#STI_Accommodation_Ontology".freeze,
      label: "Apartment".freeze,
      subClassOf: "http://schema.org/Accommodation".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ApartmentComplex,
      comment: "Residence type: Apartment complex.".freeze,
      label: "ApartmentComplex".freeze,
      subClassOf: "http://schema.org/Residence".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AppendAction,
      comment: "The act of inserting at the end if an ordered collection.".freeze,
      label: "AppendAction".freeze,
      subClassOf: "http://schema.org/InsertAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ApplyAction,
      comment: "The act of registering to an organization/service without the guarantee to receive it.\\n\\nRelated actions:\\n\\n* [[RegisterAction]]: Unlike RegisterAction, ApplyAction has no guarantees that the application will be accepted.".freeze,
      label: "ApplyAction".freeze,
      subClassOf: "http://schema.org/OrganizeAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ApprovedIndication,
      comment: "An indication for a medical therapy that has been formally specified or approved by a regulatory body that regulates use of the therapy; for example, the US FDA approves indications for most drugs in the US.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "ApprovedIndication".freeze,
      subClassOf: "http://schema.org/MedicalIndication".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Aquarium,
      comment: "Aquarium.".freeze,
      label: "Aquarium".freeze,
      subClassOf: "http://schema.org/CivicStructure".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ArchiveComponent,
      comment: "An intangible type to be applied to any archive content, carrying with it a set of properties required to describe archival items and collections.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1758".freeze,
      label: "ArchiveComponent".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ArchiveOrganization,
      comment: "An organization with archival holdings. An organization which keeps and preserves archival material and typically makes it accessible to the public.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1758".freeze,
      label: "ArchiveOrganization".freeze,
      subClassOf: "http://schema.org/LocalBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ArriveAction,
      comment: "The act of arriving at a place. An agent arrives at a destination from a fromLocation, optionally with participants.".freeze,
      label: "ArriveAction".freeze,
      subClassOf: "http://schema.org/MoveAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ArtGallery,
      comment: "An art gallery.".freeze,
      label: "ArtGallery".freeze,
      subClassOf: "http://schema.org/EntertainmentBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Artery,
      comment: "A type of blood vessel that specifically carries blood away from the heart.".freeze,
      equivalentClass: "http://purl.bioontology.org/ontology/SNOMEDCT/51114001".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Artery".freeze,
      subClassOf: "http://schema.org/Vessel".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Article,
      comment: "An article, such as a news article or piece of investigative report. Newspapers and magazines have articles of many different types and this is intended to cover them all.\\n\\nSee also [blog post](http://blog.schema.org/2014/09/schemaorg-support-for-bibliographic_2.html).".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_rNews".freeze,
      label: "Article".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AskAction,
      comment: "The act of posing a question / favor to someone.\\n\\nRelated actions:\\n\\n* [[ReplyAction]]: Appears generally as a response to AskAction.".freeze,
      label: "AskAction".freeze,
      subClassOf: "http://schema.org/CommunicateAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AskPublicNewsArticle,
      comment: "A [[NewsArticle]] expressing an open call by a [[NewsMediaOrganization]] asking the public for input, insights, clarifications, anecdotes, documentation, etc., on an issue, for reporting purposes.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["https://github.com/schemaorg/schemaorg/issues/1525".freeze, "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#TP".freeze],
      label: "AskPublicNewsArticle".freeze,
      subClassOf: "http://schema.org/NewsArticle".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AssessAction,
      comment: "The act of forming one's opinion, reaction or sentiment.".freeze,
      label: "AssessAction".freeze,
      subClassOf: "http://schema.org/Action".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AssignAction,
      comment: "The act of allocating an action/event/task to some destination (someone or something).".freeze,
      label: "AssignAction".freeze,
      subClassOf: "http://schema.org/AllocateAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Atlas,
      comment: "A collection or bound volume of maps, charts, plates or tables, physical or in media form illustrating any subject.".freeze,
      "http://schema.org/isPartOf": "http://bib.schema.org".freeze,
      "http://schema.org/source": "http://www.productontology.org/id/Atlas".freeze,
      label: "Atlas".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Attorney,
      comment: "Professional service: Attorney. \\n\\nThis type is deprecated - [[LegalService]] is more inclusive and less ambiguous.".freeze,
      label: "Attorney".freeze,
      subClassOf: "http://schema.org/LegalService".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Audience,
      comment: "Intended audience for an item, i.e. the group for whom the item was created.".freeze,
      label: "Audience".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AudioObject,
      comment: "An audio file.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_rNews".freeze,
      label: "AudioObject".freeze,
      subClassOf: "http://schema.org/MediaObject".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AudioObjectSnapshot,
      comment: "A specific and exact (byte-for-byte) version of an [[AudioObject]]. Two byte-for-byte identical files, for the purposes of this type, considered identical. If they have different embedded metadata the files will differ. Different external facts about the files, e.g. creator or dateCreated that aren't represented in their actual content, do not affect this notion of identity.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2450".freeze,
      label: "AudioObjectSnapshot".freeze,
      subClassOf: "http://schema.org/AudioObject".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Audiobook,
      comment: "An audiobook.".freeze,
      "http://schema.org/isPartOf": "http://bib.schema.org".freeze,
      label: "Audiobook".freeze,
      subClassOf: ["http://schema.org/AudioObject".freeze, "http://schema.org/Book".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AuthorizeAction,
      comment: "The act of granting permission to an object.".freeze,
      label: "AuthorizeAction".freeze,
      subClassOf: "http://schema.org/AllocateAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AutoBodyShop,
      comment: "Auto body shop.".freeze,
      label: "AutoBodyShop".freeze,
      subClassOf: "http://schema.org/AutomotiveBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AutoDealer,
      comment: "An car dealership.".freeze,
      label: "AutoDealer".freeze,
      subClassOf: "http://schema.org/AutomotiveBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AutoPartsStore,
      comment: "An auto parts store.".freeze,
      label: "AutoPartsStore".freeze,
      subClassOf: ["http://schema.org/AutomotiveBusiness".freeze, "http://schema.org/Store".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AutoRental,
      comment: "A car rental business.".freeze,
      label: "AutoRental".freeze,
      subClassOf: "http://schema.org/AutomotiveBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AutoRepair,
      comment: "Car repair business.".freeze,
      label: "AutoRepair".freeze,
      subClassOf: "http://schema.org/AutomotiveBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AutoWash,
      comment: "A car wash business.".freeze,
      label: "AutoWash".freeze,
      subClassOf: "http://schema.org/AutomotiveBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AutomatedTeller,
      comment: "ATM/cash machine.".freeze,
      label: "AutomatedTeller".freeze,
      subClassOf: "http://schema.org/FinancialService".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :AutomotiveBusiness,
      comment: "Car repair, sales, or parts.".freeze,
      label: "AutomotiveBusiness".freeze,
      subClassOf: "http://schema.org/LocalBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BackgroundNewsArticle,
      comment: "A [[NewsArticle]] providing historical context, definition and detail on a specific topic (aka \"explainer\" or \"backgrounder\"). For example, an in-depth article or frequently-asked-questions ([FAQ](https://en.wikipedia.org/wiki/FAQ)) document on topics such as Climate Change or the European Union. Other kinds of background material from a non-news setting are often described using [[Book]] or [[Article]], in particular [[ScholarlyArticle]]. See also [[NewsArticle]] for related vocabulary from a learning/education perspective.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["https://github.com/schemaorg/schemaorg/issues/1525".freeze, "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#TP".freeze],
      label: "BackgroundNewsArticle".freeze,
      subClassOf: "http://schema.org/NewsArticle".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Bacteria,
      comment: "Pathogenic bacteria that cause bacterial infection.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Bacteria".freeze,
      type: "http://schema.org/InfectiousAgentClass".freeze
    term :Bakery,
      comment: "A bakery.".freeze,
      label: "Bakery".freeze,
      subClassOf: "http://schema.org/FoodEstablishment".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BankAccount,
      comment: "A product or service offered by a bank whereby one may deposit, withdraw or transfer money and in some cases be paid interest.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FIBO".freeze,
      label: "BankAccount".freeze,
      subClassOf: "http://schema.org/FinancialProduct".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BankOrCreditUnion,
      comment: "Bank or credit union.".freeze,
      label: "BankOrCreditUnion".freeze,
      subClassOf: "http://schema.org/FinancialService".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BarOrPub,
      comment: "A bar or pub.".freeze,
      label: "BarOrPub".freeze,
      subClassOf: "http://schema.org/FoodEstablishment".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Barcode,
      comment: "An image of a visual machine-readable code such as a barcode or QR code.".freeze,
      label: "Barcode".freeze,
      subClassOf: "http://schema.org/ImageObject".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Beach,
      comment: "Beach.".freeze,
      label: "Beach".freeze,
      subClassOf: "http://schema.org/CivicStructure".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BeautySalon,
      comment: "Beauty salon.".freeze,
      label: "BeautySalon".freeze,
      subClassOf: "http://schema.org/HealthAndBeautyBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BedAndBreakfast,
      comment: "Bed and breakfast.\n<br /><br />\nSee also the <a href=\"/docs/hotels.html\">dedicated document on the use of schema.org for marking up hotels and other forms of accommodations</a>.\n".freeze,
      label: "BedAndBreakfast".freeze,
      subClassOf: "http://schema.org/LodgingBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BedDetails,
      comment: "An entity holding detailed information about the available bed types, e.g. the quantity of twin beds for a hotel room. For the single case of just one bed of a certain type, you can use bed directly with a text. See also [[BedType]] (under development).".freeze,
      "http://schema.org/source": "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#STI_Accommodation_Ontology".freeze,
      label: "BedDetails".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BedType,
      comment: "A type of bed. This is used for indicating the bed or beds available in an accommodation.".freeze,
      "http://schema.org/source": ["https://github.com/schemaorg/schemaorg/issues/1262".freeze, "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#STI_Accommodation_Ontology".freeze],
      label: "BedType".freeze,
      subClassOf: "http://schema.org/QualitativeValue".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BefriendAction,
      comment: "The act of forming a personal connection with someone (object) mutually/bidirectionally/symmetrically.\\n\\nRelated actions:\\n\\n* [[FollowAction]]: Unlike FollowAction, BefriendAction implies that the connection is reciprocal.".freeze,
      label: "BefriendAction".freeze,
      subClassOf: "http://schema.org/InteractAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BikeStore,
      comment: "A bike store.".freeze,
      label: "BikeStore".freeze,
      subClassOf: "http://schema.org/Store".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BioChemEntity,
      comment: "Any biological, chemical, or biochemical thing. For example: a protein; a gene; a chemical; a synthetic chemical.".freeze,
      "http://purl.org/dc/terms/source": "http://bioschemas.org".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      label: "BioChemEntity".freeze,
      subClassOf: "http://schema.org/Thing".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Blog,
      comment: "A [blog](https://en.wikipedia.org/wiki/Blog), sometimes known as a \"weblog\". Note that the individual posts ([[BlogPosting]]s) in a [[Blog]] are often colloqually referred to by the same term.".freeze,
      label: "Blog".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BlogPosting,
      comment: "A blog post.".freeze,
      label: "BlogPosting".freeze,
      subClassOf: "http://schema.org/SocialMediaPosting".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BloodTest,
      comment: "A medical test performed on a sample of a patient's blood.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "BloodTest".freeze,
      subClassOf: "http://schema.org/MedicalTest".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BoardingPolicyType,
      comment: "A type of boarding policy used by an airline.".freeze,
      label: "BoardingPolicyType".freeze,
      subClassOf: "http://schema.org/Enumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BoatReservation,
      comment: "A reservation for boat travel.\n\nNote: This type is for information about actual reservations, e.g. in confirmation emails or HTML pages with individual confirmations of reservations. For offers of tickets, use [[Offer]].".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1755".freeze,
      label: "BoatReservation".freeze,
      subClassOf: "http://schema.org/Reservation".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BoatTerminal,
      comment: "A terminal for boats, ships, and other water vessels.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1755".freeze,
      label: "BoatTerminal".freeze,
      subClassOf: "http://schema.org/CivicStructure".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BoatTrip,
      comment: "A trip on a commercial ferry line.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1755".freeze,
      label: "BoatTrip".freeze,
      subClassOf: "http://schema.org/Trip".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BodyMeasurementTypeEnumeration,
      comment: "Enumerates types (or dimensions) of a person's body measurements, for example for fitting of clothes.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "BodyMeasurementTypeEnumeration".freeze,
      subClassOf: "http://schema.org/MeasurementTypeEnumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BodyOfWater,
      comment: "A body of water, such as a sea, ocean, or lake.".freeze,
      label: "BodyOfWater".freeze,
      subClassOf: "http://schema.org/Landform".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Bone,
      comment: "Rigid connective tissue that comprises up the skeletal structure of the human body.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Bone".freeze,
      subClassOf: "http://schema.org/AnatomicalStructure".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Book,
      comment: "A book.".freeze,
      label: "Book".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BookFormatType,
      comment: "The publication format of the book.".freeze,
      label: "BookFormatType".freeze,
      subClassOf: "http://schema.org/Enumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BookSeries,
      comment: "A series of books. Included books can be indicated with the hasPart property.".freeze,
      label: "BookSeries".freeze,
      subClassOf: "http://schema.org/CreativeWorkSeries".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BookStore,
      comment: "A bookstore.".freeze,
      label: "BookStore".freeze,
      subClassOf: "http://schema.org/Store".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BookmarkAction,
      comment: "An agent bookmarks/flags/labels/tags/marks an object.".freeze,
      label: "BookmarkAction".freeze,
      subClassOf: "http://schema.org/OrganizeAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Boolean,
      comment: "Boolean: True or False.".freeze,
      label: "Boolean".freeze,
      type: ["http://schema.org/DataType".freeze, "http://www.w3.org/2000/01/rdf-schema#Class".freeze]
    term :BorrowAction,
      comment: "The act of obtaining an object under an agreement to return it at a later date. Reciprocal of LendAction.\\n\\nRelated actions:\\n\\n* [[LendAction]]: Reciprocal of BorrowAction.".freeze,
      label: "BorrowAction".freeze,
      subClassOf: "http://schema.org/TransferAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BowlingAlley,
      comment: "A bowling alley.".freeze,
      label: "BowlingAlley".freeze,
      subClassOf: "http://schema.org/SportsActivityLocation".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BrainStructure,
      comment: "Any anatomical structure which pertains to the soft nervous tissue functioning as the coordinating center of sensation and intellectual and nervous activity.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "BrainStructure".freeze,
      subClassOf: "http://schema.org/AnatomicalStructure".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Brand,
      comment: "A brand is a name used by an organization or business person for labeling a product, product group, or similar.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsClass".freeze,
      label: "Brand".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BreadcrumbList,
      comment: "A BreadcrumbList is an ItemList consisting of a chain of linked Web pages, typically described using at least their URL and their name, and typically ending with the current page.\\n\\nThe [[position]] property is used to reconstruct the order of the items in a BreadcrumbList The convention is that a breadcrumb list has an [[itemListOrder]] of [[ItemListOrderAscending]] (lower values listed first), and that the first items in this list correspond to the \"top\" or beginning of the breadcrumb trail, e.g. with a site or section homepage. The specific values of 'position' are not assigned meaning for a BreadcrumbList, but they should be integers, e.g. beginning with '1' for the first item in the list.\n      ".freeze,
      label: "BreadcrumbList".freeze,
      subClassOf: "http://schema.org/ItemList".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Brewery,
      comment: "Brewery.".freeze,
      label: "Brewery".freeze,
      subClassOf: "http://schema.org/FoodEstablishment".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Bridge,
      comment: "A bridge.".freeze,
      label: "Bridge".freeze,
      subClassOf: "http://schema.org/CivicStructure".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BroadcastChannel,
      comment: "A unique instance of a BroadcastService on a CableOrSatelliteService lineup.".freeze,
      label: "BroadcastChannel".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BroadcastEvent,
      comment: "An over the air or online broadcast event.".freeze,
      label: "BroadcastEvent".freeze,
      subClassOf: "http://schema.org/PublicationEvent".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BroadcastFrequencySpecification,
      comment: "The frequency in MHz and the modulation used for a particular BroadcastService.".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1004".freeze,
      label: "BroadcastFrequencySpecification".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BroadcastService,
      comment: "A delivery service through which content is provided via broadcast over the air or online.".freeze,
      label: "BroadcastService".freeze,
      subClassOf: "http://schema.org/Service".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BrokerageAccount,
      comment: "An account that allows an investor to deposit funds and place investment orders with a licensed broker or brokerage firm.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FIBO".freeze, "https://github.com/schemaorg/schemaorg/issues/1253".freeze],
      label: "BrokerageAccount".freeze,
      subClassOf: "http://schema.org/InvestmentOrDeposit".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BuddhistTemple,
      comment: "A Buddhist temple.".freeze,
      label: "BuddhistTemple".freeze,
      subClassOf: "http://schema.org/PlaceOfWorship".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BusOrCoach,
      comment: "A bus (also omnibus or autobus) is a road vehicle designed to carry passengers. Coaches are luxury busses, usually in service for long distance travel.".freeze,
      "http://schema.org/isPartOf": "http://auto.schema.org".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "BusOrCoach".freeze,
      subClassOf: "http://schema.org/Vehicle".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BusReservation,
      comment: "A reservation for bus travel. \\n\\nNote: This type is for information about actual reservations, e.g. in confirmation emails or HTML pages with individual confirmations of reservations. For offers of tickets, use [[Offer]].".freeze,
      label: "BusReservation".freeze,
      subClassOf: "http://schema.org/Reservation".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BusStation,
      comment: "A bus station.".freeze,
      label: "BusStation".freeze,
      subClassOf: "http://schema.org/CivicStructure".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BusStop,
      comment: "A bus stop.".freeze,
      label: "BusStop".freeze,
      subClassOf: "http://schema.org/CivicStructure".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BusTrip,
      comment: "A trip on a commercial bus line.".freeze,
      label: "BusTrip".freeze,
      subClassOf: "http://schema.org/Trip".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BusinessAudience,
      comment: "A set of characteristics belonging to businesses, e.g. who compose an item's target audience.".freeze,
      label: "BusinessAudience".freeze,
      subClassOf: "http://schema.org/Audience".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BusinessEntityType,
      comment: "A business entity type is a conceptual entity representing the legal form, the size, the main line of business, the position in the value chain, or any combination thereof, of an organization or business person.\\n\\nCommonly used values:\\n\\n* http://purl.org/goodrelations/v1#Business\\n* http://purl.org/goodrelations/v1#Enduser\\n* http://purl.org/goodrelations/v1#PublicInstitution\\n* http://purl.org/goodrelations/v1#Reseller\n\t  ".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsClass".freeze,
      label: "BusinessEntityType".freeze,
      subClassOf: "http://schema.org/Enumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BusinessEvent,
      comment: "Event type: Business event.".freeze,
      label: "BusinessEvent".freeze,
      subClassOf: "http://schema.org/Event".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BusinessFunction,
      comment: "The business function specifies the type of activity or access (i.e., the bundle of rights) offered by the organization or business person through the offer. Typical are sell, rental or lease, maintenance or repair, manufacture / produce, recycle / dispose, engineering / construction, or installation. Proprietary specifications of access rights are also instances of this class.\\n\\nCommonly used values:\\n\\n* http://purl.org/goodrelations/v1#ConstructionInstallation\\n* http://purl.org/goodrelations/v1#Dispose\\n* http://purl.org/goodrelations/v1#LeaseOut\\n* http://purl.org/goodrelations/v1#Maintain\\n* http://purl.org/goodrelations/v1#ProvideService\\n* http://purl.org/goodrelations/v1#Repair\\n* http://purl.org/goodrelations/v1#Sell\\n* http://purl.org/goodrelations/v1#Buy\n        ".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsClass".freeze,
      label: "BusinessFunction".freeze,
      subClassOf: "http://schema.org/Enumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :BuyAction,
      comment: "The act of giving money to a seller in exchange for goods or services rendered. An agent buys an object, product, or service from a seller for a price. Reciprocal of SellAction.".freeze,
      label: "BuyAction".freeze,
      subClassOf: "http://schema.org/TradeAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :CDCPMDRecord,
      comment: "A CDCPMDRecord is a data structure representing a record in a CDC tabular data format\n      used for hospital data reporting. See [documentation](/docs/cdc-covid.html) for details, and the linked CDC materials for authoritative\n      definitions used as the source here.\n      ".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2521".freeze,
      label: "CDCPMDRecord".freeze,
      subClassOf: "http://schema.org/StructuredValue".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :CableOrSatelliteService,
      comment: "A service which provides access to media programming like TV or radio. Access may be via cable or satellite.".freeze,
      label: "CableOrSatelliteService".freeze,
      subClassOf: "http://schema.org/Service".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :CafeOrCoffeeShop,
      comment: "A cafe or coffee shop.".freeze,
      label: "CafeOrCoffeeShop".freeze,
      subClassOf: "http://schema.org/FoodEstablishment".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Campground,
      comment: "A camping site, campsite, or [[Campground]] is a place used for overnight stay in the outdoors, typically containing individual [[CampingPitch]] locations. \\n\\n\nIn British English a campsite is an area, usually divided into a number of pitches, where people can camp overnight using tents or camper vans or caravans; this British English use of the word is synonymous with the American English expression campground. In American English the term campsite generally means an area where an individual, family, group, or military unit can pitch a tent or park a camper; a campground may contain many campsites (Source: Wikipedia see [https://en.wikipedia.org/wiki/Campsite](https://en.wikipedia.org/wiki/Campsite)).\\n\\n\n\nSee also the dedicated [document on the use of schema.org for marking up hotels and other forms of accommodations](/docs/hotels.html).\n".freeze,
      "http://schema.org/source": "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#STI_Accommodation_Ontology".freeze,
      label: "Campground".freeze,
      subClassOf: ["http://schema.org/CivicStructure".freeze, "http://schema.org/LodgingBusiness".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :CampingPitch,
      comment: "A [[CampingPitch]] is an individual place for overnight stay in the outdoors, typically being part of a larger camping site, or [[Campground]].\\n\\n\nIn British English a campsite, or campground, is an area, usually divided into a number of pitches, where people can camp overnight using tents or camper vans or caravans; this British English use of the word is synonymous with the American English expression campground. In American English the term campsite generally means an area where an individual, family, group, or military unit can pitch a tent or park a camper; a campground may contain many campsites.\n(Source: Wikipedia see [https://en.wikipedia.org/wiki/Campsite](https://en.wikipedia.org/wiki/Campsite)).\\n\\n\nSee also the dedicated [document on the use of schema.org for marking up hotels and other forms of accommodations](/docs/hotels.html).\n".freeze,
      "http://schema.org/source": "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#STI_Accommodation_Ontology".freeze,
      label: "CampingPitch".freeze,
      subClassOf: "http://schema.org/Accommodation".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Canal,
      comment: "A canal, like the Panama Canal.".freeze,
      label: "Canal".freeze,
      subClassOf: "http://schema.org/BodyOfWater".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :CancelAction,
      comment: "The act of asserting that a future event/action is no longer going to happen.\\n\\nRelated actions:\\n\\n* [[ConfirmAction]]: The antonym of CancelAction.".freeze,
      label: "CancelAction".freeze,
      subClassOf: "http://schema.org/PlanAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Car,
      comment: "A car is a wheeled, self-powered motor vehicle used for transportation.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "Car".freeze,
      subClassOf: "http://schema.org/Vehicle".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :CarUsageType,
      comment: "A value indicating a special usage of a car, e.g. commercial rental, driving school, or as a taxi.".freeze,
      "http://schema.org/isPartOf": "http://auto.schema.org".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "CarUsageType".freeze,
      subClassOf: "http://schema.org/Enumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Casino,
      comment: "A casino.".freeze,
      label: "Casino".freeze,
      subClassOf: "http://schema.org/EntertainmentBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :CategoryCode,
      comment: "A Category Code.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/894".freeze,
      label: "CategoryCode".freeze,
      subClassOf: "http://schema.org/DefinedTerm".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :CategoryCodeSet,
      comment: "A set of Category Code values.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/894".freeze,
      label: "CategoryCodeSet".freeze,
      subClassOf: "http://schema.org/DefinedTermSet".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :CatholicChurch,
      comment: "A Catholic church.".freeze,
      label: "CatholicChurch".freeze,
      subClassOf: "http://schema.org/Church".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Cemetery,
      comment: "A graveyard.".freeze,
      label: "Cemetery".freeze,
      subClassOf: "http://schema.org/CivicStructure".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Chapter,
      comment: "One of the sections into which a book is divided. A chapter usually has a section number or a name.".freeze,
      "http://schema.org/isPartOf": "http://bib.schema.org".freeze,
      label: "Chapter".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :CheckAction,
      comment: "An agent inspects, determines, investigates, inquires, or examines an object's accuracy, quality, condition, or state.".freeze,
      label: "CheckAction".freeze,
      subClassOf: "http://schema.org/FindAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :CheckInAction,
      comment: "The act of an agent communicating (service provider, social media, etc) their arrival by registering/confirming for a previously reserved service (e.g. flight check in) or at a place (e.g. hotel), possibly resulting in a result (boarding pass, etc).\\n\\nRelated actions:\\n\\n* [[CheckOutAction]]: The antonym of CheckInAction.\\n* [[ArriveAction]]: Unlike ArriveAction, CheckInAction implies that the agent is informing/confirming the start of a previously reserved service.\\n* [[ConfirmAction]]: Unlike ConfirmAction, CheckInAction implies that the agent is informing/confirming the *start* of a previously reserved service rather than its validity/existence.".freeze,
      label: "CheckInAction".freeze,
      subClassOf: "http://schema.org/CommunicateAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :CheckOutAction,
      comment: "The act of an agent communicating (service provider, social media, etc) their departure of a previously reserved service (e.g. flight check in) or place (e.g. hotel).\\n\\nRelated actions:\\n\\n* [[CheckInAction]]: The antonym of CheckOutAction.\\n* [[DepartAction]]: Unlike DepartAction, CheckOutAction implies that the agent is informing/confirming the end of a previously reserved service.\\n* [[CancelAction]]: Unlike CancelAction, CheckOutAction implies that the agent is informing/confirming the end of a previously reserved service.".freeze,
      label: "CheckOutAction".freeze,
      subClassOf: "http://schema.org/CommunicateAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :CheckoutPage,
      comment: "Web page type: Checkout page.".freeze,
      label: "CheckoutPage".freeze,
      subClassOf: "http://schema.org/WebPage".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ChemicalSubstance,
      comment: "A chemical substance is 'a portion of matter of constant composition, composed of molecular entities of the same type or of different types' (source: [ChEBI:59999](https://www.ebi.ac.uk/chebi/searchId.do?chebiId=59999)).".freeze,
      "http://purl.org/dc/terms/source": ["http://bioschemas.org".freeze, "https://www.ebi.ac.uk/chebi/searchId.do?chebiId=59999".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      label: "ChemicalSubstance".freeze,
      subClassOf: "http://schema.org/BioChemEntity".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ChildCare,
      comment: "A Childcare center.".freeze,
      label: "ChildCare".freeze,
      subClassOf: "http://schema.org/LocalBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ChildrensEvent,
      comment: "Event type: Children's event.".freeze,
      label: "ChildrensEvent".freeze,
      subClassOf: "http://schema.org/Event".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ChooseAction,
      comment: "The act of expressing a preference from a set of options or a large or unbounded set of choices/options.".freeze,
      label: "ChooseAction".freeze,
      subClassOf: "http://schema.org/AssessAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Church,
      comment: "A church.".freeze,
      label: "Church".freeze,
      subClassOf: "http://schema.org/PlaceOfWorship".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :City,
      comment: "A city or town.".freeze,
      label: "City".freeze,
      subClassOf: "http://schema.org/AdministrativeArea".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :CityHall,
      comment: "A city hall.".freeze,
      label: "CityHall".freeze,
      subClassOf: "http://schema.org/GovernmentBuilding".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :CivicStructure,
      comment: "A public structure, such as a town hall or concert hall.".freeze,
      label: "CivicStructure".freeze,
      subClassOf: "http://schema.org/Place".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Claim,
      comment: "A [[Claim]] in Schema.org represents a specific, factually-oriented claim that could be the [[itemReviewed]] in a [[ClaimReview]]. The content of a claim can be summarized with the [[text]] property. Variations on well known claims can have their common identity indicated via [[sameAs]] links, and summarized with a [[name]]. Ideally, a [[Claim]] description includes enough contextual information to minimize the risk of ambiguity or inclarity. In practice, many claims are better understood in the context in which they appear or the interpretations provided by claim reviews.\n\n  Beyond [[ClaimReview]], the Claim type can be associated with related creative works - for example a [[ScholarlyArticle]] or [[Question]] might be [[about]] some [[Claim]].\n\n  At this time, Schema.org does not define any types of relationship between claims. This is a natural area for future exploration.\n  ".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1828".freeze,
      label: "Claim".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ClaimReview,
      comment: "A fact-checking review of claims made (or reported) in some creative work (referenced via itemReviewed).".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1061".freeze,
      label: "ClaimReview".freeze,
      subClassOf: "http://schema.org/Review".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Class,
      comment: "A class, also often called a 'Type'; equivalent to rdfs:Class.".freeze,
      equivalentClass: "http://www.w3.org/2000/01/rdf-schema#Class".freeze,
      "http://schema.org/isPartOf": "http://meta.schema.org".freeze,
      label: "Class".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Clip,
      comment: "A short TV or radio program or a segment/part of a program.".freeze,
      label: "Clip".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ClothingStore,
      comment: "A clothing store.".freeze,
      label: "ClothingStore".freeze,
      subClassOf: "http://schema.org/Store".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Code,
      comment: "Computer programming source code. Example: Full (compile ready) solutions, code snippet samples, scripts, templates.".freeze,
      "http://schema.org/supersededBy": "http://schema.org/SoftwareSourceCode".freeze,
      label: "Code".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Collection,
      comment: "A collection of items e.g. creative works or products.".freeze,
      "http://schema.org/isPartOf": "http://bib.schema.org".freeze,
      label: "Collection".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :CollectionPage,
      comment: "Web page type: Collection page.".freeze,
      label: "CollectionPage".freeze,
      subClassOf: "http://schema.org/WebPage".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :CollegeOrUniversity,
      comment: "A college, university, or other third-level educational institution.".freeze,
      label: "CollegeOrUniversity".freeze,
      subClassOf: "http://schema.org/EducationalOrganization".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ComedyClub,
      comment: "A comedy club.".freeze,
      label: "ComedyClub".freeze,
      subClassOf: "http://schema.org/EntertainmentBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ComedyEvent,
      comment: "Event type: Comedy event.".freeze,
      label: "ComedyEvent".freeze,
      subClassOf: "http://schema.org/Event".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ComicCoverArt,
      comment: "The artwork on the cover of a comic.".freeze,
      "http://schema.org/isPartOf": "http://bib.schema.org".freeze,
      label: "ComicCoverArt".freeze,
      subClassOf: ["http://schema.org/ComicStory".freeze, "http://schema.org/CoverArt".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ComicIssue,
      comment: "Individual comic issues are serially published as\n    \tpart of a larger series. For the sake of consistency, even one-shot issues\n    \tbelong to a series comprised of a single issue. All comic issues can be\n    \tuniquely identified by: the combination of the name and volume number of the\n    \tseries to which the issue belongs; the issue number; and the variant\n    \tdescription of the issue (if any).".freeze,
      "http://schema.org/isPartOf": "http://bib.schema.org".freeze,
      label: "ComicIssue".freeze,
      subClassOf: "http://schema.org/PublicationIssue".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ComicSeries,
      comment: "A sequential publication of comic stories under a\n    \tunifying title, for example \"The Amazing Spider-Man\" or \"Groo the\n    \tWanderer\".".freeze,
      "http://schema.org/isPartOf": "http://bib.schema.org".freeze,
      label: "ComicSeries".freeze,
      subClassOf: "http://schema.org/Periodical".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ComicStory,
      comment: "The term \"story\" is any indivisible, re-printable\n    \tunit of a comic, including the interior stories, covers, and backmatter. Most\n    \tcomics have at least two stories: a cover (ComicCoverArt) and an interior story.".freeze,
      "http://schema.org/isPartOf": "http://bib.schema.org".freeze,
      label: "ComicStory".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Comment,
      comment: "A comment on an item - for example, a comment on a blog post. The comment's content is expressed via the [[text]] property, and its topic via [[about]], properties shared with all CreativeWorks.".freeze,
      label: "Comment".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :CommentAction,
      comment: "The act of generating a comment about a subject.".freeze,
      label: "CommentAction".freeze,
      subClassOf: "http://schema.org/CommunicateAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :CommunicateAction,
      comment: "The act of conveying information to another person via a communication medium (instrument) such as speech, email, or telephone conversation.".freeze,
      label: "CommunicateAction".freeze,
      subClassOf: "http://schema.org/InteractAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :CompleteDataFeed,
      comment: "A [[CompleteDataFeed]] is a [[DataFeed]] whose standard representation includes content for every item currently in the feed.\n\nThis is the equivalent of Atom's element as defined in Feed Paging and Archiving [RFC 5005](https://tools.ietf.org/html/rfc5005), For example (and as defined for Atom), when using data from a feed that represents a collection of items that varies over time (e.g. \"Top Twenty Records\") there is no need to have newer entries mixed in alongside older, obsolete entries. By marking this feed as a CompleteDataFeed, old entries can be safely discarded when the feed is refreshed, since we can assume the feed has provided descriptions for all current items.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1397".freeze,
      label: "CompleteDataFeed".freeze,
      subClassOf: "http://schema.org/DataFeed".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :CompoundPriceSpecification,
      comment: "A compound price specification is one that bundles multiple prices that all apply in combination for different dimensions of consumption. Use the name property of the attached unit price specification for indicating the dimension of a price component (e.g. \"electricity\" or \"final cleaning\").".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsClass".freeze,
      label: "CompoundPriceSpecification".freeze,
      subClassOf: "http://schema.org/PriceSpecification".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ComputerLanguage,
      comment: "This type covers computer programming languages such as Scheme and Lisp, as well as other language-like computer representations. Natural languages are best represented with the [[Language]] type.".freeze,
      label: "ComputerLanguage".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ComputerStore,
      comment: "A computer store.".freeze,
      label: "ComputerStore".freeze,
      subClassOf: "http://schema.org/Store".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ConfirmAction,
      comment: "The act of notifying someone that a future event/action is going to happen as expected.\\n\\nRelated actions:\\n\\n* [[CancelAction]]: The antonym of ConfirmAction.".freeze,
      label: "ConfirmAction".freeze,
      subClassOf: "http://schema.org/InformAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Consortium,
      comment: "A Consortium is a membership [[Organization]] whose members are typically Organizations.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1559".freeze,
      label: "Consortium".freeze,
      subClassOf: "http://schema.org/Organization".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ConsumeAction,
      comment: "The act of ingesting information/resources/food.".freeze,
      label: "ConsumeAction".freeze,
      subClassOf: "http://schema.org/Action".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ContactPage,
      comment: "Web page type: Contact page.".freeze,
      label: "ContactPage".freeze,
      subClassOf: "http://schema.org/WebPage".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ContactPoint,
      comment: "A contact point&#x2014;for example, a Customer Complaints department.".freeze,
      label: "ContactPoint".freeze,
      subClassOf: "http://schema.org/StructuredValue".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ContactPointOption,
      comment: "Enumerated options related to a ContactPoint.".freeze,
      label: "ContactPointOption".freeze,
      subClassOf: "http://schema.org/Enumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Continent,
      comment: "One of the continents (for example, Europe or Africa).".freeze,
      label: "Continent".freeze,
      subClassOf: "http://schema.org/Landform".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ControlAction,
      comment: "An agent controls a device or application.".freeze,
      label: "ControlAction".freeze,
      subClassOf: "http://schema.org/Action".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ConvenienceStore,
      comment: "A convenience store.".freeze,
      label: "ConvenienceStore".freeze,
      subClassOf: "http://schema.org/Store".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Conversation,
      comment: "One or more messages between organizations or people on a particular topic. Individual messages can be linked to the conversation with isPartOf or hasPart properties.".freeze,
      label: "Conversation".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :CookAction,
      comment: "The act of producing/preparing food.".freeze,
      label: "CookAction".freeze,
      subClassOf: "http://schema.org/CreateAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Corporation,
      comment: "Organization: A business corporation.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_rNews".freeze,
      label: "Corporation".freeze,
      subClassOf: "http://schema.org/Organization".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :CorrectionComment,
      comment: "A [[comment]] that corrects [[CreativeWork]].".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1950".freeze,
      label: "CorrectionComment".freeze,
      subClassOf: "http://schema.org/Comment".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Country,
      comment: "A country.".freeze,
      label: "Country".freeze,
      subClassOf: "http://schema.org/AdministrativeArea".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Course,
      comment: "A description of an educational course which may be offered as distinct instances at which take place at different times or take place at different locations, or be offered through different media or modes of study. An educational course is a sequence of one or more educational events and/or creative works which aims to build knowledge, competence or ability of learners.".freeze,
      label: "Course".freeze,
      subClassOf: ["http://schema.org/CreativeWork".freeze, "http://schema.org/LearningResource".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :CourseInstance,
      comment: "An instance of a [[Course]] which is distinct from other instances because it is offered at a different time or location or through different media or modes of study or to a specific section of students.".freeze,
      label: "CourseInstance".freeze,
      subClassOf: "http://schema.org/Event".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Courthouse,
      comment: "A courthouse.".freeze,
      label: "Courthouse".freeze,
      subClassOf: "http://schema.org/GovernmentBuilding".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :CoverArt,
      comment: "The artwork on the outer surface of a CreativeWork.".freeze,
      "http://schema.org/isPartOf": "http://bib.schema.org".freeze,
      label: "CoverArt".freeze,
      subClassOf: "http://schema.org/VisualArtwork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :CovidTestingFacility,
      comment: "A CovidTestingFacility is a [[MedicalClinic]] where testing for the COVID-19 Coronavirus\n      disease is available. If the facility is being made available from an established [[Pharmacy]], [[Hotel]], or other\n      non-medical organization, multiple types can be listed. This makes it easier to re-use existing schema.org information\n      about that place e.g. contact info, address, opening hours. Note that in an emergency, such information may not always be reliable.\n      ".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2490".freeze,
      label: "CovidTestingFacility".freeze,
      subClassOf: "http://schema.org/MedicalClinic".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :CreateAction,
      comment: "The act of deliberately creating/producing/generating/building a result out of the agent.".freeze,
      label: "CreateAction".freeze,
      subClassOf: "http://schema.org/Action".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :CreativeWork,
      comment: "The most generic kind of creative work, including books, movies, photographs, software programs, etc.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_rNews".freeze,
      label: "CreativeWork".freeze,
      subClassOf: "http://schema.org/Thing".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :CreativeWorkSeason,
      comment: "A media season e.g. tv, radio, video game etc.".freeze,
      label: "CreativeWorkSeason".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :CreativeWorkSeries,
      comment: "A CreativeWorkSeries in schema.org is a group of related items, typically but not necessarily of the same kind. CreativeWorkSeries are usually organized into some order, often chronological. Unlike [[ItemList]] which is a general purpose data structure for lists of things, the emphasis with CreativeWorkSeries is on published materials (written e.g. books and periodicals, or media such as tv, radio and games).\\n\\nSpecific subtypes are available for describing [[TVSeries]], [[RadioSeries]], [[MovieSeries]], [[BookSeries]], [[Periodical]] and [[VideoGameSeries]]. In each case, the [[hasPart]] / [[isPartOf]] properties can be used to relate the CreativeWorkSeries to its parts. The general CreativeWorkSeries type serves largely just to organize these more specific and practical subtypes.\\n\\nIt is common for properties applicable to an item from the series to be usefully applied to the containing group. Schema.org attempts to anticipate some of these cases, but publishers should be free to apply properties of the series parts to the series as a whole wherever they seem appropriate.\n\t  ".freeze,
      label: "CreativeWorkSeries".freeze,
      subClassOf: ["http://schema.org/CreativeWork".freeze, "http://schema.org/Series".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :CreditCard,
      comment: "A card payment method of a particular brand or name.  Used to mark up a particular payment method and/or the financial product/service that supplies the card account.\\n\\nCommonly used values:\\n\\n* http://purl.org/goodrelations/v1#AmericanExpress\\n* http://purl.org/goodrelations/v1#DinersClub\\n* http://purl.org/goodrelations/v1#Discover\\n* http://purl.org/goodrelations/v1#JCB\\n* http://purl.org/goodrelations/v1#MasterCard\\n* http://purl.org/goodrelations/v1#VISA\n       ".freeze,
      "http://schema.org/source": ["http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FIBO".freeze, "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsClass".freeze],
      label: "CreditCard".freeze,
      subClassOf: ["http://schema.org/LoanOrCredit".freeze, "http://schema.org/PaymentCard".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Crematorium,
      comment: "A crematorium.".freeze,
      label: "Crematorium".freeze,
      subClassOf: "http://schema.org/CivicStructure".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :CriticReview,
      comment: "A [[CriticReview]] is a more specialized form of Review written or published by a source that is recognized for its reviewing activities. These can include online columns, travel and food guides, TV and radio shows, blogs and other independent Web sites. [[CriticReview]]s are typically more in-depth and professionally written. For simpler, casually written user/visitor/viewer/customer reviews, it is more appropriate to use the [[UserReview]] type. Review aggregator sites such as Metacritic already separate out the site's user reviews from selected critic reviews that originate from third-party sources.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1589".freeze,
      label: "CriticReview".freeze,
      subClassOf: "http://schema.org/Review".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :CssSelectorType,
      comment: "Text representing a CSS selector.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1672".freeze,
      label: "CssSelectorType".freeze,
      subClassOf: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :CurrencyConversionService,
      comment: "A service to convert funds from one currency to another currency.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FIBO".freeze,
      label: "CurrencyConversionService".freeze,
      subClassOf: "http://schema.org/FinancialProduct".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DDxElement,
      comment: "An alternative, closely-related condition typically considered later in the differential diagnosis process along with the signs that are used to distinguish it.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "DDxElement".freeze,
      subClassOf: "http://schema.org/MedicalIntangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DanceEvent,
      comment: "Event type: A social dance.".freeze,
      label: "DanceEvent".freeze,
      subClassOf: "http://schema.org/Event".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DanceGroup,
      comment: "A dance group&#x2014;for example, the Alvin Ailey Dance Theater or Riverdance.".freeze,
      label: "DanceGroup".freeze,
      subClassOf: "http://schema.org/PerformingGroup".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DataCatalog,
      comment: "A collection of datasets.".freeze,
      equivalentClass: "http://www.w3.org/ns/dcat#Catalog".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_DatasetClass".freeze,
      label: "DataCatalog".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DataDownload,
      comment: "A dataset in downloadable form.".freeze,
      equivalentClass: "http://www.w3.org/ns/dcat#Distribution".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_DatasetClass".freeze,
      label: "DataDownload".freeze,
      subClassOf: "http://schema.org/MediaObject".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DataFeed,
      comment: "A single feed providing structured information about one or more entities or topics.".freeze,
      label: "DataFeed".freeze,
      subClassOf: "http://schema.org/Dataset".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DataFeedItem,
      comment: "A single item within a larger data feed.".freeze,
      label: "DataFeedItem".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DataType,
      comment: "The basic data types such as Integers, Strings, etc.".freeze,
      label: "DataType".freeze,
      subClassOf: "http://www.w3.org/2000/01/rdf-schema#Class".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Dataset,
      comment: "A body of structured information describing some topic(s) of interest.".freeze,
      equivalentClass: ["http://purl.org/dc/dcmitype/Dataset".freeze, "http://rdfs.org/ns/void#Dataset".freeze, "http://www.w3.org/ns/dcat#Dataset".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_DatasetClass".freeze,
      label: "Dataset".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Date,
      comment: "A date value in [ISO 8601 date format](http://en.wikipedia.org/wiki/ISO_8601).".freeze,
      label: "Date".freeze,
      type: ["http://schema.org/DataType".freeze, "http://www.w3.org/2000/01/rdf-schema#Class".freeze]
    term :DateTime,
      comment: "A combination of date and time of day in the form [-]CCYY-MM-DDThh:mm:ss[Z|(+|-)hh:mm] (see Chapter 5.4 of ISO 8601).".freeze,
      label: "DateTime".freeze,
      type: ["http://schema.org/DataType".freeze, "http://www.w3.org/2000/01/rdf-schema#Class".freeze]
    term :DatedMoneySpecification,
      comment: "A DatedMoneySpecification represents monetary values with optional start and end dates. For example, this could represent an employee's salary over a specific period of time. __Note:__ This type has been superseded by [[MonetaryAmount]] use of that type is recommended".freeze,
      "http://schema.org/supersededBy": "http://schema.org/MonetaryAmount".freeze,
      label: "DatedMoneySpecification".freeze,
      subClassOf: "http://schema.org/StructuredValue".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DayOfWeek,
      comment: "The day of the week, e.g. used to specify to which day the opening hours of an OpeningHoursSpecification refer.\n\nOriginally, URLs from [GoodRelations](http://purl.org/goodrelations/v1) were used (for [[Monday]], [[Tuesday]], [[Wednesday]], [[Thursday]], [[Friday]], [[Saturday]], [[Sunday]] plus a special entry for [[PublicHolidays]]); these have now been integrated directly into schema.org.\n      ".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsClass".freeze,
      label: "DayOfWeek".freeze,
      subClassOf: "http://schema.org/Enumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DaySpa,
      comment: "A day spa.".freeze,
      label: "DaySpa".freeze,
      subClassOf: "http://schema.org/HealthAndBeautyBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DeactivateAction,
      comment: "The act of stopping or deactivating a device or application (e.g. stopping a timer or turning off a flashlight).".freeze,
      label: "DeactivateAction".freeze,
      subClassOf: "http://schema.org/ControlAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DefenceEstablishment,
      comment: "A defence establishment, such as an army or navy base.".freeze,
      label: "DefenceEstablishment".freeze,
      subClassOf: "http://schema.org/GovernmentBuilding".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DefinedRegion,
      comment: "A DefinedRegion is a geographic area defined by potentially arbitrary (rather than political, administrative or natural geographical) criteria. Properties are provided for defining a region by reference to sets of postal codes.\n\nExamples: a delivery destination when shopping. Region where regional pricing is configured.\n\nRequirement 1:\nCountry: US\nStates: \"NY\", \"CA\"\n\nRequirement 2:\nCountry: US\nPostalCode Set: { [94000-94585], [97000, 97999], [13000, 13599]}\n{ [12345, 12345], [78945, 78945], }\nRegion = state, canton, prefecture, autonomous community...\n".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2506".freeze,
      label: "DefinedRegion".freeze,
      subClassOf: "http://schema.org/StructuredValue".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DefinedTerm,
      comment: "A word, name, acronym, phrase, etc. with a formal definition. Often used in the context of category or subject classification, glossaries or dictionaries, product or creative work types, etc. Use the name property for the term being defined, use termCode if the term has an alpha-numeric code allocated, use description to provide the definition of the term.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/894".freeze,
      label: "DefinedTerm".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DefinedTermSet,
      comment: "A set of defined terms for example a set of categories or a classification scheme, a glossary, dictionary or enumeration.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/894".freeze,
      label: "DefinedTermSet".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DeleteAction,
      comment: "The act of editing a recipient by removing one of its objects.".freeze,
      label: "DeleteAction".freeze,
      subClassOf: "http://schema.org/UpdateAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DeliveryChargeSpecification,
      comment: "The price for the delivery of an offer using a particular delivery method.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsClass".freeze,
      label: "DeliveryChargeSpecification".freeze,
      subClassOf: "http://schema.org/PriceSpecification".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DeliveryEvent,
      comment: "An event involving the delivery of an item.".freeze,
      label: "DeliveryEvent".freeze,
      subClassOf: "http://schema.org/Event".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DeliveryMethod,
      comment: "A delivery method is a standardized procedure for transferring the product or service to the destination of fulfillment chosen by the customer. Delivery methods are characterized by the means of transportation used, and by the organization or group that is the contracting party for the sending organization or person.\\n\\nCommonly used values:\\n\\n* http://purl.org/goodrelations/v1#DeliveryModeDirectDownload\\n* http://purl.org/goodrelations/v1#DeliveryModeFreight\\n* http://purl.org/goodrelations/v1#DeliveryModeMail\\n* http://purl.org/goodrelations/v1#DeliveryModeOwnFleet\\n* http://purl.org/goodrelations/v1#DeliveryModePickUp\\n* http://purl.org/goodrelations/v1#DHL\\n* http://purl.org/goodrelations/v1#FederalExpress\\n* http://purl.org/goodrelations/v1#UPS\n        ".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsClass".freeze,
      label: "DeliveryMethod".freeze,
      subClassOf: "http://schema.org/Enumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DeliveryTimeSettings,
      comment: "A DeliveryTimeSettings represents re-usable pieces of shipping information, relating to timing. It is designed for publication on an URL that may be referenced via the [[shippingSettingsLink]] property of a [[OfferShippingDetails]]. Several occurrences can be published, distinguished (and identified/referenced) by their different values for [[transitTimeLabel]].".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2506".freeze,
      label: "DeliveryTimeSettings".freeze,
      subClassOf: "http://schema.org/StructuredValue".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Demand,
      comment: "A demand entity represents the public, not necessarily binding, not necessarily exclusive, announcement by an organization or person to seek a certain type of goods or services. For describing demand using this type, the very same properties used for Offer apply.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsClass".freeze,
      label: "Demand".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Dentist,
      comment: "A dentist.".freeze,
      label: "Dentist".freeze,
      subClassOf: ["http://schema.org/LocalBusiness".freeze, "http://schema.org/MedicalBusiness".freeze, "http://schema.org/MedicalOrganization".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DepartAction,
      comment: "The act of  departing from a place. An agent departs from an fromLocation for a destination, optionally with participants.".freeze,
      label: "DepartAction".freeze,
      subClassOf: "http://schema.org/MoveAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DepartmentStore,
      comment: "A department store.".freeze,
      label: "DepartmentStore".freeze,
      subClassOf: "http://schema.org/Store".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DepositAccount,
      comment: "A type of Bank Account with a main purpose of depositing funds to gain interest or other benefits.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FIBO".freeze,
      label: "DepositAccount".freeze,
      subClassOf: ["http://schema.org/BankAccount".freeze, "http://schema.org/InvestmentOrDeposit".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DiagnosticLab,
      comment: "A medical laboratory that offers on-site or off-site diagnostic services.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "DiagnosticLab".freeze,
      subClassOf: "http://schema.org/MedicalOrganization".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DiagnosticProcedure,
      comment: "A medical procedure intended primarily for diagnostic, as opposed to therapeutic, purposes.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "DiagnosticProcedure".freeze,
      subClassOf: "http://schema.org/MedicalProcedure".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Diet,
      comment: "A strategy of regulating the intake of food to achieve or maintain a specific health-related goal.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Diet".freeze,
      subClassOf: ["http://schema.org/CreativeWork".freeze, "http://schema.org/LifestyleModification".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DietarySupplement,
      comment: "A product taken by mouth that contains a dietary ingredient intended to supplement the diet. Dietary ingredients may include vitamins, minerals, herbs or other botanicals, amino acids, and substances such as enzymes, organ tissues, glandulars and metabolites.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "DietarySupplement".freeze,
      subClassOf: "http://schema.org/Substance".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DigitalDocument,
      comment: "An electronic file or document.".freeze,
      label: "DigitalDocument".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DigitalDocumentPermission,
      comment: "A permission for a particular person or group to access a particular file.".freeze,
      label: "DigitalDocumentPermission".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DigitalDocumentPermissionType,
      comment: "A type of permission which can be granted for accessing a digital document.".freeze,
      label: "DigitalDocumentPermissionType".freeze,
      subClassOf: "http://schema.org/Enumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DisagreeAction,
      comment: "The act of expressing a difference of opinion with the object. An agent disagrees to/about an object (a proposition, topic or theme) with participants.".freeze,
      label: "DisagreeAction".freeze,
      subClassOf: "http://schema.org/ReactAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DiscoverAction,
      comment: "The act of discovering/finding an object.".freeze,
      label: "DiscoverAction".freeze,
      subClassOf: "http://schema.org/FindAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DiscussionForumPosting,
      comment: "A posting to a discussion forum.".freeze,
      label: "DiscussionForumPosting".freeze,
      subClassOf: "http://schema.org/SocialMediaPosting".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DislikeAction,
      comment: "The act of expressing a negative sentiment about the object. An agent dislikes an object (a proposition, topic or theme) with participants.".freeze,
      label: "DislikeAction".freeze,
      subClassOf: "http://schema.org/ReactAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Distance,
      comment: "Properties that take Distances as values are of the form '&lt;Number&gt; &lt;Length unit of measure&gt;'. E.g., '7 ft'.".freeze,
      label: "Distance".freeze,
      subClassOf: "http://schema.org/Quantity".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Distillery,
      comment: "A distillery.".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/743".freeze,
      label: "Distillery".freeze,
      subClassOf: "http://schema.org/FoodEstablishment".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DonateAction,
      comment: "The act of providing goods, services, or money without compensation, often for philanthropic reasons.".freeze,
      label: "DonateAction".freeze,
      subClassOf: "http://schema.org/TradeAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DoseSchedule,
      comment: "A specific dosing schedule for a drug or supplement.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "DoseSchedule".freeze,
      subClassOf: "http://schema.org/MedicalIntangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DownloadAction,
      comment: "The act of downloading an object.".freeze,
      label: "DownloadAction".freeze,
      subClassOf: "http://schema.org/TransferAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DrawAction,
      comment: "The act of producing a visual/graphical representation of an object, typically with a pen/pencil and paper as instruments.".freeze,
      label: "DrawAction".freeze,
      subClassOf: "http://schema.org/CreateAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Drawing,
      comment: "A picture or diagram made with a pencil, pen, or crayon rather than paint.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1448".freeze,
      label: "Drawing".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DrinkAction,
      comment: "The act of swallowing liquids.".freeze,
      label: "DrinkAction".freeze,
      subClassOf: "http://schema.org/ConsumeAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DriveWheelConfigurationValue,
      comment: "A value indicating which roadwheels will receive torque.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "DriveWheelConfigurationValue".freeze,
      subClassOf: "http://schema.org/QualitativeValue".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Drug,
      comment: "A chemical or biologic substance, used as a medical therapy, that has a physiological effect on an organism. Here the term drug is used interchangeably with the term medicine although clinical knowledge make a clear difference between them.".freeze,
      equivalentClass: "http://purl.bioontology.org/ontology/SNOMEDCT/410942007".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Drug".freeze,
      subClassOf: "http://schema.org/Substance".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DrugClass,
      comment: "A class of medical drugs, e.g., statins. Classes can represent general pharmacological class, common mechanisms of action, common physiological effects, etc.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "DrugClass".freeze,
      subClassOf: "http://schema.org/MedicalEntity".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DrugCost,
      comment: "The cost per unit of a medical drug. Note that this type is not meant to represent the price in an offer of a drug for sale; see the Offer type for that. This type will typically be used to tag wholesale or average retail cost of a drug, or maximum reimbursable cost. Costs of medical drugs vary widely depending on how and where they are paid for, so while this type captures some of the variables, costs should be used with caution by consumers of this schema's markup.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "DrugCost".freeze,
      subClassOf: "http://schema.org/MedicalEntity".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DrugCostCategory,
      comment: "Enumerated categories of medical drug costs.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "DrugCostCategory".freeze,
      subClassOf: "http://schema.org/MedicalEnumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DrugLegalStatus,
      comment: "The legal availability status of a medical drug.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "DrugLegalStatus".freeze,
      subClassOf: "http://schema.org/MedicalIntangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DrugPregnancyCategory,
      comment: "Categories that represent an assessment of the risk of fetal injury due to a drug or pharmaceutical used as directed by the mother during pregnancy.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "DrugPregnancyCategory".freeze,
      subClassOf: "http://schema.org/MedicalEnumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DrugPrescriptionStatus,
      comment: "Indicates whether this drug is available by prescription or over-the-counter.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "DrugPrescriptionStatus".freeze,
      subClassOf: "http://schema.org/MedicalEnumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DrugStrength,
      comment: "A specific strength in which a medical drug is available in a specific country.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "DrugStrength".freeze,
      subClassOf: "http://schema.org/MedicalIntangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :DryCleaningOrLaundry,
      comment: "A dry-cleaning business.".freeze,
      label: "DryCleaningOrLaundry".freeze,
      subClassOf: "http://schema.org/LocalBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Duration,
      comment: "Quantity: Duration (use [ISO 8601 duration format](http://en.wikipedia.org/wiki/ISO_8601)).".freeze,
      label: "Duration".freeze,
      subClassOf: "http://schema.org/Quantity".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :EUEnergyEfficiencyEnumeration,
      comment: "Enumerates the EU energy efficiency classes A-G as well as A+, A++, and A+++ as defined in EU directive 2017/1369.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2670".freeze,
      label: "EUEnergyEfficiencyEnumeration".freeze,
      subClassOf: "http://schema.org/EnergyEfficiencyEnumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :EatAction,
      comment: "The act of swallowing solid objects.".freeze,
      label: "EatAction".freeze,
      subClassOf: "http://schema.org/ConsumeAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :EducationEvent,
      comment: "Event type: Education event.".freeze,
      label: "EducationEvent".freeze,
      subClassOf: "http://schema.org/Event".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :EducationalAudience,
      comment: "An EducationalAudience.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_LRMIClass".freeze,
      label: "EducationalAudience".freeze,
      subClassOf: "http://schema.org/Audience".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :EducationalOccupationalCredential,
      comment: "An educational or occupational credential. A diploma, academic degree, certification, qualification, badge, etc., that may be awarded to a person or other entity that meets the requirements defined by the credentialer.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1779".freeze,
      label: "EducationalOccupationalCredential".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :EducationalOccupationalProgram,
      comment: "A program offered by an institution which determines the learning progress to achieve an outcome, usually a credential like a degree or certificate. This would define a discrete set of opportunities (e.g., job, courses) that together constitute a program with a clear start, end, set of requirements, and transition to a new occupational opportunity (e.g., a job), or sometimes a higher educational opportunity (e.g., an advanced degree).".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2289".freeze,
      label: "EducationalOccupationalProgram".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :EducationalOrganization,
      comment: "An educational organization.".freeze,
      label: "EducationalOrganization".freeze,
      subClassOf: ["http://schema.org/CivicStructure".freeze, "http://schema.org/Organization".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Electrician,
      comment: "An electrician.".freeze,
      label: "Electrician".freeze,
      subClassOf: "http://schema.org/HomeAndConstructionBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ElectronicsStore,
      comment: "An electronics store.".freeze,
      label: "ElectronicsStore".freeze,
      subClassOf: "http://schema.org/Store".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ElementarySchool,
      comment: "An elementary school.".freeze,
      label: "ElementarySchool".freeze,
      subClassOf: "http://schema.org/EducationalOrganization".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :EmailMessage,
      comment: "An email message.".freeze,
      label: "EmailMessage".freeze,
      subClassOf: "http://schema.org/Message".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Embassy,
      comment: "An embassy.".freeze,
      label: "Embassy".freeze,
      subClassOf: "http://schema.org/GovernmentBuilding".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :EmergencyService,
      comment: "An emergency service, such as a fire station or ER.".freeze,
      label: "EmergencyService".freeze,
      subClassOf: "http://schema.org/LocalBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :EmployeeRole,
      comment: "A subclass of OrganizationRole used to describe employee relationships.".freeze,
      label: "EmployeeRole".freeze,
      subClassOf: "http://schema.org/OrganizationRole".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :EmployerAggregateRating,
      comment: "An aggregate rating of an Organization related to its role as an employer.".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1689".freeze,
      label: "EmployerAggregateRating".freeze,
      subClassOf: "http://schema.org/AggregateRating".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :EmployerReview,
      comment: "An [[EmployerReview]] is a review of an [[Organization]] regarding its role as an employer, written by a current or former employee of that organization.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1589".freeze,
      label: "EmployerReview".freeze,
      subClassOf: "http://schema.org/Review".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :EmploymentAgency,
      comment: "An employment agency.".freeze,
      label: "EmploymentAgency".freeze,
      subClassOf: "http://schema.org/LocalBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :EndorseAction,
      comment: "An agent approves/certifies/likes/supports/sanction an object.".freeze,
      label: "EndorseAction".freeze,
      subClassOf: "http://schema.org/ReactAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :EndorsementRating,
      comment: "An EndorsementRating is a rating that expresses some level of endorsement, for example inclusion in a \"critic's pick\" blog, a\n\"Like\" or \"+1\" on a social network. It can be considered the [[result]] of an [[EndorseAction]] in which the [[object]] of the action is rated positively by\nsome [[agent]]. As is common elsewhere in schema.org, it is sometimes more useful to describe the results of such an action without explicitly describing the [[Action]].\n\nAn [[EndorsementRating]] may be part of a numeric scale or organized system, but this is not required: having an explicit type for indicating a positive,\nendorsement rating is particularly useful in the absence of numeric scales as it helps consumers understand that the rating is broadly positive.\n".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1293".freeze,
      label: "EndorsementRating".freeze,
      subClassOf: "http://schema.org/Rating".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Energy,
      comment: "Properties that take Energy as values are of the form '&lt;Number&gt; &lt;Energy unit of measure&gt;'.".freeze,
      label: "Energy".freeze,
      subClassOf: "http://schema.org/Quantity".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :EnergyConsumptionDetails,
      comment: "EnergyConsumptionDetails represents information related to the energy efficiency of a product that consumes energy. The information that can be provided is based on international regulations such as for example [EU directive 2017/1369](https://eur-lex.europa.eu/eli/reg/2017/1369/oj) for energy labeling and the [Energy labeling rule](https://www.ftc.gov/enforcement/rules/rulemaking-regulatory-reform-proceedings/energy-water-use-labeling-consumer) under the Energy Policy and Conservation Act (EPCA) in the US.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2670".freeze,
      label: "EnergyConsumptionDetails".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :EnergyEfficiencyEnumeration,
      comment: "Enumerates energy efficiency levels (also known as \"classes\" or \"ratings\") and certifications that are part of several international energy efficiency standards.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2670".freeze,
      label: "EnergyEfficiencyEnumeration".freeze,
      subClassOf: "http://schema.org/Enumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :EnergyStarEnergyEfficiencyEnumeration,
      comment: "Used to indicate whether a product is EnergyStar certified.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2670".freeze,
      label: "EnergyStarEnergyEfficiencyEnumeration".freeze,
      subClassOf: "http://schema.org/EnergyEfficiencyEnumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :EngineSpecification,
      comment: "Information about the engine of the vehicle. A vehicle can have multiple engines represented by multiple engine specification entities.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "EngineSpecification".freeze,
      subClassOf: "http://schema.org/StructuredValue".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :EntertainmentBusiness,
      comment: "A business providing entertainment.".freeze,
      label: "EntertainmentBusiness".freeze,
      subClassOf: "http://schema.org/LocalBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :EntryPoint,
      comment: "An entry point, within some Web-based protocol.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_ActionCollabClass".freeze,
      label: "EntryPoint".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Enumeration,
      comment: "Lists or enumerations—for example, a list of cuisines or music genres, etc.".freeze,
      label: "Enumeration".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Episode,
      comment: "A media episode (e.g. TV, radio, video game) which can be part of a series or season.".freeze,
      label: "Episode".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Event,
      comment: "An event happening at a certain time and location, such as a concert, lecture, or festival. Ticketing information may be added via the [[offers]] property. Repeated events may be structured as separate Event objects.".freeze,
      equivalentClass: "http://purl.org/dc/dcmitype/Event".freeze,
      label: "Event".freeze,
      subClassOf: "http://schema.org/Thing".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :EventAttendanceModeEnumeration,
      comment: "An EventAttendanceModeEnumeration value is one of potentially several modes of organising an event, relating to whether it is online or offline.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1842".freeze,
      label: "EventAttendanceModeEnumeration".freeze,
      subClassOf: "http://schema.org/Enumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :EventReservation,
      comment: "A reservation for an event like a concert, sporting event, or lecture.\\n\\nNote: This type is for information about actual reservations, e.g. in confirmation emails or HTML pages with individual confirmations of reservations. For offers of tickets, use [[Offer]].".freeze,
      label: "EventReservation".freeze,
      subClassOf: "http://schema.org/Reservation".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :EventSeries,
      comment: "A series of [[Event]]s. Included events can relate with the series using the [[superEvent]] property.\n\nAn EventSeries is a collection of events that share some unifying characteristic. For example, \"The Olympic Games\" is a series, which\nis repeated regularly. The \"2012 London Olympics\" can be presented both as an [[Event]] in the series \"Olympic Games\", and as an\n[[EventSeries]] that included a number of sporting competitions as Events.\n\nThe nature of the association between the events in an [[EventSeries]] can vary, but typical examples could\ninclude a thematic event series (e.g. topical meetups or classes), or a series of regular events that share a location, attendee group and/or organizers.\n\nEventSeries has been defined as a kind of Event to make it easy for publishers to use it in an Event context without\nworrying about which kinds of series are really event-like enough to call an Event. In general an EventSeries\nmay seem more Event-like when the period of time is compact and when aspects such as location are fixed, but\nit may also sometimes prove useful to describe a longer-term series as an Event.\n   ".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/447".freeze,
      label: "EventSeries".freeze,
      subClassOf: ["http://schema.org/Event".freeze, "http://schema.org/Series".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :EventStatusType,
      comment: "EventStatusType is an enumeration type whose instances represent several states that an Event may be in.".freeze,
      label: "EventStatusType".freeze,
      subClassOf: "http://schema.org/StatusEnumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :EventVenue,
      comment: "An event venue.".freeze,
      label: "EventVenue".freeze,
      subClassOf: "http://schema.org/CivicStructure".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ExchangeRateSpecification,
      comment: "A structured value representing exchange rate.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FIBO".freeze, "https://github.com/schemaorg/schemaorg/issues/1253".freeze],
      label: "ExchangeRateSpecification".freeze,
      subClassOf: "http://schema.org/StructuredValue".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ExerciseAction,
      comment: "The act of participating in exertive activity for the purposes of improving health and fitness.".freeze,
      label: "ExerciseAction".freeze,
      subClassOf: "http://schema.org/PlayAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ExerciseGym,
      comment: "A gym.".freeze,
      label: "ExerciseGym".freeze,
      subClassOf: "http://schema.org/SportsActivityLocation".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ExercisePlan,
      comment: "Fitness-related activity designed for a specific health-related purpose, including defined exercise routines as well as activity prescribed by a clinician.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "ExercisePlan".freeze,
      subClassOf: ["http://schema.org/CreativeWork".freeze, "http://schema.org/PhysicalActivity".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ExhibitionEvent,
      comment: "Event type: Exhibition event, e.g. at a museum, library, archive, tradeshow, ...".freeze,
      label: "ExhibitionEvent".freeze,
      subClassOf: "http://schema.org/Event".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :FAQPage,
      comment: "A [[FAQPage]] is a [[WebPage]] presenting one or more \"[Frequently asked questions](https://en.wikipedia.org/wiki/FAQ)\" (see also [[QAPage]]).".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1723".freeze,
      label: "FAQPage".freeze,
      subClassOf: "http://schema.org/WebPage".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :FMRadioChannel,
      comment: "A radio channel that uses FM.".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1004".freeze,
      label: "FMRadioChannel".freeze,
      subClassOf: "http://schema.org/RadioChannel".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :FastFoodRestaurant,
      comment: "A fast-food restaurant.".freeze,
      label: "FastFoodRestaurant".freeze,
      subClassOf: "http://schema.org/FoodEstablishment".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Festival,
      comment: "Event type: Festival.".freeze,
      label: "Festival".freeze,
      subClassOf: "http://schema.org/Event".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :FilmAction,
      comment: "The act of capturing sound and moving images on film, video, or digitally.".freeze,
      label: "FilmAction".freeze,
      subClassOf: "http://schema.org/CreateAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :FinancialProduct,
      comment: "A product provided to consumers and businesses by financial institutions such as banks, insurance companies, brokerage firms, consumer finance companies, and investment companies which comprise the financial services industry.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FIBO".freeze,
      label: "FinancialProduct".freeze,
      subClassOf: "http://schema.org/Service".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :FinancialService,
      comment: "Financial services business.".freeze,
      label: "FinancialService".freeze,
      subClassOf: "http://schema.org/LocalBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :FindAction,
      comment: "The act of finding an object.\\n\\nRelated actions:\\n\\n* [[SearchAction]]: FindAction is generally lead by a SearchAction, but not necessarily.".freeze,
      label: "FindAction".freeze,
      subClassOf: "http://schema.org/Action".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :FireStation,
      comment: "A fire station. With firemen.".freeze,
      label: "FireStation".freeze,
      subClassOf: ["http://schema.org/CivicStructure".freeze, "http://schema.org/EmergencyService".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Flight,
      comment: "An airline flight.".freeze,
      label: "Flight".freeze,
      subClassOf: "http://schema.org/Trip".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :FlightReservation,
      comment: "A reservation for air travel.\\n\\nNote: This type is for information about actual reservations, e.g. in confirmation emails or HTML pages with individual confirmations of reservations. For offers of tickets, use [[Offer]].".freeze,
      label: "FlightReservation".freeze,
      subClassOf: "http://schema.org/Reservation".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Float,
      comment: "Data type: Floating number.".freeze,
      label: "Float".freeze,
      subClassOf: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :FloorPlan,
      comment: "A FloorPlan is an explicit representation of a collection of similar accommodations, allowing the provision of common information (room counts, sizes, layout diagrams) and offers for rental or sale. In typical use, some [[ApartmentComplex]] has an [[accommodationFloorPlan]] which is a [[FloorPlan]].  A FloorPlan is always in the context of a particular place, either a larger [[ApartmentComplex]] or a single [[Apartment]]. The visual/spatial aspects of a floor plan (i.e. room layout, [see wikipedia](https://en.wikipedia.org/wiki/Floor_plan)) can be indicated using [[image]]. ".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2373".freeze,
      label: "FloorPlan".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Florist,
      comment: "A florist.".freeze,
      label: "Florist".freeze,
      subClassOf: "http://schema.org/Store".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :FollowAction,
      comment: "The act of forming a personal connection with someone/something (object) unidirectionally/asymmetrically to get updates polled from.\\n\\nRelated actions:\\n\\n* [[BefriendAction]]: Unlike BefriendAction, FollowAction implies that the connection is *not* necessarily reciprocal.\\n* [[SubscribeAction]]: Unlike SubscribeAction, FollowAction implies that the follower acts as an active agent constantly/actively polling for updates.\\n* [[RegisterAction]]: Unlike RegisterAction, FollowAction implies that the agent is interested in continuing receiving updates from the object.\\n* [[JoinAction]]: Unlike JoinAction, FollowAction implies that the agent is interested in getting updates from the object.\\n* [[TrackAction]]: Unlike TrackAction, FollowAction refers to the polling of updates of all aspects of animate objects rather than the location of inanimate objects (e.g. you track a package, but you don't follow it).".freeze,
      label: "FollowAction".freeze,
      subClassOf: "http://schema.org/InteractAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :FoodEstablishment,
      comment: "A food-related business.".freeze,
      label: "FoodEstablishment".freeze,
      subClassOf: "http://schema.org/LocalBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :FoodEstablishmentReservation,
      comment: "A reservation to dine at a food-related business.\\n\\nNote: This type is for information about actual reservations, e.g. in confirmation emails or HTML pages with individual confirmations of reservations.".freeze,
      label: "FoodEstablishmentReservation".freeze,
      subClassOf: "http://schema.org/Reservation".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :FoodEvent,
      comment: "Event type: Food event.".freeze,
      label: "FoodEvent".freeze,
      subClassOf: "http://schema.org/Event".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :FoodService,
      comment: "A food service, like breakfast, lunch, or dinner.".freeze,
      "http://schema.org/source": "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#STI_Accommodation_Ontology".freeze,
      label: "FoodService".freeze,
      subClassOf: "http://schema.org/Service".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :FundingAgency,
      comment: "A FundingAgency is an organization that implements one or more [[FundingScheme]]s and manages\n    the granting process (via [[Grant]]s, typically [[MonetaryGrant]]s).\n    A funding agency is not always required for grant funding, e.g. philanthropic giving, corporate sponsorship etc.\n    \nExamples of funding agencies include ERC, REA, NIH, Bill and Melinda Gates Foundation...\n    ".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["https://github.com/schemaorg/schemaorg/issues/383".freeze, "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FundInfoCollab".freeze],
      label: "FundingAgency".freeze,
      subClassOf: "http://schema.org/Project".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :FundingScheme,
      comment: "A FundingScheme combines organizational, project and policy aspects of grant-based funding\n    that sets guidelines, principles and mechanisms to support other kinds of projects and activities.\n    Funding is typically organized via [[Grant]] funding. Examples of funding schemes: Swiss Priority Programmes (SPPs); EU Framework 7 (FP7); Horizon 2020; the NIH-R01 Grant Program; Wellcome institutional strategic support fund. For large scale public sector funding, the management and administration of grant awards is often handled by other, dedicated, organizations - [[FundingAgency]]s such as ERC, REA, ...".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["https://github.com/schemaorg/schemaorg/issues/383".freeze, "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FundInfoCollab".freeze],
      label: "FundingScheme".freeze,
      subClassOf: "http://schema.org/Organization".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Fungus,
      comment: "Pathogenic fungus.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Fungus".freeze,
      type: "http://schema.org/InfectiousAgentClass".freeze
    term :FurnitureStore,
      comment: "A furniture store.".freeze,
      label: "FurnitureStore".freeze,
      subClassOf: "http://schema.org/Store".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Game,
      comment: "The Game type represents things which are games. These are typically rule-governed recreational activities, e.g. role-playing games in which players assume the role of characters in a fictional setting.".freeze,
      label: "Game".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :GamePlayMode,
      comment: "Indicates whether this game is multi-player, co-op or single-player.".freeze,
      label: "GamePlayMode".freeze,
      subClassOf: "http://schema.org/Enumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :GameServer,
      comment: "Server that provides game interaction in a multiplayer game.".freeze,
      label: "GameServer".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :GameServerStatus,
      comment: "Status of a game server.".freeze,
      label: "GameServerStatus".freeze,
      subClassOf: "http://schema.org/StatusEnumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :GardenStore,
      comment: "A garden store.".freeze,
      label: "GardenStore".freeze,
      subClassOf: "http://schema.org/Store".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :GasStation,
      comment: "A gas station.".freeze,
      label: "GasStation".freeze,
      subClassOf: "http://schema.org/AutomotiveBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :GatedResidenceCommunity,
      comment: "Residence type: Gated community.".freeze,
      label: "GatedResidenceCommunity".freeze,
      subClassOf: "http://schema.org/Residence".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :GenderType,
      comment: "An enumeration of genders.".freeze,
      label: "GenderType".freeze,
      subClassOf: "http://schema.org/Enumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Gene,
      comment: "A discrete unit of inheritance which affects one or more biological traits (Source: [https://en.wikipedia.org/wiki/Gene](https://en.wikipedia.org/wiki/Gene)). Examples include FOXP2 (Forkhead box protein P2), SCARNA21 (small Cajal body-specific RNA 21), A- (agouti genotype).".freeze,
      "http://purl.org/dc/terms/source": "http://bioschemas.org".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      label: "Gene".freeze,
      subClassOf: "http://schema.org/BioChemEntity".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :GeneralContractor,
      comment: "A general contractor.".freeze,
      label: "GeneralContractor".freeze,
      subClassOf: "http://schema.org/HomeAndConstructionBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :GeoCircle,
      comment: "A GeoCircle is a GeoShape representing a circular geographic area. As it is a GeoShape\n          it provides the simple textual property 'circle', but also allows the combination of postalCode alongside geoRadius.\n          The center of the circle can be indicated via the 'geoMidpoint' property, or more approximately using 'address', 'postalCode'.\n       ".freeze,
      label: "GeoCircle".freeze,
      subClassOf: "http://schema.org/GeoShape".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :GeoCoordinates,
      comment: "The geographic coordinates of a place or event.".freeze,
      label: "GeoCoordinates".freeze,
      subClassOf: "http://schema.org/StructuredValue".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :GeoShape,
      comment: "The geographic shape of a place. A GeoShape can be described using several properties whose values are based on latitude/longitude pairs. Either whitespace or commas can be used to separate latitude and longitude; whitespace should be used when writing a list of several such points.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_rNews".freeze,
      label: "GeoShape".freeze,
      subClassOf: "http://schema.org/StructuredValue".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :GeospatialGeometry,
      comment: "(Eventually to be defined as) a supertype of GeoShape designed to accommodate definitions from Geo-Spatial best practices.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1375".freeze,
      label: "GeospatialGeometry".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :GiveAction,
      comment: "The act of transferring ownership of an object to a destination. Reciprocal of TakeAction.\\n\\nRelated actions:\\n\\n* [[TakeAction]]: Reciprocal of GiveAction.\\n* [[SendAction]]: Unlike SendAction, GiveAction implies that ownership is being transferred (e.g. I may send my laptop to you, but that doesn't mean I'm giving it to you).".freeze,
      label: "GiveAction".freeze,
      subClassOf: "http://schema.org/TransferAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :GolfCourse,
      comment: "A golf course.".freeze,
      label: "GolfCourse".freeze,
      subClassOf: "http://schema.org/SportsActivityLocation".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :GovernmentBenefitsType,
      comment: "GovernmentBenefitsType enumerates several kinds of government benefits to support the COVID-19 situation. Note that this structure may not capture all benefits offered.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2534".freeze,
      label: "GovernmentBenefitsType".freeze,
      subClassOf: "http://schema.org/Enumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :GovernmentBuilding,
      comment: "A government building.".freeze,
      label: "GovernmentBuilding".freeze,
      subClassOf: "http://schema.org/CivicStructure".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :GovernmentOffice,
      comment: "A government office&#x2014;for example, an IRS or DMV office.".freeze,
      label: "GovernmentOffice".freeze,
      subClassOf: "http://schema.org/LocalBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :GovernmentOrganization,
      comment: "A governmental organization or agency.".freeze,
      label: "GovernmentOrganization".freeze,
      subClassOf: "http://schema.org/Organization".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :GovernmentPermit,
      comment: "A permit issued by a government agency.".freeze,
      label: "GovernmentPermit".freeze,
      subClassOf: "http://schema.org/Permit".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :GovernmentService,
      comment: "A service provided by a government organization, e.g. food stamps, veterans benefits, etc.".freeze,
      label: "GovernmentService".freeze,
      subClassOf: "http://schema.org/Service".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Grant,
      comment: "A grant, typically financial or otherwise quantifiable, of resources. Typically a [[funder]] sponsors some [[MonetaryAmount]] to an [[Organization]] or [[Person]],\n    sometimes not necessarily via a dedicated or long-lived [[Project]], resulting in one or more outputs, or [[fundedItem]]s. For financial sponsorship, indicate the [[funder]] of a [[MonetaryGrant]]. For non-financial support, indicate [[sponsor]] of [[Grant]]s of resources (e.g. office space).\n\nGrants support  activities directed towards some agreed collective goals, often but not always organized as [[Project]]s. Long-lived projects are sometimes sponsored by a variety of grants over time, but it is also common for a project to be associated with a single grant.\n\nThe amount of a [[Grant]] is represented using [[amount]] as a [[MonetaryAmount]].\n    ".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["https://github.com/schemaorg/schemaorg/issues/383".freeze, "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FundInfoCollab".freeze],
      label: "Grant".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :GroceryStore,
      comment: "A grocery store.".freeze,
      label: "GroceryStore".freeze,
      subClassOf: "http://schema.org/Store".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Guide,
      comment: "[[Guide]] is a page or article that recommend specific products or services, or aspects of a thing for a user to consider. A [[Guide]] may represent a Buying Guide and detail aspects of products or services for a user to consider. A [[Guide]] may represent a Product Guide and recommend specific products or services. A [[Guide]] may represent a Ranked List and recommend specific products or services with ranking.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2405".freeze,
      label: "Guide".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :HVACBusiness,
      comment: "A business that provide Heating, Ventilation and Air Conditioning services.".freeze,
      label: "HVACBusiness".freeze,
      subClassOf: "http://schema.org/HomeAndConstructionBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Hackathon,
      comment: "A [hackathon](https://en.wikipedia.org/wiki/Hackathon) event.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2526".freeze,
      label: "Hackathon".freeze,
      subClassOf: "http://schema.org/Event".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :HairSalon,
      comment: "A hair salon.".freeze,
      label: "HairSalon".freeze,
      subClassOf: "http://schema.org/HealthAndBeautyBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :HardwareStore,
      comment: "A hardware store.".freeze,
      label: "HardwareStore".freeze,
      subClassOf: "http://schema.org/Store".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :HealthAndBeautyBusiness,
      comment: "Health and beauty.".freeze,
      label: "HealthAndBeautyBusiness".freeze,
      subClassOf: "http://schema.org/LocalBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :HealthAspectEnumeration,
      comment: "HealthAspectEnumeration enumerates several aspects of health content online, each of which might be described using [[hasHealthAspect]] and [[HealthTopicContent]].".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2374".freeze,
      label: "HealthAspectEnumeration".freeze,
      subClassOf: "http://schema.org/Enumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :HealthClub,
      comment: "A health club.".freeze,
      label: "HealthClub".freeze,
      subClassOf: ["http://schema.org/HealthAndBeautyBusiness".freeze, "http://schema.org/SportsActivityLocation".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :HealthInsurancePlan,
      comment: "A US-style health insurance plan, including PPOs, EPOs, and HMOs. ".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1062".freeze,
      label: "HealthInsurancePlan".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :HealthPlanCostSharingSpecification,
      comment: "A description of costs to the patient under a given network or formulary.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1062".freeze,
      label: "HealthPlanCostSharingSpecification".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :HealthPlanFormulary,
      comment: "For a given health insurance plan, the specification for costs and coverage of prescription drugs. ".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1062".freeze,
      label: "HealthPlanFormulary".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :HealthPlanNetwork,
      comment: "A US-style health insurance plan network. ".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1062".freeze,
      label: "HealthPlanNetwork".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :HealthTopicContent,
      comment: "[[HealthTopicContent]] is [[WebContent]] that is about some aspect of a health topic, e.g. a condition, its symptoms or treatments. Such content may be comprised of several parts or sections and use different types of media. Multiple instances of [[WebContent]] (and hence [[HealthTopicContent]]) can be related using [[hasPart]] / [[isPartOf]] where there is some kind of content hierarchy, and their content described with [[about]] and [[mentions]] e.g. building upon the existing [[MedicalCondition]] vocabulary.\n  ".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2374".freeze,
      label: "HealthTopicContent".freeze,
      subClassOf: "http://schema.org/WebContent".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :HighSchool,
      comment: "A high school.".freeze,
      label: "HighSchool".freeze,
      subClassOf: "http://schema.org/EducationalOrganization".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :HinduTemple,
      comment: "A Hindu temple.".freeze,
      label: "HinduTemple".freeze,
      subClassOf: "http://schema.org/PlaceOfWorship".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :HobbyShop,
      comment: "A store that sells materials useful or necessary for various hobbies.".freeze,
      label: "HobbyShop".freeze,
      subClassOf: "http://schema.org/Store".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :HomeAndConstructionBusiness,
      comment: "A construction business.\\n\\nA HomeAndConstructionBusiness is a [[LocalBusiness]] that provides services around homes and buildings.\\n\\nAs a [[LocalBusiness]] it can be described as a [[provider]] of one or more [[Service]]\\(s).".freeze,
      label: "HomeAndConstructionBusiness".freeze,
      subClassOf: "http://schema.org/LocalBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :HomeGoodsStore,
      comment: "A home goods store.".freeze,
      label: "HomeGoodsStore".freeze,
      subClassOf: "http://schema.org/Store".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Hospital,
      comment: "A hospital.".freeze,
      label: "Hospital".freeze,
      subClassOf: ["http://schema.org/CivicStructure".freeze, "http://schema.org/EmergencyService".freeze, "http://schema.org/MedicalOrganization".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Hostel,
      comment: "A hostel - cheap accommodation, often in shared dormitories.\n<br /><br />\nSee also the <a href=\"/docs/hotels.html\">dedicated document on the use of schema.org for marking up hotels and other forms of accommodations</a>.\n".freeze,
      label: "Hostel".freeze,
      subClassOf: "http://schema.org/LodgingBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Hotel,
      comment: "A hotel is an establishment that provides lodging paid on a short-term basis (Source: Wikipedia, the free encyclopedia, see http://en.wikipedia.org/wiki/Hotel).\n<br /><br />\nSee also the <a href=\"/docs/hotels.html\">dedicated document on the use of schema.org for marking up hotels and other forms of accommodations</a>.\n".freeze,
      "http://schema.org/source": "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#STI_Accommodation_Ontology".freeze,
      label: "Hotel".freeze,
      subClassOf: "http://schema.org/LodgingBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :HotelRoom,
      comment: "A hotel room is a single room in a hotel.\n<br /><br />\nSee also the <a href=\"/docs/hotels.html\">dedicated document on the use of schema.org for marking up hotels and other forms of accommodations</a>.\n".freeze,
      "http://schema.org/source": "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#STI_Accommodation_Ontology".freeze,
      label: "HotelRoom".freeze,
      subClassOf: "http://schema.org/Room".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :House,
      comment: "A house is a building or structure that has the ability to be occupied for habitation by humans or other creatures (Source: Wikipedia, the free encyclopedia, see <a href=\"http://en.wikipedia.org/wiki/House\">http://en.wikipedia.org/wiki/House</a>).".freeze,
      "http://schema.org/source": "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#STI_Accommodation_Ontology".freeze,
      label: "House".freeze,
      subClassOf: "http://schema.org/Accommodation".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :HousePainter,
      comment: "A house painting service.".freeze,
      label: "HousePainter".freeze,
      subClassOf: "http://schema.org/HomeAndConstructionBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :HowTo,
      comment: "Instructions that explain how to achieve a result by performing a sequence of steps.".freeze,
      label: "HowTo".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :HowToDirection,
      comment: "A direction indicating a single action to do in the instructions for how to achieve a result.".freeze,
      label: "HowToDirection".freeze,
      subClassOf: ["http://schema.org/CreativeWork".freeze, "http://schema.org/ListItem".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :HowToItem,
      comment: "An item used as either a tool or supply when performing the instructions for how to to achieve a result.".freeze,
      label: "HowToItem".freeze,
      subClassOf: "http://schema.org/ListItem".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :HowToSection,
      comment: "A sub-grouping of steps in the instructions for how to achieve a result (e.g. steps for making a pie crust within a pie recipe).".freeze,
      label: "HowToSection".freeze,
      subClassOf: ["http://schema.org/CreativeWork".freeze, "http://schema.org/ItemList".freeze, "http://schema.org/ListItem".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :HowToStep,
      comment: "A step in the instructions for how to achieve a result. It is an ordered list with HowToDirection and/or HowToTip items.".freeze,
      label: "HowToStep".freeze,
      subClassOf: ["http://schema.org/CreativeWork".freeze, "http://schema.org/ItemList".freeze, "http://schema.org/ListItem".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :HowToSupply,
      comment: "A supply consumed when performing the instructions for how to achieve a result.".freeze,
      label: "HowToSupply".freeze,
      subClassOf: "http://schema.org/HowToItem".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :HowToTip,
      comment: "An explanation in the instructions for how to achieve a result. It provides supplementary information about a technique, supply, author's preference, etc. It can explain what could be done, or what should not be done, but doesn't specify what should be done (see HowToDirection).".freeze,
      label: "HowToTip".freeze,
      subClassOf: ["http://schema.org/CreativeWork".freeze, "http://schema.org/ListItem".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :HowToTool,
      comment: "A tool used (but not consumed) when performing instructions for how to achieve a result.".freeze,
      label: "HowToTool".freeze,
      subClassOf: "http://schema.org/HowToItem".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :HyperToc,
      comment: "A HyperToc represents a hypertext table of contents for complex media objects, such as [[VideoObject]], [[AudioObject]]. Items in the table of contents are indicated using the [[tocEntry]] property, and typed [[HyperTocEntry]]. For cases where the same larger work is split into multiple files, [[associatedMedia]] can be used on individual [[HyperTocEntry]] items.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2766".freeze,
      label: "HyperToc".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :HyperTocEntry,
      comment: "A HyperToEntry is an item within a [[HyperToc]], which represents a hypertext table of contents for complex media objects, such as [[VideoObject]], [[AudioObject]]. The media object itself is indicated using [[associatedMedia]]. Each section of interest within that content can be described with a [[HyperTocEntry]], with associated [[startOffset]] and [[endOffset]]. When several entries are all from the same file, [[associatedMedia]] is used on the overarching [[HyperTocEntry]]; if the content has been split into multiple files, they can be referenced using [[associatedMedia]] on each [[HyperTocEntry]].".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2766".freeze,
      label: "HyperTocEntry".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :IceCreamShop,
      comment: "An ice cream shop.".freeze,
      label: "IceCreamShop".freeze,
      subClassOf: "http://schema.org/FoodEstablishment".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :IgnoreAction,
      comment: "The act of intentionally disregarding the object. An agent ignores an object.".freeze,
      label: "IgnoreAction".freeze,
      subClassOf: "http://schema.org/AssessAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ImageGallery,
      comment: "Web page type: Image gallery page.".freeze,
      label: "ImageGallery".freeze,
      subClassOf: "http://schema.org/MediaGallery".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ImageObject,
      comment: "An image file.".freeze,
      equivalentClass: "http://purl.org/dc/dcmitype/Image".freeze,
      label: "ImageObject".freeze,
      subClassOf: "http://schema.org/MediaObject".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ImageObjectSnapshot,
      comment: "A specific and exact (byte-for-byte) version of an [[ImageObject]]. Two byte-for-byte identical files, for the purposes of this type, considered identical. If they have different embedded metadata (e.g. XMP, EXIF) the files will differ. Different external facts about the files, e.g. creator or dateCreated that aren't represented in their actual content, do not affect this notion of identity.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2450".freeze,
      label: "ImageObjectSnapshot".freeze,
      subClassOf: "http://schema.org/ImageObject".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ImagingTest,
      comment: "Any medical imaging modality typically used for diagnostic purposes.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "ImagingTest".freeze,
      subClassOf: "http://schema.org/MedicalTest".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :IndividualProduct,
      comment: "A single, identifiable product instance (e.g. a laptop with a particular serial number).".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsClass".freeze,
      label: "IndividualProduct".freeze,
      subClassOf: "http://schema.org/Product".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :InfectiousAgentClass,
      comment: "Classes of agents or pathogens that transmit infectious diseases. Enumerated type.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "InfectiousAgentClass".freeze,
      subClassOf: "http://schema.org/MedicalEnumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :InfectiousDisease,
      comment: "An infectious disease is a clinically evident human disease resulting from the presence of pathogenic microbial agents, like pathogenic viruses, pathogenic bacteria, fungi, protozoa, multicellular parasites, and prions. To be considered an infectious disease, such pathogens are known to be able to cause this disease.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "InfectiousDisease".freeze,
      subClassOf: "http://schema.org/MedicalCondition".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :InformAction,
      comment: "The act of notifying someone of information pertinent to them, with no expectation of a response.".freeze,
      label: "InformAction".freeze,
      subClassOf: "http://schema.org/CommunicateAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :InsertAction,
      comment: "The act of adding at a specific location in an ordered collection.".freeze,
      label: "InsertAction".freeze,
      subClassOf: "http://schema.org/AddAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :InstallAction,
      comment: "The act of installing an application.".freeze,
      label: "InstallAction".freeze,
      subClassOf: "http://schema.org/ConsumeAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :InsuranceAgency,
      comment: "An Insurance agency.".freeze,
      label: "InsuranceAgency".freeze,
      subClassOf: "http://schema.org/FinancialService".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Intangible,
      comment: "A utility class that serves as the umbrella for a number of 'intangible' things such as quantities, structured values, etc.".freeze,
      label: "Intangible".freeze,
      subClassOf: "http://schema.org/Thing".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Integer,
      comment: "Data type: Integer.".freeze,
      label: "Integer".freeze,
      subClassOf: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :InteractAction,
      comment: "The act of interacting with another person or organization.".freeze,
      label: "InteractAction".freeze,
      subClassOf: "http://schema.org/Action".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :InteractionCounter,
      comment: "A summary of how users have interacted with this CreativeWork. In most cases, authors will use a subtype to specify the specific type of interaction.".freeze,
      label: "InteractionCounter".freeze,
      subClassOf: "http://schema.org/StructuredValue".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :InternetCafe,
      comment: "An internet cafe.".freeze,
      label: "InternetCafe".freeze,
      subClassOf: "http://schema.org/LocalBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :InvestmentFund,
      comment: "A company or fund that gathers capital from a number of investors to create a pool of money that is then re-invested into stocks, bonds and other assets.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FIBO".freeze, "https://github.com/schemaorg/schemaorg/issues/1253".freeze],
      label: "InvestmentFund".freeze,
      subClassOf: "http://schema.org/InvestmentOrDeposit".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :InvestmentOrDeposit,
      comment: "A type of financial product that typically requires the client to transfer funds to a financial service in return for potential beneficial financial return.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FIBO".freeze,
      label: "InvestmentOrDeposit".freeze,
      subClassOf: "http://schema.org/FinancialProduct".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :InviteAction,
      comment: "The act of asking someone to attend an event. Reciprocal of RsvpAction.".freeze,
      label: "InviteAction".freeze,
      subClassOf: "http://schema.org/CommunicateAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Invoice,
      comment: "A statement of the money due for goods or services; a bill.".freeze,
      label: "Invoice".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ItemAvailability,
      comment: "A list of possible product availability options.".freeze,
      label: "ItemAvailability".freeze,
      subClassOf: "http://schema.org/Enumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ItemList,
      comment: "A list of items of any sort&#x2014;for example, Top 10 Movies About Weathermen, or Top 100 Party Songs. Not to be confused with HTML lists, which are often used only for formatting.".freeze,
      label: "ItemList".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ItemListOrderType,
      comment: "Enumerated for values for itemListOrder for indicating how an ordered ItemList is organized.".freeze,
      label: "ItemListOrderType".freeze,
      subClassOf: "http://schema.org/Enumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ItemPage,
      comment: "A page devoted to a single item, such as a particular product or hotel.".freeze,
      label: "ItemPage".freeze,
      subClassOf: "http://schema.org/WebPage".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :JewelryStore,
      comment: "A jewelry store.".freeze,
      label: "JewelryStore".freeze,
      subClassOf: "http://schema.org/Store".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :JobPosting,
      comment: "A listing that describes a job opening in a certain organization.".freeze,
      label: "JobPosting".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :JoinAction,
      comment: "An agent joins an event/group with participants/friends at a location.\\n\\nRelated actions:\\n\\n* [[RegisterAction]]: Unlike RegisterAction, JoinAction refers to joining a group/team of people.\\n* [[SubscribeAction]]: Unlike SubscribeAction, JoinAction does not imply that you'll be receiving updates.\\n* [[FollowAction]]: Unlike FollowAction, JoinAction does not imply that you'll be polling for updates.".freeze,
      label: "JoinAction".freeze,
      subClassOf: "http://schema.org/InteractAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Joint,
      comment: "The anatomical location at which two or more bones make contact.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Joint".freeze,
      subClassOf: "http://schema.org/AnatomicalStructure".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :LakeBodyOfWater,
      comment: "A lake (for example, Lake Pontrachain).".freeze,
      label: "LakeBodyOfWater".freeze,
      subClassOf: "http://schema.org/BodyOfWater".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Landform,
      comment: "A landform or physical feature.  Landform elements include mountains, plains, lakes, rivers, seascape and oceanic waterbody interface features such as bays, peninsulas, seas and so forth, including sub-aqueous terrain features such as submersed mountain ranges, volcanoes, and the great ocean basins.".freeze,
      label: "Landform".freeze,
      subClassOf: "http://schema.org/Place".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :LandmarksOrHistoricalBuildings,
      comment: "An historical landmark or building.".freeze,
      label: "LandmarksOrHistoricalBuildings".freeze,
      subClassOf: "http://schema.org/Place".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Language,
      comment: "Natural languages such as Spanish, Tamil, Hindi, English, etc. Formal language code tags expressed in [BCP 47](https://en.wikipedia.org/wiki/IETF_language_tag) can be used via the [[alternateName]] property. The Language type previously also covered programming languages such as Scheme and Lisp, which are now best represented using [[ComputerLanguage]].".freeze,
      label: "Language".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :LearningResource,
      comment: "The LearningResource type can be used to indicate [[CreativeWork]]s (whether physical or digital) that have a particular and explicit orientation towards learning, education, skill acquisition, and other educational purposes.\n\n[[LearningResource]] is expected to be used as an addition to a primary type such as [[Book]], [[VideoObject]], [[Product]] etc.\n\n[[EducationEvent]] serves a similar purpose for event-like things (e.g. a [[Trip]]). A [[LearningResource]] may be created as a result of an [[EducationEvent]], for example by recording one.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1401".freeze,
      label: "LearningResource".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :LeaveAction,
      comment: "An agent leaves an event / group with participants/friends at a location.\\n\\nRelated actions:\\n\\n* [[JoinAction]]: The antonym of LeaveAction.\\n* [[UnRegisterAction]]: Unlike UnRegisterAction, LeaveAction implies leaving a group/team of people rather than a service.".freeze,
      label: "LeaveAction".freeze,
      subClassOf: "http://schema.org/InteractAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :LegalForceStatus,
      comment: "A list of possible statuses for the legal force of a legislation.".freeze,
      exactMatch: "http://data.europa.eu/eli/ontology#InForce".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://publications.europa.eu/mdr/eli/index.html".freeze, "https://github.com/schemaorg/schemaorg/issues/1156".freeze],
      label: "LegalForceStatus".freeze,
      subClassOf: "http://schema.org/StatusEnumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :LegalService,
      comment: "A LegalService is a business that provides legally-oriented services, advice and representation, e.g. law firms.\\n\\nAs a [[LocalBusiness]] it can be described as a [[provider]] of one or more [[Service]]\\(s).".freeze,
      label: "LegalService".freeze,
      subClassOf: "http://schema.org/LocalBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :LegalValueLevel,
      comment: "A list of possible levels for the legal validity of a legislation.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://publications.europa.eu/mdr/eli/index.html".freeze, "https://github.com/schemaorg/schemaorg/issues/1156".freeze],
      "http://www.w3.org/2004/02/skos/core#closeMatch": "http://data.europa.eu/eli/ontology#LegalValue".freeze,
      label: "LegalValueLevel".freeze,
      subClassOf: "http://schema.org/Enumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Legislation,
      comment: "A legal document such as an act, decree, bill, etc. (enforceable or not) or a component of a legal act (like an article).".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://publications.europa.eu/mdr/eli/index.html".freeze, "https://github.com/schemaorg/schemaorg/issues/1156".freeze],
      "http://www.w3.org/2004/02/skos/core#closeMatch": ["http://data.europa.eu/eli/ontology#LegalExpression".freeze, "http://data.europa.eu/eli/ontology#LegalResource".freeze],
      label: "Legislation".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :LegislationObject,
      comment: "A specific object or file containing a Legislation. Note that the same Legislation can be published in multiple files. For example, a digitally signed PDF, a plain PDF and an HTML version.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://publications.europa.eu/mdr/eli/index.html".freeze, "https://github.com/schemaorg/schemaorg/issues/1156".freeze],
      "http://www.w3.org/2004/02/skos/core#closeMatch": "http://data.europa.eu/eli/ontology#Format".freeze,
      label: "LegislationObject".freeze,
      subClassOf: ["http://schema.org/Legislation".freeze, "http://schema.org/MediaObject".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :LegislativeBuilding,
      comment: "A legislative building&#x2014;for example, the state capitol.".freeze,
      label: "LegislativeBuilding".freeze,
      subClassOf: "http://schema.org/GovernmentBuilding".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :LendAction,
      comment: "The act of providing an object under an agreement that it will be returned at a later date. Reciprocal of BorrowAction.\\n\\nRelated actions:\\n\\n* [[BorrowAction]]: Reciprocal of LendAction.".freeze,
      label: "LendAction".freeze,
      subClassOf: "http://schema.org/TransferAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Library,
      comment: "A library.".freeze,
      label: "Library".freeze,
      subClassOf: "http://schema.org/LocalBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :LibrarySystem,
      comment: "A [[LibrarySystem]] is a collaborative system amongst several libraries.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1495".freeze,
      label: "LibrarySystem".freeze,
      subClassOf: "http://schema.org/Organization".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :LifestyleModification,
      comment: "A process of care involving exercise, changes to diet, fitness routines, and other lifestyle changes aimed at improving a health condition.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "LifestyleModification".freeze,
      subClassOf: "http://schema.org/MedicalEntity".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Ligament,
      comment: "A short band of tough, flexible, fibrous connective tissue that functions to connect multiple bones, cartilages, and structurally support joints.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Ligament".freeze,
      subClassOf: "http://schema.org/AnatomicalStructure".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :LikeAction,
      comment: "The act of expressing a positive sentiment about the object. An agent likes an object (a proposition, topic or theme) with participants.".freeze,
      label: "LikeAction".freeze,
      subClassOf: "http://schema.org/ReactAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :LinkRole,
      comment: "A Role that represents a Web link e.g. as expressed via the 'url' property. Its linkRelationship property can indicate URL-based and plain textual link types e.g. those in IANA link registry or others such as 'amphtml'. This structure provides a placeholder where details from HTML's link element can be represented outside of HTML, e.g. in JSON-LD feeds.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1045".freeze,
      label: "LinkRole".freeze,
      subClassOf: "http://schema.org/Role".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :LiquorStore,
      comment: "A shop that sells alcoholic drinks such as wine, beer, whisky and other spirits.".freeze,
      label: "LiquorStore".freeze,
      subClassOf: "http://schema.org/Store".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ListItem,
      comment: "An list item, e.g. a step in a checklist or how-to description.".freeze,
      label: "ListItem".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ListenAction,
      comment: "The act of consuming audio content.".freeze,
      label: "ListenAction".freeze,
      subClassOf: "http://schema.org/ConsumeAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :LiteraryEvent,
      comment: "Event type: Literary event.".freeze,
      label: "LiteraryEvent".freeze,
      subClassOf: "http://schema.org/Event".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :LiveBlogPosting,
      comment: "A [[LiveBlogPosting]] is a [[BlogPosting]] intended to provide a rolling textual coverage of an ongoing event through continuous updates.".freeze,
      label: "LiveBlogPosting".freeze,
      subClassOf: "http://schema.org/BlogPosting".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :LoanOrCredit,
      comment: "A financial product for the loaning of an amount of money, or line of credit, under agreed terms and charges.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FIBO".freeze,
      label: "LoanOrCredit".freeze,
      subClassOf: "http://schema.org/FinancialProduct".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :LocalBusiness,
      comment: "A particular physical business or branch of an organization. Examples of LocalBusiness include a restaurant, a particular branch of a restaurant chain, a branch of a bank, a medical practice, a club, a bowling alley, etc.".freeze,
      "http://www.w3.org/2004/02/skos/core#closeMatch": "http://www.w3.org/ns/regorg#RegisteredOrganization".freeze,
      label: "LocalBusiness".freeze,
      subClassOf: ["http://schema.org/Organization".freeze, "http://schema.org/Place".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :LocationFeatureSpecification,
      comment: "Specifies a location feature by providing a structured value representing a feature of an accommodation as a property-value pair of varying degrees of formality.".freeze,
      "http://schema.org/source": "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#STI_Accommodation_Ontology".freeze,
      label: "LocationFeatureSpecification".freeze,
      subClassOf: "http://schema.org/PropertyValue".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Locksmith,
      comment: "A locksmith.".freeze,
      label: "Locksmith".freeze,
      subClassOf: "http://schema.org/HomeAndConstructionBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :LodgingBusiness,
      comment: "A lodging business, such as a motel, hotel, or inn.".freeze,
      label: "LodgingBusiness".freeze,
      subClassOf: "http://schema.org/LocalBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :LodgingReservation,
      comment: "A reservation for lodging at a hotel, motel, inn, etc.\\n\\nNote: This type is for information about actual reservations, e.g. in confirmation emails or HTML pages with individual confirmations of reservations.".freeze,
      label: "LodgingReservation".freeze,
      subClassOf: "http://schema.org/Reservation".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :LoseAction,
      comment: "The act of being defeated in a competitive activity.".freeze,
      label: "LoseAction".freeze,
      subClassOf: "http://schema.org/AchieveAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :LymphaticVessel,
      comment: "A type of blood vessel that specifically carries lymph fluid unidirectionally toward the heart.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "LymphaticVessel".freeze,
      subClassOf: "http://schema.org/Vessel".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Manuscript,
      comment: "A book, document, or piece of music written by hand rather than typed or printed.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1448".freeze,
      label: "Manuscript".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Map,
      comment: "A map.".freeze,
      label: "Map".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MapCategoryType,
      comment: "An enumeration of several kinds of Map.".freeze,
      label: "MapCategoryType".freeze,
      subClassOf: "http://schema.org/Enumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MarryAction,
      comment: "The act of marrying a person.".freeze,
      label: "MarryAction".freeze,
      subClassOf: "http://schema.org/InteractAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Mass,
      comment: "Properties that take Mass as values are of the form '&lt;Number&gt; &lt;Mass unit of measure&gt;'. E.g., '7 kg'.".freeze,
      label: "Mass".freeze,
      subClassOf: "http://schema.org/Quantity".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MathSolver,
      comment: "A math solver which is capable of solving a subset of mathematical problems.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2740".freeze,
      label: "MathSolver".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MaximumDoseSchedule,
      comment: "The maximum dosing schedule considered safe for a drug or supplement as recommended by an authority or by the drug/supplement's manufacturer. Capture the recommending authority in the recognizingAuthority property of MedicalEntity.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "MaximumDoseSchedule".freeze,
      subClassOf: "http://schema.org/DoseSchedule".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MeasurementTypeEnumeration,
      comment: "Enumeration of common measurement types (or dimensions), for example \"chest\" for a person, \"inseam\" for pants, \"gauge\" for screws, or \"wheel\" for bicycles.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "MeasurementTypeEnumeration".freeze,
      subClassOf: "http://schema.org/Enumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MediaGallery,
      comment: "Web page type: Media gallery page. A mixed-media page that can contains media such as images, videos, and other multimedia.".freeze,
      label: "MediaGallery".freeze,
      subClassOf: "http://schema.org/CollectionPage".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MediaManipulationRatingEnumeration,
      comment: " Codes for use with the [[mediaAuthenticityCategory]] property, indicating the authenticity of a media object (in the context of how it was published or shared). In general these codes are not mutually exclusive, although some combinations (such as 'original' versus 'transformed', 'edited' and 'staged') would be contradictory if applied in the same [[MediaReview]]. Note that the application of these codes is with regard to a piece of media shared or published in a particular context.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2450".freeze,
      label: "MediaManipulationRatingEnumeration".freeze,
      subClassOf: "http://schema.org/Enumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MediaObject,
      comment: "A media object, such as an image, video, or audio object embedded in a web page or a downloadable dataset i.e. DataDownload. Note that a creative work may have many media objects associated with it on the same web page. For example, a page about a single song (MusicRecording) may have a music video (VideoObject), and a high and low bandwidth audio stream (2 AudioObject's).".freeze,
      label: "MediaObject".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MediaReview,
      comment: "A [[MediaReview]] is a more specialized form of Review dedicated to the evaluation of media content online, typically in the context of fact-checking and misinformation.\n    For more general reviews of media in the broader sense, use [[UserReview]], [[CriticReview]] or other [[Review]] types. This definition is\n    a work in progress. While the [[MediaManipulationRatingEnumeration]] list reflects significant community review amongst fact-checkers and others working\n    to combat misinformation, the specific structures for representing media objects, their versions and publication context, is still evolving. Similarly, best practices for the relationship between [[MediaReview]] and [[ClaimReview]] markup has not yet been finalized.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2450".freeze,
      label: "MediaReview".freeze,
      subClassOf: "http://schema.org/Review".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MediaReviewItem,
      comment: "Represents an item or group of closely related items treated as a unit for the sake of evaluation in a [[MediaReview]]. Authorship etc. apply to the items rather than to the curation/grouping or reviewing party.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2450".freeze,
      label: "MediaReviewItem".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MediaSubscription,
      comment: "A subscription which allows a user to access media including audio, video, books, etc.".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1741".freeze,
      label: "MediaSubscription".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MedicalAudience,
      comment: "Target audiences for medical web pages.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "MedicalAudience".freeze,
      subClassOf: ["http://schema.org/Audience".freeze, "http://schema.org/PeopleAudience".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MedicalAudienceType,
      comment: "Target audiences types for medical web pages. Enumerated type.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "MedicalAudienceType".freeze,
      subClassOf: "http://schema.org/MedicalEnumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MedicalBusiness,
      comment: "A particular physical or virtual business of an organization for medical purposes. Examples of MedicalBusiness include differents business run by health professionals.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "MedicalBusiness".freeze,
      subClassOf: "http://schema.org/LocalBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MedicalCause,
      comment: "The causative agent(s) that are responsible for the pathophysiologic process that eventually results in a medical condition, symptom or sign. In this schema, unless otherwise specified this is meant to be the proximate cause of the medical condition, symptom or sign. The proximate cause is defined as the causative agent that most directly results in the medical condition, symptom or sign. For example, the HIV virus could be considered a cause of AIDS. Or in a diagnostic context, if a patient fell and sustained a hip fracture and two days later sustained a pulmonary embolism which eventuated in a cardiac arrest, the cause of the cardiac arrest (the proximate cause) would be the pulmonary embolism and not the fall. Medical causes can include cardiovascular, chemical, dermatologic, endocrine, environmental, gastroenterologic, genetic, hematologic, gynecologic, iatrogenic, infectious, musculoskeletal, neurologic, nutritional, obstetric, oncologic, otolaryngologic, pharmacologic, psychiatric, pulmonary, renal, rheumatologic, toxic, traumatic, or urologic causes; medical conditions can be causes as well.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "MedicalCause".freeze,
      subClassOf: "http://schema.org/MedicalEntity".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MedicalClinic,
      comment: "A facility, often associated with a hospital or medical school, that is devoted to the specific diagnosis and/or healthcare. Previously limited to outpatients but with evolution it may be open to inpatients as well.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "MedicalClinic".freeze,
      subClassOf: ["http://schema.org/MedicalBusiness".freeze, "http://schema.org/MedicalOrganization".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MedicalCode,
      comment: "A code for a medical entity.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "MedicalCode".freeze,
      subClassOf: ["http://schema.org/CategoryCode".freeze, "http://schema.org/MedicalIntangible".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MedicalCondition,
      comment: "Any condition of the human body that affects the normal functioning of a person, whether physically or mentally. Includes diseases, injuries, disabilities, disorders, syndromes, etc.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "MedicalCondition".freeze,
      subClassOf: "http://schema.org/MedicalEntity".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MedicalConditionStage,
      comment: "A stage of a medical condition, such as 'Stage IIIa'.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "MedicalConditionStage".freeze,
      subClassOf: "http://schema.org/MedicalIntangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MedicalContraindication,
      comment: "A condition or factor that serves as a reason to withhold a certain medical therapy. Contraindications can be absolute (there are no reasonable circumstances for undertaking a course of action) or relative (the patient is at higher risk of complications, but that these risks may be outweighed by other considerations or mitigated by other measures).".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "MedicalContraindication".freeze,
      subClassOf: "http://schema.org/MedicalEntity".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MedicalDevice,
      comment: "Any object used in a medical capacity, such as to diagnose or treat a patient.".freeze,
      equivalentClass: "http://purl.bioontology.org/ontology/SNOMEDCT/63653004".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "MedicalDevice".freeze,
      subClassOf: "http://schema.org/MedicalEntity".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MedicalDevicePurpose,
      comment: "Categories of medical devices, organized by the purpose or intended use of the device.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "MedicalDevicePurpose".freeze,
      subClassOf: "http://schema.org/MedicalEnumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MedicalEntity,
      comment: "The most generic type of entity related to health and the practice of medicine.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "MedicalEntity".freeze,
      subClassOf: "http://schema.org/Thing".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MedicalEnumeration,
      comment: "Enumerations related to health and the practice of medicine: A concept that is used to attribute a quality to another concept, as a qualifier, a collection of items or a listing of all of the elements of a set in medicine practice.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "MedicalEnumeration".freeze,
      subClassOf: "http://schema.org/Enumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MedicalEvidenceLevel,
      comment: "Level of evidence for a medical guideline. Enumerated type.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "MedicalEvidenceLevel".freeze,
      subClassOf: "http://schema.org/MedicalEnumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MedicalGuideline,
      comment: "Any recommendation made by a standard society (e.g. ACC/AHA) or consensus statement that denotes how to diagnose and treat a particular condition. Note: this type should be used to tag the actual guideline recommendation; if the guideline recommendation occurs in a larger scholarly article, use MedicalScholarlyArticle to tag the overall article, not this type. Note also: the organization making the recommendation should be captured in the recognizingAuthority base property of MedicalEntity.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "MedicalGuideline".freeze,
      subClassOf: "http://schema.org/MedicalEntity".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MedicalGuidelineContraindication,
      comment: "A guideline contraindication that designates a process as harmful and where quality of the data supporting the contraindication is sound.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "MedicalGuidelineContraindication".freeze,
      subClassOf: "http://schema.org/MedicalGuideline".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MedicalGuidelineRecommendation,
      comment: "A guideline recommendation that is regarded as efficacious and where quality of the data supporting the recommendation is sound.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "MedicalGuidelineRecommendation".freeze,
      subClassOf: "http://schema.org/MedicalGuideline".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MedicalImagingTechnique,
      comment: "Any medical imaging modality typically used for diagnostic purposes. Enumerated type.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "MedicalImagingTechnique".freeze,
      subClassOf: "http://schema.org/MedicalEnumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MedicalIndication,
      comment: "A condition or factor that indicates use of a medical therapy, including signs, symptoms, risk factors, anatomical states, etc.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "MedicalIndication".freeze,
      subClassOf: "http://schema.org/MedicalEntity".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MedicalIntangible,
      comment: "A utility class that serves as the umbrella for a number of 'intangible' things in the medical space.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "MedicalIntangible".freeze,
      subClassOf: "http://schema.org/MedicalEntity".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MedicalObservationalStudy,
      comment: "An observational study is a type of medical study that attempts to infer the possible effect of a treatment through observation of a cohort of subjects over a period of time. In an observational study, the assignment of subjects into treatment groups versus control groups is outside the control of the investigator. This is in contrast with controlled studies, such as the randomized controlled trials represented by MedicalTrial, where each subject is randomly assigned to a treatment group or a control group before the start of the treatment.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "MedicalObservationalStudy".freeze,
      subClassOf: "http://schema.org/MedicalStudy".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MedicalObservationalStudyDesign,
      comment: "Design models for observational medical studies. Enumerated type.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "MedicalObservationalStudyDesign".freeze,
      subClassOf: "http://schema.org/MedicalEnumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MedicalOrganization,
      comment: "A medical organization (physical or not), such as hospital, institution or clinic.".freeze,
      label: "MedicalOrganization".freeze,
      subClassOf: "http://schema.org/Organization".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MedicalProcedure,
      comment: "A process of care used in either a diagnostic, therapeutic, preventive or palliative capacity that relies on invasive (surgical), non-invasive, or other techniques.".freeze,
      equivalentClass: "http://purl.bioontology.org/ontology/SNOMEDCT/50731006".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "MedicalProcedure".freeze,
      subClassOf: "http://schema.org/MedicalEntity".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MedicalProcedureType,
      comment: "An enumeration that describes different types of medical procedures.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "MedicalProcedureType".freeze,
      subClassOf: "http://schema.org/MedicalEnumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MedicalRiskCalculator,
      comment: "A complex mathematical calculation requiring an online calculator, used to assess prognosis. Note: use the url property of Thing to record any URLs for online calculators.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "MedicalRiskCalculator".freeze,
      subClassOf: "http://schema.org/MedicalRiskEstimator".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MedicalRiskEstimator,
      comment: "Any rule set or interactive tool for estimating the risk of developing a complication or condition.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "MedicalRiskEstimator".freeze,
      subClassOf: "http://schema.org/MedicalEntity".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MedicalRiskFactor,
      comment: "A risk factor is anything that increases a person's likelihood of developing or contracting a disease, medical condition, or complication.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "MedicalRiskFactor".freeze,
      subClassOf: "http://schema.org/MedicalEntity".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MedicalRiskScore,
      comment: "A simple system that adds up the number of risk factors to yield a score that is associated with prognosis, e.g. CHAD score, TIMI risk score.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "MedicalRiskScore".freeze,
      subClassOf: "http://schema.org/MedicalRiskEstimator".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MedicalScholarlyArticle,
      comment: "A scholarly article in the medical domain.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "MedicalScholarlyArticle".freeze,
      subClassOf: "http://schema.org/ScholarlyArticle".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MedicalSign,
      comment: "Any physical manifestation of a person's medical condition discoverable by objective diagnostic tests or physical examination.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "MedicalSign".freeze,
      subClassOf: "http://schema.org/MedicalSignOrSymptom".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MedicalSignOrSymptom,
      comment: "Any feature associated or not with a medical condition. In medicine a symptom is generally subjective while a sign is objective.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "MedicalSignOrSymptom".freeze,
      subClassOf: "http://schema.org/MedicalCondition".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MedicalSpecialty,
      comment: "Any specific branch of medical science or practice. Medical specialities include clinical specialties that pertain to particular organ systems and their respective disease states, as well as allied health specialties. Enumerated type.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "MedicalSpecialty".freeze,
      subClassOf: ["http://schema.org/MedicalEnumeration".freeze, "http://schema.org/Specialty".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MedicalStudy,
      comment: "A medical study is an umbrella type covering all kinds of research studies relating to human medicine or health, including observational studies and interventional trials and registries, randomized, controlled or not. When the specific type of study is known, use one of the extensions of this type, such as MedicalTrial or MedicalObservationalStudy. Also, note that this type should be used to mark up data that describes the study itself; to tag an article that publishes the results of a study, use MedicalScholarlyArticle. Note: use the code property of MedicalEntity to store study IDs, e.g. clinicaltrials.gov ID.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "MedicalStudy".freeze,
      subClassOf: "http://schema.org/MedicalEntity".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MedicalStudyStatus,
      comment: "The status of a medical study. Enumerated type.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "MedicalStudyStatus".freeze,
      subClassOf: "http://schema.org/MedicalEnumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MedicalSymptom,
      comment: "Any complaint sensed and expressed by the patient (therefore defined as subjective)  like stomachache, lower-back pain, or fatigue.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "MedicalSymptom".freeze,
      subClassOf: "http://schema.org/MedicalSignOrSymptom".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MedicalTest,
      comment: "Any medical test, typically performed for diagnostic purposes.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "MedicalTest".freeze,
      subClassOf: "http://schema.org/MedicalEntity".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MedicalTestPanel,
      comment: "Any collection of tests commonly ordered together.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "MedicalTestPanel".freeze,
      subClassOf: "http://schema.org/MedicalTest".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MedicalTherapy,
      comment: "Any medical intervention designed to prevent, treat, and cure human diseases and medical conditions, including both curative and palliative therapies. Medical therapies are typically processes of care relying upon pharmacotherapy, behavioral therapy, supportive therapy (with fluid or nutrition for example), or detoxification (e.g. hemodialysis) aimed at improving or preventing a health condition.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "MedicalTherapy".freeze,
      subClassOf: "http://schema.org/TherapeuticProcedure".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MedicalTrial,
      comment: "A medical trial is a type of medical study that uses scientific process used to compare the safety and efficacy of medical therapies or medical procedures. In general, medical trials are controlled and subjects are allocated at random to the different treatment and/or control groups.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "MedicalTrial".freeze,
      subClassOf: "http://schema.org/MedicalStudy".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MedicalTrialDesign,
      comment: "Design models for medical trials. Enumerated type.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_WikiDoc".freeze,
      label: "MedicalTrialDesign".freeze,
      subClassOf: "http://schema.org/MedicalEnumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MedicalWebPage,
      comment: "A web page that provides medical information.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "MedicalWebPage".freeze,
      subClassOf: "http://schema.org/WebPage".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MedicineSystem,
      comment: "Systems of medical practice.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "MedicineSystem".freeze,
      subClassOf: "http://schema.org/MedicalEnumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MeetingRoom,
      comment: "A meeting room, conference room, or conference hall is a room provided for singular events such as business conferences and meetings (Source: Wikipedia, the free encyclopedia, see <a href=\"http://en.wikipedia.org/wiki/Conference_hall\">http://en.wikipedia.org/wiki/Conference_hall</a>).\n<br /><br />\nSee also the <a href=\"/docs/hotels.html\">dedicated document on the use of schema.org for marking up hotels and other forms of accommodations</a>.\n".freeze,
      "http://schema.org/source": "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#STI_Accommodation_Ontology".freeze,
      label: "MeetingRoom".freeze,
      subClassOf: "http://schema.org/Room".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MensClothingStore,
      comment: "A men's clothing store.".freeze,
      label: "MensClothingStore".freeze,
      subClassOf: "http://schema.org/Store".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Menu,
      comment: "A structured representation of food or drink items available from a FoodEstablishment.".freeze,
      label: "Menu".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MenuItem,
      comment: "A food or drink item listed in a menu or menu section.".freeze,
      label: "MenuItem".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MenuSection,
      comment: "A sub-grouping of food or drink items in a menu. E.g. courses (such as 'Dinner', 'Breakfast', etc.), specific type of dishes (such as 'Meat', 'Vegan', 'Drinks', etc.), or some other classification made by the menu provider.".freeze,
      label: "MenuSection".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MerchantReturnEnumeration,
      comment: "Enumerates several kinds of product return policies.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2288".freeze,
      label: "MerchantReturnEnumeration".freeze,
      subClassOf: "http://schema.org/Enumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MerchantReturnPolicy,
      comment: "A MerchantReturnPolicy provides information about product return policies associated with an [[Organization]], [[Product]], or [[Offer]].".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2288".freeze,
      label: "MerchantReturnPolicy".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MerchantReturnPolicySeasonalOverride,
      comment: "A seasonal override of a return policy, for example used for holidays.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2880".freeze,
      label: "MerchantReturnPolicySeasonalOverride".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Message,
      comment: "A single message from a sender to one or more organizations or people.".freeze,
      label: "Message".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MiddleSchool,
      comment: "A middle school (typically for children aged around 11-14, although this varies somewhat).".freeze,
      label: "MiddleSchool".freeze,
      subClassOf: "http://schema.org/EducationalOrganization".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MobileApplication,
      comment: "A software application designed specifically to work well on a mobile device such as a telephone.".freeze,
      label: "MobileApplication".freeze,
      subClassOf: "http://schema.org/SoftwareApplication".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MobilePhoneStore,
      comment: "A store that sells mobile phones and related accessories.".freeze,
      label: "MobilePhoneStore".freeze,
      subClassOf: "http://schema.org/Store".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MolecularEntity,
      comment: "Any constitutionally or isotopically distinct atom, molecule, ion, ion pair, radical, radical ion, complex, conformer etc., identifiable as a separately distinguishable entity.".freeze,
      "http://purl.org/dc/terms/source": "http://bioschemas.org".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      label: "MolecularEntity".freeze,
      subClassOf: "http://schema.org/BioChemEntity".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MonetaryAmount,
      comment: "A monetary value or range. This type can be used to describe an amount of money such as $50 USD, or a range as in describing a bank account being suitable for a balance between £1,000 and £1,000,000 GBP, or the value of a salary, etc. It is recommended to use [[PriceSpecification]] Types to describe the price of an Offer, Invoice, etc.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FIBO".freeze,
      label: "MonetaryAmount".freeze,
      subClassOf: "http://schema.org/StructuredValue".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MonetaryAmountDistribution,
      comment: "A statistical distribution of monetary amounts.".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1698".freeze,
      label: "MonetaryAmountDistribution".freeze,
      subClassOf: "http://schema.org/QuantitativeValueDistribution".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MonetaryGrant,
      comment: "A monetary grant.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["https://github.com/schemaorg/schemaorg/issues/383".freeze, "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FundInfoCollab".freeze],
      label: "MonetaryGrant".freeze,
      subClassOf: "http://schema.org/Grant".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MoneyTransfer,
      comment: "The act of transferring money from one place to another place. This may occur electronically or physically.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FIBO".freeze, "https://github.com/schemaorg/schemaorg/issues/1253".freeze],
      label: "MoneyTransfer".freeze,
      subClassOf: "http://schema.org/TransferAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MortgageLoan,
      comment: "A loan in which property or real estate is used as collateral. (A loan securitized against some real estate).".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FIBO".freeze, "https://github.com/schemaorg/schemaorg/issues/1253".freeze],
      label: "MortgageLoan".freeze,
      subClassOf: "http://schema.org/LoanOrCredit".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Mosque,
      comment: "A mosque.".freeze,
      label: "Mosque".freeze,
      subClassOf: "http://schema.org/PlaceOfWorship".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Motel,
      comment: "A motel.\n<br /><br />\nSee also the <a href=\"/docs/hotels.html\">dedicated document on the use of schema.org for marking up hotels and other forms of accommodations</a>.\n".freeze,
      label: "Motel".freeze,
      subClassOf: "http://schema.org/LodgingBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Motorcycle,
      comment: "A motorcycle or motorbike is a single-track, two-wheeled motor vehicle.".freeze,
      "http://schema.org/isPartOf": "http://auto.schema.org".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "Motorcycle".freeze,
      subClassOf: "http://schema.org/Vehicle".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MotorcycleDealer,
      comment: "A motorcycle dealer.".freeze,
      label: "MotorcycleDealer".freeze,
      subClassOf: "http://schema.org/AutomotiveBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MotorcycleRepair,
      comment: "A motorcycle repair shop.".freeze,
      label: "MotorcycleRepair".freeze,
      subClassOf: "http://schema.org/AutomotiveBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MotorizedBicycle,
      comment: "A motorized bicycle is a bicycle with an attached motor used to power the vehicle, or to assist with pedaling.".freeze,
      "http://schema.org/isPartOf": "http://auto.schema.org".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "MotorizedBicycle".freeze,
      subClassOf: "http://schema.org/Vehicle".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Mountain,
      comment: "A mountain, like Mount Whitney or Mount Everest.".freeze,
      label: "Mountain".freeze,
      subClassOf: "http://schema.org/Landform".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MoveAction,
      comment: "The act of an agent relocating to a place.\\n\\nRelated actions:\\n\\n* [[TransferAction]]: Unlike TransferAction, the subject of the move is a living Person or Organization rather than an inanimate object.".freeze,
      label: "MoveAction".freeze,
      subClassOf: "http://schema.org/Action".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Movie,
      comment: "A movie.".freeze,
      label: "Movie".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MovieClip,
      comment: "A short segment/part of a movie.".freeze,
      label: "MovieClip".freeze,
      subClassOf: "http://schema.org/Clip".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MovieRentalStore,
      comment: "A movie rental store.".freeze,
      label: "MovieRentalStore".freeze,
      subClassOf: "http://schema.org/Store".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MovieSeries,
      comment: "A series of movies. Included movies can be indicated with the hasPart property.".freeze,
      label: "MovieSeries".freeze,
      subClassOf: "http://schema.org/CreativeWorkSeries".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MovieTheater,
      comment: "A movie theater.".freeze,
      label: "MovieTheater".freeze,
      subClassOf: ["http://schema.org/CivicStructure".freeze, "http://schema.org/EntertainmentBusiness".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MovingCompany,
      comment: "A moving company.".freeze,
      label: "MovingCompany".freeze,
      subClassOf: "http://schema.org/HomeAndConstructionBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MulticellularParasite,
      comment: "Multicellular parasite that causes an infection.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "MulticellularParasite".freeze,
      type: "http://schema.org/InfectiousAgentClass".freeze
    term :Muscle,
      comment: "A muscle is an anatomical structure consisting of a contractile form of tissue that animals use to effect movement.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Muscle".freeze,
      subClassOf: "http://schema.org/AnatomicalStructure".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Museum,
      comment: "A museum.".freeze,
      label: "Museum".freeze,
      subClassOf: "http://schema.org/CivicStructure".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MusicAlbum,
      comment: "A collection of music tracks.".freeze,
      label: "MusicAlbum".freeze,
      subClassOf: "http://schema.org/MusicPlaylist".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MusicAlbumProductionType,
      comment: "Classification of the album by it's type of content: soundtrack, live album, studio album, etc.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#MBZ".freeze,
      label: "MusicAlbumProductionType".freeze,
      subClassOf: "http://schema.org/Enumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MusicAlbumReleaseType,
      comment: "The kind of release which this album is: single, EP or album.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#MBZ".freeze,
      label: "MusicAlbumReleaseType".freeze,
      subClassOf: "http://schema.org/Enumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MusicComposition,
      comment: "A musical composition.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#MBZ".freeze,
      label: "MusicComposition".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MusicEvent,
      comment: "Event type: Music event.".freeze,
      label: "MusicEvent".freeze,
      subClassOf: "http://schema.org/Event".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MusicGroup,
      comment: "A musical group, such as a band, an orchestra, or a choir. Can also be a solo musician.".freeze,
      label: "MusicGroup".freeze,
      subClassOf: "http://schema.org/PerformingGroup".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MusicPlaylist,
      comment: "A collection of music tracks in playlist form.".freeze,
      label: "MusicPlaylist".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MusicRecording,
      comment: "A music recording (track), usually a single song.".freeze,
      label: "MusicRecording".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MusicRelease,
      comment: "A MusicRelease is a specific release of a music album.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#MBZ".freeze,
      label: "MusicRelease".freeze,
      subClassOf: "http://schema.org/MusicPlaylist".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MusicReleaseFormatType,
      comment: "Format of this release (the type of recording media used, ie. compact disc, digital media, LP, etc.).".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#MBZ".freeze,
      label: "MusicReleaseFormatType".freeze,
      subClassOf: "http://schema.org/Enumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MusicStore,
      comment: "A music store.".freeze,
      label: "MusicStore".freeze,
      subClassOf: "http://schema.org/Store".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MusicVenue,
      comment: "A music venue.".freeze,
      label: "MusicVenue".freeze,
      subClassOf: "http://schema.org/CivicStructure".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :MusicVideoObject,
      comment: "A music video file.".freeze,
      label: "MusicVideoObject".freeze,
      subClassOf: "http://schema.org/MediaObject".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :NGO,
      comment: "Organization: Non-governmental Organization.".freeze,
      label: "NGO".freeze,
      subClassOf: "http://schema.org/Organization".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :NLNonprofitType,
      comment: "NLNonprofitType: Non-profit organization type originating from the Netherlands.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2543".freeze,
      label: "NLNonprofitType".freeze,
      subClassOf: "http://schema.org/NonprofitType".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :NailSalon,
      comment: "A nail salon.".freeze,
      label: "NailSalon".freeze,
      subClassOf: "http://schema.org/HealthAndBeautyBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Nerve,
      comment: "A common pathway for the electrochemical nerve impulses that are transmitted along each of the axons.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Nerve".freeze,
      subClassOf: "http://schema.org/AnatomicalStructure".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :NewsArticle,
      comment: "A NewsArticle is an article whose content reports news, or provides background context and supporting materials for understanding the news.\n\nA more detailed overview of [schema.org News markup](/docs/news.html) is also available.\n".freeze,
      "http://schema.org/source": ["http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_rNews".freeze, "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#TP-draws".freeze],
      label: "NewsArticle".freeze,
      subClassOf: "http://schema.org/Article".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :NewsMediaOrganization,
      comment: "A News/Media organization such as a newspaper or TV station.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["https://github.com/schemaorg/schemaorg/issues/1525".freeze, "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#TP".freeze],
      label: "NewsMediaOrganization".freeze,
      subClassOf: "http://schema.org/Organization".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Newspaper,
      comment: "A publication containing information about varied topics that are pertinent to general information, a geographic area, or a specific subject matter (i.e. business, culture, education). Often published daily.".freeze,
      "http://schema.org/isPartOf": "http://bib.schema.org".freeze,
      "http://schema.org/source": "http://www.productontology.org/id/Newspaper".freeze,
      label: "Newspaper".freeze,
      subClassOf: "http://schema.org/Periodical".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :NightClub,
      comment: "A nightclub or discotheque.".freeze,
      label: "NightClub".freeze,
      subClassOf: "http://schema.org/EntertainmentBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :NonprofitType,
      comment: "NonprofitType enumerates several kinds of official non-profit types of which a non-profit organization can be.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2543".freeze,
      label: "NonprofitType".freeze,
      subClassOf: "http://schema.org/Enumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Notary,
      comment: "A notary.".freeze,
      label: "Notary".freeze,
      subClassOf: "http://schema.org/LegalService".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :NoteDigitalDocument,
      comment: "A file containing a note, primarily for the author.".freeze,
      label: "NoteDigitalDocument".freeze,
      subClassOf: "http://schema.org/DigitalDocument".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Number,
      comment: "Data type: Number.\\n\\nUsage guidelines:\\n\\n* Use values from 0123456789 (Unicode 'DIGIT ZERO' (U+0030) to 'DIGIT NINE' (U+0039)) rather than superficially similiar Unicode symbols.\\n* Use '.' (Unicode 'FULL STOP' (U+002E)) rather than ',' to indicate a decimal point. Avoid using these symbols as a readability separator.".freeze,
      label: "Number".freeze,
      type: ["http://schema.org/DataType".freeze, "http://www.w3.org/2000/01/rdf-schema#Class".freeze]
    term :NutritionInformation,
      comment: "Nutritional information about the recipe.".freeze,
      label: "NutritionInformation".freeze,
      subClassOf: "http://schema.org/StructuredValue".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Observation,
      comment: "Instances of the class [[Observation]] are used to specify observations about an entity (which may or may not be an instance of a [[StatisticalPopulation]]), at a particular time. The principal properties of an [[Observation]] are [[observedNode]], [[measuredProperty]], [[measuredValue]] (or [[median]], etc.) and [[observationDate]] ([[measuredProperty]] properties can, but need not always, be W3C RDF Data Cube \"measure properties\", as in the [lifeExpectancy example](https://www.w3.org/TR/vocab-data-cube/#dsd-example)).\nSee also [[StatisticalPopulation]], and the [data and datasets](/docs/data-and-datasets.html) overview for more details.\n  ".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2291".freeze,
      label: "Observation".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Occupation,
      comment: "A profession, may involve prolonged training and/or a formal qualification.".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1698".freeze,
      label: "Occupation".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :OccupationalExperienceRequirements,
      comment: "Indicates employment-related experience requirements, e.g. [[monthsOfExperience]].".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2681".freeze,
      label: "OccupationalExperienceRequirements".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :OccupationalTherapy,
      comment: "A treatment of people with physical, emotional, or social problems, using purposeful activity to help them overcome or learn to deal with their problems.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "OccupationalTherapy".freeze,
      subClassOf: "http://schema.org/MedicalTherapy".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :OceanBodyOfWater,
      comment: "An ocean (for example, the Pacific).".freeze,
      label: "OceanBodyOfWater".freeze,
      subClassOf: "http://schema.org/BodyOfWater".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Offer,
      comment: "An offer to transfer some rights to an item or to provide a service — for example, an offer to sell tickets to an event, to rent the DVD of a movie, to stream a TV show over the internet, to repair a motorcycle, or to loan a book.\\n\\nNote: As the [[businessFunction]] property, which identifies the form of offer (e.g. sell, lease, repair, dispose), defaults to http://purl.org/goodrelations/v1#Sell; an Offer without a defined businessFunction value can be assumed to be an offer to sell.\\n\\nFor [GTIN](http://www.gs1.org/barcodes/technical/idkeys/gtin)-related fields, see [Check Digit calculator](http://www.gs1.org/barcodes/support/check_digit_calculator) and [validation guide](http://www.gs1us.org/resources/standards/gtin-validation-guide) from [GS1](http://www.gs1.org/).".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "Offer".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :OfferCatalog,
      comment: "An OfferCatalog is an ItemList that contains related Offers and/or further OfferCatalogs that are offeredBy the same provider.".freeze,
      label: "OfferCatalog".freeze,
      subClassOf: "http://schema.org/ItemList".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :OfferForLease,
      comment: "An [[OfferForLease]] in Schema.org represents an [[Offer]] to lease out something, i.e. an [[Offer]] whose\n  [[businessFunction]] is [lease out](http://purl.org/goodrelations/v1#LeaseOut.). See [Good Relations](https://en.wikipedia.org/wiki/GoodRelations) for\n  background on the underlying concepts.\n  ".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2348".freeze,
      label: "OfferForLease".freeze,
      subClassOf: "http://schema.org/Offer".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :OfferForPurchase,
      comment: "An [[OfferForPurchase]] in Schema.org represents an [[Offer]] to sell something, i.e. an [[Offer]] whose\n  [[businessFunction]] is [sell](http://purl.org/goodrelations/v1#Sell.). See [Good Relations](https://en.wikipedia.org/wiki/GoodRelations) for\n  background on the underlying concepts.\n  ".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2348".freeze,
      label: "OfferForPurchase".freeze,
      subClassOf: "http://schema.org/Offer".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :OfferItemCondition,
      comment: "A list of possible conditions for the item.".freeze,
      label: "OfferItemCondition".freeze,
      subClassOf: "http://schema.org/Enumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :OfferShippingDetails,
      comment: "OfferShippingDetails represents information about shipping destinations.\n\nMultiple of these entities can be used to represent different shipping rates for different destinations:\n\nOne entity for Alaska/Hawaii. A different one for continental US.A different one for all France.\n\nMultiple of these entities can be used to represent different shipping costs and delivery times.\n\nTwo entities that are identical but differ in rate and time:\n\ne.g. Cheaper and slower: $5 in 5-7days\nor Fast and expensive: $15 in 1-2 days.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2506".freeze,
      label: "OfferShippingDetails".freeze,
      subClassOf: "http://schema.org/StructuredValue".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :OfficeEquipmentStore,
      comment: "An office equipment store.".freeze,
      label: "OfficeEquipmentStore".freeze,
      subClassOf: "http://schema.org/Store".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :OnDemandEvent,
      comment: "A publication event e.g. catch-up TV or radio podcast, during which a program is available on-demand.".freeze,
      label: "OnDemandEvent".freeze,
      subClassOf: "http://schema.org/PublicationEvent".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :OpeningHoursSpecification,
      comment: "A structured value providing information about the opening hours of a place or a certain service inside a place.\\n\\n\nThe place is __open__ if the [[opens]] property is specified, and __closed__ otherwise.\\n\\nIf the value for the [[closes]] property is less than the value for the [[opens]] property then the hour range is assumed to span over the next day.\n      ".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsClass".freeze,
      label: "OpeningHoursSpecification".freeze,
      subClassOf: "http://schema.org/StructuredValue".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :OpinionNewsArticle,
      comment: "An [[OpinionNewsArticle]] is a [[NewsArticle]] that primarily expresses opinions rather than journalistic reporting of news and events. For example, a [[NewsArticle]] consisting of a column or [[Blog]]/[[BlogPosting]] entry in the Opinions section of a news publication. ".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["https://github.com/schemaorg/schemaorg/issues/1525".freeze, "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#TP".freeze],
      label: "OpinionNewsArticle".freeze,
      subClassOf: "http://schema.org/NewsArticle".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Optician,
      comment: "A store that sells reading glasses and similar devices for improving vision.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Optician".freeze,
      subClassOf: "http://schema.org/MedicalBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Order,
      comment: "An order is a confirmation of a transaction (a receipt), which can contain multiple line items, each represented by an Offer that has been accepted by the customer.".freeze,
      label: "Order".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :OrderAction,
      comment: "An agent orders an object/product/service to be delivered/sent.".freeze,
      label: "OrderAction".freeze,
      subClassOf: "http://schema.org/TradeAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :OrderItem,
      comment: "An order item is a line of an order. It includes the quantity and shipping details of a bought offer.".freeze,
      label: "OrderItem".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :OrderStatus,
      comment: "Enumerated status values for Order.".freeze,
      label: "OrderStatus".freeze,
      subClassOf: "http://schema.org/StatusEnumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Organization,
      comment: "An organization such as a school, NGO, corporation, club, etc.".freeze,
      label: "Organization".freeze,
      subClassOf: "http://schema.org/Thing".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :OrganizationRole,
      comment: "A subclass of Role used to describe roles within organizations.".freeze,
      label: "OrganizationRole".freeze,
      subClassOf: "http://schema.org/Role".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :OrganizeAction,
      comment: "The act of manipulating/administering/supervising/controlling one or more objects.".freeze,
      label: "OrganizeAction".freeze,
      subClassOf: "http://schema.org/Action".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :OutletStore,
      comment: "An outlet store.".freeze,
      label: "OutletStore".freeze,
      subClassOf: "http://schema.org/Store".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :OwnershipInfo,
      comment: "A structured value providing information about when a certain organization or person owned a certain product.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsClass".freeze,
      label: "OwnershipInfo".freeze,
      subClassOf: "http://schema.org/StructuredValue".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PaintAction,
      comment: "The act of producing a painting, typically with paint and canvas as instruments.".freeze,
      label: "PaintAction".freeze,
      subClassOf: "http://schema.org/CreateAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Painting,
      comment: "A painting.".freeze,
      label: "Painting".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PalliativeProcedure,
      comment: "A medical procedure intended primarily for palliative purposes, aimed at relieving the symptoms of an underlying health condition.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "PalliativeProcedure".freeze,
      subClassOf: ["http://schema.org/MedicalProcedure".freeze, "http://schema.org/MedicalTherapy".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ParcelDelivery,
      comment: "The delivery of a parcel either via the postal service or a commercial service.".freeze,
      label: "ParcelDelivery".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ParentAudience,
      comment: "A set of characteristics describing parents, who can be interested in viewing some content.".freeze,
      label: "ParentAudience".freeze,
      subClassOf: "http://schema.org/PeopleAudience".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Park,
      comment: "A park.".freeze,
      label: "Park".freeze,
      subClassOf: "http://schema.org/CivicStructure".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ParkingFacility,
      comment: "A parking lot or other parking facility.".freeze,
      label: "ParkingFacility".freeze,
      subClassOf: "http://schema.org/CivicStructure".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PathologyTest,
      comment: "A medical test performed by a laboratory that typically involves examination of a tissue sample by a pathologist.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "PathologyTest".freeze,
      subClassOf: "http://schema.org/MedicalTest".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Patient,
      comment: "A patient is any person recipient of health care services.".freeze,
      equivalentClass: "http://purl.bioontology.org/ontology/SNOMEDCT/116154003".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Patient".freeze,
      subClassOf: ["http://schema.org/MedicalAudience".freeze, "http://schema.org/Person".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PawnShop,
      comment: "A shop that will buy, or lend money against the security of, personal possessions.".freeze,
      label: "PawnShop".freeze,
      subClassOf: "http://schema.org/Store".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PayAction,
      comment: "An agent pays a price to a participant.".freeze,
      label: "PayAction".freeze,
      subClassOf: "http://schema.org/TradeAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PaymentCard,
      comment: "A payment method using a credit, debit, store or other card to associate the payment with an account.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FIBO".freeze,
      label: "PaymentCard".freeze,
      subClassOf: ["http://schema.org/FinancialProduct".freeze, "http://schema.org/PaymentMethod".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PaymentChargeSpecification,
      comment: "The costs of settling the payment using a particular payment method.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsClass".freeze,
      label: "PaymentChargeSpecification".freeze,
      subClassOf: "http://schema.org/PriceSpecification".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PaymentMethod,
      comment: "A payment method is a standardized procedure for transferring the monetary amount for a purchase. Payment methods are characterized by the legal and technical structures used, and by the organization or group carrying out the transaction.\\n\\nCommonly used values:\\n\\n* http://purl.org/goodrelations/v1#ByBankTransferInAdvance\\n* http://purl.org/goodrelations/v1#ByInvoice\\n* http://purl.org/goodrelations/v1#Cash\\n* http://purl.org/goodrelations/v1#CheckInAdvance\\n* http://purl.org/goodrelations/v1#COD\\n* http://purl.org/goodrelations/v1#DirectDebit\\n* http://purl.org/goodrelations/v1#GoogleCheckout\\n* http://purl.org/goodrelations/v1#PayPal\\n* http://purl.org/goodrelations/v1#PaySwarm\n        ".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsClass".freeze,
      label: "PaymentMethod".freeze,
      subClassOf: "http://schema.org/Enumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PaymentService,
      comment: "A Service to transfer funds from a person or organization to a beneficiary person or organization.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FIBO".freeze,
      label: "PaymentService".freeze,
      subClassOf: "http://schema.org/FinancialProduct".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PaymentStatusType,
      comment: "A specific payment status. For example, PaymentDue, PaymentComplete, etc.".freeze,
      label: "PaymentStatusType".freeze,
      subClassOf: "http://schema.org/StatusEnumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PeopleAudience,
      comment: "A set of characteristics belonging to people, e.g. who compose an item's target audience.".freeze,
      label: "PeopleAudience".freeze,
      subClassOf: "http://schema.org/Audience".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PerformAction,
      comment: "The act of participating in performance arts.".freeze,
      label: "PerformAction".freeze,
      subClassOf: "http://schema.org/PlayAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PerformanceRole,
      comment: "A PerformanceRole is a Role that some entity places with regard to a theatrical performance, e.g. in a Movie, TVSeries etc.".freeze,
      label: "PerformanceRole".freeze,
      subClassOf: "http://schema.org/Role".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PerformingArtsTheater,
      comment: "A theater or other performing art center.".freeze,
      label: "PerformingArtsTheater".freeze,
      subClassOf: "http://schema.org/CivicStructure".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PerformingGroup,
      comment: "A performance group, such as a band, an orchestra, or a circus.".freeze,
      label: "PerformingGroup".freeze,
      subClassOf: "http://schema.org/Organization".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Periodical,
      comment: "A publication in any medium issued in successive parts bearing numerical or chronological designations and intended, such as a magazine, scholarly journal, or newspaper to continue indefinitely.\\n\\nSee also [blog post](http://blog.schema.org/2014/09/schemaorg-support-for-bibliographic_2.html).".freeze,
      equivalentClass: "http://purl.org/ontology/bibo/Periodical".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_bibex".freeze,
      label: "Periodical".freeze,
      subClassOf: "http://schema.org/CreativeWorkSeries".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Permit,
      comment: "A permit issued by an organization, e.g. a parking pass.".freeze,
      label: "Permit".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Person,
      comment: "A person (alive, dead, undead, or fictional).".freeze,
      equivalentClass: "http://xmlns.com/foaf/0.1/Person".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_rNews".freeze,
      label: "Person".freeze,
      subClassOf: "http://schema.org/Thing".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PetStore,
      comment: "A pet store.".freeze,
      label: "PetStore".freeze,
      subClassOf: "http://schema.org/Store".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Pharmacy,
      comment: "A pharmacy or drugstore.".freeze,
      label: "Pharmacy".freeze,
      subClassOf: ["http://schema.org/MedicalBusiness".freeze, "http://schema.org/MedicalOrganization".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Photograph,
      comment: "A photograph.".freeze,
      label: "Photograph".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PhotographAction,
      comment: "The act of capturing still images of objects using a camera.".freeze,
      label: "PhotographAction".freeze,
      subClassOf: "http://schema.org/CreateAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PhysicalActivity,
      comment: "Any bodily activity that enhances or maintains physical fitness and overall health and wellness. Includes activity that is part of daily living and routine, structured exercise, and exercise prescribed as part of a medical treatment or recovery plan.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "PhysicalActivity".freeze,
      subClassOf: "http://schema.org/LifestyleModification".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PhysicalActivityCategory,
      comment: "Categories of physical activity, organized by physiologic classification.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "PhysicalActivityCategory".freeze,
      subClassOf: "http://schema.org/Enumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PhysicalExam,
      comment: "A type of physical examination of a patient performed by a physician. ".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "PhysicalExam".freeze,
      subClassOf: ["http://schema.org/MedicalEnumeration".freeze, "http://schema.org/MedicalProcedure".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PhysicalTherapy,
      comment: "A process of progressive physical care and rehabilitation aimed at improving a health condition.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "PhysicalTherapy".freeze,
      subClassOf: "http://schema.org/MedicalTherapy".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Physician,
      comment: "A doctor's office.".freeze,
      label: "Physician".freeze,
      subClassOf: ["http://schema.org/MedicalBusiness".freeze, "http://schema.org/MedicalOrganization".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Place,
      comment: "Entities that have a somewhat fixed, physical extension.".freeze,
      label: "Place".freeze,
      subClassOf: "http://schema.org/Thing".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PlaceOfWorship,
      comment: "Place of worship, such as a church, synagogue, or mosque.".freeze,
      label: "PlaceOfWorship".freeze,
      subClassOf: "http://schema.org/CivicStructure".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PlanAction,
      comment: "The act of planning the execution of an event/task/action/reservation/plan to a future date.".freeze,
      label: "PlanAction".freeze,
      subClassOf: "http://schema.org/OrganizeAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Play,
      comment: "A play is a form of literature, usually consisting of dialogue between characters, intended for theatrical performance rather than just reading. Note: A performance of a Play would be a [[TheaterEvent]] or [[BroadcastEvent]] - the *Play* being the [[workPerformed]].".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1816".freeze,
      label: "Play".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PlayAction,
      comment: "The act of playing/exercising/training/performing for enjoyment, leisure, recreation, Competition or exercise.\\n\\nRelated actions:\\n\\n* [[ListenAction]]: Unlike ListenAction (which is under ConsumeAction), PlayAction refers to performing for an audience or at an event, rather than consuming music.\\n* [[WatchAction]]: Unlike WatchAction (which is under ConsumeAction), PlayAction refers to showing/displaying for an audience or at an event, rather than consuming visual content.".freeze,
      label: "PlayAction".freeze,
      subClassOf: "http://schema.org/Action".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Playground,
      comment: "A playground.".freeze,
      label: "Playground".freeze,
      subClassOf: "http://schema.org/CivicStructure".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Plumber,
      comment: "A plumbing service.".freeze,
      label: "Plumber".freeze,
      subClassOf: "http://schema.org/HomeAndConstructionBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PodcastEpisode,
      comment: "A single episode of a podcast series.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/373".freeze,
      label: "PodcastEpisode".freeze,
      subClassOf: "http://schema.org/Episode".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PodcastSeason,
      comment: "A single season of a podcast. Many podcasts do not break down into separate seasons. In that case, PodcastSeries should be used.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/373".freeze,
      label: "PodcastSeason".freeze,
      subClassOf: "http://schema.org/CreativeWorkSeason".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PodcastSeries,
      comment: "A podcast is an episodic series of digital audio or video files which a user can download and listen to.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/373".freeze,
      label: "PodcastSeries".freeze,
      subClassOf: "http://schema.org/CreativeWorkSeries".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PoliceStation,
      comment: "A police station.".freeze,
      label: "PoliceStation".freeze,
      subClassOf: ["http://schema.org/CivicStructure".freeze, "http://schema.org/EmergencyService".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Pond,
      comment: "A pond.".freeze,
      label: "Pond".freeze,
      subClassOf: "http://schema.org/BodyOfWater".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PostOffice,
      comment: "A post office.".freeze,
      label: "PostOffice".freeze,
      subClassOf: "http://schema.org/GovernmentOffice".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PostalAddress,
      comment: "The mailing address.".freeze,
      label: "PostalAddress".freeze,
      subClassOf: "http://schema.org/ContactPoint".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PostalCodeRangeSpecification,
      comment: "Indicates a range of postalcodes, usually defined as the set of valid codes between [[postalCodeBegin]] and [[postalCodeEnd]], inclusively.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2506".freeze,
      label: "PostalCodeRangeSpecification".freeze,
      subClassOf: "http://schema.org/StructuredValue".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Poster,
      comment: "A large, usually printed placard, bill, or announcement, often illustrated, that is posted to advertise or publicize something.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1448".freeze,
      label: "Poster".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PreOrderAction,
      comment: "An agent orders a (not yet released) object/product/service to be delivered/sent.".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1125".freeze,
      label: "PreOrderAction".freeze,
      subClassOf: "http://schema.org/TradeAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PrependAction,
      comment: "The act of inserting at the beginning if an ordered collection.".freeze,
      label: "PrependAction".freeze,
      subClassOf: "http://schema.org/InsertAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Preschool,
      comment: "A preschool.".freeze,
      label: "Preschool".freeze,
      subClassOf: "http://schema.org/EducationalOrganization".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PresentationDigitalDocument,
      comment: "A file containing slides or used for a presentation.".freeze,
      label: "PresentationDigitalDocument".freeze,
      subClassOf: "http://schema.org/DigitalDocument".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PreventionIndication,
      comment: "An indication for preventing an underlying condition, symptom, etc.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "PreventionIndication".freeze,
      subClassOf: "http://schema.org/MedicalIndication".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PriceComponentTypeEnumeration,
      comment: "Enumerates different price components that together make up the total price for an offered product.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2689".freeze,
      label: "PriceComponentTypeEnumeration".freeze,
      subClassOf: "http://schema.org/Enumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PriceSpecification,
      comment: "A structured value representing a price or price range. Typically, only the subclasses of this type are used for markup. It is recommended to use [[MonetaryAmount]] to describe independent amounts of money such as a salary, credit card limits, etc.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsClass".freeze,
      label: "PriceSpecification".freeze,
      subClassOf: "http://schema.org/StructuredValue".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PriceTypeEnumeration,
      comment: "Enumerates different price types, for example list price, invoice price, and sale price.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2712".freeze,
      label: "PriceTypeEnumeration".freeze,
      subClassOf: "http://schema.org/Enumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Prion,
      comment: "A prion is an infectious agent composed of protein in a misfolded form.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Prion".freeze,
      type: "http://schema.org/InfectiousAgentClass".freeze
    term :Product,
      comment: "Any offered product or service. For example: a pair of shoes; a concert ticket; the rental of a car; a haircut; or an episode of a TV show streamed online.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "Product".freeze,
      subClassOf: "http://schema.org/Thing".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ProductCollection,
      comment: "A set of products (either [[ProductGroup]]s or specific variants) that are listed together e.g. in an [[Offer]].".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2597".freeze,
      label: "ProductCollection".freeze,
      subClassOf: ["http://schema.org/Collection".freeze, "http://schema.org/Product".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ProductGroup,
      comment: "A ProductGroup represents a group of [[Product]]s that vary only in certain well-described ways, such as by [[size]], [[color]], [[material]] etc.\n\nWhile a ProductGroup itself is not directly offered for sale, the various varying products that it represents can be. The ProductGroup serves as a prototype or template, standing in for all of the products who have an [[isVariantOf]] relationship to it. As such, properties (including additional types) can be applied to the ProductGroup to represent characteristics shared by each of the (possibly very many) variants. Properties that reference a ProductGroup are not included in this mechanism; neither are the following specific properties [[variesBy]], [[hasVariant]], [[url]]. ".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2597".freeze,
      label: "ProductGroup".freeze,
      subClassOf: "http://schema.org/Product".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ProductModel,
      comment: "A datasheet or vendor specification of a product (in the sense of a prototypical description).".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsClass".freeze,
      label: "ProductModel".freeze,
      subClassOf: "http://schema.org/Product".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ProductReturnEnumeration,
      comment: "ProductReturnEnumeration enumerates several kinds of product return policy. Note that this structure may not capture all aspects of the policy.".freeze,
      "http://schema.org/isPartOf": "http://attic.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2288".freeze,
      "http://schema.org/supersededBy": "http://schema.org/MerchantReturnEnumeration".freeze,
      label: "ProductReturnEnumeration".freeze,
      subClassOf: "http://schema.org/Enumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ProductReturnPolicy,
      comment: "A ProductReturnPolicy provides information about product return policies associated with an [[Organization]] or [[Product]].".freeze,
      "http://schema.org/isPartOf": "http://attic.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2288".freeze,
      "http://schema.org/supersededBy": "http://schema.org/MerchantReturnPolicy".freeze,
      label: "ProductReturnPolicy".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ProfessionalService,
      comment: "Original definition: \"provider of professional services.\"\\n\\nThe general [[ProfessionalService]] type for local businesses was deprecated due to confusion with [[Service]]. For reference, the types that it included were: [[Dentist]],\n        [[AccountingService]], [[Attorney]], [[Notary]], as well as types for several kinds of [[HomeAndConstructionBusiness]]: [[Electrician]], [[GeneralContractor]],\n        [[HousePainter]], [[Locksmith]], [[Plumber]], [[RoofingContractor]]. [[LegalService]] was introduced as a more inclusive supertype of [[Attorney]].".freeze,
      label: "ProfessionalService".freeze,
      subClassOf: "http://schema.org/LocalBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ProfilePage,
      comment: "Web page type: Profile page.".freeze,
      label: "ProfilePage".freeze,
      subClassOf: "http://schema.org/WebPage".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ProgramMembership,
      comment: "Used to describe membership in a loyalty programs (e.g. \"StarAliance\"), traveler clubs (e.g. \"AAA\"), purchase clubs (\"Safeway Club\"), etc.".freeze,
      label: "ProgramMembership".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Project,
      comment: "An enterprise (potentially individual but typically collaborative), planned to achieve a particular aim.\nUse properties from [[Organization]], [[subOrganization]]/[[parentOrganization]] to indicate project sub-structures. \n   ".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["https://github.com/schemaorg/schemaorg/issues/383".freeze, "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FundInfoCollab".freeze],
      label: "Project".freeze,
      subClassOf: "http://schema.org/Organization".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PronounceableText,
      comment: "Data type: PronounceableText.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2108".freeze,
      label: "PronounceableText".freeze,
      subClassOf: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Property,
      comment: "A property, used to indicate attributes and relationships of some Thing; equivalent to rdf:Property.".freeze,
      equivalentClass: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze,
      "http://schema.org/isPartOf": "http://meta.schema.org".freeze,
      label: "Property".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PropertyValue,
      comment: "A property-value pair, e.g. representing a feature of a product or place. Use the 'name' property for the name of the property. If there is an additional human-readable version of the value, put that into the 'description' property.\\n\\n Always use specific schema.org properties when a) they exist and b) you can populate them. Using PropertyValue as a substitute will typically not trigger the same effect as using the original, specific property.\n    ".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsClass".freeze,
      label: "PropertyValue".freeze,
      subClassOf: "http://schema.org/StructuredValue".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PropertyValueSpecification,
      comment: "A Property value specification.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_ActionCollabClass".freeze,
      label: "PropertyValueSpecification".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Protein,
      comment: "Protein is here used in its widest possible definition, as classes of amino acid based molecules. Amyloid-beta Protein in human (UniProt P05067), eukaryota (e.g. an OrthoDB group) or even a single molecule that one can point to are all of type schema:Protein. A protein can thus be a subclass of another protein, e.g. schema:Protein as a UniProt record can have multiple isoforms inside it which would also be schema:Protein. They can be imagined, synthetic, hypothetical or naturally occurring.".freeze,
      "http://purl.org/dc/terms/source": "http://bioschemas.org".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      label: "Protein".freeze,
      subClassOf: "http://schema.org/BioChemEntity".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Protozoa,
      comment: "Single-celled organism that causes an infection.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Protozoa".freeze,
      type: "http://schema.org/InfectiousAgentClass".freeze
    term :PsychologicalTreatment,
      comment: "A process of care relying upon counseling, dialogue and communication  aimed at improving a mental health condition without use of drugs.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "PsychologicalTreatment".freeze,
      subClassOf: "http://schema.org/TherapeuticProcedure".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PublicSwimmingPool,
      comment: "A public swimming pool.".freeze,
      label: "PublicSwimmingPool".freeze,
      subClassOf: "http://schema.org/SportsActivityLocation".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PublicToilet,
      comment: "A public toilet is a room or small building containing one or more toilets (and possibly also urinals) which is available for use by the general public, or by customers or employees of certain businesses.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1624".freeze,
      label: "PublicToilet".freeze,
      subClassOf: "http://schema.org/CivicStructure".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PublicationEvent,
      comment: "A PublicationEvent corresponds indifferently to the event of publication for a CreativeWork of any type e.g. a broadcast event, an on-demand event, a book/journal publication via a variety of delivery media.".freeze,
      label: "PublicationEvent".freeze,
      subClassOf: "http://schema.org/Event".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PublicationIssue,
      comment: "A part of a successively published publication such as a periodical or publication volume, often numbered, usually containing a grouping of works such as articles.\\n\\nSee also [blog post](http://blog.schema.org/2014/09/schemaorg-support-for-bibliographic_2.html).".freeze,
      equivalentClass: "http://purl.org/ontology/bibo/Issue".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_bibex".freeze,
      label: "PublicationIssue".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :PublicationVolume,
      comment: "A part of a successively published publication such as a periodical or multi-volume work, often numbered. It may represent a time span, such as a year.\\n\\nSee also [blog post](http://blog.schema.org/2014/09/schemaorg-support-for-bibliographic_2.html).".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_bibex".freeze,
      label: "PublicationVolume".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :QAPage,
      comment: "A QAPage is a WebPage focussed on a specific Question and its Answer(s), e.g. in a question answering site or documenting Frequently Asked Questions (FAQs).".freeze,
      label: "QAPage".freeze,
      subClassOf: "http://schema.org/WebPage".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :QualitativeValue,
      comment: "A predefined value for a product characteristic, e.g. the power cord plug type 'US' or the garment sizes 'S', 'M', 'L', and 'XL'.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsClass".freeze,
      label: "QualitativeValue".freeze,
      subClassOf: "http://schema.org/Enumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :QuantitativeValue,
      comment: " A point value or interval for product characteristics and other purposes.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsClass".freeze,
      label: "QuantitativeValue".freeze,
      subClassOf: "http://schema.org/StructuredValue".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :QuantitativeValueDistribution,
      comment: "A statistical distribution of values.".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1698".freeze,
      label: "QuantitativeValueDistribution".freeze,
      subClassOf: "http://schema.org/StructuredValue".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Quantity,
      comment: "Quantities such as distance, time, mass, weight, etc. Particular instances of say Mass are entities like '3 Kg' or '4 milligrams'.".freeze,
      label: "Quantity".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Question,
      comment: "A specific question - e.g. from a user seeking answers online, or collected in a Frequently Asked Questions (FAQ) document.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_QAStackExchange".freeze,
      label: "Question".freeze,
      subClassOf: "http://schema.org/Comment".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Quiz,
      comment: "Quiz: A test of knowledge, skills and abilities.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2611".freeze,
      label: "Quiz".freeze,
      subClassOf: "http://schema.org/LearningResource".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Quotation,
      comment: "A quotation. Often but not necessarily from some written work, attributable to a real world author and - if associated with a fictional character - to any fictional Person. Use [[isBasedOn]] to link to source/origin. The [[recordedIn]] property can be used to reference a Quotation from an [[Event]].".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/271".freeze,
      label: "Quotation".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :QuoteAction,
      comment: "An agent quotes/estimates/appraises an object/product/service with a price at a location/store.".freeze,
      label: "QuoteAction".freeze,
      subClassOf: "http://schema.org/TradeAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :RVPark,
      comment: "A place offering space for \"Recreational Vehicles\", Caravans, mobile homes and the like.".freeze,
      label: "RVPark".freeze,
      subClassOf: "http://schema.org/CivicStructure".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :RadiationTherapy,
      comment: "A process of care using radiation aimed at improving a health condition.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "RadiationTherapy".freeze,
      subClassOf: "http://schema.org/MedicalTherapy".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :RadioBroadcastService,
      comment: "A delivery service through which radio content is provided via broadcast over the air or online.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2109".freeze,
      label: "RadioBroadcastService".freeze,
      subClassOf: "http://schema.org/BroadcastService".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :RadioChannel,
      comment: "A unique instance of a radio BroadcastService on a CableOrSatelliteService lineup.".freeze,
      label: "RadioChannel".freeze,
      subClassOf: "http://schema.org/BroadcastChannel".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :RadioClip,
      comment: "A short radio program or a segment/part of a radio program.".freeze,
      label: "RadioClip".freeze,
      subClassOf: "http://schema.org/Clip".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :RadioEpisode,
      comment: "A radio episode which can be part of a series or season.".freeze,
      label: "RadioEpisode".freeze,
      subClassOf: "http://schema.org/Episode".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :RadioSeason,
      comment: "Season dedicated to radio broadcast and associated online delivery.".freeze,
      label: "RadioSeason".freeze,
      subClassOf: "http://schema.org/CreativeWorkSeason".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :RadioSeries,
      comment: "CreativeWorkSeries dedicated to radio broadcast and associated online delivery.".freeze,
      label: "RadioSeries".freeze,
      subClassOf: "http://schema.org/CreativeWorkSeries".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :RadioStation,
      comment: "A radio station.".freeze,
      label: "RadioStation".freeze,
      subClassOf: "http://schema.org/LocalBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Rating,
      comment: "A rating is an evaluation on a numeric scale, such as 1 to 5 stars.".freeze,
      label: "Rating".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ReactAction,
      comment: "The act of responding instinctively and emotionally to an object, expressing a sentiment.".freeze,
      label: "ReactAction".freeze,
      subClassOf: "http://schema.org/AssessAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ReadAction,
      comment: "The act of consuming written content.".freeze,
      label: "ReadAction".freeze,
      subClassOf: "http://schema.org/ConsumeAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :RealEstateAgent,
      comment: "A real-estate agent.".freeze,
      label: "RealEstateAgent".freeze,
      subClassOf: "http://schema.org/LocalBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :RealEstateListing,
      comment: "A [[RealEstateListing]] is a listing that describes one or more real-estate [[Offer]]s (whose [[businessFunction]] is typically to lease out, or to sell).\n  The [[RealEstateListing]] type itself represents the overall listing, as manifested in some [[WebPage]].\n  ".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2348".freeze,
      label: "RealEstateListing".freeze,
      subClassOf: "http://schema.org/WebPage".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ReceiveAction,
      comment: "The act of physically/electronically taking delivery of an object that has been transferred from an origin to a destination. Reciprocal of SendAction.\\n\\nRelated actions:\\n\\n* [[SendAction]]: The reciprocal of ReceiveAction.\\n* [[TakeAction]]: Unlike TakeAction, ReceiveAction does not imply that the ownership has been transfered (e.g. I can receive a package, but it does not mean the package is now mine).".freeze,
      label: "ReceiveAction".freeze,
      subClassOf: "http://schema.org/TransferAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Recipe,
      comment: "A recipe. For dietary restrictions covered by the recipe, a few common restrictions are enumerated via [[suitableForDiet]]. The [[keywords]] property can also be used to add more detail.".freeze,
      label: "Recipe".freeze,
      subClassOf: "http://schema.org/HowTo".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Recommendation,
      comment: "[[Recommendation]] is a type of [[Review]] that suggests or proposes something as the best option or best course of action. Recommendations may be for products or services, or other concrete things, as in the case of a ranked list or product guide. A [[Guide]] may list multiple recommendations for different categories. For example, in a [[Guide]] about which TVs to buy, the author may have several [[Recommendation]]s.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2405".freeze,
      label: "Recommendation".freeze,
      subClassOf: "http://schema.org/Review".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :RecommendedDoseSchedule,
      comment: "A recommended dosing schedule for a drug or supplement as prescribed or recommended by an authority or by the drug/supplement's manufacturer. Capture the recommending authority in the recognizingAuthority property of MedicalEntity.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "RecommendedDoseSchedule".freeze,
      subClassOf: "http://schema.org/DoseSchedule".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :RecyclingCenter,
      comment: "A recycling center.".freeze,
      label: "RecyclingCenter".freeze,
      subClassOf: "http://schema.org/LocalBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :RefundTypeEnumeration,
      comment: "Enumerates several kinds of product return refund types.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2288".freeze,
      label: "RefundTypeEnumeration".freeze,
      subClassOf: "http://schema.org/Enumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :RegisterAction,
      comment: "The act of registering to be a user of a service, product or web page.\\n\\nRelated actions:\\n\\n* [[JoinAction]]: Unlike JoinAction, RegisterAction implies you are registering to be a user of a service, *not* a group/team of people.\\n* [FollowAction]]: Unlike FollowAction, RegisterAction doesn't imply that the agent is expecting to poll for updates from the object.\\n* [[SubscribeAction]]: Unlike SubscribeAction, RegisterAction doesn't imply that the agent is expecting updates from the object.".freeze,
      label: "RegisterAction".freeze,
      subClassOf: "http://schema.org/InteractAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :RejectAction,
      comment: "The act of rejecting to/adopting an object.\\n\\nRelated actions:\\n\\n* [[AcceptAction]]: The antonym of RejectAction.".freeze,
      label: "RejectAction".freeze,
      subClassOf: "http://schema.org/AllocateAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :RentAction,
      comment: "The act of giving money in return for temporary use, but not ownership, of an object such as a vehicle or property. For example, an agent rents a property from a landlord in exchange for a periodic payment.".freeze,
      label: "RentAction".freeze,
      subClassOf: "http://schema.org/TradeAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :RentalCarReservation,
      comment: "A reservation for a rental car.\\n\\nNote: This type is for information about actual reservations, e.g. in confirmation emails or HTML pages with individual confirmations of reservations.".freeze,
      label: "RentalCarReservation".freeze,
      subClassOf: "http://schema.org/Reservation".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :RepaymentSpecification,
      comment: "A structured value representing repayment.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FIBO".freeze, "https://github.com/schemaorg/schemaorg/issues/1253".freeze],
      label: "RepaymentSpecification".freeze,
      subClassOf: "http://schema.org/StructuredValue".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ReplaceAction,
      comment: "The act of editing a recipient by replacing an old object with a new object.".freeze,
      label: "ReplaceAction".freeze,
      subClassOf: "http://schema.org/UpdateAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ReplyAction,
      comment: "The act of responding to a question/message asked/sent by the object. Related to [[AskAction]]\\n\\nRelated actions:\\n\\n* [[AskAction]]: Appears generally as an origin of a ReplyAction.".freeze,
      label: "ReplyAction".freeze,
      subClassOf: "http://schema.org/CommunicateAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Report,
      comment: "A Report generated by governmental or non-governmental organization.".freeze,
      label: "Report".freeze,
      subClassOf: "http://schema.org/Article".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ReportageNewsArticle,
      comment: "The [[ReportageNewsArticle]] type is a subtype of [[NewsArticle]] representing\n news articles which are the result of journalistic news reporting conventions.\n\nIn practice many news publishers produce a wide variety of article types, many of which might be considered a [[NewsArticle]] but not a [[ReportageNewsArticle]]. For example, opinion pieces, reviews, analysis, sponsored or satirical articles, or articles that combine several of these elements.\n\nThe [[ReportageNewsArticle]] type is based on a stricter ideal for \"news\" as a work of journalism, with articles based on factual information either observed or verified by the author, or reported and verified from knowledgeable sources.  This often includes perspectives from multiple viewpoints on a particular issue (distinguishing news reports from public relations or propaganda).  News reports in the [[ReportageNewsArticle]] sense de-emphasize the opinion of the author, with commentary and value judgements typically expressed elsewhere.\n\nA [[ReportageNewsArticle]] which goes deeper into analysis can also be marked with an additional type of [[AnalysisNewsArticle]].\n".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["https://github.com/schemaorg/schemaorg/issues/1525".freeze, "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#TP".freeze],
      label: "ReportageNewsArticle".freeze,
      subClassOf: "http://schema.org/NewsArticle".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ReportedDoseSchedule,
      comment: "A patient-reported or observed dosing schedule for a drug or supplement.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "ReportedDoseSchedule".freeze,
      subClassOf: "http://schema.org/DoseSchedule".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ResearchOrganization,
      comment: "A Research Organization (e.g. scientific institute, research company).".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2877".freeze,
      label: "ResearchOrganization".freeze,
      subClassOf: "http://schema.org/Organization".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ResearchProject,
      comment: "A Research project.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["https://github.com/schemaorg/schemaorg/issues/383".freeze, "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FundInfoCollab".freeze],
      label: "ResearchProject".freeze,
      subClassOf: "http://schema.org/Project".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Researcher,
      comment: "Researchers.".freeze,
      label: "Researcher".freeze,
      subClassOf: "http://schema.org/Audience".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Reservation,
      comment: "Describes a reservation for travel, dining or an event. Some reservations require tickets. \\n\\nNote: This type is for information about actual reservations, e.g. in confirmation emails or HTML pages with individual confirmations of reservations. For offers of tickets, restaurant reservations, flights, or rental cars, use [[Offer]].".freeze,
      label: "Reservation".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ReservationPackage,
      comment: "A group of multiple reservations with common values for all sub-reservations.".freeze,
      label: "ReservationPackage".freeze,
      subClassOf: "http://schema.org/Reservation".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ReservationStatusType,
      comment: "Enumerated status values for Reservation.".freeze,
      label: "ReservationStatusType".freeze,
      subClassOf: "http://schema.org/StatusEnumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ReserveAction,
      comment: "Reserving a concrete object.\\n\\nRelated actions:\\n\\n* [[ScheduleAction]]: Unlike ScheduleAction, ReserveAction reserves concrete objects (e.g. a table, a hotel) towards a time slot / spatial allocation.".freeze,
      label: "ReserveAction".freeze,
      subClassOf: "http://schema.org/PlanAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Reservoir,
      comment: "A reservoir of water, typically an artificially created lake, like the Lake Kariba reservoir.".freeze,
      label: "Reservoir".freeze,
      subClassOf: "http://schema.org/BodyOfWater".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Residence,
      comment: "The place where a person lives.".freeze,
      label: "Residence".freeze,
      subClassOf: "http://schema.org/Place".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Resort,
      comment: "A resort is a place used for relaxation or recreation, attracting visitors for holidays or vacations. Resorts are places, towns or sometimes commercial establishment operated by a single company (Source: Wikipedia, the free encyclopedia, see <a href=\"http://en.wikipedia.org/wiki/Resort\">http://en.wikipedia.org/wiki/Resort</a>).\n<br /><br />\nSee also the <a href=\"/docs/hotels.html\">dedicated document on the use of schema.org for marking up hotels and other forms of accommodations</a>.\n    ".freeze,
      "http://schema.org/source": "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#STI_Accommodation_Ontology".freeze,
      label: "Resort".freeze,
      subClassOf: "http://schema.org/LodgingBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Restaurant,
      comment: "A restaurant.".freeze,
      label: "Restaurant".freeze,
      subClassOf: "http://schema.org/FoodEstablishment".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :RestrictedDiet,
      comment: "A diet restricted to certain foods or preparations for cultural, religious, health or lifestyle reasons. ".freeze,
      label: "RestrictedDiet".freeze,
      subClassOf: "http://schema.org/Enumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ResumeAction,
      comment: "The act of resuming a device or application which was formerly paused (e.g. resume music playback or resume a timer).".freeze,
      label: "ResumeAction".freeze,
      subClassOf: "http://schema.org/ControlAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ReturnAction,
      comment: "The act of returning to the origin that which was previously received (concrete objects) or taken (ownership).".freeze,
      label: "ReturnAction".freeze,
      subClassOf: "http://schema.org/TransferAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ReturnFeesEnumeration,
      comment: "Enumerates several kinds of policies for product return fees.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2288".freeze,
      label: "ReturnFeesEnumeration".freeze,
      subClassOf: "http://schema.org/Enumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ReturnLabelSourceEnumeration,
      comment: "Enumerates several types of return labels for product returns.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2880".freeze,
      label: "ReturnLabelSourceEnumeration".freeze,
      subClassOf: "http://schema.org/Enumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ReturnMethodEnumeration,
      comment: "Enumerates several types of product return methods.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2880".freeze,
      label: "ReturnMethodEnumeration".freeze,
      subClassOf: "http://schema.org/Enumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Review,
      comment: "A review of an item - for example, of a restaurant, movie, or store.".freeze,
      label: "Review".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ReviewAction,
      comment: "The act of producing a balanced opinion about the object for an audience. An agent reviews an object with participants resulting in a review.".freeze,
      label: "ReviewAction".freeze,
      subClassOf: "http://schema.org/AssessAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ReviewNewsArticle,
      comment: "A [[NewsArticle]] and [[CriticReview]] providing a professional critic's assessment of a service, product, performance, or artistic or literary work.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["https://github.com/schemaorg/schemaorg/issues/1525".freeze, "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#TP".freeze],
      label: "ReviewNewsArticle".freeze,
      subClassOf: ["http://schema.org/CriticReview".freeze, "http://schema.org/NewsArticle".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :RiverBodyOfWater,
      comment: "A river (for example, the broad majestic Shannon).".freeze,
      label: "RiverBodyOfWater".freeze,
      subClassOf: "http://schema.org/BodyOfWater".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Role,
      comment: "Represents additional information about a relationship or property. For example a Role can be used to say that a 'member' role linking some SportsTeam to a player occurred during a particular time period. Or that a Person's 'actor' role in a Movie was for some particular characterName. Such properties can be attached to a Role entity, which is then associated with the main entities using ordinary properties like 'member' or 'actor'.\\n\\nSee also [blog post](http://blog.schema.org/2014/06/introducing-role.html).".freeze,
      label: "Role".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :RoofingContractor,
      comment: "A roofing contractor.".freeze,
      label: "RoofingContractor".freeze,
      subClassOf: "http://schema.org/HomeAndConstructionBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Room,
      comment: "A room is a distinguishable space within a structure, usually separated from other spaces by interior walls. (Source: Wikipedia, the free encyclopedia, see <a href=\"http://en.wikipedia.org/wiki/Room\">http://en.wikipedia.org/wiki/Room</a>).\n<br /><br />\nSee also the <a href=\"/docs/hotels.html\">dedicated document on the use of schema.org for marking up hotels and other forms of accommodations</a>.\n".freeze,
      "http://schema.org/source": "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#STI_Accommodation_Ontology".freeze,
      label: "Room".freeze,
      subClassOf: "http://schema.org/Accommodation".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :RsvpAction,
      comment: "The act of notifying an event organizer as to whether you expect to attend the event.".freeze,
      label: "RsvpAction".freeze,
      subClassOf: "http://schema.org/InformAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :RsvpResponseType,
      comment: "RsvpResponseType is an enumeration type whose instances represent responding to an RSVP request.".freeze,
      label: "RsvpResponseType".freeze,
      subClassOf: "http://schema.org/Enumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SaleEvent,
      comment: "Event type: Sales event.".freeze,
      label: "SaleEvent".freeze,
      subClassOf: "http://schema.org/Event".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SatiricalArticle,
      comment: "An [[Article]] whose content is primarily [[satirical]](https://en.wikipedia.org/wiki/Satire) in nature, i.e. unlikely to be literally true. A satirical article is sometimes but not necessarily also a [[NewsArticle]]. [[ScholarlyArticle]]s are also sometimes satirized.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["https://github.com/schemaorg/schemaorg/issues/1525".freeze, "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#TP".freeze],
      label: "SatiricalArticle".freeze,
      subClassOf: "http://schema.org/Article".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Schedule,
      comment: "A schedule defines a repeating time period used to describe a regularly occurring [[Event]]. At a minimum a schedule will specify [[repeatFrequency]] which describes the interval between occurences of the event. Additional information can be provided to specify the schedule more precisely.\n      This includes identifying the day(s) of the week or month when the recurring event will take place, in addition to its start and end time. Schedules may also\n      have start and end dates to indicate when they are active, e.g. to define a limited calendar of events.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1457".freeze,
      label: "Schedule".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ScheduleAction,
      comment: "Scheduling future actions, events, or tasks.\\n\\nRelated actions:\\n\\n* [[ReserveAction]]: Unlike ReserveAction, ScheduleAction allocates future actions (e.g. an event, a task, etc) towards a time slot / spatial allocation.".freeze,
      label: "ScheduleAction".freeze,
      subClassOf: "http://schema.org/PlanAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ScholarlyArticle,
      comment: "A scholarly article.".freeze,
      label: "ScholarlyArticle".freeze,
      subClassOf: "http://schema.org/Article".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :School,
      comment: "A school.".freeze,
      label: "School".freeze,
      subClassOf: "http://schema.org/EducationalOrganization".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SchoolDistrict,
      comment: "A School District is an administrative area for the administration of schools.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2500".freeze,
      label: "SchoolDistrict".freeze,
      subClassOf: "http://schema.org/AdministrativeArea".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ScreeningEvent,
      comment: "A screening of a movie or other video.".freeze,
      label: "ScreeningEvent".freeze,
      subClassOf: "http://schema.org/Event".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Sculpture,
      comment: "A piece of sculpture.".freeze,
      label: "Sculpture".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SeaBodyOfWater,
      comment: "A sea (for example, the Caspian sea).".freeze,
      label: "SeaBodyOfWater".freeze,
      subClassOf: "http://schema.org/BodyOfWater".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SearchAction,
      comment: "The act of searching for an object.\\n\\nRelated actions:\\n\\n* [[FindAction]]: SearchAction generally leads to a FindAction, but not necessarily.".freeze,
      label: "SearchAction".freeze,
      subClassOf: "http://schema.org/Action".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SearchResultsPage,
      comment: "Web page type: Search results page.".freeze,
      label: "SearchResultsPage".freeze,
      subClassOf: "http://schema.org/WebPage".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Season,
      comment: "A media season e.g. tv, radio, video game etc.".freeze,
      "http://schema.org/supersededBy": "http://schema.org/CreativeWorkSeason".freeze,
      label: "Season".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Seat,
      comment: "Used to describe a seat, such as a reserved seat in an event reservation.".freeze,
      label: "Seat".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SeekToAction,
      comment: "This is the [[Action]] of navigating to a specific [[startOffset]] timestamp within a [[VideoObject]], typically represented with a URL template structure.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2722".freeze,
      label: "SeekToAction".freeze,
      subClassOf: "http://schema.org/Action".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SelfStorage,
      comment: "A self-storage facility.".freeze,
      label: "SelfStorage".freeze,
      subClassOf: "http://schema.org/LocalBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SellAction,
      comment: "The act of taking money from a buyer in exchange for goods or services rendered. An agent sells an object, product, or service to a buyer for a price. Reciprocal of BuyAction.".freeze,
      label: "SellAction".freeze,
      subClassOf: "http://schema.org/TradeAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SendAction,
      comment: "The act of physically/electronically dispatching an object for transfer from an origin to a destination.Related actions:\\n\\n* [[ReceiveAction]]: The reciprocal of SendAction.\\n* [[GiveAction]]: Unlike GiveAction, SendAction does not imply the transfer of ownership (e.g. I can send you my laptop, but I'm not necessarily giving it to you).".freeze,
      label: "SendAction".freeze,
      subClassOf: "http://schema.org/TransferAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Series,
      comment: "A Series in schema.org is a group of related items, typically but not necessarily of the same kind. See also [[CreativeWorkSeries]], [[EventSeries]].".freeze,
      label: "Series".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Service,
      comment: "A service provided by an organization, e.g. delivery service, print services, etc.".freeze,
      label: "Service".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ServiceChannel,
      comment: "A means for accessing a service, e.g. a government office location, web site, or phone number.".freeze,
      label: "ServiceChannel".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ShareAction,
      comment: "The act of distributing content to people for their amusement or edification.".freeze,
      label: "ShareAction".freeze,
      subClassOf: "http://schema.org/CommunicateAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SheetMusic,
      comment: "Printed music, as opposed to performed or recorded music.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1448".freeze,
      label: "SheetMusic".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ShippingDeliveryTime,
      comment: "ShippingDeliveryTime provides various pieces of information about delivery times for shipping.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2506".freeze,
      label: "ShippingDeliveryTime".freeze,
      subClassOf: "http://schema.org/StructuredValue".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ShippingRateSettings,
      comment: "A ShippingRateSettings represents re-usable pieces of shipping information. It is designed for publication on an URL that may be referenced via the [[shippingSettingsLink]] property of an [[OfferShippingDetails]]. Several occurrences can be published, distinguished and matched (i.e. identified/referenced) by their different values for [[shippingLabel]].".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2506".freeze,
      label: "ShippingRateSettings".freeze,
      subClassOf: "http://schema.org/StructuredValue".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ShoeStore,
      comment: "A shoe store.".freeze,
      label: "ShoeStore".freeze,
      subClassOf: "http://schema.org/Store".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ShoppingCenter,
      comment: "A shopping center or mall.".freeze,
      label: "ShoppingCenter".freeze,
      subClassOf: "http://schema.org/LocalBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ShortStory,
      comment: "Short story or tale. A brief work of literature, usually written in narrative prose.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1976".freeze,
      label: "ShortStory".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SingleFamilyResidence,
      comment: "Residence type: Single-family home.".freeze,
      label: "SingleFamilyResidence".freeze,
      subClassOf: "http://schema.org/House".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SiteNavigationElement,
      comment: "A navigation element of the page.".freeze,
      label: "SiteNavigationElement".freeze,
      subClassOf: "http://schema.org/WebPageElement".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SizeGroupEnumeration,
      comment: "Enumerates common size groups for various product categories.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "SizeGroupEnumeration".freeze,
      subClassOf: "http://schema.org/Enumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SizeSpecification,
      comment: "Size related properties of a product, typically a size code ([[name]]) and optionally a [[sizeSystem]], [[sizeGroup]], and product measurements ([[hasMeasurement]]). In addition, the intended audience can be defined through [[suggestedAge]], [[suggestedGender]], and suggested body measurements ([[suggestedMeasurement]]).".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "SizeSpecification".freeze,
      subClassOf: "http://schema.org/QualitativeValue".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SizeSystemEnumeration,
      comment: "Enumerates common size systems for different categories of products, for example \"EN-13402\" or \"UK\" for wearables or \"Imperial\" for screws.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "SizeSystemEnumeration".freeze,
      subClassOf: "http://schema.org/Enumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SkiResort,
      comment: "A ski resort.".freeze,
      label: "SkiResort".freeze,
      subClassOf: ["http://schema.org/Resort".freeze, "http://schema.org/SportsActivityLocation".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SocialEvent,
      comment: "Event type: Social event.".freeze,
      label: "SocialEvent".freeze,
      subClassOf: "http://schema.org/Event".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SocialMediaPosting,
      comment: "A post to a social media platform, including blog posts, tweets, Facebook posts, etc.".freeze,
      label: "SocialMediaPosting".freeze,
      subClassOf: "http://schema.org/Article".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SoftwareApplication,
      comment: "A software application.".freeze,
      label: "SoftwareApplication".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SoftwareSourceCode,
      comment: "Computer programming source code. Example: Full (compile ready) solutions, code snippet samples, scripts, templates.".freeze,
      label: "SoftwareSourceCode".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SolveMathAction,
      comment: "The action that takes in a math expression and directs users to a page potentially capable of solving/simplifying that expression.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2740".freeze,
      label: "SolveMathAction".freeze,
      subClassOf: "http://schema.org/Action".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SomeProducts,
      comment: "A placeholder for multiple similar products of the same kind.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsClass".freeze,
      label: "SomeProducts".freeze,
      subClassOf: "http://schema.org/Product".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SpeakableSpecification,
      comment: "A SpeakableSpecification indicates (typically via [[xpath]] or [[cssSelector]]) sections of a document that are highlighted as particularly [[speakable]]. Instances of this type are expected to be used primarily as values of the [[speakable]] property.".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1389".freeze,
      label: "SpeakableSpecification".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SpecialAnnouncement,
      comment: "A SpecialAnnouncement combines a simple date-stamped textual information update\n      with contextualized Web links and other structured data.  It represents an information update made by a\n      locally-oriented organization, for example schools, pharmacies, healthcare providers,  community groups, police,\n      local government.\n\nFor work in progress guidelines on Coronavirus-related markup see [this doc](https://docs.google.com/document/d/14ikaGCKxo50rRM7nvKSlbUpjyIk2WMQd3IkB1lItlrM/edit#).\n\nThe motivating scenario for SpecialAnnouncement is the [Coronavirus pandemic](https://en.wikipedia.org/wiki/2019%E2%80%9320_coronavirus_pandemic), and the initial vocabulary is oriented to this urgent situation. Schema.org\nexpect to improve the markup iteratively as it is deployed and as feedback emerges from use. In addition to our\nusual [Github entry](https://github.com/schemaorg/schemaorg/issues/2490), feedback comments can also be provided in [this document](https://docs.google.com/document/d/1fpdFFxk8s87CWwACs53SGkYv3aafSxz_DTtOQxMrBJQ/edit#).\n\n\nWhile this schema is designed to communicate urgent crisis-related information, it is not the same as an emergency warning technology like [CAP](https://en.wikipedia.org/wiki/Common_Alerting_Protocol), although there may be overlaps. The intent is to cover\nthe kinds of everyday practical information being posted to existing websites during an emergency situation.\n\nSeveral kinds of information can be provided:\n\nWe encourage the provision of \"name\", \"text\", \"datePosted\", \"expires\" (if appropriate), \"category\" and\n\"url\" as a simple baseline. It is important to provide a value for \"category\" where possible, most ideally as a well known\nURL from Wikipedia or Wikidata. In the case of the 2019-2020 Coronavirus pandemic, this should be \"https://en.wikipedia.org/w/index.php?title=2019-20\\_coronavirus\\_pandemic\" or \"https://www.wikidata.org/wiki/Q81068910\".\n\nFor many of the possible properties, values can either be simple links or an inline description, depending on whether a summary is available. For a link, provide just the URL of the appropriate page as the property's value. For an inline description, use a [[WebContent]] type, and provide the url as a property of that, alongside at least a simple \"[[text]]\" summary of the page. It is\nunlikely that a single SpecialAnnouncement will need all of the possible properties simultaneously.\n\nWe expect that in many cases the page referenced might contain more specialized structured data, e.g. contact info, [[openingHours]], [[Event]], [[FAQPage]] etc. By linking to those pages from a [[SpecialAnnouncement]] you can help make it clearer that the events are related to the situation (e.g. Coronavirus) indicated by the [[category]] property of the [[SpecialAnnouncement]].\n\nMany [[SpecialAnnouncement]]s will relate to particular regions and to identifiable local organizations. Use [[spatialCoverage]] for the region, and [[announcementLocation]] to indicate specific [[LocalBusiness]]es and [[CivicStructure]]s. If the announcement affects both a particular region and a specific location (for example, a library closure that serves an entire region), use both [[spatialCoverage]] and [[announcementLocation]].\n\nThe [[about]] property can be used to indicate entities that are the focus of the announcement. We now recommend using [[about]] only\nfor representing non-location entities (e.g. a [[Course]] or a [[RadioStation]]). For places, use [[announcementLocation]] and [[spatialCoverage]]. Consumers of this markup should be aware that the initial design encouraged the use of /about for locations too.\n\nThe basic content of [[SpecialAnnouncement]] is similar to that of an [RSS](https://en.wikipedia.org/wiki/RSS) or [Atom](https://en.wikipedia.org/wiki/Atom_(Web_standard)) feed. For publishers without such feeds, basic feed-like information can be shared by posting\n[[SpecialAnnouncement]] updates in a page, e.g. using JSON-LD. For sites with Atom/RSS functionality, you can point to a feed\nwith the [[webFeed]] property. This can be a simple URL, or an inline [[DataFeed]] object, with [[encodingFormat]] providing\nmedia type information e.g. \"application/rss+xml\" or \"application/atom+xml\".\n".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2490".freeze,
      label: "SpecialAnnouncement".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Specialty,
      comment: "Any branch of a field in which people typically develop specific expertise, usually after significant study, time, and effort.".freeze,
      label: "Specialty".freeze,
      subClassOf: "http://schema.org/Enumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SportingGoodsStore,
      comment: "A sporting goods store.".freeze,
      label: "SportingGoodsStore".freeze,
      subClassOf: "http://schema.org/Store".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SportsActivityLocation,
      comment: "A sports location, such as a playing field.".freeze,
      label: "SportsActivityLocation".freeze,
      subClassOf: "http://schema.org/LocalBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SportsClub,
      comment: "A sports club.".freeze,
      label: "SportsClub".freeze,
      subClassOf: "http://schema.org/SportsActivityLocation".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SportsEvent,
      comment: "Event type: Sports event.".freeze,
      label: "SportsEvent".freeze,
      subClassOf: "http://schema.org/Event".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SportsOrganization,
      comment: "Represents the collection of all sports organizations, including sports teams, governing bodies, and sports associations.".freeze,
      label: "SportsOrganization".freeze,
      subClassOf: "http://schema.org/Organization".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SportsTeam,
      comment: "Organization: Sports team.".freeze,
      label: "SportsTeam".freeze,
      subClassOf: "http://schema.org/SportsOrganization".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SpreadsheetDigitalDocument,
      comment: "A spreadsheet file.".freeze,
      label: "SpreadsheetDigitalDocument".freeze,
      subClassOf: "http://schema.org/DigitalDocument".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :StadiumOrArena,
      comment: "A stadium.".freeze,
      label: "StadiumOrArena".freeze,
      subClassOf: ["http://schema.org/CivicStructure".freeze, "http://schema.org/SportsActivityLocation".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :State,
      comment: "A state or province of a country.".freeze,
      label: "State".freeze,
      subClassOf: "http://schema.org/AdministrativeArea".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Statement,
      comment: "A statement about something, for example a fun or interesting fact. If known, the main entity this statement is about, can be indicated using mainEntity. For more formal claims (e.g. in Fact Checking), consider using [[Claim]] instead. Use the [[text]] property to capture the text of the statement.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2912".freeze,
      label: "Statement".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :StatisticalPopulation,
      comment: "A StatisticalPopulation is a set of instances of a certain given type that satisfy some set of constraints. The property [[populationType]] is used to specify the type. Any property that can be used on instances of that type can appear on the statistical population. For example, a [[StatisticalPopulation]] representing all [[Person]]s with a [[homeLocation]] of East Podunk California, would be described by applying the appropriate [[homeLocation]] and [[populationType]] properties to a [[StatisticalPopulation]] item that stands for that set of people.\nThe properties [[numConstraints]] and [[constrainingProperty]] are used to specify which of the populations properties are used to specify the population. Note that the sense of \"population\" used here is the general sense of a statistical\npopulation, and does not imply that the population consists of people. For example, a [[populationType]] of [[Event]] or [[NewsArticle]] could be used. See also [[Observation]], and the [data and datasets](/docs/data-and-datasets.html) overview for more details.\n  ".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2291".freeze,
      label: "StatisticalPopulation".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :StatusEnumeration,
      comment: "Lists or enumerations dealing with status types.".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2604".freeze,
      label: "StatusEnumeration".freeze,
      subClassOf: "http://schema.org/Enumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SteeringPositionValue,
      comment: "A value indicating a steering position.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "SteeringPositionValue".freeze,
      subClassOf: "http://schema.org/QualitativeValue".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Store,
      comment: "A retail good store.".freeze,
      label: "Store".freeze,
      subClassOf: "http://schema.org/LocalBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :StructuredValue,
      comment: "Structured values are used when the value of a property has a more complex structure than simply being a textual value or a reference to another thing.".freeze,
      label: "StructuredValue".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :StupidType,
      comment: "A StupidType for testing.".freeze,
      "http://schema.org/isPartOf": "http://attic.schema.org".freeze,
      label: "StupidType".freeze,
      subClassOf: "http://schema.org/Thing".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SubscribeAction,
      comment: "The act of forming a personal connection with someone/something (object) unidirectionally/asymmetrically to get updates pushed to.\\n\\nRelated actions:\\n\\n* [[FollowAction]]: Unlike FollowAction, SubscribeAction implies that the subscriber acts as a passive agent being constantly/actively pushed for updates.\\n* [[RegisterAction]]: Unlike RegisterAction, SubscribeAction implies that the agent is interested in continuing receiving updates from the object.\\n* [[JoinAction]]: Unlike JoinAction, SubscribeAction implies that the agent is interested in continuing receiving updates from the object.".freeze,
      label: "SubscribeAction".freeze,
      subClassOf: "http://schema.org/InteractAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Substance,
      comment: "Any matter of defined composition that has discrete existence, whose origin may be biological, mineral or chemical.".freeze,
      equivalentClass: "http://purl.bioontology.org/ontology/SNOMEDCT/105590001".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Substance".freeze,
      subClassOf: "http://schema.org/MedicalEntity".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SubwayStation,
      comment: "A subway station.".freeze,
      label: "SubwayStation".freeze,
      subClassOf: "http://schema.org/CivicStructure".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Suite,
      comment: "A suite in a hotel or other public accommodation, denotes a class of luxury accommodations, the key feature of which is multiple rooms (Source: Wikipedia, the free encyclopedia, see <a href=\"http://en.wikipedia.org/wiki/Suite_(hotel)\">http://en.wikipedia.org/wiki/Suite_(hotel)</a>).\n<br /><br />\nSee also the <a href=\"/docs/hotels.html\">dedicated document on the use of schema.org for marking up hotels and other forms of accommodations</a>.\n".freeze,
      "http://schema.org/source": "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#STI_Accommodation_Ontology".freeze,
      label: "Suite".freeze,
      subClassOf: "http://schema.org/Accommodation".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SuperficialAnatomy,
      comment: "Anatomical features that can be observed by sight (without dissection), including the form and proportions of the human body as well as surface landmarks that correspond to deeper subcutaneous structures. Superficial anatomy plays an important role in sports medicine, phlebotomy, and other medical specialties as underlying anatomical structures can be identified through surface palpation. For example, during back surgery, superficial anatomy can be used to palpate and count vertebrae to find the site of incision. Or in phlebotomy, superficial anatomy can be used to locate an underlying vein; for example, the median cubital vein can be located by palpating the borders of the cubital fossa (such as the epicondyles of the humerus) and then looking for the superficial signs of the vein, such as size, prominence, ability to refill after depression, and feel of surrounding tissue support. As another example, in a subluxation (dislocation) of the glenohumeral joint, the bony structure becomes pronounced with the deltoid muscle failing to cover the glenohumeral joint allowing the edges of the scapula to be superficially visible. Here, the superficial anatomy is the visible edges of the scapula, implying the underlying dislocation of the joint (the related anatomical structure).".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "SuperficialAnatomy".freeze,
      subClassOf: "http://schema.org/MedicalEntity".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SurgicalProcedure,
      comment: "A medical procedure involving an incision with instruments; performed for diagnose, or therapeutic purposes.".freeze,
      equivalentClass: "http://purl.bioontology.org/ontology/SNOMEDCT/387713003".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "SurgicalProcedure".freeze,
      subClassOf: "http://schema.org/MedicalProcedure".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :SuspendAction,
      comment: "The act of momentarily pausing a device or application (e.g. pause music playback or pause a timer).".freeze,
      label: "SuspendAction".freeze,
      subClassOf: "http://schema.org/ControlAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Synagogue,
      comment: "A synagogue.".freeze,
      label: "Synagogue".freeze,
      subClassOf: "http://schema.org/PlaceOfWorship".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TVClip,
      comment: "A short TV program or a segment/part of a TV program.".freeze,
      label: "TVClip".freeze,
      subClassOf: "http://schema.org/Clip".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TVEpisode,
      comment: "A TV episode which can be part of a series or season.".freeze,
      label: "TVEpisode".freeze,
      subClassOf: "http://schema.org/Episode".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TVSeason,
      comment: "Season dedicated to TV broadcast and associated online delivery.".freeze,
      label: "TVSeason".freeze,
      subClassOf: ["http://schema.org/CreativeWork".freeze, "http://schema.org/CreativeWorkSeason".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TVSeries,
      comment: "CreativeWorkSeries dedicated to TV broadcast and associated online delivery.".freeze,
      label: "TVSeries".freeze,
      subClassOf: ["http://schema.org/CreativeWork".freeze, "http://schema.org/CreativeWorkSeries".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Table,
      comment: "A table on a Web page.".freeze,
      label: "Table".freeze,
      subClassOf: "http://schema.org/WebPageElement".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TakeAction,
      comment: "The act of gaining ownership of an object from an origin. Reciprocal of GiveAction.\\n\\nRelated actions:\\n\\n* [[GiveAction]]: The reciprocal of TakeAction.\\n* [[ReceiveAction]]: Unlike ReceiveAction, TakeAction implies that ownership has been transfered.".freeze,
      label: "TakeAction".freeze,
      subClassOf: "http://schema.org/TransferAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TattooParlor,
      comment: "A tattoo parlor.".freeze,
      label: "TattooParlor".freeze,
      subClassOf: "http://schema.org/HealthAndBeautyBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Taxi,
      comment: "A taxi.".freeze,
      "http://schema.org/supersededBy": "http://schema.org/TaxiService".freeze,
      label: "Taxi".freeze,
      subClassOf: "http://schema.org/Service".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TaxiReservation,
      comment: "A reservation for a taxi.\\n\\nNote: This type is for information about actual reservations, e.g. in confirmation emails or HTML pages with individual confirmations of reservations. For offers of tickets, use [[Offer]].".freeze,
      label: "TaxiReservation".freeze,
      subClassOf: "http://schema.org/Reservation".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TaxiService,
      comment: "A service for a vehicle for hire with a driver for local travel. Fares are usually calculated based on distance traveled.".freeze,
      label: "TaxiService".freeze,
      subClassOf: "http://schema.org/Service".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TaxiStand,
      comment: "A taxi stand.".freeze,
      label: "TaxiStand".freeze,
      subClassOf: "http://schema.org/CivicStructure".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Taxon,
      comment: "A set of organisms asserted to represent a natural cohesive biological unit.".freeze,
      "http://purl.org/dc/terms/source": "http://bioschemas.org".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      label: "Taxon".freeze,
      subClassOf: "http://schema.org/Thing".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TechArticle,
      comment: "A technical article - Example: How-to (task) topics, step-by-step, procedural troubleshooting, specifications, etc.".freeze,
      label: "TechArticle".freeze,
      subClassOf: "http://schema.org/Article".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TelevisionChannel,
      comment: "A unique instance of a television BroadcastService on a CableOrSatelliteService lineup.".freeze,
      label: "TelevisionChannel".freeze,
      subClassOf: "http://schema.org/BroadcastChannel".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TelevisionStation,
      comment: "A television station.".freeze,
      label: "TelevisionStation".freeze,
      subClassOf: "http://schema.org/LocalBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TennisComplex,
      comment: "A tennis complex.".freeze,
      label: "TennisComplex".freeze,
      subClassOf: "http://schema.org/SportsActivityLocation".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Text,
      comment: "Data type: Text.".freeze,
      label: "Text".freeze,
      type: ["http://schema.org/DataType".freeze, "http://www.w3.org/2000/01/rdf-schema#Class".freeze]
    term :TextDigitalDocument,
      comment: "A file composed primarily of text.".freeze,
      label: "TextDigitalDocument".freeze,
      subClassOf: "http://schema.org/DigitalDocument".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TheaterEvent,
      comment: "Event type: Theater performance.".freeze,
      label: "TheaterEvent".freeze,
      subClassOf: "http://schema.org/Event".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TheaterGroup,
      comment: "A theater group or company, for example, the Royal Shakespeare Company or Druid Theatre.".freeze,
      label: "TheaterGroup".freeze,
      subClassOf: "http://schema.org/PerformingGroup".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TherapeuticProcedure,
      comment: "A medical procedure intended primarily for therapeutic purposes, aimed at improving a health condition.".freeze,
      equivalentClass: "http://purl.bioontology.org/ontology/SNOMEDCT/277132007".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "TherapeuticProcedure".freeze,
      subClassOf: "http://schema.org/MedicalProcedure".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Thesis,
      comment: "A thesis or dissertation document submitted in support of candidature for an academic degree or professional qualification.".freeze,
      "http://schema.org/isPartOf": "http://bib.schema.org".freeze,
      "http://schema.org/source": "http://www.productontology.org/id/Thesis".freeze,
      label: "Thesis".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Thing,
      comment: "The most generic type of item.".freeze,
      label: "Thing".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Ticket,
      comment: "Used to describe a ticket to an event, a flight, a bus ride, etc.".freeze,
      label: "Ticket".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TieAction,
      comment: "The act of reaching a draw in a competitive activity.".freeze,
      label: "TieAction".freeze,
      subClassOf: "http://schema.org/AchieveAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Time,
      comment: "A point in time recurring on multiple days in the form hh:mm:ss[Z|(+|-)hh:mm] (see [XML schema for details](http://www.w3.org/TR/xmlschema-2/#time)).".freeze,
      label: "Time".freeze,
      type: ["http://schema.org/DataType".freeze, "http://www.w3.org/2000/01/rdf-schema#Class".freeze]
    term :TipAction,
      comment: "The act of giving money voluntarily to a beneficiary in recognition of services rendered.".freeze,
      label: "TipAction".freeze,
      subClassOf: "http://schema.org/TradeAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TireShop,
      comment: "A tire shop.".freeze,
      label: "TireShop".freeze,
      subClassOf: "http://schema.org/Store".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TouristAttraction,
      comment: "A tourist attraction.  In principle any Thing can be a [[TouristAttraction]], from a [[Mountain]] and [[LandmarksOrHistoricalBuildings]] to a [[LocalBusiness]].  This Type can be used on its own to describe a general [[TouristAttraction]], or be used as an [[additionalType]] to add tourist attraction properties to any other type.  (See examples below)".freeze,
      "http://schema.org/source": ["http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#IIT-CNR.it".freeze, "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Tourism".freeze],
      label: "TouristAttraction".freeze,
      subClassOf: "http://schema.org/Place".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TouristDestination,
      comment: "A tourist destination. In principle any [[Place]] can be a [[TouristDestination]] from a [[City]], Region or [[Country]] to an [[AmusementPark]] or [[Hotel]]. This Type can be used on its own to describe a general [[TouristDestination]], or be used as an [[additionalType]] to add tourist relevant properties to any other [[Place]].  A [[TouristDestination]] is defined as a [[Place]] that contains, or is colocated with, one or more [[TouristAttraction]]s, often linked by a similar theme or interest to a particular [[touristType]]. The [UNWTO](http://www2.unwto.org/) defines Destination (main destination of a tourism trip) as the place visited that is central to the decision to take the trip.\n  (See examples below).".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#IIT-CNR.it".freeze, "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Tourism".freeze, "https://github.com/schemaorg/schemaorg/issues/1810".freeze],
      label: "TouristDestination".freeze,
      subClassOf: "http://schema.org/Place".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TouristInformationCenter,
      comment: "A tourist information center.".freeze,
      label: "TouristInformationCenter".freeze,
      subClassOf: "http://schema.org/LocalBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TouristTrip,
      comment: "A tourist trip. A created itinerary of visits to one or more places of interest ([[TouristAttraction]]/[[TouristDestination]]) often linked by a similar theme, geographic area, or interest to a particular [[touristType]]. The [UNWTO](http://www2.unwto.org/) defines tourism trip as the Trip taken by visitors.\n  (See examples below).".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#IIT-CNR.it".freeze, "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Tourism".freeze, "https://github.com/schemaorg/schemaorg/issues/1810".freeze],
      label: "TouristTrip".freeze,
      subClassOf: "http://schema.org/Trip".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ToyStore,
      comment: "A toy store.".freeze,
      label: "ToyStore".freeze,
      subClassOf: "http://schema.org/Store".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TrackAction,
      comment: "An agent tracks an object for updates.\\n\\nRelated actions:\\n\\n* [[FollowAction]]: Unlike FollowAction, TrackAction refers to the interest on the location of innanimates objects.\\n* [[SubscribeAction]]: Unlike SubscribeAction, TrackAction refers to  the interest on the location of innanimate objects.".freeze,
      label: "TrackAction".freeze,
      subClassOf: "http://schema.org/FindAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TradeAction,
      comment: "The act of participating in an exchange of goods and services for monetary compensation. An agent trades an object, product or service with a participant in exchange for a one time or periodic payment.".freeze,
      label: "TradeAction".freeze,
      subClassOf: "http://schema.org/Action".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TrainReservation,
      comment: "A reservation for train travel.\\n\\nNote: This type is for information about actual reservations, e.g. in confirmation emails or HTML pages with individual confirmations of reservations. For offers of tickets, use [[Offer]].".freeze,
      label: "TrainReservation".freeze,
      subClassOf: "http://schema.org/Reservation".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TrainStation,
      comment: "A train station.".freeze,
      label: "TrainStation".freeze,
      subClassOf: "http://schema.org/CivicStructure".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TrainTrip,
      comment: "A trip on a commercial train line.".freeze,
      label: "TrainTrip".freeze,
      subClassOf: "http://schema.org/Trip".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TransferAction,
      comment: "The act of transferring/moving (abstract or concrete) animate or inanimate objects from one place to another.".freeze,
      label: "TransferAction".freeze,
      subClassOf: "http://schema.org/Action".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TravelAction,
      comment: "The act of traveling from an fromLocation to a destination by a specified mode of transport, optionally with participants.".freeze,
      label: "TravelAction".freeze,
      subClassOf: "http://schema.org/MoveAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TravelAgency,
      comment: "A travel agency.".freeze,
      label: "TravelAgency".freeze,
      subClassOf: "http://schema.org/LocalBusiness".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TreatmentIndication,
      comment: "An indication for treating an underlying condition, symptom, etc.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "TreatmentIndication".freeze,
      subClassOf: "http://schema.org/MedicalIndication".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Trip,
      comment: "A trip or journey. An itinerary of visits to one or more places.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Tourism".freeze,
      label: "Trip".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :TypeAndQuantityNode,
      comment: "A structured value indicating the quantity, unit of measurement, and business function of goods included in a bundle offer.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsClass".freeze,
      label: "TypeAndQuantityNode".freeze,
      subClassOf: "http://schema.org/StructuredValue".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :UKNonprofitType,
      comment: "UKNonprofitType: Non-profit organization type originating from the United Kingdom.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2543".freeze,
      label: "UKNonprofitType".freeze,
      subClassOf: "http://schema.org/NonprofitType".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :URL,
      comment: "Data type: URL.".freeze,
      label: "URL".freeze,
      subClassOf: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :USNonprofitType,
      comment: "USNonprofitType: Non-profit organization type originating from the United States.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2543".freeze,
      label: "USNonprofitType".freeze,
      subClassOf: "http://schema.org/NonprofitType".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :UnRegisterAction,
      comment: "The act of un-registering from a service.\\n\\nRelated actions:\\n\\n* [[RegisterAction]]: antonym of UnRegisterAction.\\n* [[LeaveAction]]: Unlike LeaveAction, UnRegisterAction implies that you are unregistering from a service you werer previously registered, rather than leaving a team/group of people.".freeze,
      label: "UnRegisterAction".freeze,
      subClassOf: "http://schema.org/InteractAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :UnitPriceSpecification,
      comment: "The price asked for a given offer by the respective organization or person.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsClass".freeze,
      label: "UnitPriceSpecification".freeze,
      subClassOf: "http://schema.org/PriceSpecification".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :UpdateAction,
      comment: "The act of managing by changing/editing the state of the object.".freeze,
      label: "UpdateAction".freeze,
      subClassOf: "http://schema.org/Action".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :UseAction,
      comment: "The act of applying an object to its intended purpose.".freeze,
      label: "UseAction".freeze,
      subClassOf: "http://schema.org/ConsumeAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :UserBlocks,
      comment: "UserInteraction and its subtypes is an old way of talking about users interacting with pages. It is generally better to use [[Action]]-based vocabulary, alongside types such as [[Comment]].".freeze,
      "http://schema.org/supersededBy": "http://schema.org/InteractionCounter".freeze,
      label: "UserBlocks".freeze,
      subClassOf: "http://schema.org/UserInteraction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :UserCheckins,
      comment: "UserInteraction and its subtypes is an old way of talking about users interacting with pages. It is generally better to use [[Action]]-based vocabulary, alongside types such as [[Comment]].".freeze,
      "http://schema.org/supersededBy": "http://schema.org/InteractionCounter".freeze,
      label: "UserCheckins".freeze,
      subClassOf: "http://schema.org/UserInteraction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :UserComments,
      comment: "UserInteraction and its subtypes is an old way of talking about users interacting with pages. It is generally better to use [[Action]]-based vocabulary, alongside types such as [[Comment]].".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_rNews".freeze,
      "http://schema.org/supersededBy": "http://schema.org/InteractionCounter".freeze,
      label: "UserComments".freeze,
      subClassOf: "http://schema.org/UserInteraction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :UserDownloads,
      comment: "UserInteraction and its subtypes is an old way of talking about users interacting with pages. It is generally better to use [[Action]]-based vocabulary, alongside types such as [[Comment]].".freeze,
      "http://schema.org/supersededBy": "http://schema.org/InteractionCounter".freeze,
      label: "UserDownloads".freeze,
      subClassOf: "http://schema.org/UserInteraction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :UserInteraction,
      comment: "UserInteraction and its subtypes is an old way of talking about users interacting with pages. It is generally better to use [[Action]]-based vocabulary, alongside types such as [[Comment]].".freeze,
      "http://schema.org/supersededBy": "http://schema.org/InteractionCounter".freeze,
      label: "UserInteraction".freeze,
      subClassOf: "http://schema.org/Event".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :UserLikes,
      comment: "UserInteraction and its subtypes is an old way of talking about users interacting with pages. It is generally better to use [[Action]]-based vocabulary, alongside types such as [[Comment]].".freeze,
      "http://schema.org/supersededBy": "http://schema.org/InteractionCounter".freeze,
      label: "UserLikes".freeze,
      subClassOf: "http://schema.org/UserInteraction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :UserPageVisits,
      comment: "UserInteraction and its subtypes is an old way of talking about users interacting with pages. It is generally better to use [[Action]]-based vocabulary, alongside types such as [[Comment]].".freeze,
      "http://schema.org/supersededBy": "http://schema.org/InteractionCounter".freeze,
      label: "UserPageVisits".freeze,
      subClassOf: "http://schema.org/UserInteraction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :UserPlays,
      comment: "UserInteraction and its subtypes is an old way of talking about users interacting with pages. It is generally better to use [[Action]]-based vocabulary, alongside types such as [[Comment]].".freeze,
      "http://schema.org/supersededBy": "http://schema.org/InteractionCounter".freeze,
      label: "UserPlays".freeze,
      subClassOf: "http://schema.org/UserInteraction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :UserPlusOnes,
      comment: "UserInteraction and its subtypes is an old way of talking about users interacting with pages. It is generally better to use [[Action]]-based vocabulary, alongside types such as [[Comment]].".freeze,
      "http://schema.org/supersededBy": "http://schema.org/InteractionCounter".freeze,
      label: "UserPlusOnes".freeze,
      subClassOf: "http://schema.org/UserInteraction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :UserReview,
      comment: "A review created by an end-user (e.g. consumer, purchaser, attendee etc.), in contrast with [[CriticReview]].".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1589".freeze,
      label: "UserReview".freeze,
      subClassOf: "http://schema.org/Review".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :UserTweets,
      comment: "UserInteraction and its subtypes is an old way of talking about users interacting with pages. It is generally better to use [[Action]]-based vocabulary, alongside types such as [[Comment]].".freeze,
      "http://schema.org/supersededBy": "http://schema.org/InteractionCounter".freeze,
      label: "UserTweets".freeze,
      subClassOf: "http://schema.org/UserInteraction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Vehicle,
      comment: "A vehicle is a device that is designed or used to transport people or cargo over land, water, air, or through space.".freeze,
      label: "Vehicle".freeze,
      subClassOf: "http://schema.org/Product".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Vein,
      comment: "A type of blood vessel that specifically carries blood to the heart.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Vein".freeze,
      subClassOf: "http://schema.org/Vessel".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Vessel,
      comment: "A component of the human body circulatory system comprised of an intricate network of hollow tubes that transport blood throughout the entire body.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Vessel".freeze,
      subClassOf: "http://schema.org/AnatomicalStructure".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :VeterinaryCare,
      comment: "A vet's office.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "VeterinaryCare".freeze,
      subClassOf: "http://schema.org/MedicalOrganization".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :VideoGallery,
      comment: "Web page type: Video gallery page.".freeze,
      label: "VideoGallery".freeze,
      subClassOf: "http://schema.org/MediaGallery".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :VideoGame,
      comment: "A video game is an electronic game that involves human interaction with a user interface to generate visual feedback on a video device.".freeze,
      label: "VideoGame".freeze,
      subClassOf: ["http://schema.org/Game".freeze, "http://schema.org/SoftwareApplication".freeze],
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :VideoGameClip,
      comment: "A short segment/part of a video game.".freeze,
      label: "VideoGameClip".freeze,
      subClassOf: "http://schema.org/Clip".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :VideoGameSeries,
      comment: "A video game series.".freeze,
      label: "VideoGameSeries".freeze,
      subClassOf: "http://schema.org/CreativeWorkSeries".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :VideoObject,
      comment: "A video file.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_rNews".freeze,
      label: "VideoObject".freeze,
      subClassOf: "http://schema.org/MediaObject".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :VideoObjectSnapshot,
      comment: "A specific and exact (byte-for-byte) version of a [[VideoObject]]. Two byte-for-byte identical files, for the purposes of this type, considered identical. If they have different embedded metadata the files will differ. Different external facts about the files, e.g. creator or dateCreated that aren't represented in their actual content, do not affect this notion of identity.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2450".freeze,
      label: "VideoObjectSnapshot".freeze,
      subClassOf: "http://schema.org/VideoObject".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :ViewAction,
      comment: "The act of consuming static visual content.".freeze,
      label: "ViewAction".freeze,
      subClassOf: "http://schema.org/ConsumeAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :VirtualLocation,
      comment: "An online or virtual location for attending events. For example, one may attend an online seminar or educational event. While a virtual location may be used as the location of an event, virtual locations should not be confused with physical locations in the real world.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1842".freeze,
      label: "VirtualLocation".freeze,
      subClassOf: "http://schema.org/Intangible".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Virus,
      comment: "Pathogenic virus that causes viral infection.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Virus".freeze,
      type: "http://schema.org/InfectiousAgentClass".freeze
    term :VisualArtsEvent,
      comment: "Event type: Visual arts event.".freeze,
      label: "VisualArtsEvent".freeze,
      subClassOf: "http://schema.org/Event".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :VisualArtwork,
      comment: "A work of art that is primarily visual in character.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_VisualArtworkClass".freeze,
      label: "VisualArtwork".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :VitalSign,
      comment: "Vital signs are measures of various physiological functions in order to assess the most basic body functions.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "VitalSign".freeze,
      subClassOf: "http://schema.org/MedicalSign".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Volcano,
      comment: "A volcano, like Fuji san.".freeze,
      label: "Volcano".freeze,
      subClassOf: "http://schema.org/Landform".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :VoteAction,
      comment: "The act of expressing a preference from a fixed/finite/structured set of choices/options.".freeze,
      label: "VoteAction".freeze,
      subClassOf: "http://schema.org/ChooseAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :WPAdBlock,
      comment: "An advertising section of the page.".freeze,
      label: "WPAdBlock".freeze,
      subClassOf: "http://schema.org/WebPageElement".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :WPFooter,
      comment: "The footer section of the page.".freeze,
      label: "WPFooter".freeze,
      subClassOf: "http://schema.org/WebPageElement".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :WPHeader,
      comment: "The header section of the page.".freeze,
      label: "WPHeader".freeze,
      subClassOf: "http://schema.org/WebPageElement".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :WPSideBar,
      comment: "A sidebar section of the page.".freeze,
      label: "WPSideBar".freeze,
      subClassOf: "http://schema.org/WebPageElement".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :WantAction,
      comment: "The act of expressing a desire about the object. An agent wants an object.".freeze,
      label: "WantAction".freeze,
      subClassOf: "http://schema.org/ReactAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :WarrantyPromise,
      comment: "A structured value representing the duration and scope of services that will be provided to a customer free of charge in case of a defect or malfunction of a product.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsClass".freeze,
      label: "WarrantyPromise".freeze,
      subClassOf: "http://schema.org/StructuredValue".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :WarrantyScope,
      comment: "A range of of services that will be provided to a customer free of charge in case of a defect or malfunction of a product.\\n\\nCommonly used values:\\n\\n* http://purl.org/goodrelations/v1#Labor-BringIn\\n* http://purl.org/goodrelations/v1#PartsAndLabor-BringIn\\n* http://purl.org/goodrelations/v1#PartsAndLabor-PickUp\n      ".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsClass".freeze,
      label: "WarrantyScope".freeze,
      subClassOf: "http://schema.org/Enumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :WatchAction,
      comment: "The act of consuming dynamic/moving visual content.".freeze,
      label: "WatchAction".freeze,
      subClassOf: "http://schema.org/ConsumeAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Waterfall,
      comment: "A waterfall, like Niagara.".freeze,
      label: "Waterfall".freeze,
      subClassOf: "http://schema.org/BodyOfWater".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :WearAction,
      comment: "The act of dressing oneself in clothing.".freeze,
      label: "WearAction".freeze,
      subClassOf: "http://schema.org/UseAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :WearableMeasurementTypeEnumeration,
      comment: "Enumerates common types of measurement for wearables products.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "WearableMeasurementTypeEnumeration".freeze,
      subClassOf: "http://schema.org/MeasurementTypeEnumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :WearableSizeGroupEnumeration,
      comment: "Enumerates common size groups (also known as \"size types\") for wearable products.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "WearableSizeGroupEnumeration".freeze,
      subClassOf: "http://schema.org/SizeGroupEnumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :WearableSizeSystemEnumeration,
      comment: "Enumerates common size systems specific for wearable products".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "WearableSizeSystemEnumeration".freeze,
      subClassOf: "http://schema.org/SizeSystemEnumeration".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :WebAPI,
      comment: "An application programming interface accessible over Web/Internet technologies.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1423".freeze,
      label: "WebAPI".freeze,
      subClassOf: "http://schema.org/Service".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :WebApplication,
      comment: "Web applications.".freeze,
      label: "WebApplication".freeze,
      subClassOf: "http://schema.org/SoftwareApplication".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :WebContent,
      comment: "WebContent is a type representing all [[WebPage]], [[WebSite]] and [[WebPageElement]] content. It is sometimes the case that detailed distinctions between Web pages, sites and their parts is not always important or obvious. The  [[WebContent]] type makes it easier to describe Web-addressable content without requiring such distinctions to always be stated. (The intent is that the existing types [[WebPage]], [[WebSite]] and [[WebPageElement]] will eventually be declared as subtypes of [[WebContent]]).".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2358".freeze,
      label: "WebContent".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :WebPage,
      comment: "A web page. Every web page is implicitly assumed to be declared to be of type WebPage, so the various properties about that webpage, such as <code>breadcrumb</code> may be used. We recommend explicit declaration if these properties are specified, but if they are found outside of an itemscope, they will be assumed to be about the page.".freeze,
      label: "WebPage".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :WebPageElement,
      comment: "A web page element, like a table or an image.".freeze,
      label: "WebPageElement".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :WebSite,
      comment: "A WebSite is a set of related web pages and other items typically served from a single web domain and accessible via URLs.".freeze,
      label: "WebSite".freeze,
      subClassOf: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :WholesaleStore,
      comment: "A wholesale store.".freeze,
      label: "WholesaleStore".freeze,
      subClassOf: "http://schema.org/Store".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :WinAction,
      comment: "The act of achieving victory in a competitive activity.".freeze,
      label: "WinAction".freeze,
      subClassOf: "http://schema.org/AchieveAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Winery,
      comment: "A winery.".freeze,
      label: "Winery".freeze,
      subClassOf: "http://schema.org/FoodEstablishment".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :WorkBasedProgram,
      comment: "A program with both an educational and employment component. Typically based at a workplace and structured around work-based learning, with the aim of instilling competencies related to an occupation. WorkBasedProgram is used to distinguish programs such as apprenticeships from school, college or other classroom based educational programs.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2289".freeze,
      label: "WorkBasedProgram".freeze,
      subClassOf: "http://schema.org/EducationalOccupationalProgram".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :WorkersUnion,
      comment: "A Workers Union (also known as a Labor Union, Labour Union, or Trade Union) is an organization that promotes the interests of its worker members by collectively bargaining with management, organizing, and political lobbying.".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/243".freeze,
      label: "WorkersUnion".freeze,
      subClassOf: "http://schema.org/Organization".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :WriteAction,
      comment: "The act of authoring written creative content.".freeze,
      label: "WriteAction".freeze,
      subClassOf: "http://schema.org/CreateAction".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :XPathType,
      comment: "Text representing an XPath (typically but not necessarily version 1.0).".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1672".freeze,
      label: "XPathType".freeze,
      subClassOf: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze
    term :Zoo,
      comment: "A zoo.".freeze,
      label: "Zoo".freeze,
      subClassOf: "http://schema.org/CivicStructure".freeze,
      type: "http://www.w3.org/2000/01/rdf-schema#Class".freeze

    # Property definitions
    property :about,
      comment: "The subject matter of the content.".freeze,
      domainIncludes: ["http://schema.org/CommunicateAction".freeze, "http://schema.org/CreativeWork".freeze, "http://schema.org/Event".freeze],
      "http://schema.org/inverseOf": "http://schema.org/subjectOf".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1670".freeze,
      label: "about".freeze,
      rangeIncludes: "http://schema.org/Thing".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :abridged,
      comment: "Indicates whether the book is an abridged edition.".freeze,
      domainIncludes: "http://schema.org/Book".freeze,
      "http://schema.org/isPartOf": "http://bib.schema.org".freeze,
      label: "abridged".freeze,
      rangeIncludes: "http://schema.org/Boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :abstract,
      comment: "An abstract is a short description that summarizes a [[CreativeWork]].".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/276".freeze,
      label: "abstract".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :accelerationTime,
      comment: "The time needed to accelerate the vehicle from a given start velocity to a given target velocity.\\n\\nTypical unit code(s): SEC for seconds\\n\\n* Note: There are unfortunately no standard unit codes for seconds/0..100 km/h or seconds/0..60 mph. Simply use \"SEC\" for seconds and indicate the velocities in the [[name]] of the [[QuantitativeValue]], or use [[valueReference]] with a [[QuantitativeValue]] of 0..60 mph or 0..100 km/h to specify the reference speeds.".freeze,
      domainIncludes: "http://schema.org/Vehicle".freeze,
      "http://schema.org/isPartOf": "http://auto.schema.org".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "accelerationTime".freeze,
      rangeIncludes: "http://schema.org/QuantitativeValue".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :acceptedAnswer,
      comment: "The answer(s) that has been accepted as best, typically on a Question/Answer site. Sites vary in their selection mechanisms, e.g. drawing on community opinion and/or the view of the Question author.".freeze,
      domainIncludes: "http://schema.org/Question".freeze,
      label: "acceptedAnswer".freeze,
      rangeIncludes: ["http://schema.org/Answer".freeze, "http://schema.org/ItemList".freeze],
      subPropertyOf: "http://schema.org/suggestedAnswer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :acceptedOffer,
      comment: "The offer(s) -- e.g., product, quantity and price combinations -- included in the order.".freeze,
      domainIncludes: "http://schema.org/Order".freeze,
      label: "acceptedOffer".freeze,
      rangeIncludes: "http://schema.org/Offer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :acceptedPaymentMethod,
      comment: "The payment method(s) accepted by seller for this offer.".freeze,
      domainIncludes: ["http://schema.org/Demand".freeze, "http://schema.org/Offer".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "acceptedPaymentMethod".freeze,
      rangeIncludes: ["http://schema.org/LoanOrCredit".freeze, "http://schema.org/PaymentMethod".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :acceptsReservations,
      comment: "Indicates whether a FoodEstablishment accepts reservations. Values can be Boolean, an URL at which reservations can be made or (for backwards compatibility) the strings ```Yes``` or ```No```.".freeze,
      domainIncludes: "http://schema.org/FoodEstablishment".freeze,
      label: "acceptsReservations".freeze,
      rangeIncludes: ["http://schema.org/Boolean".freeze, "http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :accessCode,
      comment: "Password, PIN, or access code needed for delivery (e.g. from a locker).".freeze,
      domainIncludes: "http://schema.org/DeliveryEvent".freeze,
      label: "accessCode".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :accessMode,
      comment: "The human sensory perceptual system or cognitive faculty through which a person may process or perceive information. Expected values include: auditory, tactile, textual, visual, colorDependent, chartOnVisual, chemOnVisual, diagramOnVisual, mathOnVisual, musicOnVisual, textOnVisual.\n      ".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1100".freeze,
      label: "accessMode".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :accessModeSufficient,
      comment: "A list of single or combined accessModes that are sufficient to understand all the intellectual content of a resource. Expected values include:  auditory, tactile, textual, visual.\n      ".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1100".freeze,
      label: "accessModeSufficient".freeze,
      rangeIncludes: "http://schema.org/ItemList".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :accessibilityAPI,
      comment: "Indicates that the resource is compatible with the referenced accessibility API ([WebSchemas wiki lists possible values](http://www.w3.org/wiki/WebSchemas/Accessibility)).".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      label: "accessibilityAPI".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :accessibilityControl,
      comment: "Identifies input methods that are sufficient to fully control the described resource ([WebSchemas wiki lists possible values](http://www.w3.org/wiki/WebSchemas/Accessibility)).".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      label: "accessibilityControl".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :accessibilityFeature,
      comment: "Content features of the resource, such as accessible media, alternatives and supported enhancements for accessibility ([WebSchemas wiki lists possible values](http://www.w3.org/wiki/WebSchemas/Accessibility)).".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      label: "accessibilityFeature".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :accessibilityHazard,
      comment: "A characteristic of the described resource that is physiologically dangerous to some users. Related to WCAG 2.0 guideline 2.3 ([WebSchemas wiki lists possible values](http://www.w3.org/wiki/WebSchemas/Accessibility)).".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      label: "accessibilityHazard".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :accessibilitySummary,
      comment: "A human-readable summary of specific accessibility features or deficiencies, consistent with the other accessibility metadata but expressing subtleties such as \"short descriptions are present but long descriptions will be needed for non-visual users\" or \"short descriptions are present and no long descriptions are needed.\"".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1100".freeze,
      label: "accessibilitySummary".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :accommodationCategory,
      comment: "Category of an [[Accommodation]], following real estate conventions e.g. RESO (see [PropertySubType](https://ddwiki.reso.org/display/DDW17/PropertySubType+Field), and [PropertyType](https://ddwiki.reso.org/display/DDW17/PropertyType+Field) fields  for suggested values).".freeze,
      domainIncludes: "http://schema.org/Accommodation".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2373".freeze,
      label: "accommodationCategory".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      subPropertyOf: "http://schema.org/category".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :accommodationFloorPlan,
      comment: "A floorplan of some [[Accommodation]].".freeze,
      domainIncludes: ["http://schema.org/Accommodation".freeze, "http://schema.org/Residence".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2373".freeze,
      label: "accommodationFloorPlan".freeze,
      rangeIncludes: "http://schema.org/FloorPlan".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :accountId,
      comment: "The identifier for the account the payment will be applied to.".freeze,
      domainIncludes: "http://schema.org/Invoice".freeze,
      label: "accountId".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      subPropertyOf: "http://schema.org/identifier".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :accountMinimumInflow,
      comment: "A minimum amount that has to be paid in every month.".freeze,
      domainIncludes: "http://schema.org/BankAccount".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FIBO".freeze, "https://github.com/schemaorg/schemaorg/issues/1253".freeze],
      label: "accountMinimumInflow".freeze,
      rangeIncludes: "http://schema.org/MonetaryAmount".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :accountOverdraftLimit,
      comment: "An overdraft is an extension of credit from a lending institution when an account reaches zero. An overdraft allows the individual to continue withdrawing money even if the account has no funds in it. Basically the bank allows people to borrow a set amount of money.".freeze,
      domainIncludes: "http://schema.org/BankAccount".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FIBO".freeze, "https://github.com/schemaorg/schemaorg/issues/1253".freeze],
      label: "accountOverdraftLimit".freeze,
      rangeIncludes: "http://schema.org/MonetaryAmount".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :accountablePerson,
      comment: "Specifies the Person that is legally accountable for the CreativeWork.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      label: "accountablePerson".freeze,
      rangeIncludes: "http://schema.org/Person".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :acquireLicensePage,
      comment: "Indicates a page documenting how licenses can be purchased or otherwise acquired, for the current item.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2454".freeze,
      label: "acquireLicensePage".freeze,
      rangeIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/URL".freeze],
      subPropertyOf: "http://schema.org/usageInfo".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :acquiredFrom,
      comment: "The organization or person from which the product was acquired.".freeze,
      domainIncludes: "http://schema.org/OwnershipInfo".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "acquiredFrom".freeze,
      rangeIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :acrissCode,
      comment: "The ACRISS Car Classification Code is a code used by many car rental companies, for classifying vehicles. ACRISS stands for Association of Car Rental Industry Systems and Standards.".freeze,
      domainIncludes: ["http://schema.org/BusOrCoach".freeze, "http://schema.org/Car".freeze],
      "http://schema.org/isPartOf": "http://auto.schema.org".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "acrissCode".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :actionAccessibilityRequirement,
      comment: "A set of requirements that a must be fulfilled in order to perform an Action. If more than one value is specied, fulfilling one set of requirements will allow the Action to be performed.".freeze,
      domainIncludes: "http://schema.org/ConsumeAction".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1741".freeze,
      label: "actionAccessibilityRequirement".freeze,
      rangeIncludes: "http://schema.org/ActionAccessSpecification".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :actionApplication,
      comment: "An application that can complete the request.".freeze,
      domainIncludes: "http://schema.org/EntryPoint".freeze,
      label: "actionApplication".freeze,
      rangeIncludes: "http://schema.org/SoftwareApplication".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :actionOption,
      comment: "A sub property of object. The options subject to this action.".freeze,
      domainIncludes: "http://schema.org/ChooseAction".freeze,
      label: "actionOption".freeze,
      rangeIncludes: ["http://schema.org/Text".freeze, "http://schema.org/Thing".freeze],
      subPropertyOf: "http://schema.org/object".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :actionPlatform,
      comment: "The high level platform(s) where the Action can be performed for the given URL. To specify a specific application or operating system instance, use actionApplication.".freeze,
      domainIncludes: "http://schema.org/EntryPoint".freeze,
      label: "actionPlatform".freeze,
      rangeIncludes: ["http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :actionStatus,
      comment: "Indicates the current disposition of the Action.".freeze,
      domainIncludes: "http://schema.org/Action".freeze,
      label: "actionStatus".freeze,
      rangeIncludes: "http://schema.org/ActionStatusType".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :actionableFeedbackPolicy,
      comment: "For a [[NewsMediaOrganization]] or other news-related [[Organization]], a statement about public engagement activities (for news media, the newsroom’s), including involving the public - digitally or otherwise -- in coverage decisions, reporting and activities after publication.".freeze,
      domainIncludes: ["http://schema.org/NewsMediaOrganization".freeze, "http://schema.org/Organization".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["https://github.com/schemaorg/schemaorg/issues/1525".freeze, "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#TP".freeze],
      label: "actionableFeedbackPolicy".freeze,
      rangeIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/URL".freeze],
      subPropertyOf: "http://schema.org/publishingPrinciples".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :activeIngredient,
      comment: "An active ingredient, typically chemical compounds and/or biologic substances.".freeze,
      domainIncludes: ["http://schema.org/DietarySupplement".freeze, "http://schema.org/Drug".freeze, "http://schema.org/DrugStrength".freeze, "http://schema.org/Substance".freeze],
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "activeIngredient".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :activityDuration,
      comment: "Length of time to engage in the activity.".freeze,
      domainIncludes: "http://schema.org/ExercisePlan".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "activityDuration".freeze,
      rangeIncludes: ["http://schema.org/Duration".freeze, "http://schema.org/QuantitativeValue".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :activityFrequency,
      comment: "How often one should engage in the activity.".freeze,
      domainIncludes: "http://schema.org/ExercisePlan".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "activityFrequency".freeze,
      rangeIncludes: ["http://schema.org/QuantitativeValue".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :actor,
      comment: "An actor, e.g. in tv, radio, movie, video games etc., or in an event. Actors can be associated with individual items or with a series, episode, clip.".freeze,
      domainIncludes: ["http://schema.org/Clip".freeze, "http://schema.org/CreativeWorkSeason".freeze, "http://schema.org/Episode".freeze, "http://schema.org/Event".freeze, "http://schema.org/Movie".freeze, "http://schema.org/MovieSeries".freeze, "http://schema.org/PodcastSeries".freeze, "http://schema.org/RadioSeries".freeze, "http://schema.org/TVSeries".freeze, "http://schema.org/VideoGame".freeze, "http://schema.org/VideoGameSeries".freeze, "http://schema.org/VideoObject".freeze],
      label: "actor".freeze,
      rangeIncludes: "http://schema.org/Person".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :actors,
      comment: "An actor, e.g. in tv, radio, movie, video games etc. Actors can be associated with individual items or with a series, episode, clip.".freeze,
      domainIncludes: ["http://schema.org/Clip".freeze, "http://schema.org/Episode".freeze, "http://schema.org/Movie".freeze, "http://schema.org/MovieSeries".freeze, "http://schema.org/RadioSeries".freeze, "http://schema.org/TVSeries".freeze, "http://schema.org/VideoGame".freeze, "http://schema.org/VideoGameSeries".freeze, "http://schema.org/VideoObject".freeze],
      "http://schema.org/supersededBy": "http://schema.org/actor".freeze,
      label: "actors".freeze,
      rangeIncludes: "http://schema.org/Person".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :addOn,
      comment: "An additional offer that can only be obtained in combination with the first base offer (e.g. supplements and extensions that are available for a surcharge).".freeze,
      domainIncludes: "http://schema.org/Offer".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "addOn".freeze,
      rangeIncludes: "http://schema.org/Offer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :additionalName,
      comment: "An additional name for a Person, can be used for a middle name.".freeze,
      domainIncludes: "http://schema.org/Person".freeze,
      label: "additionalName".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :additionalNumberOfGuests,
      comment: "If responding yes, the number of guests who will attend in addition to the invitee.".freeze,
      domainIncludes: "http://schema.org/RsvpAction".freeze,
      label: "additionalNumberOfGuests".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :additionalProperty,
      comment: "A property-value pair representing an additional characteristics of the entitity, e.g. a product feature or another characteristic for which there is no matching property in schema.org.\\n\\nNote: Publishers should be aware that applications designed to use specific schema.org properties (e.g. http://schema.org/width, http://schema.org/color, http://schema.org/gtin13, ...) will typically expect such data to be provided using those properties, rather than using the generic property/value mechanism.\n".freeze,
      domainIncludes: ["http://schema.org/MerchantReturnPolicy".freeze, "http://schema.org/Place".freeze, "http://schema.org/Product".freeze, "http://schema.org/QualitativeValue".freeze, "http://schema.org/QuantitativeValue".freeze],
      label: "additionalProperty".freeze,
      rangeIncludes: "http://schema.org/PropertyValue".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :additionalType,
      comment: "An additional type for the item, typically used for adding more specific types from external vocabularies in microdata syntax. This is a relationship between something and a class that the thing is in. In RDFa syntax, it is better to use the native RDFa syntax - the 'typeof' attribute - for multiple types. Schema.org tools may have only weaker understanding of extra types, in particular those defined externally.".freeze,
      domainIncludes: "http://schema.org/Thing".freeze,
      label: "additionalType".freeze,
      rangeIncludes: "http://schema.org/URL".freeze,
      subPropertyOf: "http://www.w3.org/1999/02/22-rdf-syntax-ns#type".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :additionalVariable,
      comment: "Any additional component of the exercise prescription that may need to be articulated to the patient. This may include the order of exercises, the number of repetitions of movement, quantitative distance, progressions over time, etc.".freeze,
      domainIncludes: "http://schema.org/ExercisePlan".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "additionalVariable".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :address,
      comment: "Physical address of the item.".freeze,
      domainIncludes: ["http://schema.org/GeoCoordinates".freeze, "http://schema.org/GeoShape".freeze, "http://schema.org/Organization".freeze, "http://schema.org/Person".freeze, "http://schema.org/Place".freeze],
      label: "address".freeze,
      rangeIncludes: ["http://schema.org/PostalAddress".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :addressCountry,
      comment: "The country. For example, USA. You can also provide the two-letter [ISO 3166-1 alpha-2 country code](http://en.wikipedia.org/wiki/ISO_3166-1).".freeze,
      domainIncludes: ["http://schema.org/DefinedRegion".freeze, "http://schema.org/GeoCoordinates".freeze, "http://schema.org/GeoShape".freeze, "http://schema.org/PostalAddress".freeze],
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2506".freeze,
      label: "addressCountry".freeze,
      rangeIncludes: ["http://schema.org/Country".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :addressLocality,
      comment: "The locality in which the street address is, and which is in the region. For example, Mountain View.".freeze,
      domainIncludes: "http://schema.org/PostalAddress".freeze,
      label: "addressLocality".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :addressRegion,
      comment: "The region in which the locality is, and which is in the country. For example, California or another appropriate first-level [Administrative division](https://en.wikipedia.org/wiki/List_of_administrative_divisions_by_country) ".freeze,
      domainIncludes: ["http://schema.org/DefinedRegion".freeze, "http://schema.org/PostalAddress".freeze],
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2506".freeze,
      label: "addressRegion".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :administrationRoute,
      comment: "A route by which this drug may be administered, e.g. 'oral'.".freeze,
      domainIncludes: "http://schema.org/Drug".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "administrationRoute".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :advanceBookingRequirement,
      comment: "The amount of time that is required between accepting the offer and the actual usage of the resource or service.".freeze,
      domainIncludes: ["http://schema.org/Demand".freeze, "http://schema.org/Offer".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "advanceBookingRequirement".freeze,
      rangeIncludes: "http://schema.org/QuantitativeValue".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :adverseOutcome,
      comment: "A possible complication and/or side effect of this therapy. If it is known that an adverse outcome is serious (resulting in death, disability, or permanent damage; requiring hospitalization; or is otherwise life-threatening or requires immediate medical attention), tag it as a seriouseAdverseOutcome instead.".freeze,
      domainIncludes: ["http://schema.org/MedicalDevice".freeze, "http://schema.org/TherapeuticProcedure".freeze],
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "adverseOutcome".freeze,
      rangeIncludes: "http://schema.org/MedicalEntity".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :affectedBy,
      comment: "Drugs that affect the test's results.".freeze,
      domainIncludes: "http://schema.org/MedicalTest".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "affectedBy".freeze,
      rangeIncludes: "http://schema.org/Drug".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :affiliation,
      comment: "An organization that this person is affiliated with. For example, a school/university, a club, or a team.".freeze,
      domainIncludes: "http://schema.org/Person".freeze,
      label: "affiliation".freeze,
      rangeIncludes: "http://schema.org/Organization".freeze,
      subPropertyOf: "http://schema.org/memberOf".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :afterMedia,
      comment: "A media object representing the circumstances after performing this direction.".freeze,
      domainIncludes: "http://schema.org/HowToDirection".freeze,
      label: "afterMedia".freeze,
      rangeIncludes: ["http://schema.org/MediaObject".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :agent,
      comment: "The direct performer or driver of the action (animate or inanimate). e.g. *John* wrote a book.".freeze,
      domainIncludes: "http://schema.org/Action".freeze,
      label: "agent".freeze,
      rangeIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :aggregateRating,
      comment: "The overall rating, based on a collection of reviews or ratings, of the item.".freeze,
      domainIncludes: ["http://schema.org/Brand".freeze, "http://schema.org/CreativeWork".freeze, "http://schema.org/Event".freeze, "http://schema.org/Offer".freeze, "http://schema.org/Organization".freeze, "http://schema.org/Place".freeze, "http://schema.org/Product".freeze, "http://schema.org/Service".freeze],
      label: "aggregateRating".freeze,
      rangeIncludes: "http://schema.org/AggregateRating".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :aircraft,
      comment: "The kind of aircraft (e.g., \"Boeing 747\").".freeze,
      domainIncludes: "http://schema.org/Flight".freeze,
      label: "aircraft".freeze,
      rangeIncludes: ["http://schema.org/Text".freeze, "http://schema.org/Vehicle".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :album,
      comment: "A music album.".freeze,
      domainIncludes: "http://schema.org/MusicGroup".freeze,
      label: "album".freeze,
      rangeIncludes: "http://schema.org/MusicAlbum".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :albumProductionType,
      comment: "Classification of the album by it's type of content: soundtrack, live album, studio album, etc.".freeze,
      domainIncludes: "http://schema.org/MusicAlbum".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#MBZ".freeze,
      label: "albumProductionType".freeze,
      rangeIncludes: "http://schema.org/MusicAlbumProductionType".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :albumRelease,
      comment: "A release of this album.".freeze,
      domainIncludes: "http://schema.org/MusicAlbum".freeze,
      "http://schema.org/inverseOf": "http://schema.org/releaseOf".freeze,
      label: "albumRelease".freeze,
      rangeIncludes: "http://schema.org/MusicRelease".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :albumReleaseType,
      comment: "The kind of release which this album is: single, EP or album.".freeze,
      domainIncludes: "http://schema.org/MusicAlbum".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#MBZ".freeze,
      label: "albumReleaseType".freeze,
      rangeIncludes: "http://schema.org/MusicAlbumReleaseType".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :albums,
      comment: "A collection of music albums.".freeze,
      domainIncludes: "http://schema.org/MusicGroup".freeze,
      "http://schema.org/supersededBy": "http://schema.org/album".freeze,
      label: "albums".freeze,
      rangeIncludes: "http://schema.org/MusicAlbum".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :alcoholWarning,
      comment: "Any precaution, guidance, contraindication, etc. related to consumption of alcohol while taking this drug.".freeze,
      domainIncludes: "http://schema.org/Drug".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "alcoholWarning".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :algorithm,
      comment: "The algorithm or rules to follow to compute the score.".freeze,
      domainIncludes: "http://schema.org/MedicalRiskScore".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "algorithm".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :alignmentType,
      comment: "A category of alignment between the learning resource and the framework node. Recommended values include: 'requires', 'textComplexity', 'readingLevel', and 'educationalSubject'.".freeze,
      domainIncludes: "http://schema.org/AlignmentObject".freeze,
      label: "alignmentType".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :alternateName,
      comment: "An alias for the item.".freeze,
      domainIncludes: "http://schema.org/Thing".freeze,
      label: "alternateName".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :alternativeHeadline,
      comment: "A secondary title of the CreativeWork.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      label: "alternativeHeadline".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :alternativeOf,
      comment: "Another gene which is a variation of this one.".freeze,
      domainIncludes: "http://schema.org/Gene".freeze,
      "http://purl.org/dc/terms/source": "http://www.bioschemas.org/Gene".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      label: "alternativeOf".freeze,
      rangeIncludes: "http://schema.org/Gene".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :alumni,
      comment: "Alumni of an organization.".freeze,
      domainIncludes: ["http://schema.org/EducationalOrganization".freeze, "http://schema.org/Organization".freeze],
      "http://schema.org/inverseOf": "http://schema.org/alumniOf".freeze,
      label: "alumni".freeze,
      rangeIncludes: "http://schema.org/Person".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :alumniOf,
      comment: "An organization that the person is an alumni of.".freeze,
      domainIncludes: "http://schema.org/Person".freeze,
      "http://schema.org/inverseOf": "http://schema.org/alumni".freeze,
      label: "alumniOf".freeze,
      rangeIncludes: ["http://schema.org/EducationalOrganization".freeze, "http://schema.org/Organization".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :amenityFeature,
      comment: "An amenity feature (e.g. a characteristic or service) of the Accommodation. This generic property does not make a statement about whether the feature is included in an offer for the main accommodation or available at extra costs.".freeze,
      domainIncludes: ["http://schema.org/Accommodation".freeze, "http://schema.org/FloorPlan".freeze, "http://schema.org/LodgingBusiness".freeze, "http://schema.org/Place".freeze],
      "http://schema.org/source": "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#STI_Accommodation_Ontology".freeze,
      label: "amenityFeature".freeze,
      rangeIncludes: "http://schema.org/LocationFeatureSpecification".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :amount,
      comment: "The amount of money.".freeze,
      domainIncludes: ["http://schema.org/DatedMoneySpecification".freeze, "http://schema.org/InvestmentOrDeposit".freeze, "http://schema.org/LoanOrCredit".freeze, "http://schema.org/MonetaryGrant".freeze, "http://schema.org/MoneyTransfer".freeze],
      "http://schema.org/source": ["https://github.com/schemaorg/schemaorg/issues/1253".freeze, "https://github.com/schemaorg/schemaorg/issues/1698".freeze],
      label: "amount".freeze,
      rangeIncludes: ["http://schema.org/MonetaryAmount".freeze, "http://schema.org/Number".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :amountOfThisGood,
      comment: "The quantity of the goods included in the offer.".freeze,
      domainIncludes: "http://schema.org/TypeAndQuantityNode".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "amountOfThisGood".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :announcementLocation,
      comment: "Indicates a specific [[CivicStructure]] or [[LocalBusiness]] associated with the SpecialAnnouncement. For example, a specific testing facility or business with special opening hours. For a larger geographic region like a quarantine of an entire region, use [[spatialCoverage]].".freeze,
      domainIncludes: "http://schema.org/SpecialAnnouncement".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2514".freeze,
      label: "announcementLocation".freeze,
      rangeIncludes: ["http://schema.org/CivicStructure".freeze, "http://schema.org/LocalBusiness".freeze],
      subPropertyOf: "http://schema.org/spatialCoverage".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :annualPercentageRate,
      comment: "The annual rate that is charged for borrowing (or made by investing), expressed as a single percentage number that represents the actual yearly cost of funds over the term of a loan. This includes any fees or additional costs associated with the transaction.".freeze,
      domainIncludes: "http://schema.org/FinancialProduct".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FIBO".freeze,
      label: "annualPercentageRate".freeze,
      rangeIncludes: ["http://schema.org/Number".freeze, "http://schema.org/QuantitativeValue".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :answerCount,
      comment: "The number of answers this question has received.".freeze,
      domainIncludes: "http://schema.org/Question".freeze,
      label: "answerCount".freeze,
      rangeIncludes: "http://schema.org/Integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :answerExplanation,
      comment: "A step-by-step or full explanation about Answer. Can outline how this Answer was achieved or contain more broad clarification or statement about it. ".freeze,
      domainIncludes: "http://schema.org/Answer".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2636".freeze,
      label: "answerExplanation".freeze,
      rangeIncludes: ["http://schema.org/Comment".freeze, "http://schema.org/WebContent".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :antagonist,
      comment: "The muscle whose action counteracts the specified muscle.".freeze,
      domainIncludes: "http://schema.org/Muscle".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "antagonist".freeze,
      rangeIncludes: "http://schema.org/Muscle".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :appearance,
      comment: "Indicates an occurence of a [[Claim]] in some [[CreativeWork]].".freeze,
      domainIncludes: "http://schema.org/Claim".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1828".freeze,
      label: "appearance".freeze,
      rangeIncludes: "http://schema.org/CreativeWork".freeze,
      subPropertyOf: "http://schema.org/workExample".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :applicableLocation,
      comment: "The location in which the status applies.".freeze,
      domainIncludes: ["http://schema.org/DrugCost".freeze, "http://schema.org/DrugLegalStatus".freeze],
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "applicableLocation".freeze,
      rangeIncludes: "http://schema.org/AdministrativeArea".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :applicantLocationRequirements,
      comment: "The location(s) applicants can apply from. This is usually used for telecommuting jobs where the applicant does not need to be in a physical office. Note: This should not be used for citizenship or work visa requirements.".freeze,
      domainIncludes: "http://schema.org/JobPosting".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2083".freeze,
      label: "applicantLocationRequirements".freeze,
      rangeIncludes: "http://schema.org/AdministrativeArea".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :application,
      comment: "An application that can complete the request.".freeze,
      domainIncludes: "http://schema.org/EntryPoint".freeze,
      "http://schema.org/supersededBy": "http://schema.org/actionApplication".freeze,
      label: "application".freeze,
      rangeIncludes: "http://schema.org/SoftwareApplication".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :applicationCategory,
      comment: "Type of software application, e.g. 'Game, Multimedia'.".freeze,
      domainIncludes: "http://schema.org/SoftwareApplication".freeze,
      label: "applicationCategory".freeze,
      rangeIncludes: ["http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :applicationContact,
      comment: "Contact details for further information relevant to this job posting.".freeze,
      domainIncludes: "http://schema.org/JobPosting".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2396".freeze,
      label: "applicationContact".freeze,
      rangeIncludes: "http://schema.org/ContactPoint".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :applicationDeadline,
      comment: "The date at which the program stops collecting applications for the next enrollment cycle.".freeze,
      domainIncludes: "http://schema.org/EducationalOccupationalProgram".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2419".freeze,
      label: "applicationDeadline".freeze,
      rangeIncludes: "http://schema.org/Date".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :applicationStartDate,
      comment: "The date at which the program begins collecting applications for the next enrollment cycle.".freeze,
      domainIncludes: "http://schema.org/EducationalOccupationalProgram".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2419".freeze,
      label: "applicationStartDate".freeze,
      rangeIncludes: "http://schema.org/Date".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :applicationSubCategory,
      comment: "Subcategory of the application, e.g. 'Arcade Game'.".freeze,
      domainIncludes: "http://schema.org/SoftwareApplication".freeze,
      label: "applicationSubCategory".freeze,
      rangeIncludes: ["http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :applicationSuite,
      comment: "The name of the application suite to which the application belongs (e.g. Excel belongs to Office).".freeze,
      domainIncludes: "http://schema.org/SoftwareApplication".freeze,
      label: "applicationSuite".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :appliesToDeliveryMethod,
      comment: "The delivery method(s) to which the delivery charge or payment charge specification applies.".freeze,
      domainIncludes: ["http://schema.org/DeliveryChargeSpecification".freeze, "http://schema.org/PaymentChargeSpecification".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "appliesToDeliveryMethod".freeze,
      rangeIncludes: "http://schema.org/DeliveryMethod".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :appliesToPaymentMethod,
      comment: "The payment method(s) to which the payment charge specification applies.".freeze,
      domainIncludes: "http://schema.org/PaymentChargeSpecification".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "appliesToPaymentMethod".freeze,
      rangeIncludes: "http://schema.org/PaymentMethod".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :archiveHeld,
      comment: "Collection, [fonds](https://en.wikipedia.org/wiki/Fonds), or item held, kept or maintained by an [[ArchiveOrganization]].".freeze,
      domainIncludes: "http://schema.org/ArchiveOrganization".freeze,
      "http://schema.org/inverseOf": "http://schema.org/holdingArchive".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1758".freeze,
      label: "archiveHeld".freeze,
      rangeIncludes: "http://schema.org/ArchiveComponent".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :archivedAt,
      comment: "Indicates a page or other link involved in archival of a [[CreativeWork]]. In the case of [[MediaReview]], the items in a [[MediaReviewItem]] may often become inaccessible, but be archived by archival, journalistic, activist, or law enforcement organizations. In such cases, the referenced page may not directly publish the content.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2450".freeze,
      label: "archivedAt".freeze,
      rangeIncludes: ["http://schema.org/URL".freeze, "http://schema.org/WebPage".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :area,
      comment: "The area within which users can expect to reach the broadcast service.".freeze,
      domainIncludes: "http://schema.org/BroadcastService".freeze,
      "http://schema.org/supersededBy": "http://schema.org/serviceArea".freeze,
      label: "area".freeze,
      rangeIncludes: "http://schema.org/Place".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :areaServed,
      comment: "The geographic area where a service or offered item is provided.".freeze,
      domainIncludes: ["http://schema.org/ContactPoint".freeze, "http://schema.org/DeliveryChargeSpecification".freeze, "http://schema.org/Demand".freeze, "http://schema.org/Offer".freeze, "http://schema.org/Organization".freeze, "http://schema.org/Service".freeze],
      label: "areaServed".freeze,
      rangeIncludes: ["http://schema.org/AdministrativeArea".freeze, "http://schema.org/GeoShape".freeze, "http://schema.org/Place".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :arrivalAirport,
      comment: "The airport where the flight terminates.".freeze,
      domainIncludes: "http://schema.org/Flight".freeze,
      label: "arrivalAirport".freeze,
      rangeIncludes: "http://schema.org/Airport".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :arrivalBoatTerminal,
      comment: "The terminal or port from which the boat arrives.".freeze,
      domainIncludes: "http://schema.org/BoatTrip".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1755".freeze,
      label: "arrivalBoatTerminal".freeze,
      rangeIncludes: "http://schema.org/BoatTerminal".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :arrivalBusStop,
      comment: "The stop or station from which the bus arrives.".freeze,
      domainIncludes: "http://schema.org/BusTrip".freeze,
      label: "arrivalBusStop".freeze,
      rangeIncludes: ["http://schema.org/BusStation".freeze, "http://schema.org/BusStop".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :arrivalGate,
      comment: "Identifier of the flight's arrival gate.".freeze,
      domainIncludes: "http://schema.org/Flight".freeze,
      label: "arrivalGate".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :arrivalPlatform,
      comment: "The platform where the train arrives.".freeze,
      domainIncludes: "http://schema.org/TrainTrip".freeze,
      label: "arrivalPlatform".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :arrivalStation,
      comment: "The station where the train trip ends.".freeze,
      domainIncludes: "http://schema.org/TrainTrip".freeze,
      label: "arrivalStation".freeze,
      rangeIncludes: "http://schema.org/TrainStation".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :arrivalTerminal,
      comment: "Identifier of the flight's arrival terminal.".freeze,
      domainIncludes: "http://schema.org/Flight".freeze,
      label: "arrivalTerminal".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :arrivalTime,
      comment: "The expected arrival time.".freeze,
      domainIncludes: "http://schema.org/Trip".freeze,
      label: "arrivalTime".freeze,
      rangeIncludes: ["http://schema.org/DateTime".freeze, "http://schema.org/Time".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :artEdition,
      comment: "The number of copies when multiple copies of a piece of artwork are produced - e.g. for a limited edition of 20 prints, 'artEdition' refers to the total number of copies (in this example \"20\").".freeze,
      domainIncludes: "http://schema.org/VisualArtwork".freeze,
      label: "artEdition".freeze,
      rangeIncludes: ["http://schema.org/Integer".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :artMedium,
      comment: "The material used. (e.g. Oil, Watercolour, Acrylic, Linoprint, Marble, Cyanotype, Digital, Lithograph, DryPoint, Intaglio, Pastel, Woodcut, Pencil, Mixed Media, etc.)".freeze,
      domainIncludes: "http://schema.org/VisualArtwork".freeze,
      label: "artMedium".freeze,
      rangeIncludes: ["http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      subPropertyOf: "http://schema.org/material".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :arterialBranch,
      comment: "The branches that comprise the arterial structure.".freeze,
      domainIncludes: "http://schema.org/Artery".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "arterialBranch".freeze,
      rangeIncludes: "http://schema.org/AnatomicalStructure".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :artform,
      comment: "e.g. Painting, Drawing, Sculpture, Print, Photograph, Assemblage, Collage, etc.".freeze,
      domainIncludes: "http://schema.org/VisualArtwork".freeze,
      label: "artform".freeze,
      rangeIncludes: ["http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :articleBody,
      comment: "The actual body of the article.".freeze,
      domainIncludes: "http://schema.org/Article".freeze,
      label: "articleBody".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :articleSection,
      comment: "Articles may belong to one or more 'sections' in a magazine or newspaper, such as Sports, Lifestyle, etc.".freeze,
      domainIncludes: "http://schema.org/Article".freeze,
      label: "articleSection".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :artist,
      comment: "The primary artist for a work\n    \tin a medium other than pencils or digital line art--for example, if the\n    \tprimary artwork is done in watercolors or digital paints.".freeze,
      domainIncludes: ["http://schema.org/ComicIssue".freeze, "http://schema.org/ComicStory".freeze, "http://schema.org/VisualArtwork".freeze],
      "http://schema.org/isPartOf": "http://bib.schema.org".freeze,
      label: "artist".freeze,
      rangeIncludes: "http://schema.org/Person".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :artworkSurface,
      comment: "The supporting materials for the artwork, e.g. Canvas, Paper, Wood, Board, etc.".freeze,
      domainIncludes: "http://schema.org/VisualArtwork".freeze,
      label: "artworkSurface".freeze,
      rangeIncludes: ["http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :aspect,
      comment: "An aspect of medical practice that is considered on the page, such as 'diagnosis', 'treatment', 'causes', 'prognosis', 'etiology', 'epidemiology', etc.".freeze,
      domainIncludes: "http://schema.org/MedicalWebPage".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      "http://schema.org/supersededBy": "http://schema.org/mainContentOfPage".freeze,
      label: "aspect".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :assembly,
      comment: "Library file name e.g., mscorlib.dll, system.web.dll.".freeze,
      domainIncludes: "http://schema.org/APIReference".freeze,
      "http://schema.org/supersededBy": "http://schema.org/executableLibraryName".freeze,
      label: "assembly".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :assemblyVersion,
      comment: "Associated product/technology version. e.g., .NET Framework 4.5.".freeze,
      domainIncludes: "http://schema.org/APIReference".freeze,
      label: "assemblyVersion".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :assesses,
      comment: "The item being described is intended to assess the competency or learning outcome defined by the referenced term.".freeze,
      domainIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/EducationEvent".freeze, "http://schema.org/LearningResource".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2427".freeze,
      label: "assesses".freeze,
      rangeIncludes: ["http://schema.org/DefinedTerm".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :associatedAnatomy,
      comment: "The anatomy of the underlying organ system or structures associated with this entity.".freeze,
      domainIncludes: ["http://schema.org/MedicalCondition".freeze, "http://schema.org/PhysicalActivity".freeze],
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "associatedAnatomy".freeze,
      rangeIncludes: ["http://schema.org/AnatomicalStructure".freeze, "http://schema.org/AnatomicalSystem".freeze, "http://schema.org/SuperficialAnatomy".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :associatedArticle,
      comment: "A NewsArticle associated with the Media Object.".freeze,
      domainIncludes: "http://schema.org/MediaObject".freeze,
      label: "associatedArticle".freeze,
      rangeIncludes: "http://schema.org/NewsArticle".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :associatedClaimReview,
      comment: "An associated [[ClaimReview]], related by specific common content, topic or claim. The expectation is that this property would be most typically used in cases where a single activity is conducting both claim reviews and media reviews, in which case [[relatedMediaReview]] would commonly be used on a [[ClaimReview]], while [[relatedClaimReview]] would be used on [[MediaReview]].".freeze,
      domainIncludes: "http://schema.org/Review".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2450".freeze,
      label: "associatedClaimReview".freeze,
      rangeIncludes: "http://schema.org/Review".freeze,
      subPropertyOf: "http://schema.org/associatedReview".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :associatedDisease,
      comment: "Disease associated to this BioChemEntity. Such disease can be a MedicalCondition or a URL. If you want to add an evidence supporting the association, please use PropertyValue.".freeze,
      domainIncludes: "http://schema.org/BioChemEntity".freeze,
      "http://purl.org/dc/terms/source": "http://www.bioschemas.org/BioChemEntity".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      label: "associatedDisease".freeze,
      rangeIncludes: ["http://schema.org/MedicalCondition".freeze, "http://schema.org/PropertyValue".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :associatedMedia,
      comment: "A media object that encodes this CreativeWork. This property is a synonym for encoding.".freeze,
      domainIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/HyperToc".freeze, "http://schema.org/HyperTocEntry".freeze],
      label: "associatedMedia".freeze,
      rangeIncludes: "http://schema.org/MediaObject".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :associatedMediaReview,
      comment: "An associated [[MediaReview]], related by specific common content, topic or claim. The expectation is that this property would be most typically used in cases where a single activity is conducting both claim reviews and media reviews, in which case [[relatedMediaReview]] would commonly be used on a [[ClaimReview]], while [[relatedClaimReview]] would be used on [[MediaReview]].".freeze,
      domainIncludes: "http://schema.org/Review".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2450".freeze,
      label: "associatedMediaReview".freeze,
      rangeIncludes: "http://schema.org/Review".freeze,
      subPropertyOf: "http://schema.org/associatedReview".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :associatedPathophysiology,
      comment: "If applicable, a description of the pathophysiology associated with the anatomical system, including potential abnormal changes in the mechanical, physical, and biochemical functions of the system.".freeze,
      domainIncludes: ["http://schema.org/AnatomicalStructure".freeze, "http://schema.org/AnatomicalSystem".freeze, "http://schema.org/SuperficialAnatomy".freeze],
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "associatedPathophysiology".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :associatedReview,
      comment: "An associated [[Review]].".freeze,
      domainIncludes: "http://schema.org/Review".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2450".freeze,
      label: "associatedReview".freeze,
      rangeIncludes: "http://schema.org/Review".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :athlete,
      comment: "A person that acts as performing member of a sports team; a player as opposed to a coach.".freeze,
      domainIncludes: "http://schema.org/SportsTeam".freeze,
      label: "athlete".freeze,
      rangeIncludes: "http://schema.org/Person".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :attendee,
      comment: "A person or organization attending the event.".freeze,
      domainIncludes: "http://schema.org/Event".freeze,
      label: "attendee".freeze,
      rangeIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :attendees,
      comment: "A person attending the event.".freeze,
      domainIncludes: "http://schema.org/Event".freeze,
      "http://schema.org/supersededBy": "http://schema.org/attendee".freeze,
      label: "attendees".freeze,
      rangeIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :audience,
      comment: "An intended audience, i.e. a group for whom something was created.".freeze,
      domainIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/Event".freeze, "http://schema.org/LodgingBusiness".freeze, "http://schema.org/PlayAction".freeze, "http://schema.org/Product".freeze, "http://schema.org/Service".freeze],
      label: "audience".freeze,
      rangeIncludes: "http://schema.org/Audience".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :audienceType,
      comment: "The target group associated with a given audience (e.g. veterans, car owners, musicians, etc.).".freeze,
      domainIncludes: "http://schema.org/Audience".freeze,
      label: "audienceType".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :audio,
      comment: "An embedded audio object.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2420".freeze,
      label: "audio".freeze,
      rangeIncludes: ["http://schema.org/AudioObject".freeze, "http://schema.org/Clip".freeze, "http://schema.org/MusicRecording".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :authenticator,
      comment: "The Organization responsible for authenticating the user's subscription. For example, many media apps require a cable/satellite provider to authenticate your subscription before playing media.".freeze,
      domainIncludes: "http://schema.org/MediaSubscription".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1741".freeze,
      label: "authenticator".freeze,
      rangeIncludes: "http://schema.org/Organization".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :author,
      comment: "The author of this content or rating. Please note that author is special in that HTML 5 provides a special mechanism for indicating authorship via the rel tag. That is equivalent to this and may be used interchangeably.".freeze,
      domainIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/Rating".freeze],
      label: "author".freeze,
      rangeIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :availability,
      comment: "The availability of this item&#x2014;for example In stock, Out of stock, Pre-order, etc.".freeze,
      domainIncludes: ["http://schema.org/Demand".freeze, "http://schema.org/Offer".freeze],
      label: "availability".freeze,
      rangeIncludes: "http://schema.org/ItemAvailability".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :availabilityEnds,
      comment: "The end of the availability of the product or service included in the offer.".freeze,
      domainIncludes: ["http://schema.org/ActionAccessSpecification".freeze, "http://schema.org/Demand".freeze, "http://schema.org/Offer".freeze],
      "http://schema.org/source": ["http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze, "https://github.com/schemaorg/schemaorg/issues/1741".freeze],
      label: "availabilityEnds".freeze,
      rangeIncludes: ["http://schema.org/Date".freeze, "http://schema.org/DateTime".freeze, "http://schema.org/Time".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :availabilityStarts,
      comment: "The beginning of the availability of the product or service included in the offer.".freeze,
      domainIncludes: ["http://schema.org/ActionAccessSpecification".freeze, "http://schema.org/Demand".freeze, "http://schema.org/Offer".freeze],
      "http://schema.org/source": ["http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze, "https://github.com/schemaorg/schemaorg/issues/1741".freeze],
      label: "availabilityStarts".freeze,
      rangeIncludes: ["http://schema.org/Date".freeze, "http://schema.org/DateTime".freeze, "http://schema.org/Time".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :availableAtOrFrom,
      comment: "The place(s) from which the offer can be obtained (e.g. store locations).".freeze,
      domainIncludes: ["http://schema.org/Demand".freeze, "http://schema.org/Offer".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "availableAtOrFrom".freeze,
      rangeIncludes: "http://schema.org/Place".freeze,
      subPropertyOf: "http://schema.org/areaServed".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :availableChannel,
      comment: "A means of accessing the service (e.g. a phone bank, a web site, a location, etc.).".freeze,
      domainIncludes: "http://schema.org/Service".freeze,
      label: "availableChannel".freeze,
      rangeIncludes: "http://schema.org/ServiceChannel".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :availableDeliveryMethod,
      comment: "The delivery method(s) available for this offer.".freeze,
      domainIncludes: ["http://schema.org/Demand".freeze, "http://schema.org/Offer".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "availableDeliveryMethod".freeze,
      rangeIncludes: "http://schema.org/DeliveryMethod".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :availableFrom,
      comment: "When the item is available for pickup from the store, locker, etc.".freeze,
      domainIncludes: "http://schema.org/DeliveryEvent".freeze,
      label: "availableFrom".freeze,
      rangeIncludes: "http://schema.org/DateTime".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :availableIn,
      comment: "The location in which the strength is available.".freeze,
      domainIncludes: "http://schema.org/DrugStrength".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "availableIn".freeze,
      rangeIncludes: "http://schema.org/AdministrativeArea".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :availableLanguage,
      comment: "A language someone may use with or at the item, service or place. Please use one of the language codes from the [IETF BCP 47 standard](http://tools.ietf.org/html/bcp47). See also [[inLanguage]]".freeze,
      domainIncludes: ["http://schema.org/ContactPoint".freeze, "http://schema.org/LodgingBusiness".freeze, "http://schema.org/ServiceChannel".freeze, "http://schema.org/TouristAttraction".freeze],
      label: "availableLanguage".freeze,
      rangeIncludes: ["http://schema.org/Language".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :availableOnDevice,
      comment: "Device required to run the application. Used in cases where a specific make/model is required to run the application.".freeze,
      domainIncludes: "http://schema.org/SoftwareApplication".freeze,
      label: "availableOnDevice".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :availableService,
      comment: "A medical service available from this provider.".freeze,
      domainIncludes: ["http://schema.org/Hospital".freeze, "http://schema.org/MedicalClinic".freeze, "http://schema.org/Physician".freeze],
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "availableService".freeze,
      rangeIncludes: ["http://schema.org/MedicalProcedure".freeze, "http://schema.org/MedicalTest".freeze, "http://schema.org/MedicalTherapy".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :availableStrength,
      comment: "An available dosage strength for the drug.".freeze,
      domainIncludes: "http://schema.org/Drug".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "availableStrength".freeze,
      rangeIncludes: "http://schema.org/DrugStrength".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :availableTest,
      comment: "A diagnostic test or procedure offered by this lab.".freeze,
      domainIncludes: "http://schema.org/DiagnosticLab".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "availableTest".freeze,
      rangeIncludes: "http://schema.org/MedicalTest".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :availableThrough,
      comment: "After this date, the item will no longer be available for pickup.".freeze,
      domainIncludes: "http://schema.org/DeliveryEvent".freeze,
      label: "availableThrough".freeze,
      rangeIncludes: "http://schema.org/DateTime".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :award,
      comment: "An award won by or for this item.".freeze,
      domainIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/Organization".freeze, "http://schema.org/Person".freeze, "http://schema.org/Product".freeze, "http://schema.org/Service".freeze],
      label: "award".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :awards,
      comment: "Awards won by or for this item.".freeze,
      domainIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/Organization".freeze, "http://schema.org/Person".freeze, "http://schema.org/Product".freeze],
      "http://schema.org/supersededBy": "http://schema.org/award".freeze,
      label: "awards".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :awayTeam,
      comment: "The away team in a sports event.".freeze,
      domainIncludes: "http://schema.org/SportsEvent".freeze,
      label: "awayTeam".freeze,
      rangeIncludes: ["http://schema.org/Person".freeze, "http://schema.org/SportsTeam".freeze],
      subPropertyOf: "http://schema.org/competitor".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :backstory,
      comment: "For an [[Article]], typically a [[NewsArticle]], the backstory property provides a textual summary giving a brief explanation of why and how an article was created. In a journalistic setting this could include information about reporting process, methods, interviews, data sources, etc.".freeze,
      domainIncludes: "http://schema.org/Article".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["https://github.com/schemaorg/schemaorg/issues/1688".freeze, "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#TP".freeze],
      label: "backstory".freeze,
      rangeIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :bankAccountType,
      comment: "The type of a bank account.".freeze,
      domainIncludes: "http://schema.org/BankAccount".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FIBO".freeze, "https://github.com/schemaorg/schemaorg/issues/1253".freeze],
      label: "bankAccountType".freeze,
      rangeIncludes: ["http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :baseSalary,
      comment: "The base salary of the job or of an employee in an EmployeeRole.".freeze,
      domainIncludes: ["http://schema.org/EmployeeRole".freeze, "http://schema.org/JobPosting".freeze],
      label: "baseSalary".freeze,
      rangeIncludes: ["http://schema.org/MonetaryAmount".freeze, "http://schema.org/Number".freeze, "http://schema.org/PriceSpecification".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :bccRecipient,
      comment: "A sub property of recipient. The recipient blind copied on a message.".freeze,
      domainIncludes: "http://schema.org/Message".freeze,
      label: "bccRecipient".freeze,
      rangeIncludes: ["http://schema.org/ContactPoint".freeze, "http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      subPropertyOf: "http://schema.org/recipient".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :bed,
      comment: "The type of bed or beds included in the accommodation. For the single case of just one bed of a certain type, you use bed directly with a text.\n      If you want to indicate the quantity of a certain kind of bed, use an instance of BedDetails. For more detailed information, use the amenityFeature property.".freeze,
      domainIncludes: ["http://schema.org/HotelRoom".freeze, "http://schema.org/Suite".freeze],
      "http://schema.org/source": "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#STI_Accommodation_Ontology".freeze,
      label: "bed".freeze,
      rangeIncludes: ["http://schema.org/BedDetails".freeze, "http://schema.org/BedType".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :beforeMedia,
      comment: "A media object representing the circumstances before performing this direction.".freeze,
      domainIncludes: "http://schema.org/HowToDirection".freeze,
      label: "beforeMedia".freeze,
      rangeIncludes: ["http://schema.org/MediaObject".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :beneficiaryBank,
      comment: "A bank or bank’s branch, financial institution or international financial institution operating the beneficiary’s bank account or releasing funds for the beneficiary.".freeze,
      domainIncludes: "http://schema.org/MoneyTransfer".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FIBO".freeze, "https://github.com/schemaorg/schemaorg/issues/1253".freeze],
      label: "beneficiaryBank".freeze,
      rangeIncludes: ["http://schema.org/BankOrCreditUnion".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :benefits,
      comment: "Description of benefits associated with the job.".freeze,
      domainIncludes: "http://schema.org/JobPosting".freeze,
      "http://schema.org/supersededBy": "http://schema.org/jobBenefits".freeze,
      label: "benefits".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :benefitsSummaryUrl,
      comment: "The URL that goes directly to the summary of benefits and coverage for the specific standard plan or plan variation.".freeze,
      domainIncludes: "http://schema.org/HealthInsurancePlan".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1062".freeze,
      label: "benefitsSummaryUrl".freeze,
      rangeIncludes: "http://schema.org/URL".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :bestRating,
      comment: "The highest value allowed in this rating system. If bestRating is omitted, 5 is assumed.".freeze,
      domainIncludes: "http://schema.org/Rating".freeze,
      label: "bestRating".freeze,
      rangeIncludes: ["http://schema.org/Number".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :billingAddress,
      comment: "The billing address for the order.".freeze,
      domainIncludes: "http://schema.org/Order".freeze,
      label: "billingAddress".freeze,
      rangeIncludes: "http://schema.org/PostalAddress".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :billingDuration,
      comment: "Specifies for how long this price (or price component) will be billed. Can be used, for example, to model the contractual duration of a subscription or payment plan. Type can be either a Duration or a Number (in which case the unit of measurement, for example month, is specified by the unitCode property).".freeze,
      domainIncludes: "http://schema.org/UnitPriceSpecification".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2689".freeze,
      label: "billingDuration".freeze,
      rangeIncludes: ["http://schema.org/Duration".freeze, "http://schema.org/Number".freeze, "http://schema.org/QuantitativeValue".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :billingIncrement,
      comment: "This property specifies the minimal quantity and rounding increment that will be the basis for the billing. The unit of measurement is specified by the unitCode property.".freeze,
      domainIncludes: "http://schema.org/UnitPriceSpecification".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "billingIncrement".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :billingPeriod,
      comment: "The time interval used to compute the invoice.".freeze,
      domainIncludes: "http://schema.org/Invoice".freeze,
      label: "billingPeriod".freeze,
      rangeIncludes: "http://schema.org/Duration".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :billingStart,
      comment: "Specifies after how much time this price (or price component) becomes valid and billing starts. Can be used, for example, to model a price increase after the first year of a subscription. The unit of measurement is specified by the unitCode property.".freeze,
      domainIncludes: "http://schema.org/UnitPriceSpecification".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2689".freeze,
      label: "billingStart".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :bioChemInteraction,
      comment: "A BioChemEntity that is known to interact with this item.".freeze,
      domainIncludes: "http://schema.org/BioChemEntity".freeze,
      "http://purl.org/dc/terms/source": "http://www.bioschemas.org".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      label: "bioChemInteraction".freeze,
      rangeIncludes: "http://schema.org/BioChemEntity".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :bioChemSimilarity,
      comment: "A similar BioChemEntity, e.g., obtained by fingerprint similarity algorithms.".freeze,
      domainIncludes: "http://schema.org/BioChemEntity".freeze,
      "http://purl.org/dc/terms/source": "http://www.bioschemas.org".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      label: "bioChemSimilarity".freeze,
      rangeIncludes: "http://schema.org/BioChemEntity".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :biologicalRole,
      comment: "A role played by the BioChemEntity within a biological context.".freeze,
      domainIncludes: "http://schema.org/BioChemEntity".freeze,
      "http://purl.org/dc/terms/source": "http://www.bioschemas.org".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      label: "biologicalRole".freeze,
      rangeIncludes: "http://schema.org/DefinedTerm".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :biomechnicalClass,
      comment: "The biomechanical properties of the bone.".freeze,
      domainIncludes: "http://schema.org/Joint".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "biomechnicalClass".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :birthDate,
      comment: "Date of birth.".freeze,
      domainIncludes: "http://schema.org/Person".freeze,
      label: "birthDate".freeze,
      rangeIncludes: "http://schema.org/Date".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :birthPlace,
      comment: "The place where the person was born.".freeze,
      domainIncludes: "http://schema.org/Person".freeze,
      label: "birthPlace".freeze,
      rangeIncludes: "http://schema.org/Place".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :bitrate,
      comment: "The bitrate of the media object.".freeze,
      domainIncludes: "http://schema.org/MediaObject".freeze,
      label: "bitrate".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :blogPost,
      comment: "A posting that is part of this blog.".freeze,
      domainIncludes: "http://schema.org/Blog".freeze,
      label: "blogPost".freeze,
      rangeIncludes: "http://schema.org/BlogPosting".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :blogPosts,
      comment: "Indicates a post that is part of a [[Blog]]. Note that historically, what we term a \"Blog\" was once known as a \"weblog\", and that what we term a \"BlogPosting\" is now often colloquially referred to as a \"blog\".".freeze,
      domainIncludes: "http://schema.org/Blog".freeze,
      "http://schema.org/supersededBy": "http://schema.org/blogPost".freeze,
      label: "blogPosts".freeze,
      rangeIncludes: "http://schema.org/BlogPosting".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :bloodSupply,
      comment: "The blood vessel that carries blood from the heart to the muscle.".freeze,
      domainIncludes: "http://schema.org/Muscle".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "bloodSupply".freeze,
      rangeIncludes: "http://schema.org/Vessel".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :boardingGroup,
      comment: "The airline-specific indicator of boarding order / preference.".freeze,
      domainIncludes: "http://schema.org/FlightReservation".freeze,
      label: "boardingGroup".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :boardingPolicy,
      comment: "The type of boarding policy used by the airline (e.g. zone-based or group-based).".freeze,
      domainIncludes: ["http://schema.org/Airline".freeze, "http://schema.org/Flight".freeze],
      label: "boardingPolicy".freeze,
      rangeIncludes: "http://schema.org/BoardingPolicyType".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :bodyLocation,
      comment: "Location in the body of the anatomical structure.".freeze,
      domainIncludes: ["http://schema.org/AnatomicalStructure".freeze, "http://schema.org/MedicalProcedure".freeze],
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "bodyLocation".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :bodyType,
      comment: "Indicates the design and body style of the vehicle (e.g. station wagon, hatchback, etc.).".freeze,
      domainIncludes: "http://schema.org/Vehicle".freeze,
      "http://schema.org/isPartOf": "http://auto.schema.org".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "bodyType".freeze,
      rangeIncludes: ["http://schema.org/QualitativeValue".freeze, "http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :bookEdition,
      comment: "The edition of the book.".freeze,
      domainIncludes: "http://schema.org/Book".freeze,
      label: "bookEdition".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :bookFormat,
      comment: "The format of the book.".freeze,
      domainIncludes: "http://schema.org/Book".freeze,
      label: "bookFormat".freeze,
      rangeIncludes: "http://schema.org/BookFormatType".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :bookingAgent,
      comment: "'bookingAgent' is an out-dated term indicating a 'broker' that serves as a booking agent.".freeze,
      domainIncludes: "http://schema.org/Reservation".freeze,
      "http://schema.org/supersededBy": "http://schema.org/broker".freeze,
      label: "bookingAgent".freeze,
      rangeIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :bookingTime,
      comment: "The date and time the reservation was booked.".freeze,
      domainIncludes: "http://schema.org/Reservation".freeze,
      label: "bookingTime".freeze,
      rangeIncludes: "http://schema.org/DateTime".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :borrower,
      comment: "A sub property of participant. The person that borrows the object being lent.".freeze,
      domainIncludes: "http://schema.org/LendAction".freeze,
      label: "borrower".freeze,
      rangeIncludes: "http://schema.org/Person".freeze,
      subPropertyOf: "http://schema.org/participant".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :box,
      comment: "A box is the area enclosed by the rectangle formed by two points. The first point is the lower corner, the second point is the upper corner. A box is expressed as two points separated by a space character.".freeze,
      domainIncludes: "http://schema.org/GeoShape".freeze,
      label: "box".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :branch,
      comment: "The branches that delineate from the nerve bundle. Not to be confused with [[branchOf]].".freeze,
      domainIncludes: "http://schema.org/Nerve".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      "http://schema.org/supersededBy": "http://schema.org/arterialBranch".freeze,
      label: "branch".freeze,
      rangeIncludes: "http://schema.org/AnatomicalStructure".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :branchCode,
      comment: "A short textual code (also called \"store code\") that uniquely identifies a place of business. The code is typically assigned by the parentOrganization and used in structured URLs.\\n\\nFor example, in the URL http://www.starbucks.co.uk/store-locator/etc/detail/3047 the code \"3047\" is a branchCode for a particular branch.\n      ".freeze,
      domainIncludes: "http://schema.org/Place".freeze,
      label: "branchCode".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :branchOf,
      comment: "The larger organization that this local business is a branch of, if any. Not to be confused with (anatomical)[[branch]].".freeze,
      domainIncludes: "http://schema.org/LocalBusiness".freeze,
      "http://schema.org/supersededBy": "http://schema.org/parentOrganization".freeze,
      label: "branchOf".freeze,
      rangeIncludes: "http://schema.org/Organization".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :brand,
      comment: "The brand(s) associated with a product or service, or the brand(s) maintained by an organization or business person.".freeze,
      domainIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze, "http://schema.org/Product".freeze, "http://schema.org/Service".freeze],
      label: "brand".freeze,
      rangeIncludes: ["http://schema.org/Brand".freeze, "http://schema.org/Organization".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :breadcrumb,
      comment: "A set of links that can help a user understand and navigate a website hierarchy.".freeze,
      domainIncludes: "http://schema.org/WebPage".freeze,
      label: "breadcrumb".freeze,
      rangeIncludes: ["http://schema.org/BreadcrumbList".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :breastfeedingWarning,
      comment: "Any precaution, guidance, contraindication, etc. related to this drug's use by breastfeeding mothers.".freeze,
      domainIncludes: "http://schema.org/Drug".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "breastfeedingWarning".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :broadcastAffiliateOf,
      comment: "The media network(s) whose content is broadcast on this station.".freeze,
      domainIncludes: "http://schema.org/BroadcastService".freeze,
      label: "broadcastAffiliateOf".freeze,
      rangeIncludes: "http://schema.org/Organization".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :broadcastChannelId,
      comment: "The unique address by which the BroadcastService can be identified in a provider lineup. In US, this is typically a number.".freeze,
      domainIncludes: "http://schema.org/BroadcastChannel".freeze,
      label: "broadcastChannelId".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :broadcastDisplayName,
      comment: "The name displayed in the channel guide. For many US affiliates, it is the network name.".freeze,
      domainIncludes: "http://schema.org/BroadcastService".freeze,
      label: "broadcastDisplayName".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :broadcastFrequency,
      comment: "The frequency used for over-the-air broadcasts. Numeric values or simple ranges e.g. 87-99. In addition a shortcut idiom is supported for frequences of AM and FM radio channels, e.g. \"87 FM\".".freeze,
      domainIncludes: ["http://schema.org/BroadcastChannel".freeze, "http://schema.org/BroadcastService".freeze],
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1004".freeze,
      label: "broadcastFrequency".freeze,
      rangeIncludes: ["http://schema.org/BroadcastFrequencySpecification".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :broadcastFrequencyValue,
      comment: "The frequency in MHz for a particular broadcast.".freeze,
      domainIncludes: "http://schema.org/BroadcastFrequencySpecification".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1004".freeze,
      label: "broadcastFrequencyValue".freeze,
      rangeIncludes: ["http://schema.org/Number".freeze, "http://schema.org/QuantitativeValue".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :broadcastOfEvent,
      comment: "The event being broadcast such as a sporting event or awards ceremony.".freeze,
      domainIncludes: "http://schema.org/BroadcastEvent".freeze,
      label: "broadcastOfEvent".freeze,
      rangeIncludes: "http://schema.org/Event".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :broadcastServiceTier,
      comment: "The type of service required to have access to the channel (e.g. Standard or Premium).".freeze,
      domainIncludes: "http://schema.org/BroadcastChannel".freeze,
      label: "broadcastServiceTier".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :broadcastSignalModulation,
      comment: "The modulation (e.g. FM, AM, etc) used by a particular broadcast service.".freeze,
      domainIncludes: "http://schema.org/BroadcastFrequencySpecification".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2111".freeze,
      label: "broadcastSignalModulation".freeze,
      rangeIncludes: ["http://schema.org/QualitativeValue".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :broadcastSubChannel,
      comment: "The subchannel used for the broadcast.".freeze,
      domainIncludes: "http://schema.org/BroadcastFrequencySpecification".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2111".freeze,
      label: "broadcastSubChannel".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :broadcastTimezone,
      comment: "The timezone in [ISO 8601 format](http://en.wikipedia.org/wiki/ISO_8601) for which the service bases its broadcasts".freeze,
      domainIncludes: "http://schema.org/BroadcastService".freeze,
      label: "broadcastTimezone".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :broadcaster,
      comment: "The organization owning or operating the broadcast service.".freeze,
      domainIncludes: "http://schema.org/BroadcastService".freeze,
      label: "broadcaster".freeze,
      rangeIncludes: "http://schema.org/Organization".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :broker,
      comment: "An entity that arranges for an exchange between a buyer and a seller.  In most cases a broker never acquires or releases ownership of a product or service involved in an exchange.  If it is not clear whether an entity is a broker, seller, or buyer, the latter two terms are preferred.".freeze,
      domainIncludes: ["http://schema.org/Invoice".freeze, "http://schema.org/Order".freeze, "http://schema.org/Reservation".freeze, "http://schema.org/Service".freeze],
      label: "broker".freeze,
      rangeIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :browserRequirements,
      comment: "Specifies browser requirements in human-readable text. For example, 'requires HTML5 support'.".freeze,
      domainIncludes: "http://schema.org/WebApplication".freeze,
      label: "browserRequirements".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :busName,
      comment: "The name of the bus (e.g. Bolt Express).".freeze,
      domainIncludes: "http://schema.org/BusTrip".freeze,
      label: "busName".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :busNumber,
      comment: "The unique identifier for the bus.".freeze,
      domainIncludes: "http://schema.org/BusTrip".freeze,
      label: "busNumber".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :businessDays,
      comment: "Days of the week when the merchant typically operates, indicated via opening hours markup.".freeze,
      domainIncludes: "http://schema.org/ShippingDeliveryTime".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2506".freeze,
      label: "businessDays".freeze,
      rangeIncludes: "http://schema.org/OpeningHoursSpecification".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :businessFunction,
      comment: "The business function (e.g. sell, lease, repair, dispose) of the offer or component of a bundle (TypeAndQuantityNode). The default is http://purl.org/goodrelations/v1#Sell.".freeze,
      domainIncludes: ["http://schema.org/Demand".freeze, "http://schema.org/Offer".freeze, "http://schema.org/TypeAndQuantityNode".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "businessFunction".freeze,
      rangeIncludes: "http://schema.org/BusinessFunction".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :buyer,
      comment: "A sub property of participant. The participant/person/organization that bought the object.".freeze,
      domainIncludes: "http://schema.org/SellAction".freeze,
      label: "buyer".freeze,
      rangeIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      subPropertyOf: "http://schema.org/participant".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :byArtist,
      comment: "The artist that performed this album or recording.".freeze,
      domainIncludes: ["http://schema.org/MusicAlbum".freeze, "http://schema.org/MusicRecording".freeze],
      label: "byArtist".freeze,
      rangeIncludes: ["http://schema.org/MusicGroup".freeze, "http://schema.org/Person".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :byDay,
      comment: "Defines the day(s) of the week on which a recurring [[Event]] takes place. May be specified using either [[DayOfWeek]], or alternatively [[Text]] conforming to iCal's syntax for byDay recurrence rules.".freeze,
      domainIncludes: "http://schema.org/Schedule".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1457".freeze,
      label: "byDay".freeze,
      rangeIncludes: ["http://schema.org/DayOfWeek".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :byMonth,
      comment: "Defines the month(s) of the year on which a recurring [[Event]] takes place. Specified as an [[Integer]] between 1-12. January is 1.".freeze,
      domainIncludes: "http://schema.org/Schedule".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1457".freeze,
      label: "byMonth".freeze,
      rangeIncludes: "http://schema.org/Integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :byMonthDay,
      comment: "Defines the day(s) of the month on which a recurring [[Event]] takes place. Specified as an [[Integer]] between 1-31.".freeze,
      domainIncludes: "http://schema.org/Schedule".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1457".freeze,
      label: "byMonthDay".freeze,
      rangeIncludes: "http://schema.org/Integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :byMonthWeek,
      comment: "Defines the week(s) of the month on which a recurring Event takes place. Specified as an Integer between 1-5. For clarity, byMonthWeek is best used in conjunction with byDay to indicate concepts like the first and third Mondays of a month.".freeze,
      domainIncludes: "http://schema.org/Schedule".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2599".freeze,
      label: "byMonthWeek".freeze,
      rangeIncludes: "http://schema.org/Integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :callSign,
      comment: "A [callsign](https://en.wikipedia.org/wiki/Call_sign), as used in broadcasting and radio communications to identify people, radio and TV stations, or vehicles.".freeze,
      domainIncludes: ["http://schema.org/BroadcastService".freeze, "http://schema.org/Person".freeze, "http://schema.org/Vehicle".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2109".freeze,
      label: "callSign".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      subPropertyOf: "http://schema.org/identifier".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :calories,
      comment: "The number of calories.".freeze,
      domainIncludes: "http://schema.org/NutritionInformation".freeze,
      label: "calories".freeze,
      rangeIncludes: "http://schema.org/Energy".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :candidate,
      comment: "A sub property of object. The candidate subject of this action.".freeze,
      domainIncludes: "http://schema.org/VoteAction".freeze,
      label: "candidate".freeze,
      rangeIncludes: "http://schema.org/Person".freeze,
      subPropertyOf: "http://schema.org/object".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :caption,
      comment: "The caption for this object. For downloadable machine formats (closed caption, subtitles etc.) use MediaObject and indicate the [[encodingFormat]].".freeze,
      domainIncludes: ["http://schema.org/AudioObject".freeze, "http://schema.org/ImageObject".freeze, "http://schema.org/VideoObject".freeze],
      label: "caption".freeze,
      rangeIncludes: ["http://schema.org/MediaObject".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :carbohydrateContent,
      comment: "The number of grams of carbohydrates.".freeze,
      domainIncludes: "http://schema.org/NutritionInformation".freeze,
      label: "carbohydrateContent".freeze,
      rangeIncludes: "http://schema.org/Mass".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :cargoVolume,
      comment: "The available volume for cargo or luggage. For automobiles, this is usually the trunk volume.\\n\\nTypical unit code(s): LTR for liters, FTQ for cubic foot/feet\\n\\nNote: You can use [[minValue]] and [[maxValue]] to indicate ranges.".freeze,
      domainIncludes: "http://schema.org/Vehicle".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "cargoVolume".freeze,
      rangeIncludes: "http://schema.org/QuantitativeValue".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :carrier,
      comment: "'carrier' is an out-dated term indicating the 'provider' for parcel delivery and flights.".freeze,
      domainIncludes: ["http://schema.org/Flight".freeze, "http://schema.org/ParcelDelivery".freeze],
      "http://schema.org/supersededBy": "http://schema.org/provider".freeze,
      label: "carrier".freeze,
      rangeIncludes: "http://schema.org/Organization".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :carrierRequirements,
      comment: "Specifies specific carrier(s) requirements for the application (e.g. an application may only work on a specific carrier network).".freeze,
      domainIncludes: "http://schema.org/MobileApplication".freeze,
      label: "carrierRequirements".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :cashBack,
      comment: "A cardholder benefit that pays the cardholder a small percentage of their net expenditures.".freeze,
      domainIncludes: "http://schema.org/PaymentCard".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FIBO".freeze, "https://github.com/schemaorg/schemaorg/issues/1253".freeze],
      label: "cashBack".freeze,
      rangeIncludes: ["http://schema.org/Boolean".freeze, "http://schema.org/Number".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :catalog,
      comment: "A data catalog which contains this dataset.".freeze,
      domainIncludes: "http://schema.org/Dataset".freeze,
      "http://schema.org/supersededBy": "http://schema.org/includedInDataCatalog".freeze,
      label: "catalog".freeze,
      rangeIncludes: "http://schema.org/DataCatalog".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :catalogNumber,
      comment: "The catalog number for the release.".freeze,
      domainIncludes: "http://schema.org/MusicRelease".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#MBZ".freeze,
      label: "catalogNumber".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :category,
      comment: "A category for the item. Greater signs or slashes can be used to informally indicate a category hierarchy.".freeze,
      domainIncludes: ["http://schema.org/ActionAccessSpecification".freeze, "http://schema.org/Invoice".freeze, "http://schema.org/Offer".freeze, "http://schema.org/PhysicalActivity".freeze, "http://schema.org/Product".freeze, "http://schema.org/Recommendation".freeze, "http://schema.org/Service".freeze, "http://schema.org/SpecialAnnouncement".freeze],
      "http://schema.org/source": ["https://github.com/schemaorg/schemaorg/issues/1741".freeze, "https://github.com/schemaorg/schemaorg/issues/2490".freeze],
      label: "category".freeze,
      rangeIncludes: ["http://schema.org/PhysicalActivityCategory".freeze, "http://schema.org/Text".freeze, "http://schema.org/Thing".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :causeOf,
      comment: "The condition, complication, symptom, sign, etc. caused.".freeze,
      domainIncludes: "http://schema.org/MedicalCause".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "causeOf".freeze,
      rangeIncludes: "http://schema.org/MedicalEntity".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :ccRecipient,
      comment: "A sub property of recipient. The recipient copied on a message.".freeze,
      domainIncludes: "http://schema.org/Message".freeze,
      label: "ccRecipient".freeze,
      rangeIncludes: ["http://schema.org/ContactPoint".freeze, "http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      subPropertyOf: "http://schema.org/recipient".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :character,
      comment: "Fictional person connected with a creative work.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      label: "character".freeze,
      rangeIncludes: "http://schema.org/Person".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :characterAttribute,
      comment: "A piece of data that represents a particular aspect of a fictional character (skill, power, character points, advantage, disadvantage).".freeze,
      domainIncludes: ["http://schema.org/Game".freeze, "http://schema.org/VideoGameSeries".freeze],
      label: "characterAttribute".freeze,
      rangeIncludes: "http://schema.org/Thing".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :characterName,
      comment: "The name of a character played in some acting or performing role, i.e. in a PerformanceRole.".freeze,
      domainIncludes: "http://schema.org/PerformanceRole".freeze,
      label: "characterName".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :cheatCode,
      comment: "Cheat codes to the game.".freeze,
      domainIncludes: ["http://schema.org/VideoGame".freeze, "http://schema.org/VideoGameSeries".freeze],
      label: "cheatCode".freeze,
      rangeIncludes: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :checkinTime,
      comment: "The earliest someone may check into a lodging establishment.".freeze,
      domainIncludes: ["http://schema.org/LodgingBusiness".freeze, "http://schema.org/LodgingReservation".freeze],
      label: "checkinTime".freeze,
      rangeIncludes: ["http://schema.org/DateTime".freeze, "http://schema.org/Time".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :checkoutTime,
      comment: "The latest someone may check out of a lodging establishment.".freeze,
      domainIncludes: ["http://schema.org/LodgingBusiness".freeze, "http://schema.org/LodgingReservation".freeze],
      label: "checkoutTime".freeze,
      rangeIncludes: ["http://schema.org/DateTime".freeze, "http://schema.org/Time".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :chemicalComposition,
      comment: "The chemical composition describes the identity and relative ratio of the chemical elements that make up the substance.".freeze,
      domainIncludes: "http://schema.org/ChemicalSubstance".freeze,
      "http://purl.org/dc/terms/source": "http://www.bioschemas.org/ChemicalSubstance".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      label: "chemicalComposition".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :chemicalRole,
      comment: "A role played by the BioChemEntity within a chemical context.".freeze,
      domainIncludes: ["http://schema.org/ChemicalSubstance".freeze, "http://schema.org/MolecularEntity".freeze],
      "http://purl.org/dc/terms/source": "http://www.bioschemas.org/ChemicalSubstance".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      label: "chemicalRole".freeze,
      rangeIncludes: "http://schema.org/DefinedTerm".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :childMaxAge,
      comment: "Maximal age of the child.".freeze,
      domainIncludes: "http://schema.org/ParentAudience".freeze,
      label: "childMaxAge".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :childMinAge,
      comment: "Minimal age of the child.".freeze,
      domainIncludes: "http://schema.org/ParentAudience".freeze,
      label: "childMinAge".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :childTaxon,
      comment: "Closest child taxa of the taxon in question.".freeze,
      domainIncludes: "http://schema.org/Taxon".freeze,
      "http://purl.org/dc/terms/source": "http://www.bioschemas.org/Taxon".freeze,
      "http://schema.org/inverseOf": "http://schema.org/parentTaxon".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      label: "childTaxon".freeze,
      rangeIncludes: ["http://schema.org/Taxon".freeze, "http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :children,
      comment: "A child of the person.".freeze,
      domainIncludes: "http://schema.org/Person".freeze,
      label: "children".freeze,
      rangeIncludes: "http://schema.org/Person".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :cholesterolContent,
      comment: "The number of milligrams of cholesterol.".freeze,
      domainIncludes: "http://schema.org/NutritionInformation".freeze,
      label: "cholesterolContent".freeze,
      rangeIncludes: "http://schema.org/Mass".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :circle,
      comment: "A circle is the circular region of a specified radius centered at a specified latitude and longitude. A circle is expressed as a pair followed by a radius in meters.".freeze,
      domainIncludes: "http://schema.org/GeoShape".freeze,
      label: "circle".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :citation,
      comment: "A citation or reference to another creative work, such as another publication, web page, scholarly article, etc.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      label: "citation".freeze,
      rangeIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :claimInterpreter,
      comment: "For a [[Claim]] interpreted from [[MediaObject]] content\n    sed to indicate a claim contained, implied or refined from the content of a [[MediaObject]].".freeze,
      domainIncludes: "http://schema.org/Claim".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2450".freeze,
      label: "claimInterpreter".freeze,
      rangeIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :claimReviewed,
      comment: "A short summary of the specific claims reviewed in a ClaimReview.".freeze,
      domainIncludes: "http://schema.org/ClaimReview".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1061".freeze,
      label: "claimReviewed".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :clincalPharmacology,
      comment: "Description of the absorption and elimination of drugs, including their concentration (pharmacokinetics, pK) and biological effects (pharmacodynamics, pD).".freeze,
      domainIncludes: "http://schema.org/Drug".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      "http://schema.org/supersededBy": "http://schema.org/clinicalPharmacology".freeze,
      label: "clincalPharmacology".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :clinicalPharmacology,
      comment: "Description of the absorption and elimination of drugs, including their concentration (pharmacokinetics, pK) and biological effects (pharmacodynamics, pD).".freeze,
      domainIncludes: "http://schema.org/Drug".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "clinicalPharmacology".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :clipNumber,
      comment: "Position of the clip within an ordered group of clips.".freeze,
      domainIncludes: "http://schema.org/Clip".freeze,
      label: "clipNumber".freeze,
      rangeIncludes: ["http://schema.org/Integer".freeze, "http://schema.org/Text".freeze],
      subPropertyOf: "http://schema.org/position".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :closes,
      comment: "The closing hour of the place or service on the given day(s) of the week.".freeze,
      domainIncludes: "http://schema.org/OpeningHoursSpecification".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "closes".freeze,
      rangeIncludes: "http://schema.org/Time".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :coach,
      comment: "A person that acts in a coaching role for a sports team.".freeze,
      domainIncludes: "http://schema.org/SportsTeam".freeze,
      label: "coach".freeze,
      rangeIncludes: "http://schema.org/Person".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :code,
      comment: "A medical code for the entity, taken from a controlled vocabulary or ontology such as ICD-9, DiseasesDB, MeSH, SNOMED-CT, RxNorm, etc.".freeze,
      domainIncludes: "http://schema.org/MedicalEntity".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "code".freeze,
      rangeIncludes: "http://schema.org/MedicalCode".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :codeRepository,
      comment: "Link to the repository where the un-compiled, human readable code and related code is located (SVN, github, CodePlex).".freeze,
      domainIncludes: "http://schema.org/SoftwareSourceCode".freeze,
      label: "codeRepository".freeze,
      rangeIncludes: "http://schema.org/URL".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :codeSampleType,
      comment: "What type of code sample: full (compile ready) solution, code snippet, inline code, scripts, template.".freeze,
      domainIncludes: "http://schema.org/SoftwareSourceCode".freeze,
      label: "codeSampleType".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :codeValue,
      comment: "A short textual code that uniquely identifies the value.".freeze,
      domainIncludes: ["http://schema.org/CategoryCode".freeze, "http://schema.org/MedicalCode".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/894".freeze,
      label: "codeValue".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      subPropertyOf: "http://schema.org/termCode".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :codingSystem,
      comment: "The coding system, e.g. 'ICD-10'.".freeze,
      domainIncludes: "http://schema.org/MedicalCode".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "codingSystem".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :colleague,
      comment: "A colleague of the person.".freeze,
      domainIncludes: "http://schema.org/Person".freeze,
      label: "colleague".freeze,
      rangeIncludes: ["http://schema.org/Person".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :colleagues,
      comment: "A colleague of the person.".freeze,
      domainIncludes: "http://schema.org/Person".freeze,
      "http://schema.org/supersededBy": "http://schema.org/colleague".freeze,
      label: "colleagues".freeze,
      rangeIncludes: "http://schema.org/Person".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :collection,
      comment: "A sub property of object. The collection target of the action.".freeze,
      domainIncludes: "http://schema.org/UpdateAction".freeze,
      "http://schema.org/supersededBy": "http://schema.org/targetCollection".freeze,
      label: "collection".freeze,
      rangeIncludes: "http://schema.org/Thing".freeze,
      subPropertyOf: "http://schema.org/object".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :collectionSize,
      comment: "The number of items in the [[Collection]].".freeze,
      domainIncludes: "http://schema.org/Collection".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1759".freeze,
      label: "collectionSize".freeze,
      rangeIncludes: "http://schema.org/Integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :color,
      comment: "The color of the product.".freeze,
      domainIncludes: "http://schema.org/Product".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "color".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :colorist,
      comment: "The individual who adds color to inked drawings.".freeze,
      domainIncludes: ["http://schema.org/ComicIssue".freeze, "http://schema.org/ComicStory".freeze, "http://schema.org/VisualArtwork".freeze],
      "http://schema.org/isPartOf": "http://bib.schema.org".freeze,
      label: "colorist".freeze,
      rangeIncludes: "http://schema.org/Person".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :comment,
      comment: "Comments, typically from users.".freeze,
      domainIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/RsvpAction".freeze],
      label: "comment".freeze,
      rangeIncludes: "http://schema.org/Comment".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :commentCount,
      comment: "The number of comments this CreativeWork (e.g. Article, Question or Answer) has received. This is most applicable to works published in Web sites with commenting system; additional comments may exist elsewhere.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      label: "commentCount".freeze,
      rangeIncludes: "http://schema.org/Integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :commentText,
      comment: "The text of the UserComment.".freeze,
      domainIncludes: "http://schema.org/UserComments".freeze,
      label: "commentText".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :commentTime,
      comment: "The time at which the UserComment was made.".freeze,
      domainIncludes: "http://schema.org/UserComments".freeze,
      label: "commentTime".freeze,
      rangeIncludes: ["http://schema.org/Date".freeze, "http://schema.org/DateTime".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :competencyRequired,
      comment: "Knowledge, skill, ability or personal attribute that must be demonstrated by a person or other entity in order to do something such as earn an Educational Occupational Credential or understand a LearningResource.".freeze,
      domainIncludes: ["http://schema.org/EducationalOccupationalCredential".freeze, "http://schema.org/LearningResource".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1779".freeze,
      label: "competencyRequired".freeze,
      rangeIncludes: ["http://schema.org/DefinedTerm".freeze, "http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :competitor,
      comment: "A competitor in a sports event.".freeze,
      domainIncludes: "http://schema.org/SportsEvent".freeze,
      label: "competitor".freeze,
      rangeIncludes: ["http://schema.org/Person".freeze, "http://schema.org/SportsTeam".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :composer,
      comment: "The person or organization who wrote a composition, or who is the composer of a work performed at some event.".freeze,
      domainIncludes: ["http://schema.org/Event".freeze, "http://schema.org/MusicComposition".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#MBZ".freeze,
      label: "composer".freeze,
      rangeIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :comprisedOf,
      comment: "Specifying something physically contained by something else. Typically used here for the underlying anatomical structures, such as organs, that comprise the anatomical system.".freeze,
      domainIncludes: "http://schema.org/AnatomicalSystem".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "comprisedOf".freeze,
      rangeIncludes: ["http://schema.org/AnatomicalStructure".freeze, "http://schema.org/AnatomicalSystem".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :conditionsOfAccess,
      comment: "Conditions that affect the availability of, or method(s) of access to, an item. Typically used for real world items such as an [[ArchiveComponent]] held by an [[ArchiveOrganization]]. This property is not suitable for use as a general Web access control mechanism. It is expressed only in natural language.\\n\\nFor example \"Available by appointment from the Reading Room\" or \"Accessible only from logged-in accounts \". ".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2173".freeze,
      label: "conditionsOfAccess".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :confirmationNumber,
      comment: "A number that confirms the given order or payment has been received.".freeze,
      domainIncludes: ["http://schema.org/Invoice".freeze, "http://schema.org/Order".freeze],
      label: "confirmationNumber".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      subPropertyOf: "http://schema.org/identifier".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :connectedTo,
      comment: "Other anatomical structures to which this structure is connected.".freeze,
      domainIncludes: "http://schema.org/AnatomicalStructure".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "connectedTo".freeze,
      rangeIncludes: "http://schema.org/AnatomicalStructure".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :constrainingProperty,
      comment: "Indicates a property used as a constraint to define a [[StatisticalPopulation]] with respect to the set of entities\n  corresponding to an indicated type (via [[populationType]]).".freeze,
      domainIncludes: "http://schema.org/StatisticalPopulation".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2291".freeze,
      label: "constrainingProperty".freeze,
      rangeIncludes: "http://schema.org/Integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :contactOption,
      comment: "An option available on this contact point (e.g. a toll-free number or support for hearing-impaired callers).".freeze,
      domainIncludes: "http://schema.org/ContactPoint".freeze,
      label: "contactOption".freeze,
      rangeIncludes: "http://schema.org/ContactPointOption".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :contactPoint,
      comment: "A contact point for a person or organization.".freeze,
      domainIncludes: ["http://schema.org/HealthInsurancePlan".freeze, "http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      label: "contactPoint".freeze,
      rangeIncludes: "http://schema.org/ContactPoint".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :contactPoints,
      comment: "A contact point for a person or organization.".freeze,
      domainIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      "http://schema.org/supersededBy": "http://schema.org/contactPoint".freeze,
      label: "contactPoints".freeze,
      rangeIncludes: "http://schema.org/ContactPoint".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :contactType,
      comment: "A person or organization can have different contact points, for different purposes. For example, a sales contact point, a PR contact point and so on. This property is used to specify the kind of contact point.".freeze,
      domainIncludes: "http://schema.org/ContactPoint".freeze,
      label: "contactType".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :contactlessPayment,
      comment: "A secure method for consumers to purchase products or services via debit, credit or smartcards by using RFID or NFC technology.".freeze,
      domainIncludes: "http://schema.org/PaymentCard".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FIBO".freeze, "https://github.com/schemaorg/schemaorg/issues/1253".freeze],
      label: "contactlessPayment".freeze,
      rangeIncludes: "http://schema.org/Boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :containedIn,
      comment: "The basic containment relation between a place and one that contains it.".freeze,
      domainIncludes: "http://schema.org/Place".freeze,
      "http://schema.org/supersededBy": "http://schema.org/containedInPlace".freeze,
      label: "containedIn".freeze,
      rangeIncludes: "http://schema.org/Place".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :containedInPlace,
      comment: "The basic containment relation between a place and one that contains it.".freeze,
      domainIncludes: "http://schema.org/Place".freeze,
      "http://schema.org/inverseOf": "http://schema.org/containsPlace".freeze,
      label: "containedInPlace".freeze,
      rangeIncludes: "http://schema.org/Place".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :containsPlace,
      comment: "The basic containment relation between a place and another that it contains.".freeze,
      domainIncludes: "http://schema.org/Place".freeze,
      "http://schema.org/inverseOf": "http://schema.org/containedInPlace".freeze,
      label: "containsPlace".freeze,
      rangeIncludes: "http://schema.org/Place".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :containsSeason,
      comment: "A season that is part of the media series.".freeze,
      domainIncludes: ["http://schema.org/RadioSeries".freeze, "http://schema.org/TVSeries".freeze, "http://schema.org/VideoGameSeries".freeze],
      label: "containsSeason".freeze,
      rangeIncludes: "http://schema.org/CreativeWorkSeason".freeze,
      subPropertyOf: "http://schema.org/hasPart".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :contentLocation,
      comment: "The location depicted or described in the content. For example, the location in a photograph or painting.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      label: "contentLocation".freeze,
      rangeIncludes: "http://schema.org/Place".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :contentRating,
      comment: "Official rating of a piece of content&#x2014;for example,'MPAA PG-13'.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      label: "contentRating".freeze,
      rangeIncludes: ["http://schema.org/Rating".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :contentReferenceTime,
      comment: "The specific time described by a creative work, for works (e.g. articles, video objects etc.) that emphasise a particular moment within an Event.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1050".freeze,
      label: "contentReferenceTime".freeze,
      rangeIncludes: "http://schema.org/DateTime".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :contentSize,
      comment: "File size in (mega/kilo) bytes.".freeze,
      domainIncludes: "http://schema.org/MediaObject".freeze,
      label: "contentSize".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :contentType,
      comment: "The supported content type(s) for an EntryPoint response.".freeze,
      domainIncludes: "http://schema.org/EntryPoint".freeze,
      label: "contentType".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :contentUrl,
      comment: "Actual bytes of the media object, for example the image file or video file.".freeze,
      domainIncludes: "http://schema.org/MediaObject".freeze,
      label: "contentUrl".freeze,
      rangeIncludes: "http://schema.org/URL".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :contraindication,
      comment: "A contraindication for this therapy.".freeze,
      domainIncludes: ["http://schema.org/MedicalDevice".freeze, "http://schema.org/MedicalTherapy".freeze],
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "contraindication".freeze,
      rangeIncludes: ["http://schema.org/MedicalContraindication".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :contributor,
      comment: "A secondary contributor to the CreativeWork or Event.".freeze,
      domainIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/Event".freeze],
      label: "contributor".freeze,
      rangeIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :cookTime,
      comment: "The time it takes to actually cook the dish, in [ISO 8601 duration format](http://en.wikipedia.org/wiki/ISO_8601).".freeze,
      domainIncludes: "http://schema.org/Recipe".freeze,
      label: "cookTime".freeze,
      rangeIncludes: "http://schema.org/Duration".freeze,
      subPropertyOf: "http://schema.org/performTime".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :cookingMethod,
      comment: "The method of cooking, such as Frying, Steaming, ...".freeze,
      domainIncludes: "http://schema.org/Recipe".freeze,
      label: "cookingMethod".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :copyrightHolder,
      comment: "The party holding the legal copyright to the CreativeWork.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      label: "copyrightHolder".freeze,
      rangeIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :copyrightNotice,
      comment: "Text of a notice appropriate for describing the copyright aspects of this Creative Work, ideally indicating the owner of the copyright for the Work.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2659".freeze,
      label: "copyrightNotice".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :copyrightYear,
      comment: "The year during which the claimed copyright for the CreativeWork was first asserted.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      label: "copyrightYear".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :correction,
      comment: "Indicates a correction to a [[CreativeWork]], either via a [[CorrectionComment]], textually or in another document.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["https://github.com/schemaorg/schemaorg/issues/1950".freeze, "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#TP".freeze],
      label: "correction".freeze,
      rangeIncludes: ["http://schema.org/CorrectionComment".freeze, "http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :correctionsPolicy,
      comment: "For an [[Organization]] (e.g. [[NewsMediaOrganization]]), a statement describing (in news media, the newsroom’s) disclosure and correction policy for errors.".freeze,
      domainIncludes: ["http://schema.org/NewsMediaOrganization".freeze, "http://schema.org/Organization".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["https://github.com/schemaorg/schemaorg/issues/1525".freeze, "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#TP".freeze],
      label: "correctionsPolicy".freeze,
      rangeIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/URL".freeze],
      subPropertyOf: "http://schema.org/publishingPrinciples".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :costCategory,
      comment: "The category of cost, such as wholesale, retail, reimbursement cap, etc.".freeze,
      domainIncludes: "http://schema.org/DrugCost".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "costCategory".freeze,
      rangeIncludes: "http://schema.org/DrugCostCategory".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :costCurrency,
      comment: "The currency (in 3-letter of the drug cost. See: http://en.wikipedia.org/wiki/ISO_4217. ".freeze,
      domainIncludes: "http://schema.org/DrugCost".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "costCurrency".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :costOrigin,
      comment: "Additional details to capture the origin of the cost data. For example, 'Medicare Part B'.".freeze,
      domainIncludes: "http://schema.org/DrugCost".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "costOrigin".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :costPerUnit,
      comment: "The cost per unit of the drug.".freeze,
      domainIncludes: "http://schema.org/DrugCost".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "costPerUnit".freeze,
      rangeIncludes: ["http://schema.org/Number".freeze, "http://schema.org/QualitativeValue".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :countriesNotSupported,
      comment: "Countries for which the application is not supported. You can also provide the two-letter ISO 3166-1 alpha-2 country code.".freeze,
      domainIncludes: "http://schema.org/SoftwareApplication".freeze,
      label: "countriesNotSupported".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :countriesSupported,
      comment: "Countries for which the application is supported. You can also provide the two-letter ISO 3166-1 alpha-2 country code.".freeze,
      domainIncludes: "http://schema.org/SoftwareApplication".freeze,
      label: "countriesSupported".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :countryOfAssembly,
      comment: "The place where the product was assembled.".freeze,
      domainIncludes: "http://schema.org/Product".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/991".freeze,
      label: "countryOfAssembly".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :countryOfLastProcessing,
      comment: "The place where the item (typically [[Product]]) was last processed and tested before importation.".freeze,
      domainIncludes: "http://schema.org/Product".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/991".freeze,
      label: "countryOfLastProcessing".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :countryOfOrigin,
      comment: "The country of origin of something, including products as well as creative  works such as movie and TV content.\n\nIn the case of TV and movie, this would be the country of the principle offices of the production company or individual responsible for the movie. For other kinds of [[CreativeWork]] it is difficult to provide fully general guidance, and properties such as [[contentLocation]] and [[locationCreated]] may be more applicable.\n\nIn the case of products, the country of origin of the product. The exact interpretation of this may vary by context and product type, and cannot be fully enumerated here.".freeze,
      domainIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/Movie".freeze, "http://schema.org/Product".freeze, "http://schema.org/TVEpisode".freeze, "http://schema.org/TVSeason".freeze, "http://schema.org/TVSeries".freeze],
      label: "countryOfOrigin".freeze,
      rangeIncludes: "http://schema.org/Country".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :course,
      comment: "A sub property of location. The course where this action was taken.".freeze,
      domainIncludes: "http://schema.org/ExerciseAction".freeze,
      "http://schema.org/supersededBy": "http://schema.org/exerciseCourse".freeze,
      label: "course".freeze,
      rangeIncludes: "http://schema.org/Place".freeze,
      subPropertyOf: "http://schema.org/location".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :courseCode,
      comment: "The identifier for the [[Course]] used by the course [[provider]] (e.g. CS101 or 6.001).".freeze,
      domainIncludes: "http://schema.org/Course".freeze,
      label: "courseCode".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :courseMode,
      comment: "The medium or means of delivery of the course instance or the mode of study, either as a text label (e.g. \"online\", \"onsite\" or \"blended\"; \"synchronous\" or \"asynchronous\"; \"full-time\" or \"part-time\") or as a URL reference to a term from a controlled vocabulary (e.g. https://ceds.ed.gov/element/001311#Asynchronous ).".freeze,
      domainIncludes: "http://schema.org/CourseInstance".freeze,
      label: "courseMode".freeze,
      rangeIncludes: ["http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :coursePrerequisites,
      comment: "Requirements for taking the Course. May be completion of another [[Course]] or a textual description like \"permission of instructor\". Requirements may be a pre-requisite competency, referenced using [[AlignmentObject]].".freeze,
      domainIncludes: "http://schema.org/Course".freeze,
      label: "coursePrerequisites".freeze,
      rangeIncludes: ["http://schema.org/AlignmentObject".freeze, "http://schema.org/Course".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :courseWorkload,
      comment: "The amount of work expected of students taking the course, often provided as a figure per week or per month, and may be broken down by type. For example, \"2 hours of lectures, 1 hour of lab work and 3 hours of independent study per week\".".freeze,
      domainIncludes: "http://schema.org/CourseInstance".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1909".freeze,
      label: "courseWorkload".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :coverageEndTime,
      comment: "The time when the live blog will stop covering the Event. Note that coverage may continue after the Event concludes.".freeze,
      domainIncludes: "http://schema.org/LiveBlogPosting".freeze,
      label: "coverageEndTime".freeze,
      rangeIncludes: "http://schema.org/DateTime".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :coverageStartTime,
      comment: "The time when the live blog will begin covering the Event. Note that coverage may begin before the Event's start time. The LiveBlogPosting may also be created before coverage begins.".freeze,
      domainIncludes: "http://schema.org/LiveBlogPosting".freeze,
      label: "coverageStartTime".freeze,
      rangeIncludes: "http://schema.org/DateTime".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :creativeWorkStatus,
      comment: "The status of a creative work in terms of its stage in a lifecycle. Example terms include Incomplete, Draft, Published, Obsolete. Some organizations define a set of terms for the stages of their publication lifecycle.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/987".freeze,
      label: "creativeWorkStatus".freeze,
      rangeIncludes: ["http://schema.org/DefinedTerm".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :creator,
      comment: "The creator/author of this CreativeWork. This is the same as the Author property for CreativeWork.".freeze,
      domainIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/UserComments".freeze],
      label: "creator".freeze,
      rangeIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :credentialCategory,
      comment: "The category or type of credential being described, for example \"degree”, “certificate”, “badge”, or more specific term.".freeze,
      domainIncludes: "http://schema.org/EducationalOccupationalCredential".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1779".freeze,
      label: "credentialCategory".freeze,
      rangeIncludes: ["http://schema.org/DefinedTerm".freeze, "http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :creditText,
      comment: "Text that can be used to credit person(s) and/or organization(s) associated with a published Creative Work.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2659".freeze,
      label: "creditText".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :creditedTo,
      comment: "The group the release is credited to if different than the byArtist. For example, Red and Blue is credited to \"Stefani Germanotta Band\", but by Lady Gaga.".freeze,
      domainIncludes: "http://schema.org/MusicRelease".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#MBZ".freeze,
      label: "creditedTo".freeze,
      rangeIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :cssSelector,
      comment: "A CSS selector, e.g. of a [[SpeakableSpecification]] or [[WebPageElement]]. In the latter case, multiple matches within a page can constitute a single conceptual \"Web page element\".".freeze,
      domainIncludes: ["http://schema.org/SpeakableSpecification".freeze, "http://schema.org/WebPageElement".freeze],
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1389".freeze,
      label: "cssSelector".freeze,
      rangeIncludes: "http://schema.org/CssSelectorType".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :currenciesAccepted,
      comment: "The currency accepted.\\n\\nUse standard formats: [ISO 4217 currency format](http://en.wikipedia.org/wiki/ISO_4217) e.g. \"USD\"; [Ticker symbol](https://en.wikipedia.org/wiki/List_of_cryptocurrencies) for cryptocurrencies e.g. \"BTC\"; well known names for [Local Exchange Tradings Systems](https://en.wikipedia.org/wiki/Local_exchange_trading_system) (LETS) and other currency types e.g. \"Ithaca HOUR\".".freeze,
      domainIncludes: "http://schema.org/LocalBusiness".freeze,
      label: "currenciesAccepted".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :currency,
      comment: "The currency in which the monetary amount is expressed.\\n\\nUse standard formats: [ISO 4217 currency format](http://en.wikipedia.org/wiki/ISO_4217) e.g. \"USD\"; [Ticker symbol](https://en.wikipedia.org/wiki/List_of_cryptocurrencies) for cryptocurrencies e.g. \"BTC\"; well known names for [Local Exchange Tradings Systems](https://en.wikipedia.org/wiki/Local_exchange_trading_system) (LETS) and other currency types e.g. \"Ithaca HOUR\".".freeze,
      domainIncludes: ["http://schema.org/DatedMoneySpecification".freeze, "http://schema.org/ExchangeRateSpecification".freeze, "http://schema.org/LoanOrCredit".freeze, "http://schema.org/MonetaryAmount".freeze, "http://schema.org/MonetaryAmountDistribution".freeze],
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1253".freeze,
      label: "currency".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :currentExchangeRate,
      comment: "The current price of a currency.".freeze,
      domainIncludes: "http://schema.org/ExchangeRateSpecification".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FIBO".freeze, "https://github.com/schemaorg/schemaorg/issues/1253".freeze],
      label: "currentExchangeRate".freeze,
      rangeIncludes: "http://schema.org/UnitPriceSpecification".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :customer,
      comment: "Party placing the order or paying the invoice.".freeze,
      domainIncludes: ["http://schema.org/Invoice".freeze, "http://schema.org/Order".freeze],
      label: "customer".freeze,
      rangeIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :customerRemorseReturnFees,
      comment: "The type of return fees if the product is returned due to customer remorse.".freeze,
      domainIncludes: "http://schema.org/MerchantReturnPolicy".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2880".freeze,
      label: "customerRemorseReturnFees".freeze,
      rangeIncludes: "http://schema.org/ReturnFeesEnumeration".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :customerRemorseReturnLabelSource,
      comment: "The method (from an enumeration) by which the customer obtains a return shipping label for a product returned due to customer remorse.".freeze,
      domainIncludes: "http://schema.org/MerchantReturnPolicy".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2880".freeze,
      label: "customerRemorseReturnLabelSource".freeze,
      rangeIncludes: "http://schema.org/ReturnLabelSourceEnumeration".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :customerRemorseReturnShippingFeesAmount,
      comment: "The amount of shipping costs if a product is returned due to customer remorse. Applicable when property [[customerRemorseReturnFees]] equals [[ReturnShippingFees]].".freeze,
      domainIncludes: "http://schema.org/MerchantReturnPolicy".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2880".freeze,
      label: "customerRemorseReturnShippingFeesAmount".freeze,
      rangeIncludes: "http://schema.org/MonetaryAmount".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :cutoffTime,
      comment: "Order cutoff time allows merchants to describe the time after which they will no longer process orders received on that day. For orders processed after cutoff time, one day gets added to the delivery time estimate. This property is expected to be most typically used via the [[ShippingRateSettings]] publication pattern. The time is indicated using the ISO-8601 Time format, e.g. \"23:30:00-05:00\" would represent 6:30 pm Eastern Standard Time (EST) which is 5 hours behind Coordinated Universal Time (UTC).".freeze,
      domainIncludes: "http://schema.org/ShippingDeliveryTime".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2506".freeze,
      label: "cutoffTime".freeze,
      rangeIncludes: "http://schema.org/Time".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :cvdCollectionDate,
      comment: "collectiondate - Date for which patient counts are reported.".freeze,
      domainIncludes: "http://schema.org/CDCPMDRecord".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2521".freeze,
      label: "cvdCollectionDate".freeze,
      rangeIncludes: ["http://schema.org/DateTime".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :cvdFacilityCounty,
      comment: "Name of the County of the NHSN facility that this data record applies to. Use [[cvdFacilityId]] to identify the facility. To provide other details, [[healthcareReportingData]] can be used on a [[Hospital]] entry.".freeze,
      domainIncludes: "http://schema.org/CDCPMDRecord".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2521".freeze,
      label: "cvdFacilityCounty".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :cvdFacilityId,
      comment: "Identifier of the NHSN facility that this data record applies to. Use [[cvdFacilityCounty]] to indicate the county. To provide other details, [[healthcareReportingData]] can be used on a [[Hospital]] entry.".freeze,
      domainIncludes: "http://schema.org/CDCPMDRecord".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2521".freeze,
      label: "cvdFacilityId".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :cvdNumBeds,
      comment: "numbeds - HOSPITAL INPATIENT BEDS: Inpatient beds, including all staffed, licensed, and overflow (surge) beds used for inpatients.".freeze,
      domainIncludes: "http://schema.org/CDCPMDRecord".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2521".freeze,
      label: "cvdNumBeds".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :cvdNumBedsOcc,
      comment: "numbedsocc - HOSPITAL INPATIENT BED OCCUPANCY: Total number of staffed inpatient beds that are occupied.".freeze,
      domainIncludes: "http://schema.org/CDCPMDRecord".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2521".freeze,
      label: "cvdNumBedsOcc".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :cvdNumC19Died,
      comment: "numc19died - DEATHS: Patients with suspected or confirmed COVID-19 who died in the hospital, ED, or any overflow location.".freeze,
      domainIncludes: "http://schema.org/CDCPMDRecord".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2521".freeze,
      label: "cvdNumC19Died".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :cvdNumC19HOPats,
      comment: "numc19hopats - HOSPITAL ONSET: Patients hospitalized in an NHSN inpatient care location with onset of suspected or confirmed COVID-19 14 or more days after hospitalization.".freeze,
      domainIncludes: "http://schema.org/CDCPMDRecord".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2521".freeze,
      label: "cvdNumC19HOPats".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :cvdNumC19HospPats,
      comment: "numc19hosppats - HOSPITALIZED: Patients currently hospitalized in an inpatient care location who have suspected or confirmed COVID-19.".freeze,
      domainIncludes: "http://schema.org/CDCPMDRecord".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2521".freeze,
      label: "cvdNumC19HospPats".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :cvdNumC19MechVentPats,
      comment: "numc19mechventpats - HOSPITALIZED and VENTILATED: Patients hospitalized in an NHSN inpatient care location who have suspected or confirmed COVID-19 and are on a mechanical ventilator.".freeze,
      domainIncludes: "http://schema.org/CDCPMDRecord".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2521".freeze,
      label: "cvdNumC19MechVentPats".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :cvdNumC19OFMechVentPats,
      comment: "numc19ofmechventpats - ED/OVERFLOW and VENTILATED: Patients with suspected or confirmed COVID-19 who are in the ED or any overflow location awaiting an inpatient bed and on a mechanical ventilator.".freeze,
      domainIncludes: "http://schema.org/CDCPMDRecord".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2521".freeze,
      label: "cvdNumC19OFMechVentPats".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :cvdNumC19OverflowPats,
      comment: "numc19overflowpats - ED/OVERFLOW: Patients with suspected or confirmed COVID-19 who are in the ED or any overflow location awaiting an inpatient bed.".freeze,
      domainIncludes: "http://schema.org/CDCPMDRecord".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2521".freeze,
      label: "cvdNumC19OverflowPats".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :cvdNumICUBeds,
      comment: "numicubeds - ICU BEDS: Total number of staffed inpatient intensive care unit (ICU) beds.".freeze,
      domainIncludes: "http://schema.org/CDCPMDRecord".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2521".freeze,
      label: "cvdNumICUBeds".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :cvdNumICUBedsOcc,
      comment: "numicubedsocc - ICU BED OCCUPANCY: Total number of staffed inpatient ICU beds that are occupied.".freeze,
      domainIncludes: "http://schema.org/CDCPMDRecord".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2521".freeze,
      label: "cvdNumICUBedsOcc".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :cvdNumTotBeds,
      comment: "numtotbeds - ALL HOSPITAL BEDS: Total number of all Inpatient and outpatient beds, including all staffed,ICU, licensed, and overflow (surge) beds used for inpatients or outpatients.".freeze,
      domainIncludes: "http://schema.org/CDCPMDRecord".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2521".freeze,
      label: "cvdNumTotBeds".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :cvdNumVent,
      comment: "numvent - MECHANICAL VENTILATORS: Total number of ventilators available.".freeze,
      domainIncludes: "http://schema.org/CDCPMDRecord".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2521".freeze,
      label: "cvdNumVent".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :cvdNumVentUse,
      comment: "numventuse - MECHANICAL VENTILATORS IN USE: Total number of ventilators in use.".freeze,
      domainIncludes: "http://schema.org/CDCPMDRecord".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2521".freeze,
      label: "cvdNumVentUse".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :dataFeedElement,
      comment: "An item within in a data feed. Data feeds may have many elements.".freeze,
      domainIncludes: "http://schema.org/DataFeed".freeze,
      label: "dataFeedElement".freeze,
      rangeIncludes: ["http://schema.org/DataFeedItem".freeze, "http://schema.org/Text".freeze, "http://schema.org/Thing".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :dataset,
      comment: "A dataset contained in this catalog.".freeze,
      domainIncludes: "http://schema.org/DataCatalog".freeze,
      "http://schema.org/inverseOf": "http://schema.org/includedInDataCatalog".freeze,
      label: "dataset".freeze,
      rangeIncludes: "http://schema.org/Dataset".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :datasetTimeInterval,
      comment: "The range of temporal applicability of a dataset, e.g. for a 2011 census dataset, the year 2011 (in ISO 8601 time interval format).".freeze,
      domainIncludes: "http://schema.org/Dataset".freeze,
      "http://schema.org/supersededBy": "http://schema.org/temporalCoverage".freeze,
      label: "datasetTimeInterval".freeze,
      rangeIncludes: "http://schema.org/DateTime".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :dateCreated,
      comment: "The date on which the CreativeWork was created or the item was added to a DataFeed.".freeze,
      domainIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/DataFeedItem".freeze],
      label: "dateCreated".freeze,
      rangeIncludes: ["http://schema.org/Date".freeze, "http://schema.org/DateTime".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :dateDeleted,
      comment: "The datetime the item was removed from the DataFeed.".freeze,
      domainIncludes: "http://schema.org/DataFeedItem".freeze,
      label: "dateDeleted".freeze,
      rangeIncludes: ["http://schema.org/Date".freeze, "http://schema.org/DateTime".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :dateIssued,
      comment: "The date the ticket was issued.".freeze,
      domainIncludes: "http://schema.org/Ticket".freeze,
      label: "dateIssued".freeze,
      rangeIncludes: ["http://schema.org/Date".freeze, "http://schema.org/DateTime".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :dateModified,
      comment: "The date on which the CreativeWork was most recently modified or when the item's entry was modified within a DataFeed.".freeze,
      domainIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/DataFeedItem".freeze],
      label: "dateModified".freeze,
      rangeIncludes: ["http://schema.org/Date".freeze, "http://schema.org/DateTime".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :datePosted,
      comment: "Publication date of an online listing.".freeze,
      domainIncludes: ["http://schema.org/CDCPMDRecord".freeze, "http://schema.org/JobPosting".freeze, "http://schema.org/RealEstateListing".freeze, "http://schema.org/SpecialAnnouncement".freeze],
      "http://schema.org/source": ["https://github.com/schemaorg/schemaorg/issues/2490".freeze, "https://github.com/schemaorg/schemaorg/issues/2521".freeze],
      label: "datePosted".freeze,
      rangeIncludes: ["http://schema.org/Date".freeze, "http://schema.org/DateTime".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :datePublished,
      comment: "Date of first broadcast/publication.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      label: "datePublished".freeze,
      rangeIncludes: ["http://schema.org/Date".freeze, "http://schema.org/DateTime".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :dateRead,
      comment: "The date/time at which the message has been read by the recipient if a single recipient exists.".freeze,
      domainIncludes: "http://schema.org/Message".freeze,
      label: "dateRead".freeze,
      rangeIncludes: ["http://schema.org/Date".freeze, "http://schema.org/DateTime".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :dateReceived,
      comment: "The date/time the message was received if a single recipient exists.".freeze,
      domainIncludes: "http://schema.org/Message".freeze,
      label: "dateReceived".freeze,
      rangeIncludes: "http://schema.org/DateTime".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :dateSent,
      comment: "The date/time at which the message was sent.".freeze,
      domainIncludes: "http://schema.org/Message".freeze,
      label: "dateSent".freeze,
      rangeIncludes: "http://schema.org/DateTime".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :dateVehicleFirstRegistered,
      comment: "The date of the first registration of the vehicle with the respective public authorities.".freeze,
      domainIncludes: "http://schema.org/Vehicle".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "dateVehicleFirstRegistered".freeze,
      rangeIncludes: "http://schema.org/Date".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :dateline,
      comment: "A [dateline](https://en.wikipedia.org/wiki/Dateline) is a brief piece of text included in news articles that describes where and when the story was written or filed though the date is often omitted. Sometimes only a placename is provided.\n\nStructured representations of dateline-related information can also be expressed more explicitly using [[locationCreated]] (which represents where a work was created e.g. where a news report was written).  For location depicted or described in the content, use [[contentLocation]].\n\nDateline summaries are oriented more towards human readers than towards automated processing, and can vary substantially. Some examples: \"BEIRUT, Lebanon, June 2.\", \"Paris, France\", \"December 19, 2017 11:43AM Reporting from Washington\", \"Beijing/Moscow\", \"QUEZON CITY, Philippines\".\n      ".freeze,
      domainIncludes: "http://schema.org/NewsArticle".freeze,
      label: "dateline".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :dayOfWeek,
      comment: "The day of the week for which these opening hours are valid.".freeze,
      domainIncludes: ["http://schema.org/EducationalOccupationalProgram".freeze, "http://schema.org/OpeningHoursSpecification".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "dayOfWeek".freeze,
      rangeIncludes: "http://schema.org/DayOfWeek".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :deathDate,
      comment: "Date of death.".freeze,
      domainIncludes: "http://schema.org/Person".freeze,
      label: "deathDate".freeze,
      rangeIncludes: "http://schema.org/Date".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :deathPlace,
      comment: "The place where the person died.".freeze,
      domainIncludes: "http://schema.org/Person".freeze,
      label: "deathPlace".freeze,
      rangeIncludes: "http://schema.org/Place".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :defaultValue,
      comment: "The default value of the input.  For properties that expect a literal, the default is a literal value, for properties that expect an object, it's an ID reference to one of the current values.".freeze,
      domainIncludes: "http://schema.org/PropertyValueSpecification".freeze,
      label: "defaultValue".freeze,
      rangeIncludes: ["http://schema.org/Text".freeze, "http://schema.org/Thing".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :deliveryAddress,
      comment: "Destination address.".freeze,
      domainIncludes: "http://schema.org/ParcelDelivery".freeze,
      label: "deliveryAddress".freeze,
      rangeIncludes: "http://schema.org/PostalAddress".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :deliveryLeadTime,
      comment: "The typical delay between the receipt of the order and the goods either leaving the warehouse or being prepared for pickup, in case the delivery method is on site pickup.".freeze,
      domainIncludes: ["http://schema.org/Demand".freeze, "http://schema.org/Offer".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "deliveryLeadTime".freeze,
      rangeIncludes: "http://schema.org/QuantitativeValue".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :deliveryMethod,
      comment: "A sub property of instrument. The method of delivery.".freeze,
      domainIncludes: ["http://schema.org/OrderAction".freeze, "http://schema.org/ReceiveAction".freeze, "http://schema.org/SendAction".freeze, "http://schema.org/TrackAction".freeze],
      label: "deliveryMethod".freeze,
      rangeIncludes: "http://schema.org/DeliveryMethod".freeze,
      subPropertyOf: "http://schema.org/instrument".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :deliveryStatus,
      comment: "New entry added as the package passes through each leg of its journey (from shipment to final delivery).".freeze,
      domainIncludes: "http://schema.org/ParcelDelivery".freeze,
      label: "deliveryStatus".freeze,
      rangeIncludes: "http://schema.org/DeliveryEvent".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :deliveryTime,
      comment: "The total delay between the receipt of the order and the goods reaching the final customer.".freeze,
      domainIncludes: ["http://schema.org/DeliveryTimeSettings".freeze, "http://schema.org/OfferShippingDetails".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2506".freeze,
      label: "deliveryTime".freeze,
      rangeIncludes: "http://schema.org/ShippingDeliveryTime".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :department,
      comment: "A relationship between an organization and a department of that organization, also described as an organization (allowing different urls, logos, opening hours). For example: a store with a pharmacy, or a bakery with a cafe.".freeze,
      domainIncludes: "http://schema.org/Organization".freeze,
      label: "department".freeze,
      rangeIncludes: "http://schema.org/Organization".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :departureAirport,
      comment: "The airport where the flight originates.".freeze,
      domainIncludes: "http://schema.org/Flight".freeze,
      label: "departureAirport".freeze,
      rangeIncludes: "http://schema.org/Airport".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :departureBoatTerminal,
      comment: "The terminal or port from which the boat departs.".freeze,
      domainIncludes: "http://schema.org/BoatTrip".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1755".freeze,
      label: "departureBoatTerminal".freeze,
      rangeIncludes: "http://schema.org/BoatTerminal".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :departureBusStop,
      comment: "The stop or station from which the bus departs.".freeze,
      domainIncludes: "http://schema.org/BusTrip".freeze,
      label: "departureBusStop".freeze,
      rangeIncludes: ["http://schema.org/BusStation".freeze, "http://schema.org/BusStop".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :departureGate,
      comment: "Identifier of the flight's departure gate.".freeze,
      domainIncludes: "http://schema.org/Flight".freeze,
      label: "departureGate".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :departurePlatform,
      comment: "The platform from which the train departs.".freeze,
      domainIncludes: "http://schema.org/TrainTrip".freeze,
      label: "departurePlatform".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :departureStation,
      comment: "The station from which the train departs.".freeze,
      domainIncludes: "http://schema.org/TrainTrip".freeze,
      label: "departureStation".freeze,
      rangeIncludes: "http://schema.org/TrainStation".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :departureTerminal,
      comment: "Identifier of the flight's departure terminal.".freeze,
      domainIncludes: "http://schema.org/Flight".freeze,
      label: "departureTerminal".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :departureTime,
      comment: "The expected departure time.".freeze,
      domainIncludes: "http://schema.org/Trip".freeze,
      label: "departureTime".freeze,
      rangeIncludes: ["http://schema.org/DateTime".freeze, "http://schema.org/Time".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :dependencies,
      comment: "Prerequisites needed to fulfill steps in article.".freeze,
      domainIncludes: "http://schema.org/TechArticle".freeze,
      label: "dependencies".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :depth,
      comment: "The depth of the item.".freeze,
      domainIncludes: ["http://schema.org/Product".freeze, "http://schema.org/VisualArtwork".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "depth".freeze,
      rangeIncludes: ["http://schema.org/Distance".freeze, "http://schema.org/QuantitativeValue".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :description,
      comment: "A description of the item.".freeze,
      domainIncludes: "http://schema.org/Thing".freeze,
      equivalentProperty: "http://purl.org/dc/terms/description".freeze,
      label: "description".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :device,
      comment: "Device required to run the application. Used in cases where a specific make/model is required to run the application.".freeze,
      domainIncludes: "http://schema.org/SoftwareApplication".freeze,
      "http://schema.org/supersededBy": "http://schema.org/availableOnDevice".freeze,
      label: "device".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :diagnosis,
      comment: "One or more alternative conditions considered in the differential diagnosis process as output of a diagnosis process.".freeze,
      domainIncludes: ["http://schema.org/DDxElement".freeze, "http://schema.org/Patient".freeze],
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "diagnosis".freeze,
      rangeIncludes: "http://schema.org/MedicalCondition".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :diagram,
      comment: "An image containing a diagram that illustrates the structure and/or its component substructures and/or connections with other structures.".freeze,
      domainIncludes: "http://schema.org/AnatomicalStructure".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "diagram".freeze,
      rangeIncludes: "http://schema.org/ImageObject".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :diet,
      comment: "A sub property of instrument. The diet used in this action.".freeze,
      domainIncludes: "http://schema.org/ExerciseAction".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "diet".freeze,
      rangeIncludes: "http://schema.org/Diet".freeze,
      subPropertyOf: "http://schema.org/instrument".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :dietFeatures,
      comment: "Nutritional information specific to the dietary plan. May include dietary recommendations on what foods to avoid, what foods to consume, and specific alterations/deviations from the USDA or other regulatory body's approved dietary guidelines.".freeze,
      domainIncludes: "http://schema.org/Diet".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "dietFeatures".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :differentialDiagnosis,
      comment: "One of a set of differential diagnoses for the condition. Specifically, a closely-related or competing diagnosis typically considered later in the cognitive process whereby this medical condition is distinguished from others most likely responsible for a similar collection of signs and symptoms to reach the most parsimonious diagnosis or diagnoses in a patient.".freeze,
      domainIncludes: "http://schema.org/MedicalCondition".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "differentialDiagnosis".freeze,
      rangeIncludes: "http://schema.org/DDxElement".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :directApply,
      comment: "Indicates whether an [[url]] that is associated with a [[JobPosting]] enables direct application for the job, via the posting website. A job posting is considered to have directApply of [[True]] if an application process for the specified job can be directly initiated via the url(s) given (noting that e.g. multiple internet domains might nevertheless be involved at an implementation level). A value of [[False]] is appropriate if there is no clear path to applying directly online for the specified job, navigating directly from the JobPosting url(s) supplied.".freeze,
      domainIncludes: "http://schema.org/JobPosting".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2907".freeze,
      label: "directApply".freeze,
      rangeIncludes: "http://schema.org/Boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :director,
      comment: "A director of e.g. tv, radio, movie, video gaming etc. content, or of an event. Directors can be associated with individual items or with a series, episode, clip.".freeze,
      domainIncludes: ["http://schema.org/Clip".freeze, "http://schema.org/CreativeWorkSeason".freeze, "http://schema.org/Episode".freeze, "http://schema.org/Event".freeze, "http://schema.org/Movie".freeze, "http://schema.org/MovieSeries".freeze, "http://schema.org/RadioSeries".freeze, "http://schema.org/TVSeries".freeze, "http://schema.org/VideoGame".freeze, "http://schema.org/VideoGameSeries".freeze, "http://schema.org/VideoObject".freeze],
      label: "director".freeze,
      rangeIncludes: "http://schema.org/Person".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :directors,
      comment: "A director of e.g. tv, radio, movie, video games etc. content. Directors can be associated with individual items or with a series, episode, clip.".freeze,
      domainIncludes: ["http://schema.org/Clip".freeze, "http://schema.org/Episode".freeze, "http://schema.org/Movie".freeze, "http://schema.org/MovieSeries".freeze, "http://schema.org/RadioSeries".freeze, "http://schema.org/TVSeries".freeze, "http://schema.org/VideoGame".freeze, "http://schema.org/VideoGameSeries".freeze, "http://schema.org/VideoObject".freeze],
      "http://schema.org/supersededBy": "http://schema.org/director".freeze,
      label: "directors".freeze,
      rangeIncludes: "http://schema.org/Person".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :disambiguatingDescription,
      comment: "A sub property of description. A short description of the item used to disambiguate from other, similar items. Information from other properties (in particular, name) may be necessary for the description to be useful for disambiguation.".freeze,
      domainIncludes: "http://schema.org/Thing".freeze,
      label: "disambiguatingDescription".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      subPropertyOf: "http://schema.org/description".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :discount,
      comment: "Any discount applied (to an Order).".freeze,
      domainIncludes: "http://schema.org/Order".freeze,
      label: "discount".freeze,
      rangeIncludes: ["http://schema.org/Number".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :discountCode,
      comment: "Code used to redeem a discount.".freeze,
      domainIncludes: "http://schema.org/Order".freeze,
      label: "discountCode".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :discountCurrency,
      comment: "The currency of the discount.\\n\\nUse standard formats: [ISO 4217 currency format](http://en.wikipedia.org/wiki/ISO_4217) e.g. \"USD\"; [Ticker symbol](https://en.wikipedia.org/wiki/List_of_cryptocurrencies) for cryptocurrencies e.g. \"BTC\"; well known names for [Local Exchange Tradings Systems](https://en.wikipedia.org/wiki/Local_exchange_trading_system) (LETS) and other currency types e.g. \"Ithaca HOUR\".".freeze,
      domainIncludes: "http://schema.org/Order".freeze,
      label: "discountCurrency".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :discusses,
      comment: "Specifies the CreativeWork associated with the UserComment.".freeze,
      domainIncludes: "http://schema.org/UserComments".freeze,
      label: "discusses".freeze,
      rangeIncludes: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :discussionUrl,
      comment: "A link to the page containing the comments of the CreativeWork.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      label: "discussionUrl".freeze,
      rangeIncludes: "http://schema.org/URL".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :diseasePreventionInfo,
      comment: "Information about disease prevention.".freeze,
      domainIncludes: "http://schema.org/SpecialAnnouncement".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2490".freeze,
      label: "diseasePreventionInfo".freeze,
      rangeIncludes: ["http://schema.org/URL".freeze, "http://schema.org/WebContent".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :diseaseSpreadStatistics,
      comment: "Statistical information about the spread of a disease, either as [[WebContent]], or\n  described directly as a [[Dataset]], or the specific [[Observation]]s in the dataset. When a [[WebContent]] URL is\n  provided, the page indicated might also contain more such markup.".freeze,
      domainIncludes: "http://schema.org/SpecialAnnouncement".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2490".freeze,
      label: "diseaseSpreadStatistics".freeze,
      rangeIncludes: ["http://schema.org/Dataset".freeze, "http://schema.org/Observation".freeze, "http://schema.org/URL".freeze, "http://schema.org/WebContent".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :dissolutionDate,
      comment: "The date that this organization was dissolved.".freeze,
      domainIncludes: "http://schema.org/Organization".freeze,
      label: "dissolutionDate".freeze,
      rangeIncludes: "http://schema.org/Date".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :distance,
      comment: "The distance travelled, e.g. exercising or travelling.".freeze,
      domainIncludes: ["http://schema.org/ExerciseAction".freeze, "http://schema.org/TravelAction".freeze],
      label: "distance".freeze,
      rangeIncludes: "http://schema.org/Distance".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :distinguishingSign,
      comment: "One of a set of signs and symptoms that can be used to distinguish this diagnosis from others in the differential diagnosis.".freeze,
      domainIncludes: "http://schema.org/DDxElement".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "distinguishingSign".freeze,
      rangeIncludes: "http://schema.org/MedicalSignOrSymptom".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :distribution,
      comment: "A downloadable form of this dataset, at a specific location, in a specific format.".freeze,
      domainIncludes: "http://schema.org/Dataset".freeze,
      label: "distribution".freeze,
      rangeIncludes: "http://schema.org/DataDownload".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :diversityPolicy,
      comment: "Statement on diversity policy by an [[Organization]] e.g. a [[NewsMediaOrganization]]. For a [[NewsMediaOrganization]], a statement describing the newsroom’s diversity policy on both staffing and sources, typically providing staffing data.".freeze,
      domainIncludes: ["http://schema.org/NewsMediaOrganization".freeze, "http://schema.org/Organization".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["https://github.com/schemaorg/schemaorg/issues/1525".freeze, "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#TP".freeze],
      label: "diversityPolicy".freeze,
      rangeIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :diversityStaffingReport,
      comment: "For an [[Organization]] (often but not necessarily a [[NewsMediaOrganization]]), a report on staffing diversity issues. In a news context this might be for example ASNE or RTDNA (US) reports, or self-reported.".freeze,
      domainIncludes: ["http://schema.org/NewsMediaOrganization".freeze, "http://schema.org/Organization".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["https://github.com/schemaorg/schemaorg/issues/1525".freeze, "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#TP".freeze],
      label: "diversityStaffingReport".freeze,
      rangeIncludes: ["http://schema.org/Article".freeze, "http://schema.org/URL".freeze],
      subPropertyOf: "http://schema.org/publishingPrinciples".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :documentation,
      comment: "Further documentation describing the Web API in more detail.".freeze,
      domainIncludes: "http://schema.org/WebAPI".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1423".freeze,
      label: "documentation".freeze,
      rangeIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :doesNotShip,
      comment: "Indicates when shipping to a particular [[shippingDestination]] is not available.".freeze,
      domainIncludes: ["http://schema.org/OfferShippingDetails".freeze, "http://schema.org/ShippingRateSettings".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2506".freeze,
      label: "doesNotShip".freeze,
      rangeIncludes: "http://schema.org/Boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :domainIncludes,
      comment: "Relates a property to a class that is (one of) the type(s) the property is expected to be used on.".freeze,
      domainIncludes: "http://schema.org/Property".freeze,
      "http://schema.org/isPartOf": "http://meta.schema.org".freeze,
      label: "domainIncludes".freeze,
      rangeIncludes: "http://schema.org/Class".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :domiciledMortgage,
      comment: "Whether borrower is a resident of the jurisdiction where the property is located.".freeze,
      domainIncludes: "http://schema.org/MortgageLoan".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FIBO".freeze, "https://github.com/schemaorg/schemaorg/issues/1253".freeze],
      label: "domiciledMortgage".freeze,
      rangeIncludes: "http://schema.org/Boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :doorTime,
      comment: "The time admission will commence.".freeze,
      domainIncludes: "http://schema.org/Event".freeze,
      label: "doorTime".freeze,
      rangeIncludes: ["http://schema.org/DateTime".freeze, "http://schema.org/Time".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :dosageForm,
      comment: "A dosage form in which this drug/supplement is available, e.g. 'tablet', 'suspension', 'injection'.".freeze,
      domainIncludes: "http://schema.org/Drug".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "dosageForm".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :doseSchedule,
      comment: "A dosing schedule for the drug for a given population, either observed, recommended, or maximum dose based on the type used.".freeze,
      domainIncludes: ["http://schema.org/Drug".freeze, "http://schema.org/TherapeuticProcedure".freeze],
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "doseSchedule".freeze,
      rangeIncludes: "http://schema.org/DoseSchedule".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :doseUnit,
      comment: "The unit of the dose, e.g. 'mg'.".freeze,
      domainIncludes: "http://schema.org/DoseSchedule".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "doseUnit".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :doseValue,
      comment: "The value of the dose, e.g. 500.".freeze,
      domainIncludes: "http://schema.org/DoseSchedule".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "doseValue".freeze,
      rangeIncludes: ["http://schema.org/Number".freeze, "http://schema.org/QualitativeValue".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :downPayment,
      comment: "a type of payment made in cash during the onset of the purchase of an expensive good/service. The payment typically represents only a percentage of the full purchase price.".freeze,
      domainIncludes: "http://schema.org/RepaymentSpecification".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FIBO".freeze, "https://github.com/schemaorg/schemaorg/issues/1253".freeze],
      label: "downPayment".freeze,
      rangeIncludes: ["http://schema.org/MonetaryAmount".freeze, "http://schema.org/Number".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :downloadUrl,
      comment: "If the file can be downloaded, URL to download the binary.".freeze,
      domainIncludes: "http://schema.org/SoftwareApplication".freeze,
      label: "downloadUrl".freeze,
      rangeIncludes: "http://schema.org/URL".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :downvoteCount,
      comment: "The number of downvotes this question, answer or comment has received from the community.".freeze,
      domainIncludes: "http://schema.org/Comment".freeze,
      label: "downvoteCount".freeze,
      rangeIncludes: "http://schema.org/Integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :drainsTo,
      comment: "The vasculature that the vein drains into.".freeze,
      domainIncludes: "http://schema.org/Vein".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "drainsTo".freeze,
      rangeIncludes: "http://schema.org/Vessel".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :driveWheelConfiguration,
      comment: "The drive wheel configuration, i.e. which roadwheels will receive torque from the vehicle's engine via the drivetrain.".freeze,
      domainIncludes: "http://schema.org/Vehicle".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "driveWheelConfiguration".freeze,
      rangeIncludes: ["http://schema.org/DriveWheelConfigurationValue".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :dropoffLocation,
      comment: "Where a rental car can be dropped off.".freeze,
      domainIncludes: "http://schema.org/RentalCarReservation".freeze,
      label: "dropoffLocation".freeze,
      rangeIncludes: "http://schema.org/Place".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :dropoffTime,
      comment: "When a rental car can be dropped off.".freeze,
      domainIncludes: "http://schema.org/RentalCarReservation".freeze,
      label: "dropoffTime".freeze,
      rangeIncludes: "http://schema.org/DateTime".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :drug,
      comment: "Specifying a drug or medicine used in a medication procedure.".freeze,
      domainIncludes: ["http://schema.org/DrugClass".freeze, "http://schema.org/MedicalCondition".freeze, "http://schema.org/Patient".freeze, "http://schema.org/TherapeuticProcedure".freeze],
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "drug".freeze,
      rangeIncludes: "http://schema.org/Drug".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :drugClass,
      comment: "The class of drug this belongs to (e.g., statins).".freeze,
      domainIncludes: "http://schema.org/Drug".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "drugClass".freeze,
      rangeIncludes: "http://schema.org/DrugClass".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :drugUnit,
      comment: "The unit in which the drug is measured, e.g. '5 mg tablet'.".freeze,
      domainIncludes: ["http://schema.org/Drug".freeze, "http://schema.org/DrugCost".freeze],
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "drugUnit".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :duns,
      comment: "The Dun & Bradstreet DUNS number for identifying an organization or business person.".freeze,
      domainIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "duns".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      subPropertyOf: "http://schema.org/identifier".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :duplicateTherapy,
      comment: "A therapy that duplicates or overlaps this one.".freeze,
      domainIncludes: "http://schema.org/MedicalTherapy".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "duplicateTherapy".freeze,
      rangeIncludes: "http://schema.org/MedicalTherapy".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :duration,
      comment: "The duration of the item (movie, audio recording, event, etc.) in [ISO 8601 date format](http://en.wikipedia.org/wiki/ISO_8601).".freeze,
      domainIncludes: ["http://schema.org/Audiobook".freeze, "http://schema.org/Episode".freeze, "http://schema.org/Event".freeze, "http://schema.org/MediaObject".freeze, "http://schema.org/Movie".freeze, "http://schema.org/MusicRecording".freeze, "http://schema.org/MusicRelease".freeze, "http://schema.org/QuantitativeValueDistribution".freeze, "http://schema.org/Schedule".freeze],
      "http://schema.org/source": ["https://github.com/schemaorg/schemaorg/issues/1457".freeze, "https://github.com/schemaorg/schemaorg/issues/1698".freeze],
      label: "duration".freeze,
      rangeIncludes: "http://schema.org/Duration".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :durationOfWarranty,
      comment: "The duration of the warranty promise. Common unitCode values are ANN for year, MON for months, or DAY for days.".freeze,
      domainIncludes: "http://schema.org/WarrantyPromise".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "durationOfWarranty".freeze,
      rangeIncludes: "http://schema.org/QuantitativeValue".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :duringMedia,
      comment: "A media object representing the circumstances while performing this direction.".freeze,
      domainIncludes: "http://schema.org/HowToDirection".freeze,
      label: "duringMedia".freeze,
      rangeIncludes: ["http://schema.org/MediaObject".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :earlyPrepaymentPenalty,
      comment: "The amount to be paid as a penalty in the event of early payment of the loan.".freeze,
      domainIncludes: "http://schema.org/RepaymentSpecification".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FIBO".freeze, "https://github.com/schemaorg/schemaorg/issues/1253".freeze],
      label: "earlyPrepaymentPenalty".freeze,
      rangeIncludes: "http://schema.org/MonetaryAmount".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :editEIDR,
      comment: "An [EIDR](https://eidr.org/) (Entertainment Identifier Registry) [[identifier]] representing a specific edit / edition for a work of film or television.\n\nFor example, the motion picture known as \"Ghostbusters\" whose [[titleEIDR]] is \"10.5240/7EC7-228A-510A-053E-CBB8-J\", has several edits e.g. \"10.5240/1F2A-E1C5-680A-14C6-E76B-I\" and \"10.5240/8A35-3BEE-6497-5D12-9E4F-3\".\n\nSince schema.org types like [[Movie]] and [[TVEpisode]] can be used for both works and their multiple expressions, it is possible to use [[titleEIDR]] alone (for a general description), or alongside [[editEIDR]] for a more edit-specific description.\n".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2469".freeze,
      label: "editEIDR".freeze,
      rangeIncludes: ["http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      subPropertyOf: "http://schema.org/identifier".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :editor,
      comment: "Specifies the Person who edited the CreativeWork.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      label: "editor".freeze,
      rangeIncludes: "http://schema.org/Person".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :eduQuestionType,
      comment: "For questions that are part of learning resources (e.g. Quiz), eduQuestionType indicates the format of question being given. Example: \"Multiple choice\", \"Open ended\", \"Flashcard\".".freeze,
      domainIncludes: ["http://schema.org/Question".freeze, "http://schema.org/SolveMathAction".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2636".freeze,
      label: "eduQuestionType".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :educationRequirements,
      comment: "Educational background needed for the position or Occupation.".freeze,
      domainIncludes: ["http://schema.org/JobPosting".freeze, "http://schema.org/Occupation".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["https://github.com/schemaorg/schemaorg/issues/1698".freeze, "https://github.com/schemaorg/schemaorg/issues/1779".freeze],
      label: "educationRequirements".freeze,
      rangeIncludes: ["http://schema.org/EducationalOccupationalCredential".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :educationalAlignment,
      comment: "An alignment to an established educational framework.\n\nThis property should not be used where the nature of the alignment can be described using a simple property, for example to express that a resource [[teaches]] or [[assesses]] a competency.".freeze,
      domainIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/LearningResource".freeze],
      label: "educationalAlignment".freeze,
      rangeIncludes: "http://schema.org/AlignmentObject".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :educationalCredentialAwarded,
      comment: "A description of the qualification, award, certificate, diploma or other educational credential awarded as a consequence of successful completion of this course or program.".freeze,
      domainIncludes: ["http://schema.org/Course".freeze, "http://schema.org/EducationalOccupationalProgram".freeze],
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2289".freeze,
      label: "educationalCredentialAwarded".freeze,
      rangeIncludes: ["http://schema.org/EducationalOccupationalCredential".freeze, "http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :educationalFramework,
      comment: "The framework to which the resource being described is aligned.".freeze,
      domainIncludes: "http://schema.org/AlignmentObject".freeze,
      label: "educationalFramework".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :educationalLevel,
      comment: "The level in terms of progression through an educational or training context. Examples of educational levels include 'beginner', 'intermediate' or 'advanced', and formal sets of level indicators.".freeze,
      domainIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/EducationEvent".freeze, "http://schema.org/EducationalOccupationalCredential".freeze, "http://schema.org/LearningResource".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1779".freeze,
      label: "educationalLevel".freeze,
      rangeIncludes: ["http://schema.org/DefinedTerm".freeze, "http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :educationalProgramMode,
      comment: "Similar to courseMode, The medium or means of delivery of the program as a whole. The value may either be a text label (e.g. \"online\", \"onsite\" or \"blended\"; \"synchronous\" or \"asynchronous\"; \"full-time\" or \"part-time\") or a URL reference to a term from a controlled vocabulary (e.g. https://ceds.ed.gov/element/001311#Asynchronous ).".freeze,
      domainIncludes: "http://schema.org/EducationalOccupationalProgram".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2419".freeze,
      label: "educationalProgramMode".freeze,
      rangeIncludes: ["http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :educationalRole,
      comment: "An educationalRole of an EducationalAudience.".freeze,
      domainIncludes: "http://schema.org/EducationalAudience".freeze,
      label: "educationalRole".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :educationalUse,
      comment: "The purpose of a work in the context of education; for example, 'assignment', 'group work'.".freeze,
      domainIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/LearningResource".freeze],
      label: "educationalUse".freeze,
      rangeIncludes: ["http://schema.org/DefinedTerm".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :elevation,
      comment: "The elevation of a location ([WGS 84](https://en.wikipedia.org/wiki/World_Geodetic_System)). Values may be of the form 'NUMBER UNIT_OF_MEASUREMENT' (e.g., '1,000 m', '3,200 ft') while numbers alone should be assumed to be a value in meters.".freeze,
      domainIncludes: ["http://schema.org/GeoCoordinates".freeze, "http://schema.org/GeoShape".freeze],
      label: "elevation".freeze,
      rangeIncludes: ["http://schema.org/Number".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :eligibilityToWorkRequirement,
      comment: "The legal requirements such as citizenship, visa and other documentation required for an applicant to this job.".freeze,
      domainIncludes: "http://schema.org/JobPosting".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2384".freeze,
      label: "eligibilityToWorkRequirement".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :eligibleCustomerType,
      comment: "The type(s) of customers for which the given offer is valid.".freeze,
      domainIncludes: ["http://schema.org/Demand".freeze, "http://schema.org/Offer".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "eligibleCustomerType".freeze,
      rangeIncludes: "http://schema.org/BusinessEntityType".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :eligibleDuration,
      comment: "The duration for which the given offer is valid.".freeze,
      domainIncludes: ["http://schema.org/Demand".freeze, "http://schema.org/Offer".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "eligibleDuration".freeze,
      rangeIncludes: "http://schema.org/QuantitativeValue".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :eligibleQuantity,
      comment: "The interval and unit of measurement of ordering quantities for which the offer or price specification is valid. This allows e.g. specifying that a certain freight charge is valid only for a certain quantity.".freeze,
      domainIncludes: ["http://schema.org/Demand".freeze, "http://schema.org/Offer".freeze, "http://schema.org/PriceSpecification".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "eligibleQuantity".freeze,
      rangeIncludes: "http://schema.org/QuantitativeValue".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :eligibleRegion,
      comment: "The ISO 3166-1 (ISO 3166-1 alpha-2) or ISO 3166-2 code, the place, or the GeoShape for the geo-political region(s) for which the offer or delivery charge specification is valid.\\n\\nSee also [[ineligibleRegion]].\n    ".freeze,
      domainIncludes: ["http://schema.org/ActionAccessSpecification".freeze, "http://schema.org/DeliveryChargeSpecification".freeze, "http://schema.org/Demand".freeze, "http://schema.org/Offer".freeze],
      "http://schema.org/source": ["http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze, "https://github.com/schemaorg/schemaorg/issues/1741".freeze],
      label: "eligibleRegion".freeze,
      rangeIncludes: ["http://schema.org/GeoShape".freeze, "http://schema.org/Place".freeze, "http://schema.org/Text".freeze],
      subPropertyOf: "http://schema.org/areaServed".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :eligibleTransactionVolume,
      comment: "The transaction volume, in a monetary unit, for which the offer or price specification is valid, e.g. for indicating a minimal purchasing volume, to express free shipping above a certain order volume, or to limit the acceptance of credit cards to purchases to a certain minimal amount.".freeze,
      domainIncludes: ["http://schema.org/Demand".freeze, "http://schema.org/Offer".freeze, "http://schema.org/PriceSpecification".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "eligibleTransactionVolume".freeze,
      rangeIncludes: "http://schema.org/PriceSpecification".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :email,
      comment: "Email address.".freeze,
      domainIncludes: ["http://schema.org/ContactPoint".freeze, "http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      label: "email".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :embedUrl,
      comment: "A URL pointing to a player for a specific video. In general, this is the information in the ```src``` element of an ```embed``` tag and should not be the same as the content of the ```loc``` tag.".freeze,
      domainIncludes: "http://schema.org/MediaObject".freeze,
      label: "embedUrl".freeze,
      rangeIncludes: "http://schema.org/URL".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :embeddedTextCaption,
      comment: "Represents textual captioning from a [[MediaObject]], e.g. text of a 'meme'.".freeze,
      domainIncludes: ["http://schema.org/AudioObject".freeze, "http://schema.org/ImageObject".freeze, "http://schema.org/VideoObject".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2450".freeze,
      label: "embeddedTextCaption".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      subPropertyOf: "http://schema.org/caption".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :emissionsCO2,
      comment: "The CO2 emissions in g/km. When used in combination with a QuantitativeValue, put \"g/km\" into the unitText property of that value, since there is no UN/CEFACT Common Code for \"g/km\".".freeze,
      domainIncludes: "http://schema.org/Vehicle".freeze,
      "http://schema.org/isPartOf": "http://auto.schema.org".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "emissionsCO2".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :employee,
      comment: "Someone working for this organization.".freeze,
      domainIncludes: "http://schema.org/Organization".freeze,
      label: "employee".freeze,
      rangeIncludes: "http://schema.org/Person".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :employees,
      comment: "People working for this organization.".freeze,
      domainIncludes: "http://schema.org/Organization".freeze,
      "http://schema.org/supersededBy": "http://schema.org/employee".freeze,
      label: "employees".freeze,
      rangeIncludes: "http://schema.org/Person".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :employerOverview,
      comment: "A description of the employer, career opportunities and work environment for this position.".freeze,
      domainIncludes: "http://schema.org/JobPosting".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2396".freeze,
      label: "employerOverview".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :employmentType,
      comment: "Type of employment (e.g. full-time, part-time, contract, temporary, seasonal, internship).".freeze,
      domainIncludes: "http://schema.org/JobPosting".freeze,
      label: "employmentType".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :employmentUnit,
      comment: "Indicates the department, unit and/or facility where the employee reports and/or in which the job is to be performed.".freeze,
      domainIncludes: "http://schema.org/JobPosting".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2296".freeze,
      label: "employmentUnit".freeze,
      rangeIncludes: "http://schema.org/Organization".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :encodesBioChemEntity,
      comment: "Another BioChemEntity encoded by this one. ".freeze,
      domainIncludes: "http://schema.org/Gene".freeze,
      "http://purl.org/dc/terms/source": "http://www.bioschemas.org/Gene".freeze,
      "http://schema.org/inverseOf": "http://schema.org/isEncodedByBioChemEntity".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      label: "encodesBioChemEntity".freeze,
      rangeIncludes: "http://schema.org/BioChemEntity".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :encodesCreativeWork,
      comment: "The CreativeWork encoded by this media object.".freeze,
      domainIncludes: "http://schema.org/MediaObject".freeze,
      "http://schema.org/inverseOf": "http://schema.org/encoding".freeze,
      label: "encodesCreativeWork".freeze,
      rangeIncludes: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :encoding,
      comment: "A media object that encodes this CreativeWork. This property is a synonym for associatedMedia.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      "http://schema.org/inverseOf": "http://schema.org/encodesCreativeWork".freeze,
      label: "encoding".freeze,
      rangeIncludes: "http://schema.org/MediaObject".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :encodingFormat,
      comment: "Media type typically expressed using a MIME format (see [IANA site](http://www.iana.org/assignments/media-types/media-types.xhtml) and [MDN reference](https://developer.mozilla.org/en-US/docs/Web/HTTP/Basics_of_HTTP/MIME_types)) e.g. application/zip for a SoftwareApplication binary, audio/mpeg for .mp3 etc.).\n\nIn cases where a [[CreativeWork]] has several media type representations, [[encoding]] can be used to indicate each [[MediaObject]] alongside particular [[encodingFormat]] information.\n\nUnregistered or niche encoding and file formats can be indicated instead via the most appropriate URL, e.g. defining Web page or a Wikipedia/Wikidata entry.".freeze,
      domainIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/MediaObject".freeze],
      label: "encodingFormat".freeze,
      rangeIncludes: ["http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :encodingType,
      comment: "The supported encoding type(s) for an EntryPoint request.".freeze,
      domainIncludes: "http://schema.org/EntryPoint".freeze,
      label: "encodingType".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :encodings,
      comment: "A media object that encodes this CreativeWork.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      "http://schema.org/supersededBy": "http://schema.org/encoding".freeze,
      label: "encodings".freeze,
      rangeIncludes: "http://schema.org/MediaObject".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :endDate,
      comment: "The end date and time of the item (in [ISO 8601 date format](http://en.wikipedia.org/wiki/ISO_8601)).".freeze,
      domainIncludes: ["http://schema.org/CreativeWorkSeason".freeze, "http://schema.org/CreativeWorkSeries".freeze, "http://schema.org/DatedMoneySpecification".freeze, "http://schema.org/EducationalOccupationalProgram".freeze, "http://schema.org/Event".freeze, "http://schema.org/MerchantReturnPolicySeasonalOverride".freeze, "http://schema.org/Role".freeze, "http://schema.org/Schedule".freeze],
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2486".freeze,
      label: "endDate".freeze,
      rangeIncludes: ["http://schema.org/Date".freeze, "http://schema.org/DateTime".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :endOffset,
      comment: "The end time of the clip expressed as the number of seconds from the beginning of the work.".freeze,
      domainIncludes: "http://schema.org/Clip".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2021".freeze,
      label: "endOffset".freeze,
      rangeIncludes: ["http://schema.org/HyperTocEntry".freeze, "http://schema.org/Number".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :endTime,
      comment: "The endTime of something. For a reserved event or service (e.g. FoodEstablishmentReservation), the time that it is expected to end. For actions that span a period of time, when the action was performed. e.g. John wrote a book from January to *December*. For media, including audio and video, it's the time offset of the end of a clip within a larger file.\\n\\nNote that Event uses startDate/endDate instead of startTime/endTime, even when describing dates with times. This situation may be clarified in future revisions.".freeze,
      domainIncludes: ["http://schema.org/Action".freeze, "http://schema.org/FoodEstablishmentReservation".freeze, "http://schema.org/InteractionCounter".freeze, "http://schema.org/MediaObject".freeze, "http://schema.org/Schedule".freeze],
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2493".freeze,
      label: "endTime".freeze,
      rangeIncludes: ["http://schema.org/DateTime".freeze, "http://schema.org/Time".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :endorsee,
      comment: "A sub property of participant. The person/organization being supported.".freeze,
      domainIncludes: "http://schema.org/EndorseAction".freeze,
      label: "endorsee".freeze,
      rangeIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      subPropertyOf: "http://schema.org/participant".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :endorsers,
      comment: "People or organizations that endorse the plan.".freeze,
      domainIncludes: "http://schema.org/Diet".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "endorsers".freeze,
      rangeIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :energyEfficiencyScaleMax,
      comment: "Specifies the most energy efficient class on the regulated EU energy consumption scale for the product category a product belongs to. For example, energy consumption for televisions placed on the market after January 1, 2020 is scaled from D to A+++.".freeze,
      domainIncludes: "http://schema.org/EnergyConsumptionDetails".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2670".freeze,
      label: "energyEfficiencyScaleMax".freeze,
      rangeIncludes: "http://schema.org/EUEnergyEfficiencyEnumeration".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :energyEfficiencyScaleMin,
      comment: "Specifies the least energy efficient class on the regulated EU energy consumption scale for the product category a product belongs to. For example, energy consumption for televisions placed on the market after January 1, 2020 is scaled from D to A+++.".freeze,
      domainIncludes: "http://schema.org/EnergyConsumptionDetails".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2670".freeze,
      label: "energyEfficiencyScaleMin".freeze,
      rangeIncludes: "http://schema.org/EUEnergyEfficiencyEnumeration".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :engineDisplacement,
      comment: "The volume swept by all of the pistons inside the cylinders of an internal combustion engine in a single movement. \\n\\nTypical unit code(s): CMQ for cubic centimeter, LTR for liters, INQ for cubic inches\\n* Note 1: You can link to information about how the given value has been determined using the [[valueReference]] property.\\n* Note 2: You can use [[minValue]] and [[maxValue]] to indicate ranges.".freeze,
      domainIncludes: "http://schema.org/EngineSpecification".freeze,
      "http://schema.org/isPartOf": "http://auto.schema.org".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "engineDisplacement".freeze,
      rangeIncludes: "http://schema.org/QuantitativeValue".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :enginePower,
      comment: "The power of the vehicle's engine.\n    Typical unit code(s): KWT for kilowatt, BHP for brake horsepower, N12 for metric horsepower (PS, with 1 PS = 735,49875 W)\\n\\n* Note 1: There are many different ways of measuring an engine's power. For an overview, see  [http://en.wikipedia.org/wiki/Horsepower#Engine_power_test_codes](http://en.wikipedia.org/wiki/Horsepower#Engine_power_test_codes).\\n* Note 2: You can link to information about how the given value has been determined using the [[valueReference]] property.\\n* Note 3: You can use [[minValue]] and [[maxValue]] to indicate ranges.".freeze,
      domainIncludes: "http://schema.org/EngineSpecification".freeze,
      "http://schema.org/isPartOf": "http://auto.schema.org".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "enginePower".freeze,
      rangeIncludes: "http://schema.org/QuantitativeValue".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :engineType,
      comment: "The type of engine or engines powering the vehicle.".freeze,
      domainIncludes: "http://schema.org/EngineSpecification".freeze,
      "http://schema.org/isPartOf": "http://auto.schema.org".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "engineType".freeze,
      rangeIncludes: ["http://schema.org/QualitativeValue".freeze, "http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :entertainmentBusiness,
      comment: "A sub property of location. The entertainment business where the action occurred.".freeze,
      domainIncludes: "http://schema.org/PerformAction".freeze,
      label: "entertainmentBusiness".freeze,
      rangeIncludes: "http://schema.org/EntertainmentBusiness".freeze,
      subPropertyOf: "http://schema.org/location".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :epidemiology,
      comment: "The characteristics of associated patients, such as age, gender, race etc.".freeze,
      domainIncludes: ["http://schema.org/MedicalCondition".freeze, "http://schema.org/PhysicalActivity".freeze],
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "epidemiology".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :episode,
      comment: "An episode of a tv, radio or game media within a series or season.".freeze,
      domainIncludes: ["http://schema.org/CreativeWorkSeason".freeze, "http://schema.org/RadioSeries".freeze, "http://schema.org/TVSeries".freeze, "http://schema.org/VideoGameSeries".freeze],
      label: "episode".freeze,
      rangeIncludes: "http://schema.org/Episode".freeze,
      subPropertyOf: "http://schema.org/hasPart".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :episodeNumber,
      comment: "Position of the episode within an ordered group of episodes.".freeze,
      domainIncludes: "http://schema.org/Episode".freeze,
      label: "episodeNumber".freeze,
      rangeIncludes: ["http://schema.org/Integer".freeze, "http://schema.org/Text".freeze],
      subPropertyOf: "http://schema.org/position".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :episodes,
      comment: "An episode of a TV/radio series or season.".freeze,
      domainIncludes: ["http://schema.org/CreativeWorkSeason".freeze, "http://schema.org/RadioSeries".freeze, "http://schema.org/TVSeries".freeze, "http://schema.org/VideoGameSeries".freeze],
      "http://schema.org/supersededBy": "http://schema.org/episode".freeze,
      label: "episodes".freeze,
      rangeIncludes: "http://schema.org/Episode".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :equal,
      comment: "This ordering relation for qualitative values indicates that the subject is equal to the object.".freeze,
      domainIncludes: "http://schema.org/QualitativeValue".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "equal".freeze,
      rangeIncludes: "http://schema.org/QualitativeValue".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :error,
      comment: "For failed actions, more information on the cause of the failure.".freeze,
      domainIncludes: "http://schema.org/Action".freeze,
      label: "error".freeze,
      rangeIncludes: "http://schema.org/Thing".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :estimatedCost,
      comment: "The estimated cost of the supply or supplies consumed when performing instructions.".freeze,
      domainIncludes: ["http://schema.org/HowTo".freeze, "http://schema.org/HowToSupply".freeze],
      label: "estimatedCost".freeze,
      rangeIncludes: ["http://schema.org/MonetaryAmount".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :estimatedFlightDuration,
      comment: "The estimated time the flight will take.".freeze,
      domainIncludes: "http://schema.org/Flight".freeze,
      label: "estimatedFlightDuration".freeze,
      rangeIncludes: ["http://schema.org/Duration".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :estimatedSalary,
      comment: "An estimated salary for a job posting or occupation, based on a variety of variables including, but not limited to industry, job title, and location. Estimated salaries  are often computed by outside organizations rather than the hiring organization, who may not have committed to the estimated value.".freeze,
      domainIncludes: ["http://schema.org/JobPosting".freeze, "http://schema.org/Occupation".freeze],
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1698".freeze,
      label: "estimatedSalary".freeze,
      rangeIncludes: ["http://schema.org/MonetaryAmount".freeze, "http://schema.org/MonetaryAmountDistribution".freeze, "http://schema.org/Number".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :estimatesRiskOf,
      comment: "The condition, complication, or symptom whose risk is being estimated.".freeze,
      domainIncludes: "http://schema.org/MedicalRiskEstimator".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "estimatesRiskOf".freeze,
      rangeIncludes: "http://schema.org/MedicalEntity".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :ethicsPolicy,
      comment: "Statement about ethics policy, e.g. of a [[NewsMediaOrganization]] regarding journalistic and publishing practices, or of a [[Restaurant]], a page describing food source policies. In the case of a [[NewsMediaOrganization]], an ethicsPolicy is typically a statement describing the personal, organizational, and corporate standards of behavior expected by the organization.".freeze,
      domainIncludes: ["http://schema.org/NewsMediaOrganization".freeze, "http://schema.org/Organization".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1525".freeze,
      label: "ethicsPolicy".freeze,
      rangeIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :event,
      comment: "Upcoming or past event associated with this place, organization, or action.".freeze,
      domainIncludes: ["http://schema.org/InformAction".freeze, "http://schema.org/InviteAction".freeze, "http://schema.org/JoinAction".freeze, "http://schema.org/LeaveAction".freeze, "http://schema.org/Organization".freeze, "http://schema.org/Place".freeze, "http://schema.org/PlayAction".freeze],
      label: "event".freeze,
      rangeIncludes: "http://schema.org/Event".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :eventAttendanceMode,
      comment: "The eventAttendanceMode of an event indicates whether it occurs online, offline, or a mix.".freeze,
      domainIncludes: "http://schema.org/Event".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1842".freeze,
      label: "eventAttendanceMode".freeze,
      rangeIncludes: "http://schema.org/EventAttendanceModeEnumeration".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :eventSchedule,
      comment: "Associates an [[Event]] with a [[Schedule]]. There are circumstances where it is preferable to share a schedule for a series of\n      repeating events rather than data on the individual events themselves. For example, a website or application might prefer to publish a schedule for a weekly\n      gym class rather than provide data on every event. A schedule could be processed by applications to add forthcoming events to a calendar. An [[Event]] that\n      is associated with a [[Schedule]] using this property should not have [[startDate]] or [[endDate]] properties. These are instead defined within the associated\n      [[Schedule]], this avoids any ambiguity for clients using the data. The property might have repeated values to specify different schedules, e.g. for different months\n      or seasons.".freeze,
      domainIncludes: "http://schema.org/Event".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1457".freeze,
      label: "eventSchedule".freeze,
      rangeIncludes: "http://schema.org/Schedule".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :eventStatus,
      comment: "An eventStatus of an event represents its status; particularly useful when an event is cancelled or rescheduled.".freeze,
      domainIncludes: "http://schema.org/Event".freeze,
      label: "eventStatus".freeze,
      rangeIncludes: "http://schema.org/EventStatusType".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :events,
      comment: "Upcoming or past events associated with this place or organization.".freeze,
      domainIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Place".freeze],
      "http://schema.org/supersededBy": "http://schema.org/event".freeze,
      label: "events".freeze,
      rangeIncludes: "http://schema.org/Event".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :evidenceLevel,
      comment: "Strength of evidence of the data used to formulate the guideline (enumerated).".freeze,
      domainIncludes: "http://schema.org/MedicalGuideline".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "evidenceLevel".freeze,
      rangeIncludes: "http://schema.org/MedicalEvidenceLevel".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :evidenceOrigin,
      comment: "Source of the data used to formulate the guidance, e.g. RCT, consensus opinion, etc.".freeze,
      domainIncludes: "http://schema.org/MedicalGuideline".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "evidenceOrigin".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :exampleOfWork,
      comment: "A creative work that this work is an example/instance/realization/derivation of.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      "http://schema.org/inverseOf": "http://schema.org/workExample".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_bibex".freeze,
      label: "exampleOfWork".freeze,
      rangeIncludes: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :exceptDate,
      comment: "Defines a [[Date]] or [[DateTime]] during which a scheduled [[Event]] will not take place. The property allows exceptions to\n      a [[Schedule]] to be specified. If an exception is specified as a [[DateTime]] then only the event that would have started at that specific date and time\n      should be excluded from the schedule. If an exception is specified as a [[Date]] then any event that is scheduled for that 24 hour period should be\n      excluded from the schedule. This allows a whole day to be excluded from the schedule without having to itemise every scheduled event.".freeze,
      domainIncludes: "http://schema.org/Schedule".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1457".freeze,
      label: "exceptDate".freeze,
      rangeIncludes: ["http://schema.org/Date".freeze, "http://schema.org/DateTime".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :exchangeRateSpread,
      comment: "The difference between the price at which a broker or other intermediary buys and sells foreign currency.".freeze,
      domainIncludes: "http://schema.org/ExchangeRateSpecification".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FIBO".freeze, "https://github.com/schemaorg/schemaorg/issues/1253".freeze],
      label: "exchangeRateSpread".freeze,
      rangeIncludes: ["http://schema.org/MonetaryAmount".freeze, "http://schema.org/Number".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :executableLibraryName,
      comment: "Library file name e.g., mscorlib.dll, system.web.dll.".freeze,
      domainIncludes: "http://schema.org/APIReference".freeze,
      label: "executableLibraryName".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :exerciseCourse,
      comment: "A sub property of location. The course where this action was taken.".freeze,
      domainIncludes: "http://schema.org/ExerciseAction".freeze,
      label: "exerciseCourse".freeze,
      rangeIncludes: "http://schema.org/Place".freeze,
      subPropertyOf: "http://schema.org/location".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :exercisePlan,
      comment: "A sub property of instrument. The exercise plan used on this action.".freeze,
      domainIncludes: "http://schema.org/ExerciseAction".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "exercisePlan".freeze,
      rangeIncludes: "http://schema.org/ExercisePlan".freeze,
      subPropertyOf: "http://schema.org/instrument".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :exerciseRelatedDiet,
      comment: "A sub property of instrument. The diet used in this action.".freeze,
      domainIncludes: "http://schema.org/ExerciseAction".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "exerciseRelatedDiet".freeze,
      rangeIncludes: "http://schema.org/Diet".freeze,
      subPropertyOf: "http://schema.org/instrument".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :exerciseType,
      comment: "Type(s) of exercise or activity, such as strength training, flexibility training, aerobics, cardiac rehabilitation, etc.".freeze,
      domainIncludes: ["http://schema.org/ExerciseAction".freeze, "http://schema.org/ExercisePlan".freeze],
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "exerciseType".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :exifData,
      comment: "exif data for this object.".freeze,
      domainIncludes: "http://schema.org/ImageObject".freeze,
      label: "exifData".freeze,
      rangeIncludes: ["http://schema.org/PropertyValue".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :expectedArrivalFrom,
      comment: "The earliest date the package may arrive.".freeze,
      domainIncludes: "http://schema.org/ParcelDelivery".freeze,
      label: "expectedArrivalFrom".freeze,
      rangeIncludes: ["http://schema.org/Date".freeze, "http://schema.org/DateTime".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :expectedArrivalUntil,
      comment: "The latest date the package may arrive.".freeze,
      domainIncludes: "http://schema.org/ParcelDelivery".freeze,
      label: "expectedArrivalUntil".freeze,
      rangeIncludes: ["http://schema.org/Date".freeze, "http://schema.org/DateTime".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :expectedPrognosis,
      comment: "The likely outcome in either the short term or long term of the medical condition.".freeze,
      domainIncludes: "http://schema.org/MedicalCondition".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "expectedPrognosis".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :expectsAcceptanceOf,
      comment: "An Offer which must be accepted before the user can perform the Action. For example, the user may need to buy a movie before being able to watch it.".freeze,
      domainIncludes: ["http://schema.org/ActionAccessSpecification".freeze, "http://schema.org/ConsumeAction".freeze, "http://schema.org/MediaSubscription".freeze],
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1741".freeze,
      label: "expectsAcceptanceOf".freeze,
      rangeIncludes: "http://schema.org/Offer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :experienceInPlaceOfEducation,
      comment: "Indicates whether a [[JobPosting]] will accept experience (as indicated by [[OccupationalExperienceRequirements]]) in place of its formal educational qualifications (as indicated by [[educationRequirements]]). If true, indicates that satisfying one of these requirements is sufficient.".freeze,
      domainIncludes: "http://schema.org/JobPosting".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2681".freeze,
      label: "experienceInPlaceOfEducation".freeze,
      rangeIncludes: "http://schema.org/Boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :experienceRequirements,
      comment: "Description of skills and experience needed for the position or Occupation.".freeze,
      domainIncludes: ["http://schema.org/JobPosting".freeze, "http://schema.org/Occupation".freeze],
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1698".freeze,
      label: "experienceRequirements".freeze,
      rangeIncludes: ["http://schema.org/OccupationalExperienceRequirements".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :expertConsiderations,
      comment: "Medical expert advice related to the plan.".freeze,
      domainIncludes: "http://schema.org/Diet".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "expertConsiderations".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :expires,
      comment: "Date the content expires and is no longer useful or available. For example a [[VideoObject]] or [[NewsArticle]] whose availability or relevance is time-limited, or a [[ClaimReview]] fact check whose publisher wants to indicate that it may no longer be relevant (or helpful to highlight) after some date.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      label: "expires".freeze,
      rangeIncludes: "http://schema.org/Date".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :expressedIn,
      comment: "Tissue, organ, biological sample, etc in which activity of this gene has been observed experimentally. For example brain, digestive system.".freeze,
      domainIncludes: "http://schema.org/Gene".freeze,
      "http://purl.org/dc/terms/source": "http://www.bioschemas.org/Gene".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      label: "expressedIn".freeze,
      rangeIncludes: ["http://schema.org/AnatomicalStructure".freeze, "http://schema.org/AnatomicalSystem".freeze, "http://schema.org/BioChemEntity".freeze, "http://schema.org/DefinedTerm".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :familyName,
      comment: "Family name. In the U.S., the last name of a Person.".freeze,
      domainIncludes: "http://schema.org/Person".freeze,
      label: "familyName".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :fatContent,
      comment: "The number of grams of fat.".freeze,
      domainIncludes: "http://schema.org/NutritionInformation".freeze,
      label: "fatContent".freeze,
      rangeIncludes: "http://schema.org/Mass".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :faxNumber,
      comment: "The fax number.".freeze,
      domainIncludes: ["http://schema.org/ContactPoint".freeze, "http://schema.org/Organization".freeze, "http://schema.org/Person".freeze, "http://schema.org/Place".freeze],
      label: "faxNumber".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :featureList,
      comment: "Features or modules provided by this application (and possibly required by other applications).".freeze,
      domainIncludes: "http://schema.org/SoftwareApplication".freeze,
      label: "featureList".freeze,
      rangeIncludes: ["http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :feesAndCommissionsSpecification,
      comment: "Description of fees, commissions, and other terms applied either to a class of financial product, or by a financial service organization.".freeze,
      domainIncludes: ["http://schema.org/FinancialProduct".freeze, "http://schema.org/FinancialService".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FIBO".freeze,
      label: "feesAndCommissionsSpecification".freeze,
      rangeIncludes: ["http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :fiberContent,
      comment: "The number of grams of fiber.".freeze,
      domainIncludes: "http://schema.org/NutritionInformation".freeze,
      label: "fiberContent".freeze,
      rangeIncludes: "http://schema.org/Mass".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :fileFormat,
      comment: "Media type, typically MIME format (see [IANA site](http://www.iana.org/assignments/media-types/media-types.xhtml)) of the content e.g. application/zip of a SoftwareApplication binary. In cases where a CreativeWork has several media type representations, 'encoding' can be used to indicate each MediaObject alongside particular fileFormat information. Unregistered or niche file formats can be indicated instead via the most appropriate URL, e.g. defining Web page or a Wikipedia entry.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      "http://schema.org/supersededBy": "http://schema.org/encodingFormat".freeze,
      label: "fileFormat".freeze,
      rangeIncludes: ["http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :fileSize,
      comment: "Size of the application / package (e.g. 18MB). In the absence of a unit (MB, KB etc.), KB will be assumed.".freeze,
      domainIncludes: "http://schema.org/SoftwareApplication".freeze,
      label: "fileSize".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :financialAidEligible,
      comment: "A financial aid type or program which students may use to pay for tuition or fees associated with the program.".freeze,
      domainIncludes: "http://schema.org/EducationalOccupationalProgram".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2418".freeze,
      label: "financialAidEligible".freeze,
      rangeIncludes: ["http://schema.org/DefinedTerm".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :firstAppearance,
      comment: "Indicates the first known occurence of a [[Claim]] in some [[CreativeWork]].".freeze,
      domainIncludes: "http://schema.org/Claim".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1828".freeze,
      label: "firstAppearance".freeze,
      rangeIncludes: "http://schema.org/CreativeWork".freeze,
      subPropertyOf: "http://schema.org/workExample".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :firstPerformance,
      comment: "The date and place the work was first performed.".freeze,
      domainIncludes: "http://schema.org/MusicComposition".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#MBZ".freeze,
      label: "firstPerformance".freeze,
      rangeIncludes: "http://schema.org/Event".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :flightDistance,
      comment: "The distance of the flight.".freeze,
      domainIncludes: "http://schema.org/Flight".freeze,
      label: "flightDistance".freeze,
      rangeIncludes: ["http://schema.org/Distance".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :flightNumber,
      comment: "The unique identifier for a flight including the airline IATA code. For example, if describing United flight 110, where the IATA code for United is 'UA', the flightNumber is 'UA110'.".freeze,
      domainIncludes: "http://schema.org/Flight".freeze,
      label: "flightNumber".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      subPropertyOf: "http://schema.org/identifier".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :floorLevel,
      comment: "The floor level for an [[Accommodation]] in a multi-storey building. Since counting\n  systems [vary internationally](https://en.wikipedia.org/wiki/Storey#Consecutive_number_floor_designations), the local system should be used where possible.".freeze,
      domainIncludes: "http://schema.org/Accommodation".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2373".freeze,
      label: "floorLevel".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :floorLimit,
      comment: "A floor limit is the amount of money above which credit card transactions must be authorized.".freeze,
      domainIncludes: "http://schema.org/PaymentCard".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FIBO".freeze, "https://github.com/schemaorg/schemaorg/issues/1253".freeze],
      label: "floorLimit".freeze,
      rangeIncludes: "http://schema.org/MonetaryAmount".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :floorSize,
      comment: "The size of the accommodation, e.g. in square meter or squarefoot.\nTypical unit code(s): MTK for square meter, FTK for square foot, or YDK for square yard ".freeze,
      domainIncludes: ["http://schema.org/Accommodation".freeze, "http://schema.org/FloorPlan".freeze],
      "http://schema.org/source": "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#STI_Accommodation_Ontology".freeze,
      label: "floorSize".freeze,
      rangeIncludes: "http://schema.org/QuantitativeValue".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :followee,
      comment: "A sub property of object. The person or organization being followed.".freeze,
      domainIncludes: "http://schema.org/FollowAction".freeze,
      label: "followee".freeze,
      rangeIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      subPropertyOf: "http://schema.org/object".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :follows,
      comment: "The most generic uni-directional social relation.".freeze,
      domainIncludes: "http://schema.org/Person".freeze,
      label: "follows".freeze,
      rangeIncludes: "http://schema.org/Person".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :followup,
      comment: "Typical or recommended followup care after the procedure is performed.".freeze,
      domainIncludes: "http://schema.org/MedicalProcedure".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "followup".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :foodEstablishment,
      comment: "A sub property of location. The specific food establishment where the action occurred.".freeze,
      domainIncludes: "http://schema.org/CookAction".freeze,
      label: "foodEstablishment".freeze,
      rangeIncludes: ["http://schema.org/FoodEstablishment".freeze, "http://schema.org/Place".freeze],
      subPropertyOf: "http://schema.org/location".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :foodEvent,
      comment: "A sub property of location. The specific food event where the action occurred.".freeze,
      domainIncludes: "http://schema.org/CookAction".freeze,
      label: "foodEvent".freeze,
      rangeIncludes: "http://schema.org/FoodEvent".freeze,
      subPropertyOf: "http://schema.org/location".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :foodWarning,
      comment: "Any precaution, guidance, contraindication, etc. related to consumption of specific foods while taking this drug.".freeze,
      domainIncludes: "http://schema.org/Drug".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "foodWarning".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :founder,
      comment: "A person who founded this organization.".freeze,
      domainIncludes: "http://schema.org/Organization".freeze,
      label: "founder".freeze,
      rangeIncludes: "http://schema.org/Person".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :founders,
      comment: "A person who founded this organization.".freeze,
      domainIncludes: "http://schema.org/Organization".freeze,
      "http://schema.org/supersededBy": "http://schema.org/founder".freeze,
      label: "founders".freeze,
      rangeIncludes: "http://schema.org/Person".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :foundingDate,
      comment: "The date that this organization was founded.".freeze,
      domainIncludes: "http://schema.org/Organization".freeze,
      label: "foundingDate".freeze,
      rangeIncludes: "http://schema.org/Date".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :foundingLocation,
      comment: "The place where the Organization was founded.".freeze,
      domainIncludes: "http://schema.org/Organization".freeze,
      label: "foundingLocation".freeze,
      rangeIncludes: "http://schema.org/Place".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :free,
      comment: "A flag to signal that the item, event, or place is accessible for free.".freeze,
      domainIncludes: "http://schema.org/PublicationEvent".freeze,
      "http://schema.org/supersededBy": "http://schema.org/isAccessibleForFree".freeze,
      label: "free".freeze,
      rangeIncludes: "http://schema.org/Boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :freeShippingThreshold,
      comment: "A monetary value above which (or equal to) the shipping rate becomes free. Intended to be used via an [[OfferShippingDetails]] with [[shippingSettingsLink]] matching this [[ShippingRateSettings]].".freeze,
      domainIncludes: "http://schema.org/ShippingRateSettings".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2506".freeze,
      label: "freeShippingThreshold".freeze,
      rangeIncludes: ["http://schema.org/DeliveryChargeSpecification".freeze, "http://schema.org/MonetaryAmount".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :frequency,
      comment: "How often the dose is taken, e.g. 'daily'.".freeze,
      domainIncludes: "http://schema.org/DoseSchedule".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "frequency".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :fromLocation,
      comment: "A sub property of location. The original location of the object or the agent before the action.".freeze,
      domainIncludes: ["http://schema.org/ExerciseAction".freeze, "http://schema.org/MoveAction".freeze, "http://schema.org/TransferAction".freeze],
      label: "fromLocation".freeze,
      rangeIncludes: "http://schema.org/Place".freeze,
      subPropertyOf: "http://schema.org/location".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :fuelCapacity,
      comment: "The capacity of the fuel tank or in the case of electric cars, the battery. If there are multiple components for storage, this should indicate the total of all storage of the same type.\\n\\nTypical unit code(s): LTR for liters, GLL of US gallons, GLI for UK / imperial gallons, AMH for ampere-hours (for electrical vehicles).".freeze,
      domainIncludes: "http://schema.org/Vehicle".freeze,
      "http://schema.org/isPartOf": "http://auto.schema.org".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "fuelCapacity".freeze,
      rangeIncludes: "http://schema.org/QuantitativeValue".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :fuelConsumption,
      comment: "The amount of fuel consumed for traveling a particular distance or temporal duration with the given vehicle (e.g. liters per 100 km).\\n\\n* Note 1: There are unfortunately no standard unit codes for liters per 100 km.  Use [[unitText]] to indicate the unit of measurement, e.g. L/100 km.\\n* Note 2: There are two ways of indicating the fuel consumption, [[fuelConsumption]] (e.g. 8 liters per 100 km) and [[fuelEfficiency]] (e.g. 30 miles per gallon). They are reciprocal.\\n* Note 3: Often, the absolute value is useful only when related to driving speed (\"at 80 km/h\") or usage pattern (\"city traffic\"). You can use [[valueReference]] to link the value for the fuel consumption to another value.".freeze,
      domainIncludes: "http://schema.org/Vehicle".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "fuelConsumption".freeze,
      rangeIncludes: "http://schema.org/QuantitativeValue".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :fuelEfficiency,
      comment: "The distance traveled per unit of fuel used; most commonly miles per gallon (mpg) or kilometers per liter (km/L).\\n\\n* Note 1: There are unfortunately no standard unit codes for miles per gallon or kilometers per liter. Use [[unitText]] to indicate the unit of measurement, e.g. mpg or km/L.\\n* Note 2: There are two ways of indicating the fuel consumption, [[fuelConsumption]] (e.g. 8 liters per 100 km) and [[fuelEfficiency]] (e.g. 30 miles per gallon). They are reciprocal.\\n* Note 3: Often, the absolute value is useful only when related to driving speed (\"at 80 km/h\") or usage pattern (\"city traffic\"). You can use [[valueReference]] to link the value for the fuel economy to another value.".freeze,
      domainIncludes: "http://schema.org/Vehicle".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "fuelEfficiency".freeze,
      rangeIncludes: "http://schema.org/QuantitativeValue".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :fuelType,
      comment: "The type of fuel suitable for the engine or engines of the vehicle. If the vehicle has only one engine, this property can be attached directly to the vehicle.".freeze,
      domainIncludes: ["http://schema.org/EngineSpecification".freeze, "http://schema.org/Vehicle".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "fuelType".freeze,
      rangeIncludes: ["http://schema.org/QualitativeValue".freeze, "http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :functionalClass,
      comment: "The degree of mobility the joint allows.".freeze,
      domainIncludes: "http://schema.org/Joint".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "functionalClass".freeze,
      rangeIncludes: ["http://schema.org/MedicalEntity".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :fundedItem,
      comment: "Indicates an item funded or sponsored through a [[Grant]].".freeze,
      domainIncludes: "http://schema.org/Grant".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["https://github.com/schemaorg/schemaorg/issues/1950".freeze, "https://github.com/schemaorg/schemaorg/issues/383".freeze, "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#TP".freeze],
      label: "fundedItem".freeze,
      rangeIncludes: "http://schema.org/Thing".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :funder,
      comment: "A person or organization that supports (sponsors) something through some kind of financial contribution.".freeze,
      domainIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/Event".freeze, "http://schema.org/MonetaryGrant".freeze, "http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      label: "funder".freeze,
      rangeIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      subPropertyOf: "http://schema.org/sponsor".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :game,
      comment: "Video game which is played on this server.".freeze,
      domainIncludes: "http://schema.org/GameServer".freeze,
      "http://schema.org/inverseOf": "http://schema.org/gameServer".freeze,
      label: "game".freeze,
      rangeIncludes: "http://schema.org/VideoGame".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :gameItem,
      comment: "An item is an object within the game world that can be collected by a player or, occasionally, a non-player character.".freeze,
      domainIncludes: ["http://schema.org/Game".freeze, "http://schema.org/VideoGameSeries".freeze],
      label: "gameItem".freeze,
      rangeIncludes: "http://schema.org/Thing".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :gameLocation,
      comment: "Real or fictional location of the game (or part of game).".freeze,
      domainIncludes: ["http://schema.org/Game".freeze, "http://schema.org/VideoGameSeries".freeze],
      label: "gameLocation".freeze,
      rangeIncludes: ["http://schema.org/Place".freeze, "http://schema.org/PostalAddress".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :gamePlatform,
      comment: "The electronic systems used to play <a href=\"http://en.wikipedia.org/wiki/Category:Video_game_platforms\">video games</a>.".freeze,
      domainIncludes: ["http://schema.org/VideoGame".freeze, "http://schema.org/VideoGameSeries".freeze],
      label: "gamePlatform".freeze,
      rangeIncludes: ["http://schema.org/Text".freeze, "http://schema.org/Thing".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :gameServer,
      comment: "The server on which  it is possible to play the game.".freeze,
      domainIncludes: "http://schema.org/VideoGame".freeze,
      "http://schema.org/inverseOf": "http://schema.org/game".freeze,
      label: "gameServer".freeze,
      rangeIncludes: "http://schema.org/GameServer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :gameTip,
      comment: "Links to tips, tactics, etc.".freeze,
      domainIncludes: "http://schema.org/VideoGame".freeze,
      label: "gameTip".freeze,
      rangeIncludes: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :gender,
      comment: "Gender of something, typically a [[Person]], but possibly also fictional characters, animals, etc. While http://schema.org/Male and http://schema.org/Female may be used, text strings are also acceptable for people who do not identify as a binary gender. The [[gender]] property can also be used in an extended sense to cover e.g. the gender of sports teams. As with the gender of individuals, we do not try to enumerate all possibilities. A mixed-gender [[SportsTeam]] can be indicated with a text value of \"Mixed\".".freeze,
      domainIncludes: ["http://schema.org/Person".freeze, "http://schema.org/SportsTeam".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2341".freeze,
      label: "gender".freeze,
      rangeIncludes: ["http://schema.org/GenderType".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :genre,
      comment: "Genre of the creative work, broadcast channel or group.".freeze,
      domainIncludes: ["http://schema.org/BroadcastChannel".freeze, "http://schema.org/CreativeWork".freeze, "http://schema.org/MusicGroup".freeze],
      label: "genre".freeze,
      rangeIncludes: ["http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :geo,
      comment: "The geo coordinates of the place.".freeze,
      domainIncludes: "http://schema.org/Place".freeze,
      label: "geo".freeze,
      rangeIncludes: ["http://schema.org/GeoCoordinates".freeze, "http://schema.org/GeoShape".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :geoContains,
      comment: "Represents a relationship between two geometries (or the places they represent), relating a containing geometry to a contained geometry. \"a contains b iff no points of b lie in the exterior of a, and at least one point of the interior of b lies in the interior of a\". As defined in [DE-9IM](https://en.wikipedia.org/wiki/DE-9IM).".freeze,
      domainIncludes: ["http://schema.org/GeospatialGeometry".freeze, "http://schema.org/Place".freeze],
      label: "geoContains".freeze,
      rangeIncludes: ["http://schema.org/GeospatialGeometry".freeze, "http://schema.org/Place".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :geoCoveredBy,
      comment: "Represents a relationship between two geometries (or the places they represent), relating a geometry to another that covers it. As defined in [DE-9IM](https://en.wikipedia.org/wiki/DE-9IM).".freeze,
      domainIncludes: ["http://schema.org/GeospatialGeometry".freeze, "http://schema.org/Place".freeze],
      label: "geoCoveredBy".freeze,
      rangeIncludes: ["http://schema.org/GeospatialGeometry".freeze, "http://schema.org/Place".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :geoCovers,
      comment: "Represents a relationship between two geometries (or the places they represent), relating a covering geometry to a covered geometry. \"Every point of b is a point of (the interior or boundary of) a\". As defined in [DE-9IM](https://en.wikipedia.org/wiki/DE-9IM).".freeze,
      domainIncludes: ["http://schema.org/GeospatialGeometry".freeze, "http://schema.org/Place".freeze],
      label: "geoCovers".freeze,
      rangeIncludes: ["http://schema.org/GeospatialGeometry".freeze, "http://schema.org/Place".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :geoCrosses,
      comment: "Represents a relationship between two geometries (or the places they represent), relating a geometry to another that crosses it: \"a crosses b: they have some but not all interior points in common, and the dimension of the intersection is less than that of at least one of them\". As defined in [DE-9IM](https://en.wikipedia.org/wiki/DE-9IM).".freeze,
      domainIncludes: ["http://schema.org/GeospatialGeometry".freeze, "http://schema.org/Place".freeze],
      label: "geoCrosses".freeze,
      rangeIncludes: ["http://schema.org/GeospatialGeometry".freeze, "http://schema.org/Place".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :geoDisjoint,
      comment: "Represents spatial relations in which two geometries (or the places they represent) are topologically disjoint: they have no point in common. They form a set of disconnected geometries.\" (a symmetric relationship, as defined in [DE-9IM](https://en.wikipedia.org/wiki/DE-9IM))".freeze,
      domainIncludes: ["http://schema.org/GeospatialGeometry".freeze, "http://schema.org/Place".freeze],
      label: "geoDisjoint".freeze,
      rangeIncludes: ["http://schema.org/GeospatialGeometry".freeze, "http://schema.org/Place".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :geoEquals,
      comment: "Represents spatial relations in which two geometries (or the places they represent) are topologically equal, as defined in [DE-9IM](https://en.wikipedia.org/wiki/DE-9IM). \"Two geometries are topologically equal if their interiors intersect and no part of the interior or boundary of one geometry intersects the exterior of the other\" (a symmetric relationship)".freeze,
      domainIncludes: ["http://schema.org/GeospatialGeometry".freeze, "http://schema.org/Place".freeze],
      label: "geoEquals".freeze,
      rangeIncludes: ["http://schema.org/GeospatialGeometry".freeze, "http://schema.org/Place".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :geoIntersects,
      comment: "Represents spatial relations in which two geometries (or the places they represent) have at least one point in common. As defined in [DE-9IM](https://en.wikipedia.org/wiki/DE-9IM).".freeze,
      domainIncludes: ["http://schema.org/GeospatialGeometry".freeze, "http://schema.org/Place".freeze],
      label: "geoIntersects".freeze,
      rangeIncludes: ["http://schema.org/GeospatialGeometry".freeze, "http://schema.org/Place".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :geoMidpoint,
      comment: "Indicates the GeoCoordinates at the centre of a GeoShape e.g. GeoCircle.".freeze,
      domainIncludes: "http://schema.org/GeoCircle".freeze,
      label: "geoMidpoint".freeze,
      rangeIncludes: "http://schema.org/GeoCoordinates".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :geoOverlaps,
      comment: "Represents a relationship between two geometries (or the places they represent), relating a geometry to another that geospatially overlaps it, i.e. they have some but not all points in common. As defined in [DE-9IM](https://en.wikipedia.org/wiki/DE-9IM).".freeze,
      domainIncludes: ["http://schema.org/GeospatialGeometry".freeze, "http://schema.org/Place".freeze],
      label: "geoOverlaps".freeze,
      rangeIncludes: ["http://schema.org/GeospatialGeometry".freeze, "http://schema.org/Place".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :geoRadius,
      comment: "Indicates the approximate radius of a GeoCircle (metres unless indicated otherwise via Distance notation).".freeze,
      domainIncludes: "http://schema.org/GeoCircle".freeze,
      label: "geoRadius".freeze,
      rangeIncludes: ["http://schema.org/Distance".freeze, "http://schema.org/Number".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :geoTouches,
      comment: "Represents spatial relations in which two geometries (or the places they represent) touch: they have at least one boundary point in common, but no interior points.\" (a symmetric relationship, as defined in [DE-9IM](https://en.wikipedia.org/wiki/DE-9IM) )".freeze,
      domainIncludes: ["http://schema.org/GeospatialGeometry".freeze, "http://schema.org/Place".freeze],
      label: "geoTouches".freeze,
      rangeIncludes: ["http://schema.org/GeospatialGeometry".freeze, "http://schema.org/Place".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :geoWithin,
      comment: "Represents a relationship between two geometries (or the places they represent), relating a geometry to one that contains it, i.e. it is inside (i.e. within) its interior. As defined in [DE-9IM](https://en.wikipedia.org/wiki/DE-9IM).".freeze,
      domainIncludes: ["http://schema.org/GeospatialGeometry".freeze, "http://schema.org/Place".freeze],
      label: "geoWithin".freeze,
      rangeIncludes: ["http://schema.org/GeospatialGeometry".freeze, "http://schema.org/Place".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :geographicArea,
      comment: "The geographic area associated with the audience.".freeze,
      domainIncludes: "http://schema.org/Audience".freeze,
      label: "geographicArea".freeze,
      rangeIncludes: "http://schema.org/AdministrativeArea".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :gettingTestedInfo,
      comment: "Information about getting tested (for a [[MedicalCondition]]), e.g. in the context of a pandemic.".freeze,
      domainIncludes: "http://schema.org/SpecialAnnouncement".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2490".freeze,
      label: "gettingTestedInfo".freeze,
      rangeIncludes: ["http://schema.org/URL".freeze, "http://schema.org/WebContent".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :givenName,
      comment: "Given name. In the U.S., the first name of a Person.".freeze,
      domainIncludes: "http://schema.org/Person".freeze,
      label: "givenName".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :globalLocationNumber,
      comment: "The [Global Location Number](http://www.gs1.org/gln) (GLN, sometimes also referred to as International Location Number or ILN) of the respective organization, person, or place. The GLN is a 13-digit number used to identify parties and physical locations.".freeze,
      domainIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze, "http://schema.org/Place".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "globalLocationNumber".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      subPropertyOf: "http://schema.org/identifier".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :governmentBenefitsInfo,
      comment: "governmentBenefitsInfo provides information about government benefits associated with a SpecialAnnouncement.".freeze,
      domainIncludes: "http://schema.org/SpecialAnnouncement".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2534".freeze,
      label: "governmentBenefitsInfo".freeze,
      rangeIncludes: "http://schema.org/GovernmentService".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :gracePeriod,
      comment: "The period of time after any due date that the borrower has to fulfil its obligations before a default (failure to pay) is deemed to have occurred.".freeze,
      domainIncludes: "http://schema.org/LoanOrCredit".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FIBO".freeze, "https://github.com/schemaorg/schemaorg/issues/1253".freeze],
      label: "gracePeriod".freeze,
      rangeIncludes: "http://schema.org/Duration".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :grantee,
      comment: "The person, organization, contact point, or audience that has been granted this permission.".freeze,
      domainIncludes: "http://schema.org/DigitalDocumentPermission".freeze,
      label: "grantee".freeze,
      rangeIncludes: ["http://schema.org/Audience".freeze, "http://schema.org/ContactPoint".freeze, "http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :greater,
      comment: "This ordering relation for qualitative values indicates that the subject is greater than the object.".freeze,
      domainIncludes: "http://schema.org/QualitativeValue".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "greater".freeze,
      rangeIncludes: "http://schema.org/QualitativeValue".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :greaterOrEqual,
      comment: "This ordering relation for qualitative values indicates that the subject is greater than or equal to the object.".freeze,
      domainIncludes: "http://schema.org/QualitativeValue".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "greaterOrEqual".freeze,
      rangeIncludes: "http://schema.org/QualitativeValue".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :gtin,
      comment: "A Global Trade Item Number ([GTIN](https://www.gs1.org/standards/id-keys/gtin)). GTINs identify trade items, including products and services, using numeric identification codes. The [[gtin]] property generalizes the earlier [[gtin8]], [[gtin12]], [[gtin13]], and [[gtin14]] properties. The GS1 [digital link specifications](https://www.gs1.org/standards/Digital-Link/) express GTINs as URLs. A correct [[gtin]] value should be a valid GTIN, which means that it should be an all-numeric string of either 8, 12, 13 or 14 digits, or a \"GS1 Digital Link\" URL based on such a string. The numeric component should also have a [valid GS1 check digit](https://www.gs1.org/services/check-digit-calculator) and meet the other rules for valid GTINs. See also [GS1's GTIN Summary](http://www.gs1.org/barcodes/technical/idkeys/gtin) and [Wikipedia](https://en.wikipedia.org/wiki/Global_Trade_Item_Number) for more details. Left-padding of the gtin values is not required or encouraged.\n   ".freeze,
      domainIncludes: ["http://schema.org/Demand".freeze, "http://schema.org/Offer".freeze, "http://schema.org/Product".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2288".freeze,
      label: "gtin".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      subPropertyOf: "http://schema.org/identifier".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :gtin12,
      comment: "The GTIN-12 code of the product, or the product to which the offer refers. The GTIN-12 is the 12-digit GS1 Identification Key composed of a U.P.C. Company Prefix, Item Reference, and Check Digit used to identify trade items. See [GS1 GTIN Summary](http://www.gs1.org/barcodes/technical/idkeys/gtin) for more details.".freeze,
      domainIncludes: ["http://schema.org/Demand".freeze, "http://schema.org/Offer".freeze, "http://schema.org/Product".freeze],
      label: "gtin12".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      subPropertyOf: ["http://schema.org/gtin".freeze, "http://schema.org/identifier".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :gtin13,
      comment: "The GTIN-13 code of the product, or the product to which the offer refers. This is equivalent to 13-digit ISBN codes and EAN UCC-13. Former 12-digit UPC codes can be converted into a GTIN-13 code by simply adding a preceding zero. See [GS1 GTIN Summary](http://www.gs1.org/barcodes/technical/idkeys/gtin) for more details.".freeze,
      domainIncludes: ["http://schema.org/Demand".freeze, "http://schema.org/Offer".freeze, "http://schema.org/Product".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "gtin13".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      subPropertyOf: ["http://schema.org/gtin".freeze, "http://schema.org/identifier".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :gtin14,
      comment: "The GTIN-14 code of the product, or the product to which the offer refers. See [GS1 GTIN Summary](http://www.gs1.org/barcodes/technical/idkeys/gtin) for more details.".freeze,
      domainIncludes: ["http://schema.org/Demand".freeze, "http://schema.org/Offer".freeze, "http://schema.org/Product".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "gtin14".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      subPropertyOf: ["http://schema.org/gtin".freeze, "http://schema.org/identifier".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :gtin8,
      comment: "The GTIN-8 code of the product, or the product to which the offer refers. This code is also known as EAN/UCC-8 or 8-digit EAN. See [GS1 GTIN Summary](http://www.gs1.org/barcodes/technical/idkeys/gtin) for more details.".freeze,
      domainIncludes: ["http://schema.org/Demand".freeze, "http://schema.org/Offer".freeze, "http://schema.org/Product".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "gtin8".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      subPropertyOf: ["http://schema.org/gtin".freeze, "http://schema.org/identifier".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :guideline,
      comment: "A medical guideline related to this entity.".freeze,
      domainIncludes: "http://schema.org/MedicalEntity".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "guideline".freeze,
      rangeIncludes: "http://schema.org/MedicalGuideline".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :guidelineDate,
      comment: "Date on which this guideline's recommendation was made.".freeze,
      domainIncludes: "http://schema.org/MedicalGuideline".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "guidelineDate".freeze,
      rangeIncludes: "http://schema.org/Date".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :guidelineSubject,
      comment: "The medical conditions, treatments, etc. that are the subject of the guideline.".freeze,
      domainIncludes: "http://schema.org/MedicalGuideline".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "guidelineSubject".freeze,
      rangeIncludes: "http://schema.org/MedicalEntity".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :handlingTime,
      comment: "The typical delay between the receipt of the order and the goods either leaving the warehouse or being prepared for pickup, in case the delivery method is on site pickup. Typical properties: minValue, maxValue, unitCode (d for DAY).  This is by common convention assumed to mean business days (if a unitCode is used, coded as \"d\"), i.e. only counting days when the business normally operates.".freeze,
      domainIncludes: "http://schema.org/ShippingDeliveryTime".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2506".freeze,
      label: "handlingTime".freeze,
      rangeIncludes: "http://schema.org/QuantitativeValue".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasBioChemEntityPart,
      comment: "Indicates a BioChemEntity that (in some sense) has this BioChemEntity as a part. ".freeze,
      domainIncludes: "http://schema.org/BioChemEntity".freeze,
      "http://purl.org/dc/terms/source": "http://www.bioschemas.org".freeze,
      "http://schema.org/inverseOf": "http://schema.org/isPartOfBioChemEntity".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      label: "hasBioChemEntityPart".freeze,
      rangeIncludes: "http://schema.org/BioChemEntity".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasBioPolymerSequence,
      comment: "A symbolic representation of a BioChemEnity. For example, a nucleotide sequence of a Gene or an amino acid sequence of a Protein.".freeze,
      domainIncludes: ["http://schema.org/Gene".freeze, "http://schema.org/Protein".freeze],
      "http://purl.org/dc/terms/source": "http://www.bioschemas.org/Gene".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      label: "hasBioPolymerSequence".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      subPropertyOf: "http://schema.org/hasRepresentation".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasBroadcastChannel,
      comment: "A broadcast channel of a broadcast service.".freeze,
      domainIncludes: "http://schema.org/BroadcastService".freeze,
      "http://schema.org/inverseOf": "http://schema.org/providesBroadcastService".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1004".freeze,
      label: "hasBroadcastChannel".freeze,
      rangeIncludes: "http://schema.org/BroadcastChannel".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasCategoryCode,
      comment: "A Category code contained in this code set.".freeze,
      domainIncludes: "http://schema.org/CategoryCodeSet".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/894".freeze,
      label: "hasCategoryCode".freeze,
      rangeIncludes: "http://schema.org/CategoryCode".freeze,
      subPropertyOf: "http://schema.org/hasDefinedTerm".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasCourse,
      comment: "A course or class that is one of the learning opportunities that constitute an educational / occupational program. No information is implied about whether the course is mandatory or optional; no guarantee is implied about whether the course will be available to everyone on the program.".freeze,
      domainIncludes: "http://schema.org/EducationalOccupationalProgram".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2483".freeze,
      label: "hasCourse".freeze,
      rangeIncludes: "http://schema.org/Course".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasCourseInstance,
      comment: "An offering of the course at a specific time and place or through specific media or mode of study or to a specific section of students.".freeze,
      domainIncludes: "http://schema.org/Course".freeze,
      label: "hasCourseInstance".freeze,
      rangeIncludes: "http://schema.org/CourseInstance".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasCredential,
      comment: "A credential awarded to the Person or Organization.".freeze,
      domainIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2289".freeze,
      label: "hasCredential".freeze,
      rangeIncludes: "http://schema.org/EducationalOccupationalCredential".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasDefinedTerm,
      comment: "A Defined Term contained in this term set.".freeze,
      domainIncludes: ["http://schema.org/DefinedTermSet".freeze, "http://schema.org/Taxon".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/894".freeze,
      label: "hasDefinedTerm".freeze,
      rangeIncludes: "http://schema.org/DefinedTerm".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasDeliveryMethod,
      comment: "Method used for delivery or shipping.".freeze,
      domainIncludes: ["http://schema.org/DeliveryEvent".freeze, "http://schema.org/ParcelDelivery".freeze],
      label: "hasDeliveryMethod".freeze,
      rangeIncludes: "http://schema.org/DeliveryMethod".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasDigitalDocumentPermission,
      comment: "A permission related to the access to this document (e.g. permission to read or write an electronic document). For a public document, specify a grantee with an Audience with audienceType equal to \"public\".".freeze,
      domainIncludes: "http://schema.org/DigitalDocument".freeze,
      label: "hasDigitalDocumentPermission".freeze,
      rangeIncludes: "http://schema.org/DigitalDocumentPermission".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasDriveThroughService,
      comment: "Indicates whether some facility (e.g. [[FoodEstablishment]], [[CovidTestingFacility]]) offers a service that can be used by driving through in a car. In the case of [[CovidTestingFacility]] such facilities could potentially help with social distancing from other potentially-infected users.".freeze,
      domainIncludes: "http://schema.org/Place".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2490".freeze,
      label: "hasDriveThroughService".freeze,
      rangeIncludes: "http://schema.org/Boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasEnergyConsumptionDetails,
      comment: "Defines the energy efficiency Category (also known as \"class\" or \"rating\") for a product according to an international energy efficiency standard.".freeze,
      domainIncludes: "http://schema.org/Product".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2670".freeze,
      label: "hasEnergyConsumptionDetails".freeze,
      rangeIncludes: "http://schema.org/EnergyConsumptionDetails".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasEnergyEfficiencyCategory,
      comment: "Defines the energy efficiency Category (which could be either a rating out of range of values or a yes/no certification) for a product according to an international energy efficiency standard.".freeze,
      domainIncludes: "http://schema.org/EnergyConsumptionDetails".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2670".freeze,
      label: "hasEnergyEfficiencyCategory".freeze,
      rangeIncludes: "http://schema.org/EnergyEfficiencyEnumeration".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasHealthAspect,
      comment: "Indicates the aspect or aspects specifically addressed in some [[HealthTopicContent]]. For example, that the content is an overview, or that it talks about treatment, self-care, treatments or their side-effects.".freeze,
      domainIncludes: "http://schema.org/HealthTopicContent".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2373".freeze,
      label: "hasHealthAspect".freeze,
      rangeIncludes: "http://schema.org/HealthAspectEnumeration".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasMap,
      comment: "A URL to a map of the place.".freeze,
      domainIncludes: "http://schema.org/Place".freeze,
      label: "hasMap".freeze,
      rangeIncludes: ["http://schema.org/Map".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasMeasurement,
      comment: "A product measurement, for example the inseam of pants, the wheel size of a bicycle, or the gauge of a screw. Usually an exact measurement, but can also be a range of measurements for adjustable products, for example belts and ski bindings.".freeze,
      domainIncludes: ["http://schema.org/Offer".freeze, "http://schema.org/Product".freeze, "http://schema.org/SizeSpecification".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "hasMeasurement".freeze,
      rangeIncludes: "http://schema.org/QuantitativeValue".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasMenu,
      comment: "Either the actual menu as a structured representation, as text, or a URL of the menu.".freeze,
      domainIncludes: "http://schema.org/FoodEstablishment".freeze,
      label: "hasMenu".freeze,
      rangeIncludes: ["http://schema.org/Menu".freeze, "http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasMenuItem,
      comment: "A food or drink item contained in a menu or menu section.".freeze,
      domainIncludes: ["http://schema.org/Menu".freeze, "http://schema.org/MenuSection".freeze],
      label: "hasMenuItem".freeze,
      rangeIncludes: "http://schema.org/MenuItem".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasMenuSection,
      comment: "A subgrouping of the menu (by dishes, course, serving time period, etc.).".freeze,
      domainIncludes: ["http://schema.org/Menu".freeze, "http://schema.org/MenuSection".freeze],
      label: "hasMenuSection".freeze,
      rangeIncludes: "http://schema.org/MenuSection".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasMerchantReturnPolicy,
      comment: "Specifies a MerchantReturnPolicy that may be applicable.".freeze,
      domainIncludes: ["http://schema.org/Offer".freeze, "http://schema.org/Organization".freeze, "http://schema.org/Product".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2288".freeze,
      label: "hasMerchantReturnPolicy".freeze,
      rangeIncludes: "http://schema.org/MerchantReturnPolicy".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasMolecularFunction,
      comment: "Molecular function performed by this BioChemEntity; please use PropertyValue if you want to include any evidence.".freeze,
      domainIncludes: "http://schema.org/BioChemEntity".freeze,
      "http://purl.org/dc/terms/source": "http://www.bioschemas.org/BioChemEntity".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      label: "hasMolecularFunction".freeze,
      rangeIncludes: ["http://schema.org/DefinedTerm".freeze, "http://schema.org/PropertyValue".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasOccupation,
      comment: "The Person's occupation. For past professions, use Role for expressing dates.".freeze,
      domainIncludes: "http://schema.org/Person".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1698".freeze,
      label: "hasOccupation".freeze,
      rangeIncludes: "http://schema.org/Occupation".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasOfferCatalog,
      comment: "Indicates an OfferCatalog listing for this Organization, Person, or Service.".freeze,
      domainIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze, "http://schema.org/Service".freeze],
      label: "hasOfferCatalog".freeze,
      rangeIncludes: "http://schema.org/OfferCatalog".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasPOS,
      comment: "Points-of-Sales operated by the organization or person.".freeze,
      domainIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "hasPOS".freeze,
      rangeIncludes: "http://schema.org/Place".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasPart,
      comment: "Indicates an item or CreativeWork that is part of this item, or CreativeWork (in some sense).".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      "http://schema.org/inverseOf": "http://schema.org/isPartOf".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_bibex".freeze,
      label: "hasPart".freeze,
      rangeIncludes: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasProductReturnPolicy,
      comment: "Indicates a ProductReturnPolicy that may be applicable.".freeze,
      domainIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Product".freeze],
      "http://schema.org/isPartOf": "http://attic.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2288".freeze,
      "http://schema.org/supersededBy": "http://schema.org/hasMerchantReturnPolicy".freeze,
      label: "hasProductReturnPolicy".freeze,
      rangeIncludes: "http://schema.org/ProductReturnPolicy".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasRepresentation,
      comment: "A common representation such as a protein sequence or chemical structure for this entity. For images use schema.org/image.".freeze,
      domainIncludes: "http://schema.org/BioChemEntity".freeze,
      "http://purl.org/dc/terms/source": "http://www.bioschemas.org".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      label: "hasRepresentation".freeze,
      rangeIncludes: ["http://schema.org/PropertyValue".freeze, "http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hasVariant,
      comment: "Indicates a [[Product]] that is a member of this [[ProductGroup]] (or [[ProductModel]]).".freeze,
      domainIncludes: "http://schema.org/ProductGroup".freeze,
      "http://schema.org/inverseOf": "http://schema.org/isVariantOf".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1797".freeze,
      label: "hasVariant".freeze,
      rangeIncludes: "http://schema.org/Product".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :headline,
      comment: "Headline of the article.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      label: "headline".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :healthCondition,
      comment: "Specifying the health condition(s) of a patient, medical study, or other target audience.".freeze,
      domainIncludes: ["http://schema.org/MedicalStudy".freeze, "http://schema.org/Patient".freeze, "http://schema.org/PeopleAudience".freeze],
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "healthCondition".freeze,
      rangeIncludes: "http://schema.org/MedicalCondition".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :healthPlanCoinsuranceOption,
      comment: "Whether the coinsurance applies before or after deductible, etc. TODO: Is this a closed set?".freeze,
      domainIncludes: "http://schema.org/HealthPlanCostSharingSpecification".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1062".freeze,
      label: "healthPlanCoinsuranceOption".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :healthPlanCoinsuranceRate,
      comment: "Whether The rate of coinsurance expressed as a number between 0.0 and 1.0.".freeze,
      domainIncludes: "http://schema.org/HealthPlanCostSharingSpecification".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1062".freeze,
      label: "healthPlanCoinsuranceRate".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :healthPlanCopay,
      comment: "Whether The copay amount.".freeze,
      domainIncludes: "http://schema.org/HealthPlanCostSharingSpecification".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1062".freeze,
      label: "healthPlanCopay".freeze,
      rangeIncludes: "http://schema.org/PriceSpecification".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :healthPlanCopayOption,
      comment: "Whether the copay is before or after deductible, etc. TODO: Is this a closed set?".freeze,
      domainIncludes: "http://schema.org/HealthPlanCostSharingSpecification".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1062".freeze,
      label: "healthPlanCopayOption".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :healthPlanCostSharing,
      comment: "Whether The costs to the patient for services under this network or formulary.".freeze,
      domainIncludes: ["http://schema.org/HealthPlanFormulary".freeze, "http://schema.org/HealthPlanNetwork".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1062".freeze,
      label: "healthPlanCostSharing".freeze,
      rangeIncludes: "http://schema.org/Boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :healthPlanDrugOption,
      comment: "TODO.".freeze,
      domainIncludes: "http://schema.org/HealthInsurancePlan".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1062".freeze,
      label: "healthPlanDrugOption".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :healthPlanDrugTier,
      comment: "The tier(s) of drugs offered by this formulary or insurance plan.".freeze,
      domainIncludes: ["http://schema.org/HealthInsurancePlan".freeze, "http://schema.org/HealthPlanFormulary".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1062".freeze,
      label: "healthPlanDrugTier".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :healthPlanId,
      comment: "The 14-character, HIOS-generated Plan ID number. (Plan IDs must be unique, even across different markets.)".freeze,
      domainIncludes: "http://schema.org/HealthInsurancePlan".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1062".freeze,
      label: "healthPlanId".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :healthPlanMarketingUrl,
      comment: "The URL that goes directly to the plan brochure for the specific standard plan or plan variation.".freeze,
      domainIncludes: "http://schema.org/HealthInsurancePlan".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1062".freeze,
      label: "healthPlanMarketingUrl".freeze,
      rangeIncludes: "http://schema.org/URL".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :healthPlanNetworkId,
      comment: "Name or unique ID of network. (Networks are often reused across different insurance plans).".freeze,
      domainIncludes: ["http://schema.org/HealthPlanNetwork".freeze, "http://schema.org/MedicalOrganization".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1062".freeze,
      label: "healthPlanNetworkId".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :healthPlanNetworkTier,
      comment: "The tier(s) for this network.".freeze,
      domainIncludes: "http://schema.org/HealthPlanNetwork".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1062".freeze,
      label: "healthPlanNetworkTier".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :healthPlanPharmacyCategory,
      comment: "The category or type of pharmacy associated with this cost sharing.".freeze,
      domainIncludes: "http://schema.org/HealthPlanCostSharingSpecification".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1062".freeze,
      label: "healthPlanPharmacyCategory".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :healthcareReportingData,
      comment: "Indicates data describing a hospital, e.g. a CDC [[CDCPMDRecord]] or as some kind of [[Dataset]].".freeze,
      domainIncludes: "http://schema.org/Hospital".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2521".freeze,
      label: "healthcareReportingData".freeze,
      rangeIncludes: ["http://schema.org/CDCPMDRecord".freeze, "http://schema.org/Dataset".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :height,
      comment: "The height of the item.".freeze,
      domainIncludes: ["http://schema.org/MediaObject".freeze, "http://schema.org/Person".freeze, "http://schema.org/Product".freeze, "http://schema.org/VisualArtwork".freeze],
      label: "height".freeze,
      rangeIncludes: ["http://schema.org/Distance".freeze, "http://schema.org/QuantitativeValue".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :highPrice,
      comment: "The highest price of all offers available.\\n\\nUsage guidelines:\\n\\n* Use values from 0123456789 (Unicode 'DIGIT ZERO' (U+0030) to 'DIGIT NINE' (U+0039)) rather than superficially similiar Unicode symbols.\\n* Use '.' (Unicode 'FULL STOP' (U+002E)) rather than ',' to indicate a decimal point. Avoid using these symbols as a readability separator.".freeze,
      domainIncludes: "http://schema.org/AggregateOffer".freeze,
      label: "highPrice".freeze,
      rangeIncludes: ["http://schema.org/Number".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hiringOrganization,
      comment: "Organization offering the job position.".freeze,
      domainIncludes: "http://schema.org/JobPosting".freeze,
      label: "hiringOrganization".freeze,
      rangeIncludes: "http://schema.org/Organization".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :holdingArchive,
      comment: "[[ArchiveOrganization]] that holds, keeps or maintains the [[ArchiveComponent]].".freeze,
      domainIncludes: "http://schema.org/ArchiveComponent".freeze,
      "http://schema.org/inverseOf": "http://schema.org/archiveHeld".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1758".freeze,
      label: "holdingArchive".freeze,
      rangeIncludes: "http://schema.org/ArchiveOrganization".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :homeLocation,
      comment: "A contact location for a person's residence.".freeze,
      domainIncludes: "http://schema.org/Person".freeze,
      label: "homeLocation".freeze,
      rangeIncludes: ["http://schema.org/ContactPoint".freeze, "http://schema.org/Place".freeze],
      subPropertyOf: "http://schema.org/location".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :homeTeam,
      comment: "The home team in a sports event.".freeze,
      domainIncludes: "http://schema.org/SportsEvent".freeze,
      label: "homeTeam".freeze,
      rangeIncludes: ["http://schema.org/Person".freeze, "http://schema.org/SportsTeam".freeze],
      subPropertyOf: "http://schema.org/competitor".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :honorificPrefix,
      comment: "An honorific prefix preceding a Person's name such as Dr/Mrs/Mr.".freeze,
      domainIncludes: "http://schema.org/Person".freeze,
      label: "honorificPrefix".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :honorificSuffix,
      comment: "An honorific suffix following a Person's name such as M.D. /PhD/MSCSW.".freeze,
      domainIncludes: "http://schema.org/Person".freeze,
      label: "honorificSuffix".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hospitalAffiliation,
      comment: "A hospital with which the physician or office is affiliated.".freeze,
      domainIncludes: "http://schema.org/Physician".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "hospitalAffiliation".freeze,
      rangeIncludes: "http://schema.org/Hospital".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hostingOrganization,
      comment: "The organization (airline, travelers' club, etc.) the membership is made with.".freeze,
      domainIncludes: "http://schema.org/ProgramMembership".freeze,
      label: "hostingOrganization".freeze,
      rangeIncludes: "http://schema.org/Organization".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :hoursAvailable,
      comment: "The hours during which this service or contact is available.".freeze,
      domainIncludes: ["http://schema.org/ContactPoint".freeze, "http://schema.org/LocationFeatureSpecification".freeze, "http://schema.org/Service".freeze],
      label: "hoursAvailable".freeze,
      rangeIncludes: "http://schema.org/OpeningHoursSpecification".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :howPerformed,
      comment: "How the procedure is performed.".freeze,
      domainIncludes: "http://schema.org/MedicalProcedure".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "howPerformed".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :httpMethod,
      comment: "An HTTP method that specifies the appropriate HTTP method for a request to an HTTP EntryPoint. Values are capitalized strings as used in HTTP.".freeze,
      domainIncludes: "http://schema.org/EntryPoint".freeze,
      label: "httpMethod".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :iataCode,
      comment: "IATA identifier for an airline or airport.".freeze,
      domainIncludes: ["http://schema.org/Airline".freeze, "http://schema.org/Airport".freeze],
      label: "iataCode".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :icaoCode,
      comment: "ICAO identifier for an airport.".freeze,
      domainIncludes: "http://schema.org/Airport".freeze,
      label: "icaoCode".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :identifier,
      comment: "The identifier property represents any kind of identifier for any kind of [[Thing]], such as ISBNs, GTIN codes, UUIDs etc. Schema.org provides dedicated properties for representing many of these, either as textual strings or as URL (URI) links. See [background notes](/docs/datamodel.html#identifierBg) for more details.\n        ".freeze,
      domainIncludes: "http://schema.org/Thing".freeze,
      equivalentProperty: "http://purl.org/dc/terms/identifier".freeze,
      label: "identifier".freeze,
      rangeIncludes: ["http://schema.org/PropertyValue".freeze, "http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :identifyingExam,
      comment: "A physical examination that can identify this sign.".freeze,
      domainIncludes: "http://schema.org/MedicalSign".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "identifyingExam".freeze,
      rangeIncludes: "http://schema.org/PhysicalExam".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :identifyingTest,
      comment: "A diagnostic test that can identify this sign.".freeze,
      domainIncludes: "http://schema.org/MedicalSign".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "identifyingTest".freeze,
      rangeIncludes: "http://schema.org/MedicalTest".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :illustrator,
      comment: "The illustrator of the book.".freeze,
      domainIncludes: "http://schema.org/Book".freeze,
      label: "illustrator".freeze,
      rangeIncludes: "http://schema.org/Person".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :image,
      comment: "An image of the item. This can be a [[URL]] or a fully described [[ImageObject]].".freeze,
      domainIncludes: "http://schema.org/Thing".freeze,
      label: "image".freeze,
      rangeIncludes: ["http://schema.org/ImageObject".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :imagingTechnique,
      comment: "Imaging technique used.".freeze,
      domainIncludes: "http://schema.org/ImagingTest".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "imagingTechnique".freeze,
      rangeIncludes: "http://schema.org/MedicalImagingTechnique".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :inAlbum,
      comment: "The album to which this recording belongs.".freeze,
      domainIncludes: "http://schema.org/MusicRecording".freeze,
      label: "inAlbum".freeze,
      rangeIncludes: "http://schema.org/MusicAlbum".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :inBroadcastLineup,
      comment: "The CableOrSatelliteService offering the channel.".freeze,
      domainIncludes: "http://schema.org/BroadcastChannel".freeze,
      label: "inBroadcastLineup".freeze,
      rangeIncludes: "http://schema.org/CableOrSatelliteService".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :inChI,
      comment: "Non-proprietary identifier for molecular entity that can be used in printed and electronic data sources thus enabling easier linking of diverse data compilations.".freeze,
      domainIncludes: "http://schema.org/MolecularEntity".freeze,
      "http://purl.org/dc/terms/source": "http://www.bioschemas.org/MolecularEntity".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      label: "inChI".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      subPropertyOf: "http://schema.org/hasRepresentation".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :inChIKey,
      comment: "InChIKey is a hashed version of the full InChI (using the SHA-256 algorithm).".freeze,
      domainIncludes: "http://schema.org/MolecularEntity".freeze,
      "http://purl.org/dc/terms/source": "http://www.bioschemas.org/MolecularEntity".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      label: "inChIKey".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      subPropertyOf: "http://schema.org/hasRepresentation".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :inCodeSet,
      comment: "A [[CategoryCodeSet]] that contains this category code.".freeze,
      domainIncludes: "http://schema.org/CategoryCode".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/894".freeze,
      label: "inCodeSet".freeze,
      rangeIncludes: ["http://schema.org/CategoryCodeSet".freeze, "http://schema.org/URL".freeze],
      subPropertyOf: "http://schema.org/inDefinedTermSet".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :inDefinedTermSet,
      comment: "A [[DefinedTermSet]] that contains this term.".freeze,
      domainIncludes: "http://schema.org/DefinedTerm".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/894".freeze,
      label: "inDefinedTermSet".freeze,
      rangeIncludes: ["http://schema.org/DefinedTermSet".freeze, "http://schema.org/URL".freeze],
      subPropertyOf: "http://schema.org/isPartOf".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :inLanguage,
      comment: "The language of the content or performance or used in an action. Please use one of the language codes from the [IETF BCP 47 standard](http://tools.ietf.org/html/bcp47). See also [[availableLanguage]].".freeze,
      domainIncludes: ["http://schema.org/BroadcastService".freeze, "http://schema.org/CommunicateAction".freeze, "http://schema.org/CreativeWork".freeze, "http://schema.org/Event".freeze, "http://schema.org/LinkRole".freeze, "http://schema.org/PronounceableText".freeze, "http://schema.org/WriteAction".freeze],
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2382".freeze,
      label: "inLanguage".freeze,
      rangeIncludes: ["http://schema.org/Language".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :inPlaylist,
      comment: "The playlist to which this recording belongs.".freeze,
      domainIncludes: "http://schema.org/MusicRecording".freeze,
      label: "inPlaylist".freeze,
      rangeIncludes: "http://schema.org/MusicPlaylist".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :inProductGroupWithID,
      comment: "Indicates the [[productGroupID]] for a [[ProductGroup]] that this product [[isVariantOf]]. ".freeze,
      domainIncludes: "http://schema.org/Product".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1797".freeze,
      label: "inProductGroupWithID".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :inStoreReturnsOffered,
      comment: "Are in-store returns offered? (for more advanced return methods use the [[returnMethod]] property)".freeze,
      domainIncludes: "http://schema.org/MerchantReturnPolicy".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2288".freeze,
      label: "inStoreReturnsOffered".freeze,
      rangeIncludes: "http://schema.org/Boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :inSupportOf,
      comment: "Qualification, candidature, degree, application that Thesis supports.".freeze,
      domainIncludes: "http://schema.org/Thesis".freeze,
      "http://schema.org/isPartOf": "http://bib.schema.org".freeze,
      label: "inSupportOf".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :incentiveCompensation,
      comment: "Description of bonus and commission compensation aspects of the job.".freeze,
      domainIncludes: "http://schema.org/JobPosting".freeze,
      label: "incentiveCompensation".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :incentives,
      comment: "Description of bonus and commission compensation aspects of the job.".freeze,
      domainIncludes: "http://schema.org/JobPosting".freeze,
      "http://schema.org/supersededBy": "http://schema.org/incentiveCompensation".freeze,
      label: "incentives".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :includedComposition,
      comment: "Smaller compositions included in this work (e.g. a movement in a symphony).".freeze,
      domainIncludes: "http://schema.org/MusicComposition".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#MBZ".freeze,
      label: "includedComposition".freeze,
      rangeIncludes: "http://schema.org/MusicComposition".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :includedDataCatalog,
      comment: "A data catalog which contains this dataset (this property was previously 'catalog', preferred name is now 'includedInDataCatalog').".freeze,
      domainIncludes: "http://schema.org/Dataset".freeze,
      "http://schema.org/supersededBy": "http://schema.org/includedInDataCatalog".freeze,
      label: "includedDataCatalog".freeze,
      rangeIncludes: "http://schema.org/DataCatalog".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :includedInDataCatalog,
      comment: "A data catalog which contains this dataset.".freeze,
      domainIncludes: "http://schema.org/Dataset".freeze,
      "http://schema.org/inverseOf": "http://schema.org/dataset".freeze,
      label: "includedInDataCatalog".freeze,
      rangeIncludes: "http://schema.org/DataCatalog".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :includedInHealthInsurancePlan,
      comment: "The insurance plans that cover this drug.".freeze,
      domainIncludes: "http://schema.org/Drug".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1062".freeze,
      label: "includedInHealthInsurancePlan".freeze,
      rangeIncludes: "http://schema.org/HealthInsurancePlan".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :includedRiskFactor,
      comment: "A modifiable or non-modifiable risk factor included in the calculation, e.g. age, coexisting condition.".freeze,
      domainIncludes: "http://schema.org/MedicalRiskEstimator".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "includedRiskFactor".freeze,
      rangeIncludes: "http://schema.org/MedicalRiskFactor".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :includesAttraction,
      comment: "Attraction located at destination.".freeze,
      domainIncludes: "http://schema.org/TouristDestination".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#IIT-CNR.it".freeze, "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Tourism".freeze, "https://github.com/schemaorg/schemaorg/issues/1810".freeze],
      label: "includesAttraction".freeze,
      rangeIncludes: "http://schema.org/TouristAttraction".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :includesHealthPlanFormulary,
      comment: "Formularies covered by this plan.".freeze,
      domainIncludes: "http://schema.org/HealthInsurancePlan".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1062".freeze,
      label: "includesHealthPlanFormulary".freeze,
      rangeIncludes: "http://schema.org/HealthPlanFormulary".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :includesHealthPlanNetwork,
      comment: "Networks covered by this plan.".freeze,
      domainIncludes: "http://schema.org/HealthInsurancePlan".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1062".freeze,
      label: "includesHealthPlanNetwork".freeze,
      rangeIncludes: "http://schema.org/HealthPlanNetwork".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :includesObject,
      comment: "This links to a node or nodes indicating the exact quantity of the products included in  an [[Offer]] or [[ProductCollection]].".freeze,
      domainIncludes: ["http://schema.org/Demand".freeze, "http://schema.org/Offer".freeze, "http://schema.org/ProductCollection".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "includesObject".freeze,
      rangeIncludes: "http://schema.org/TypeAndQuantityNode".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :increasesRiskOf,
      comment: "The condition, complication, etc. influenced by this factor.".freeze,
      domainIncludes: "http://schema.org/MedicalRiskFactor".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "increasesRiskOf".freeze,
      rangeIncludes: "http://schema.org/MedicalEntity".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :industry,
      comment: "The industry associated with the job position.".freeze,
      domainIncludes: "http://schema.org/JobPosting".freeze,
      label: "industry".freeze,
      rangeIncludes: ["http://schema.org/DefinedTerm".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :ineligibleRegion,
      comment: "The ISO 3166-1 (ISO 3166-1 alpha-2) or ISO 3166-2 code, the place, or the GeoShape for the geo-political region(s) for which the offer or delivery charge specification is not valid, e.g. a region where the transaction is not allowed.\\n\\nSee also [[eligibleRegion]].\n      ".freeze,
      domainIncludes: ["http://schema.org/ActionAccessSpecification".freeze, "http://schema.org/DeliveryChargeSpecification".freeze, "http://schema.org/Demand".freeze, "http://schema.org/MediaObject".freeze, "http://schema.org/Offer".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2242".freeze,
      label: "ineligibleRegion".freeze,
      rangeIncludes: ["http://schema.org/GeoShape".freeze, "http://schema.org/Place".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :infectiousAgent,
      comment: "The actual infectious agent, such as a specific bacterium.".freeze,
      domainIncludes: "http://schema.org/InfectiousDisease".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "infectiousAgent".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :infectiousAgentClass,
      comment: "The class of infectious agent (bacteria, prion, etc.) that causes the disease.".freeze,
      domainIncludes: "http://schema.org/InfectiousDisease".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "infectiousAgentClass".freeze,
      rangeIncludes: "http://schema.org/InfectiousAgentClass".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :ingredients,
      comment: "A single ingredient used in the recipe, e.g. sugar, flour or garlic.".freeze,
      domainIncludes: "http://schema.org/Recipe".freeze,
      "http://schema.org/supersededBy": "http://schema.org/recipeIngredient".freeze,
      label: "ingredients".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      subPropertyOf: "http://schema.org/supply".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :inker,
      comment: "The individual who traces over the pencil drawings in ink after pencils are complete.".freeze,
      domainIncludes: ["http://schema.org/ComicIssue".freeze, "http://schema.org/ComicStory".freeze, "http://schema.org/VisualArtwork".freeze],
      "http://schema.org/isPartOf": "http://bib.schema.org".freeze,
      label: "inker".freeze,
      rangeIncludes: "http://schema.org/Person".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :insertion,
      comment: "The place of attachment of a muscle, or what the muscle moves.".freeze,
      domainIncludes: "http://schema.org/Muscle".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "insertion".freeze,
      rangeIncludes: "http://schema.org/AnatomicalStructure".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :installUrl,
      comment: "URL at which the app may be installed, if different from the URL of the item.".freeze,
      domainIncludes: "http://schema.org/SoftwareApplication".freeze,
      label: "installUrl".freeze,
      rangeIncludes: "http://schema.org/URL".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :instructor,
      comment: "A person assigned to instruct or provide instructional assistance for the [[CourseInstance]].".freeze,
      domainIncludes: "http://schema.org/CourseInstance".freeze,
      label: "instructor".freeze,
      rangeIncludes: "http://schema.org/Person".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :instrument,
      comment: "The object that helped the agent perform the action. e.g. John wrote a book with *a pen*.".freeze,
      domainIncludes: "http://schema.org/Action".freeze,
      label: "instrument".freeze,
      rangeIncludes: "http://schema.org/Thing".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :intensity,
      comment: "Quantitative measure gauging the degree of force involved in the exercise, for example, heartbeats per minute. May include the velocity of the movement.".freeze,
      domainIncludes: "http://schema.org/ExercisePlan".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "intensity".freeze,
      rangeIncludes: ["http://schema.org/QuantitativeValue".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :interactingDrug,
      comment: "Another drug that is known to interact with this drug in a way that impacts the effect of this drug or causes a risk to the patient. Note: disease interactions are typically captured as contraindications.".freeze,
      domainIncludes: "http://schema.org/Drug".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "interactingDrug".freeze,
      rangeIncludes: "http://schema.org/Drug".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :interactionCount,
      comment: "This property is deprecated, alongside the UserInteraction types on which it depended.".freeze,
      "http://schema.org/supersededBy": "http://schema.org/interactionStatistic".freeze,
      label: "interactionCount".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :interactionService,
      comment: "The WebSite or SoftwareApplication where the interactions took place.".freeze,
      domainIncludes: "http://schema.org/InteractionCounter".freeze,
      label: "interactionService".freeze,
      rangeIncludes: ["http://schema.org/SoftwareApplication".freeze, "http://schema.org/WebSite".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :interactionStatistic,
      comment: "The number of interactions for the CreativeWork using the WebSite or SoftwareApplication. The most specific child type of InteractionCounter should be used.".freeze,
      domainIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2421".freeze,
      label: "interactionStatistic".freeze,
      rangeIncludes: "http://schema.org/InteractionCounter".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :interactionType,
      comment: "The Action representing the type of interaction. For up votes, +1s, etc. use [[LikeAction]]. For down votes use [[DislikeAction]]. Otherwise, use the most specific Action.".freeze,
      domainIncludes: "http://schema.org/InteractionCounter".freeze,
      label: "interactionType".freeze,
      rangeIncludes: "http://schema.org/Action".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :interactivityType,
      comment: "The predominant mode of learning supported by the learning resource. Acceptable values are 'active', 'expositive', or 'mixed'.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      label: "interactivityType".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :interestRate,
      comment: "The interest rate, charged or paid, applicable to the financial product. Note: This is different from the calculated annualPercentageRate.".freeze,
      domainIncludes: "http://schema.org/FinancialProduct".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FIBO".freeze,
      label: "interestRate".freeze,
      rangeIncludes: ["http://schema.org/Number".freeze, "http://schema.org/QuantitativeValue".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :interpretedAsClaim,
      comment: "Used to indicate a specific claim contained, implied, translated or refined from the content of a [[MediaObject]] or other [[CreativeWork]]. The interpreting party can be indicated using [[claimInterpreter]].".freeze,
      domainIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/MediaObject".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2450".freeze,
      label: "interpretedAsClaim".freeze,
      rangeIncludes: "http://schema.org/Claim".freeze,
      subPropertyOf: "http://schema.org/description".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :inventoryLevel,
      comment: "The current approximate inventory level for the item or items.".freeze,
      domainIncludes: ["http://schema.org/Demand".freeze, "http://schema.org/Offer".freeze, "http://schema.org/SomeProducts".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "inventoryLevel".freeze,
      rangeIncludes: "http://schema.org/QuantitativeValue".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :inverseOf,
      comment: "Relates a property to a property that is its inverse. Inverse properties relate the same pairs of items to each other, but in reversed direction. For example, the 'alumni' and 'alumniOf' properties are inverseOf each other. Some properties don't have explicit inverses; in these situations RDFa and JSON-LD syntax for reverse properties can be used.".freeze,
      domainIncludes: "http://schema.org/Property".freeze,
      "http://schema.org/isPartOf": "http://meta.schema.org".freeze,
      label: "inverseOf".freeze,
      rangeIncludes: "http://schema.org/Property".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isAcceptingNewPatients,
      comment: "Whether the provider is accepting new patients.".freeze,
      domainIncludes: "http://schema.org/MedicalOrganization".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1062".freeze,
      label: "isAcceptingNewPatients".freeze,
      rangeIncludes: "http://schema.org/Boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isAccessibleForFree,
      comment: "A flag to signal that the item, event, or place is accessible for free.".freeze,
      domainIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/Event".freeze, "http://schema.org/Place".freeze],
      label: "isAccessibleForFree".freeze,
      rangeIncludes: "http://schema.org/Boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isAccessoryOrSparePartFor,
      comment: "A pointer to another product (or multiple products) for which this product is an accessory or spare part.".freeze,
      domainIncludes: "http://schema.org/Product".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "isAccessoryOrSparePartFor".freeze,
      rangeIncludes: "http://schema.org/Product".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isAvailableGenerically,
      comment: "True if the drug is available in a generic form (regardless of name).".freeze,
      domainIncludes: "http://schema.org/Drug".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "isAvailableGenerically".freeze,
      rangeIncludes: "http://schema.org/Boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isBasedOn,
      comment: "A resource from which this work is derived or from which it is a modification or adaption.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      label: "isBasedOn".freeze,
      rangeIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/Product".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isBasedOnUrl,
      comment: "A resource that was used in the creation of this resource. This term can be repeated for multiple sources. For example, http://example.com/great-multiplication-intro.html.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      "http://schema.org/supersededBy": "http://schema.org/isBasedOn".freeze,
      label: "isBasedOnUrl".freeze,
      rangeIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/Product".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isConsumableFor,
      comment: "A pointer to another product (or multiple products) for which this product is a consumable.".freeze,
      domainIncludes: "http://schema.org/Product".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "isConsumableFor".freeze,
      rangeIncludes: "http://schema.org/Product".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isEncodedByBioChemEntity,
      comment: "Another BioChemEntity encoding by this one.".freeze,
      domainIncludes: "http://schema.org/BioChemEntity".freeze,
      "http://purl.org/dc/terms/source": "http://www.bioschemas.org/Gene".freeze,
      "http://schema.org/inverseOf": "http://schema.org/encodesBioChemEntity".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      label: "isEncodedByBioChemEntity".freeze,
      rangeIncludes: "http://schema.org/Gene".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isFamilyFriendly,
      comment: "Indicates whether this content is family friendly.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      label: "isFamilyFriendly".freeze,
      rangeIncludes: "http://schema.org/Boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isGift,
      comment: "Was the offer accepted as a gift for someone other than the buyer.".freeze,
      domainIncludes: "http://schema.org/Order".freeze,
      label: "isGift".freeze,
      rangeIncludes: "http://schema.org/Boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isInvolvedInBiologicalProcess,
      comment: "Biological process this BioChemEntity is involved in; please use PropertyValue if you want to include any evidence.".freeze,
      domainIncludes: "http://schema.org/BioChemEntity".freeze,
      "http://purl.org/dc/terms/source": "http://www.bioschemas.org/BioChemEntity".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      label: "isInvolvedInBiologicalProcess".freeze,
      rangeIncludes: ["http://schema.org/DefinedTerm".freeze, "http://schema.org/PropertyValue".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isLiveBroadcast,
      comment: "True if the broadcast is of a live event.".freeze,
      domainIncludes: "http://schema.org/BroadcastEvent".freeze,
      label: "isLiveBroadcast".freeze,
      rangeIncludes: "http://schema.org/Boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isLocatedInSubcellularLocation,
      comment: "Subcellular location where this BioChemEntity is located; please use PropertyValue if you want to include any evidence.".freeze,
      domainIncludes: "http://schema.org/BioChemEntity".freeze,
      "http://purl.org/dc/terms/source": "http://www.bioschemas.org/BioChemEntity".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      label: "isLocatedInSubcellularLocation".freeze,
      rangeIncludes: ["http://schema.org/DefinedTerm".freeze, "http://schema.org/PropertyValue".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isPartOf,
      comment: "Indicates an item or CreativeWork that this item, or CreativeWork (in some sense), is part of.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      "http://schema.org/inverseOf": "http://schema.org/hasPart".freeze,
      label: "isPartOf".freeze,
      rangeIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isPartOfBioChemEntity,
      comment: "Indicates a BioChemEntity that is (in some sense) a part of this BioChemEntity. ".freeze,
      domainIncludes: "http://schema.org/BioChemEntity".freeze,
      "http://purl.org/dc/terms/source": "http://www.bioschemas.org".freeze,
      "http://schema.org/inverseOf": "http://schema.org/hasBioChemEntityPart".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      label: "isPartOfBioChemEntity".freeze,
      rangeIncludes: "http://schema.org/BioChemEntity".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isPlanForApartment,
      comment: "Indicates some accommodation that this floor plan describes.".freeze,
      domainIncludes: "http://schema.org/FloorPlan".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2373".freeze,
      label: "isPlanForApartment".freeze,
      rangeIncludes: "http://schema.org/Accommodation".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isProprietary,
      comment: "True if this item's name is a proprietary/brand name (vs. generic name).".freeze,
      domainIncludes: ["http://schema.org/DietarySupplement".freeze, "http://schema.org/Drug".freeze],
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "isProprietary".freeze,
      rangeIncludes: "http://schema.org/Boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isRelatedTo,
      comment: "A pointer to another, somehow related product (or multiple products).".freeze,
      domainIncludes: ["http://schema.org/Product".freeze, "http://schema.org/Service".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "isRelatedTo".freeze,
      rangeIncludes: ["http://schema.org/Product".freeze, "http://schema.org/Service".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isResizable,
      comment: "Whether the 3DModel allows resizing. For example, room layout applications often do not allow 3DModel elements to be resized to reflect reality.".freeze,
      domainIncludes: "http://schema.org/3DModel".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2394".freeze,
      label: "isResizable".freeze,
      rangeIncludes: "http://schema.org/Boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isSimilarTo,
      comment: "A pointer to another, functionally similar product (or multiple products).".freeze,
      domainIncludes: ["http://schema.org/Product".freeze, "http://schema.org/Service".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "isSimilarTo".freeze,
      rangeIncludes: ["http://schema.org/Product".freeze, "http://schema.org/Service".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isUnlabelledFallback,
      comment: "This can be marked 'true' to indicate that some published [[DeliveryTimeSettings]] or [[ShippingRateSettings]] are intended to apply to all [[OfferShippingDetails]] published by the same merchant, when referenced by a [[shippingSettingsLink]] in those settings. It is not meaningful to use a 'true' value for this property alongside a transitTimeLabel (for [[DeliveryTimeSettings]]) or shippingLabel (for [[ShippingRateSettings]]), since this property is for use with unlabelled settings.".freeze,
      domainIncludes: ["http://schema.org/DeliveryTimeSettings".freeze, "http://schema.org/ShippingRateSettings".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2506".freeze,
      label: "isUnlabelledFallback".freeze,
      rangeIncludes: "http://schema.org/Boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isVariantOf,
      comment: "Indicates the kind of product that this is a variant of. In the case of [[ProductModel]], this is a pointer (from a ProductModel) to a base product from which this product is a variant. It is safe to infer that the variant inherits all product features from the base model, unless defined locally. This is not transitive. In the case of a [[ProductGroup]], the group description also serves as a template, representing a set of Products that vary on explicitly defined, specific dimensions only (so it defines both a set of variants, as well as which values distinguish amongst those variants). When used with [[ProductGroup]], this property can apply to any [[Product]] included in the group.".freeze,
      domainIncludes: ["http://schema.org/Product".freeze, "http://schema.org/ProductModel".freeze],
      "http://schema.org/inverseOf": "http://schema.org/hasVariant".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "isVariantOf".freeze,
      rangeIncludes: ["http://schema.org/ProductGroup".freeze, "http://schema.org/ProductModel".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isbn,
      comment: "The ISBN of the book.".freeze,
      domainIncludes: "http://schema.org/Book".freeze,
      equivalentProperty: "http://purl.org/ontology/bibo/isbn".freeze,
      label: "isbn".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      subPropertyOf: "http://schema.org/identifier".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isicV4,
      comment: "The International Standard of Industrial Classification of All Economic Activities (ISIC), Revision 4 code for a particular organization, business person, or place.".freeze,
      domainIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze, "http://schema.org/Place".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "isicV4".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :isrcCode,
      comment: "The International Standard Recording Code for the recording.".freeze,
      domainIncludes: "http://schema.org/MusicRecording".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#MBZ".freeze,
      label: "isrcCode".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :issn,
      comment: "The International Standard Serial Number (ISSN) that identifies this serial publication. You can repeat this property to identify different formats of, or the linking ISSN (ISSN-L) for, this serial publication.".freeze,
      domainIncludes: ["http://schema.org/Blog".freeze, "http://schema.org/CreativeWorkSeries".freeze, "http://schema.org/Dataset".freeze, "http://schema.org/WebSite".freeze],
      equivalentProperty: "http://purl.org/ontology/bibo/issn".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_bibex".freeze,
      label: "issn".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      subPropertyOf: "http://schema.org/identifier".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :issueNumber,
      comment: "Identifies the issue of publication; for example, \"iii\" or \"2\".".freeze,
      domainIncludes: "http://schema.org/PublicationIssue".freeze,
      equivalentProperty: "http://purl.org/ontology/bibo/issue".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_bibex".freeze,
      label: "issueNumber".freeze,
      rangeIncludes: ["http://schema.org/Integer".freeze, "http://schema.org/Text".freeze],
      subPropertyOf: "http://schema.org/position".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :issuedBy,
      comment: "The organization issuing the ticket or permit.".freeze,
      domainIncludes: ["http://schema.org/Permit".freeze, "http://schema.org/Ticket".freeze],
      label: "issuedBy".freeze,
      rangeIncludes: "http://schema.org/Organization".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :issuedThrough,
      comment: "The service through with the permit was granted.".freeze,
      domainIncludes: "http://schema.org/Permit".freeze,
      label: "issuedThrough".freeze,
      rangeIncludes: "http://schema.org/Service".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :iswcCode,
      comment: "The International Standard Musical Work Code for the composition.".freeze,
      domainIncludes: "http://schema.org/MusicComposition".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#MBZ".freeze,
      label: "iswcCode".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :item,
      comment: "An entity represented by an entry in a list or data feed (e.g. an 'artist' in a list of 'artists')’.".freeze,
      domainIncludes: ["http://schema.org/DataFeedItem".freeze, "http://schema.org/ListItem".freeze],
      label: "item".freeze,
      rangeIncludes: "http://schema.org/Thing".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :itemCondition,
      comment: "A predefined value from OfferItemCondition specifying the condition of the product or service, or the products or services included in the offer. Also used for product return policies to specify the condition of products accepted for returns.".freeze,
      domainIncludes: ["http://schema.org/Demand".freeze, "http://schema.org/MerchantReturnPolicy".freeze, "http://schema.org/Offer".freeze, "http://schema.org/Product".freeze],
      label: "itemCondition".freeze,
      rangeIncludes: "http://schema.org/OfferItemCondition".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :itemDefectReturnFees,
      comment: "The type of return fees for returns of defect products.".freeze,
      domainIncludes: "http://schema.org/MerchantReturnPolicy".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2880".freeze,
      label: "itemDefectReturnFees".freeze,
      rangeIncludes: "http://schema.org/ReturnFeesEnumeration".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :itemDefectReturnLabelSource,
      comment: "The method (from an enumeration) by which the customer obtains a return shipping label for a defect product.".freeze,
      domainIncludes: "http://schema.org/MerchantReturnPolicy".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2880".freeze,
      label: "itemDefectReturnLabelSource".freeze,
      rangeIncludes: "http://schema.org/ReturnLabelSourceEnumeration".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :itemDefectReturnShippingFeesAmount,
      comment: "Amount of shipping costs for defect product returns. Applicable when property [[itemDefectReturnFees]] equals [[ReturnShippingFees]].".freeze,
      domainIncludes: "http://schema.org/MerchantReturnPolicy".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2880".freeze,
      label: "itemDefectReturnShippingFeesAmount".freeze,
      rangeIncludes: "http://schema.org/MonetaryAmount".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :itemListElement,
      comment: "For itemListElement values, you can use simple strings (e.g. \"Peter\", \"Paul\", \"Mary\"), existing entities, or use ListItem.\\n\\nText values are best if the elements in the list are plain strings. Existing entities are best for a simple, unordered list of existing things in your data. ListItem is used with ordered lists when you want to provide additional context about the element in that list or when the same item might be in different places in different lists.\\n\\nNote: The order of elements in your mark-up is not sufficient for indicating the order or elements.  Use ListItem with a 'position' property in such cases.".freeze,
      domainIncludes: "http://schema.org/ItemList".freeze,
      label: "itemListElement".freeze,
      rangeIncludes: ["http://schema.org/ListItem".freeze, "http://schema.org/Text".freeze, "http://schema.org/Thing".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :itemListOrder,
      comment: "Type of ordering (e.g. Ascending, Descending, Unordered).".freeze,
      domainIncludes: "http://schema.org/ItemList".freeze,
      label: "itemListOrder".freeze,
      rangeIncludes: ["http://schema.org/ItemListOrderType".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :itemLocation,
      comment: "Current location of the item.".freeze,
      domainIncludes: "http://schema.org/ArchiveComponent".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1758".freeze,
      label: "itemLocation".freeze,
      rangeIncludes: ["http://schema.org/Place".freeze, "http://schema.org/PostalAddress".freeze, "http://schema.org/Text".freeze],
      subPropertyOf: "http://schema.org/location".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :itemOffered,
      comment: "An item being offered (or demanded). The transactional nature of the offer or demand is documented using [[businessFunction]], e.g. sell, lease etc. While several common expected types are listed explicitly in this definition, others can be used. Using a second type, such as Product or a subtype of Product, can clarify the nature of the offer.".freeze,
      domainIncludes: ["http://schema.org/Demand".freeze, "http://schema.org/Offer".freeze],
      "http://schema.org/inverseOf": "http://schema.org/offers".freeze,
      label: "itemOffered".freeze,
      rangeIncludes: ["http://schema.org/AggregateOffer".freeze, "http://schema.org/CreativeWork".freeze, "http://schema.org/Event".freeze, "http://schema.org/MenuItem".freeze, "http://schema.org/Product".freeze, "http://schema.org/Service".freeze, "http://schema.org/Trip".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :itemReviewed,
      comment: "The item that is being reviewed/rated.".freeze,
      domainIncludes: ["http://schema.org/AggregateRating".freeze, "http://schema.org/Review".freeze],
      label: "itemReviewed".freeze,
      rangeIncludes: "http://schema.org/Thing".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :itemShipped,
      comment: "Item(s) being shipped.".freeze,
      domainIncludes: "http://schema.org/ParcelDelivery".freeze,
      label: "itemShipped".freeze,
      rangeIncludes: "http://schema.org/Product".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :itinerary,
      comment: "Destination(s) ( [[Place]] ) that make up a trip. For a trip where destination order is important use [[ItemList]] to specify that order (see examples).".freeze,
      domainIncludes: "http://schema.org/Trip".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Tourism".freeze, "https://github.com/schemaorg/schemaorg/issues/1810".freeze],
      label: "itinerary".freeze,
      rangeIncludes: ["http://schema.org/ItemList".freeze, "http://schema.org/Place".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :iupacName,
      comment: "Systematic method of naming chemical compounds as recommended by the International Union of Pure and Applied Chemistry (IUPAC).".freeze,
      domainIncludes: "http://schema.org/MolecularEntity".freeze,
      "http://purl.org/dc/terms/source": "http://www.bioschemas.org/MolecularEntity".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      label: "iupacName".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :jobBenefits,
      comment: "Description of benefits associated with the job.".freeze,
      domainIncludes: "http://schema.org/JobPosting".freeze,
      label: "jobBenefits".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :jobImmediateStart,
      comment: "An indicator as to whether a position is available for an immediate start.".freeze,
      domainIncludes: "http://schema.org/JobPosting".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2244".freeze,
      label: "jobImmediateStart".freeze,
      rangeIncludes: "http://schema.org/Boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :jobLocation,
      comment: "A (typically single) geographic location associated with the job position.".freeze,
      domainIncludes: "http://schema.org/JobPosting".freeze,
      label: "jobLocation".freeze,
      rangeIncludes: "http://schema.org/Place".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :jobLocationType,
      comment: "A description of the job location (e.g TELECOMMUTE for telecommute jobs).".freeze,
      domainIncludes: "http://schema.org/JobPosting".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1591".freeze,
      label: "jobLocationType".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :jobStartDate,
      comment: "The date on which a successful applicant for this job would be expected to start work. Choose a specific date in the future or use the jobImmediateStart property to indicate the position is to be filled as soon as possible.".freeze,
      domainIncludes: "http://schema.org/JobPosting".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2244".freeze,
      label: "jobStartDate".freeze,
      rangeIncludes: ["http://schema.org/Date".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :jobTitle,
      comment: "The job title of the person (for example, Financial Manager).".freeze,
      domainIncludes: "http://schema.org/Person".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2192".freeze,
      label: "jobTitle".freeze,
      rangeIncludes: ["http://schema.org/DefinedTerm".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :jurisdiction,
      comment: "Indicates a legal jurisdiction, e.g. of some legislation, or where some government service is based.".freeze,
      domainIncludes: ["http://schema.org/GovernmentService".freeze, "http://schema.org/Legislation".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2534".freeze,
      label: "jurisdiction".freeze,
      rangeIncludes: ["http://schema.org/AdministrativeArea".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :keywords,
      comment: "Keywords or tags used to describe this content. Multiple entries in a keywords list are typically delimited by commas.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      label: "keywords".freeze,
      rangeIncludes: ["http://schema.org/DefinedTerm".freeze, "http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :knownVehicleDamages,
      comment: "A textual description of known damages, both repaired and unrepaired.".freeze,
      domainIncludes: "http://schema.org/Vehicle".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "knownVehicleDamages".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :knows,
      comment: "The most generic bi-directional social/work relation.".freeze,
      domainIncludes: "http://schema.org/Person".freeze,
      label: "knows".freeze,
      rangeIncludes: "http://schema.org/Person".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :knowsAbout,
      comment: "Of a [[Person]], and less typically of an [[Organization]], to indicate a topic that is known about - suggesting possible expertise but not implying it. We do not distinguish skill levels here, or relate this to educational content, events, objectives or [[JobPosting]] descriptions.".freeze,
      domainIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["https://github.com/schemaorg/schemaorg/issues/1688".freeze, "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#TP".freeze],
      label: "knowsAbout".freeze,
      rangeIncludes: ["http://schema.org/Text".freeze, "http://schema.org/Thing".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :knowsLanguage,
      comment: "Of a [[Person]], and less typically of an [[Organization]], to indicate a known language. We do not distinguish skill levels or reading/writing/speaking/signing here. Use language codes from the [IETF BCP 47 standard](http://tools.ietf.org/html/bcp47).".freeze,
      domainIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["https://github.com/schemaorg/schemaorg/issues/1688".freeze, "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#TP".freeze],
      label: "knowsLanguage".freeze,
      rangeIncludes: ["http://schema.org/Language".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :labelDetails,
      comment: "Link to the drug's label details.".freeze,
      domainIncludes: "http://schema.org/Drug".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "labelDetails".freeze,
      rangeIncludes: "http://schema.org/URL".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :landlord,
      comment: "A sub property of participant. The owner of the real estate property.".freeze,
      domainIncludes: "http://schema.org/RentAction".freeze,
      label: "landlord".freeze,
      rangeIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      subPropertyOf: "http://schema.org/participant".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :language,
      comment: "A sub property of instrument. The language used on this action.".freeze,
      domainIncludes: ["http://schema.org/CommunicateAction".freeze, "http://schema.org/WriteAction".freeze],
      "http://schema.org/supersededBy": "http://schema.org/inLanguage".freeze,
      label: "language".freeze,
      rangeIncludes: "http://schema.org/Language".freeze,
      subPropertyOf: "http://schema.org/instrument".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :lastReviewed,
      comment: "Date on which the content on this web page was last reviewed for accuracy and/or completeness.".freeze,
      domainIncludes: "http://schema.org/WebPage".freeze,
      label: "lastReviewed".freeze,
      rangeIncludes: "http://schema.org/Date".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :latitude,
      comment: "The latitude of a location. For example ```37.42242``` ([WGS 84](https://en.wikipedia.org/wiki/World_Geodetic_System)).".freeze,
      domainIncludes: ["http://schema.org/GeoCoordinates".freeze, "http://schema.org/Place".freeze],
      label: "latitude".freeze,
      rangeIncludes: ["http://schema.org/Number".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :layoutImage,
      comment: "A schematic image showing the floorplan layout.".freeze,
      domainIncludes: "http://schema.org/FloorPlan".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2690".freeze,
      label: "layoutImage".freeze,
      rangeIncludes: ["http://schema.org/ImageObject".freeze, "http://schema.org/URL".freeze],
      subPropertyOf: "http://schema.org/image".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :learningResourceType,
      comment: "The predominant type or kind characterizing the learning resource. For example, 'presentation', 'handout'.".freeze,
      domainIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/LearningResource".freeze],
      label: "learningResourceType".freeze,
      rangeIncludes: ["http://schema.org/DefinedTerm".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :leaseLength,
      comment: "Length of the lease for some [[Accommodation]], either particular to some [[Offer]] or in some cases intrinsic to the property.".freeze,
      domainIncludes: ["http://schema.org/Accommodation".freeze, "http://schema.org/Offer".freeze, "http://schema.org/RealEstateListing".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2373".freeze,
      label: "leaseLength".freeze,
      rangeIncludes: ["http://schema.org/Duration".freeze, "http://schema.org/QuantitativeValue".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :legalName,
      comment: "The official name of the organization, e.g. the registered company name.".freeze,
      domainIncludes: "http://schema.org/Organization".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "legalName".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :legalStatus,
      comment: "The drug or supplement's legal status, including any controlled substance schedules that apply.".freeze,
      domainIncludes: ["http://schema.org/DietarySupplement".freeze, "http://schema.org/Drug".freeze, "http://schema.org/MedicalEntity".freeze],
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "legalStatus".freeze,
      rangeIncludes: ["http://schema.org/DrugLegalStatus".freeze, "http://schema.org/MedicalEnumeration".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :legislationApplies,
      comment: "Indicates that this legislation (or part of a legislation) somehow transfers another legislation in a different legislative context. This is an informative link, and it has no legal value. For legally-binding links of transposition, use the <a href=\"/legislationTransposes\">legislationTransposes</a> property. For example an informative consolidated law of a European Union's member state \"applies\" the consolidated version of the European Directive implemented in it.".freeze,
      domainIncludes: "http://schema.org/Legislation".freeze,
      equivalentProperty: "http://data.europa.eu/eli/ontology#implements".freeze,
      exactMatch: "http://data.europa.eu/eli/ontology#implements".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://publications.europa.eu/mdr/eli/index.html".freeze, "https://github.com/schemaorg/schemaorg/issues/1156".freeze],
      label: "legislationApplies".freeze,
      rangeIncludes: "http://schema.org/Legislation".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :legislationChanges,
      comment: "Another legislation that this legislation changes. This encompasses the notions of amendment, replacement, correction, repeal, or other types of change. This may be a direct change (textual or non-textual amendment) or a consequential or indirect change. The property is to be used to express the existence of a change relationship between two acts rather than the existence of a consolidated version of the text that shows the result of the change. For consolidation relationships, use the <a href=\"/legislationConsolidates\">legislationConsolidates</a> property.".freeze,
      domainIncludes: "http://schema.org/Legislation".freeze,
      equivalentProperty: "http://data.europa.eu/eli/ontology#changes".freeze,
      exactMatch: "http://data.europa.eu/eli/ontology#changes".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://publications.europa.eu/mdr/eli/index.html".freeze, "https://github.com/schemaorg/schemaorg/issues/1156".freeze],
      label: "legislationChanges".freeze,
      rangeIncludes: "http://schema.org/Legislation".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :legislationConsolidates,
      comment: "Indicates another legislation taken into account in this consolidated legislation (which is usually the product of an editorial process that revises the legislation). This property should be used multiple times to refer to both the original version or the previous consolidated version, and to the legislations making the change.".freeze,
      domainIncludes: "http://schema.org/Legislation".freeze,
      equivalentProperty: "http://data.europa.eu/eli/ontology#consolidates".freeze,
      exactMatch: "http://data.europa.eu/eli/ontology#consolidates".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://publications.europa.eu/mdr/eli/index.html".freeze, "https://github.com/schemaorg/schemaorg/issues/1156".freeze],
      label: "legislationConsolidates".freeze,
      rangeIncludes: "http://schema.org/Legislation".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :legislationDate,
      comment: "The date of adoption or signature of the legislation. This is the date at which the text is officially aknowledged to be a legislation, even though it might not even be published or in force.".freeze,
      domainIncludes: "http://schema.org/Legislation".freeze,
      equivalentProperty: "http://data.europa.eu/eli/ontology#date_document".freeze,
      exactMatch: "http://data.europa.eu/eli/ontology#date_document".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://publications.europa.eu/mdr/eli/index.html".freeze, "https://github.com/schemaorg/schemaorg/issues/1156".freeze],
      label: "legislationDate".freeze,
      rangeIncludes: "http://schema.org/Date".freeze,
      subPropertyOf: "http://schema.org/dateCreated".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :legislationDateVersion,
      comment: "The point-in-time at which the provided description of the legislation is valid (e.g. : when looking at the law on the 2016-04-07 (= dateVersion), I get the consolidation of 2015-04-12 of the \"National Insurance Contributions Act 2015\")".freeze,
      domainIncludes: "http://schema.org/Legislation".freeze,
      equivalentProperty: "http://data.europa.eu/eli/ontology#version_date".freeze,
      exactMatch: "http://data.europa.eu/eli/ontology#version_date".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://publications.europa.eu/mdr/eli/index.html".freeze, "https://github.com/schemaorg/schemaorg/issues/1156".freeze],
      label: "legislationDateVersion".freeze,
      rangeIncludes: "http://schema.org/Date".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :legislationIdentifier,
      comment: "An identifier for the legislation. This can be either a string-based identifier, like the CELEX at EU level or the NOR in France, or a web-based, URL/URI identifier, like an ELI (European Legislation Identifier) or an URN-Lex.".freeze,
      domainIncludes: "http://schema.org/Legislation".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://publications.europa.eu/mdr/eli/index.html".freeze, "https://github.com/schemaorg/schemaorg/issues/1156".freeze],
      "http://www.w3.org/2004/02/skos/core#closeMatch": "http://data.europa.eu/eli/ontology#id_local".freeze,
      label: "legislationIdentifier".freeze,
      rangeIncludes: ["http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      subPropertyOf: "http://schema.org/identifier".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :legislationJurisdiction,
      comment: "The jurisdiction from which the legislation originates.".freeze,
      domainIncludes: "http://schema.org/Legislation".freeze,
      equivalentProperty: "http://data.europa.eu/eli/ontology#jurisdiction".freeze,
      exactMatch: "http://data.europa.eu/eli/ontology#jurisdiction".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://publications.europa.eu/mdr/eli/index.html".freeze, "https://github.com/schemaorg/schemaorg/issues/1156".freeze],
      label: "legislationJurisdiction".freeze,
      rangeIncludes: ["http://schema.org/AdministrativeArea".freeze, "http://schema.org/Text".freeze],
      subPropertyOf: ["http://schema.org/jurisdiction".freeze, "http://schema.org/spatialCoverage".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :legislationLegalForce,
      comment: "Whether the legislation is currently in force, not in force, or partially in force.".freeze,
      domainIncludes: "http://schema.org/Legislation".freeze,
      equivalentProperty: "http://data.europa.eu/eli/ontology#in_force".freeze,
      exactMatch: "http://data.europa.eu/eli/ontology#in_force".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://publications.europa.eu/mdr/eli/index.html".freeze, "https://github.com/schemaorg/schemaorg/issues/1156".freeze],
      label: "legislationLegalForce".freeze,
      rangeIncludes: "http://schema.org/LegalForceStatus".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :legislationLegalValue,
      comment: "The legal value of this legislation file. The same legislation can be written in multiple files with different legal values. Typically a digitally signed PDF have a \"stronger\" legal value than the HTML file of the same act.".freeze,
      domainIncludes: "http://schema.org/LegislationObject".freeze,
      equivalentProperty: "http://data.europa.eu/eli/ontology#legal_value".freeze,
      exactMatch: "http://data.europa.eu/eli/ontology#legal_value".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://publications.europa.eu/mdr/eli/index.html".freeze, "https://github.com/schemaorg/schemaorg/issues/1156".freeze],
      label: "legislationLegalValue".freeze,
      rangeIncludes: "http://schema.org/LegalValueLevel".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :legislationPassedBy,
      comment: "The person or organization that originally passed or made the law : typically parliament (for primary legislation) or government (for secondary legislation). This indicates the \"legal author\" of the law, as opposed to its physical author.".freeze,
      domainIncludes: "http://schema.org/Legislation".freeze,
      equivalentProperty: "http://data.europa.eu/eli/ontology#passed_by".freeze,
      exactMatch: "http://data.europa.eu/eli/ontology#passed_by".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://publications.europa.eu/mdr/eli/index.html".freeze, "https://github.com/schemaorg/schemaorg/issues/1156".freeze],
      label: "legislationPassedBy".freeze,
      rangeIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      subPropertyOf: "http://schema.org/creator".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :legislationResponsible,
      comment: "An individual or organization that has some kind of responsibility for the legislation. Typically the ministry who is/was in charge of elaborating the legislation, or the adressee for potential questions about the legislation once it is published.".freeze,
      domainIncludes: "http://schema.org/Legislation".freeze,
      equivalentProperty: "http://data.europa.eu/eli/ontology#responsibility_of".freeze,
      exactMatch: "http://data.europa.eu/eli/ontology#responsibility_of".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://publications.europa.eu/mdr/eli/index.html".freeze, "https://github.com/schemaorg/schemaorg/issues/1156".freeze],
      label: "legislationResponsible".freeze,
      rangeIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :legislationTransposes,
      comment: "Indicates that this legislation (or part of legislation) fulfills the objectives set by another legislation, by passing appropriate implementation measures. Typically, some legislations of European Union's member states or regions transpose European Directives. This indicates a legally binding link between the 2 legislations.".freeze,
      domainIncludes: "http://schema.org/Legislation".freeze,
      equivalentProperty: "http://data.europa.eu/eli/ontology#transposes".freeze,
      exactMatch: "http://data.europa.eu/eli/ontology#transposes".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://publications.europa.eu/mdr/eli/index.html".freeze, "https://github.com/schemaorg/schemaorg/issues/1156".freeze],
      label: "legislationTransposes".freeze,
      rangeIncludes: "http://schema.org/Legislation".freeze,
      subPropertyOf: "http://schema.org/legislationApplies".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :legislationType,
      comment: "The type of the legislation. Examples of values are \"law\", \"act\", \"directive\", \"decree\", \"regulation\", \"statutory instrument\", \"loi organique\", \"règlement grand-ducal\", etc., depending on the country.".freeze,
      domainIncludes: "http://schema.org/Legislation".freeze,
      equivalentProperty: "http://data.europa.eu/eli/ontology#type_document".freeze,
      exactMatch: "http://data.europa.eu/eli/ontology#type_document".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://publications.europa.eu/mdr/eli/index.html".freeze, "https://github.com/schemaorg/schemaorg/issues/1156".freeze],
      label: "legislationType".freeze,
      rangeIncludes: ["http://schema.org/CategoryCode".freeze, "http://schema.org/Text".freeze],
      subPropertyOf: "http://schema.org/genre".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :leiCode,
      comment: "An organization identifier that uniquely identifies a legal entity as defined in ISO 17442.".freeze,
      domainIncludes: "http://schema.org/Organization".freeze,
      "http://schema.org/source": ["http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FIBO".freeze, "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#GLEIF".freeze],
      label: "leiCode".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      subPropertyOf: "http://schema.org/identifier".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :lender,
      comment: "A sub property of participant. The person that lends the object being borrowed.".freeze,
      domainIncludes: "http://schema.org/BorrowAction".freeze,
      label: "lender".freeze,
      rangeIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      subPropertyOf: "http://schema.org/participant".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :lesser,
      comment: "This ordering relation for qualitative values indicates that the subject is lesser than the object.".freeze,
      domainIncludes: "http://schema.org/QualitativeValue".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "lesser".freeze,
      rangeIncludes: "http://schema.org/QualitativeValue".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :lesserOrEqual,
      comment: "This ordering relation for qualitative values indicates that the subject is lesser than or equal to the object.".freeze,
      domainIncludes: "http://schema.org/QualitativeValue".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "lesserOrEqual".freeze,
      rangeIncludes: "http://schema.org/QualitativeValue".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :letterer,
      comment: "The individual who adds lettering, including speech balloons and sound effects, to artwork.".freeze,
      domainIncludes: ["http://schema.org/ComicIssue".freeze, "http://schema.org/ComicStory".freeze, "http://schema.org/VisualArtwork".freeze],
      "http://schema.org/isPartOf": "http://bib.schema.org".freeze,
      label: "letterer".freeze,
      rangeIncludes: "http://schema.org/Person".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :license,
      comment: "A license document that applies to this content, typically indicated by URL.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      label: "license".freeze,
      rangeIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :line,
      comment: "A line is a point-to-point path consisting of two or more points. A line is expressed as a series of two or more point objects separated by space.".freeze,
      domainIncludes: "http://schema.org/GeoShape".freeze,
      label: "line".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :linkRelationship,
      comment: "Indicates the relationship type of a Web link. ".freeze,
      domainIncludes: "http://schema.org/LinkRole".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1045".freeze,
      label: "linkRelationship".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :liveBlogUpdate,
      comment: "An update to the LiveBlog.".freeze,
      domainIncludes: "http://schema.org/LiveBlogPosting".freeze,
      label: "liveBlogUpdate".freeze,
      rangeIncludes: "http://schema.org/BlogPosting".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :loanMortgageMandateAmount,
      comment: "Amount of mortgage mandate that can be converted into a proper mortgage at a later stage.".freeze,
      domainIncludes: "http://schema.org/MortgageLoan".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FIBO".freeze, "https://github.com/schemaorg/schemaorg/issues/1253".freeze],
      label: "loanMortgageMandateAmount".freeze,
      rangeIncludes: "http://schema.org/MonetaryAmount".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :loanPaymentAmount,
      comment: "The amount of money to pay in a single payment.".freeze,
      domainIncludes: "http://schema.org/RepaymentSpecification".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FIBO".freeze, "https://github.com/schemaorg/schemaorg/issues/1253".freeze],
      label: "loanPaymentAmount".freeze,
      rangeIncludes: "http://schema.org/MonetaryAmount".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :loanPaymentFrequency,
      comment: "Frequency of payments due, i.e. number of months between payments. This is defined as a frequency, i.e. the reciprocal of a period of time.".freeze,
      domainIncludes: "http://schema.org/RepaymentSpecification".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FIBO".freeze, "https://github.com/schemaorg/schemaorg/issues/1253".freeze],
      label: "loanPaymentFrequency".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :loanRepaymentForm,
      comment: "A form of paying back money previously borrowed from a lender. Repayment usually takes the form of periodic payments that normally include part principal plus interest in each payment.".freeze,
      domainIncludes: "http://schema.org/LoanOrCredit".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FIBO".freeze, "https://github.com/schemaorg/schemaorg/issues/1253".freeze],
      label: "loanRepaymentForm".freeze,
      rangeIncludes: "http://schema.org/RepaymentSpecification".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :loanTerm,
      comment: "The duration of the loan or credit agreement.".freeze,
      domainIncludes: "http://schema.org/LoanOrCredit".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FIBO".freeze,
      label: "loanTerm".freeze,
      rangeIncludes: "http://schema.org/QuantitativeValue".freeze,
      subPropertyOf: "http://schema.org/duration".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :loanType,
      comment: "The type of a loan or credit.".freeze,
      domainIncludes: "http://schema.org/LoanOrCredit".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FIBO".freeze, "https://github.com/schemaorg/schemaorg/issues/1253".freeze],
      label: "loanType".freeze,
      rangeIncludes: ["http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :location,
      comment: "The location of, for example, where an event is happening, where an organization is located, or where an action takes place.".freeze,
      domainIncludes: ["http://schema.org/Action".freeze, "http://schema.org/Event".freeze, "http://schema.org/InteractionCounter".freeze, "http://schema.org/Organization".freeze],
      label: "location".freeze,
      rangeIncludes: ["http://schema.org/Place".freeze, "http://schema.org/PostalAddress".freeze, "http://schema.org/Text".freeze, "http://schema.org/VirtualLocation".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :locationCreated,
      comment: "The location where the CreativeWork was created, which may not be the same as the location depicted in the CreativeWork.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      label: "locationCreated".freeze,
      rangeIncludes: "http://schema.org/Place".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :lodgingUnitDescription,
      comment: "A full description of the lodging unit.".freeze,
      domainIncludes: "http://schema.org/LodgingReservation".freeze,
      label: "lodgingUnitDescription".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :lodgingUnitType,
      comment: "Textual description of the unit type (including suite vs. room, size of bed, etc.).".freeze,
      domainIncludes: "http://schema.org/LodgingReservation".freeze,
      label: "lodgingUnitType".freeze,
      rangeIncludes: ["http://schema.org/QualitativeValue".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :logo,
      comment: "An associated logo.".freeze,
      domainIncludes: ["http://schema.org/Brand".freeze, "http://schema.org/Organization".freeze, "http://schema.org/Place".freeze, "http://schema.org/Product".freeze, "http://schema.org/Service".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "logo".freeze,
      rangeIncludes: ["http://schema.org/ImageObject".freeze, "http://schema.org/URL".freeze],
      subPropertyOf: "http://schema.org/image".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :longitude,
      comment: "The longitude of a location. For example ```-122.08585``` ([WGS 84](https://en.wikipedia.org/wiki/World_Geodetic_System)).".freeze,
      domainIncludes: ["http://schema.org/GeoCoordinates".freeze, "http://schema.org/Place".freeze],
      label: "longitude".freeze,
      rangeIncludes: ["http://schema.org/Number".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :loser,
      comment: "A sub property of participant. The loser of the action.".freeze,
      domainIncludes: "http://schema.org/WinAction".freeze,
      label: "loser".freeze,
      rangeIncludes: "http://schema.org/Person".freeze,
      subPropertyOf: "http://schema.org/participant".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :lowPrice,
      comment: "The lowest price of all offers available.\\n\\nUsage guidelines:\\n\\n* Use values from 0123456789 (Unicode 'DIGIT ZERO' (U+0030) to 'DIGIT NINE' (U+0039)) rather than superficially similiar Unicode symbols.\\n* Use '.' (Unicode 'FULL STOP' (U+002E)) rather than ',' to indicate a decimal point. Avoid using these symbols as a readability separator.".freeze,
      domainIncludes: "http://schema.org/AggregateOffer".freeze,
      label: "lowPrice".freeze,
      rangeIncludes: ["http://schema.org/Number".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :lyricist,
      comment: "The person who wrote the words.".freeze,
      domainIncludes: "http://schema.org/MusicComposition".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#MBZ".freeze,
      label: "lyricist".freeze,
      rangeIncludes: "http://schema.org/Person".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :lyrics,
      comment: "The words in the song.".freeze,
      domainIncludes: "http://schema.org/MusicComposition".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#MBZ".freeze,
      label: "lyrics".freeze,
      rangeIncludes: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :mainContentOfPage,
      comment: "Indicates if this web page element is the main subject of the page.".freeze,
      domainIncludes: "http://schema.org/WebPage".freeze,
      label: "mainContentOfPage".freeze,
      rangeIncludes: "http://schema.org/WebPageElement".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :mainEntity,
      comment: "Indicates the primary entity described in some page or other CreativeWork.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      "http://schema.org/inverseOf": "http://schema.org/mainEntityOfPage".freeze,
      label: "mainEntity".freeze,
      rangeIncludes: "http://schema.org/Thing".freeze,
      subPropertyOf: "http://schema.org/about".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :mainEntityOfPage,
      comment: "Indicates a page (or other CreativeWork) for which this thing is the main entity being described. See [background notes](/docs/datamodel.html#mainEntityBackground) for details.".freeze,
      domainIncludes: "http://schema.org/Thing".freeze,
      "http://schema.org/inverseOf": "http://schema.org/mainEntity".freeze,
      label: "mainEntityOfPage".freeze,
      rangeIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :maintainer,
      comment: "A maintainer of a [[Dataset]], software package ([[SoftwareApplication]]), or other [[Project]]. A maintainer is a [[Person]] or [[Organization]] that manages contributions to, and/or publication of, some (typically complex) artifact. It is common for distributions of software and data to be based on \"upstream\" sources. When [[maintainer]] is applied to a specific version of something e.g. a particular version or packaging of a [[Dataset]], it is always  possible that the upstream source has a different maintainer. The [[isBasedOn]] property can be used to indicate such relationships between datasets to make the different maintenance roles clear. Similarly in the case of software, a package may have dedicated maintainers working on integration into software distributions such as Ubuntu, as well as upstream maintainers of the underlying work.\n      ".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2311".freeze,
      label: "maintainer".freeze,
      rangeIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :makesOffer,
      comment: "A pointer to products or services offered by the organization or person.".freeze,
      domainIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      "http://schema.org/inverseOf": "http://schema.org/offeredBy".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "makesOffer".freeze,
      rangeIncludes: "http://schema.org/Offer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :manufacturer,
      comment: "The manufacturer of the product.".freeze,
      domainIncludes: ["http://schema.org/DietarySupplement".freeze, "http://schema.org/Drug".freeze, "http://schema.org/Product".freeze],
      label: "manufacturer".freeze,
      rangeIncludes: "http://schema.org/Organization".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :map,
      comment: "A URL to a map of the place.".freeze,
      domainIncludes: "http://schema.org/Place".freeze,
      "http://schema.org/supersededBy": "http://schema.org/hasMap".freeze,
      label: "map".freeze,
      rangeIncludes: "http://schema.org/URL".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :mapType,
      comment: "Indicates the kind of Map, from the MapCategoryType Enumeration.".freeze,
      domainIncludes: "http://schema.org/Map".freeze,
      label: "mapType".freeze,
      rangeIncludes: "http://schema.org/MapCategoryType".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :maps,
      comment: "A URL to a map of the place.".freeze,
      domainIncludes: "http://schema.org/Place".freeze,
      "http://schema.org/supersededBy": "http://schema.org/hasMap".freeze,
      label: "maps".freeze,
      rangeIncludes: "http://schema.org/URL".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :marginOfError,
      comment: "A marginOfError for an [[Observation]].".freeze,
      domainIncludes: "http://schema.org/Observation".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2291".freeze,
      label: "marginOfError".freeze,
      rangeIncludes: "http://schema.org/QuantitativeValue".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :masthead,
      comment: "For a [[NewsMediaOrganization]], a link to the masthead page or a page listing top editorial management.".freeze,
      domainIncludes: "http://schema.org/NewsMediaOrganization".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["https://github.com/schemaorg/schemaorg/issues/1525".freeze, "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#TP".freeze],
      label: "masthead".freeze,
      rangeIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/URL".freeze],
      subPropertyOf: "http://schema.org/publishingPrinciples".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :material,
      comment: "A material that something is made from, e.g. leather, wool, cotton, paper.".freeze,
      domainIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/Product".freeze],
      label: "material".freeze,
      rangeIncludes: ["http://schema.org/Product".freeze, "http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :materialExtent,
      comment: "The quantity of the materials being described or an expression of the physical space they occupy.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1759".freeze,
      label: "materialExtent".freeze,
      rangeIncludes: ["http://schema.org/QuantitativeValue".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :mathExpression,
      comment: "A mathematical expression (e.g. 'x^2-3x=0') that may be solved for a specific variable, simplified, or transformed. This can take many formats, e.g. LaTeX, Ascii-Math, or math as you would write with a keyboard.".freeze,
      domainIncludes: "http://schema.org/MathSolver".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2740".freeze,
      label: "mathExpression".freeze,
      rangeIncludes: ["http://schema.org/SolveMathAction".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :maxPrice,
      comment: "The highest price if the price is a range.".freeze,
      domainIncludes: "http://schema.org/PriceSpecification".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "maxPrice".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :maxValue,
      comment: "The upper value of some characteristic or property.".freeze,
      domainIncludes: ["http://schema.org/MonetaryAmount".freeze, "http://schema.org/PropertyValue".freeze, "http://schema.org/PropertyValueSpecification".freeze, "http://schema.org/QuantitativeValue".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "maxValue".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :maximumAttendeeCapacity,
      comment: "The total number of individuals that may attend an event or venue.".freeze,
      domainIncludes: ["http://schema.org/Event".freeze, "http://schema.org/Place".freeze],
      label: "maximumAttendeeCapacity".freeze,
      rangeIncludes: "http://schema.org/Integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :maximumEnrollment,
      comment: "The maximum number of students who may be enrolled in the program.".freeze,
      domainIncludes: "http://schema.org/EducationalOccupationalProgram".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2419".freeze,
      label: "maximumEnrollment".freeze,
      rangeIncludes: "http://schema.org/Integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :maximumIntake,
      comment: "Recommended intake of this supplement for a given population as defined by a specific recommending authority.".freeze,
      domainIncludes: ["http://schema.org/DietarySupplement".freeze, "http://schema.org/Drug".freeze, "http://schema.org/DrugStrength".freeze, "http://schema.org/Substance".freeze],
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "maximumIntake".freeze,
      rangeIncludes: "http://schema.org/MaximumDoseSchedule".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :maximumPhysicalAttendeeCapacity,
      comment: "The maximum physical attendee capacity of an [[Event]] whose [[eventAttendanceMode]] is [[OfflineEventAttendanceMode]] (or the offline aspects, in the case of a [[MixedEventAttendanceMode]]). ".freeze,
      domainIncludes: "http://schema.org/Event".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1842".freeze,
      label: "maximumPhysicalAttendeeCapacity".freeze,
      rangeIncludes: "http://schema.org/Integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :maximumVirtualAttendeeCapacity,
      comment: "The maximum physical attendee capacity of an [[Event]] whose [[eventAttendanceMode]] is [[OnlineEventAttendanceMode]] (or the online aspects, in the case of a [[MixedEventAttendanceMode]]). ".freeze,
      domainIncludes: "http://schema.org/Event".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1842".freeze,
      label: "maximumVirtualAttendeeCapacity".freeze,
      rangeIncludes: "http://schema.org/Integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :mealService,
      comment: "Description of the meals that will be provided or available for purchase.".freeze,
      domainIncludes: "http://schema.org/Flight".freeze,
      label: "mealService".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :measuredProperty,
      comment: "The measuredProperty of an [[Observation]], either a schema.org property, a property from other RDF-compatible systems e.g. W3C RDF Data Cube, or schema.org extensions such as [GS1's](https://www.gs1.org/voc/?show=properties).".freeze,
      domainIncludes: "http://schema.org/Observation".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2291".freeze,
      label: "measuredProperty".freeze,
      rangeIncludes: "http://schema.org/Property".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :measuredValue,
      comment: "The measuredValue of an [[Observation]].".freeze,
      domainIncludes: "http://schema.org/Observation".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2291".freeze,
      label: "measuredValue".freeze,
      rangeIncludes: "http://schema.org/DataType".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :measurementTechnique,
      comment: "A technique or technology used in a [[Dataset]] (or [[DataDownload]], [[DataCatalog]]),\ncorresponding to the method used for measuring the corresponding variable(s) (described using [[variableMeasured]]). This is oriented towards scientific and scholarly dataset publication but may have broader applicability; it is not intended as a full representation of measurement, but rather as a high level summary for dataset discovery.\n\nFor example, if [[variableMeasured]] is: molecule concentration, [[measurementTechnique]] could be: \"mass spectrometry\" or \"nmr spectroscopy\" or \"colorimetry\" or \"immunofluorescence\".\n\nIf the [[variableMeasured]] is \"depression rating\", the [[measurementTechnique]] could be \"Zung Scale\" or \"HAM-D\" or \"Beck Depression Inventory\".\n\nIf there are several [[variableMeasured]] properties recorded for some given data object, use a [[PropertyValue]] for each [[variableMeasured]] and attach the corresponding [[measurementTechnique]].\n      ".freeze,
      domainIncludes: ["http://schema.org/DataCatalog".freeze, "http://schema.org/DataDownload".freeze, "http://schema.org/Dataset".freeze, "http://schema.org/PropertyValue".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1425".freeze,
      label: "measurementTechnique".freeze,
      rangeIncludes: ["http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :mechanismOfAction,
      comment: "The specific biochemical interaction through which this drug or supplement produces its pharmacological effect.".freeze,
      domainIncludes: ["http://schema.org/DietarySupplement".freeze, "http://schema.org/Drug".freeze],
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "mechanismOfAction".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :mediaAuthenticityCategory,
      comment: "Indicates a MediaManipulationRatingEnumeration classification of a media object (in the context of how it was published or shared).".freeze,
      domainIncludes: "http://schema.org/MediaReview".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2450".freeze,
      label: "mediaAuthenticityCategory".freeze,
      rangeIncludes: "http://schema.org/MediaManipulationRatingEnumeration".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :mediaItemAppearance,
      comment: "In the context of a [[MediaReview]], indicates specific media item(s) that are grouped using a [[MediaReviewItem]].".freeze,
      domainIncludes: "http://schema.org/MediaReviewItem".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2450".freeze,
      label: "mediaItemAppearance".freeze,
      rangeIncludes: "http://schema.org/MediaObject".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :median,
      comment: "The median value.".freeze,
      domainIncludes: "http://schema.org/QuantitativeValueDistribution".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1698".freeze,
      label: "median".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :medicalAudience,
      comment: "Medical audience for page.".freeze,
      domainIncludes: "http://schema.org/MedicalWebPage".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "medicalAudience".freeze,
      rangeIncludes: ["http://schema.org/MedicalAudience".freeze, "http://schema.org/MedicalAudienceType".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :medicalSpecialty,
      comment: "A medical specialty of the provider.".freeze,
      domainIncludes: ["http://schema.org/Hospital".freeze, "http://schema.org/MedicalClinic".freeze, "http://schema.org/MedicalOrganization".freeze, "http://schema.org/Physician".freeze],
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "medicalSpecialty".freeze,
      rangeIncludes: "http://schema.org/MedicalSpecialty".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :medicineSystem,
      comment: "The system of medicine that includes this MedicalEntity, for example 'evidence-based', 'homeopathic', 'chiropractic', etc.".freeze,
      domainIncludes: "http://schema.org/MedicalEntity".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "medicineSystem".freeze,
      rangeIncludes: "http://schema.org/MedicineSystem".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :meetsEmissionStandard,
      comment: "Indicates that the vehicle meets the respective emission standard.".freeze,
      domainIncludes: "http://schema.org/Vehicle".freeze,
      "http://schema.org/isPartOf": "http://auto.schema.org".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "meetsEmissionStandard".freeze,
      rangeIncludes: ["http://schema.org/QualitativeValue".freeze, "http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :member,
      comment: "A member of an Organization or a ProgramMembership. Organizations can be members of organizations; ProgramMembership is typically for individuals.".freeze,
      domainIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/ProgramMembership".freeze],
      "http://schema.org/inverseOf": "http://schema.org/memberOf".freeze,
      label: "member".freeze,
      rangeIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :memberOf,
      comment: "An Organization (or ProgramMembership) to which this Person or Organization belongs.".freeze,
      domainIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      "http://schema.org/inverseOf": "http://schema.org/member".freeze,
      label: "memberOf".freeze,
      rangeIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/ProgramMembership".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :members,
      comment: "A member of this organization.".freeze,
      domainIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/ProgramMembership".freeze],
      "http://schema.org/supersededBy": "http://schema.org/member".freeze,
      label: "members".freeze,
      rangeIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :membershipNumber,
      comment: "A unique identifier for the membership.".freeze,
      domainIncludes: "http://schema.org/ProgramMembership".freeze,
      label: "membershipNumber".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :membershipPointsEarned,
      comment: "The number of membership points earned by the member. If necessary, the unitText can be used to express the units the points are issued in. (e.g. stars, miles, etc.)".freeze,
      domainIncludes: "http://schema.org/ProgramMembership".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2085".freeze,
      label: "membershipPointsEarned".freeze,
      rangeIncludes: ["http://schema.org/Number".freeze, "http://schema.org/QuantitativeValue".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :memoryRequirements,
      comment: "Minimum memory requirements.".freeze,
      domainIncludes: "http://schema.org/SoftwareApplication".freeze,
      label: "memoryRequirements".freeze,
      rangeIncludes: ["http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :mentions,
      comment: "Indicates that the CreativeWork contains a reference to, but is not necessarily about a concept.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      label: "mentions".freeze,
      rangeIncludes: "http://schema.org/Thing".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :menu,
      comment: "Either the actual menu as a structured representation, as text, or a URL of the menu.".freeze,
      domainIncludes: "http://schema.org/FoodEstablishment".freeze,
      "http://schema.org/supersededBy": "http://schema.org/hasMenu".freeze,
      label: "menu".freeze,
      rangeIncludes: ["http://schema.org/Menu".freeze, "http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :menuAddOn,
      comment: "Additional menu item(s) such as a side dish of salad or side order of fries that can be added to this menu item. Additionally it can be a menu section containing allowed add-on menu items for this menu item.".freeze,
      domainIncludes: "http://schema.org/MenuItem".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1541".freeze,
      label: "menuAddOn".freeze,
      rangeIncludes: ["http://schema.org/MenuItem".freeze, "http://schema.org/MenuSection".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :merchant,
      comment: "'merchant' is an out-dated term for 'seller'.".freeze,
      domainIncludes: "http://schema.org/Order".freeze,
      "http://schema.org/supersededBy": "http://schema.org/seller".freeze,
      label: "merchant".freeze,
      rangeIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :merchantReturnDays,
      comment: "Specifies either a fixed return date or the number of days (from the delivery date) that a product can be returned. Used when the [[returnPolicyCategory]] property is specified as [[MerchantReturnFiniteReturnWindow]].".freeze,
      domainIncludes: ["http://schema.org/MerchantReturnPolicy".freeze, "http://schema.org/MerchantReturnPolicySeasonalOverride".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2288".freeze,
      label: "merchantReturnDays".freeze,
      rangeIncludes: ["http://schema.org/Date".freeze, "http://schema.org/DateTime".freeze, "http://schema.org/Integer".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :merchantReturnLink,
      comment: "Specifies a Web page or service by URL, for product returns.".freeze,
      domainIncludes: "http://schema.org/MerchantReturnPolicy".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2288".freeze,
      label: "merchantReturnLink".freeze,
      rangeIncludes: "http://schema.org/URL".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :messageAttachment,
      comment: "A CreativeWork attached to the message.".freeze,
      domainIncludes: "http://schema.org/Message".freeze,
      label: "messageAttachment".freeze,
      rangeIncludes: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :mileageFromOdometer,
      comment: "The total distance travelled by the particular vehicle since its initial production, as read from its odometer.\\n\\nTypical unit code(s): KMT for kilometers, SMI for statute miles".freeze,
      domainIncludes: "http://schema.org/Vehicle".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "mileageFromOdometer".freeze,
      rangeIncludes: "http://schema.org/QuantitativeValue".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :minPrice,
      comment: "The lowest price if the price is a range.".freeze,
      domainIncludes: "http://schema.org/PriceSpecification".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "minPrice".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :minValue,
      comment: "The lower value of some characteristic or property.".freeze,
      domainIncludes: ["http://schema.org/MonetaryAmount".freeze, "http://schema.org/PropertyValue".freeze, "http://schema.org/PropertyValueSpecification".freeze, "http://schema.org/QuantitativeValue".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "minValue".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :minimumPaymentDue,
      comment: "The minimum payment required at this time.".freeze,
      domainIncludes: "http://schema.org/Invoice".freeze,
      label: "minimumPaymentDue".freeze,
      rangeIncludes: ["http://schema.org/MonetaryAmount".freeze, "http://schema.org/PriceSpecification".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :missionCoveragePrioritiesPolicy,
      comment: "For a [[NewsMediaOrganization]], a statement on coverage priorities, including any public agenda or stance on issues.".freeze,
      domainIncludes: "http://schema.org/NewsMediaOrganization".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["https://github.com/schemaorg/schemaorg/issues/1525".freeze, "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#TP".freeze],
      label: "missionCoveragePrioritiesPolicy".freeze,
      rangeIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/URL".freeze],
      subPropertyOf: "http://schema.org/publishingPrinciples".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :model,
      comment: "The model of the product. Use with the URL of a ProductModel or a textual representation of the model identifier. The URL of the ProductModel can be from an external source. It is recommended to additionally provide strong product identifiers via the gtin8/gtin13/gtin14 and mpn properties.".freeze,
      domainIncludes: "http://schema.org/Product".freeze,
      label: "model".freeze,
      rangeIncludes: ["http://schema.org/ProductModel".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :modelDate,
      comment: "The release date of a vehicle model (often used to differentiate versions of the same make and model).".freeze,
      domainIncludes: "http://schema.org/Vehicle".freeze,
      "http://schema.org/isPartOf": "http://auto.schema.org".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "modelDate".freeze,
      rangeIncludes: "http://schema.org/Date".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :modifiedTime,
      comment: "The date and time the reservation was modified.".freeze,
      domainIncludes: "http://schema.org/Reservation".freeze,
      label: "modifiedTime".freeze,
      rangeIncludes: "http://schema.org/DateTime".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :molecularFormula,
      comment: "The empirical formula is the simplest whole number ratio of all the atoms in a molecule.".freeze,
      domainIncludes: "http://schema.org/MolecularEntity".freeze,
      "http://purl.org/dc/terms/source": "http://www.bioschemas.org/MolecularEntity".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      label: "molecularFormula".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :molecularWeight,
      comment: "This is the molecular weight of the entity being described, not of the parent. Units should be included in the form '&lt;Number&gt; &lt;unit&gt;', for example '12 amu' or as '&lt;QuantitativeValue&gt;.".freeze,
      domainIncludes: "http://schema.org/MolecularEntity".freeze,
      "http://purl.org/dc/terms/source": "http://www.bioschemas.org/MolecularEntity".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      label: "molecularWeight".freeze,
      rangeIncludes: ["http://schema.org/QuantitativeValue".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :monoisotopicMolecularWeight,
      comment: "The monoisotopic mass is the sum of the masses of the atoms in a molecule using the unbound, ground-state, rest mass of the principal (most abundant) isotope for each element instead of the isotopic average mass. Please include the units the form '&lt;Number&gt; &lt;unit&gt;', for example '770.230488 g/mol' or as '&lt;QuantitativeValue&gt;.".freeze,
      domainIncludes: "http://schema.org/MolecularEntity".freeze,
      "http://purl.org/dc/terms/source": "http://www.bioschemas.org/MolecularEntity".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      label: "monoisotopicMolecularWeight".freeze,
      rangeIncludes: ["http://schema.org/QuantitativeValue".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :monthlyMinimumRepaymentAmount,
      comment: "The minimum payment is the lowest amount of money that one is required to pay on a credit card statement each month.".freeze,
      domainIncludes: "http://schema.org/PaymentCard".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FIBO".freeze, "https://github.com/schemaorg/schemaorg/issues/1253".freeze],
      label: "monthlyMinimumRepaymentAmount".freeze,
      rangeIncludes: ["http://schema.org/MonetaryAmount".freeze, "http://schema.org/Number".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :monthsOfExperience,
      comment: "Indicates the minimal number of months of experience required for a position.".freeze,
      domainIncludes: "http://schema.org/OccupationalExperienceRequirements".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2681".freeze,
      label: "monthsOfExperience".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :mpn,
      comment: "The Manufacturer Part Number (MPN) of the product, or the product to which the offer refers.".freeze,
      domainIncludes: ["http://schema.org/Demand".freeze, "http://schema.org/Offer".freeze, "http://schema.org/Product".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "mpn".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :multipleValues,
      comment: "Whether multiple values are allowed for the property.  Default is false.".freeze,
      domainIncludes: "http://schema.org/PropertyValueSpecification".freeze,
      label: "multipleValues".freeze,
      rangeIncludes: "http://schema.org/Boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :muscleAction,
      comment: "The movement the muscle generates.".freeze,
      domainIncludes: "http://schema.org/Muscle".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "muscleAction".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :musicArrangement,
      comment: "An arrangement derived from the composition.".freeze,
      domainIncludes: "http://schema.org/MusicComposition".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#MBZ".freeze,
      label: "musicArrangement".freeze,
      rangeIncludes: "http://schema.org/MusicComposition".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :musicBy,
      comment: "The composer of the soundtrack.".freeze,
      domainIncludes: ["http://schema.org/Clip".freeze, "http://schema.org/Episode".freeze, "http://schema.org/Movie".freeze, "http://schema.org/MovieSeries".freeze, "http://schema.org/RadioSeries".freeze, "http://schema.org/TVSeries".freeze, "http://schema.org/VideoGame".freeze, "http://schema.org/VideoGameSeries".freeze, "http://schema.org/VideoObject".freeze],
      label: "musicBy".freeze,
      rangeIncludes: ["http://schema.org/MusicGroup".freeze, "http://schema.org/Person".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :musicCompositionForm,
      comment: "The type of composition (e.g. overture, sonata, symphony, etc.).".freeze,
      domainIncludes: "http://schema.org/MusicComposition".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#MBZ".freeze,
      label: "musicCompositionForm".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :musicGroupMember,
      comment: "A member of a music group&#x2014;for example, John, Paul, George, or Ringo.".freeze,
      domainIncludes: "http://schema.org/MusicGroup".freeze,
      "http://schema.org/supersededBy": "http://schema.org/member".freeze,
      label: "musicGroupMember".freeze,
      rangeIncludes: "http://schema.org/Person".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :musicReleaseFormat,
      comment: "Format of this release (the type of recording media used, ie. compact disc, digital media, LP, etc.).".freeze,
      domainIncludes: "http://schema.org/MusicRelease".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#MBZ".freeze,
      label: "musicReleaseFormat".freeze,
      rangeIncludes: "http://schema.org/MusicReleaseFormatType".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :musicalKey,
      comment: "The key, mode, or scale this composition uses.".freeze,
      domainIncludes: "http://schema.org/MusicComposition".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#MBZ".freeze,
      label: "musicalKey".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :naics,
      comment: "The North American Industry Classification System (NAICS) code for a particular organization or business person.".freeze,
      domainIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "naics".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :name,
      comment: "The name of the item.".freeze,
      domainIncludes: "http://schema.org/Thing".freeze,
      equivalentProperty: "http://purl.org/dc/terms/title".freeze,
      label: "name".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      subPropertyOf: "http://www.w3.org/2000/01/rdf-schema#label".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :namedPosition,
      comment: "A position played, performed or filled by a person or organization, as part of an organization. For example, an athlete in a SportsTeam might play in the position named 'Quarterback'.".freeze,
      domainIncludes: "http://schema.org/Role".freeze,
      "http://schema.org/supersededBy": "http://schema.org/roleName".freeze,
      label: "namedPosition".freeze,
      rangeIncludes: ["http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :nationality,
      comment: "Nationality of the person.".freeze,
      domainIncludes: "http://schema.org/Person".freeze,
      label: "nationality".freeze,
      rangeIncludes: "http://schema.org/Country".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :naturalProgression,
      comment: "The expected progression of the condition if it is not treated and allowed to progress naturally.".freeze,
      domainIncludes: "http://schema.org/MedicalCondition".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "naturalProgression".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :negativeNotes,
      comment: "Indicates, in the context of a [[Review]] (e.g. framed as 'pro' vs 'con' considerations), negative considerations - either as unstructured text, or a list.".freeze,
      domainIncludes: "http://schema.org/Review".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2832".freeze,
      label: "negativeNotes".freeze,
      rangeIncludes: ["http://schema.org/ItemList".freeze, "http://schema.org/ListItem".freeze, "http://schema.org/Text".freeze, "http://schema.org/WebContent".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :nerve,
      comment: "The underlying innervation associated with the muscle.".freeze,
      domainIncludes: "http://schema.org/Muscle".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "nerve".freeze,
      rangeIncludes: "http://schema.org/Nerve".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :nerveMotor,
      comment: "The neurological pathway extension that involves muscle control.".freeze,
      domainIncludes: "http://schema.org/Nerve".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "nerveMotor".freeze,
      rangeIncludes: "http://schema.org/Muscle".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :netWorth,
      comment: "The total financial value of the person as calculated by subtracting assets from liabilities.".freeze,
      domainIncludes: "http://schema.org/Person".freeze,
      label: "netWorth".freeze,
      rangeIncludes: ["http://schema.org/MonetaryAmount".freeze, "http://schema.org/PriceSpecification".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :newsUpdatesAndGuidelines,
      comment: "Indicates a page with news updates and guidelines. This could often be (but is not required to be) the main page containing [[SpecialAnnouncement]] markup on a site.".freeze,
      domainIncludes: "http://schema.org/SpecialAnnouncement".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2490".freeze,
      label: "newsUpdatesAndGuidelines".freeze,
      rangeIncludes: ["http://schema.org/URL".freeze, "http://schema.org/WebContent".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :nextItem,
      comment: "A link to the ListItem that follows the current one.".freeze,
      domainIncludes: "http://schema.org/ListItem".freeze,
      label: "nextItem".freeze,
      rangeIncludes: "http://schema.org/ListItem".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :noBylinesPolicy,
      comment: "For a [[NewsMediaOrganization]] or other news-related [[Organization]], a statement explaining when authors of articles are not named in bylines.".freeze,
      domainIncludes: "http://schema.org/NewsMediaOrganization".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["https://github.com/schemaorg/schemaorg/issues/1688".freeze, "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#TP".freeze],
      label: "noBylinesPolicy".freeze,
      rangeIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/URL".freeze],
      subPropertyOf: "http://schema.org/publishingPrinciples".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :nonEqual,
      comment: "This ordering relation for qualitative values indicates that the subject is not equal to the object.".freeze,
      domainIncludes: "http://schema.org/QualitativeValue".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "nonEqual".freeze,
      rangeIncludes: "http://schema.org/QualitativeValue".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :nonProprietaryName,
      comment: "The generic name of this drug or supplement.".freeze,
      domainIncludes: ["http://schema.org/DietarySupplement".freeze, "http://schema.org/Drug".freeze],
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "nonProprietaryName".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :nonprofitStatus,
      comment: "nonprofit Status indicates the legal status of a non-profit organization in its primary place of business.".freeze,
      domainIncludes: "http://schema.org/Organization".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2543".freeze,
      label: "nonprofitStatus".freeze,
      rangeIncludes: "http://schema.org/NonprofitType".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :normalRange,
      comment: "Range of acceptable values for a typical patient, when applicable.".freeze,
      domainIncludes: "http://schema.org/MedicalTest".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "normalRange".freeze,
      rangeIncludes: ["http://schema.org/MedicalEnumeration".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :nsn,
      comment: "Indicates the [NATO stock number](https://en.wikipedia.org/wiki/NATO_Stock_Number) (nsn) of a [[Product]]. ".freeze,
      domainIncludes: "http://schema.org/Product".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2126".freeze,
      label: "nsn".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      subPropertyOf: "http://schema.org/identifier".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :numAdults,
      comment: "The number of adults staying in the unit.".freeze,
      domainIncludes: "http://schema.org/LodgingReservation".freeze,
      label: "numAdults".freeze,
      rangeIncludes: ["http://schema.org/Integer".freeze, "http://schema.org/QuantitativeValue".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :numChildren,
      comment: "The number of children staying in the unit.".freeze,
      domainIncludes: "http://schema.org/LodgingReservation".freeze,
      label: "numChildren".freeze,
      rangeIncludes: ["http://schema.org/Integer".freeze, "http://schema.org/QuantitativeValue".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :numConstraints,
      comment: "Indicates the number of constraints (not counting [[populationType]]) defined for a particular [[StatisticalPopulation]]. This helps applications understand if they have access to a sufficiently complete description of a [[StatisticalPopulation]].".freeze,
      domainIncludes: "http://schema.org/StatisticalPopulation".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2291".freeze,
      label: "numConstraints".freeze,
      rangeIncludes: "http://schema.org/Integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :numTracks,
      comment: "The number of tracks in this album or playlist.".freeze,
      domainIncludes: "http://schema.org/MusicPlaylist".freeze,
      label: "numTracks".freeze,
      rangeIncludes: "http://schema.org/Integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :numberOfAccommodationUnits,
      comment: "Indicates the total (available plus unavailable) number of accommodation units in an [[ApartmentComplex]], or the number of accommodation units for a specific [[FloorPlan]] (within its specific [[ApartmentComplex]]). See also [[numberOfAvailableAccommodationUnits]].".freeze,
      domainIncludes: ["http://schema.org/ApartmentComplex".freeze, "http://schema.org/FloorPlan".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2373".freeze,
      label: "numberOfAccommodationUnits".freeze,
      rangeIncludes: "http://schema.org/QuantitativeValue".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :numberOfAirbags,
      comment: "The number or type of airbags in the vehicle.".freeze,
      domainIncludes: "http://schema.org/Vehicle".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "numberOfAirbags".freeze,
      rangeIncludes: ["http://schema.org/Number".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :numberOfAvailableAccommodationUnits,
      comment: "Indicates the number of available accommodation units in an [[ApartmentComplex]], or the number of accommodation units for a specific [[FloorPlan]] (within its specific [[ApartmentComplex]]). See also [[numberOfAccommodationUnits]].".freeze,
      domainIncludes: ["http://schema.org/ApartmentComplex".freeze, "http://schema.org/FloorPlan".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2373".freeze,
      label: "numberOfAvailableAccommodationUnits".freeze,
      rangeIncludes: "http://schema.org/QuantitativeValue".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :numberOfAxles,
      comment: "The number of axles.\\n\\nTypical unit code(s): C62".freeze,
      domainIncludes: "http://schema.org/Vehicle".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "numberOfAxles".freeze,
      rangeIncludes: ["http://schema.org/Number".freeze, "http://schema.org/QuantitativeValue".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :numberOfBathroomsTotal,
      comment: "The total integer number of bathrooms in a some [[Accommodation]], following real estate conventions as [documented in RESO](https://ddwiki.reso.org/display/DDW17/BathroomsTotalInteger+Field): \"The simple sum of the number of bathrooms. For example for a property with two Full Bathrooms and one Half Bathroom, the Bathrooms Total Integer will be 3.\". See also [[numberOfRooms]].".freeze,
      domainIncludes: ["http://schema.org/Accommodation".freeze, "http://schema.org/FloorPlan".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2373".freeze,
      label: "numberOfBathroomsTotal".freeze,
      rangeIncludes: "http://schema.org/Integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :numberOfBedrooms,
      comment: "The total integer number of bedrooms in a some [[Accommodation]], [[ApartmentComplex]] or [[FloorPlan]].".freeze,
      domainIncludes: ["http://schema.org/Accommodation".freeze, "http://schema.org/ApartmentComplex".freeze, "http://schema.org/FloorPlan".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2373".freeze,
      label: "numberOfBedrooms".freeze,
      rangeIncludes: ["http://schema.org/Number".freeze, "http://schema.org/QuantitativeValue".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :numberOfBeds,
      comment: "The quantity of the given bed type available in the HotelRoom, Suite, House, or Apartment.".freeze,
      domainIncludes: "http://schema.org/BedDetails".freeze,
      "http://schema.org/source": "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#STI_Accommodation_Ontology".freeze,
      label: "numberOfBeds".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :numberOfCredits,
      comment: "The number of credits or units awarded by a Course or required to complete an EducationalOccupationalProgram.".freeze,
      domainIncludes: ["http://schema.org/Course".freeze, "http://schema.org/EducationalOccupationalProgram".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2419".freeze,
      label: "numberOfCredits".freeze,
      rangeIncludes: ["http://schema.org/Integer".freeze, "http://schema.org/StructuredValue".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :numberOfDoors,
      comment: "The number of doors.\\n\\nTypical unit code(s): C62".freeze,
      domainIncludes: "http://schema.org/Vehicle".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "numberOfDoors".freeze,
      rangeIncludes: ["http://schema.org/Number".freeze, "http://schema.org/QuantitativeValue".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :numberOfEmployees,
      comment: "The number of employees in an organization e.g. business.".freeze,
      domainIncludes: ["http://schema.org/BusinessAudience".freeze, "http://schema.org/Organization".freeze],
      label: "numberOfEmployees".freeze,
      rangeIncludes: "http://schema.org/QuantitativeValue".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :numberOfEpisodes,
      comment: "The number of episodes in this season or series.".freeze,
      domainIncludes: ["http://schema.org/CreativeWorkSeason".freeze, "http://schema.org/RadioSeries".freeze, "http://schema.org/TVSeries".freeze, "http://schema.org/VideoGameSeries".freeze],
      label: "numberOfEpisodes".freeze,
      rangeIncludes: "http://schema.org/Integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :numberOfForwardGears,
      comment: "The total number of forward gears available for the transmission system of the vehicle.\\n\\nTypical unit code(s): C62".freeze,
      domainIncludes: "http://schema.org/Vehicle".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "numberOfForwardGears".freeze,
      rangeIncludes: ["http://schema.org/Number".freeze, "http://schema.org/QuantitativeValue".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :numberOfFullBathrooms,
      comment: "Number of full bathrooms - The total number of full and ¾ bathrooms in an [[Accommodation]]. This corresponds to the [BathroomsFull field in RESO](https://ddwiki.reso.org/display/DDW17/BathroomsFull+Field).".freeze,
      domainIncludes: ["http://schema.org/Accommodation".freeze, "http://schema.org/FloorPlan".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2373".freeze,
      label: "numberOfFullBathrooms".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :numberOfItems,
      comment: "The number of items in an ItemList. Note that some descriptions might not fully describe all items in a list (e.g., multi-page pagination); in such cases, the numberOfItems would be for the entire list.".freeze,
      domainIncludes: "http://schema.org/ItemList".freeze,
      label: "numberOfItems".freeze,
      rangeIncludes: "http://schema.org/Integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :numberOfLoanPayments,
      comment: "The number of payments contractually required at origination to repay the loan. For monthly paying loans this is the number of months from the contractual first payment date to the maturity date.".freeze,
      domainIncludes: "http://schema.org/RepaymentSpecification".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FIBO".freeze, "https://github.com/schemaorg/schemaorg/issues/1253".freeze],
      label: "numberOfLoanPayments".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :numberOfPages,
      comment: "The number of pages in the book.".freeze,
      domainIncludes: "http://schema.org/Book".freeze,
      label: "numberOfPages".freeze,
      rangeIncludes: "http://schema.org/Integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :numberOfPartialBathrooms,
      comment: "Number of partial bathrooms - The total number of half and ¼ bathrooms in an [[Accommodation]]. This corresponds to the [BathroomsPartial field in RESO](https://ddwiki.reso.org/display/DDW17/BathroomsPartial+Field). ".freeze,
      domainIncludes: ["http://schema.org/Accommodation".freeze, "http://schema.org/FloorPlan".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2373".freeze,
      label: "numberOfPartialBathrooms".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :numberOfPlayers,
      comment: "Indicate how many people can play this game (minimum, maximum, or range).".freeze,
      domainIncludes: ["http://schema.org/Game".freeze, "http://schema.org/VideoGameSeries".freeze],
      label: "numberOfPlayers".freeze,
      rangeIncludes: "http://schema.org/QuantitativeValue".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :numberOfPreviousOwners,
      comment: "The number of owners of the vehicle, including the current one.\\n\\nTypical unit code(s): C62".freeze,
      domainIncludes: "http://schema.org/Vehicle".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "numberOfPreviousOwners".freeze,
      rangeIncludes: ["http://schema.org/Number".freeze, "http://schema.org/QuantitativeValue".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :numberOfRooms,
      comment: "The number of rooms (excluding bathrooms and closets) of the accommodation or lodging business.\nTypical unit code(s): ROM for room or C62 for no unit. The type of room can be put in the unitText property of the QuantitativeValue.".freeze,
      domainIncludes: ["http://schema.org/Accommodation".freeze, "http://schema.org/Apartment".freeze, "http://schema.org/FloorPlan".freeze, "http://schema.org/House".freeze, "http://schema.org/LodgingBusiness".freeze, "http://schema.org/SingleFamilyResidence".freeze, "http://schema.org/Suite".freeze],
      "http://schema.org/source": "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#STI_Accommodation_Ontology".freeze,
      label: "numberOfRooms".freeze,
      rangeIncludes: ["http://schema.org/Number".freeze, "http://schema.org/QuantitativeValue".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :numberOfSeasons,
      comment: "The number of seasons in this series.".freeze,
      domainIncludes: ["http://schema.org/RadioSeries".freeze, "http://schema.org/TVSeries".freeze, "http://schema.org/VideoGameSeries".freeze],
      label: "numberOfSeasons".freeze,
      rangeIncludes: "http://schema.org/Integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :numberedPosition,
      comment: "A number associated with a role in an organization, for example, the number on an athlete's jersey.".freeze,
      domainIncludes: "http://schema.org/OrganizationRole".freeze,
      label: "numberedPosition".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :nutrition,
      comment: "Nutrition information about the recipe or menu item.".freeze,
      domainIncludes: ["http://schema.org/MenuItem".freeze, "http://schema.org/Recipe".freeze],
      label: "nutrition".freeze,
      rangeIncludes: "http://schema.org/NutritionInformation".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :object,
      comment: "The object upon which the action is carried out, whose state is kept intact or changed. Also known as the semantic roles patient, affected or undergoer (which change their state) or theme (which doesn't). e.g. John read *a book*.".freeze,
      domainIncludes: "http://schema.org/Action".freeze,
      label: "object".freeze,
      rangeIncludes: "http://schema.org/Thing".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :observationDate,
      comment: "The observationDate of an [[Observation]].".freeze,
      domainIncludes: "http://schema.org/Observation".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2291".freeze,
      label: "observationDate".freeze,
      rangeIncludes: "http://schema.org/DateTime".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :observedNode,
      comment: "The observedNode of an [[Observation]], often a [[StatisticalPopulation]].".freeze,
      domainIncludes: "http://schema.org/Observation".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2291".freeze,
      label: "observedNode".freeze,
      rangeIncludes: "http://schema.org/StatisticalPopulation".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :occupancy,
      comment: "The allowed total occupancy for the accommodation in persons (including infants etc). For individual accommodations, this is not necessarily the legal maximum but defines the permitted usage as per the contractual agreement (e.g. a double room used by a single person).\nTypical unit code(s): C62 for person".freeze,
      domainIncludes: ["http://schema.org/Apartment".freeze, "http://schema.org/HotelRoom".freeze, "http://schema.org/SingleFamilyResidence".freeze, "http://schema.org/Suite".freeze],
      "http://schema.org/source": "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#STI_Accommodation_Ontology".freeze,
      label: "occupancy".freeze,
      rangeIncludes: "http://schema.org/QuantitativeValue".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :occupationLocation,
      comment: " The region/country for which this occupational description is appropriate. Note that educational requirements and qualifications can vary between jurisdictions.".freeze,
      domainIncludes: "http://schema.org/Occupation".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1698".freeze,
      label: "occupationLocation".freeze,
      rangeIncludes: "http://schema.org/AdministrativeArea".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :occupationalCategory,
      comment: "A category describing the job, preferably using a term from a taxonomy such as [BLS O*NET-SOC](http://www.onetcenter.org/taxonomy.html), [ISCO-08](https://www.ilo.org/public/english/bureau/stat/isco/isco08/) or similar, with the property repeated for each applicable value. Ideally the taxonomy should be identified, and both the textual label and formal code for the category should be provided.\\n\nNote: for historical reasons, any textual label and formal code provided as a literal may be assumed to be from O*NET-SOC.".freeze,
      domainIncludes: ["http://schema.org/EducationalOccupationalProgram".freeze, "http://schema.org/JobPosting".freeze, "http://schema.org/Occupation".freeze, "http://schema.org/WorkBasedProgram".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["https://github.com/schemaorg/schemaorg/issues/1698".freeze, "https://github.com/schemaorg/schemaorg/issues/2192".freeze, "https://github.com/schemaorg/schemaorg/issues/2289".freeze, "https://github.com/schemaorg/schemaorg/issues/2460".freeze],
      label: "occupationalCategory".freeze,
      rangeIncludes: ["http://schema.org/CategoryCode".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :occupationalCredentialAwarded,
      comment: "A description of the qualification, award, certificate, diploma or other occupational credential awarded as a consequence of successful completion of this course or program.".freeze,
      domainIncludes: ["http://schema.org/Course".freeze, "http://schema.org/EducationalOccupationalProgram".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2289".freeze,
      label: "occupationalCredentialAwarded".freeze,
      rangeIncludes: ["http://schema.org/EducationalOccupationalCredential".freeze, "http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :offerCount,
      comment: "The number of offers for the product.".freeze,
      domainIncludes: "http://schema.org/AggregateOffer".freeze,
      label: "offerCount".freeze,
      rangeIncludes: "http://schema.org/Integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :offeredBy,
      comment: "A pointer to the organization or person making the offer.".freeze,
      domainIncludes: "http://schema.org/Offer".freeze,
      "http://schema.org/inverseOf": "http://schema.org/makesOffer".freeze,
      label: "offeredBy".freeze,
      rangeIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :offers,
      comment: "An offer to provide this item&#x2014;for example, an offer to sell a product, rent the DVD of a movie, perform a service, or give away tickets to an event. Use [[businessFunction]] to indicate the kind of transaction offered, i.e. sell, lease, etc. This property can also be used to describe a [[Demand]]. While this property is listed as expected on a number of common types, it can be used in others. In that case, using a second type, such as Product or a subtype of Product, can clarify the nature of the offer.\n      ".freeze,
      domainIncludes: ["http://schema.org/AggregateOffer".freeze, "http://schema.org/CreativeWork".freeze, "http://schema.org/EducationalOccupationalProgram".freeze, "http://schema.org/Event".freeze, "http://schema.org/MenuItem".freeze, "http://schema.org/Product".freeze, "http://schema.org/Service".freeze, "http://schema.org/Trip".freeze],
      "http://schema.org/inverseOf": "http://schema.org/itemOffered".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2289".freeze,
      label: "offers".freeze,
      rangeIncludes: ["http://schema.org/Demand".freeze, "http://schema.org/Offer".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :offersPrescriptionByMail,
      comment: "Whether prescriptions can be delivered by mail.".freeze,
      domainIncludes: "http://schema.org/HealthPlanFormulary".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1062".freeze,
      label: "offersPrescriptionByMail".freeze,
      rangeIncludes: "http://schema.org/Boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :openingHours,
      comment: "The general opening hours for a business. Opening hours can be specified as a weekly time range, starting with days, then times per day. Multiple days can be listed with commas ',' separating each day. Day or time ranges are specified using a hyphen '-'.\\n\\n* Days are specified using the following two-letter combinations: ```Mo```, ```Tu```, ```We```, ```Th```, ```Fr```, ```Sa```, ```Su```.\\n* Times are specified using 24:00 format. For example, 3pm is specified as ```15:00```, 10am as ```10:00```. \\n* Here is an example: <code>&lt;time itemprop=\"openingHours\" datetime=&quot;Tu,Th 16:00-20:00&quot;&gt;Tuesdays and Thursdays 4-8pm&lt;/time&gt;</code>.\\n* If a business is open 7 days a week, then it can be specified as <code>&lt;time itemprop=&quot;openingHours&quot; datetime=&quot;Mo-Su&quot;&gt;Monday through Sunday, all day&lt;/time&gt;</code>.".freeze,
      domainIncludes: ["http://schema.org/CivicStructure".freeze, "http://schema.org/LocalBusiness".freeze],
      label: "openingHours".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :openingHoursSpecification,
      comment: "The opening hours of a certain place.".freeze,
      domainIncludes: "http://schema.org/Place".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "openingHoursSpecification".freeze,
      rangeIncludes: "http://schema.org/OpeningHoursSpecification".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :opens,
      comment: "The opening hour of the place or service on the given day(s) of the week.".freeze,
      domainIncludes: "http://schema.org/OpeningHoursSpecification".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "opens".freeze,
      rangeIncludes: "http://schema.org/Time".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :operatingSystem,
      comment: "Operating systems supported (Windows 7, OSX 10.6, Android 1.6).".freeze,
      domainIncludes: "http://schema.org/SoftwareApplication".freeze,
      label: "operatingSystem".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :opponent,
      comment: "A sub property of participant. The opponent on this action.".freeze,
      domainIncludes: "http://schema.org/ExerciseAction".freeze,
      label: "opponent".freeze,
      rangeIncludes: "http://schema.org/Person".freeze,
      subPropertyOf: "http://schema.org/participant".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :option,
      comment: "A sub property of object. The options subject to this action.".freeze,
      domainIncludes: "http://schema.org/ChooseAction".freeze,
      "http://schema.org/supersededBy": "http://schema.org/actionOption".freeze,
      label: "option".freeze,
      rangeIncludes: ["http://schema.org/Text".freeze, "http://schema.org/Thing".freeze],
      subPropertyOf: "http://schema.org/object".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :orderDate,
      comment: "Date order was placed.".freeze,
      domainIncludes: "http://schema.org/Order".freeze,
      label: "orderDate".freeze,
      rangeIncludes: ["http://schema.org/Date".freeze, "http://schema.org/DateTime".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :orderDelivery,
      comment: "The delivery of the parcel related to this order or order item.".freeze,
      domainIncludes: ["http://schema.org/Order".freeze, "http://schema.org/OrderItem".freeze],
      label: "orderDelivery".freeze,
      rangeIncludes: "http://schema.org/ParcelDelivery".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :orderItemNumber,
      comment: "The identifier of the order item.".freeze,
      domainIncludes: "http://schema.org/OrderItem".freeze,
      label: "orderItemNumber".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :orderItemStatus,
      comment: "The current status of the order item.".freeze,
      domainIncludes: "http://schema.org/OrderItem".freeze,
      label: "orderItemStatus".freeze,
      rangeIncludes: "http://schema.org/OrderStatus".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :orderNumber,
      comment: "The identifier of the transaction.".freeze,
      domainIncludes: "http://schema.org/Order".freeze,
      label: "orderNumber".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      subPropertyOf: "http://schema.org/identifier".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :orderQuantity,
      comment: "The number of the item ordered. If the property is not set, assume the quantity is one.".freeze,
      domainIncludes: "http://schema.org/OrderItem".freeze,
      label: "orderQuantity".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :orderStatus,
      comment: "The current status of the order.".freeze,
      domainIncludes: "http://schema.org/Order".freeze,
      label: "orderStatus".freeze,
      rangeIncludes: "http://schema.org/OrderStatus".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :orderedItem,
      comment: "The item ordered.".freeze,
      domainIncludes: ["http://schema.org/Order".freeze, "http://schema.org/OrderItem".freeze],
      label: "orderedItem".freeze,
      rangeIncludes: ["http://schema.org/OrderItem".freeze, "http://schema.org/Product".freeze, "http://schema.org/Service".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :organizer,
      comment: "An organizer of an Event.".freeze,
      domainIncludes: "http://schema.org/Event".freeze,
      label: "organizer".freeze,
      rangeIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :originAddress,
      comment: "Shipper's address.".freeze,
      domainIncludes: "http://schema.org/ParcelDelivery".freeze,
      label: "originAddress".freeze,
      rangeIncludes: "http://schema.org/PostalAddress".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :originalMediaContextDescription,
      comment: "Describes, in a [[MediaReview]] when dealing with [[DecontextualizedContent]], background information that can contribute to better interpretation of the [[MediaObject]].".freeze,
      domainIncludes: "http://schema.org/MediaReview".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2450".freeze,
      label: "originalMediaContextDescription".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      subPropertyOf: "http://schema.org/description".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :originalMediaLink,
      comment: "Link to the page containing an original version of the content, or directly to an online copy of the original [[MediaObject]] content, e.g. video file.".freeze,
      domainIncludes: "http://schema.org/MediaReview".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2450".freeze,
      label: "originalMediaLink".freeze,
      rangeIncludes: ["http://schema.org/MediaObject".freeze, "http://schema.org/URL".freeze, "http://schema.org/WebPage".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :originatesFrom,
      comment: "The vasculature the lymphatic structure originates, or afferents, from.".freeze,
      domainIncludes: "http://schema.org/LymphaticVessel".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "originatesFrom".freeze,
      rangeIncludes: "http://schema.org/Vessel".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :overdosage,
      comment: "Any information related to overdose on a drug, including signs or symptoms, treatments, contact information for emergency response.".freeze,
      domainIncludes: "http://schema.org/Drug".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "overdosage".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :ownedFrom,
      comment: "The date and time of obtaining the product.".freeze,
      domainIncludes: "http://schema.org/OwnershipInfo".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "ownedFrom".freeze,
      rangeIncludes: "http://schema.org/DateTime".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :ownedThrough,
      comment: "The date and time of giving up ownership on the product.".freeze,
      domainIncludes: "http://schema.org/OwnershipInfo".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "ownedThrough".freeze,
      rangeIncludes: "http://schema.org/DateTime".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :ownershipFundingInfo,
      comment: "For an [[Organization]] (often but not necessarily a [[NewsMediaOrganization]]), a description of organizational ownership structure; funding and grants. In a news/media setting, this is with particular reference to editorial independence.   Note that the [[funder]] is also available and can be used to make basic funder information machine-readable.".freeze,
      domainIncludes: ["http://schema.org/NewsMediaOrganization".freeze, "http://schema.org/Organization".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["https://github.com/schemaorg/schemaorg/issues/1525".freeze, "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#TP".freeze],
      label: "ownershipFundingInfo".freeze,
      rangeIncludes: ["http://schema.org/AboutPage".freeze, "http://schema.org/CreativeWork".freeze, "http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      subPropertyOf: "http://schema.org/publishingPrinciples".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :owns,
      comment: "Products owned by the organization or person.".freeze,
      domainIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "owns".freeze,
      rangeIncludes: ["http://schema.org/OwnershipInfo".freeze, "http://schema.org/Product".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :pageEnd,
      comment: "The page on which the work ends; for example \"138\" or \"xvi\".".freeze,
      domainIncludes: ["http://schema.org/Article".freeze, "http://schema.org/Chapter".freeze, "http://schema.org/PublicationIssue".freeze, "http://schema.org/PublicationVolume".freeze],
      equivalentProperty: "http://purl.org/ontology/bibo/pageEnd".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_bibex".freeze,
      label: "pageEnd".freeze,
      rangeIncludes: ["http://schema.org/Integer".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :pageStart,
      comment: "The page on which the work starts; for example \"135\" or \"xiii\".".freeze,
      domainIncludes: ["http://schema.org/Article".freeze, "http://schema.org/Chapter".freeze, "http://schema.org/PublicationIssue".freeze, "http://schema.org/PublicationVolume".freeze],
      equivalentProperty: "http://purl.org/ontology/bibo/pageStart".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_bibex".freeze,
      label: "pageStart".freeze,
      rangeIncludes: ["http://schema.org/Integer".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :pagination,
      comment: "Any description of pages that is not separated into pageStart and pageEnd; for example, \"1-6, 9, 55\" or \"10-12, 46-49\".".freeze,
      domainIncludes: ["http://schema.org/Article".freeze, "http://schema.org/Chapter".freeze, "http://schema.org/PublicationIssue".freeze, "http://schema.org/PublicationVolume".freeze],
      equivalentProperty: "http://purl.org/ontology/bibo/pages".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_bibex".freeze,
      label: "pagination".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :parent,
      comment: "A parent of this person.".freeze,
      domainIncludes: "http://schema.org/Person".freeze,
      label: "parent".freeze,
      rangeIncludes: "http://schema.org/Person".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :parentItem,
      comment: "The parent of a question, answer or item in general.".freeze,
      domainIncludes: "http://schema.org/Comment".freeze,
      label: "parentItem".freeze,
      rangeIncludes: "http://schema.org/Comment".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :parentOrganization,
      comment: "The larger organization that this organization is a [[subOrganization]] of, if any.".freeze,
      domainIncludes: "http://schema.org/Organization".freeze,
      "http://schema.org/inverseOf": "http://schema.org/subOrganization".freeze,
      label: "parentOrganization".freeze,
      rangeIncludes: "http://schema.org/Organization".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :parentService,
      comment: "A broadcast service to which the broadcast service may belong to such as regional variations of a national channel.".freeze,
      domainIncludes: "http://schema.org/BroadcastService".freeze,
      label: "parentService".freeze,
      rangeIncludes: "http://schema.org/BroadcastService".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :parentTaxon,
      comment: "Closest parent taxon of the taxon in question.".freeze,
      domainIncludes: "http://schema.org/Taxon".freeze,
      "http://purl.org/dc/terms/source": "http://www.bioschemas.org/Taxon".freeze,
      "http://schema.org/inverseOf": "http://schema.org/childTaxon".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      label: "parentTaxon".freeze,
      rangeIncludes: ["http://schema.org/Taxon".freeze, "http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :parents,
      comment: "A parents of the person.".freeze,
      domainIncludes: "http://schema.org/Person".freeze,
      "http://schema.org/supersededBy": "http://schema.org/parent".freeze,
      label: "parents".freeze,
      rangeIncludes: "http://schema.org/Person".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :partOfEpisode,
      comment: "The episode to which this clip belongs.".freeze,
      domainIncludes: "http://schema.org/Clip".freeze,
      label: "partOfEpisode".freeze,
      rangeIncludes: "http://schema.org/Episode".freeze,
      subPropertyOf: "http://schema.org/isPartOf".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :partOfInvoice,
      comment: "The order is being paid as part of the referenced Invoice.".freeze,
      domainIncludes: "http://schema.org/Order".freeze,
      label: "partOfInvoice".freeze,
      rangeIncludes: "http://schema.org/Invoice".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :partOfOrder,
      comment: "The overall order the items in this delivery were included in.".freeze,
      domainIncludes: "http://schema.org/ParcelDelivery".freeze,
      label: "partOfOrder".freeze,
      rangeIncludes: "http://schema.org/Order".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :partOfSeason,
      comment: "The season to which this episode belongs.".freeze,
      domainIncludes: ["http://schema.org/Clip".freeze, "http://schema.org/Episode".freeze],
      label: "partOfSeason".freeze,
      rangeIncludes: "http://schema.org/CreativeWorkSeason".freeze,
      subPropertyOf: "http://schema.org/isPartOf".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :partOfSeries,
      comment: "The series to which this episode or season belongs.".freeze,
      domainIncludes: ["http://schema.org/Clip".freeze, "http://schema.org/CreativeWorkSeason".freeze, "http://schema.org/Episode".freeze],
      label: "partOfSeries".freeze,
      rangeIncludes: "http://schema.org/CreativeWorkSeries".freeze,
      subPropertyOf: "http://schema.org/isPartOf".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :partOfSystem,
      comment: "The anatomical or organ system that this structure is part of.".freeze,
      domainIncludes: "http://schema.org/AnatomicalStructure".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "partOfSystem".freeze,
      rangeIncludes: "http://schema.org/AnatomicalSystem".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :partOfTVSeries,
      comment: "The TV series to which this episode or season belongs.".freeze,
      domainIncludes: ["http://schema.org/TVClip".freeze, "http://schema.org/TVEpisode".freeze, "http://schema.org/TVSeason".freeze],
      "http://schema.org/supersededBy": "http://schema.org/partOfSeries".freeze,
      label: "partOfTVSeries".freeze,
      rangeIncludes: "http://schema.org/TVSeries".freeze,
      subPropertyOf: "http://schema.org/isPartOf".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :partOfTrip,
      comment: "Identifies that this [[Trip]] is a subTrip of another Trip.  For example Day 1, Day 2, etc. of a multi-day trip.".freeze,
      domainIncludes: "http://schema.org/Trip".freeze,
      "http://schema.org/inverseOf": "http://schema.org/subTrip".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Tourism".freeze, "https://github.com/schemaorg/schemaorg/issues/1810".freeze],
      label: "partOfTrip".freeze,
      rangeIncludes: "http://schema.org/Trip".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :participant,
      comment: "Other co-agents that participated in the action indirectly. e.g. John wrote a book with *Steve*.".freeze,
      domainIncludes: "http://schema.org/Action".freeze,
      label: "participant".freeze,
      rangeIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :partySize,
      comment: "Number of people the reservation should accommodate.".freeze,
      domainIncludes: ["http://schema.org/FoodEstablishmentReservation".freeze, "http://schema.org/TaxiReservation".freeze],
      label: "partySize".freeze,
      rangeIncludes: ["http://schema.org/Integer".freeze, "http://schema.org/QuantitativeValue".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :passengerPriorityStatus,
      comment: "The priority status assigned to a passenger for security or boarding (e.g. FastTrack or Priority).".freeze,
      domainIncludes: "http://schema.org/FlightReservation".freeze,
      label: "passengerPriorityStatus".freeze,
      rangeIncludes: ["http://schema.org/QualitativeValue".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :passengerSequenceNumber,
      comment: "The passenger's sequence number as assigned by the airline.".freeze,
      domainIncludes: "http://schema.org/FlightReservation".freeze,
      label: "passengerSequenceNumber".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :pathophysiology,
      comment: "Changes in the normal mechanical, physical, and biochemical functions that are associated with this activity or condition.".freeze,
      domainIncludes: ["http://schema.org/MedicalCondition".freeze, "http://schema.org/PhysicalActivity".freeze],
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "pathophysiology".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :pattern,
      comment: "A pattern that something has, for example 'polka dot', 'striped', 'Canadian flag'. Values are typically expressed as text, although links to controlled value schemes are also supported.".freeze,
      domainIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/Product".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1797".freeze,
      label: "pattern".freeze,
      rangeIncludes: ["http://schema.org/DefinedTerm".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :payload,
      comment: "The permitted weight of passengers and cargo, EXCLUDING the weight of the empty vehicle.\\n\\nTypical unit code(s): KGM for kilogram, LBR for pound\\n\\n* Note 1: Many databases specify the permitted TOTAL weight instead, which is the sum of [[weight]] and [[payload]]\\n* Note 2: You can indicate additional information in the [[name]] of the [[QuantitativeValue]] node.\\n* Note 3: You may also link to a [[QualitativeValue]] node that provides additional information using [[valueReference]].\\n* Note 4: Note that you can use [[minValue]] and [[maxValue]] to indicate ranges.".freeze,
      domainIncludes: "http://schema.org/Vehicle".freeze,
      "http://schema.org/isPartOf": "http://auto.schema.org".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "payload".freeze,
      rangeIncludes: "http://schema.org/QuantitativeValue".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :paymentAccepted,
      comment: "Cash, Credit Card, Cryptocurrency, Local Exchange Tradings System, etc.".freeze,
      domainIncludes: "http://schema.org/LocalBusiness".freeze,
      label: "paymentAccepted".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :paymentDue,
      comment: "The date that payment is due.".freeze,
      domainIncludes: ["http://schema.org/Invoice".freeze, "http://schema.org/Order".freeze],
      "http://schema.org/supersededBy": "http://schema.org/paymentDueDate".freeze,
      label: "paymentDue".freeze,
      rangeIncludes: "http://schema.org/DateTime".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :paymentDueDate,
      comment: "The date that payment is due.".freeze,
      domainIncludes: ["http://schema.org/Invoice".freeze, "http://schema.org/Order".freeze],
      label: "paymentDueDate".freeze,
      rangeIncludes: ["http://schema.org/Date".freeze, "http://schema.org/DateTime".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :paymentMethod,
      comment: "The name of the credit card or other method of payment for the order.".freeze,
      domainIncludes: ["http://schema.org/Invoice".freeze, "http://schema.org/Order".freeze],
      label: "paymentMethod".freeze,
      rangeIncludes: "http://schema.org/PaymentMethod".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :paymentMethodId,
      comment: "An identifier for the method of payment used (e.g. the last 4 digits of the credit card).".freeze,
      domainIncludes: ["http://schema.org/Invoice".freeze, "http://schema.org/Order".freeze],
      label: "paymentMethodId".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :paymentStatus,
      comment: "The status of payment; whether the invoice has been paid or not.".freeze,
      domainIncludes: "http://schema.org/Invoice".freeze,
      label: "paymentStatus".freeze,
      rangeIncludes: ["http://schema.org/PaymentStatusType".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :paymentUrl,
      comment: "The URL for sending a payment.".freeze,
      domainIncludes: "http://schema.org/Order".freeze,
      label: "paymentUrl".freeze,
      rangeIncludes: "http://schema.org/URL".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :penciler,
      comment: "The individual who draws the primary narrative artwork.".freeze,
      domainIncludes: ["http://schema.org/ComicIssue".freeze, "http://schema.org/ComicStory".freeze, "http://schema.org/VisualArtwork".freeze],
      "http://schema.org/isPartOf": "http://bib.schema.org".freeze,
      label: "penciler".freeze,
      rangeIncludes: "http://schema.org/Person".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :percentile10,
      comment: "The 10th percentile value.".freeze,
      domainIncludes: "http://schema.org/QuantitativeValueDistribution".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1698".freeze,
      label: "percentile10".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :percentile25,
      comment: "The 25th percentile value.".freeze,
      domainIncludes: "http://schema.org/QuantitativeValueDistribution".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1698".freeze,
      label: "percentile25".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :percentile75,
      comment: "The 75th percentile value.".freeze,
      domainIncludes: "http://schema.org/QuantitativeValueDistribution".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1698".freeze,
      label: "percentile75".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :percentile90,
      comment: "The 90th percentile value.".freeze,
      domainIncludes: "http://schema.org/QuantitativeValueDistribution".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1698".freeze,
      label: "percentile90".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :performTime,
      comment: "The length of time it takes to perform instructions or a direction (not including time to prepare the supplies), in [ISO 8601 duration format](http://en.wikipedia.org/wiki/ISO_8601).".freeze,
      domainIncludes: ["http://schema.org/HowTo".freeze, "http://schema.org/HowToDirection".freeze],
      label: "performTime".freeze,
      rangeIncludes: "http://schema.org/Duration".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :performer,
      comment: "A performer at the event&#x2014;for example, a presenter, musician, musical group or actor.".freeze,
      domainIncludes: "http://schema.org/Event".freeze,
      label: "performer".freeze,
      rangeIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :performerIn,
      comment: "Event that this person is a performer or participant in.".freeze,
      domainIncludes: "http://schema.org/Person".freeze,
      label: "performerIn".freeze,
      rangeIncludes: "http://schema.org/Event".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :performers,
      comment: "The main performer or performers of the event&#x2014;for example, a presenter, musician, or actor.".freeze,
      domainIncludes: "http://schema.org/Event".freeze,
      "http://schema.org/supersededBy": "http://schema.org/performer".freeze,
      label: "performers".freeze,
      rangeIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :permissionType,
      comment: "The type of permission granted the person, organization, or audience.".freeze,
      domainIncludes: "http://schema.org/DigitalDocumentPermission".freeze,
      label: "permissionType".freeze,
      rangeIncludes: "http://schema.org/DigitalDocumentPermissionType".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :permissions,
      comment: "Permission(s) required to run the app (for example, a mobile app may require full internet access or may run only on wifi).".freeze,
      domainIncludes: "http://schema.org/SoftwareApplication".freeze,
      label: "permissions".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :permitAudience,
      comment: "The target audience for this permit.".freeze,
      domainIncludes: "http://schema.org/Permit".freeze,
      label: "permitAudience".freeze,
      rangeIncludes: "http://schema.org/Audience".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :permittedUsage,
      comment: "Indications regarding the permitted usage of the accommodation.".freeze,
      domainIncludes: "http://schema.org/Accommodation".freeze,
      "http://schema.org/source": "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#STI_Accommodation_Ontology".freeze,
      label: "permittedUsage".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :petsAllowed,
      comment: "Indicates whether pets are allowed to enter the accommodation or lodging business. More detailed information can be put in a text value.".freeze,
      domainIncludes: ["http://schema.org/Accommodation".freeze, "http://schema.org/ApartmentComplex".freeze, "http://schema.org/FloorPlan".freeze, "http://schema.org/LodgingBusiness".freeze],
      "http://schema.org/source": "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#STI_Accommodation_Ontology".freeze,
      label: "petsAllowed".freeze,
      rangeIncludes: ["http://schema.org/Boolean".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :phoneticText,
      comment: "Representation of a text [[textValue]] using the specified [[speechToTextMarkup]]. For example the city name of Houston in IPA: /ˈhjuːstən/.".freeze,
      domainIncludes: "http://schema.org/PronounceableText".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2108".freeze,
      label: "phoneticText".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :photo,
      comment: "A photograph of this place.".freeze,
      domainIncludes: "http://schema.org/Place".freeze,
      label: "photo".freeze,
      rangeIncludes: ["http://schema.org/ImageObject".freeze, "http://schema.org/Photograph".freeze],
      subPropertyOf: "http://schema.org/image".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :photos,
      comment: "Photographs of this place.".freeze,
      domainIncludes: "http://schema.org/Place".freeze,
      "http://schema.org/supersededBy": "http://schema.org/photo".freeze,
      label: "photos".freeze,
      rangeIncludes: ["http://schema.org/ImageObject".freeze, "http://schema.org/Photograph".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :physicalRequirement,
      comment: "A description of the types of physical activity associated with the job. Defined terms such as those in O*net may be used, but note that there is no way to specify the level of ability as well as its nature when using a defined term.".freeze,
      domainIncludes: "http://schema.org/JobPosting".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2384".freeze,
      label: "physicalRequirement".freeze,
      rangeIncludes: ["http://schema.org/DefinedTerm".freeze, "http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :physiologicalBenefits,
      comment: "Specific physiologic benefits associated to the plan.".freeze,
      domainIncludes: "http://schema.org/Diet".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "physiologicalBenefits".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :pickupLocation,
      comment: "Where a taxi will pick up a passenger or a rental car can be picked up.".freeze,
      domainIncludes: ["http://schema.org/RentalCarReservation".freeze, "http://schema.org/TaxiReservation".freeze],
      label: "pickupLocation".freeze,
      rangeIncludes: "http://schema.org/Place".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :pickupTime,
      comment: "When a taxi will pickup a passenger or a rental car can be picked up.".freeze,
      domainIncludes: ["http://schema.org/RentalCarReservation".freeze, "http://schema.org/TaxiReservation".freeze],
      label: "pickupTime".freeze,
      rangeIncludes: "http://schema.org/DateTime".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :playMode,
      comment: "Indicates whether this game is multi-player, co-op or single-player.  The game can be marked as multi-player, co-op and single-player at the same time.".freeze,
      domainIncludes: ["http://schema.org/VideoGame".freeze, "http://schema.org/VideoGameSeries".freeze],
      label: "playMode".freeze,
      rangeIncludes: "http://schema.org/GamePlayMode".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :playerType,
      comment: "Player type required&#x2014;for example, Flash or Silverlight.".freeze,
      domainIncludes: "http://schema.org/MediaObject".freeze,
      label: "playerType".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :playersOnline,
      comment: "Number of players on the server.".freeze,
      domainIncludes: "http://schema.org/GameServer".freeze,
      label: "playersOnline".freeze,
      rangeIncludes: "http://schema.org/Integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :polygon,
      comment: "A polygon is the area enclosed by a point-to-point path for which the starting and ending points are the same. A polygon is expressed as a series of four or more space delimited points where the first and final points are identical.".freeze,
      domainIncludes: "http://schema.org/GeoShape".freeze,
      label: "polygon".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :populationType,
      comment: "Indicates the populationType common to all members of a [[StatisticalPopulation]].".freeze,
      domainIncludes: "http://schema.org/StatisticalPopulation".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2291".freeze,
      label: "populationType".freeze,
      rangeIncludes: "http://schema.org/Class".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :position,
      comment: "The position of an item in a series or sequence of items.".freeze,
      domainIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/ListItem".freeze],
      label: "position".freeze,
      rangeIncludes: ["http://schema.org/Integer".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :positiveNotes,
      comment: "Indicates, in the context of a [[Review]] (e.g. framed as 'pro' vs 'con' considerations), positive considerations - either as unstructured text, or a list.".freeze,
      domainIncludes: "http://schema.org/Review".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2832".freeze,
      label: "positiveNotes".freeze,
      rangeIncludes: ["http://schema.org/ItemList".freeze, "http://schema.org/ListItem".freeze, "http://schema.org/Text".freeze, "http://schema.org/WebContent".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :possibleComplication,
      comment: "A possible unexpected and unfavorable evolution of a medical condition. Complications may include worsening of the signs or symptoms of the disease, extension of the condition to other organ systems, etc.".freeze,
      domainIncludes: "http://schema.org/MedicalCondition".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "possibleComplication".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :possibleTreatment,
      comment: "A possible treatment to address this condition, sign or symptom.".freeze,
      domainIncludes: ["http://schema.org/MedicalCondition".freeze, "http://schema.org/MedicalSignOrSymptom".freeze],
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "possibleTreatment".freeze,
      rangeIncludes: "http://schema.org/MedicalTherapy".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :postOfficeBoxNumber,
      comment: "The post office box number for PO box addresses.".freeze,
      domainIncludes: "http://schema.org/PostalAddress".freeze,
      label: "postOfficeBoxNumber".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :postOp,
      comment: "A description of the postoperative procedures, care, and/or followups for this device.".freeze,
      domainIncludes: "http://schema.org/MedicalDevice".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "postOp".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :postalCode,
      comment: "The postal code. For example, 94043.".freeze,
      domainIncludes: ["http://schema.org/DefinedRegion".freeze, "http://schema.org/GeoCoordinates".freeze, "http://schema.org/GeoShape".freeze, "http://schema.org/PostalAddress".freeze],
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2506".freeze,
      label: "postalCode".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :postalCodeBegin,
      comment: "First postal code in a range (included).".freeze,
      domainIncludes: "http://schema.org/PostalCodeRangeSpecification".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2506".freeze,
      label: "postalCodeBegin".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :postalCodeEnd,
      comment: "Last postal code in the range (included). Needs to be after [[postalCodeBegin]].".freeze,
      domainIncludes: "http://schema.org/PostalCodeRangeSpecification".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2506".freeze,
      label: "postalCodeEnd".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :postalCodePrefix,
      comment: "A defined range of postal codes indicated by a common textual prefix. Used for non-numeric systems such as UK.".freeze,
      domainIncludes: "http://schema.org/DefinedRegion".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2506".freeze,
      label: "postalCodePrefix".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :postalCodeRange,
      comment: "A defined range of postal codes.".freeze,
      domainIncludes: "http://schema.org/DefinedRegion".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2506".freeze,
      label: "postalCodeRange".freeze,
      rangeIncludes: "http://schema.org/PostalCodeRangeSpecification".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :potentialAction,
      comment: "Indicates a potential Action, which describes an idealized action in which this thing would play an 'object' role.".freeze,
      domainIncludes: "http://schema.org/Thing".freeze,
      label: "potentialAction".freeze,
      rangeIncludes: "http://schema.org/Action".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :potentialUse,
      comment: "Intended use of the BioChemEntity by humans.".freeze,
      domainIncludes: ["http://schema.org/ChemicalSubstance".freeze, "http://schema.org/MolecularEntity".freeze],
      "http://purl.org/dc/terms/source": "http://www.bioschemas.org/ChemicalSubstance".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      label: "potentialUse".freeze,
      rangeIncludes: "http://schema.org/DefinedTerm".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :preOp,
      comment: "A description of the workup, testing, and other preparations required before implanting this device.".freeze,
      domainIncludes: "http://schema.org/MedicalDevice".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "preOp".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :predecessorOf,
      comment: "A pointer from a previous, often discontinued variant of the product to its newer variant.".freeze,
      domainIncludes: "http://schema.org/ProductModel".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "predecessorOf".freeze,
      rangeIncludes: "http://schema.org/ProductModel".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :pregnancyCategory,
      comment: "Pregnancy category of this drug.".freeze,
      domainIncludes: "http://schema.org/Drug".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "pregnancyCategory".freeze,
      rangeIncludes: "http://schema.org/DrugPregnancyCategory".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :pregnancyWarning,
      comment: "Any precaution, guidance, contraindication, etc. related to this drug's use during pregnancy.".freeze,
      domainIncludes: "http://schema.org/Drug".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "pregnancyWarning".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :prepTime,
      comment: "The length of time it takes to prepare the items to be used in instructions or a direction, in [ISO 8601 duration format](http://en.wikipedia.org/wiki/ISO_8601).".freeze,
      domainIncludes: ["http://schema.org/HowTo".freeze, "http://schema.org/HowToDirection".freeze],
      label: "prepTime".freeze,
      rangeIncludes: "http://schema.org/Duration".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :preparation,
      comment: "Typical preparation that a patient must undergo before having the procedure performed.".freeze,
      domainIncludes: "http://schema.org/MedicalProcedure".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "preparation".freeze,
      rangeIncludes: ["http://schema.org/MedicalEntity".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :prescribingInfo,
      comment: "Link to prescribing information for the drug.".freeze,
      domainIncludes: "http://schema.org/Drug".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "prescribingInfo".freeze,
      rangeIncludes: "http://schema.org/URL".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :prescriptionStatus,
      comment: "Indicates the status of drug prescription eg. local catalogs classifications or whether the drug is available by prescription or over-the-counter, etc.".freeze,
      domainIncludes: "http://schema.org/Drug".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "prescriptionStatus".freeze,
      rangeIncludes: ["http://schema.org/DrugPrescriptionStatus".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :previousItem,
      comment: "A link to the ListItem that preceeds the current one.".freeze,
      domainIncludes: "http://schema.org/ListItem".freeze,
      label: "previousItem".freeze,
      rangeIncludes: "http://schema.org/ListItem".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :previousStartDate,
      comment: "Used in conjunction with eventStatus for rescheduled or cancelled events. This property contains the previously scheduled start date. For rescheduled events, the startDate property should be used for the newly scheduled start date. In the (rare) case of an event that has been postponed and rescheduled multiple times, this field may be repeated.".freeze,
      domainIncludes: "http://schema.org/Event".freeze,
      label: "previousStartDate".freeze,
      rangeIncludes: "http://schema.org/Date".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :price,
      comment: "The offer price of a product, or of a price component when attached to PriceSpecification and its subtypes.\\n\\nUsage guidelines:\\n\\n* Use the [[priceCurrency]] property (with standard formats: [ISO 4217 currency format](http://en.wikipedia.org/wiki/ISO_4217) e.g. \"USD\"; [Ticker symbol](https://en.wikipedia.org/wiki/List_of_cryptocurrencies) for cryptocurrencies e.g. \"BTC\"; well known names for [Local Exchange Tradings Systems](https://en.wikipedia.org/wiki/Local_exchange_trading_system) (LETS) and other currency types e.g. \"Ithaca HOUR\") instead of including [ambiguous symbols](http://en.wikipedia.org/wiki/Dollar_sign#Currencies_that_use_the_dollar_or_peso_sign) such as '$' in the value.\\n* Use '.' (Unicode 'FULL STOP' (U+002E)) rather than ',' to indicate a decimal point. Avoid using these symbols as a readability separator.\\n* Note that both [RDFa](http://www.w3.org/TR/xhtml-rdfa-primer/#using-the-content-attribute) and Microdata syntax allow the use of a \"content=\" attribute for publishing simple machine-readable values alongside more human-friendly formatting.\\n* Use values from 0123456789 (Unicode 'DIGIT ZERO' (U+0030) to 'DIGIT NINE' (U+0039)) rather than superficially similiar Unicode symbols.\n      ".freeze,
      domainIncludes: ["http://schema.org/Offer".freeze, "http://schema.org/PriceSpecification".freeze, "http://schema.org/TradeAction".freeze],
      label: "price".freeze,
      rangeIncludes: ["http://schema.org/Number".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :priceComponent,
      comment: "This property links to all [[UnitPriceSpecification]] nodes that apply in parallel for the [[CompoundPriceSpecification]] node.".freeze,
      domainIncludes: "http://schema.org/CompoundPriceSpecification".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "priceComponent".freeze,
      rangeIncludes: "http://schema.org/UnitPriceSpecification".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :priceComponentType,
      comment: "Identifies a price component (for example, a line item on an invoice), part of the total price for an offer.".freeze,
      domainIncludes: "http://schema.org/UnitPriceSpecification".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2689".freeze,
      label: "priceComponentType".freeze,
      rangeIncludes: "http://schema.org/PriceComponentTypeEnumeration".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :priceCurrency,
      comment: "The currency of the price, or a price component when attached to [[PriceSpecification]] and its subtypes.\\n\\nUse standard formats: [ISO 4217 currency format](http://en.wikipedia.org/wiki/ISO_4217) e.g. \"USD\"; [Ticker symbol](https://en.wikipedia.org/wiki/List_of_cryptocurrencies) for cryptocurrencies e.g. \"BTC\"; well known names for [Local Exchange Tradings Systems](https://en.wikipedia.org/wiki/Local_exchange_trading_system) (LETS) and other currency types e.g. \"Ithaca HOUR\".".freeze,
      domainIncludes: ["http://schema.org/Offer".freeze, "http://schema.org/PriceSpecification".freeze, "http://schema.org/Reservation".freeze, "http://schema.org/Ticket".freeze, "http://schema.org/TradeAction".freeze],
      label: "priceCurrency".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :priceRange,
      comment: "The price range of the business, for example ```$$$```.".freeze,
      domainIncludes: "http://schema.org/LocalBusiness".freeze,
      label: "priceRange".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :priceSpecification,
      comment: "One or more detailed price specifications, indicating the unit price and delivery or payment charges.".freeze,
      domainIncludes: ["http://schema.org/Demand".freeze, "http://schema.org/Offer".freeze, "http://schema.org/TradeAction".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "priceSpecification".freeze,
      rangeIncludes: "http://schema.org/PriceSpecification".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :priceType,
      comment: "Defines the type of a price specified for an offered product, for example a list price, a (temporary) sale price or a manufacturer suggested retail price. If multiple prices are specified for an offer the [[priceType]] property can be used to identify the type of each such specified price. The value of priceType can be specified as a value from enumeration PriceTypeEnumeration or as a free form text string for price types that are not already predefined in PriceTypeEnumeration.".freeze,
      domainIncludes: ["http://schema.org/CompoundPriceSpecification".freeze, "http://schema.org/UnitPriceSpecification".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "priceType".freeze,
      rangeIncludes: ["http://schema.org/PriceTypeEnumeration".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :priceValidUntil,
      comment: "The date after which the price is no longer available.".freeze,
      domainIncludes: "http://schema.org/Offer".freeze,
      label: "priceValidUntil".freeze,
      rangeIncludes: "http://schema.org/Date".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :primaryImageOfPage,
      comment: "Indicates the main image on the page.".freeze,
      domainIncludes: "http://schema.org/WebPage".freeze,
      label: "primaryImageOfPage".freeze,
      rangeIncludes: "http://schema.org/ImageObject".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :primaryPrevention,
      comment: "A preventative therapy used to prevent an initial occurrence of the medical condition, such as vaccination.".freeze,
      domainIncludes: "http://schema.org/MedicalCondition".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "primaryPrevention".freeze,
      rangeIncludes: "http://schema.org/MedicalTherapy".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :printColumn,
      comment: "The number of the column in which the NewsArticle appears in the print edition.".freeze,
      domainIncludes: "http://schema.org/NewsArticle".freeze,
      label: "printColumn".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :printEdition,
      comment: "The edition of the print product in which the NewsArticle appears.".freeze,
      domainIncludes: "http://schema.org/NewsArticle".freeze,
      label: "printEdition".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :printPage,
      comment: "If this NewsArticle appears in print, this field indicates the name of the page on which the article is found. Please note that this field is intended for the exact page name (e.g. A5, B18).".freeze,
      domainIncludes: "http://schema.org/NewsArticle".freeze,
      label: "printPage".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :printSection,
      comment: "If this NewsArticle appears in print, this field indicates the print section in which the article appeared.".freeze,
      domainIncludes: "http://schema.org/NewsArticle".freeze,
      label: "printSection".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :procedure,
      comment: "A description of the procedure involved in setting up, using, and/or installing the device.".freeze,
      domainIncludes: "http://schema.org/MedicalDevice".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "procedure".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :procedureType,
      comment: "The type of procedure, for example Surgical, Noninvasive, or Percutaneous.".freeze,
      domainIncludes: "http://schema.org/MedicalProcedure".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "procedureType".freeze,
      rangeIncludes: "http://schema.org/MedicalProcedureType".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :processingTime,
      comment: "Estimated processing time for the service using this channel.".freeze,
      domainIncludes: "http://schema.org/ServiceChannel".freeze,
      label: "processingTime".freeze,
      rangeIncludes: "http://schema.org/Duration".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :processorRequirements,
      comment: "Processor architecture required to run the application (e.g. IA64).".freeze,
      domainIncludes: "http://schema.org/SoftwareApplication".freeze,
      label: "processorRequirements".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :producer,
      comment: "The person or organization who produced the work (e.g. music album, movie, tv/radio series etc.).".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      label: "producer".freeze,
      rangeIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :produces,
      comment: "The tangible thing generated by the service, e.g. a passport, permit, etc.".freeze,
      domainIncludes: "http://schema.org/Service".freeze,
      "http://schema.org/supersededBy": "http://schema.org/serviceOutput".freeze,
      label: "produces".freeze,
      rangeIncludes: "http://schema.org/Thing".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :productGroupID,
      comment: "Indicates a textual identifier for a ProductGroup.".freeze,
      domainIncludes: "http://schema.org/ProductGroup".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1797".freeze,
      label: "productGroupID".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :productID,
      comment: "The product identifier, such as ISBN. For example: ``` meta itemprop=\"productID\" content=\"isbn:123-456-789\" ```.".freeze,
      domainIncludes: "http://schema.org/Product".freeze,
      label: "productID".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      subPropertyOf: "http://schema.org/identifier".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :productReturnDays,
      comment: "The productReturnDays property indicates the number of days (from purchase) within which relevant product return policy is applicable.".freeze,
      domainIncludes: "http://schema.org/ProductReturnPolicy".freeze,
      "http://schema.org/isPartOf": "http://attic.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2288".freeze,
      "http://schema.org/supersededBy": "http://schema.org/merchantReturnDays".freeze,
      label: "productReturnDays".freeze,
      rangeIncludes: "http://schema.org/Integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :productReturnLink,
      comment: "Indicates a Web page or service by URL, for product return.".freeze,
      domainIncludes: "http://schema.org/ProductReturnPolicy".freeze,
      "http://schema.org/isPartOf": "http://attic.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2288".freeze,
      "http://schema.org/supersededBy": "http://schema.org/merchantReturnLink".freeze,
      label: "productReturnLink".freeze,
      rangeIncludes: "http://schema.org/URL".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :productSupported,
      comment: "The product or service this support contact point is related to (such as product support for a particular product line). This can be a specific product or product line (e.g. \"iPhone\") or a general category of products or services (e.g. \"smartphones\").".freeze,
      domainIncludes: "http://schema.org/ContactPoint".freeze,
      label: "productSupported".freeze,
      rangeIncludes: ["http://schema.org/Product".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :productionCompany,
      comment: "The production company or studio responsible for the item e.g. series, video game, episode etc.".freeze,
      domainIncludes: ["http://schema.org/CreativeWorkSeason".freeze, "http://schema.org/Episode".freeze, "http://schema.org/MediaObject".freeze, "http://schema.org/Movie".freeze, "http://schema.org/MovieSeries".freeze, "http://schema.org/RadioSeries".freeze, "http://schema.org/TVSeries".freeze, "http://schema.org/VideoGameSeries".freeze],
      label: "productionCompany".freeze,
      rangeIncludes: "http://schema.org/Organization".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :productionDate,
      comment: "The date of production of the item, e.g. vehicle.".freeze,
      domainIncludes: ["http://schema.org/Product".freeze, "http://schema.org/Vehicle".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "productionDate".freeze,
      rangeIncludes: "http://schema.org/Date".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :proficiencyLevel,
      comment: "Proficiency needed for this content; expected values: 'Beginner', 'Expert'.".freeze,
      domainIncludes: "http://schema.org/TechArticle".freeze,
      label: "proficiencyLevel".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :programMembershipUsed,
      comment: "Any membership in a frequent flyer, hotel loyalty program, etc. being applied to the reservation.".freeze,
      domainIncludes: "http://schema.org/Reservation".freeze,
      label: "programMembershipUsed".freeze,
      rangeIncludes: "http://schema.org/ProgramMembership".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :programName,
      comment: "The program providing the membership.".freeze,
      domainIncludes: "http://schema.org/ProgramMembership".freeze,
      label: "programName".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :programPrerequisites,
      comment: "Prerequisites for enrolling in the program.".freeze,
      domainIncludes: "http://schema.org/EducationalOccupationalProgram".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2289".freeze,
      label: "programPrerequisites".freeze,
      rangeIncludes: ["http://schema.org/AlignmentObject".freeze, "http://schema.org/Course".freeze, "http://schema.org/EducationalOccupationalCredential".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :programType,
      comment: "The type of educational or occupational program. For example, classroom, internship, alternance, etc..".freeze,
      domainIncludes: "http://schema.org/EducationalOccupationalProgram".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2460".freeze,
      label: "programType".freeze,
      rangeIncludes: ["http://schema.org/DefinedTerm".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :programmingLanguage,
      comment: "The computer programming language.".freeze,
      domainIncludes: "http://schema.org/SoftwareSourceCode".freeze,
      label: "programmingLanguage".freeze,
      rangeIncludes: ["http://schema.org/ComputerLanguage".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :programmingModel,
      comment: "Indicates whether API is managed or unmanaged.".freeze,
      domainIncludes: "http://schema.org/APIReference".freeze,
      label: "programmingModel".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :propertyID,
      comment: "A commonly used identifier for the characteristic represented by the property, e.g. a manufacturer or a standard code for a property. propertyID can be\n(1) a prefixed string, mainly meant to be used with standards for product properties; (2) a site-specific, non-prefixed string (e.g. the primary key of the property or the vendor-specific id of the property), or (3)\na URL indicating the type of the property, either pointing to an external vocabulary, or a Web resource that describes the property (e.g. a glossary entry).\nStandards bodies should promote a standard prefix for the identifiers of properties from their standards.".freeze,
      domainIncludes: "http://schema.org/PropertyValue".freeze,
      label: "propertyID".freeze,
      rangeIncludes: ["http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :proprietaryName,
      comment: "Proprietary name given to the diet plan, typically by its originator or creator.".freeze,
      domainIncludes: ["http://schema.org/DietarySupplement".freeze, "http://schema.org/Drug".freeze],
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "proprietaryName".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :proteinContent,
      comment: "The number of grams of protein.".freeze,
      domainIncludes: "http://schema.org/NutritionInformation".freeze,
      label: "proteinContent".freeze,
      rangeIncludes: "http://schema.org/Mass".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :provider,
      comment: "The service provider, service operator, or service performer; the goods producer. Another party (a seller) may offer those services or goods on behalf of the provider. A provider may also serve as the seller.".freeze,
      domainIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/EducationalOccupationalProgram".freeze, "http://schema.org/Invoice".freeze, "http://schema.org/ParcelDelivery".freeze, "http://schema.org/Reservation".freeze, "http://schema.org/Service".freeze, "http://schema.org/Trip".freeze],
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2289".freeze,
      label: "provider".freeze,
      rangeIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :providerMobility,
      comment: "Indicates the mobility of a provided service (e.g. 'static', 'dynamic').".freeze,
      domainIncludes: "http://schema.org/Service".freeze,
      label: "providerMobility".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :providesBroadcastService,
      comment: "The BroadcastService offered on this channel.".freeze,
      domainIncludes: "http://schema.org/BroadcastChannel".freeze,
      "http://schema.org/inverseOf": "http://schema.org/hasBroadcastChannel".freeze,
      label: "providesBroadcastService".freeze,
      rangeIncludes: "http://schema.org/BroadcastService".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :providesService,
      comment: "The service provided by this channel.".freeze,
      domainIncludes: "http://schema.org/ServiceChannel".freeze,
      label: "providesService".freeze,
      rangeIncludes: "http://schema.org/Service".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :publicAccess,
      comment: "A flag to signal that the [[Place]] is open to public visitors.  If this property is omitted there is no assumed default boolean value".freeze,
      domainIncludes: "http://schema.org/Place".freeze,
      label: "publicAccess".freeze,
      rangeIncludes: "http://schema.org/Boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :publicTransportClosuresInfo,
      comment: "Information about public transport closures.".freeze,
      domainIncludes: "http://schema.org/SpecialAnnouncement".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2490".freeze,
      label: "publicTransportClosuresInfo".freeze,
      rangeIncludes: ["http://schema.org/URL".freeze, "http://schema.org/WebContent".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :publication,
      comment: "A publication event associated with the item.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      label: "publication".freeze,
      rangeIncludes: "http://schema.org/PublicationEvent".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :publicationType,
      comment: "The type of the medical article, taken from the US NLM MeSH publication type catalog. See also [MeSH documentation](http://www.nlm.nih.gov/mesh/pubtypes.html).".freeze,
      domainIncludes: "http://schema.org/MedicalScholarlyArticle".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "publicationType".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :publishedBy,
      comment: "An agent associated with the publication event.".freeze,
      domainIncludes: "http://schema.org/PublicationEvent".freeze,
      "http://schema.org/isPartOf": "http://bib.schema.org".freeze,
      label: "publishedBy".freeze,
      rangeIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :publishedOn,
      comment: "A broadcast service associated with the publication event.".freeze,
      domainIncludes: "http://schema.org/PublicationEvent".freeze,
      label: "publishedOn".freeze,
      rangeIncludes: "http://schema.org/BroadcastService".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :publisher,
      comment: "The publisher of the creative work.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      label: "publisher".freeze,
      rangeIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :publisherImprint,
      comment: "The publishing division which published the comic.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      "http://schema.org/isPartOf": "http://bib.schema.org".freeze,
      label: "publisherImprint".freeze,
      rangeIncludes: "http://schema.org/Organization".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :publishingPrinciples,
      comment: "The publishingPrinciples property indicates (typically via [[URL]]) a document describing the editorial principles of an [[Organization]] (or individual e.g. a [[Person]] writing a blog) that relate to their activities as a publisher, e.g. ethics or diversity policies. When applied to a [[CreativeWork]] (e.g. [[NewsArticle]]) the principles are those of the party primarily responsible for the creation of the [[CreativeWork]].\n\nWhile such policies are most typically expressed in natural language, sometimes related information (e.g. indicating a [[funder]]) can be expressed using schema.org terminology.\n".freeze,
      domainIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      label: "publishingPrinciples".freeze,
      rangeIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :purchaseDate,
      comment: "The date the item e.g. vehicle was purchased by the current owner.".freeze,
      domainIncludes: ["http://schema.org/Product".freeze, "http://schema.org/Vehicle".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "purchaseDate".freeze,
      rangeIncludes: "http://schema.org/Date".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :qualifications,
      comment: "Specific qualifications required for this role or Occupation.".freeze,
      domainIncludes: ["http://schema.org/JobPosting".freeze, "http://schema.org/Occupation".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["https://github.com/schemaorg/schemaorg/issues/1698".freeze, "https://github.com/schemaorg/schemaorg/issues/1779".freeze],
      label: "qualifications".freeze,
      rangeIncludes: ["http://schema.org/EducationalOccupationalCredential".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :quarantineGuidelines,
      comment: "Guidelines about quarantine rules, e.g. in the context of a pandemic.".freeze,
      domainIncludes: "http://schema.org/SpecialAnnouncement".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2490".freeze,
      label: "quarantineGuidelines".freeze,
      rangeIncludes: ["http://schema.org/URL".freeze, "http://schema.org/WebContent".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :query,
      comment: "A sub property of instrument. The query used on this action.".freeze,
      domainIncludes: "http://schema.org/SearchAction".freeze,
      label: "query".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      subPropertyOf: "http://schema.org/instrument".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :quest,
      comment: "The task that a player-controlled character, or group of characters may complete in order to gain a reward.".freeze,
      domainIncludes: ["http://schema.org/Game".freeze, "http://schema.org/VideoGameSeries".freeze],
      label: "quest".freeze,
      rangeIncludes: "http://schema.org/Thing".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :question,
      comment: "A sub property of object. A question.".freeze,
      domainIncludes: "http://schema.org/AskAction".freeze,
      label: "question".freeze,
      rangeIncludes: "http://schema.org/Question".freeze,
      subPropertyOf: "http://schema.org/object".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :rangeIncludes,
      comment: "Relates a property to a class that constitutes (one of) the expected type(s) for values of the property.".freeze,
      domainIncludes: "http://schema.org/Property".freeze,
      "http://schema.org/isPartOf": "http://meta.schema.org".freeze,
      label: "rangeIncludes".freeze,
      rangeIncludes: "http://schema.org/Class".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :ratingCount,
      comment: "The count of total number of ratings.".freeze,
      domainIncludes: "http://schema.org/AggregateRating".freeze,
      label: "ratingCount".freeze,
      rangeIncludes: "http://schema.org/Integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :ratingExplanation,
      comment: "A short explanation (e.g. one to two sentences) providing background context and other information that led to the conclusion expressed in the rating. This is particularly applicable to ratings associated with \"fact check\" markup using [[ClaimReview]].".freeze,
      domainIncludes: "http://schema.org/Rating".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2300".freeze,
      label: "ratingExplanation".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :ratingValue,
      comment: "The rating for the content.\\n\\nUsage guidelines:\\n\\n* Use values from 0123456789 (Unicode 'DIGIT ZERO' (U+0030) to 'DIGIT NINE' (U+0039)) rather than superficially similiar Unicode symbols.\\n* Use '.' (Unicode 'FULL STOP' (U+002E)) rather than ',' to indicate a decimal point. Avoid using these symbols as a readability separator.".freeze,
      domainIncludes: "http://schema.org/Rating".freeze,
      label: "ratingValue".freeze,
      rangeIncludes: ["http://schema.org/Number".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :readBy,
      comment: "A person who reads (performs) the audiobook.".freeze,
      domainIncludes: "http://schema.org/Audiobook".freeze,
      "http://schema.org/isPartOf": "http://bib.schema.org".freeze,
      label: "readBy".freeze,
      rangeIncludes: "http://schema.org/Person".freeze,
      subPropertyOf: "http://schema.org/actor".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :readonlyValue,
      comment: "Whether or not a property is mutable.  Default is false. Specifying this for a property that also has a value makes it act similar to a \"hidden\" input in an HTML form.".freeze,
      domainIncludes: "http://schema.org/PropertyValueSpecification".freeze,
      label: "readonlyValue".freeze,
      rangeIncludes: "http://schema.org/Boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :realEstateAgent,
      comment: "A sub property of participant. The real estate agent involved in the action.".freeze,
      domainIncludes: "http://schema.org/RentAction".freeze,
      label: "realEstateAgent".freeze,
      rangeIncludes: "http://schema.org/RealEstateAgent".freeze,
      subPropertyOf: "http://schema.org/participant".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :recipe,
      comment: "A sub property of instrument. The recipe/instructions used to perform the action.".freeze,
      domainIncludes: "http://schema.org/CookAction".freeze,
      label: "recipe".freeze,
      rangeIncludes: "http://schema.org/Recipe".freeze,
      subPropertyOf: "http://schema.org/instrument".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :recipeCategory,
      comment: "The category of the recipe—for example, appetizer, entree, etc.".freeze,
      domainIncludes: "http://schema.org/Recipe".freeze,
      label: "recipeCategory".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :recipeCuisine,
      comment: "The cuisine of the recipe (for example, French or Ethiopian).".freeze,
      domainIncludes: "http://schema.org/Recipe".freeze,
      label: "recipeCuisine".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :recipeIngredient,
      comment: "A single ingredient used in the recipe, e.g. sugar, flour or garlic.".freeze,
      domainIncludes: "http://schema.org/Recipe".freeze,
      label: "recipeIngredient".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      subPropertyOf: "http://schema.org/supply".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :recipeInstructions,
      comment: "A step in making the recipe, in the form of a single item (document, video, etc.) or an ordered list with HowToStep and/or HowToSection items.".freeze,
      domainIncludes: "http://schema.org/Recipe".freeze,
      label: "recipeInstructions".freeze,
      rangeIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/ItemList".freeze, "http://schema.org/Text".freeze],
      subPropertyOf: "http://schema.org/step".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :recipeYield,
      comment: "The quantity produced by the recipe (for example, number of people served, number of servings, etc).".freeze,
      domainIncludes: "http://schema.org/Recipe".freeze,
      label: "recipeYield".freeze,
      rangeIncludes: ["http://schema.org/QuantitativeValue".freeze, "http://schema.org/Text".freeze],
      subPropertyOf: "http://schema.org/yield".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :recipient,
      comment: "A sub property of participant. The participant who is at the receiving end of the action.".freeze,
      domainIncludes: ["http://schema.org/AuthorizeAction".freeze, "http://schema.org/CommunicateAction".freeze, "http://schema.org/DonateAction".freeze, "http://schema.org/GiveAction".freeze, "http://schema.org/Message".freeze, "http://schema.org/PayAction".freeze, "http://schema.org/ReturnAction".freeze, "http://schema.org/SendAction".freeze, "http://schema.org/TipAction".freeze],
      label: "recipient".freeze,
      rangeIncludes: ["http://schema.org/Audience".freeze, "http://schema.org/ContactPoint".freeze, "http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      subPropertyOf: "http://schema.org/participant".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :recognizedBy,
      comment: "An organization that acknowledges the validity, value or utility of a credential. Note: recognition may include a process of quality assurance or accreditation.".freeze,
      domainIncludes: "http://schema.org/EducationalOccupationalCredential".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1779".freeze,
      label: "recognizedBy".freeze,
      rangeIncludes: "http://schema.org/Organization".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :recognizingAuthority,
      comment: "If applicable, the organization that officially recognizes this entity as part of its endorsed system of medicine.".freeze,
      domainIncludes: "http://schema.org/MedicalEntity".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "recognizingAuthority".freeze,
      rangeIncludes: "http://schema.org/Organization".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :recommendationStrength,
      comment: "Strength of the guideline's recommendation (e.g. 'class I').".freeze,
      domainIncludes: "http://schema.org/MedicalGuidelineRecommendation".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "recommendationStrength".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :recommendedIntake,
      comment: "Recommended intake of this supplement for a given population as defined by a specific recommending authority.".freeze,
      domainIncludes: "http://schema.org/DietarySupplement".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "recommendedIntake".freeze,
      rangeIncludes: "http://schema.org/RecommendedDoseSchedule".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :recordLabel,
      comment: "The label that issued the release.".freeze,
      domainIncludes: "http://schema.org/MusicRelease".freeze,
      equivalentProperty: "http://purl.org/ontology/mo/label".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#MBZ".freeze,
      label: "recordLabel".freeze,
      rangeIncludes: "http://schema.org/Organization".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :recordedAs,
      comment: "An audio recording of the work.".freeze,
      domainIncludes: "http://schema.org/MusicComposition".freeze,
      "http://schema.org/inverseOf": "http://schema.org/recordingOf".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#MBZ".freeze,
      label: "recordedAs".freeze,
      rangeIncludes: "http://schema.org/MusicRecording".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :recordedAt,
      comment: "The Event where the CreativeWork was recorded. The CreativeWork may capture all or part of the event.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      "http://schema.org/inverseOf": "http://schema.org/recordedIn".freeze,
      label: "recordedAt".freeze,
      rangeIncludes: "http://schema.org/Event".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :recordedIn,
      comment: "The CreativeWork that captured all or part of this Event.".freeze,
      domainIncludes: "http://schema.org/Event".freeze,
      "http://schema.org/inverseOf": "http://schema.org/recordedAt".freeze,
      label: "recordedIn".freeze,
      rangeIncludes: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :recordingOf,
      comment: "The composition this track is a recording of.".freeze,
      domainIncludes: "http://schema.org/MusicRecording".freeze,
      "http://schema.org/inverseOf": "http://schema.org/recordedAs".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#MBZ".freeze,
      label: "recordingOf".freeze,
      rangeIncludes: "http://schema.org/MusicComposition".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :recourseLoan,
      comment: "The only way you get the money back in the event of default is the security. Recourse is where you still have the opportunity to go back to the borrower for the rest of the money.".freeze,
      domainIncludes: "http://schema.org/LoanOrCredit".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FIBO".freeze, "https://github.com/schemaorg/schemaorg/issues/1253".freeze],
      label: "recourseLoan".freeze,
      rangeIncludes: "http://schema.org/Boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :referenceQuantity,
      comment: "The reference quantity for which a certain price applies, e.g. 1 EUR per 4 kWh of electricity. This property is a replacement for unitOfMeasurement for the advanced cases where the price does not relate to a standard unit.".freeze,
      domainIncludes: "http://schema.org/UnitPriceSpecification".freeze,
      "http://schema.org/source": ["http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsProperties".freeze, "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze],
      label: "referenceQuantity".freeze,
      rangeIncludes: "http://schema.org/QuantitativeValue".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :referencesOrder,
      comment: "The Order(s) related to this Invoice. One or more Orders may be combined into a single Invoice.".freeze,
      domainIncludes: "http://schema.org/Invoice".freeze,
      label: "referencesOrder".freeze,
      rangeIncludes: "http://schema.org/Order".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :refundType,
      comment: "A refund type, from an enumerated list.".freeze,
      domainIncludes: "http://schema.org/MerchantReturnPolicy".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2288".freeze,
      label: "refundType".freeze,
      rangeIncludes: "http://schema.org/RefundTypeEnumeration".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :regionDrained,
      comment: "The anatomical or organ system drained by this vessel; generally refers to a specific part of an organ.".freeze,
      domainIncludes: ["http://schema.org/LymphaticVessel".freeze, "http://schema.org/Vein".freeze],
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "regionDrained".freeze,
      rangeIncludes: ["http://schema.org/AnatomicalStructure".freeze, "http://schema.org/AnatomicalSystem".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :regionsAllowed,
      comment: "The regions where the media is allowed. If not specified, then it's assumed to be allowed everywhere. Specify the countries in [ISO 3166 format](http://en.wikipedia.org/wiki/ISO_3166).".freeze,
      domainIncludes: "http://schema.org/MediaObject".freeze,
      label: "regionsAllowed".freeze,
      rangeIncludes: "http://schema.org/Place".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :relatedAnatomy,
      comment: "Anatomical systems or structures that relate to the superficial anatomy.".freeze,
      domainIncludes: "http://schema.org/SuperficialAnatomy".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "relatedAnatomy".freeze,
      rangeIncludes: ["http://schema.org/AnatomicalStructure".freeze, "http://schema.org/AnatomicalSystem".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :relatedCondition,
      comment: "A medical condition associated with this anatomy.".freeze,
      domainIncludes: ["http://schema.org/AnatomicalStructure".freeze, "http://schema.org/AnatomicalSystem".freeze, "http://schema.org/SuperficialAnatomy".freeze],
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "relatedCondition".freeze,
      rangeIncludes: "http://schema.org/MedicalCondition".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :relatedDrug,
      comment: "Any other drug related to this one, for example commonly-prescribed alternatives.".freeze,
      domainIncludes: "http://schema.org/Drug".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "relatedDrug".freeze,
      rangeIncludes: "http://schema.org/Drug".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :relatedLink,
      comment: "A link related to this web page, for example to other related web pages.".freeze,
      domainIncludes: "http://schema.org/WebPage".freeze,
      label: "relatedLink".freeze,
      rangeIncludes: "http://schema.org/URL".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :relatedStructure,
      comment: "Related anatomical structure(s) that are not part of the system but relate or connect to it, such as vascular bundles associated with an organ system.".freeze,
      domainIncludes: "http://schema.org/AnatomicalSystem".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "relatedStructure".freeze,
      rangeIncludes: "http://schema.org/AnatomicalStructure".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :relatedTherapy,
      comment: "A medical therapy related to this anatomy.".freeze,
      domainIncludes: ["http://schema.org/AnatomicalStructure".freeze, "http://schema.org/AnatomicalSystem".freeze, "http://schema.org/SuperficialAnatomy".freeze],
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "relatedTherapy".freeze,
      rangeIncludes: "http://schema.org/MedicalTherapy".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :relatedTo,
      comment: "The most generic familial relation.".freeze,
      domainIncludes: "http://schema.org/Person".freeze,
      label: "relatedTo".freeze,
      rangeIncludes: "http://schema.org/Person".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :releaseDate,
      comment: "The release date of a product or product model. This can be used to distinguish the exact variant of a product.".freeze,
      domainIncludes: "http://schema.org/Product".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "releaseDate".freeze,
      rangeIncludes: "http://schema.org/Date".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :releaseNotes,
      comment: "Description of what changed in this version.".freeze,
      domainIncludes: "http://schema.org/SoftwareApplication".freeze,
      label: "releaseNotes".freeze,
      rangeIncludes: ["http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :releaseOf,
      comment: "The album this is a release of.".freeze,
      domainIncludes: "http://schema.org/MusicRelease".freeze,
      "http://schema.org/inverseOf": "http://schema.org/albumRelease".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#MBZ".freeze,
      label: "releaseOf".freeze,
      rangeIncludes: "http://schema.org/MusicAlbum".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :releasedEvent,
      comment: "The place and time the release was issued, expressed as a PublicationEvent.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      label: "releasedEvent".freeze,
      rangeIncludes: "http://schema.org/PublicationEvent".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :relevantOccupation,
      comment: "The Occupation for the JobPosting.".freeze,
      domainIncludes: "http://schema.org/JobPosting".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1698".freeze,
      label: "relevantOccupation".freeze,
      rangeIncludes: "http://schema.org/Occupation".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :relevantSpecialty,
      comment: "If applicable, a medical specialty in which this entity is relevant.".freeze,
      domainIncludes: "http://schema.org/MedicalEntity".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "relevantSpecialty".freeze,
      rangeIncludes: "http://schema.org/MedicalSpecialty".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :remainingAttendeeCapacity,
      comment: "The number of attendee places for an event that remain unallocated.".freeze,
      domainIncludes: "http://schema.org/Event".freeze,
      label: "remainingAttendeeCapacity".freeze,
      rangeIncludes: "http://schema.org/Integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :renegotiableLoan,
      comment: "Whether the terms for payment of interest can be renegotiated during the life of the loan.".freeze,
      domainIncludes: "http://schema.org/LoanOrCredit".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FIBO".freeze, "https://github.com/schemaorg/schemaorg/issues/1253".freeze],
      label: "renegotiableLoan".freeze,
      rangeIncludes: "http://schema.org/Boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :repeatCount,
      comment: "Defines the number of times a recurring [[Event]] will take place".freeze,
      domainIncludes: "http://schema.org/Schedule".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1457".freeze,
      label: "repeatCount".freeze,
      rangeIncludes: "http://schema.org/Integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :repeatFrequency,
      comment: "Defines the frequency at which [[Event]]s will occur according to a schedule [[Schedule]]. The intervals between\n      events should be defined as a [[Duration]] of time.".freeze,
      domainIncludes: "http://schema.org/Schedule".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1457".freeze,
      label: "repeatFrequency".freeze,
      rangeIncludes: ["http://schema.org/Duration".freeze, "http://schema.org/Text".freeze],
      subPropertyOf: "http://schema.org/frequency".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :repetitions,
      comment: "Number of times one should repeat the activity.".freeze,
      domainIncludes: "http://schema.org/ExercisePlan".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "repetitions".freeze,
      rangeIncludes: ["http://schema.org/Number".freeze, "http://schema.org/QuantitativeValue".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :replacee,
      comment: "A sub property of object. The object that is being replaced.".freeze,
      domainIncludes: "http://schema.org/ReplaceAction".freeze,
      label: "replacee".freeze,
      rangeIncludes: "http://schema.org/Thing".freeze,
      subPropertyOf: "http://schema.org/object".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :replacer,
      comment: "A sub property of object. The object that replaces.".freeze,
      domainIncludes: "http://schema.org/ReplaceAction".freeze,
      label: "replacer".freeze,
      rangeIncludes: "http://schema.org/Thing".freeze,
      subPropertyOf: "http://schema.org/object".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :replyToUrl,
      comment: "The URL at which a reply may be posted to the specified UserComment.".freeze,
      domainIncludes: "http://schema.org/UserComments".freeze,
      label: "replyToUrl".freeze,
      rangeIncludes: "http://schema.org/URL".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :reportNumber,
      comment: "The number or other unique designator assigned to a Report by the publishing organization.".freeze,
      domainIncludes: "http://schema.org/Report".freeze,
      label: "reportNumber".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :representativeOfPage,
      comment: "Indicates whether this image is representative of the content of the page.".freeze,
      domainIncludes: "http://schema.org/ImageObject".freeze,
      label: "representativeOfPage".freeze,
      rangeIncludes: "http://schema.org/Boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :requiredCollateral,
      comment: "Assets required to secure loan or credit repayments. It may take form of third party pledge, goods, financial instruments (cash, securities, etc.)".freeze,
      domainIncludes: "http://schema.org/LoanOrCredit".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#FIBO".freeze,
      label: "requiredCollateral".freeze,
      rangeIncludes: ["http://schema.org/Text".freeze, "http://schema.org/Thing".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :requiredGender,
      comment: "Audiences defined by a person's gender.".freeze,
      domainIncludes: "http://schema.org/PeopleAudience".freeze,
      label: "requiredGender".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :requiredMaxAge,
      comment: "Audiences defined by a person's maximum age.".freeze,
      domainIncludes: "http://schema.org/PeopleAudience".freeze,
      label: "requiredMaxAge".freeze,
      rangeIncludes: "http://schema.org/Integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :requiredMinAge,
      comment: "Audiences defined by a person's minimum age.".freeze,
      domainIncludes: "http://schema.org/PeopleAudience".freeze,
      label: "requiredMinAge".freeze,
      rangeIncludes: "http://schema.org/Integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :requiredQuantity,
      comment: "The required quantity of the item(s).".freeze,
      domainIncludes: "http://schema.org/HowToItem".freeze,
      label: "requiredQuantity".freeze,
      rangeIncludes: ["http://schema.org/Number".freeze, "http://schema.org/QuantitativeValue".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :requirements,
      comment: "Component dependency requirements for application. This includes runtime environments and shared libraries that are not included in the application distribution package, but required to run the application (Examples: DirectX, Java or .NET runtime).".freeze,
      domainIncludes: "http://schema.org/SoftwareApplication".freeze,
      "http://schema.org/supersededBy": "http://schema.org/softwareRequirements".freeze,
      label: "requirements".freeze,
      rangeIncludes: ["http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :requiresSubscription,
      comment: "Indicates if use of the media require a subscription  (either paid or free). Allowed values are ```true``` or ```false``` (note that an earlier version had 'yes', 'no').".freeze,
      domainIncludes: ["http://schema.org/ActionAccessSpecification".freeze, "http://schema.org/MediaObject".freeze],
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1741".freeze,
      label: "requiresSubscription".freeze,
      rangeIncludes: ["http://schema.org/Boolean".freeze, "http://schema.org/MediaSubscription".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :reservationFor,
      comment: "The thing -- flight, event, restaurant,etc. being reserved.".freeze,
      domainIncludes: "http://schema.org/Reservation".freeze,
      label: "reservationFor".freeze,
      rangeIncludes: "http://schema.org/Thing".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :reservationId,
      comment: "A unique identifier for the reservation.".freeze,
      domainIncludes: "http://schema.org/Reservation".freeze,
      label: "reservationId".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :reservationStatus,
      comment: "The current status of the reservation.".freeze,
      domainIncludes: "http://schema.org/Reservation".freeze,
      label: "reservationStatus".freeze,
      rangeIncludes: "http://schema.org/ReservationStatusType".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :reservedTicket,
      comment: "A ticket associated with the reservation.".freeze,
      domainIncludes: "http://schema.org/Reservation".freeze,
      label: "reservedTicket".freeze,
      rangeIncludes: "http://schema.org/Ticket".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :responsibilities,
      comment: "Responsibilities associated with this role or Occupation.".freeze,
      domainIncludes: ["http://schema.org/JobPosting".freeze, "http://schema.org/Occupation".freeze],
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1698".freeze,
      label: "responsibilities".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :restPeriods,
      comment: "How often one should break from the activity.".freeze,
      domainIncludes: "http://schema.org/ExercisePlan".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "restPeriods".freeze,
      rangeIncludes: ["http://schema.org/QuantitativeValue".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :restockingFee,
      comment: "Use [[MonetaryAmount]] to specify a fixed restocking fee for product returns, or use [[Number]] to specify a percentage of the product price paid by the customer.".freeze,
      domainIncludes: "http://schema.org/MerchantReturnPolicy".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2880".freeze,
      label: "restockingFee".freeze,
      rangeIncludes: ["http://schema.org/MonetaryAmount".freeze, "http://schema.org/Number".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :result,
      comment: "The result produced in the action. e.g. John wrote *a book*.".freeze,
      domainIncludes: "http://schema.org/Action".freeze,
      label: "result".freeze,
      rangeIncludes: "http://schema.org/Thing".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :resultComment,
      comment: "A sub property of result. The Comment created or sent as a result of this action.".freeze,
      domainIncludes: ["http://schema.org/CommentAction".freeze, "http://schema.org/ReplyAction".freeze],
      label: "resultComment".freeze,
      rangeIncludes: "http://schema.org/Comment".freeze,
      subPropertyOf: "http://schema.org/result".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :resultReview,
      comment: "A sub property of result. The review that resulted in the performing of the action.".freeze,
      domainIncludes: "http://schema.org/ReviewAction".freeze,
      label: "resultReview".freeze,
      rangeIncludes: "http://schema.org/Review".freeze,
      subPropertyOf: "http://schema.org/result".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :returnFees,
      comment: "The type of return fees for purchased products (for any return reason)".freeze,
      domainIncludes: "http://schema.org/MerchantReturnPolicy".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2288".freeze,
      label: "returnFees".freeze,
      rangeIncludes: "http://schema.org/ReturnFeesEnumeration".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :returnLabelSource,
      comment: "The method (from an enumeration) by which the customer obtains a return shipping label for a product returned for any reason.".freeze,
      domainIncludes: "http://schema.org/MerchantReturnPolicy".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2880".freeze,
      label: "returnLabelSource".freeze,
      rangeIncludes: "http://schema.org/ReturnLabelSourceEnumeration".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :returnMethod,
      comment: "The type of return method offered, specified from an enumeration.".freeze,
      domainIncludes: "http://schema.org/MerchantReturnPolicy".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2880".freeze,
      label: "returnMethod".freeze,
      rangeIncludes: "http://schema.org/ReturnMethodEnumeration".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :returnPolicyCategory,
      comment: "Specifies an applicable return policy (from an enumeration).".freeze,
      domainIncludes: ["http://schema.org/MerchantReturnPolicy".freeze, "http://schema.org/MerchantReturnPolicySeasonalOverride".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2288".freeze,
      label: "returnPolicyCategory".freeze,
      rangeIncludes: "http://schema.org/MerchantReturnEnumeration".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :returnPolicyCountry,
      comment: "The country where the product has to be sent to for returns, for example \"Ireland\" using the [[name]] property of [[Country]]. You can also provide the two-letter [ISO 3166-1 alpha-2 country code](http://en.wikipedia.org/wiki/ISO_3166-1). Note that this can be different from the country where the product was originally shipped from or sent too.".freeze,
      domainIncludes: "http://schema.org/MerchantReturnPolicy".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2880".freeze,
      label: "returnPolicyCountry".freeze,
      rangeIncludes: ["http://schema.org/Country".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :returnPolicySeasonalOverride,
      comment: "Seasonal override of a return policy.".freeze,
      domainIncludes: "http://schema.org/MerchantReturnPolicy".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2880".freeze,
      label: "returnPolicySeasonalOverride".freeze,
      rangeIncludes: "http://schema.org/MerchantReturnPolicySeasonalOverride".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :returnShippingFeesAmount,
      comment: "Amount of shipping costs for product returns (for any reason). Applicable when property [[returnFees]] equals [[ReturnShippingFees]].".freeze,
      domainIncludes: "http://schema.org/MerchantReturnPolicy".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2880".freeze,
      label: "returnShippingFeesAmount".freeze,
      rangeIncludes: "http://schema.org/MonetaryAmount".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :review,
      comment: "A review of the item.".freeze,
      domainIncludes: ["http://schema.org/Brand".freeze, "http://schema.org/CreativeWork".freeze, "http://schema.org/Event".freeze, "http://schema.org/Offer".freeze, "http://schema.org/Organization".freeze, "http://schema.org/Place".freeze, "http://schema.org/Product".freeze, "http://schema.org/Service".freeze],
      label: "review".freeze,
      rangeIncludes: "http://schema.org/Review".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :reviewAspect,
      comment: "This Review or Rating is relevant to this part or facet of the itemReviewed.".freeze,
      domainIncludes: ["http://schema.org/Guide".freeze, "http://schema.org/Rating".freeze, "http://schema.org/Review".freeze],
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1689".freeze,
      label: "reviewAspect".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :reviewBody,
      comment: "The actual body of the review.".freeze,
      domainIncludes: "http://schema.org/Review".freeze,
      label: "reviewBody".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :reviewCount,
      comment: "The count of total number of reviews.".freeze,
      domainIncludes: "http://schema.org/AggregateRating".freeze,
      label: "reviewCount".freeze,
      rangeIncludes: "http://schema.org/Integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :reviewRating,
      comment: "The rating given in this review. Note that reviews can themselves be rated. The ```reviewRating``` applies to rating given by the review. The [[aggregateRating]] property applies to the review itself, as a creative work.".freeze,
      domainIncludes: "http://schema.org/Review".freeze,
      label: "reviewRating".freeze,
      rangeIncludes: "http://schema.org/Rating".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :reviewedBy,
      comment: "People or organizations that have reviewed the content on this web page for accuracy and/or completeness.".freeze,
      domainIncludes: "http://schema.org/WebPage".freeze,
      label: "reviewedBy".freeze,
      rangeIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :reviews,
      comment: "Review of the item.".freeze,
      domainIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/Offer".freeze, "http://schema.org/Organization".freeze, "http://schema.org/Place".freeze, "http://schema.org/Product".freeze],
      "http://schema.org/supersededBy": "http://schema.org/review".freeze,
      label: "reviews".freeze,
      rangeIncludes: "http://schema.org/Review".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :riskFactor,
      comment: "A modifiable or non-modifiable factor that increases the risk of a patient contracting this condition, e.g. age,  coexisting condition.".freeze,
      domainIncludes: "http://schema.org/MedicalCondition".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "riskFactor".freeze,
      rangeIncludes: "http://schema.org/MedicalRiskFactor".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :risks,
      comment: "Specific physiologic risks associated to the diet plan.".freeze,
      domainIncludes: "http://schema.org/Diet".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "risks".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :roleName,
      comment: "A role played, performed or filled by a person or organization. For example, the team of creators for a comic book might fill the roles named 'inker', 'penciller', and 'letterer'; or an athlete in a SportsTeam might play in the position named 'Quarterback'.".freeze,
      domainIncludes: "http://schema.org/Role".freeze,
      label: "roleName".freeze,
      rangeIncludes: ["http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :roofLoad,
      comment: "The permitted total weight of cargo and installations (e.g. a roof rack) on top of the vehicle.\\n\\nTypical unit code(s): KGM for kilogram, LBR for pound\\n\\n* Note 1: You can indicate additional information in the [[name]] of the [[QuantitativeValue]] node.\\n* Note 2: You may also link to a [[QualitativeValue]] node that provides additional information using [[valueReference]]\\n* Note 3: Note that you can use [[minValue]] and [[maxValue]] to indicate ranges.".freeze,
      domainIncludes: ["http://schema.org/BusOrCoach".freeze, "http://schema.org/Car".freeze],
      "http://schema.org/isPartOf": "http://auto.schema.org".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "roofLoad".freeze,
      rangeIncludes: "http://schema.org/QuantitativeValue".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :rsvpResponse,
      comment: "The response (yes, no, maybe) to the RSVP.".freeze,
      domainIncludes: "http://schema.org/RsvpAction".freeze,
      label: "rsvpResponse".freeze,
      rangeIncludes: "http://schema.org/RsvpResponseType".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :runsTo,
      comment: "The vasculature the lymphatic structure runs, or efferents, to.".freeze,
      domainIncludes: "http://schema.org/LymphaticVessel".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "runsTo".freeze,
      rangeIncludes: "http://schema.org/Vessel".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :runtime,
      comment: "Runtime platform or script interpreter dependencies (Example - Java v1, Python2.3, .Net Framework 3.0).".freeze,
      domainIncludes: "http://schema.org/SoftwareSourceCode".freeze,
      "http://schema.org/supersededBy": "http://schema.org/runtimePlatform".freeze,
      label: "runtime".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :runtimePlatform,
      comment: "Runtime platform or script interpreter dependencies (Example - Java v1, Python2.3, .Net Framework 3.0).".freeze,
      domainIncludes: "http://schema.org/SoftwareSourceCode".freeze,
      label: "runtimePlatform".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :rxcui,
      comment: "The RxCUI drug identifier from RXNORM.".freeze,
      domainIncludes: "http://schema.org/Drug".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1062".freeze,
      label: "rxcui".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :safetyConsideration,
      comment: "Any potential safety concern associated with the supplement. May include interactions with other drugs and foods, pregnancy, breastfeeding, known adverse reactions, and documented efficacy of the supplement.".freeze,
      domainIncludes: "http://schema.org/DietarySupplement".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "safetyConsideration".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :salaryCurrency,
      comment: "The currency (coded using [ISO 4217](http://en.wikipedia.org/wiki/ISO_4217) ) used for the main salary information in this job posting or for this employee.".freeze,
      domainIncludes: ["http://schema.org/EmployeeRole".freeze, "http://schema.org/JobPosting".freeze],
      label: "salaryCurrency".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :salaryUponCompletion,
      comment: "The expected salary upon completing the training.".freeze,
      domainIncludes: "http://schema.org/EducationalOccupationalProgram".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2289".freeze,
      label: "salaryUponCompletion".freeze,
      rangeIncludes: "http://schema.org/MonetaryAmountDistribution".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :sameAs,
      comment: "URL of a reference Web page that unambiguously indicates the item's identity. E.g. the URL of the item's Wikipedia page, Wikidata entry, or official website.".freeze,
      domainIncludes: "http://schema.org/Thing".freeze,
      label: "sameAs".freeze,
      rangeIncludes: "http://schema.org/URL".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :sampleType,
      comment: "What type of code sample: full (compile ready) solution, code snippet, inline code, scripts, template.".freeze,
      domainIncludes: "http://schema.org/SoftwareSourceCode".freeze,
      "http://schema.org/supersededBy": "http://schema.org/codeSampleType".freeze,
      label: "sampleType".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :saturatedFatContent,
      comment: "The number of grams of saturated fat.".freeze,
      domainIncludes: "http://schema.org/NutritionInformation".freeze,
      label: "saturatedFatContent".freeze,
      rangeIncludes: "http://schema.org/Mass".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :scheduleTimezone,
      comment: "Indicates the timezone for which the time(s) indicated in the [[Schedule]] are given. The value provided should be among those listed in the IANA Time Zone Database.".freeze,
      domainIncludes: "http://schema.org/Schedule".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1457".freeze,
      label: "scheduleTimezone".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :scheduledPaymentDate,
      comment: "The date the invoice is scheduled to be paid.".freeze,
      domainIncludes: "http://schema.org/Invoice".freeze,
      label: "scheduledPaymentDate".freeze,
      rangeIncludes: "http://schema.org/Date".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :scheduledTime,
      comment: "The time the object is scheduled to.".freeze,
      domainIncludes: "http://schema.org/PlanAction".freeze,
      label: "scheduledTime".freeze,
      rangeIncludes: "http://schema.org/DateTime".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :schemaVersion,
      comment: "Indicates (by URL or string) a particular version of a schema used in some CreativeWork. This property was created primarily to\n    indicate the use of a specific schema.org release, e.g. ```10.0``` as a simple string, or more explicitly via URL, ```http://schema.org/docs/releases.html#v10.0```. There may be situations in which other schemas might usefully be referenced this way, e.g. ```http://dublincore.org/specifications/dublin-core/dces/1999-07-02/``` but this has not been carefully explored in the community.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      label: "schemaVersion".freeze,
      rangeIncludes: ["http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :schoolClosuresInfo,
      comment: "Information about school closures.".freeze,
      domainIncludes: "http://schema.org/SpecialAnnouncement".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2490".freeze,
      label: "schoolClosuresInfo".freeze,
      rangeIncludes: ["http://schema.org/URL".freeze, "http://schema.org/WebContent".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :screenCount,
      comment: "The number of screens in the movie theater.".freeze,
      domainIncludes: "http://schema.org/MovieTheater".freeze,
      label: "screenCount".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :screenshot,
      comment: "A link to a screenshot image of the app.".freeze,
      domainIncludes: "http://schema.org/SoftwareApplication".freeze,
      label: "screenshot".freeze,
      rangeIncludes: ["http://schema.org/ImageObject".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :sdDatePublished,
      comment: "Indicates the date on which the current structured data was generated / published. Typically used alongside [[sdPublisher]]".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1886".freeze,
      label: "sdDatePublished".freeze,
      rangeIncludes: "http://schema.org/Date".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :sdLicense,
      comment: "A license document that applies to this structured data, typically indicated by URL.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1886".freeze,
      label: "sdLicense".freeze,
      rangeIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :sdPublisher,
      comment: "Indicates the party responsible for generating and publishing the current structured data markup, typically in cases where the structured data is derived automatically from existing published content but published on a different site. For example, student projects and open data initiatives often re-publish existing content with more explicitly structured metadata. The\n[[sdPublisher]] property helps make such practices more explicit.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1886".freeze,
      label: "sdPublisher".freeze,
      rangeIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :season,
      comment: "A season in a media series.".freeze,
      domainIncludes: ["http://schema.org/RadioSeries".freeze, "http://schema.org/TVSeries".freeze, "http://schema.org/VideoGameSeries".freeze],
      "http://schema.org/supersededBy": "http://schema.org/containsSeason".freeze,
      label: "season".freeze,
      rangeIncludes: ["http://schema.org/CreativeWorkSeason".freeze, "http://schema.org/URL".freeze],
      subPropertyOf: "http://schema.org/hasPart".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :seasonNumber,
      comment: "Position of the season within an ordered group of seasons.".freeze,
      domainIncludes: "http://schema.org/CreativeWorkSeason".freeze,
      label: "seasonNumber".freeze,
      rangeIncludes: ["http://schema.org/Integer".freeze, "http://schema.org/Text".freeze],
      subPropertyOf: "http://schema.org/position".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :seasons,
      comment: "A season in a media series.".freeze,
      domainIncludes: ["http://schema.org/RadioSeries".freeze, "http://schema.org/TVSeries".freeze, "http://schema.org/VideoGameSeries".freeze],
      "http://schema.org/supersededBy": "http://schema.org/season".freeze,
      label: "seasons".freeze,
      rangeIncludes: "http://schema.org/CreativeWorkSeason".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :seatNumber,
      comment: "The location of the reserved seat (e.g., 27).".freeze,
      domainIncludes: "http://schema.org/Seat".freeze,
      label: "seatNumber".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :seatRow,
      comment: "The row location of the reserved seat (e.g., B).".freeze,
      domainIncludes: "http://schema.org/Seat".freeze,
      label: "seatRow".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :seatSection,
      comment: "The section location of the reserved seat (e.g. Orchestra).".freeze,
      domainIncludes: "http://schema.org/Seat".freeze,
      label: "seatSection".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :seatingCapacity,
      comment: "The number of persons that can be seated (e.g. in a vehicle), both in terms of the physical space available, and in terms of limitations set by law.\\n\\nTypical unit code(s): C62 for persons ".freeze,
      domainIncludes: "http://schema.org/Vehicle".freeze,
      "http://schema.org/isPartOf": "http://auto.schema.org".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "seatingCapacity".freeze,
      rangeIncludes: ["http://schema.org/Number".freeze, "http://schema.org/QuantitativeValue".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :seatingType,
      comment: "The type/class of the seat.".freeze,
      domainIncludes: "http://schema.org/Seat".freeze,
      label: "seatingType".freeze,
      rangeIncludes: ["http://schema.org/QualitativeValue".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :secondaryPrevention,
      comment: "A preventative therapy used to prevent reoccurrence of the medical condition after an initial episode of the condition.".freeze,
      domainIncludes: "http://schema.org/MedicalCondition".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "secondaryPrevention".freeze,
      rangeIncludes: "http://schema.org/MedicalTherapy".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :securityClearanceRequirement,
      comment: "A description of any security clearance requirements of the job.".freeze,
      domainIncludes: "http://schema.org/JobPosting".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2384".freeze,
      label: "securityClearanceRequirement".freeze,
      rangeIncludes: ["http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :securityScreening,
      comment: "The type of security screening the passenger is subject to.".freeze,
      domainIncludes: "http://schema.org/FlightReservation".freeze,
      label: "securityScreening".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :seeks,
      comment: "A pointer to products or services sought by the organization or person (demand).".freeze,
      domainIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "seeks".freeze,
      rangeIncludes: "http://schema.org/Demand".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :seller,
      comment: "An entity which offers (sells / leases / lends / loans) the services / goods.  A seller may also be a provider.".freeze,
      domainIncludes: ["http://schema.org/BuyAction".freeze, "http://schema.org/Demand".freeze, "http://schema.org/Flight".freeze, "http://schema.org/Offer".freeze, "http://schema.org/Order".freeze],
      label: "seller".freeze,
      rangeIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      subPropertyOf: "http://schema.org/participant".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :sender,
      comment: "A sub property of participant. The participant who is at the sending end of the action.".freeze,
      domainIncludes: ["http://schema.org/Message".freeze, "http://schema.org/ReceiveAction".freeze],
      label: "sender".freeze,
      rangeIncludes: ["http://schema.org/Audience".freeze, "http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      subPropertyOf: "http://schema.org/participant".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :sensoryRequirement,
      comment: "A description of any sensory requirements and levels necessary to function on the job, including hearing and vision. Defined terms such as those in O*net may be used, but note that there is no way to specify the level of ability as well as its nature when using a defined term.".freeze,
      domainIncludes: "http://schema.org/JobPosting".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2384".freeze,
      label: "sensoryRequirement".freeze,
      rangeIncludes: ["http://schema.org/DefinedTerm".freeze, "http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :sensoryUnit,
      comment: "The neurological pathway extension that inputs and sends information to the brain or spinal cord.".freeze,
      domainIncludes: "http://schema.org/Nerve".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "sensoryUnit".freeze,
      rangeIncludes: ["http://schema.org/AnatomicalStructure".freeze, "http://schema.org/SuperficialAnatomy".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :serialNumber,
      comment: "The serial number or any alphanumeric identifier of a particular product. When attached to an offer, it is a shortcut for the serial number of the product included in the offer.".freeze,
      domainIncludes: ["http://schema.org/Demand".freeze, "http://schema.org/IndividualProduct".freeze, "http://schema.org/Offer".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "serialNumber".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      subPropertyOf: "http://schema.org/identifier".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :seriousAdverseOutcome,
      comment: "A possible serious complication and/or serious side effect of this therapy. Serious adverse outcomes include those that are life-threatening; result in death, disability, or permanent damage; require hospitalization or prolong existing hospitalization; cause congenital anomalies or birth defects; or jeopardize the patient and may require medical or surgical intervention to prevent one of the outcomes in this definition.".freeze,
      domainIncludes: ["http://schema.org/MedicalDevice".freeze, "http://schema.org/MedicalTherapy".freeze],
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "seriousAdverseOutcome".freeze,
      rangeIncludes: "http://schema.org/MedicalEntity".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :serverStatus,
      comment: "Status of a game server.".freeze,
      domainIncludes: "http://schema.org/GameServer".freeze,
      label: "serverStatus".freeze,
      rangeIncludes: "http://schema.org/GameServerStatus".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :servesCuisine,
      comment: "The cuisine of the restaurant.".freeze,
      domainIncludes: "http://schema.org/FoodEstablishment".freeze,
      label: "servesCuisine".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :serviceArea,
      comment: "The geographic area where the service is provided.".freeze,
      domainIncludes: ["http://schema.org/ContactPoint".freeze, "http://schema.org/Organization".freeze, "http://schema.org/Service".freeze],
      "http://schema.org/supersededBy": "http://schema.org/areaServed".freeze,
      label: "serviceArea".freeze,
      rangeIncludes: ["http://schema.org/AdministrativeArea".freeze, "http://schema.org/GeoShape".freeze, "http://schema.org/Place".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :serviceAudience,
      comment: "The audience eligible for this service.".freeze,
      domainIncludes: "http://schema.org/Service".freeze,
      "http://schema.org/supersededBy": "http://schema.org/audience".freeze,
      label: "serviceAudience".freeze,
      rangeIncludes: "http://schema.org/Audience".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :serviceLocation,
      comment: "The location (e.g. civic structure, local business, etc.) where a person can go to access the service.".freeze,
      domainIncludes: "http://schema.org/ServiceChannel".freeze,
      label: "serviceLocation".freeze,
      rangeIncludes: "http://schema.org/Place".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :serviceOperator,
      comment: "The operating organization, if different from the provider.  This enables the representation of services that are provided by an organization, but operated by another organization like a subcontractor.".freeze,
      domainIncludes: "http://schema.org/GovernmentService".freeze,
      label: "serviceOperator".freeze,
      rangeIncludes: "http://schema.org/Organization".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :serviceOutput,
      comment: "The tangible thing generated by the service, e.g. a passport, permit, etc.".freeze,
      domainIncludes: "http://schema.org/Service".freeze,
      label: "serviceOutput".freeze,
      rangeIncludes: "http://schema.org/Thing".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :servicePhone,
      comment: "The phone number to use to access the service.".freeze,
      domainIncludes: "http://schema.org/ServiceChannel".freeze,
      label: "servicePhone".freeze,
      rangeIncludes: "http://schema.org/ContactPoint".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :servicePostalAddress,
      comment: "The address for accessing the service by mail.".freeze,
      domainIncludes: "http://schema.org/ServiceChannel".freeze,
      label: "servicePostalAddress".freeze,
      rangeIncludes: "http://schema.org/PostalAddress".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :serviceSmsNumber,
      comment: "The number to access the service by text message.".freeze,
      domainIncludes: "http://schema.org/ServiceChannel".freeze,
      label: "serviceSmsNumber".freeze,
      rangeIncludes: "http://schema.org/ContactPoint".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :serviceType,
      comment: "The type of service being offered, e.g. veterans' benefits, emergency relief, etc.".freeze,
      domainIncludes: "http://schema.org/Service".freeze,
      label: "serviceType".freeze,
      rangeIncludes: ["http://schema.org/GovernmentBenefitsType".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :serviceUrl,
      comment: "The website to access the service.".freeze,
      domainIncludes: "http://schema.org/ServiceChannel".freeze,
      label: "serviceUrl".freeze,
      rangeIncludes: "http://schema.org/URL".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :servingSize,
      comment: "The serving size, in terms of the number of volume or mass.".freeze,
      domainIncludes: "http://schema.org/NutritionInformation".freeze,
      label: "servingSize".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :sha256,
      comment: "The [SHA-2](https://en.wikipedia.org/wiki/SHA-2) SHA256 hash of the content of the item. For example, a zero-length input has value 'e3b0c44298fc1c149afbf4c8996fb92427ae41e4649b934ca495991b7852b855'".freeze,
      domainIncludes: "http://schema.org/MediaObject".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2450".freeze,
      label: "sha256".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      subPropertyOf: "http://schema.org/description".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :sharedContent,
      comment: "A CreativeWork such as an image, video, or audio clip shared as part of this posting.".freeze,
      domainIncludes: "http://schema.org/SocialMediaPosting".freeze,
      label: "sharedContent".freeze,
      rangeIncludes: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :shippingDestination,
      comment: "indicates (possibly multiple) shipping destinations. These can be defined in several ways e.g. postalCode ranges.".freeze,
      domainIncludes: ["http://schema.org/DeliveryTimeSettings".freeze, "http://schema.org/OfferShippingDetails".freeze, "http://schema.org/ShippingRateSettings".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2506".freeze,
      label: "shippingDestination".freeze,
      rangeIncludes: "http://schema.org/DefinedRegion".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :shippingDetails,
      comment: "Indicates information about the shipping policies and options associated with an [[Offer]].".freeze,
      domainIncludes: "http://schema.org/Offer".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2506".freeze,
      label: "shippingDetails".freeze,
      rangeIncludes: "http://schema.org/OfferShippingDetails".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :shippingLabel,
      comment: "Label to match an [[OfferShippingDetails]] with a [[ShippingRateSettings]] (within the context of a [[shippingSettingsLink]] cross-reference).".freeze,
      domainIncludes: ["http://schema.org/OfferShippingDetails".freeze, "http://schema.org/ShippingRateSettings".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2506".freeze,
      label: "shippingLabel".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :shippingRate,
      comment: "The shipping rate is the cost of shipping to the specified destination. Typically, the maxValue and currency values (of the [[MonetaryAmount]]) are most appropriate.".freeze,
      domainIncludes: ["http://schema.org/OfferShippingDetails".freeze, "http://schema.org/ShippingRateSettings".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2506".freeze,
      label: "shippingRate".freeze,
      rangeIncludes: "http://schema.org/MonetaryAmount".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :shippingSettingsLink,
      comment: "Link to a page containing [[ShippingRateSettings]] and [[DeliveryTimeSettings]] details.".freeze,
      domainIncludes: "http://schema.org/OfferShippingDetails".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2506".freeze,
      label: "shippingSettingsLink".freeze,
      rangeIncludes: "http://schema.org/URL".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :sibling,
      comment: "A sibling of the person.".freeze,
      domainIncludes: "http://schema.org/Person".freeze,
      label: "sibling".freeze,
      rangeIncludes: "http://schema.org/Person".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :siblings,
      comment: "A sibling of the person.".freeze,
      domainIncludes: "http://schema.org/Person".freeze,
      "http://schema.org/supersededBy": "http://schema.org/sibling".freeze,
      label: "siblings".freeze,
      rangeIncludes: "http://schema.org/Person".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :signDetected,
      comment: "A sign detected by the test.".freeze,
      domainIncludes: "http://schema.org/MedicalTest".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "signDetected".freeze,
      rangeIncludes: "http://schema.org/MedicalSign".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :signOrSymptom,
      comment: "A sign or symptom of this condition. Signs are objective or physically observable manifestations of the medical condition while symptoms are the subjective experience of the medical condition.".freeze,
      domainIncludes: "http://schema.org/MedicalCondition".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "signOrSymptom".freeze,
      rangeIncludes: "http://schema.org/MedicalSignOrSymptom".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :significance,
      comment: "The significance associated with the superficial anatomy; as an example, how characteristics of the superficial anatomy can suggest underlying medical conditions or courses of treatment.".freeze,
      domainIncludes: "http://schema.org/SuperficialAnatomy".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "significance".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :significantLink,
      comment: "One of the more significant URLs on the page. Typically, these are the non-navigation links that are clicked on the most.".freeze,
      domainIncludes: "http://schema.org/WebPage".freeze,
      label: "significantLink".freeze,
      rangeIncludes: "http://schema.org/URL".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :significantLinks,
      comment: "The most significant URLs on the page. Typically, these are the non-navigation links that are clicked on the most.".freeze,
      domainIncludes: "http://schema.org/WebPage".freeze,
      "http://schema.org/supersededBy": "http://schema.org/significantLink".freeze,
      label: "significantLinks".freeze,
      rangeIncludes: "http://schema.org/URL".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :size,
      comment: "A standardized size of a product or creative work, specified either through a simple textual string (for example 'XL', '32Wx34L'), a  QuantitativeValue with a unitCode, or a comprehensive and structured [[SizeSpecification]]; in other cases, the [[width]], [[height]], [[depth]] and [[weight]] properties may be more applicable. ".freeze,
      domainIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/Product".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1797".freeze,
      label: "size".freeze,
      rangeIncludes: ["http://schema.org/DefinedTerm".freeze, "http://schema.org/QuantitativeValue".freeze, "http://schema.org/SizeSpecification".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :sizeGroup,
      comment: "The size group (also known as \"size type\") for a product's size. Size groups are common in the fashion industry to define size segments and suggested audiences for wearable products. Multiple values can be combined, for example \"men's big and tall\", \"petite maternity\" or \"regular\"".freeze,
      domainIncludes: "http://schema.org/SizeSpecification".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "sizeGroup".freeze,
      rangeIncludes: ["http://schema.org/SizeGroupEnumeration".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :sizeSystem,
      comment: "The size system used to identify a product's size. Typically either a standard (for example, \"GS1\" or \"ISO-EN13402\"), country code (for example \"US\" or \"JP\"), or a measuring system (for example \"Metric\" or \"Imperial\").".freeze,
      domainIncludes: "http://schema.org/SizeSpecification".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "sizeSystem".freeze,
      rangeIncludes: ["http://schema.org/SizeSystemEnumeration".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :skills,
      comment: "A statement of knowledge, skill, ability, task or any other assertion expressing a competency that is desired or required to fulfill this role or to work in this occupation.".freeze,
      domainIncludes: ["http://schema.org/JobPosting".freeze, "http://schema.org/Occupation".freeze],
      "http://schema.org/source": ["https://github.com/schemaorg/schemaorg/issues/1698".freeze, "https://github.com/schemaorg/schemaorg/issues/2322".freeze],
      label: "skills".freeze,
      rangeIncludes: ["http://schema.org/DefinedTerm".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :sku,
      comment: "The Stock Keeping Unit (SKU), i.e. a merchant-specific identifier for a product or service, or the product to which the offer refers.".freeze,
      domainIncludes: ["http://schema.org/Demand".freeze, "http://schema.org/Offer".freeze, "http://schema.org/Product".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "sku".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      subPropertyOf: "http://schema.org/identifier".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :slogan,
      comment: "A slogan or motto associated with the item.".freeze,
      domainIncludes: ["http://schema.org/Brand".freeze, "http://schema.org/Organization".freeze, "http://schema.org/Place".freeze, "http://schema.org/Product".freeze, "http://schema.org/Service".freeze],
      label: "slogan".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :smiles,
      comment: "A specification in form of a line notation for describing the structure of chemical species using short ASCII strings.  Double bond stereochemistry \\ indicators may need to be escaped in the string in formats where the backslash is an escape character.".freeze,
      domainIncludes: "http://schema.org/MolecularEntity".freeze,
      "http://purl.org/dc/terms/source": "http://www.bioschemas.org/MolecularEntity".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      label: "smiles".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      subPropertyOf: "http://schema.org/hasRepresentation".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :smokingAllowed,
      comment: "Indicates whether it is allowed to smoke in the place, e.g. in the restaurant, hotel or hotel room.".freeze,
      domainIncludes: "http://schema.org/Place".freeze,
      "http://schema.org/source": "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#STI_Accommodation_Ontology".freeze,
      label: "smokingAllowed".freeze,
      rangeIncludes: "http://schema.org/Boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :sodiumContent,
      comment: "The number of milligrams of sodium.".freeze,
      domainIncludes: "http://schema.org/NutritionInformation".freeze,
      label: "sodiumContent".freeze,
      rangeIncludes: "http://schema.org/Mass".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :softwareAddOn,
      comment: "Additional content for a software application.".freeze,
      domainIncludes: "http://schema.org/SoftwareApplication".freeze,
      label: "softwareAddOn".freeze,
      rangeIncludes: "http://schema.org/SoftwareApplication".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :softwareHelp,
      comment: "Software application help.".freeze,
      domainIncludes: "http://schema.org/SoftwareApplication".freeze,
      label: "softwareHelp".freeze,
      rangeIncludes: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :softwareRequirements,
      comment: "Component dependency requirements for application. This includes runtime environments and shared libraries that are not included in the application distribution package, but required to run the application (Examples: DirectX, Java or .NET runtime).".freeze,
      domainIncludes: "http://schema.org/SoftwareApplication".freeze,
      label: "softwareRequirements".freeze,
      rangeIncludes: ["http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :softwareVersion,
      comment: "Version of the software instance.".freeze,
      domainIncludes: "http://schema.org/SoftwareApplication".freeze,
      label: "softwareVersion".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :sourceOrganization,
      comment: "The Organization on whose behalf the creator was working.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      label: "sourceOrganization".freeze,
      rangeIncludes: "http://schema.org/Organization".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :sourcedFrom,
      comment: "The neurological pathway that originates the neurons.".freeze,
      domainIncludes: "http://schema.org/Nerve".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "sourcedFrom".freeze,
      rangeIncludes: "http://schema.org/BrainStructure".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :spatial,
      comment: "The \"spatial\" property can be used in cases when more specific properties\n(e.g. [[locationCreated]], [[spatialCoverage]], [[contentLocation]]) are not known to be appropriate.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      equivalentProperty: "http://purl.org/dc/terms/spatial".freeze,
      label: "spatial".freeze,
      rangeIncludes: "http://schema.org/Place".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :spatialCoverage,
      comment: "The spatialCoverage of a CreativeWork indicates the place(s) which are the focus of the content. It is a subproperty of\n      contentLocation intended primarily for more technical and detailed materials. For example with a Dataset, it indicates\n      areas that the dataset describes: a dataset of New York weather would have spatialCoverage which was the place: the state of New York.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      equivalentProperty: "http://purl.org/dc/terms/spatial".freeze,
      label: "spatialCoverage".freeze,
      rangeIncludes: "http://schema.org/Place".freeze,
      subPropertyOf: "http://schema.org/contentLocation".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :speakable,
      comment: "Indicates sections of a Web page that are particularly 'speakable' in the sense of being highlighted as being especially appropriate for text-to-speech conversion. Other sections of a page may also be usefully spoken in particular circumstances; the 'speakable' property serves to indicate the parts most likely to be generally useful for speech.\n\nThe *speakable* property can be repeated an arbitrary number of times, with three kinds of possible 'content-locator' values:\n\n1.) *id-value* URL references - uses *id-value* of an element in the page being annotated. The simplest use of *speakable* has (potentially relative) URL values, referencing identified sections of the document concerned.\n\n2.) CSS Selectors - addresses content in the annotated page, eg. via class attribute. Use the [[cssSelector]] property.\n\n3.)  XPaths - addresses content via XPaths (assuming an XML view of the content). Use the [[xpath]] property.\n\n\nFor more sophisticated markup of speakable sections beyond simple ID references, either CSS selectors or XPath expressions to pick out document section(s) as speakable. For this\nwe define a supporting type, [[SpeakableSpecification]]  which is defined to be a possible value of the *speakable* property.\n         ".freeze,
      domainIncludes: ["http://schema.org/Article".freeze, "http://schema.org/WebPage".freeze],
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1389".freeze,
      label: "speakable".freeze,
      rangeIncludes: ["http://schema.org/SpeakableSpecification".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :specialCommitments,
      comment: "Any special commitments associated with this job posting. Valid entries include VeteranCommit, MilitarySpouseCommit, etc.".freeze,
      domainIncludes: "http://schema.org/JobPosting".freeze,
      label: "specialCommitments".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :specialOpeningHoursSpecification,
      comment: "The special opening hours of a certain place.\\n\\nUse this to explicitly override general opening hours brought in scope by [[openingHoursSpecification]] or [[openingHours]].\n      ".freeze,
      domainIncludes: "http://schema.org/Place".freeze,
      label: "specialOpeningHoursSpecification".freeze,
      rangeIncludes: "http://schema.org/OpeningHoursSpecification".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :specialty,
      comment: "One of the domain specialities to which this web page's content applies.".freeze,
      domainIncludes: "http://schema.org/WebPage".freeze,
      label: "specialty".freeze,
      rangeIncludes: "http://schema.org/Specialty".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :speechToTextMarkup,
      comment: "Form of markup used. eg. [SSML](https://www.w3.org/TR/speech-synthesis11) or [IPA](https://www.wikidata.org/wiki/Property:P898).".freeze,
      domainIncludes: "http://schema.org/PronounceableText".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2108".freeze,
      label: "speechToTextMarkup".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :speed,
      comment: "The speed range of the vehicle. If the vehicle is powered by an engine, the upper limit of the speed range (indicated by [[maxValue]] should be the maximum speed achievable under regular conditions.\\n\\nTypical unit code(s): KMH for km/h, HM for mile per hour (0.447 04 m/s), KNT for knot\\n\\n*Note 1: Use [[minValue]] and [[maxValue]] to indicate the range. Typically, the minimal value is zero.\\n* Note 2: There are many different ways of measuring the speed range. You can link to information about how the given value has been determined using the [[valueReference]] property.".freeze,
      domainIncludes: "http://schema.org/Vehicle".freeze,
      "http://schema.org/isPartOf": "http://auto.schema.org".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "speed".freeze,
      rangeIncludes: "http://schema.org/QuantitativeValue".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :spokenByCharacter,
      comment: "The (e.g. fictional) character, Person or Organization to whom the quotation is attributed within the containing CreativeWork.".freeze,
      domainIncludes: "http://schema.org/Quotation".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/271".freeze,
      label: "spokenByCharacter".freeze,
      rangeIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :sponsor,
      comment: "A person or organization that supports a thing through a pledge, promise, or financial contribution. e.g. a sponsor of a Medical Study or a corporate sponsor of an event.".freeze,
      domainIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/Event".freeze, "http://schema.org/Grant".freeze, "http://schema.org/MedicalStudy".freeze, "http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      label: "sponsor".freeze,
      rangeIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :sport,
      comment: "A type of sport (e.g. Baseball).".freeze,
      domainIncludes: ["http://schema.org/SportsEvent".freeze, "http://schema.org/SportsOrganization".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1951".freeze,
      label: "sport".freeze,
      rangeIncludes: ["http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :sportsActivityLocation,
      comment: "A sub property of location. The sports activity location where this action occurred.".freeze,
      domainIncludes: "http://schema.org/ExerciseAction".freeze,
      label: "sportsActivityLocation".freeze,
      rangeIncludes: "http://schema.org/SportsActivityLocation".freeze,
      subPropertyOf: "http://schema.org/location".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :sportsEvent,
      comment: "A sub property of location. The sports event where this action occurred.".freeze,
      domainIncludes: "http://schema.org/ExerciseAction".freeze,
      label: "sportsEvent".freeze,
      rangeIncludes: "http://schema.org/SportsEvent".freeze,
      subPropertyOf: "http://schema.org/location".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :sportsTeam,
      comment: "A sub property of participant. The sports team that participated on this action.".freeze,
      domainIncludes: "http://schema.org/ExerciseAction".freeze,
      label: "sportsTeam".freeze,
      rangeIncludes: "http://schema.org/SportsTeam".freeze,
      subPropertyOf: "http://schema.org/participant".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :spouse,
      comment: "The person's spouse.".freeze,
      domainIncludes: "http://schema.org/Person".freeze,
      label: "spouse".freeze,
      rangeIncludes: "http://schema.org/Person".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :stage,
      comment: "The stage of the condition, if applicable.".freeze,
      domainIncludes: "http://schema.org/MedicalCondition".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "stage".freeze,
      rangeIncludes: "http://schema.org/MedicalConditionStage".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :stageAsNumber,
      comment: "The stage represented as a number, e.g. 3.".freeze,
      domainIncludes: "http://schema.org/MedicalConditionStage".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "stageAsNumber".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :starRating,
      comment: "An official rating for a lodging business or food establishment, e.g. from national associations or standards bodies. Use the author property to indicate the rating organization, e.g. as an Organization with name such as (e.g. HOTREC, DEHOGA, WHR, or Hotelstars).".freeze,
      domainIncludes: ["http://schema.org/FoodEstablishment".freeze, "http://schema.org/LodgingBusiness".freeze],
      "http://schema.org/source": "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#STI_Accommodation_Ontology".freeze,
      label: "starRating".freeze,
      rangeIncludes: "http://schema.org/Rating".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :startDate,
      comment: "The start date and time of the item (in [ISO 8601 date format](http://en.wikipedia.org/wiki/ISO_8601)).".freeze,
      domainIncludes: ["http://schema.org/CreativeWorkSeason".freeze, "http://schema.org/CreativeWorkSeries".freeze, "http://schema.org/DatedMoneySpecification".freeze, "http://schema.org/EducationalOccupationalProgram".freeze, "http://schema.org/Event".freeze, "http://schema.org/MerchantReturnPolicySeasonalOverride".freeze, "http://schema.org/Role".freeze, "http://schema.org/Schedule".freeze],
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2486".freeze,
      label: "startDate".freeze,
      rangeIncludes: ["http://schema.org/Date".freeze, "http://schema.org/DateTime".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :startOffset,
      comment: "The start time of the clip expressed as the number of seconds from the beginning of the work.".freeze,
      domainIncludes: ["http://schema.org/Clip".freeze, "http://schema.org/SeekToAction".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2021".freeze,
      label: "startOffset".freeze,
      rangeIncludes: ["http://schema.org/HyperTocEntry".freeze, "http://schema.org/Number".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :startTime,
      comment: "The startTime of something. For a reserved event or service (e.g. FoodEstablishmentReservation), the time that it is expected to start. For actions that span a period of time, when the action was performed. e.g. John wrote a book from *January* to December. For media, including audio and video, it's the time offset of the start of a clip within a larger file.\\n\\nNote that Event uses startDate/endDate instead of startTime/endTime, even when describing dates with times. This situation may be clarified in future revisions.".freeze,
      domainIncludes: ["http://schema.org/Action".freeze, "http://schema.org/FoodEstablishmentReservation".freeze, "http://schema.org/InteractionCounter".freeze, "http://schema.org/MediaObject".freeze, "http://schema.org/Schedule".freeze],
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2493".freeze,
      label: "startTime".freeze,
      rangeIncludes: ["http://schema.org/DateTime".freeze, "http://schema.org/Time".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :status,
      comment: "The status of the study (enumerated).".freeze,
      domainIncludes: ["http://schema.org/MedicalCondition".freeze, "http://schema.org/MedicalProcedure".freeze, "http://schema.org/MedicalStudy".freeze],
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "status".freeze,
      rangeIncludes: ["http://schema.org/EventStatusType".freeze, "http://schema.org/MedicalStudyStatus".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :steeringPosition,
      comment: "The position of the steering wheel or similar device (mostly for cars).".freeze,
      domainIncludes: "http://schema.org/Vehicle".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "steeringPosition".freeze,
      rangeIncludes: "http://schema.org/SteeringPositionValue".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :step,
      comment: "A single step item (as HowToStep, text, document, video, etc.) or a HowToSection.".freeze,
      domainIncludes: "http://schema.org/HowTo".freeze,
      label: "step".freeze,
      rangeIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/HowToSection".freeze, "http://schema.org/HowToStep".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :stepValue,
      comment: "The stepValue attribute indicates the granularity that is expected (and required) of the value in a PropertyValueSpecification.".freeze,
      domainIncludes: "http://schema.org/PropertyValueSpecification".freeze,
      label: "stepValue".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :steps,
      comment: "A single step item (as HowToStep, text, document, video, etc.) or a HowToSection (originally misnamed 'steps'; 'step' is preferred).".freeze,
      domainIncludes: ["http://schema.org/HowTo".freeze, "http://schema.org/HowToSection".freeze],
      "http://schema.org/supersededBy": "http://schema.org/step".freeze,
      label: "steps".freeze,
      rangeIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/ItemList".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :storageRequirements,
      comment: "Storage requirements (free space required).".freeze,
      domainIncludes: "http://schema.org/SoftwareApplication".freeze,
      label: "storageRequirements".freeze,
      rangeIncludes: ["http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :streetAddress,
      comment: "The street address. For example, 1600 Amphitheatre Pkwy.".freeze,
      domainIncludes: "http://schema.org/PostalAddress".freeze,
      label: "streetAddress".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :strengthUnit,
      comment: "The units of an active ingredient's strength, e.g. mg.".freeze,
      domainIncludes: "http://schema.org/DrugStrength".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "strengthUnit".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :strengthValue,
      comment: "The value of an active ingredient's strength, e.g. 325.".freeze,
      domainIncludes: "http://schema.org/DrugStrength".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "strengthValue".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :structuralClass,
      comment: "The name given to how bone physically connects to each other.".freeze,
      domainIncludes: "http://schema.org/Joint".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "structuralClass".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :study,
      comment: "A medical study or trial related to this entity.".freeze,
      domainIncludes: "http://schema.org/MedicalEntity".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "study".freeze,
      rangeIncludes: "http://schema.org/MedicalStudy".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :studyDesign,
      comment: "Specifics about the observational study design (enumerated).".freeze,
      domainIncludes: "http://schema.org/MedicalObservationalStudy".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "studyDesign".freeze,
      rangeIncludes: "http://schema.org/MedicalObservationalStudyDesign".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :studyLocation,
      comment: "The location in which the study is taking/took place.".freeze,
      domainIncludes: "http://schema.org/MedicalStudy".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "studyLocation".freeze,
      rangeIncludes: "http://schema.org/AdministrativeArea".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :studySubject,
      comment: "A subject of the study, i.e. one of the medical conditions, therapies, devices, drugs, etc. investigated by the study.".freeze,
      domainIncludes: "http://schema.org/MedicalStudy".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "studySubject".freeze,
      rangeIncludes: "http://schema.org/MedicalEntity".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :stupidProperty,
      comment: "This is a StupidProperty! - for testing only".freeze,
      domainIncludes: ["http://schema.org/StupidType".freeze, "http://schema.org/Vehicle".freeze],
      "http://schema.org/isPartOf": "http://attic.schema.org".freeze,
      label: "stupidProperty".freeze,
      rangeIncludes: "http://schema.org/QuantitativeValue".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :subEvent,
      comment: "An Event that is part of this event. For example, a conference event includes many presentations, each of which is a subEvent of the conference.".freeze,
      domainIncludes: "http://schema.org/Event".freeze,
      "http://schema.org/inverseOf": "http://schema.org/superEvent".freeze,
      label: "subEvent".freeze,
      rangeIncludes: "http://schema.org/Event".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :subEvents,
      comment: "Events that are a part of this event. For example, a conference event includes many presentations, each subEvents of the conference.".freeze,
      domainIncludes: "http://schema.org/Event".freeze,
      "http://schema.org/supersededBy": "http://schema.org/subEvent".freeze,
      label: "subEvents".freeze,
      rangeIncludes: "http://schema.org/Event".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :subOrganization,
      comment: "A relationship between two organizations where the first includes the second, e.g., as a subsidiary. See also: the more specific 'department' property.".freeze,
      domainIncludes: "http://schema.org/Organization".freeze,
      "http://schema.org/inverseOf": "http://schema.org/parentOrganization".freeze,
      label: "subOrganization".freeze,
      rangeIncludes: "http://schema.org/Organization".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :subReservation,
      comment: "The individual reservations included in the package. Typically a repeated property.".freeze,
      domainIncludes: "http://schema.org/ReservationPackage".freeze,
      label: "subReservation".freeze,
      rangeIncludes: "http://schema.org/Reservation".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :subStageSuffix,
      comment: "The substage, e.g. 'a' for Stage IIIa.".freeze,
      domainIncludes: "http://schema.org/MedicalConditionStage".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "subStageSuffix".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :subStructure,
      comment: "Component (sub-)structure(s) that comprise this anatomical structure.".freeze,
      domainIncludes: "http://schema.org/AnatomicalStructure".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "subStructure".freeze,
      rangeIncludes: "http://schema.org/AnatomicalStructure".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :subTest,
      comment: "A component test of the panel.".freeze,
      domainIncludes: "http://schema.org/MedicalTestPanel".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "subTest".freeze,
      rangeIncludes: "http://schema.org/MedicalTest".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :subTrip,
      comment: "Identifies a [[Trip]] that is a subTrip of this Trip.  For example Day 1, Day 2, etc. of a multi-day trip.".freeze,
      domainIncludes: "http://schema.org/Trip".freeze,
      "http://schema.org/inverseOf": "http://schema.org/partOfTrip".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Tourism".freeze, "https://github.com/schemaorg/schemaorg/issues/1810".freeze],
      label: "subTrip".freeze,
      rangeIncludes: "http://schema.org/Trip".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :subjectOf,
      comment: "A CreativeWork or Event about this Thing.".freeze,
      domainIncludes: "http://schema.org/Thing".freeze,
      "http://schema.org/inverseOf": "http://schema.org/about".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1670".freeze,
      label: "subjectOf".freeze,
      rangeIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/Event".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :subtitleLanguage,
      comment: "Languages in which subtitles/captions are available, in [IETF BCP 47 standard format](http://tools.ietf.org/html/bcp47).".freeze,
      domainIncludes: ["http://schema.org/BroadcastEvent".freeze, "http://schema.org/Movie".freeze, "http://schema.org/ScreeningEvent".freeze, "http://schema.org/TVEpisode".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2110".freeze,
      label: "subtitleLanguage".freeze,
      rangeIncludes: ["http://schema.org/Language".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :successorOf,
      comment: "A pointer from a newer variant of a product  to its previous, often discontinued predecessor.".freeze,
      domainIncludes: "http://schema.org/ProductModel".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "successorOf".freeze,
      rangeIncludes: "http://schema.org/ProductModel".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :sugarContent,
      comment: "The number of grams of sugar.".freeze,
      domainIncludes: "http://schema.org/NutritionInformation".freeze,
      label: "sugarContent".freeze,
      rangeIncludes: "http://schema.org/Mass".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :suggestedAge,
      comment: "The age or age range for the intended audience or person, for example 3-12 months for infants, 1-5 years for toddlers.".freeze,
      domainIncludes: ["http://schema.org/PeopleAudience".freeze, "http://schema.org/SizeSpecification".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "suggestedAge".freeze,
      rangeIncludes: "http://schema.org/QuantitativeValue".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :suggestedAnswer,
      comment: "An answer (possibly one of several, possibly incorrect) to a Question, e.g. on a Question/Answer site.".freeze,
      domainIncludes: "http://schema.org/Question".freeze,
      label: "suggestedAnswer".freeze,
      rangeIncludes: ["http://schema.org/Answer".freeze, "http://schema.org/ItemList".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :suggestedGender,
      comment: "The suggested gender of the intended person or audience, for example \"male\", \"female\", or \"unisex\".".freeze,
      domainIncludes: ["http://schema.org/PeopleAudience".freeze, "http://schema.org/SizeSpecification".freeze],
      label: "suggestedGender".freeze,
      rangeIncludes: ["http://schema.org/GenderType".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :suggestedMaxAge,
      comment: "Maximum recommended age in years for the audience or user.".freeze,
      domainIncludes: "http://schema.org/PeopleAudience".freeze,
      label: "suggestedMaxAge".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :suggestedMeasurement,
      comment: "A suggested range of body measurements for the intended audience or person, for example inseam between 32 and 34 inches or height between 170 and 190 cm. Typically found on a size chart for wearable products.".freeze,
      domainIncludes: ["http://schema.org/PeopleAudience".freeze, "http://schema.org/SizeSpecification".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "suggestedMeasurement".freeze,
      rangeIncludes: "http://schema.org/QuantitativeValue".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :suggestedMinAge,
      comment: "Minimum recommended age in years for the audience or user.".freeze,
      domainIncludes: "http://schema.org/PeopleAudience".freeze,
      label: "suggestedMinAge".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :suitableForDiet,
      comment: "Indicates a dietary restriction or guideline for which this recipe or menu item is suitable, e.g. diabetic, halal etc.".freeze,
      domainIncludes: ["http://schema.org/MenuItem".freeze, "http://schema.org/Recipe".freeze],
      label: "suitableForDiet".freeze,
      rangeIncludes: "http://schema.org/RestrictedDiet".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :superEvent,
      comment: "An event that this event is a part of. For example, a collection of individual music performances might each have a music festival as their superEvent.".freeze,
      domainIncludes: "http://schema.org/Event".freeze,
      "http://schema.org/inverseOf": "http://schema.org/subEvent".freeze,
      label: "superEvent".freeze,
      rangeIncludes: "http://schema.org/Event".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :supersededBy,
      comment: "Relates a term (i.e. a property, class or enumeration) to one that supersedes it.".freeze,
      domainIncludes: ["http://schema.org/Class".freeze, "http://schema.org/Enumeration".freeze, "http://schema.org/Property".freeze],
      "http://schema.org/isPartOf": "http://meta.schema.org".freeze,
      label: "supersededBy".freeze,
      rangeIncludes: ["http://schema.org/Class".freeze, "http://schema.org/Enumeration".freeze, "http://schema.org/Property".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :supply,
      comment: "A sub-property of instrument. A supply consumed when performing instructions or a direction.".freeze,
      domainIncludes: ["http://schema.org/HowTo".freeze, "http://schema.org/HowToDirection".freeze],
      label: "supply".freeze,
      rangeIncludes: ["http://schema.org/HowToSupply".freeze, "http://schema.org/Text".freeze],
      subPropertyOf: "http://schema.org/instrument".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :supplyTo,
      comment: "The area to which the artery supplies blood.".freeze,
      domainIncludes: "http://schema.org/Artery".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "supplyTo".freeze,
      rangeIncludes: "http://schema.org/AnatomicalStructure".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :supportingData,
      comment: "Supporting data for a SoftwareApplication.".freeze,
      domainIncludes: "http://schema.org/SoftwareApplication".freeze,
      label: "supportingData".freeze,
      rangeIncludes: "http://schema.org/DataFeed".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :surface,
      comment: "A material used as a surface in some artwork, e.g. Canvas, Paper, Wood, Board, etc.".freeze,
      domainIncludes: "http://schema.org/VisualArtwork".freeze,
      "http://schema.org/supersededBy": "http://schema.org/artworkSurface".freeze,
      label: "surface".freeze,
      rangeIncludes: ["http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      subPropertyOf: "http://schema.org/material".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :target,
      comment: "Indicates a target EntryPoint for an Action.".freeze,
      domainIncludes: "http://schema.org/Action".freeze,
      label: "target".freeze,
      rangeIncludes: "http://schema.org/EntryPoint".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :targetCollection,
      comment: "A sub property of object. The collection target of the action.".freeze,
      domainIncludes: "http://schema.org/UpdateAction".freeze,
      label: "targetCollection".freeze,
      rangeIncludes: "http://schema.org/Thing".freeze,
      subPropertyOf: "http://schema.org/object".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :targetDescription,
      comment: "The description of a node in an established educational framework.".freeze,
      domainIncludes: "http://schema.org/AlignmentObject".freeze,
      label: "targetDescription".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :targetName,
      comment: "The name of a node in an established educational framework.".freeze,
      domainIncludes: "http://schema.org/AlignmentObject".freeze,
      label: "targetName".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :targetPlatform,
      comment: "Type of app development: phone, Metro style, desktop, XBox, etc.".freeze,
      domainIncludes: "http://schema.org/APIReference".freeze,
      label: "targetPlatform".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :targetPopulation,
      comment: "Characteristics of the population for which this is intended, or which typically uses it, e.g. 'adults'.".freeze,
      domainIncludes: ["http://schema.org/DietarySupplement".freeze, "http://schema.org/DoseSchedule".freeze],
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "targetPopulation".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :targetProduct,
      comment: "Target Operating System / Product to which the code applies.  If applies to several versions, just the product name can be used.".freeze,
      domainIncludes: "http://schema.org/SoftwareSourceCode".freeze,
      label: "targetProduct".freeze,
      rangeIncludes: "http://schema.org/SoftwareApplication".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :targetUrl,
      comment: "The URL of a node in an established educational framework.".freeze,
      domainIncludes: "http://schema.org/AlignmentObject".freeze,
      label: "targetUrl".freeze,
      rangeIncludes: "http://schema.org/URL".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :taxID,
      comment: "The Tax / Fiscal ID of the organization or person, e.g. the TIN in the US or the CIF/NIF in Spain.".freeze,
      domainIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "taxID".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      subPropertyOf: "http://schema.org/identifier".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :taxonRank,
      comment: "The taxonomic rank of this taxon given preferably as a URI from a controlled vocabulary – (typically the ranks from TDWG TaxonRank ontology or equivalent Wikidata URIs).".freeze,
      domainIncludes: "http://schema.org/Taxon".freeze,
      "http://purl.org/dc/terms/source": "http://www.bioschemas.org/Taxon".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      label: "taxonRank".freeze,
      rangeIncludes: ["http://schema.org/PropertyValue".freeze, "http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :taxonomicRange,
      comment: "The taxonomic grouping of the organism that expresses, encodes, or in someway related to the BioChemEntity.".freeze,
      domainIncludes: "http://schema.org/BioChemEntity".freeze,
      "http://purl.org/dc/terms/source": "http://www.bioschemas.org".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      label: "taxonomicRange".freeze,
      rangeIncludes: ["http://schema.org/DefinedTerm".freeze, "http://schema.org/Taxon".freeze, "http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :teaches,
      comment: "The item being described is intended to help a person learn the competency or learning outcome defined by the referenced term.".freeze,
      domainIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/EducationEvent".freeze, "http://schema.org/LearningResource".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2427".freeze,
      label: "teaches".freeze,
      rangeIncludes: ["http://schema.org/DefinedTerm".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :telephone,
      comment: "The telephone number.".freeze,
      domainIncludes: ["http://schema.org/ContactPoint".freeze, "http://schema.org/Organization".freeze, "http://schema.org/Person".freeze, "http://schema.org/Place".freeze],
      label: "telephone".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :temporal,
      comment: "The \"temporal\" property can be used in cases where more specific properties\n(e.g. [[temporalCoverage]], [[dateCreated]], [[dateModified]], [[datePublished]]) are not known to be appropriate.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      label: "temporal".freeze,
      rangeIncludes: ["http://schema.org/DateTime".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :temporalCoverage,
      comment: "The temporalCoverage of a CreativeWork indicates the period that the content applies to, i.e. that it describes, either as a DateTime or as a textual string indicating a time period in [ISO 8601 time interval format](https://en.wikipedia.org/wiki/ISO_8601#Time_intervals). In\n      the case of a Dataset it will typically indicate the relevant time period in a precise notation (e.g. for a 2011 census dataset, the year 2011 would be written \"2011/2012\"). Other forms of content e.g. ScholarlyArticle, Book, TVSeries or TVEpisode may indicate their temporalCoverage in broader terms - textually or via well-known URL.\n      Written works such as books may sometimes have precise temporal coverage too, e.g. a work set in 1939 - 1945 can be indicated in ISO 8601 interval format format via \"1939/1945\".\n\nOpen-ended date ranges can be written with \"..\" in place of the end date. For example, \"2015-11/..\" indicates a range beginning in November 2015 and with no specified final date. This is tentative and might be updated in future when ISO 8601 is officially updated.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      equivalentProperty: "http://purl.org/dc/terms/temporal".freeze,
      label: "temporalCoverage".freeze,
      rangeIncludes: ["http://schema.org/DateTime".freeze, "http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :termCode,
      comment: "A code that identifies this [[DefinedTerm]] within a [[DefinedTermSet]]".freeze,
      domainIncludes: "http://schema.org/DefinedTerm".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/894".freeze,
      label: "termCode".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :termDuration,
      comment: "The amount of time in a term as defined by the institution. A term is a length of time where students take one or more classes. Semesters and quarters are common units for term.".freeze,
      domainIncludes: "http://schema.org/EducationalOccupationalProgram".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2419".freeze,
      label: "termDuration".freeze,
      rangeIncludes: "http://schema.org/Duration".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :termsOfService,
      comment: "Human-readable terms of service documentation.".freeze,
      domainIncludes: "http://schema.org/Service".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1423".freeze,
      label: "termsOfService".freeze,
      rangeIncludes: ["http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :termsPerYear,
      comment: "The number of times terms of study are offered per year. Semesters and quarters are common units for term. For example, if the student can only take 2 semesters for the program in one year, then termsPerYear should be 2.".freeze,
      domainIncludes: "http://schema.org/EducationalOccupationalProgram".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2419".freeze,
      label: "termsPerYear".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :text,
      comment: "The textual content of this CreativeWork.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      label: "text".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :textValue,
      comment: "Text value being annotated.".freeze,
      domainIncludes: "http://schema.org/PronounceableText".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2108".freeze,
      label: "textValue".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :thumbnail,
      comment: "Thumbnail image for an image or video.".freeze,
      domainIncludes: ["http://schema.org/ImageObject".freeze, "http://schema.org/VideoObject".freeze],
      label: "thumbnail".freeze,
      rangeIncludes: "http://schema.org/ImageObject".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :thumbnailUrl,
      comment: "A thumbnail image relevant to the Thing.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      label: "thumbnailUrl".freeze,
      rangeIncludes: "http://schema.org/URL".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :tickerSymbol,
      comment: "The exchange traded instrument associated with a Corporation object. The tickerSymbol is expressed as an exchange and an instrument name separated by a space character. For the exchange component of the tickerSymbol attribute, we recommend using the controlled vocabulary of Market Identifier Codes (MIC) specified in ISO15022.".freeze,
      domainIncludes: "http://schema.org/Corporation".freeze,
      label: "tickerSymbol".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :ticketNumber,
      comment: "The unique identifier for the ticket.".freeze,
      domainIncludes: "http://schema.org/Ticket".freeze,
      label: "ticketNumber".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :ticketToken,
      comment: "Reference to an asset (e.g., Barcode, QR code image or PDF) usable for entrance.".freeze,
      domainIncludes: "http://schema.org/Ticket".freeze,
      label: "ticketToken".freeze,
      rangeIncludes: ["http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :ticketedSeat,
      comment: "The seat associated with the ticket.".freeze,
      domainIncludes: "http://schema.org/Ticket".freeze,
      label: "ticketedSeat".freeze,
      rangeIncludes: "http://schema.org/Seat".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :timeOfDay,
      comment: "The time of day the program normally runs. For example, \"evenings\".".freeze,
      domainIncludes: "http://schema.org/EducationalOccupationalProgram".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2419".freeze,
      label: "timeOfDay".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :timeRequired,
      comment: "Approximate or typical time it takes to work with or through this learning resource for the typical intended target audience, e.g. 'PT30M', 'PT1H25M'.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      label: "timeRequired".freeze,
      rangeIncludes: "http://schema.org/Duration".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :timeToComplete,
      comment: "The expected length of time to complete the program if attending full-time.".freeze,
      domainIncludes: "http://schema.org/EducationalOccupationalProgram".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2289".freeze,
      label: "timeToComplete".freeze,
      rangeIncludes: "http://schema.org/Duration".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :tissueSample,
      comment: "The type of tissue sample required for the test.".freeze,
      domainIncludes: "http://schema.org/PathologyTest".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "tissueSample".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :title,
      comment: "The title of the job.".freeze,
      domainIncludes: "http://schema.org/JobPosting".freeze,
      label: "title".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :titleEIDR,
      comment: "An [EIDR](https://eidr.org/) (Entertainment Identifier Registry) [[identifier]] representing at the most general/abstract level, a work of film or television.\n\nFor example, the motion picture known as \"Ghostbusters\" has a titleEIDR of  \"10.5240/7EC7-228A-510A-053E-CBB8-J\". This title (or work) may have several variants, which EIDR calls \"edits\". See [[editEIDR]].\n\nSince schema.org types like [[Movie]] and [[TVEpisode]] can be used for both works and their multiple expressions, it is possible to use [[titleEIDR]] alone (for a general description), or alongside [[editEIDR]] for a more edit-specific description.\n".freeze,
      domainIncludes: ["http://schema.org/Movie".freeze, "http://schema.org/TVEpisode".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2469".freeze,
      label: "titleEIDR".freeze,
      rangeIncludes: ["http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      subPropertyOf: "http://schema.org/identifier".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :toLocation,
      comment: "A sub property of location. The final location of the object or the agent after the action.".freeze,
      domainIncludes: ["http://schema.org/ExerciseAction".freeze, "http://schema.org/InsertAction".freeze, "http://schema.org/MoveAction".freeze, "http://schema.org/TransferAction".freeze],
      label: "toLocation".freeze,
      rangeIncludes: "http://schema.org/Place".freeze,
      subPropertyOf: "http://schema.org/location".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :toRecipient,
      comment: "A sub property of recipient. The recipient who was directly sent the message.".freeze,
      domainIncludes: "http://schema.org/Message".freeze,
      label: "toRecipient".freeze,
      rangeIncludes: ["http://schema.org/Audience".freeze, "http://schema.org/ContactPoint".freeze, "http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      subPropertyOf: "http://schema.org/recipient".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :tocContinuation,
      comment: "A [[HyperTocEntry]] can have a [[tocContinuation]] indicated, which is another [[HyperTocEntry]] that would be the default next item to play or render.".freeze,
      domainIncludes: "http://schema.org/HyperTocEntry".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2766".freeze,
      label: "tocContinuation".freeze,
      rangeIncludes: "http://schema.org/HyperTocEntry".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :tocEntry,
      comment: "Indicates a [[HyperTocEntry]] in a [[HyperToc]].".freeze,
      domainIncludes: "http://schema.org/HyperToc".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2766".freeze,
      label: "tocEntry".freeze,
      rangeIncludes: "http://schema.org/HyperTocEntry".freeze,
      subPropertyOf: "http://schema.org/hasPart".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :tongueWeight,
      comment: "The permitted vertical load (TWR) of a trailer attached to the vehicle. Also referred to as Tongue Load Rating (TLR) or Vertical Load Rating (VLR)\\n\\nTypical unit code(s): KGM for kilogram, LBR for pound\\n\\n* Note 1: You can indicate additional information in the [[name]] of the [[QuantitativeValue]] node.\\n* Note 2: You may also link to a [[QualitativeValue]] node that provides additional information using [[valueReference]].\\n* Note 3: Note that you can use [[minValue]] and [[maxValue]] to indicate ranges.".freeze,
      domainIncludes: "http://schema.org/Vehicle".freeze,
      "http://schema.org/isPartOf": "http://auto.schema.org".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "tongueWeight".freeze,
      rangeIncludes: "http://schema.org/QuantitativeValue".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :tool,
      comment: "A sub property of instrument. An object used (but not consumed) when performing instructions or a direction.".freeze,
      domainIncludes: ["http://schema.org/HowTo".freeze, "http://schema.org/HowToDirection".freeze],
      label: "tool".freeze,
      rangeIncludes: ["http://schema.org/HowToTool".freeze, "http://schema.org/Text".freeze],
      subPropertyOf: "http://schema.org/instrument".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :torque,
      comment: "The torque (turning force) of the vehicle's engine.\\n\\nTypical unit code(s): NU for newton metre (N m), F17 for pound-force per foot, or F48 for pound-force per inch\\n\\n* Note 1: You can link to information about how the given value has been determined (e.g. reference RPM) using the [[valueReference]] property.\\n* Note 2: You can use [[minValue]] and [[maxValue]] to indicate ranges.".freeze,
      domainIncludes: "http://schema.org/EngineSpecification".freeze,
      "http://schema.org/isPartOf": "http://auto.schema.org".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "torque".freeze,
      rangeIncludes: "http://schema.org/QuantitativeValue".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :totalJobOpenings,
      comment: "The number of positions open for this job posting. Use a positive integer. Do not use if the number of positions is unclear or not known.".freeze,
      domainIncludes: "http://schema.org/JobPosting".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2329".freeze,
      label: "totalJobOpenings".freeze,
      rangeIncludes: "http://schema.org/Integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :totalPaymentDue,
      comment: "The total amount due.".freeze,
      domainIncludes: "http://schema.org/Invoice".freeze,
      label: "totalPaymentDue".freeze,
      rangeIncludes: ["http://schema.org/MonetaryAmount".freeze, "http://schema.org/PriceSpecification".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :totalPrice,
      comment: "The total price for the reservation or ticket, including applicable taxes, shipping, etc.\\n\\nUsage guidelines:\\n\\n* Use values from 0123456789 (Unicode 'DIGIT ZERO' (U+0030) to 'DIGIT NINE' (U+0039)) rather than superficially similiar Unicode symbols.\\n* Use '.' (Unicode 'FULL STOP' (U+002E)) rather than ',' to indicate a decimal point. Avoid using these symbols as a readability separator.".freeze,
      domainIncludes: ["http://schema.org/Reservation".freeze, "http://schema.org/Ticket".freeze],
      label: "totalPrice".freeze,
      rangeIncludes: ["http://schema.org/Number".freeze, "http://schema.org/PriceSpecification".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :totalTime,
      comment: "The total time required to perform instructions or a direction (including time to prepare the supplies), in [ISO 8601 duration format](http://en.wikipedia.org/wiki/ISO_8601).".freeze,
      domainIncludes: ["http://schema.org/HowTo".freeze, "http://schema.org/HowToDirection".freeze],
      label: "totalTime".freeze,
      rangeIncludes: "http://schema.org/Duration".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :tourBookingPage,
      comment: "A page providing information on how to book a tour of some [[Place]], such as an [[Accommodation]] or [[ApartmentComplex]] in a real estate setting, as well as other kinds of tours as appropriate.".freeze,
      domainIncludes: ["http://schema.org/Accommodation".freeze, "http://schema.org/ApartmentComplex".freeze, "http://schema.org/Place".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2373".freeze,
      label: "tourBookingPage".freeze,
      rangeIncludes: "http://schema.org/URL".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :touristType,
      comment: "Attraction suitable for type(s) of tourist. eg. Children, visitors from a particular country, etc. ".freeze,
      domainIncludes: ["http://schema.org/TouristAttraction".freeze, "http://schema.org/TouristDestination".freeze, "http://schema.org/TouristTrip".freeze],
      "http://schema.org/source": ["http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#IIT-CNR.it".freeze, "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Tourism".freeze],
      label: "touristType".freeze,
      rangeIncludes: ["http://schema.org/Audience".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :track,
      comment: "A music recording (track)&#x2014;usually a single song. If an ItemList is given, the list should contain items of type MusicRecording.".freeze,
      domainIncludes: ["http://schema.org/MusicGroup".freeze, "http://schema.org/MusicPlaylist".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#MBZ".freeze,
      label: "track".freeze,
      rangeIncludes: ["http://schema.org/ItemList".freeze, "http://schema.org/MusicRecording".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :trackingNumber,
      comment: "Shipper tracking number.".freeze,
      domainIncludes: "http://schema.org/ParcelDelivery".freeze,
      label: "trackingNumber".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :trackingUrl,
      comment: "Tracking url for the parcel delivery.".freeze,
      domainIncludes: "http://schema.org/ParcelDelivery".freeze,
      label: "trackingUrl".freeze,
      rangeIncludes: "http://schema.org/URL".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :tracks,
      comment: "A music recording (track)&#x2014;usually a single song.".freeze,
      domainIncludes: ["http://schema.org/MusicGroup".freeze, "http://schema.org/MusicPlaylist".freeze],
      "http://schema.org/supersededBy": "http://schema.org/track".freeze,
      label: "tracks".freeze,
      rangeIncludes: "http://schema.org/MusicRecording".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :trailer,
      comment: "The trailer of a movie or tv/radio series, season, episode, etc.".freeze,
      domainIncludes: ["http://schema.org/CreativeWorkSeason".freeze, "http://schema.org/Episode".freeze, "http://schema.org/Movie".freeze, "http://schema.org/MovieSeries".freeze, "http://schema.org/RadioSeries".freeze, "http://schema.org/TVSeries".freeze, "http://schema.org/VideoGame".freeze, "http://schema.org/VideoGameSeries".freeze],
      label: "trailer".freeze,
      rangeIncludes: "http://schema.org/VideoObject".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :trailerWeight,
      comment: "The permitted weight of a trailer attached to the vehicle.\\n\\nTypical unit code(s): KGM for kilogram, LBR for pound\\n* Note 1: You can indicate additional information in the [[name]] of the [[QuantitativeValue]] node.\\n* Note 2: You may also link to a [[QualitativeValue]] node that provides additional information using [[valueReference]].\\n* Note 3: Note that you can use [[minValue]] and [[maxValue]] to indicate ranges.".freeze,
      domainIncludes: "http://schema.org/Vehicle".freeze,
      "http://schema.org/isPartOf": "http://auto.schema.org".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "trailerWeight".freeze,
      rangeIncludes: "http://schema.org/QuantitativeValue".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :trainName,
      comment: "The name of the train (e.g. The Orient Express).".freeze,
      domainIncludes: "http://schema.org/TrainTrip".freeze,
      label: "trainName".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :trainNumber,
      comment: "The unique identifier for the train.".freeze,
      domainIncludes: "http://schema.org/TrainTrip".freeze,
      label: "trainNumber".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :trainingSalary,
      comment: "The estimated salary earned while in the program.".freeze,
      domainIncludes: ["http://schema.org/EducationalOccupationalProgram".freeze, "http://schema.org/WorkBasedProgram".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["https://github.com/schemaorg/schemaorg/issues/2289".freeze, "https://github.com/schemaorg/schemaorg/issues/2460".freeze],
      label: "trainingSalary".freeze,
      rangeIncludes: "http://schema.org/MonetaryAmountDistribution".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :transFatContent,
      comment: "The number of grams of trans fat.".freeze,
      domainIncludes: "http://schema.org/NutritionInformation".freeze,
      label: "transFatContent".freeze,
      rangeIncludes: "http://schema.org/Mass".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :transcript,
      comment: "If this MediaObject is an AudioObject or VideoObject, the transcript of that object.".freeze,
      domainIncludes: ["http://schema.org/AudioObject".freeze, "http://schema.org/VideoObject".freeze],
      label: "transcript".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :transitTime,
      comment: "The typical delay the order has been sent for delivery and the goods reach the final customer. Typical properties: minValue, maxValue, unitCode (d for DAY).".freeze,
      domainIncludes: "http://schema.org/ShippingDeliveryTime".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2506".freeze,
      label: "transitTime".freeze,
      rangeIncludes: "http://schema.org/QuantitativeValue".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :transitTimeLabel,
      comment: "Label to match an [[OfferShippingDetails]] with a [[DeliveryTimeSettings]] (within the context of a [[shippingSettingsLink]] cross-reference).".freeze,
      domainIncludes: ["http://schema.org/DeliveryTimeSettings".freeze, "http://schema.org/OfferShippingDetails".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2506".freeze,
      label: "transitTimeLabel".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :translationOfWork,
      comment: "The work that this work has been translated from. e.g. 物种起源 is a translationOf “On the Origin of Species”".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      "http://schema.org/inverseOf": "http://schema.org/workTranslation".freeze,
      "http://schema.org/isPartOf": "http://bib.schema.org".freeze,
      label: "translationOfWork".freeze,
      rangeIncludes: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :translator,
      comment: "Organization or person who adapts a creative work to different languages, regional differences and technical requirements of a target market, or that translates during some event.".freeze,
      domainIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/Event".freeze],
      label: "translator".freeze,
      rangeIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :transmissionMethod,
      comment: "How the disease spreads, either as a route or vector, for example 'direct contact', 'Aedes aegypti', etc.".freeze,
      domainIncludes: "http://schema.org/InfectiousDisease".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "transmissionMethod".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :travelBans,
      comment: "Information about travel bans, e.g. in the context of a pandemic.".freeze,
      domainIncludes: "http://schema.org/SpecialAnnouncement".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2490".freeze,
      label: "travelBans".freeze,
      rangeIncludes: ["http://schema.org/URL".freeze, "http://schema.org/WebContent".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :trialDesign,
      comment: "Specifics about the trial design (enumerated).".freeze,
      domainIncludes: "http://schema.org/MedicalTrial".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "trialDesign".freeze,
      rangeIncludes: "http://schema.org/MedicalTrialDesign".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :tributary,
      comment: "The anatomical or organ system that the vein flows into; a larger structure that the vein connects to.".freeze,
      domainIncludes: "http://schema.org/Vein".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "tributary".freeze,
      rangeIncludes: "http://schema.org/AnatomicalStructure".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :typeOfBed,
      comment: "The type of bed to which the BedDetail refers, i.e. the type of bed available in the quantity indicated by quantity.".freeze,
      domainIncludes: "http://schema.org/BedDetails".freeze,
      "http://schema.org/source": "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#STI_Accommodation_Ontology".freeze,
      label: "typeOfBed".freeze,
      rangeIncludes: ["http://schema.org/BedType".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :typeOfGood,
      comment: "The product that this structured value is referring to.".freeze,
      domainIncludes: ["http://schema.org/OwnershipInfo".freeze, "http://schema.org/TypeAndQuantityNode".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "typeOfGood".freeze,
      rangeIncludes: ["http://schema.org/Product".freeze, "http://schema.org/Service".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :typicalAgeRange,
      comment: "The typical expected age range, e.g. '7-9', '11-'.".freeze,
      domainIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/Event".freeze],
      label: "typicalAgeRange".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :typicalCreditsPerTerm,
      comment: "The number of credits or units a full-time student would be expected to take in 1 term however 'term' is defined by the institution.".freeze,
      domainIncludes: "http://schema.org/EducationalOccupationalProgram".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2419".freeze,
      label: "typicalCreditsPerTerm".freeze,
      rangeIncludes: ["http://schema.org/Integer".freeze, "http://schema.org/StructuredValue".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :typicalTest,
      comment: "A medical test typically performed given this condition.".freeze,
      domainIncludes: "http://schema.org/MedicalCondition".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "typicalTest".freeze,
      rangeIncludes: "http://schema.org/MedicalTest".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :underName,
      comment: "The person or organization the reservation or ticket is for.".freeze,
      domainIncludes: ["http://schema.org/Reservation".freeze, "http://schema.org/Ticket".freeze],
      label: "underName".freeze,
      rangeIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :unitCode,
      comment: "The unit of measurement given using the UN/CEFACT Common Code (3 characters) or a URL. Other codes than the UN/CEFACT Common Code may be used with a prefix followed by a colon.".freeze,
      domainIncludes: ["http://schema.org/PropertyValue".freeze, "http://schema.org/QuantitativeValue".freeze, "http://schema.org/TypeAndQuantityNode".freeze, "http://schema.org/UnitPriceSpecification".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "unitCode".freeze,
      rangeIncludes: ["http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :unitText,
      comment: "A string or text indicating the unit of measurement. Useful if you cannot provide a standard unit code for\n<a href='unitCode'>unitCode</a>.".freeze,
      domainIncludes: ["http://schema.org/PropertyValue".freeze, "http://schema.org/QuantitativeValue".freeze, "http://schema.org/TypeAndQuantityNode".freeze, "http://schema.org/UnitPriceSpecification".freeze],
      label: "unitText".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :unnamedSourcesPolicy,
      comment: "For an [[Organization]] (typically a [[NewsMediaOrganization]]), a statement about policy on use of unnamed sources and the decision process required.".freeze,
      domainIncludes: ["http://schema.org/NewsMediaOrganization".freeze, "http://schema.org/Organization".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["https://github.com/schemaorg/schemaorg/issues/1525".freeze, "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#TP".freeze],
      label: "unnamedSourcesPolicy".freeze,
      rangeIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/URL".freeze],
      subPropertyOf: "http://schema.org/publishingPrinciples".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :unsaturatedFatContent,
      comment: "The number of grams of unsaturated fat.".freeze,
      domainIncludes: "http://schema.org/NutritionInformation".freeze,
      label: "unsaturatedFatContent".freeze,
      rangeIncludes: "http://schema.org/Mass".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :uploadDate,
      comment: "Date when this media object was uploaded to this site.".freeze,
      domainIncludes: "http://schema.org/MediaObject".freeze,
      label: "uploadDate".freeze,
      rangeIncludes: "http://schema.org/Date".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :upvoteCount,
      comment: "The number of upvotes this question, answer or comment has received from the community.".freeze,
      domainIncludes: "http://schema.org/Comment".freeze,
      label: "upvoteCount".freeze,
      rangeIncludes: "http://schema.org/Integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :url,
      comment: "URL of the item.".freeze,
      domainIncludes: "http://schema.org/Thing".freeze,
      label: "url".freeze,
      rangeIncludes: "http://schema.org/URL".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :urlTemplate,
      comment: "An url template (RFC6570) that will be used to construct the target of the execution of the action.".freeze,
      domainIncludes: "http://schema.org/EntryPoint".freeze,
      label: "urlTemplate".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :usageInfo,
      comment: "The schema.org [[usageInfo]] property indicates further information about a [[CreativeWork]]. This property is applicable both to works that are freely available and to those that require payment or other transactions. It can reference additional information e.g. community expectations on preferred linking and citation conventions, as well as purchasing details. For something that can be commercially licensed, usageInfo can provide detailed, resource-specific information about licensing options.\n\nThis property can be used alongside the license property which indicates license(s) applicable to some piece of content. The usageInfo property can provide information about other licensing options, e.g. acquiring commercial usage rights for an image that is also available under non-commercial creative commons licenses.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2454".freeze,
      label: "usageInfo".freeze,
      rangeIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :usedToDiagnose,
      comment: "A condition the test is used to diagnose.".freeze,
      domainIncludes: "http://schema.org/MedicalTest".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "usedToDiagnose".freeze,
      rangeIncludes: "http://schema.org/MedicalCondition".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :userInteractionCount,
      comment: "The number of interactions for the CreativeWork using the WebSite or SoftwareApplication.".freeze,
      domainIncludes: "http://schema.org/InteractionCounter".freeze,
      label: "userInteractionCount".freeze,
      rangeIncludes: "http://schema.org/Integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :usesDevice,
      comment: "Device used to perform the test.".freeze,
      domainIncludes: "http://schema.org/MedicalTest".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "usesDevice".freeze,
      rangeIncludes: "http://schema.org/MedicalDevice".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :usesHealthPlanIdStandard,
      comment: "The standard for interpreting thePlan ID. The preferred is \"HIOS\". See the Centers for Medicare & Medicaid Services for more details.".freeze,
      domainIncludes: "http://schema.org/HealthInsurancePlan".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1062".freeze,
      label: "usesHealthPlanIdStandard".freeze,
      rangeIncludes: ["http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :utterances,
      comment: "Text of an utterances (spoken words, lyrics etc.) that occurs at a certain section of a media object, represented as a [[HyperTocEntry]].".freeze,
      domainIncludes: "http://schema.org/HyperTocEntry".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2766".freeze,
      label: "utterances".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :validFor,
      comment: "The duration of validity of a permit or similar thing.".freeze,
      domainIncludes: ["http://schema.org/EducationalOccupationalCredential".freeze, "http://schema.org/Permit".freeze],
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1779".freeze,
      label: "validFor".freeze,
      rangeIncludes: "http://schema.org/Duration".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :validFrom,
      comment: "The date when the item becomes valid.".freeze,
      domainIncludes: ["http://schema.org/Demand".freeze, "http://schema.org/LocationFeatureSpecification".freeze, "http://schema.org/MonetaryAmount".freeze, "http://schema.org/Offer".freeze, "http://schema.org/OpeningHoursSpecification".freeze, "http://schema.org/Permit".freeze, "http://schema.org/PriceSpecification".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "validFrom".freeze,
      rangeIncludes: ["http://schema.org/Date".freeze, "http://schema.org/DateTime".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :validIn,
      comment: "The geographic area where a permit or similar thing is valid.".freeze,
      domainIncludes: ["http://schema.org/EducationalOccupationalCredential".freeze, "http://schema.org/Permit".freeze],
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1779".freeze,
      label: "validIn".freeze,
      rangeIncludes: "http://schema.org/AdministrativeArea".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :validThrough,
      comment: "The date after when the item is not valid. For example the end of an offer, salary period, or a period of opening hours.".freeze,
      domainIncludes: ["http://schema.org/Demand".freeze, "http://schema.org/JobPosting".freeze, "http://schema.org/LocationFeatureSpecification".freeze, "http://schema.org/MonetaryAmount".freeze, "http://schema.org/Offer".freeze, "http://schema.org/OpeningHoursSpecification".freeze, "http://schema.org/PriceSpecification".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "validThrough".freeze,
      rangeIncludes: ["http://schema.org/Date".freeze, "http://schema.org/DateTime".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :validUntil,
      comment: "The date when the item is no longer valid.".freeze,
      domainIncludes: "http://schema.org/Permit".freeze,
      label: "validUntil".freeze,
      rangeIncludes: "http://schema.org/Date".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :value,
      comment: "The value of the quantitative value or property value node.\\n\\n* For [[QuantitativeValue]] and [[MonetaryAmount]], the recommended type for values is 'Number'.\\n* For [[PropertyValue]], it can be 'Text;', 'Number', 'Boolean', or 'StructuredValue'.\\n* Use values from 0123456789 (Unicode 'DIGIT ZERO' (U+0030) to 'DIGIT NINE' (U+0039)) rather than superficially similiar Unicode symbols.\\n* Use '.' (Unicode 'FULL STOP' (U+002E)) rather than ',' to indicate a decimal point. Avoid using these symbols as a readability separator.".freeze,
      domainIncludes: ["http://schema.org/MonetaryAmount".freeze, "http://schema.org/PropertyValue".freeze, "http://schema.org/QuantitativeValue".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "value".freeze,
      rangeIncludes: ["http://schema.org/Boolean".freeze, "http://schema.org/Number".freeze, "http://schema.org/StructuredValue".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :valueAddedTaxIncluded,
      comment: "Specifies whether the applicable value-added tax (VAT) is included in the price specification or not.".freeze,
      domainIncludes: "http://schema.org/PriceSpecification".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "valueAddedTaxIncluded".freeze,
      rangeIncludes: "http://schema.org/Boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :valueMaxLength,
      comment: "Specifies the allowed range for number of characters in a literal value.".freeze,
      domainIncludes: "http://schema.org/PropertyValueSpecification".freeze,
      label: "valueMaxLength".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :valueMinLength,
      comment: "Specifies the minimum allowed range for number of characters in a literal value.".freeze,
      domainIncludes: "http://schema.org/PropertyValueSpecification".freeze,
      label: "valueMinLength".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :valueName,
      comment: "Indicates the name of the PropertyValueSpecification to be used in URL templates and form encoding in a manner analogous to HTML's input@name.".freeze,
      domainIncludes: "http://schema.org/PropertyValueSpecification".freeze,
      label: "valueName".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :valuePattern,
      comment: "Specifies a regular expression for testing literal values according to the HTML spec.".freeze,
      domainIncludes: "http://schema.org/PropertyValueSpecification".freeze,
      label: "valuePattern".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :valueReference,
      comment: "A secondary value that provides additional information on the original value, e.g. a reference temperature or a type of measurement.".freeze,
      domainIncludes: ["http://schema.org/PropertyValue".freeze, "http://schema.org/QualitativeValue".freeze, "http://schema.org/QuantitativeValue".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "valueReference".freeze,
      rangeIncludes: ["http://schema.org/DefinedTerm".freeze, "http://schema.org/Enumeration".freeze, "http://schema.org/MeasurementTypeEnumeration".freeze, "http://schema.org/PropertyValue".freeze, "http://schema.org/QualitativeValue".freeze, "http://schema.org/QuantitativeValue".freeze, "http://schema.org/StructuredValue".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :valueRequired,
      comment: "Whether the property must be filled in to complete the action.  Default is false.".freeze,
      domainIncludes: "http://schema.org/PropertyValueSpecification".freeze,
      label: "valueRequired".freeze,
      rangeIncludes: "http://schema.org/Boolean".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :variableMeasured,
      comment: "The variableMeasured property can indicate (repeated as necessary) the  variables that are measured in some dataset, either described as text or as pairs of identifier and description using PropertyValue.".freeze,
      domainIncludes: "http://schema.org/Dataset".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1083".freeze,
      label: "variableMeasured".freeze,
      rangeIncludes: ["http://schema.org/PropertyValue".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :variablesMeasured,
      comment: "Originally named [[variablesMeasured]], The [[variableMeasured]] property can indicate (repeated as necessary) the  variables that are measured in some dataset, either described as text or as pairs of identifier and description using PropertyValue.".freeze,
      domainIncludes: "http://schema.org/Dataset".freeze,
      "http://schema.org/isPartOf": "http://attic.schema.org".freeze,
      label: "variablesMeasured".freeze,
      rangeIncludes: ["http://schema.org/PropertyValue".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :variantCover,
      comment: "A description of the variant cover\n    \tfor the issue, if the issue is a variant printing. For example, \"Bryan Hitch\n    \tVariant Cover\" or \"2nd Printing Variant\".".freeze,
      domainIncludes: "http://schema.org/ComicIssue".freeze,
      "http://schema.org/isPartOf": "http://bib.schema.org".freeze,
      label: "variantCover".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :variesBy,
      comment: "Indicates the property or properties by which the variants in a [[ProductGroup]] vary, e.g. their size, color etc. Schema.org properties can be referenced by their short name e.g. \"color\"; terms defined elsewhere can be referenced with their URIs.".freeze,
      domainIncludes: "http://schema.org/ProductGroup".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1797".freeze,
      label: "variesBy".freeze,
      rangeIncludes: ["http://schema.org/DefinedTerm".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :vatID,
      comment: "The Value-added Tax ID of the organization or person.".freeze,
      domainIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "vatID".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :vehicleConfiguration,
      comment: "A short text indicating the configuration of the vehicle, e.g. '5dr hatchback ST 2.5 MT 225 hp' or 'limited edition'.".freeze,
      domainIncludes: "http://schema.org/Vehicle".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "vehicleConfiguration".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :vehicleEngine,
      comment: "Information about the engine or engines of the vehicle.".freeze,
      domainIncludes: "http://schema.org/Vehicle".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "vehicleEngine".freeze,
      rangeIncludes: "http://schema.org/EngineSpecification".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :vehicleIdentificationNumber,
      comment: "The Vehicle Identification Number (VIN) is a unique serial number used by the automotive industry to identify individual motor vehicles.".freeze,
      domainIncludes: "http://schema.org/Vehicle".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "vehicleIdentificationNumber".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      subPropertyOf: "http://schema.org/serialNumber".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :vehicleInteriorColor,
      comment: "The color or color combination of the interior of the vehicle.".freeze,
      domainIncludes: "http://schema.org/Vehicle".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "vehicleInteriorColor".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :vehicleInteriorType,
      comment: "The type or material of the interior of the vehicle (e.g. synthetic fabric, leather, wood, etc.). While most interior types are characterized by the material used, an interior type can also be based on vehicle usage or target audience.".freeze,
      domainIncludes: "http://schema.org/Vehicle".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "vehicleInteriorType".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :vehicleModelDate,
      comment: "The release date of a vehicle model (often used to differentiate versions of the same make and model).".freeze,
      domainIncludes: "http://schema.org/Vehicle".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "vehicleModelDate".freeze,
      rangeIncludes: "http://schema.org/Date".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :vehicleSeatingCapacity,
      comment: "The number of passengers that can be seated in the vehicle, both in terms of the physical space available, and in terms of limitations set by law.\\n\\nTypical unit code(s): C62 for persons.".freeze,
      domainIncludes: "http://schema.org/Vehicle".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "vehicleSeatingCapacity".freeze,
      rangeIncludes: ["http://schema.org/Number".freeze, "http://schema.org/QuantitativeValue".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :vehicleSpecialUsage,
      comment: "Indicates whether the vehicle has been used for special purposes, like commercial rental, driving school, or as a taxi. The legislation in many countries requires this information to be revealed when offering a car for sale.".freeze,
      domainIncludes: "http://schema.org/Vehicle".freeze,
      "http://schema.org/isPartOf": "http://auto.schema.org".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "vehicleSpecialUsage".freeze,
      rangeIncludes: ["http://schema.org/CarUsageType".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :vehicleTransmission,
      comment: "The type of component used for transmitting the power from a rotating power source to the wheels or other relevant component(s) (\"gearbox\" for cars).".freeze,
      domainIncludes: "http://schema.org/Vehicle".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "vehicleTransmission".freeze,
      rangeIncludes: ["http://schema.org/QualitativeValue".freeze, "http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :vendor,
      comment: "'vendor' is an earlier term for 'seller'.".freeze,
      domainIncludes: "http://schema.org/BuyAction".freeze,
      "http://schema.org/supersededBy": "http://schema.org/seller".freeze,
      label: "vendor".freeze,
      rangeIncludes: ["http://schema.org/Organization".freeze, "http://schema.org/Person".freeze],
      subPropertyOf: "http://schema.org/participant".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :verificationFactCheckingPolicy,
      comment: "Disclosure about verification and fact-checking processes for a [[NewsMediaOrganization]] or other fact-checking [[Organization]].".freeze,
      domainIncludes: "http://schema.org/NewsMediaOrganization".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["https://github.com/schemaorg/schemaorg/issues/1525".freeze, "https://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#TP".freeze],
      label: "verificationFactCheckingPolicy".freeze,
      rangeIncludes: ["http://schema.org/CreativeWork".freeze, "http://schema.org/URL".freeze],
      subPropertyOf: "http://schema.org/publishingPrinciples".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :version,
      comment: "The version of the CreativeWork embodied by a specified resource.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      label: "version".freeze,
      rangeIncludes: ["http://schema.org/Number".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :video,
      comment: "An embedded video object.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      label: "video".freeze,
      rangeIncludes: ["http://schema.org/Clip".freeze, "http://schema.org/VideoObject".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :videoFormat,
      comment: "The type of screening or video broadcast used (e.g. IMAX, 3D, SD, HD, etc.).".freeze,
      domainIncludes: ["http://schema.org/BroadcastEvent".freeze, "http://schema.org/BroadcastService".freeze, "http://schema.org/ScreeningEvent".freeze],
      label: "videoFormat".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :videoFrameSize,
      comment: "The frame size of the video.".freeze,
      domainIncludes: "http://schema.org/VideoObject".freeze,
      label: "videoFrameSize".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :videoQuality,
      comment: "The quality of the video.".freeze,
      domainIncludes: "http://schema.org/VideoObject".freeze,
      label: "videoQuality".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :volumeNumber,
      comment: "Identifies the volume of publication or multi-part work; for example, \"iii\" or \"2\".".freeze,
      domainIncludes: "http://schema.org/PublicationVolume".freeze,
      equivalentProperty: "http://purl.org/ontology/bibo/volume".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_bibex".freeze,
      label: "volumeNumber".freeze,
      rangeIncludes: ["http://schema.org/Integer".freeze, "http://schema.org/Text".freeze],
      subPropertyOf: "http://schema.org/position".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :warning,
      comment: "Any FDA or other warnings about the drug (text or URL).".freeze,
      domainIncludes: "http://schema.org/Drug".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "warning".freeze,
      rangeIncludes: ["http://schema.org/Text".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :warranty,
      comment: "The warranty promise(s) included in the offer.".freeze,
      domainIncludes: ["http://schema.org/Demand".freeze, "http://schema.org/Offer".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "warranty".freeze,
      rangeIncludes: "http://schema.org/WarrantyPromise".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :warrantyPromise,
      comment: "The warranty promise(s) included in the offer.".freeze,
      domainIncludes: ["http://schema.org/BuyAction".freeze, "http://schema.org/SellAction".freeze],
      "http://schema.org/supersededBy": "http://schema.org/warranty".freeze,
      label: "warrantyPromise".freeze,
      rangeIncludes: "http://schema.org/WarrantyPromise".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :warrantyScope,
      comment: "The scope of the warranty promise.".freeze,
      domainIncludes: "http://schema.org/WarrantyPromise".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "warrantyScope".freeze,
      rangeIncludes: "http://schema.org/WarrantyScope".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :webCheckinTime,
      comment: "The time when a passenger can check into the flight online.".freeze,
      domainIncludes: "http://schema.org/Flight".freeze,
      label: "webCheckinTime".freeze,
      rangeIncludes: "http://schema.org/DateTime".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :webFeed,
      comment: "The URL for a feed, e.g. associated with a podcast series, blog, or series of date-stamped updates. This is usually RSS or Atom.".freeze,
      domainIncludes: ["http://schema.org/PodcastSeries".freeze, "http://schema.org/SpecialAnnouncement".freeze],
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/373".freeze,
      label: "webFeed".freeze,
      rangeIncludes: ["http://schema.org/DataFeed".freeze, "http://schema.org/URL".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :weight,
      comment: "The weight of the product or person.".freeze,
      domainIncludes: ["http://schema.org/Person".freeze, "http://schema.org/Product".freeze],
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsTerms".freeze,
      label: "weight".freeze,
      rangeIncludes: "http://schema.org/QuantitativeValue".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :weightTotal,
      comment: "The permitted total weight of the loaded vehicle, including passengers and cargo and the weight of the empty vehicle.\\n\\nTypical unit code(s): KGM for kilogram, LBR for pound\\n\\n* Note 1: You can indicate additional information in the [[name]] of the [[QuantitativeValue]] node.\\n* Note 2: You may also link to a [[QualitativeValue]] node that provides additional information using [[valueReference]].\\n* Note 3: Note that you can use [[minValue]] and [[maxValue]] to indicate ranges.".freeze,
      domainIncludes: "http://schema.org/Vehicle".freeze,
      "http://schema.org/isPartOf": "http://auto.schema.org".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "weightTotal".freeze,
      rangeIncludes: "http://schema.org/QuantitativeValue".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :wheelbase,
      comment: "The distance between the centers of the front and rear wheels.\\n\\nTypical unit code(s): CMT for centimeters, MTR for meters, INH for inches, FOT for foot/feet".freeze,
      domainIncludes: "http://schema.org/Vehicle".freeze,
      "http://schema.org/isPartOf": "http://auto.schema.org".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "wheelbase".freeze,
      rangeIncludes: "http://schema.org/QuantitativeValue".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :width,
      comment: "The width of the item.".freeze,
      domainIncludes: ["http://schema.org/MediaObject".freeze, "http://schema.org/Product".freeze, "http://schema.org/VisualArtwork".freeze],
      label: "width".freeze,
      rangeIncludes: ["http://schema.org/Distance".freeze, "http://schema.org/QuantitativeValue".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :winner,
      comment: "A sub property of participant. The winner of the action.".freeze,
      domainIncludes: "http://schema.org/LoseAction".freeze,
      label: "winner".freeze,
      rangeIncludes: "http://schema.org/Person".freeze,
      subPropertyOf: "http://schema.org/participant".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :wordCount,
      comment: "The number of words in the text of the Article.".freeze,
      domainIncludes: "http://schema.org/Article".freeze,
      label: "wordCount".freeze,
      rangeIncludes: "http://schema.org/Integer".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :workExample,
      comment: "Example/instance/realization/derivation of the concept of this creative work. eg. The paperback edition, first edition, or eBook.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      "http://schema.org/inverseOf": "http://schema.org/exampleOfWork".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_bibex".freeze,
      label: "workExample".freeze,
      rangeIncludes: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :workFeatured,
      comment: "A work featured in some event, e.g. exhibited in an ExhibitionEvent.\n       Specific subproperties are available for workPerformed (e.g. a play), or a workPresented (a Movie at a ScreeningEvent).".freeze,
      domainIncludes: "http://schema.org/Event".freeze,
      label: "workFeatured".freeze,
      rangeIncludes: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :workHours,
      comment: "The typical working hours for this job (e.g. 1st shift, night shift, 8am-5pm).".freeze,
      domainIncludes: "http://schema.org/JobPosting".freeze,
      label: "workHours".freeze,
      rangeIncludes: "http://schema.org/Text".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :workLocation,
      comment: "A contact location for a person's place of work.".freeze,
      domainIncludes: "http://schema.org/Person".freeze,
      label: "workLocation".freeze,
      rangeIncludes: ["http://schema.org/ContactPoint".freeze, "http://schema.org/Place".freeze],
      subPropertyOf: "http://schema.org/location".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :workPerformed,
      comment: "A work performed in some event, for example a play performed in a TheaterEvent.".freeze,
      domainIncludes: "http://schema.org/Event".freeze,
      label: "workPerformed".freeze,
      rangeIncludes: "http://schema.org/CreativeWork".freeze,
      subPropertyOf: "http://schema.org/workFeatured".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :workPresented,
      comment: "The movie presented during this event.".freeze,
      domainIncludes: "http://schema.org/ScreeningEvent".freeze,
      label: "workPresented".freeze,
      rangeIncludes: "http://schema.org/Movie".freeze,
      subPropertyOf: "http://schema.org/workFeatured".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :workTranslation,
      comment: "A work that is a translation of the content of this work. e.g. 西遊記 has an English workTranslation “Journey to the West”,a German workTranslation “Monkeys Pilgerfahrt” and a Vietnamese  translation Tây du ký bình khảo.".freeze,
      domainIncludes: "http://schema.org/CreativeWork".freeze,
      "http://schema.org/inverseOf": "http://schema.org/translationOfWork".freeze,
      "http://schema.org/isPartOf": "http://bib.schema.org".freeze,
      label: "workTranslation".freeze,
      rangeIncludes: "http://schema.org/CreativeWork".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :workload,
      comment: "Quantitative measure of the physiologic output of the exercise; also referred to as energy expenditure.".freeze,
      domainIncludes: "http://schema.org/ExercisePlan".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "workload".freeze,
      rangeIncludes: ["http://schema.org/Energy".freeze, "http://schema.org/QuantitativeValue".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :worksFor,
      comment: "Organizations that the person works for.".freeze,
      domainIncludes: "http://schema.org/Person".freeze,
      label: "worksFor".freeze,
      rangeIncludes: "http://schema.org/Organization".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :worstRating,
      comment: "The lowest value allowed in this rating system. If worstRating is omitted, 1 is assumed.".freeze,
      domainIncludes: "http://schema.org/Rating".freeze,
      label: "worstRating".freeze,
      rangeIncludes: ["http://schema.org/Number".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :xpath,
      comment: "An XPath, e.g. of a [[SpeakableSpecification]] or [[WebPageElement]]. In the latter case, multiple matches within a page can constitute a single conceptual \"Web page element\".".freeze,
      domainIncludes: ["http://schema.org/SpeakableSpecification".freeze, "http://schema.org/WebPageElement".freeze],
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1389".freeze,
      label: "xpath".freeze,
      rangeIncludes: "http://schema.org/XPathType".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :yearBuilt,
      comment: "The year an [[Accommodation]] was constructed. This corresponds to the [YearBuilt field in RESO](https://ddwiki.reso.org/display/DDW17/YearBuilt+Field). ".freeze,
      domainIncludes: "http://schema.org/Accommodation".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2373".freeze,
      label: "yearBuilt".freeze,
      rangeIncludes: "http://schema.org/Number".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :yearlyRevenue,
      comment: "The size of the business in annual revenue.".freeze,
      domainIncludes: "http://schema.org/BusinessAudience".freeze,
      label: "yearlyRevenue".freeze,
      rangeIncludes: "http://schema.org/QuantitativeValue".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :yearsInOperation,
      comment: "The age of the business.".freeze,
      domainIncludes: "http://schema.org/BusinessAudience".freeze,
      label: "yearsInOperation".freeze,
      rangeIncludes: "http://schema.org/QuantitativeValue".freeze,
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze
    property :yield,
      comment: "The quantity that results by performing instructions. For example, a paper airplane, 10 personalized candles.".freeze,
      domainIncludes: "http://schema.org/HowTo".freeze,
      label: "yield".freeze,
      rangeIncludes: ["http://schema.org/QuantitativeValue".freeze, "http://schema.org/Text".freeze],
      type: "http://www.w3.org/1999/02/22-rdf-syntax-ns#Property".freeze

    # Extra definitions
    term :Abdomen,
      comment: "Abdomen clinical examination.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Abdomen".freeze,
      type: "http://schema.org/PhysicalExam".freeze
    term :ActivationFee,
      comment: "Represents the activation fee part of the total price for an offered product, for example a cellphone contract.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2689".freeze,
      label: "ActivationFee".freeze,
      type: "http://schema.org/PriceComponentTypeEnumeration".freeze
    term :ActiveActionStatus,
      comment: "An in-progress action (e.g, while watching the movie, or driving to a location).".freeze,
      label: "ActiveActionStatus".freeze,
      type: "http://schema.org/ActionStatusType".freeze
    term :ActiveNotRecruiting,
      comment: "Active, but not recruiting new participants.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "ActiveNotRecruiting".freeze,
      type: "http://schema.org/MedicalStudyStatus".freeze
    term :AerobicActivity,
      comment: "Physical activity of relatively low intensity that depends primarily on the aerobic energy-generating process; during activity, the aerobic metabolism uses oxygen to adequately meet energy demands during exercise.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "AerobicActivity".freeze,
      type: "http://schema.org/PhysicalActivityCategory".freeze
    term :AlbumRelease,
      comment: "AlbumRelease.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#MBZ".freeze,
      label: "AlbumRelease".freeze,
      type: "http://schema.org/MusicAlbumReleaseType".freeze
    term :AllWheelDriveConfiguration,
      comment: "All-wheel Drive is a transmission layout where the engine drives all four wheels.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "AllWheelDriveConfiguration".freeze,
      type: "http://schema.org/DriveWheelConfigurationValue".freeze
    term :AllergiesHealthAspect,
      comment: "Content about the allergy-related aspects of a health topic.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2799".freeze,
      label: "AllergiesHealthAspect".freeze,
      type: "http://schema.org/HealthAspectEnumeration".freeze
    term :AnaerobicActivity,
      comment: "Physical activity that is of high-intensity which utilizes the anaerobic metabolism of the body.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "AnaerobicActivity".freeze,
      type: "http://schema.org/PhysicalActivityCategory".freeze
    term :Anesthesia,
      comment: "A specific branch of medical science that pertains to study of anesthetics and their application.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Anesthesia".freeze,
      type: "http://schema.org/MedicalSpecialty".freeze
    term :Appearance,
      comment: "Appearance assessment with clinical examination.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Appearance".freeze,
      type: "http://schema.org/PhysicalExam".freeze
    term :AudiobookFormat,
      comment: "Book format: Audiobook. This is an enumerated value for use with the bookFormat property. There is also a type 'Audiobook' in the bib extension which includes Audiobook specific properties.".freeze,
      label: "AudiobookFormat".freeze,
      type: "http://schema.org/BookFormatType".freeze
    term :AuthoritativeLegalValue,
      comment: "Indicates that the publisher gives some special status to the publication of the document. (\"The Queens Printer\" version of a UK Act of Parliament, or the PDF version of a Directive published by the EU Office of Publications). Something \"Authoritative\" is considered to be also [[OfficialLegalValue]]\".".freeze,
      exactMatch: "http://data.europa.eu/eli/ontology#LegalValue-authoritative".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://publications.europa.eu/mdr/eli/index.html".freeze, "https://github.com/schemaorg/schemaorg/issues/1156".freeze],
      label: "AuthoritativeLegalValue".freeze,
      type: "http://schema.org/LegalValueLevel".freeze
    term :Ayurvedic,
      comment: "A system of medicine that originated in India over thousands of years and that focuses on integrating and balancing the body, mind, and spirit.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Ayurvedic".freeze,
      type: "http://schema.org/MedicineSystem".freeze
    term :BackOrder,
      comment: "Indicates that the item is available on back order.".freeze,
      label: "BackOrder".freeze,
      type: "http://schema.org/ItemAvailability".freeze
    term :Balance,
      comment: "Physical activity that is engaged to help maintain posture and balance.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Balance".freeze,
      type: "http://schema.org/PhysicalActivityCategory".freeze
    term :BasicIncome,
      comment: "BasicIncome: this is a benefit for basic income.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2534".freeze,
      label: "BasicIncome".freeze,
      type: "http://schema.org/GovernmentBenefitsType".freeze
    term :BenefitsHealthAspect,
      comment: "Content about the benefits and advantages of usage or utilization of topic.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2374".freeze,
      label: "BenefitsHealthAspect".freeze,
      type: "http://schema.org/HealthAspectEnumeration".freeze
    term :BodyMeasurementArm,
      comment: "Arm length (measured between arms/shoulder line intersection and the prominent wrist bone). Used, for example, to fit shirts.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "BodyMeasurementArm".freeze,
      type: "http://schema.org/BodyMeasurementTypeEnumeration".freeze
    term :BodyMeasurementBust,
      comment: "Maximum girth of bust. Used, for example, to fit women's suits.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "BodyMeasurementBust".freeze,
      type: "http://schema.org/BodyMeasurementTypeEnumeration".freeze
    term :BodyMeasurementChest,
      comment: "Maximum girth of chest. Used, for example, to fit men's suits.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "BodyMeasurementChest".freeze,
      type: "http://schema.org/BodyMeasurementTypeEnumeration".freeze
    term :BodyMeasurementFoot,
      comment: "Foot length (measured between end of the most prominent toe and the most prominent part of the heel). Used, for example, to measure socks.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "BodyMeasurementFoot".freeze,
      type: "http://schema.org/BodyMeasurementTypeEnumeration".freeze
    term :BodyMeasurementHand,
      comment: "Maximum hand girth (measured over the knuckles of the open right hand excluding thumb, fingers together). Used, for example, to fit gloves.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "BodyMeasurementHand".freeze,
      type: "http://schema.org/BodyMeasurementTypeEnumeration".freeze
    term :BodyMeasurementHead,
      comment: "Maximum girth of head above the ears. Used, for example, to fit hats.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "BodyMeasurementHead".freeze,
      type: "http://schema.org/BodyMeasurementTypeEnumeration".freeze
    term :BodyMeasurementHeight,
      comment: "Body height (measured between crown of head and soles of feet). Used, for example, to fit jackets.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "BodyMeasurementHeight".freeze,
      type: "http://schema.org/BodyMeasurementTypeEnumeration".freeze
    term :BodyMeasurementHips,
      comment: "Girth of hips (measured around the buttocks). Used, for example, to fit skirts.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "BodyMeasurementHips".freeze,
      type: "http://schema.org/BodyMeasurementTypeEnumeration".freeze
    term :BodyMeasurementInsideLeg,
      comment: "Inside leg (measured between crotch and soles of feet). Used, for example, to fit pants.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "BodyMeasurementInsideLeg".freeze,
      type: "http://schema.org/BodyMeasurementTypeEnumeration".freeze
    term :BodyMeasurementNeck,
      comment: "Girth of neck. Used, for example, to fit shirts.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "BodyMeasurementNeck".freeze,
      type: "http://schema.org/BodyMeasurementTypeEnumeration".freeze
    term :BodyMeasurementUnderbust,
      comment: "Girth of body just below the bust. Used, for example, to fit women's swimwear.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "BodyMeasurementUnderbust".freeze,
      type: "http://schema.org/BodyMeasurementTypeEnumeration".freeze
    term :BodyMeasurementWaist,
      comment: "Girth of natural waistline (between hip bones and lower ribs). Used, for example, to fit pants.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "BodyMeasurementWaist".freeze,
      type: "http://schema.org/BodyMeasurementTypeEnumeration".freeze
    term :BodyMeasurementWeight,
      comment: "Body weight. Used, for example, to measure pantyhose.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "BodyMeasurementWeight".freeze,
      type: "http://schema.org/BodyMeasurementTypeEnumeration".freeze
    term :BroadcastRelease,
      comment: "BroadcastRelease.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#MBZ".freeze,
      label: "BroadcastRelease".freeze,
      type: "http://schema.org/MusicAlbumReleaseType".freeze
    term :BusinessSupport,
      comment: "BusinessSupport: this is a benefit for supporting businesses.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2534".freeze,
      label: "BusinessSupport".freeze,
      type: "http://schema.org/GovernmentBenefitsType".freeze
    term :CDFormat,
      comment: "CDFormat.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#MBZ".freeze,
      label: "CDFormat".freeze,
      type: "http://schema.org/MusicReleaseFormatType".freeze
    term :CT,
      comment: "X-ray computed tomography imaging.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "CT".freeze,
      type: "http://schema.org/MedicalImagingTechnique".freeze
    term :Cardiovascular,
      comment: "A specific branch of medical science that pertains to diagnosis and treatment of disorders of heart and vasculature.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Cardiovascular".freeze,
      type: "http://schema.org/MedicalSpecialty".freeze
    term :CardiovascularExam,
      comment: "Cardiovascular system assessment withclinical examination.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "CardiovascularExam".freeze,
      type: "http://schema.org/PhysicalExam".freeze
    term :CaseSeries,
      comment: "A case series (also known as a clinical series) is a medical research study that tracks patients with a known exposure given similar treatment or examines their medical records for exposure and outcome. A case series can be retrospective or prospective and usually involves a smaller number of patients than the more powerful case-control studies or randomized controlled trials. Case series may be consecutive or non-consecutive, depending on whether all cases presenting to the reporting authors over a period of time were included, or only a selection.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "CaseSeries".freeze,
      type: "http://schema.org/MedicalObservationalStudyDesign".freeze
    term :CassetteFormat,
      comment: "CassetteFormat.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#MBZ".freeze,
      label: "CassetteFormat".freeze,
      type: "http://schema.org/MusicReleaseFormatType".freeze
    term :CausesHealthAspect,
      comment: "Information about the causes and main actions that gave rise to the topic.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2374".freeze,
      label: "CausesHealthAspect".freeze,
      type: "http://schema.org/HealthAspectEnumeration".freeze
    term :CharitableIncorporatedOrganization,
      comment: "CharitableIncorporatedOrganization: Non-profit type referring to a Charitable Incorporated Organization (UK).".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2543".freeze,
      label: "CharitableIncorporatedOrganization".freeze,
      type: "http://schema.org/UKNonprofitType".freeze
    term :Chiropractic,
      comment: "A system of medicine focused on the relationship between the body's structure, mainly the spine, and its functioning.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Chiropractic".freeze,
      type: "http://schema.org/MedicineSystem".freeze
    term :CleaningFee,
      comment: "Represents the cleaning fee part of the total price for an offered product, for example a vacation rental.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2689".freeze,
      label: "CleaningFee".freeze,
      type: "http://schema.org/PriceComponentTypeEnumeration".freeze
    term :Clinician,
      comment: "Medical clinicians, including practicing physicians and other medical professionals involved in clinical practice.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Clinician".freeze,
      type: "http://schema.org/MedicalAudienceType".freeze
    term :CoOp,
      comment: "Play mode: CoOp. Co-operative games, where you play on the same team with friends.".freeze,
      label: "CoOp".freeze,
      type: "http://schema.org/GamePlayMode".freeze
    term :CohortStudy,
      comment: "Also known as a panel study. A cohort study is a form of longitudinal study used in medicine and social science. It is one type of study design and should be compared with a cross-sectional study.  A cohort is a group of people who share a common characteristic or experience within a defined period (e.g., are born, leave school, lose their job, are exposed to a drug or a vaccine, etc.). The comparison group may be the general population from which the cohort is drawn, or it may be another cohort of persons thought to have had little or no exposure to the substance under investigation, but otherwise similar. Alternatively, subgroups within the cohort may be compared with each other.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "CohortStudy".freeze,
      type: "http://schema.org/MedicalObservationalStudyDesign".freeze
    term :CommentPermission,
      comment: "Permission to add comments to the document.".freeze,
      label: "CommentPermission".freeze,
      type: "http://schema.org/DigitalDocumentPermissionType".freeze
    term :CommunityHealth,
      comment: "A field of public health focusing on improving health characteristics of a defined population in relation with their geographical or environment areas.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "CommunityHealth".freeze,
      subClassOf: "http://schema.org/MedicalBusiness".freeze,
      type: "http://schema.org/MedicalSpecialty".freeze
    term :CompilationAlbum,
      comment: "CompilationAlbum.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#MBZ".freeze,
      label: "CompilationAlbum".freeze,
      type: "http://schema.org/MusicAlbumProductionType".freeze
    term :Completed,
      comment: "Completed.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Completed".freeze,
      type: "http://schema.org/MedicalStudyStatus".freeze
    term :CompletedActionStatus,
      comment: "An action that has already taken place.".freeze,
      label: "CompletedActionStatus".freeze,
      type: "http://schema.org/ActionStatusType".freeze
    term :ContagiousnessHealthAspect,
      comment: "Content about contagion mechanisms and contagiousness information over the topic.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2374".freeze,
      label: "ContagiousnessHealthAspect".freeze,
      type: "http://schema.org/HealthAspectEnumeration".freeze
    term :CrossSectional,
      comment: "Studies carried out on pre-existing data (usually from 'snapshot' surveys), such as that collected by the Census Bureau. Sometimes called Prevalence Studies.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "CrossSectional".freeze,
      type: "http://schema.org/MedicalObservationalStudyDesign".freeze
    term :DJMixAlbum,
      comment: "DJMixAlbum.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#MBZ".freeze,
      label: "DJMixAlbum".freeze,
      type: "http://schema.org/MusicAlbumProductionType".freeze
    term :DVDFormat,
      comment: "DVDFormat.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#MBZ".freeze,
      label: "DVDFormat".freeze,
      type: "http://schema.org/MusicReleaseFormatType".freeze
    term :DamagedCondition,
      comment: "Indicates that the item is damaged.".freeze,
      label: "DamagedCondition".freeze,
      type: "http://schema.org/OfferItemCondition".freeze
    term :DecontextualizedContent,
      comment: "Content coded 'missing context' in a [[MediaReview]], considered in the context of how it was published or shared.\n\nFor a [[VideoObject]] to be 'missing context': Presenting unaltered video in an inaccurate manner that misrepresents the footage. For example, using incorrect dates or locations, altering the transcript or sharing brief clips from a longer video to mislead viewers. (A video rated 'original' can also be missing context.)\n\nFor an [[ImageObject]] to be 'missing context': Presenting unaltered images in an inaccurate manner to misrepresent the image and mislead the viewer. For example, a common tactic is using an unaltered image but saying it came from a different time or place. (An image rated 'original' can also be missing context.)\n\nFor an [[ImageObject]] with embedded text to be 'missing context': An unaltered image presented in an inaccurate manner to misrepresent the image and mislead the viewer. For example, a common tactic is using an unaltered image but saying it came from a different time or place. (An 'original' image with inaccurate text would generally fall in this category.)\n\nFor an [[AudioObject]] to be 'missing context': Unaltered audio presented in an inaccurate manner that misrepresents it. For example, using incorrect dates or locations, or sharing brief clips from a longer recording to mislead viewers. (Audio rated “original” can also be missing context.)\n".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2450".freeze,
      label: "DecontextualizedContent".freeze,
      type: "http://schema.org/MediaManipulationRatingEnumeration".freeze
    term :DefinitiveLegalValue,
      comment: "Indicates a document for which the text is conclusively what the law says and is legally binding. (e.g. The digitally signed version of an Official Journal.)\n  Something \"Definitive\" is considered to be also [[AuthoritativeLegalValue]].".freeze,
      exactMatch: "http://data.europa.eu/eli/ontology#LegalValue-definitive".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://publications.europa.eu/mdr/eli/index.html".freeze, "https://github.com/schemaorg/schemaorg/issues/1156".freeze],
      label: "DefinitiveLegalValue".freeze,
      type: "http://schema.org/LegalValueLevel".freeze
    term :DemoAlbum,
      comment: "DemoAlbum.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#MBZ".freeze,
      label: "DemoAlbum".freeze,
      type: "http://schema.org/MusicAlbumProductionType".freeze
    term :Dentistry,
      comment: "A branch of medicine that is involved in the dental care.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Dentistry".freeze,
      type: "http://schema.org/MedicalSpecialty".freeze
    term :Dermatologic,
      comment: "Something relating to or practicing dermatology.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      "http://schema.org/supersededBy": "http://schema.org/Dermatology".freeze,
      label: "Dermatologic".freeze,
      type: "http://schema.org/MedicalSpecialty".freeze
    term :Dermatology,
      comment: "A specific branch of medical science that pertains to diagnosis and treatment of disorders of skin.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Dermatology".freeze,
      subClassOf: "http://schema.org/MedicalBusiness".freeze,
      type: "http://schema.org/MedicalSpecialty".freeze
    term :DiabeticDiet,
      comment: "A diet appropriate for people with diabetes.".freeze,
      label: "DiabeticDiet".freeze,
      type: "http://schema.org/RestrictedDiet".freeze
    term :Diagnostic,
      comment: "A medical device used for diagnostic purposes.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Diagnostic".freeze,
      type: "http://schema.org/MedicalDevicePurpose".freeze
    term :DietNutrition,
      comment: "Dietetic and nutrition as a medical specialty.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "DietNutrition".freeze,
      subClassOf: "http://schema.org/MedicalBusiness".freeze,
      type: "http://schema.org/MedicalSpecialty".freeze
    term :DigitalAudioTapeFormat,
      comment: "DigitalAudioTapeFormat.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#MBZ".freeze,
      label: "DigitalAudioTapeFormat".freeze,
      type: "http://schema.org/MusicReleaseFormatType".freeze
    term :DigitalFormat,
      comment: "DigitalFormat.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#MBZ".freeze,
      label: "DigitalFormat".freeze,
      type: "http://schema.org/MusicReleaseFormatType".freeze
    term :DisabilitySupport,
      comment: "DisabilitySupport: this is a benefit for disability support.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2534".freeze,
      label: "DisabilitySupport".freeze,
      type: "http://schema.org/GovernmentBenefitsType".freeze
    term :Discontinued,
      comment: "Indicates that the item has been discontinued.".freeze,
      label: "Discontinued".freeze,
      type: "http://schema.org/ItemAvailability".freeze
    term :DistanceFee,
      comment: "Represents the distance fee (e.g., price per km or mile) part of the total price for an offered product, for example a car rental.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2689".freeze,
      label: "DistanceFee".freeze,
      type: "http://schema.org/PriceComponentTypeEnumeration".freeze
    term :DoubleBlindedTrial,
      comment: "A trial design in which neither the researcher nor the patient knows the details of the treatment the patient was randomly assigned to.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "DoubleBlindedTrial".freeze,
      type: "http://schema.org/MedicalTrialDesign".freeze
    term :Downpayment,
      comment: "Represents the downpayment (up-front payment) price component of the total price for an offered product that has additional installment payments.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2689".freeze,
      label: "Downpayment".freeze,
      type: "http://schema.org/PriceComponentTypeEnumeration".freeze
    term :DrivingSchoolVehicleUsage,
      comment: "Indicates the usage of the vehicle for driving school.".freeze,
      "http://schema.org/isPartOf": "http://auto.schema.org".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "DrivingSchoolVehicleUsage".freeze,
      type: "http://schema.org/CarUsageType".freeze
    term :EBook,
      comment: "Book format: Ebook.".freeze,
      label: "EBook".freeze,
      type: "http://schema.org/BookFormatType".freeze
    term :EPRelease,
      comment: "EPRelease.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#MBZ".freeze,
      label: "EPRelease".freeze,
      type: "http://schema.org/MusicAlbumReleaseType".freeze
    term :EUEnergyEfficiencyCategoryA,
      comment: "Represents EU Energy Efficiency Class A as defined in EU energy labeling regulations.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2670".freeze,
      label: "EUEnergyEfficiencyCategoryA".freeze,
      type: "http://schema.org/EUEnergyEfficiencyEnumeration".freeze
    term :EUEnergyEfficiencyCategoryA1Plus,
      comment: "Represents EU Energy Efficiency Class A+ as defined in EU energy labeling regulations.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2670".freeze,
      label: "EUEnergyEfficiencyCategoryA1Plus".freeze,
      type: "http://schema.org/EUEnergyEfficiencyEnumeration".freeze
    term :EUEnergyEfficiencyCategoryA2Plus,
      comment: "Represents EU Energy Efficiency Class A++ as defined in EU energy labeling regulations.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2670".freeze,
      label: "EUEnergyEfficiencyCategoryA2Plus".freeze,
      type: "http://schema.org/EUEnergyEfficiencyEnumeration".freeze
    term :EUEnergyEfficiencyCategoryA3Plus,
      comment: "Represents EU Energy Efficiency Class A+++ as defined in EU energy labeling regulations.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2670".freeze,
      label: "EUEnergyEfficiencyCategoryA3Plus".freeze,
      type: "http://schema.org/EUEnergyEfficiencyEnumeration".freeze
    term :EUEnergyEfficiencyCategoryB,
      comment: "Represents EU Energy Efficiency Class B as defined in EU energy labeling regulations.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2670".freeze,
      label: "EUEnergyEfficiencyCategoryB".freeze,
      type: "http://schema.org/EUEnergyEfficiencyEnumeration".freeze
    term :EUEnergyEfficiencyCategoryC,
      comment: "Represents EU Energy Efficiency Class C as defined in EU energy labeling regulations.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2670".freeze,
      label: "EUEnergyEfficiencyCategoryC".freeze,
      type: "http://schema.org/EUEnergyEfficiencyEnumeration".freeze
    term :EUEnergyEfficiencyCategoryD,
      comment: "Represents EU Energy Efficiency Class D as defined in EU energy labeling regulations.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2670".freeze,
      label: "EUEnergyEfficiencyCategoryD".freeze,
      type: "http://schema.org/EUEnergyEfficiencyEnumeration".freeze
    term :EUEnergyEfficiencyCategoryE,
      comment: "Represents EU Energy Efficiency Class E as defined in EU energy labeling regulations.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2670".freeze,
      label: "EUEnergyEfficiencyCategoryE".freeze,
      type: "http://schema.org/EUEnergyEfficiencyEnumeration".freeze
    term :EUEnergyEfficiencyCategoryF,
      comment: "Represents EU Energy Efficiency Class F as defined in EU energy labeling regulations.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2670".freeze,
      label: "EUEnergyEfficiencyCategoryF".freeze,
      type: "http://schema.org/EUEnergyEfficiencyEnumeration".freeze
    term :EUEnergyEfficiencyCategoryG,
      comment: "Represents EU Energy Efficiency Class G as defined in EU energy labeling regulations.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2670".freeze,
      label: "EUEnergyEfficiencyCategoryG".freeze,
      type: "http://schema.org/EUEnergyEfficiencyEnumeration".freeze
    term :Ear,
      comment: "Ear function assessment with clinical examination.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Ear".freeze,
      type: "http://schema.org/PhysicalExam".freeze
    term :EditedOrCroppedContent,
      comment: "Content coded 'edited or cropped content' in a [[MediaReview]], considered in the context of how it was published or shared.\n\nFor a [[VideoObject]] to be 'edited or cropped content': The video has been edited or rearranged. This category applies to time edits, including editing multiple videos together to alter the story being told or editing out large portions from a video.\n\nFor an [[ImageObject]] to be 'edited or cropped content': Presenting a part of an image from a larger whole to mislead the viewer.\n\nFor an [[ImageObject]] with embedded text to be 'edited or cropped content': Presenting a part of an image from a larger whole to mislead the viewer.\n\nFor an [[AudioObject]] to be 'edited or cropped content': The audio has been edited or rearranged. This category applies to time edits, including editing multiple audio clips together to alter the story being told or editing out large portions from the recording.\n".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2450".freeze,
      label: "EditedOrCroppedContent".freeze,
      type: "http://schema.org/MediaManipulationRatingEnumeration".freeze
    term :EffectivenessHealthAspect,
      comment: "Content about the effectiveness-related aspects of a health topic.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2799".freeze,
      label: "EffectivenessHealthAspect".freeze,
      type: "http://schema.org/HealthAspectEnumeration".freeze
    term :Emergency,
      comment: "A specific branch of medical science that deals with the evaluation and initial treatment of medical conditions caused by trauma or sudden illness.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Emergency".freeze,
      subClassOf: "http://schema.org/MedicalBusiness".freeze,
      type: "http://schema.org/MedicalSpecialty".freeze
    term :Endocrine,
      comment: "A specific branch of medical science that pertains to diagnosis and treatment of disorders of endocrine glands and their secretions.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Endocrine".freeze,
      type: "http://schema.org/MedicalSpecialty".freeze
    term :EnergyStarCertified,
      comment: "Represents EnergyStar certification.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2670".freeze,
      label: "EnergyStarCertified".freeze,
      type: "http://schema.org/EnergyStarEnergyEfficiencyEnumeration".freeze
    term :EnrollingByInvitation,
      comment: "Enrolling participants by invitation only.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "EnrollingByInvitation".freeze,
      type: "http://schema.org/MedicalStudyStatus".freeze
    term :EventCancelled,
      comment: "The event has been cancelled. If the event has multiple startDate values, all are assumed to be cancelled. Either startDate or previousStartDate may be used to specify the event's cancelled date(s).".freeze,
      label: "EventCancelled".freeze,
      type: "http://schema.org/EventStatusType".freeze
    term :EventMovedOnline,
      comment: "Indicates that the event was changed to allow online participation. See [[eventAttendanceMode]] for specifics of whether it is now fully or partially online.".freeze,
      label: "EventMovedOnline".freeze,
      type: "http://schema.org/EventStatusType".freeze
    term :EventPostponed,
      comment: "The event has been postponed and no new date has been set. The event's previousStartDate should be set.".freeze,
      label: "EventPostponed".freeze,
      type: "http://schema.org/EventStatusType".freeze
    term :EventRescheduled,
      comment: "The event has been rescheduled. The event's previousStartDate should be set to the old date and the startDate should be set to the event's new date. (If the event has been rescheduled multiple times, the previousStartDate property may be repeated).".freeze,
      label: "EventRescheduled".freeze,
      type: "http://schema.org/EventStatusType".freeze
    term :EventScheduled,
      comment: "The event is taking place or has taken place on the startDate as scheduled. Use of this value is optional, as it is assumed by default.".freeze,
      label: "EventScheduled".freeze,
      type: "http://schema.org/EventStatusType".freeze
    term :EvidenceLevelA,
      comment: "Data derived from multiple randomized clinical trials or meta-analyses.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "EvidenceLevelA".freeze,
      type: "http://schema.org/MedicalEvidenceLevel".freeze
    term :EvidenceLevelB,
      comment: "Data derived from a single randomized trial, or nonrandomized studies.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "EvidenceLevelB".freeze,
      type: "http://schema.org/MedicalEvidenceLevel".freeze
    term :EvidenceLevelC,
      comment: "Only consensus opinion of experts, case studies, or standard-of-care.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "EvidenceLevelC".freeze,
      type: "http://schema.org/MedicalEvidenceLevel".freeze
    term :ExchangeRefund,
      comment: "Specifies that a refund can be done as an exchange for the same product.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2288".freeze,
      label: "ExchangeRefund".freeze,
      type: "http://schema.org/RefundTypeEnumeration".freeze
    term :Eye,
      comment: "Eye or ophtalmological function assessment with clinical examination.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Eye".freeze,
      type: "http://schema.org/PhysicalExam".freeze
    term :FDAcategoryA,
      comment: "A designation by the US FDA signifying that adequate and well-controlled studies have failed to demonstrate a risk to the fetus in the first trimester of pregnancy (and there is no evidence of risk in later trimesters).".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "FDAcategoryA".freeze,
      type: "http://schema.org/DrugPregnancyCategory".freeze
    term :FDAcategoryB,
      comment: "A designation by the US FDA signifying that animal reproduction studies have failed to demonstrate a risk to the fetus and there are no adequate and well-controlled studies in pregnant women.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "FDAcategoryB".freeze,
      type: "http://schema.org/DrugPregnancyCategory".freeze
    term :FDAcategoryC,
      comment: "A designation by the US FDA signifying that animal reproduction studies have shown an adverse effect on the fetus and there are no adequate and well-controlled studies in humans, but potential benefits may warrant use of the drug in pregnant women despite potential risks.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "FDAcategoryC".freeze,
      type: "http://schema.org/DrugPregnancyCategory".freeze
    term :FDAcategoryD,
      comment: "A designation by the US FDA signifying that there is positive evidence of human fetal risk based on adverse reaction data from investigational or marketing experience or studies in humans, but potential benefits may warrant use of the drug in pregnant women despite potential risks.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "FDAcategoryD".freeze,
      type: "http://schema.org/DrugPregnancyCategory".freeze
    term :FDAcategoryX,
      comment: "A designation by the US FDA signifying that studies in animals or humans have demonstrated fetal abnormalities and/or there is positive evidence of human fetal risk based on adverse reaction data from investigational or marketing experience, and the risks involved in use of the drug in pregnant women clearly outweigh potential benefits.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "FDAcategoryX".freeze,
      type: "http://schema.org/DrugPregnancyCategory".freeze
    term :FDAnotEvaluated,
      comment: "A designation that the drug in question has not been assigned a pregnancy category designation by the US FDA.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "FDAnotEvaluated".freeze,
      type: "http://schema.org/DrugPregnancyCategory".freeze
    term :FailedActionStatus,
      comment: "An action that failed to complete. The action's error property and the HTTP return code contain more information about the failure.".freeze,
      label: "FailedActionStatus".freeze,
      type: "http://schema.org/ActionStatusType".freeze
    term :False,
      comment: "The boolean value false.".freeze,
      label: "False".freeze,
      type: "http://schema.org/Boolean".freeze
    term :Female,
      comment: "The female gender.".freeze,
      label: "Female".freeze,
      type: "http://schema.org/GenderType".freeze
    term :Flexibility,
      comment: "Physical activity that is engaged in to improve joint and muscle flexibility.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Flexibility".freeze,
      type: "http://schema.org/PhysicalActivityCategory".freeze
    term :FourWheelDriveConfiguration,
      comment: "Four-wheel drive is a transmission layout where the engine primarily drives two wheels with a part-time four-wheel drive capability.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "FourWheelDriveConfiguration".freeze,
      type: "http://schema.org/DriveWheelConfigurationValue".freeze
    term :FreeReturn,
      comment: "Specifies that product returns are free of charge for the customer.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2880".freeze,
      label: "FreeReturn".freeze,
      type: "http://schema.org/ReturnFeesEnumeration".freeze
    term :Friday,
      comment: "The day of the week between Thursday and Saturday.".freeze,
      "http://schema.org/sameAs": "http://www.wikidata.org/entity/Q130".freeze,
      label: "Friday".freeze,
      type: "http://schema.org/DayOfWeek".freeze
    term :FrontWheelDriveConfiguration,
      comment: "Front-wheel drive is a transmission layout where the engine drives the front wheels.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "FrontWheelDriveConfiguration".freeze,
      type: "http://schema.org/DriveWheelConfigurationValue".freeze
    term :FullRefund,
      comment: "Specifies that a refund can be done in the full amount the customer paid for the product".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2288".freeze,
      label: "FullRefund".freeze,
      type: "http://schema.org/RefundTypeEnumeration".freeze
    term :Gastroenterologic,
      comment: "A specific branch of medical science that pertains to diagnosis and treatment of disorders of digestive system.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Gastroenterologic".freeze,
      type: "http://schema.org/MedicalSpecialty".freeze
    term :Genetic,
      comment: "A specific branch of medical science that pertains to hereditary transmission and the variation of inherited characteristics and disorders.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Genetic".freeze,
      type: "http://schema.org/MedicalSpecialty".freeze
    term :Genitourinary,
      comment: "Genitourinary system function assessment with clinical examination.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Genitourinary".freeze,
      type: "http://schema.org/PhysicalExam".freeze
    term :Geriatric,
      comment: "A specific branch of medical science that is concerned with the diagnosis and treatment of diseases, debilities and provision of care to the aged.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Geriatric".freeze,
      subClassOf: "http://schema.org/MedicalBusiness".freeze,
      type: "http://schema.org/MedicalSpecialty".freeze
    term :GettingAccessHealthAspect,
      comment: "Content that discusses practical and policy aspects for getting access to specific kinds of healthcare (e.g. distribution mechanisms for vaccines).".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2799".freeze,
      label: "GettingAccessHealthAspect".freeze,
      type: "http://schema.org/HealthAspectEnumeration".freeze
    term :GlutenFreeDiet,
      comment: "A diet exclusive of gluten.".freeze,
      label: "GlutenFreeDiet".freeze,
      type: "http://schema.org/RestrictedDiet".freeze
    term :GraphicNovel,
      comment: "Book format: GraphicNovel. May represent a bound collection of ComicIssue instances.".freeze,
      "http://schema.org/isPartOf": "http://bib.schema.org".freeze,
      label: "GraphicNovel".freeze,
      type: "http://schema.org/BookFormatType".freeze
    term :GroupBoardingPolicy,
      comment: "The airline boards by groups based on check-in time, priority, etc.".freeze,
      label: "GroupBoardingPolicy".freeze,
      type: "http://schema.org/BoardingPolicyType".freeze
    term :Gynecologic,
      comment: "A specific branch of medical science that pertains to the health care of women, particularly in the diagnosis and treatment of disorders affecting the female reproductive system.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Gynecologic".freeze,
      subClassOf: "http://schema.org/MedicalBusiness".freeze,
      type: "http://schema.org/MedicalSpecialty".freeze
    term :HalalDiet,
      comment: "A diet conforming to Islamic dietary practices.".freeze,
      label: "HalalDiet".freeze,
      type: "http://schema.org/RestrictedDiet".freeze
    term :Hardcover,
      comment: "Book format: Hardcover.".freeze,
      label: "Hardcover".freeze,
      type: "http://schema.org/BookFormatType".freeze
    term :Head,
      comment: "Head assessment with clinical examination.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Head".freeze,
      type: "http://schema.org/PhysicalExam".freeze
    term :HealthCare,
      comment: "HealthCare: this is a benefit for health care.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2534".freeze,
      label: "HealthCare".freeze,
      type: "http://schema.org/GovernmentBenefitsType".freeze
    term :HearingImpairedSupported,
      comment: "Uses devices to support users with hearing impairments.".freeze,
      label: "HearingImpairedSupported".freeze,
      type: "http://schema.org/ContactPointOption".freeze
    term :Hematologic,
      comment: "A specific branch of medical science that pertains to diagnosis and treatment of disorders of blood and blood producing organs.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Hematologic".freeze,
      type: "http://schema.org/MedicalSpecialty".freeze
    term :HinduDiet,
      comment: "A diet conforming to Hindu dietary practices, in particular, beef-free.".freeze,
      label: "HinduDiet".freeze,
      type: "http://schema.org/RestrictedDiet".freeze
    term :Homeopathic,
      comment: "A system of medicine based on the principle that a disease can be cured by a substance that produces similar symptoms in healthy people.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Homeopathic".freeze,
      type: "http://schema.org/MedicineSystem".freeze
    term :HowItWorksHealthAspect,
      comment: "Content that discusses and explains how a particular health-related topic works, e.g. in terms of mechanisms and underlying science.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2799".freeze,
      label: "HowItWorksHealthAspect".freeze,
      type: "http://schema.org/HealthAspectEnumeration".freeze
    term :HowOrWhereHealthAspect,
      comment: "Information about how or where to find a topic. Also may contain location data that can be used for where to look for help if the topic is observed.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2374".freeze,
      label: "HowOrWhereHealthAspect".freeze,
      type: "http://schema.org/HealthAspectEnumeration".freeze
    term :InForce,
      comment: "Indicates that a legislation is in force.".freeze,
      exactMatch: "http://data.europa.eu/eli/ontology#InForce-inForce".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://publications.europa.eu/mdr/eli/index.html".freeze, "https://github.com/schemaorg/schemaorg/issues/1156".freeze],
      label: "InForce".freeze,
      type: "http://schema.org/LegalForceStatus".freeze
    term :InStock,
      comment: "Indicates that the item is in stock.".freeze,
      label: "InStock".freeze,
      type: "http://schema.org/ItemAvailability".freeze
    term :InStoreOnly,
      comment: "Indicates that the item is available only at physical locations.".freeze,
      label: "InStoreOnly".freeze,
      type: "http://schema.org/ItemAvailability".freeze
    term :Infectious,
      comment: "Something in medical science that pertains to infectious diseases i.e caused by bacterial, viral, fungal or parasitic infections.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Infectious".freeze,
      type: "http://schema.org/MedicalSpecialty".freeze
    term :IngredientsHealthAspect,
      comment: "Content discussing ingredients-related aspects of a health topic.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2799".freeze,
      label: "IngredientsHealthAspect".freeze,
      type: "http://schema.org/HealthAspectEnumeration".freeze
    term :Installment,
      comment: "Represents the installment pricing component of the total price for an offered product.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2689".freeze,
      label: "Installment".freeze,
      type: "http://schema.org/PriceComponentTypeEnumeration".freeze
    term :InternationalTrial,
      comment: "An international trial.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "InternationalTrial".freeze,
      type: "http://schema.org/MedicalTrialDesign".freeze
    term :InvoicePrice,
      comment: "Represents the invoice price of an offered product.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2712".freeze,
      label: "InvoicePrice".freeze,
      type: "http://schema.org/PriceTypeEnumeration".freeze
    term :ItemListOrderAscending,
      comment: "An ItemList ordered with lower values listed first.".freeze,
      label: "ItemListOrderAscending".freeze,
      type: "http://schema.org/ItemListOrderType".freeze
    term :ItemListOrderDescending,
      comment: "An ItemList ordered with higher values listed first.".freeze,
      label: "ItemListOrderDescending".freeze,
      type: "http://schema.org/ItemListOrderType".freeze
    term :ItemListUnordered,
      comment: "An ItemList ordered with no explicit order.".freeze,
      label: "ItemListUnordered".freeze,
      type: "http://schema.org/ItemListOrderType".freeze
    term :KosherDiet,
      comment: "A diet conforming to Jewish dietary practices.".freeze,
      label: "KosherDiet".freeze,
      type: "http://schema.org/RestrictedDiet".freeze
    term :LaboratoryScience,
      comment: "A medical science pertaining to chemical, hematological, immunologic, microscopic, or bacteriological diagnostic analyses or research.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "LaboratoryScience".freeze,
      type: "http://schema.org/MedicalSpecialty".freeze
    term :LaserDiscFormat,
      comment: "LaserDiscFormat.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#MBZ".freeze,
      label: "LaserDiscFormat".freeze,
      type: "http://schema.org/MusicReleaseFormatType".freeze
    term :LeftHandDriving,
      comment: "The steering position is on the left side of the vehicle (viewed from the main direction of driving).".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "LeftHandDriving".freeze,
      type: "http://schema.org/SteeringPositionValue".freeze
    term :LeisureTimeActivity,
      comment: "Any physical activity engaged in for recreational purposes. Examples may include ballroom dancing, roller skating, canoeing, fishing, etc.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "LeisureTimeActivity".freeze,
      type: "http://schema.org/PhysicalActivityCategory".freeze
    term :LimitedAvailability,
      comment: "Indicates that the item has limited availability.".freeze,
      label: "LimitedAvailability".freeze,
      type: "http://schema.org/ItemAvailability".freeze
    term :LimitedByGuaranteeCharity,
      comment: "LimitedByGuaranteeCharity: Non-profit type referring to a charitable company that is limited by guarantee (UK).".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2543".freeze,
      label: "LimitedByGuaranteeCharity".freeze,
      type: "http://schema.org/UKNonprofitType".freeze
    term :ListPrice,
      comment: "Represents the list price (the price a product is actually advertised for) of an offered product.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2712".freeze,
      label: "ListPrice".freeze,
      type: "http://schema.org/PriceTypeEnumeration".freeze
    term :LiveAlbum,
      comment: "LiveAlbum.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#MBZ".freeze,
      label: "LiveAlbum".freeze,
      type: "http://schema.org/MusicAlbumProductionType".freeze
    term :LivingWithHealthAspect,
      comment: "Information about coping or life related to the topic.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2374".freeze,
      label: "LivingWithHealthAspect".freeze,
      type: "http://schema.org/HealthAspectEnumeration".freeze
    term :LockerDelivery,
      comment: "A DeliveryMethod in which an item is made available via locker.".freeze,
      label: "LockerDelivery".freeze,
      type: "http://schema.org/DeliveryMethod".freeze
    term :Longitudinal,
      comment: "Unlike cross-sectional studies, longitudinal studies track the same people, and therefore the differences observed in those people are less likely to be the result of cultural differences across generations. Longitudinal studies are also used in medicine to uncover predictors of certain diseases.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Longitudinal".freeze,
      type: "http://schema.org/MedicalObservationalStudyDesign".freeze
    term :LowCalorieDiet,
      comment: "A diet focused on reduced calorie intake.".freeze,
      label: "LowCalorieDiet".freeze,
      type: "http://schema.org/RestrictedDiet".freeze
    term :LowFatDiet,
      comment: "A diet focused on reduced fat and cholesterol intake.".freeze,
      label: "LowFatDiet".freeze,
      type: "http://schema.org/RestrictedDiet".freeze
    term :LowLactoseDiet,
      comment: "A diet appropriate for people with lactose intolerance.".freeze,
      label: "LowLactoseDiet".freeze,
      type: "http://schema.org/RestrictedDiet".freeze
    term :LowSaltDiet,
      comment: "A diet focused on reduced sodium intake.".freeze,
      label: "LowSaltDiet".freeze,
      type: "http://schema.org/RestrictedDiet".freeze
    term :Lung,
      comment: "Lung and respiratory system clinical examination.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Lung".freeze,
      type: "http://schema.org/PhysicalExam".freeze
    term :MRI,
      comment: "Magnetic resonance imaging.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "MRI".freeze,
      type: "http://schema.org/MedicalImagingTechnique".freeze
    term :MSRP,
      comment: "Represents the manufacturer suggested retail price (\"MSRP\") of an offered product.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2712".freeze,
      label: "MSRP".freeze,
      type: "http://schema.org/PriceTypeEnumeration".freeze
    term :Male,
      comment: "The male gender.".freeze,
      label: "Male".freeze,
      type: "http://schema.org/GenderType".freeze
    term :MayTreatHealthAspect,
      comment: "Related topics may be treated by a Topic.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2374".freeze,
      label: "MayTreatHealthAspect".freeze,
      type: "http://schema.org/HealthAspectEnumeration".freeze
    term :MedicalResearcher,
      comment: "Medical researchers.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "MedicalResearcher".freeze,
      type: "http://schema.org/MedicalAudienceType".freeze
    term :MerchantReturnFiniteReturnWindow,
      comment: "Specifies that there is a finite window for product returns.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2288".freeze,
      label: "MerchantReturnFiniteReturnWindow".freeze,
      type: "http://schema.org/MerchantReturnEnumeration".freeze
    term :MerchantReturnNotPermitted,
      comment: "Specifies that product returns are not permitted.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2288".freeze,
      label: "MerchantReturnNotPermitted".freeze,
      type: "http://schema.org/MerchantReturnEnumeration".freeze
    term :MerchantReturnUnlimitedWindow,
      comment: "Specifies that there is an unlimited window for product returns.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2288".freeze,
      label: "MerchantReturnUnlimitedWindow".freeze,
      type: "http://schema.org/MerchantReturnEnumeration".freeze
    term :MerchantReturnUnspecified,
      comment: "Specifies that a product return policy is not provided.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2288".freeze,
      label: "MerchantReturnUnspecified".freeze,
      type: "http://schema.org/MerchantReturnEnumeration".freeze
    term :Midwifery,
      comment: "A nurse-like health profession that deals with pregnancy, childbirth, and the postpartum period (including care of the newborn), besides sexual and reproductive health of women throughout their lives.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Midwifery".freeze,
      subClassOf: "http://schema.org/MedicalBusiness".freeze,
      type: "http://schema.org/MedicalSpecialty".freeze
    term :MinimumAdvertisedPrice,
      comment: "Represents the minimum advertised price (\"MAP\") (as dictated by the manufacturer) of an offered product.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2712".freeze,
      label: "MinimumAdvertisedPrice".freeze,
      type: "http://schema.org/PriceTypeEnumeration".freeze
    term :MisconceptionsHealthAspect,
      comment: "Content about common misconceptions and myths that are related to a topic.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2374".freeze,
      label: "MisconceptionsHealthAspect".freeze,
      type: "http://schema.org/HealthAspectEnumeration".freeze
    term :MixedEventAttendanceMode,
      comment: "MixedEventAttendanceMode - an event that is conducted as a combination of both offline and online modes.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1842".freeze,
      label: "MixedEventAttendanceMode".freeze,
      type: "http://schema.org/EventAttendanceModeEnumeration".freeze
    term :MixtapeAlbum,
      comment: "MixtapeAlbum.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#MBZ".freeze,
      label: "MixtapeAlbum".freeze,
      type: "http://schema.org/MusicAlbumProductionType".freeze
    term :Monday,
      comment: "The day of the week between Sunday and Tuesday.".freeze,
      "http://schema.org/sameAs": "http://www.wikidata.org/entity/Q105".freeze,
      label: "Monday".freeze,
      type: "http://schema.org/DayOfWeek".freeze
    term :MultiCenterTrial,
      comment: "A trial that takes place at multiple centers.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "MultiCenterTrial".freeze,
      type: "http://schema.org/MedicalTrialDesign".freeze
    term :MultiPlayer,
      comment: "Play mode: MultiPlayer. Requiring or allowing multiple human players to play simultaneously.".freeze,
      label: "MultiPlayer".freeze,
      type: "http://schema.org/GamePlayMode".freeze
    term :Musculoskeletal,
      comment: "A specific branch of medical science that pertains to diagnosis and treatment of disorders of muscles, ligaments and skeletal system.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Musculoskeletal".freeze,
      type: "http://schema.org/MedicalSpecialty".freeze
    term :MusculoskeletalExam,
      comment: "Musculoskeletal system clinical examination.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "MusculoskeletalExam".freeze,
      type: "http://schema.org/PhysicalExam".freeze
    term :Neck,
      comment: "Neck assessment with clinical examination.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Neck".freeze,
      type: "http://schema.org/PhysicalExam".freeze
    term :Neuro,
      comment: "Neurological system clinical examination.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Neuro".freeze,
      type: "http://schema.org/PhysicalExam".freeze
    term :Neurologic,
      comment: "A specific branch of medical science that studies the nerves and nervous system and its respective disease states.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Neurologic".freeze,
      type: "http://schema.org/MedicalSpecialty".freeze
    term :NewCondition,
      comment: "Indicates that the item is new.".freeze,
      label: "NewCondition".freeze,
      type: "http://schema.org/OfferItemCondition".freeze
    term :NoninvasiveProcedure,
      comment: "A type of medical procedure that involves noninvasive techniques.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "NoninvasiveProcedure".freeze,
      type: "http://schema.org/MedicalProcedureType".freeze
    term :Nonprofit501a,
      comment: "Nonprofit501a: Non-profit type referring to Farmers’ Cooperative Associations.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2543".freeze,
      label: "Nonprofit501a".freeze,
      type: "http://schema.org/USNonprofitType".freeze
    term :Nonprofit501c1,
      comment: "Nonprofit501c1: Non-profit type referring to Corporations Organized Under Act of Congress, including Federal Credit Unions and National Farm Loan Associations.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2543".freeze,
      label: "Nonprofit501c1".freeze,
      type: "http://schema.org/USNonprofitType".freeze
    term :Nonprofit501c10,
      comment: "Nonprofit501c10: Non-profit type referring to Domestic Fraternal Societies and Associations.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2543".freeze,
      label: "Nonprofit501c10".freeze,
      type: "http://schema.org/USNonprofitType".freeze
    term :Nonprofit501c11,
      comment: "Nonprofit501c11: Non-profit type referring to Teachers' Retirement Fund Associations.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2543".freeze,
      label: "Nonprofit501c11".freeze,
      type: "http://schema.org/USNonprofitType".freeze
    term :Nonprofit501c12,
      comment: "Nonprofit501c12: Non-profit type referring to Benevolent Life Insurance Associations, Mutual Ditch or Irrigation Companies, Mutual or Cooperative Telephone Companies.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2543".freeze,
      label: "Nonprofit501c12".freeze,
      type: "http://schema.org/USNonprofitType".freeze
    term :Nonprofit501c13,
      comment: "Nonprofit501c13: Non-profit type referring to Cemetery Companies.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2543".freeze,
      label: "Nonprofit501c13".freeze,
      type: "http://schema.org/USNonprofitType".freeze
    term :Nonprofit501c14,
      comment: "Nonprofit501c14: Non-profit type referring to State-Chartered Credit Unions, Mutual Reserve Funds.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2543".freeze,
      label: "Nonprofit501c14".freeze,
      type: "http://schema.org/USNonprofitType".freeze
    term :Nonprofit501c15,
      comment: "Nonprofit501c15: Non-profit type referring to Mutual Insurance Companies or Associations.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2543".freeze,
      label: "Nonprofit501c15".freeze,
      type: "http://schema.org/USNonprofitType".freeze
    term :Nonprofit501c16,
      comment: "Nonprofit501c16: Non-profit type referring to Cooperative Organizations to Finance Crop Operations.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2543".freeze,
      label: "Nonprofit501c16".freeze,
      type: "http://schema.org/USNonprofitType".freeze
    term :Nonprofit501c17,
      comment: "Nonprofit501c17: Non-profit type referring to Supplemental Unemployment Benefit Trusts.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2543".freeze,
      label: "Nonprofit501c17".freeze,
      type: "http://schema.org/USNonprofitType".freeze
    term :Nonprofit501c18,
      comment: "Nonprofit501c18: Non-profit type referring to Employee Funded Pension Trust (created before 25 June 1959).".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2543".freeze,
      label: "Nonprofit501c18".freeze,
      type: "http://schema.org/USNonprofitType".freeze
    term :Nonprofit501c19,
      comment: "Nonprofit501c19: Non-profit type referring to Post or Organization of Past or Present Members of the Armed Forces.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2543".freeze,
      label: "Nonprofit501c19".freeze,
      type: "http://schema.org/USNonprofitType".freeze
    term :Nonprofit501c2,
      comment: "Nonprofit501c2: Non-profit type referring to Title-holding Corporations for Exempt Organizations.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2543".freeze,
      label: "Nonprofit501c2".freeze,
      type: "http://schema.org/USNonprofitType".freeze
    term :Nonprofit501c20,
      comment: "Nonprofit501c20: Non-profit type referring to Group Legal Services Plan Organizations.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2543".freeze,
      label: "Nonprofit501c20".freeze,
      type: "http://schema.org/USNonprofitType".freeze
    term :Nonprofit501c21,
      comment: "Nonprofit501c21: Non-profit type referring to Black Lung Benefit Trusts.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2543".freeze,
      label: "Nonprofit501c21".freeze,
      type: "http://schema.org/USNonprofitType".freeze
    term :Nonprofit501c22,
      comment: "Nonprofit501c22: Non-profit type referring to Withdrawal Liability Payment Funds.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2543".freeze,
      label: "Nonprofit501c22".freeze,
      type: "http://schema.org/USNonprofitType".freeze
    term :Nonprofit501c23,
      comment: "Nonprofit501c23: Non-profit type referring to Veterans Organizations.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2543".freeze,
      label: "Nonprofit501c23".freeze,
      type: "http://schema.org/USNonprofitType".freeze
    term :Nonprofit501c24,
      comment: "Nonprofit501c24: Non-profit type referring to Section 4049 ERISA Trusts.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2543".freeze,
      label: "Nonprofit501c24".freeze,
      type: "http://schema.org/USNonprofitType".freeze
    term :Nonprofit501c25,
      comment: "Nonprofit501c25: Non-profit type referring to Real Property Title-Holding Corporations or Trusts with Multiple Parents.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2543".freeze,
      label: "Nonprofit501c25".freeze,
      type: "http://schema.org/USNonprofitType".freeze
    term :Nonprofit501c26,
      comment: "Nonprofit501c26: Non-profit type referring to State-Sponsored Organizations Providing Health Coverage for High-Risk Individuals.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2543".freeze,
      label: "Nonprofit501c26".freeze,
      type: "http://schema.org/USNonprofitType".freeze
    term :Nonprofit501c27,
      comment: "Nonprofit501c27: Non-profit type referring to State-Sponsored Workers' Compensation Reinsurance Organizations.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2543".freeze,
      label: "Nonprofit501c27".freeze,
      type: "http://schema.org/USNonprofitType".freeze
    term :Nonprofit501c28,
      comment: "Nonprofit501c28: Non-profit type referring to National Railroad Retirement Investment Trusts.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2543".freeze,
      label: "Nonprofit501c28".freeze,
      type: "http://schema.org/USNonprofitType".freeze
    term :Nonprofit501c3,
      comment: "Nonprofit501c3: Non-profit type referring to Religious, Educational, Charitable, Scientific, Literary, Testing for Public Safety, to Foster National or International Amateur Sports Competition, or Prevention of Cruelty to Children or Animals Organizations.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2543".freeze,
      label: "Nonprofit501c3".freeze,
      type: "http://schema.org/USNonprofitType".freeze
    term :Nonprofit501c4,
      comment: "Nonprofit501c4: Non-profit type referring to Civic Leagues, Social Welfare Organizations, and Local Associations of Employees.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2543".freeze,
      label: "Nonprofit501c4".freeze,
      type: "http://schema.org/USNonprofitType".freeze
    term :Nonprofit501c5,
      comment: "Nonprofit501c5: Non-profit type referring to Labor, Agricultural and Horticultural Organizations.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2543".freeze,
      label: "Nonprofit501c5".freeze,
      type: "http://schema.org/USNonprofitType".freeze
    term :Nonprofit501c6,
      comment: "Nonprofit501c6: Non-profit type referring to Business Leagues, Chambers of Commerce, Real Estate Boards.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2543".freeze,
      label: "Nonprofit501c6".freeze,
      type: "http://schema.org/USNonprofitType".freeze
    term :Nonprofit501c7,
      comment: "Nonprofit501c7: Non-profit type referring to Social and Recreational Clubs.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2543".freeze,
      label: "Nonprofit501c7".freeze,
      type: "http://schema.org/USNonprofitType".freeze
    term :Nonprofit501c8,
      comment: "Nonprofit501c8: Non-profit type referring to Fraternal Beneficiary Societies and Associations.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2543".freeze,
      label: "Nonprofit501c8".freeze,
      type: "http://schema.org/USNonprofitType".freeze
    term :Nonprofit501c9,
      comment: "Nonprofit501c9: Non-profit type referring to Voluntary Employee Beneficiary Associations.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2543".freeze,
      label: "Nonprofit501c9".freeze,
      type: "http://schema.org/USNonprofitType".freeze
    term :Nonprofit501d,
      comment: "Nonprofit501d: Non-profit type referring to Religious and Apostolic Associations.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2543".freeze,
      label: "Nonprofit501d".freeze,
      type: "http://schema.org/USNonprofitType".freeze
    term :Nonprofit501e,
      comment: "Nonprofit501e: Non-profit type referring to Cooperative Hospital Service Organizations.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2543".freeze,
      label: "Nonprofit501e".freeze,
      type: "http://schema.org/USNonprofitType".freeze
    term :Nonprofit501f,
      comment: "Nonprofit501f: Non-profit type referring to Cooperative Service Organizations.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2543".freeze,
      label: "Nonprofit501f".freeze,
      type: "http://schema.org/USNonprofitType".freeze
    term :Nonprofit501k,
      comment: "Nonprofit501k: Non-profit type referring to Child Care Organizations.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2543".freeze,
      label: "Nonprofit501k".freeze,
      type: "http://schema.org/USNonprofitType".freeze
    term :Nonprofit501n,
      comment: "Nonprofit501n: Non-profit type referring to Charitable Risk Pools.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2543".freeze,
      label: "Nonprofit501n".freeze,
      type: "http://schema.org/USNonprofitType".freeze
    term :Nonprofit501q,
      comment: "Nonprofit501q: Non-profit type referring to Credit Counseling Organizations.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2543".freeze,
      label: "Nonprofit501q".freeze,
      type: "http://schema.org/USNonprofitType".freeze
    term :Nonprofit527,
      comment: "Nonprofit527: Non-profit type referring to Political organizations.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2543".freeze,
      label: "Nonprofit527".freeze,
      type: "http://schema.org/USNonprofitType".freeze
    term :NonprofitANBI,
      comment: "NonprofitANBI: Non-profit type referring to a Public Benefit Organization (NL).".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2543".freeze,
      label: "NonprofitANBI".freeze,
      type: "http://schema.org/NLNonprofitType".freeze
    term :NonprofitSBBI,
      comment: "NonprofitSBBI: Non-profit type referring to a Social Interest Promoting Institution (NL).".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2543".freeze,
      label: "NonprofitSBBI".freeze,
      type: "http://schema.org/NLNonprofitType".freeze
    term :Nose,
      comment: "Nose function assessment with clinical examination.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Nose".freeze,
      type: "http://schema.org/PhysicalExam".freeze
    term :NotInForce,
      comment: "Indicates that a legislation is currently not in force.".freeze,
      exactMatch: "http://data.europa.eu/eli/ontology#InForce-notInForce".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://publications.europa.eu/mdr/eli/index.html".freeze, "https://github.com/schemaorg/schemaorg/issues/1156".freeze],
      label: "NotInForce".freeze,
      type: "http://schema.org/LegalForceStatus".freeze
    term :NotYetRecruiting,
      comment: "Not yet recruiting.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "NotYetRecruiting".freeze,
      type: "http://schema.org/MedicalStudyStatus".freeze
    term :Nursing,
      comment: "A health profession of a person formally educated and trained in the care of the sick or infirm person.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Nursing".freeze,
      subClassOf: "http://schema.org/MedicalBusiness".freeze,
      type: "http://schema.org/MedicalSpecialty".freeze
    term :OTC,
      comment: "The character of a medical substance, typically a medicine, of being available over the counter or not.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "OTC".freeze,
      type: "http://schema.org/DrugPrescriptionStatus".freeze
    term :Observational,
      comment: "An observational study design.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Observational".freeze,
      type: "http://schema.org/MedicalObservationalStudyDesign".freeze
    term :Obstetric,
      comment: "A specific branch of medical science that specializes in the care of women during the prenatal and postnatal care and with the delivery of the child.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Obstetric".freeze,
      subClassOf: "http://schema.org/MedicalBusiness".freeze,
      type: "http://schema.org/MedicalSpecialty".freeze
    term :OccupationalActivity,
      comment: "Any physical activity engaged in for job-related purposes. Examples may include waiting tables, maid service, carrying a mailbag, picking fruits or vegetables, construction work, etc.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "OccupationalActivity".freeze,
      type: "http://schema.org/PhysicalActivityCategory".freeze
    term :OfficialLegalValue,
      comment: "All the documents published by an official publisher should have at least the legal value level \"OfficialLegalValue\". This indicates that the document was published by an organisation with the public task of making it available (e.g. a consolidated version of a EU directive published by the EU Office of Publications).".freeze,
      exactMatch: "http://data.europa.eu/eli/ontology#LegalValue-official".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://publications.europa.eu/mdr/eli/index.html".freeze, "https://github.com/schemaorg/schemaorg/issues/1156".freeze],
      label: "OfficialLegalValue".freeze,
      type: "http://schema.org/LegalValueLevel".freeze
    term :OfflineEventAttendanceMode,
      comment: "OfflineEventAttendanceMode - an event that is primarily conducted offline. ".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1842".freeze,
      label: "OfflineEventAttendanceMode".freeze,
      type: "http://schema.org/EventAttendanceModeEnumeration".freeze
    term :OfflinePermanently,
      comment: "Game server status: OfflinePermanently. Server is offline and not available.".freeze,
      label: "OfflinePermanently".freeze,
      type: "http://schema.org/GameServerStatus".freeze
    term :OfflineTemporarily,
      comment: "Game server status: OfflineTemporarily. Server is offline now but it can be online soon.".freeze,
      label: "OfflineTemporarily".freeze,
      type: "http://schema.org/GameServerStatus".freeze
    term :OnSitePickup,
      comment: "A DeliveryMethod in which an item is collected on site, e.g. in a store or at a box office.".freeze,
      label: "OnSitePickup".freeze,
      type: "http://schema.org/DeliveryMethod".freeze
    term :Oncologic,
      comment: "A specific branch of medical science that deals with benign and malignant tumors, including the study of their development, diagnosis, treatment and prevention.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Oncologic".freeze,
      subClassOf: "http://schema.org/MedicalBusiness".freeze,
      type: "http://schema.org/MedicalSpecialty".freeze
    term :OneTimePayments,
      comment: "OneTimePayments: this is a benefit for one-time payments for individuals.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2534".freeze,
      label: "OneTimePayments".freeze,
      type: "http://schema.org/GovernmentBenefitsType".freeze
    term :Online,
      comment: "Game server status: Online. Server is available.".freeze,
      label: "Online".freeze,
      type: "http://schema.org/GameServerStatus".freeze
    term :OnlineEventAttendanceMode,
      comment: "OnlineEventAttendanceMode - an event that is primarily conducted online. ".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/1842".freeze,
      label: "OnlineEventAttendanceMode".freeze,
      type: "http://schema.org/EventAttendanceModeEnumeration".freeze
    term :OnlineFull,
      comment: "Game server status: OnlineFull. Server is online but unavailable. The maximum number of players has reached.".freeze,
      label: "OnlineFull".freeze,
      type: "http://schema.org/GameServerStatus".freeze
    term :OnlineOnly,
      comment: "Indicates that the item is available only online.".freeze,
      label: "OnlineOnly".freeze,
      type: "http://schema.org/ItemAvailability".freeze
    term :OpenTrial,
      comment: "A trial design in which the researcher knows the full details of the treatment, and so does the patient.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "OpenTrial".freeze,
      type: "http://schema.org/MedicalTrialDesign".freeze
    term :Optometric,
      comment: "The science or practice of testing visual acuity and prescribing corrective lenses.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Optometric".freeze,
      subClassOf: "http://schema.org/MedicalBusiness".freeze,
      type: "http://schema.org/MedicalSpecialty".freeze
    term :OrderCancelled,
      comment: "OrderStatus representing cancellation of an order.".freeze,
      label: "OrderCancelled".freeze,
      type: "http://schema.org/OrderStatus".freeze
    term :OrderDelivered,
      comment: "OrderStatus representing successful delivery of an order.".freeze,
      label: "OrderDelivered".freeze,
      type: "http://schema.org/OrderStatus".freeze
    term :OrderInTransit,
      comment: "OrderStatus representing that an order is in transit.".freeze,
      label: "OrderInTransit".freeze,
      type: "http://schema.org/OrderStatus".freeze
    term :OrderPaymentDue,
      comment: "OrderStatus representing that payment is due on an order.".freeze,
      label: "OrderPaymentDue".freeze,
      type: "http://schema.org/OrderStatus".freeze
    term :OrderPickupAvailable,
      comment: "OrderStatus representing availability of an order for pickup.".freeze,
      label: "OrderPickupAvailable".freeze,
      type: "http://schema.org/OrderStatus".freeze
    term :OrderProblem,
      comment: "OrderStatus representing that there is a problem with the order.".freeze,
      label: "OrderProblem".freeze,
      type: "http://schema.org/OrderStatus".freeze
    term :OrderProcessing,
      comment: "OrderStatus representing that an order is being processed.".freeze,
      label: "OrderProcessing".freeze,
      type: "http://schema.org/OrderStatus".freeze
    term :OrderReturned,
      comment: "OrderStatus representing that an order has been returned.".freeze,
      label: "OrderReturned".freeze,
      type: "http://schema.org/OrderStatus".freeze
    term :OriginalMediaContent,
      comment: "Content coded 'as original media content' in a [[MediaReview]], considered in the context of how it was published or shared.\n\nFor a [[VideoObject]] to be 'original': No evidence the footage has been misleadingly altered or manipulated, though it may contain false or misleading claims.\n\nFor an [[ImageObject]] to be 'original': No evidence the image has been misleadingly altered or manipulated, though it may still contain false or misleading claims.\n\nFor an [[ImageObject]] with embedded text to be 'original': No evidence the image has been misleadingly altered or manipulated, though it may still contain false or misleading claims.\n\nFor an [[AudioObject]] to be 'original': No evidence the audio has been misleadingly altered or manipulated, though it may contain false or misleading claims.\n".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2450".freeze,
      label: "OriginalMediaContent".freeze,
      type: "http://schema.org/MediaManipulationRatingEnumeration".freeze
    term :OriginalShippingFees,
      comment: "Specifies that the customer must pay the original shipping costs when returning a product.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2288".freeze,
      label: "OriginalShippingFees".freeze,
      type: "http://schema.org/ReturnFeesEnumeration".freeze
    term :Osteopathic,
      comment: "A system of medicine focused on promoting the body's innate ability to heal itself.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Osteopathic".freeze,
      type: "http://schema.org/MedicineSystem".freeze
    term :Otolaryngologic,
      comment: "A specific branch of medical science that is concerned with the ear, nose and throat and their respective disease states.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Otolaryngologic".freeze,
      subClassOf: "http://schema.org/MedicalBusiness".freeze,
      type: "http://schema.org/MedicalSpecialty".freeze
    term :OutOfStock,
      comment: "Indicates that the item is out of stock.".freeze,
      label: "OutOfStock".freeze,
      type: "http://schema.org/ItemAvailability".freeze
    term :OverviewHealthAspect,
      comment: "Overview of the content. Contains a summarized view of the topic with the most relevant information for an introduction.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2374".freeze,
      label: "OverviewHealthAspect".freeze,
      type: "http://schema.org/HealthAspectEnumeration".freeze
    term :PET,
      comment: "Positron emission tomography imaging.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "PET".freeze,
      type: "http://schema.org/MedicalImagingTechnique".freeze
    term :PaidLeave,
      comment: "PaidLeave: this is a benefit for paid leave.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2534".freeze,
      label: "PaidLeave".freeze,
      type: "http://schema.org/GovernmentBenefitsType".freeze
    term :Paperback,
      comment: "Book format: Paperback.".freeze,
      label: "Paperback".freeze,
      type: "http://schema.org/BookFormatType".freeze
    term :ParcelService,
      comment: "A private parcel service as the delivery mode available for a certain offer.\\n\\nCommonly used values:\\n\\n* http://purl.org/goodrelations/v1#DHL\\n* http://purl.org/goodrelations/v1#FederalExpress\\n* http://purl.org/goodrelations/v1#UPS\n      ".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsClass".freeze,
      label: "ParcelService".freeze,
      type: "http://schema.org/DeliveryMethod".freeze
    term :ParentalSupport,
      comment: "ParentalSupport: this is a benefit for parental support.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2534".freeze,
      label: "ParentalSupport".freeze,
      type: "http://schema.org/GovernmentBenefitsType".freeze
    term :ParkingMap,
      comment: "A parking map.".freeze,
      label: "ParkingMap".freeze,
      type: "http://schema.org/MapCategoryType".freeze
    term :PartiallyInForce,
      comment: "Indicates that parts of the legislation are in force, and parts are not.".freeze,
      exactMatch: "http://data.europa.eu/eli/ontology#InForce-partiallyInForce".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://publications.europa.eu/mdr/eli/index.html".freeze, "https://github.com/schemaorg/schemaorg/issues/1156".freeze],
      label: "PartiallyInForce".freeze,
      type: "http://schema.org/LegalForceStatus".freeze
    term :Pathology,
      comment: "A specific branch of medical science that is concerned with the study of the cause, origin and nature of a disease state, including its consequences as a result of manifestation of the disease. In clinical care, the term is used to designate a branch of medicine using laboratory tests to diagnose and determine the prognostic significance of illness.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Pathology".freeze,
      type: "http://schema.org/MedicalSpecialty".freeze
    term :PatientExperienceHealthAspect,
      comment: "Content about the real life experience of patients or people that have lived a similar experience about the topic. May be forums, topics, Q-and-A and related material.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2374".freeze,
      label: "PatientExperienceHealthAspect".freeze,
      type: "http://schema.org/HealthAspectEnumeration".freeze
    term :PaymentAutomaticallyApplied,
      comment: "An automatic payment system is in place and will be used.".freeze,
      label: "PaymentAutomaticallyApplied".freeze,
      type: "http://schema.org/PaymentStatusType".freeze
    term :PaymentComplete,
      comment: "The payment has been received and processed.".freeze,
      label: "PaymentComplete".freeze,
      type: "http://schema.org/PaymentStatusType".freeze
    term :PaymentDeclined,
      comment: "The payee received the payment, but it was declined for some reason.".freeze,
      label: "PaymentDeclined".freeze,
      type: "http://schema.org/PaymentStatusType".freeze
    term :PaymentDue,
      comment: "The payment is due, but still within an acceptable time to be received.".freeze,
      label: "PaymentDue".freeze,
      type: "http://schema.org/PaymentStatusType".freeze
    term :PaymentPastDue,
      comment: "The payment is due and considered late.".freeze,
      label: "PaymentPastDue".freeze,
      type: "http://schema.org/PaymentStatusType".freeze
    term :Pediatric,
      comment: "A specific branch of medical science that specializes in the care of infants, children and adolescents.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Pediatric".freeze,
      subClassOf: "http://schema.org/MedicalBusiness".freeze,
      type: "http://schema.org/MedicalSpecialty".freeze
    term :PercutaneousProcedure,
      comment: "A type of medical procedure that involves percutaneous techniques, where access to organs or tissue is achieved via needle-puncture of the skin. For example, catheter-based procedures like stent delivery.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "PercutaneousProcedure".freeze,
      type: "http://schema.org/MedicalProcedureType".freeze
    term :PharmacySpecialty,
      comment: "The practice or art and science of preparing and dispensing drugs and medicines.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "PharmacySpecialty".freeze,
      type: "http://schema.org/MedicalSpecialty".freeze
    term :Physiotherapy,
      comment: "The practice of treatment of disease, injury, or deformity by physical methods such as massage, heat treatment, and exercise rather than by drugs or surgery..".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Physiotherapy".freeze,
      subClassOf: "http://schema.org/MedicalBusiness".freeze,
      type: "http://schema.org/MedicalSpecialty".freeze
    term :PlaceboControlledTrial,
      comment: "A placebo-controlled trial design.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "PlaceboControlledTrial".freeze,
      type: "http://schema.org/MedicalTrialDesign".freeze
    term :PlasticSurgery,
      comment: "A specific branch of medical science that pertains to therapeutic or cosmetic repair or re-formation of missing, injured or malformed tissues or body parts by manual and instrumental means.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "PlasticSurgery".freeze,
      subClassOf: "http://schema.org/MedicalBusiness".freeze,
      type: "http://schema.org/MedicalSpecialty".freeze
    term :Podiatric,
      comment: "Podiatry is the care of the human foot, especially the diagnosis and treatment of foot disorders.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Podiatric".freeze,
      subClassOf: "http://schema.org/MedicalBusiness".freeze,
      type: "http://schema.org/MedicalSpecialty".freeze
    term :PotentialActionStatus,
      comment: "A description of an action that is supported.".freeze,
      label: "PotentialActionStatus".freeze,
      type: "http://schema.org/ActionStatusType".freeze
    term :PreOrder,
      comment: "Indicates that the item is available for pre-order.".freeze,
      label: "PreOrder".freeze,
      type: "http://schema.org/ItemAvailability".freeze
    term :PreSale,
      comment: "Indicates that the item is available for ordering and delivery before general availability.".freeze,
      label: "PreSale".freeze,
      type: "http://schema.org/ItemAvailability".freeze
    term :PregnancyHealthAspect,
      comment: "Content discussing pregnancy-related aspects of a health topic.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2799".freeze,
      label: "PregnancyHealthAspect".freeze,
      type: "http://schema.org/HealthAspectEnumeration".freeze
    term :PrescriptionOnly,
      comment: "Available by prescription only.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "PrescriptionOnly".freeze,
      type: "http://schema.org/DrugPrescriptionStatus".freeze
    term :PreventionHealthAspect,
      comment: "Information about actions or measures that can be taken to avoid getting the topic or reaching a critical situation related to the topic.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2374".freeze,
      label: "PreventionHealthAspect".freeze,
      type: "http://schema.org/HealthAspectEnumeration".freeze
    term :PrimaryCare,
      comment: "The medical care by a physician, or other health-care professional, who is the patient's first contact with the health-care system and who may recommend a specialist if necessary.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "PrimaryCare".freeze,
      subClassOf: "http://schema.org/MedicalBusiness".freeze,
      type: "http://schema.org/MedicalSpecialty".freeze
    term :ProductReturnFiniteReturnWindow,
      comment: "ProductReturnFiniteReturnWindow: there is a finite window for product returns.".freeze,
      "http://schema.org/isPartOf": "http://attic.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2288".freeze,
      "http://schema.org/supersededBy": "http://schema.org/MerchantReturnFiniteReturnWindow".freeze,
      label: "ProductReturnFiniteReturnWindow".freeze,
      type: "http://schema.org/ProductReturnEnumeration".freeze
    term :ProductReturnNotPermitted,
      comment: "ProductReturnNotPermitted: product returns are not permitted.".freeze,
      "http://schema.org/isPartOf": "http://attic.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2288".freeze,
      "http://schema.org/supersededBy": "http://schema.org/MerchantReturnNotPermitted".freeze,
      label: "ProductReturnNotPermitted".freeze,
      type: "http://schema.org/ProductReturnEnumeration".freeze
    term :ProductReturnUnlimitedWindow,
      comment: "ProductReturnUnlimitedWindow: there is an unlimited window for product returns.".freeze,
      "http://schema.org/isPartOf": "http://attic.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2288".freeze,
      "http://schema.org/supersededBy": "http://schema.org/MerchantReturnUnlimitedWindow".freeze,
      label: "ProductReturnUnlimitedWindow".freeze,
      type: "http://schema.org/ProductReturnEnumeration".freeze
    term :ProductReturnUnspecified,
      comment: "ProductReturnUnspecified: a product return policy is not specified here.".freeze,
      "http://schema.org/isPartOf": "http://attic.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2288".freeze,
      "http://schema.org/supersededBy": "http://schema.org/MerchantReturnUnspecified".freeze,
      label: "ProductReturnUnspecified".freeze,
      type: "http://schema.org/ProductReturnEnumeration".freeze
    term :PrognosisHealthAspect,
      comment: "Typical progression and happenings of life course of the topic.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2374".freeze,
      label: "PrognosisHealthAspect".freeze,
      type: "http://schema.org/HealthAspectEnumeration".freeze
    term :Psychiatric,
      comment: "A specific branch of medical science that is concerned with the study, treatment, and prevention of mental illness, using both medical and psychological therapies.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Psychiatric".freeze,
      subClassOf: "http://schema.org/MedicalBusiness".freeze,
      type: "http://schema.org/MedicalSpecialty".freeze
    term :PublicHealth,
      comment: "Branch of medicine that pertains to the health services to improve and protect community health, especially epidemiology, sanitation, immunization, and preventive medicine.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "PublicHealth".freeze,
      subClassOf: "http://schema.org/MedicalBusiness".freeze,
      type: "http://schema.org/MedicalSpecialty".freeze
    term :PublicHolidays,
      comment: "This stands for any day that is a public holiday; it is a placeholder for all official public holidays in some particular location. While not technically a \"day of the week\", it can be used with [[OpeningHoursSpecification]]. In the context of an opening hours specification it can be used to indicate opening hours on public holidays, overriding general opening hours for the day of the week on which a public holiday occurs.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#source_GoodRelationsClass".freeze,
      label: "PublicHolidays".freeze,
      type: "http://schema.org/DayOfWeek".freeze
    term :Pulmonary,
      comment: "A specific branch of medical science that pertains to the study of the respiratory system and its respective disease states.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Pulmonary".freeze,
      type: "http://schema.org/MedicalSpecialty".freeze
    term :Radiography,
      comment: "Radiography is an imaging technique that uses electromagnetic radiation other than visible light, especially X-rays, to view the internal structure of a non-uniformly composed and opaque object such as the human body.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Radiography".freeze,
      type: ["http://schema.org/MedicalImagingTechnique".freeze, "http://schema.org/MedicalSpecialty".freeze]
    term :RandomizedTrial,
      comment: "A randomized trial design.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "RandomizedTrial".freeze,
      type: "http://schema.org/MedicalTrialDesign".freeze
    term :ReadPermission,
      comment: "Permission to read or view the document.".freeze,
      label: "ReadPermission".freeze,
      type: "http://schema.org/DigitalDocumentPermissionType".freeze
    term :RearWheelDriveConfiguration,
      comment: "Real-wheel drive is a transmission layout where the engine drives the rear wheels.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "RearWheelDriveConfiguration".freeze,
      type: "http://schema.org/DriveWheelConfigurationValue".freeze
    term :Recruiting,
      comment: "Recruiting participants.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Recruiting".freeze,
      type: "http://schema.org/MedicalStudyStatus".freeze
    term :RefurbishedCondition,
      comment: "Indicates that the item is refurbished.".freeze,
      label: "RefurbishedCondition".freeze,
      type: "http://schema.org/OfferItemCondition".freeze
    term :Registry,
      comment: "A registry-based study design.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Registry".freeze,
      type: "http://schema.org/MedicalObservationalStudyDesign".freeze
    term :ReimbursementCap,
      comment: "The drug's cost represents the maximum reimbursement paid by an insurer for the drug.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "ReimbursementCap".freeze,
      type: "http://schema.org/DrugCostCategory".freeze
    term :RelatedTopicsHealthAspect,
      comment: "Other prominent or relevant topics tied to the main topic.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2374".freeze,
      label: "RelatedTopicsHealthAspect".freeze,
      type: "http://schema.org/HealthAspectEnumeration".freeze
    term :RemixAlbum,
      comment: "RemixAlbum.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#MBZ".freeze,
      label: "RemixAlbum".freeze,
      type: "http://schema.org/MusicAlbumProductionType".freeze
    term :Renal,
      comment: "A specific branch of medical science that pertains to the study of the kidneys and its respective disease states.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Renal".freeze,
      type: "http://schema.org/MedicalSpecialty".freeze
    term :RentalVehicleUsage,
      comment: "Indicates the usage of the vehicle as a rental car.".freeze,
      "http://schema.org/isPartOf": "http://auto.schema.org".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "RentalVehicleUsage".freeze,
      type: "http://schema.org/CarUsageType".freeze
    term :ReservationCancelled,
      comment: "The status for a previously confirmed reservation that is now cancelled.".freeze,
      label: "ReservationCancelled".freeze,
      type: "http://schema.org/ReservationStatusType".freeze
    term :ReservationConfirmed,
      comment: "The status of a confirmed reservation.".freeze,
      label: "ReservationConfirmed".freeze,
      type: "http://schema.org/ReservationStatusType".freeze
    term :ReservationHold,
      comment: "The status of a reservation on hold pending an update like credit card number or flight changes.".freeze,
      label: "ReservationHold".freeze,
      type: "http://schema.org/ReservationStatusType".freeze
    term :ReservationPending,
      comment: "The status of a reservation when a request has been sent, but not confirmed.".freeze,
      label: "ReservationPending".freeze,
      type: "http://schema.org/ReservationStatusType".freeze
    term :RespiratoryTherapy,
      comment: "The therapy that is concerned with the maintenance or improvement of respiratory function (as in patients with pulmonary disease).".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "RespiratoryTherapy".freeze,
      subClassOf: "http://schema.org/MedicalTherapy".freeze,
      type: "http://schema.org/MedicalSpecialty".freeze
    term :RestockingFees,
      comment: "Specifies that the customer must pay a restocking fee when returning a product".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2288".freeze,
      label: "RestockingFees".freeze,
      type: "http://schema.org/ReturnFeesEnumeration".freeze
    term :ResultsAvailable,
      comment: "Results are available.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "ResultsAvailable".freeze,
      type: "http://schema.org/MedicalStudyStatus".freeze
    term :ResultsNotAvailable,
      comment: "Results are not available.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "ResultsNotAvailable".freeze,
      type: "http://schema.org/MedicalStudyStatus".freeze
    term :Retail,
      comment: "The drug's cost represents the retail cost of the drug.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Retail".freeze,
      type: "http://schema.org/DrugCostCategory".freeze
    term :ReturnAtKiosk,
      comment: "Specifies that product returns must be made at a kiosk.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2880".freeze,
      label: "ReturnAtKiosk".freeze,
      type: "http://schema.org/ReturnMethodEnumeration".freeze
    term :ReturnByMail,
      comment: "Specifies that product returns must to be done by mail.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2880".freeze,
      label: "ReturnByMail".freeze,
      type: "http://schema.org/ReturnMethodEnumeration".freeze
    term :ReturnFeesCustomerResponsibility,
      comment: "Specifies that product returns must be paid for, and are the responsibility of, the customer.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2880".freeze,
      label: "ReturnFeesCustomerResponsibility".freeze,
      type: "http://schema.org/ReturnFeesEnumeration".freeze
    term :ReturnInStore,
      comment: "Specifies that product returns must be made in a store.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2880".freeze,
      label: "ReturnInStore".freeze,
      type: "http://schema.org/ReturnMethodEnumeration".freeze
    term :ReturnLabelCustomerResponsibility,
      comment: "Indicated that creating a return label is the responsibility of the customer.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2880".freeze,
      label: "ReturnLabelCustomerResponsibility".freeze,
      type: "http://schema.org/ReturnLabelSourceEnumeration".freeze
    term :ReturnLabelDownloadAndPrint,
      comment: "Indicated that a return label must be downloaded and printed by the customer.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2880".freeze,
      label: "ReturnLabelDownloadAndPrint".freeze,
      type: "http://schema.org/ReturnLabelSourceEnumeration".freeze
    term :ReturnLabelInBox,
      comment: "Specifies that a return label will be provided by the seller in the shipping box.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2880".freeze,
      label: "ReturnLabelInBox".freeze,
      type: "http://schema.org/ReturnLabelSourceEnumeration".freeze
    term :ReturnShippingFees,
      comment: "Specifies that the customer must pay the return shipping costs when returning a product".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2288".freeze,
      label: "ReturnShippingFees".freeze,
      type: "http://schema.org/ReturnFeesEnumeration".freeze
    term :Rheumatologic,
      comment: "A specific branch of medical science that deals with the study and treatment of rheumatic, autoimmune or joint diseases.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Rheumatologic".freeze,
      type: "http://schema.org/MedicalSpecialty".freeze
    term :RightHandDriving,
      comment: "The steering position is on the right side of the vehicle (viewed from the main direction of driving).".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "RightHandDriving".freeze,
      type: "http://schema.org/SteeringPositionValue".freeze
    term :RisksOrComplicationsHealthAspect,
      comment: "Information about the risk factors and possible complications that may follow a topic.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2374".freeze,
      label: "RisksOrComplicationsHealthAspect".freeze,
      type: "http://schema.org/HealthAspectEnumeration".freeze
    term :RsvpResponseMaybe,
      comment: "The invitee may or may not attend.".freeze,
      label: "RsvpResponseMaybe".freeze,
      type: "http://schema.org/RsvpResponseType".freeze
    term :RsvpResponseNo,
      comment: "The invitee will not attend.".freeze,
      label: "RsvpResponseNo".freeze,
      type: "http://schema.org/RsvpResponseType".freeze
    term :RsvpResponseYes,
      comment: "The invitee will attend.".freeze,
      label: "RsvpResponseYes".freeze,
      type: "http://schema.org/RsvpResponseType".freeze
    term :SRP,
      comment: "Represents the suggested retail price (\"SRP\") of an offered product.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2712".freeze,
      label: "SRP".freeze,
      type: "http://schema.org/PriceTypeEnumeration".freeze
    term :SafetyHealthAspect,
      comment: "Content about the safety-related aspects of a health topic.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2799".freeze,
      label: "SafetyHealthAspect".freeze,
      type: "http://schema.org/HealthAspectEnumeration".freeze
    term :SalePrice,
      comment: "Represents a sale price (usually active for a limited period) of an offered product.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2712".freeze,
      label: "SalePrice".freeze,
      type: "http://schema.org/PriceTypeEnumeration".freeze
    term :SatireOrParodyContent,
      comment: "Content coded 'satire or parody content' in a [[MediaReview]], considered in the context of how it was published or shared.\n\nFor a [[VideoObject]] to be 'satire or parody content': A video that was created as political or humorous commentary and is presented in that context. (Reshares of satire/parody content that do not include relevant context are more likely to fall under the “missing context” rating.)\n\nFor an [[ImageObject]] to be 'satire or parody content': An image that was created as political or humorous commentary and is presented in that context. (Reshares of satire/parody content that do not include relevant context are more likely to fall under the “missing context” rating.)\n\nFor an [[ImageObject]] with embedded text to be 'satire or parody content': An image that was created as political or humorous commentary and is presented in that context. (Reshares of satire/parody content that do not include relevant context are more likely to fall under the “missing context” rating.)\n\nFor an [[AudioObject]] to be 'satire or parody content': Audio that was created as political or humorous commentary and is presented in that context. (Reshares of satire/parody content that do not include relevant context are more likely to fall under the “missing context” rating.)\n".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2450".freeze,
      label: "SatireOrParodyContent".freeze,
      type: "http://schema.org/MediaManipulationRatingEnumeration".freeze
    term :Saturday,
      comment: "The day of the week between Friday and Sunday.".freeze,
      "http://schema.org/sameAs": "http://www.wikidata.org/entity/Q131".freeze,
      label: "Saturday".freeze,
      type: "http://schema.org/DayOfWeek".freeze
    term :ScreeningHealthAspect,
      comment: "Content about how to screen or further filter a topic.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2374".freeze,
      label: "ScreeningHealthAspect".freeze,
      type: "http://schema.org/HealthAspectEnumeration".freeze
    term :SeatingMap,
      comment: "A seating map.".freeze,
      label: "SeatingMap".freeze,
      type: "http://schema.org/MapCategoryType".freeze
    term :SeeDoctorHealthAspect,
      comment: "Information about questions that may be asked, when to see a professional, measures before seeing a doctor or content about the first consultation.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2374".freeze,
      label: "SeeDoctorHealthAspect".freeze,
      type: "http://schema.org/HealthAspectEnumeration".freeze
    term :SelfCareHealthAspect,
      comment: "Self care actions or measures that can be taken to sooth, health or avoid a topic. This may be carried at home and can be carried/managed by the person itself.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2374".freeze,
      label: "SelfCareHealthAspect".freeze,
      type: "http://schema.org/HealthAspectEnumeration".freeze
    term :SideEffectsHealthAspect,
      comment: "Side effects that can be observed from the usage of the topic.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2374".freeze,
      label: "SideEffectsHealthAspect".freeze,
      type: "http://schema.org/HealthAspectEnumeration".freeze
    term :SingleBlindedTrial,
      comment: "A trial design in which the researcher knows which treatment the patient was randomly assigned to but the patient does not.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "SingleBlindedTrial".freeze,
      type: "http://schema.org/MedicalTrialDesign".freeze
    term :SingleCenterTrial,
      comment: "A trial that takes place at a single center.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "SingleCenterTrial".freeze,
      type: "http://schema.org/MedicalTrialDesign".freeze
    term :SinglePlayer,
      comment: "Play mode: SinglePlayer. Which is played by a lone player.".freeze,
      label: "SinglePlayer".freeze,
      type: "http://schema.org/GamePlayMode".freeze
    term :SingleRelease,
      comment: "SingleRelease.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#MBZ".freeze,
      label: "SingleRelease".freeze,
      type: "http://schema.org/MusicAlbumReleaseType".freeze
    term :SizeSystemImperial,
      comment: "Imperial size system.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "SizeSystemImperial".freeze,
      type: "http://schema.org/SizeSystemEnumeration".freeze
    term :SizeSystemMetric,
      comment: "Metric size system.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "SizeSystemMetric".freeze,
      type: "http://schema.org/SizeSystemEnumeration".freeze
    term :Skin,
      comment: "Skin assessment with clinical examination.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Skin".freeze,
      type: "http://schema.org/PhysicalExam".freeze
    term :SoldOut,
      comment: "Indicates that the item has sold out.".freeze,
      label: "SoldOut".freeze,
      type: "http://schema.org/ItemAvailability".freeze
    term :SoundtrackAlbum,
      comment: "SoundtrackAlbum.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#MBZ".freeze,
      label: "SoundtrackAlbum".freeze,
      type: "http://schema.org/MusicAlbumProductionType".freeze
    term :SpeechPathology,
      comment: "The scientific study and treatment of defects, disorders, and malfunctions of speech and voice, as stuttering, lisping, or lalling, and of language disturbances, as aphasia or delayed language acquisition.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "SpeechPathology".freeze,
      type: "http://schema.org/MedicalSpecialty".freeze
    term :SpokenWordAlbum,
      comment: "SpokenWordAlbum.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#MBZ".freeze,
      label: "SpokenWordAlbum".freeze,
      type: "http://schema.org/MusicAlbumProductionType".freeze
    term :StagedContent,
      comment: "Content coded 'staged content' in a [[MediaReview]], considered in the context of how it was published or shared.\n\nFor a [[VideoObject]] to be 'staged content': A video that has been created using actors or similarly contrived.\n\nFor an [[ImageObject]] to be 'staged content': An image that was created using actors or similarly contrived, such as a screenshot of a fake tweet.\n\nFor an [[ImageObject]] with embedded text to be 'staged content': An image that was created using actors or similarly contrived, such as a screenshot of a fake tweet.\n\nFor an [[AudioObject]] to be 'staged content': Audio that has been created using actors or similarly contrived.\n".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2450".freeze,
      label: "StagedContent".freeze,
      type: "http://schema.org/MediaManipulationRatingEnumeration".freeze
    term :StagesHealthAspect,
      comment: "Stages that can be observed from a topic.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2374".freeze,
      label: "StagesHealthAspect".freeze,
      type: "http://schema.org/HealthAspectEnumeration".freeze
    term :StoreCreditRefund,
      comment: "Specifies that the customer receives a store credit as refund when returning a product".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2288".freeze,
      label: "StoreCreditRefund".freeze,
      type: "http://schema.org/RefundTypeEnumeration".freeze
    term :StrengthTraining,
      comment: "Physical activity that is engaged in to improve muscle and bone strength. Also referred to as resistance training.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "StrengthTraining".freeze,
      type: "http://schema.org/PhysicalActivityCategory".freeze
    term :StudioAlbum,
      comment: "StudioAlbum.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#MBZ".freeze,
      label: "StudioAlbum".freeze,
      type: "http://schema.org/MusicAlbumProductionType".freeze
    term :Subscription,
      comment: "Represents the subscription pricing component of the total price for an offered product.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2689".freeze,
      label: "Subscription".freeze,
      type: "http://schema.org/PriceComponentTypeEnumeration".freeze
    term :Sunday,
      comment: "The day of the week between Saturday and Monday.".freeze,
      "http://schema.org/sameAs": "http://www.wikidata.org/entity/Q132".freeze,
      label: "Sunday".freeze,
      type: "http://schema.org/DayOfWeek".freeze
    term :Surgical,
      comment: "A specific branch of medical science that pertains to treating diseases, injuries and deformities by manual and instrumental means.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Surgical".freeze,
      type: "http://schema.org/MedicalSpecialty".freeze
    term :Suspended,
      comment: "Suspended.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Suspended".freeze,
      type: "http://schema.org/MedicalStudyStatus".freeze
    term :SymptomsHealthAspect,
      comment: "Symptoms or related symptoms of a Topic.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2374".freeze,
      label: "SymptomsHealthAspect".freeze,
      type: "http://schema.org/HealthAspectEnumeration".freeze
    term :TaxiVehicleUsage,
      comment: "Indicates the usage of the car as a taxi.".freeze,
      "http://schema.org/isPartOf": "http://auto.schema.org".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#Automotive_Ontology_Working_Group".freeze,
      label: "TaxiVehicleUsage".freeze,
      type: "http://schema.org/CarUsageType".freeze
    term :Terminated,
      comment: "Terminated.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Terminated".freeze,
      type: "http://schema.org/MedicalStudyStatus".freeze
    term :Therapeutic,
      comment: "A medical device used for therapeutic purposes.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Therapeutic".freeze,
      type: "http://schema.org/MedicalDevicePurpose".freeze
    term :Throat,
      comment: "Throat assessment with  clinical examination.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Throat".freeze,
      type: "http://schema.org/PhysicalExam".freeze
    term :Thursday,
      comment: "The day of the week between Wednesday and Friday.".freeze,
      "http://schema.org/sameAs": "http://www.wikidata.org/entity/Q129".freeze,
      label: "Thursday".freeze,
      type: "http://schema.org/DayOfWeek".freeze
    term :TollFree,
      comment: "The associated telephone number is toll free.".freeze,
      label: "TollFree".freeze,
      type: "http://schema.org/ContactPointOption".freeze
    term :Toxicologic,
      comment: "A specific branch of medical science that is concerned with poisons, their nature, effects and detection and involved in the treatment of poisoning.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Toxicologic".freeze,
      type: "http://schema.org/MedicalSpecialty".freeze
    term :TraditionalChinese,
      comment: "A system of medicine based on common theoretical concepts that originated in China and evolved over thousands of years, that uses herbs, acupuncture, exercise, massage, dietary therapy, and other methods to treat a wide range of conditions.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "TraditionalChinese".freeze,
      type: "http://schema.org/MedicineSystem".freeze
    term :TransformedContent,
      comment: "Content coded 'transformed content' in a [[MediaReview]], considered in the context of how it was published or shared.\n\nFor a [[VideoObject]] to be 'transformed content':  or all of the video has been manipulated to transform the footage itself. This category includes using tools like the Adobe Suite to change the speed of the video, add or remove visual elements or dub audio. Deepfakes are also a subset of transformation.\n\nFor an [[ImageObject]] to be transformed content': Adding or deleting visual elements to give the image a different meaning with the intention to mislead.\n\nFor an [[ImageObject]] with embedded text to be 'transformed content': Adding or deleting visual elements to give the image a different meaning with the intention to mislead.\n\nFor an [[AudioObject]] to be 'transformed content': Part or all of the audio has been manipulated to alter the words or sounds, or the audio has been synthetically generated, such as to create a sound-alike voice.\n".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2450".freeze,
      label: "TransformedContent".freeze,
      type: "http://schema.org/MediaManipulationRatingEnumeration".freeze
    term :TransitMap,
      comment: "A transit map.".freeze,
      label: "TransitMap".freeze,
      type: "http://schema.org/MapCategoryType".freeze
    term :TreatmentsHealthAspect,
      comment: "Treatments or related therapies for a Topic.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2374".freeze,
      label: "TreatmentsHealthAspect".freeze,
      type: "http://schema.org/HealthAspectEnumeration".freeze
    term :TripleBlindedTrial,
      comment: "A trial design in which neither the researcher, the person administering the therapy nor the patient knows the details of the treatment the patient was randomly assigned to.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "TripleBlindedTrial".freeze,
      type: "http://schema.org/MedicalTrialDesign".freeze
    term :True,
      comment: "The boolean value true.".freeze,
      label: "True".freeze,
      type: "http://schema.org/Boolean".freeze
    term :Tuesday,
      comment: "The day of the week between Monday and Wednesday.".freeze,
      "http://schema.org/sameAs": "http://www.wikidata.org/entity/Q127".freeze,
      label: "Tuesday".freeze,
      type: "http://schema.org/DayOfWeek".freeze
    term :TypesHealthAspect,
      comment: "Categorization and other types related to a topic.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2374".freeze,
      label: "TypesHealthAspect".freeze,
      type: "http://schema.org/HealthAspectEnumeration".freeze
    term :UKTrust,
      comment: "UKTrust: Non-profit type referring to a UK trust.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2543".freeze,
      label: "UKTrust".freeze,
      type: "http://schema.org/UKNonprofitType".freeze
    term :Ultrasound,
      comment: "Ultrasound imaging.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Ultrasound".freeze,
      type: "http://schema.org/MedicalImagingTechnique".freeze
    term :UnemploymentSupport,
      comment: "UnemploymentSupport: this is a benefit for unemployment support.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2534".freeze,
      label: "UnemploymentSupport".freeze,
      type: "http://schema.org/GovernmentBenefitsType".freeze
    term :UnincorporatedAssociationCharity,
      comment: "UnincorporatedAssociationCharity: Non-profit type referring to a charitable company that is not incorporated (UK).".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2543".freeze,
      label: "UnincorporatedAssociationCharity".freeze,
      type: "http://schema.org/UKNonprofitType".freeze
    term :UnofficialLegalValue,
      comment: "Indicates that a document has no particular or special standing (e.g. a republication of a law by a private publisher).".freeze,
      exactMatch: "http://data.europa.eu/eli/ontology#LegalValue-unofficial".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": ["http://publications.europa.eu/mdr/eli/index.html".freeze, "https://github.com/schemaorg/schemaorg/issues/1156".freeze],
      label: "UnofficialLegalValue".freeze,
      type: "http://schema.org/LegalValueLevel".freeze
    term :Urologic,
      comment: "A specific branch of medical science that is concerned with the diagnosis and treatment of diseases pertaining to the urinary tract and the urogenital system.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Urologic".freeze,
      type: "http://schema.org/MedicalSpecialty".freeze
    term :UsageOrScheduleHealthAspect,
      comment: "Content about how, when, frequency and dosage of a topic.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2374".freeze,
      label: "UsageOrScheduleHealthAspect".freeze,
      type: "http://schema.org/HealthAspectEnumeration".freeze
    term :UsedCondition,
      comment: "Indicates that the item is used.".freeze,
      label: "UsedCondition".freeze,
      type: "http://schema.org/OfferItemCondition".freeze
    term :VeganDiet,
      comment: "A diet exclusive of all animal products.".freeze,
      label: "VeganDiet".freeze,
      type: "http://schema.org/RestrictedDiet".freeze
    term :VegetarianDiet,
      comment: "A diet exclusive of animal meat.".freeze,
      label: "VegetarianDiet".freeze,
      type: "http://schema.org/RestrictedDiet".freeze
    term :VenueMap,
      comment: "A venue map (e.g. for malls, auditoriums, museums, etc.).".freeze,
      label: "VenueMap".freeze,
      type: "http://schema.org/MapCategoryType".freeze
    term :VinylFormat,
      comment: "VinylFormat.".freeze,
      "http://schema.org/source": "http://www.w3.org/wiki/WebSchemas/SchemaDotOrgSources#MBZ".freeze,
      label: "VinylFormat".freeze,
      type: "http://schema.org/MusicReleaseFormatType".freeze
    term :WearableMeasurementBack,
      comment: "Measurement of the back section, for example of a jacket".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "WearableMeasurementBack".freeze,
      type: "http://schema.org/WearableMeasurementTypeEnumeration".freeze
    term :WearableMeasurementChestOrBust,
      comment: "Measurement of the chest/bust section, for example of a suit".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "WearableMeasurementChestOrBust".freeze,
      type: "http://schema.org/WearableMeasurementTypeEnumeration".freeze
    term :WearableMeasurementCollar,
      comment: "Measurement of the collar, for example of a shirt".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "WearableMeasurementCollar".freeze,
      type: "http://schema.org/WearableMeasurementTypeEnumeration".freeze
    term :WearableMeasurementCup,
      comment: "Measurement of the cup, for example of a bra".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "WearableMeasurementCup".freeze,
      type: "http://schema.org/WearableMeasurementTypeEnumeration".freeze
    term :WearableMeasurementHeight,
      comment: "Measurement of the height, for example the heel height of a shoe".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "WearableMeasurementHeight".freeze,
      type: "http://schema.org/WearableMeasurementTypeEnumeration".freeze
    term :WearableMeasurementHips,
      comment: "Measurement of the hip section, for example of a skirt".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "WearableMeasurementHips".freeze,
      type: "http://schema.org/WearableMeasurementTypeEnumeration".freeze
    term :WearableMeasurementInseam,
      comment: "Measurement of the inseam, for example of pants".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "WearableMeasurementInseam".freeze,
      type: "http://schema.org/WearableMeasurementTypeEnumeration".freeze
    term :WearableMeasurementLength,
      comment: "Represents the length, for example of a dress".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "WearableMeasurementLength".freeze,
      type: "http://schema.org/WearableMeasurementTypeEnumeration".freeze
    term :WearableMeasurementOutsideLeg,
      comment: "Measurement of the outside leg, for example of pants".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "WearableMeasurementOutsideLeg".freeze,
      type: "http://schema.org/WearableMeasurementTypeEnumeration".freeze
    term :WearableMeasurementSleeve,
      comment: "Measurement of the sleeve length, for example of a shirt".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "WearableMeasurementSleeve".freeze,
      type: "http://schema.org/WearableMeasurementTypeEnumeration".freeze
    term :WearableMeasurementWaist,
      comment: "Measurement of the waist section, for example of pants".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "WearableMeasurementWaist".freeze,
      type: "http://schema.org/WearableMeasurementTypeEnumeration".freeze
    term :WearableMeasurementWidth,
      comment: "Measurement of the width, for example of shoes".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "WearableMeasurementWidth".freeze,
      type: "http://schema.org/WearableMeasurementTypeEnumeration".freeze
    term :WearableSizeGroupBig,
      comment: "Size group \"Big\" for wearables.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "WearableSizeGroupBig".freeze,
      type: "http://schema.org/WearableSizeGroupEnumeration".freeze
    term :WearableSizeGroupBoys,
      comment: "Size group \"Boys\" for wearables.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "WearableSizeGroupBoys".freeze,
      type: "http://schema.org/WearableSizeGroupEnumeration".freeze
    term :WearableSizeGroupExtraShort,
      comment: "Size group \"Extra Short\" for wearables.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "WearableSizeGroupExtraShort".freeze,
      type: "http://schema.org/WearableSizeGroupEnumeration".freeze
    term :WearableSizeGroupExtraTall,
      comment: "Size group \"Extra Tall\" for wearables.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "WearableSizeGroupExtraTall".freeze,
      type: "http://schema.org/WearableSizeGroupEnumeration".freeze
    term :WearableSizeGroupGirls,
      comment: "Size group \"Girls\" for wearables.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "WearableSizeGroupGirls".freeze,
      type: "http://schema.org/WearableSizeGroupEnumeration".freeze
    term :WearableSizeGroupHusky,
      comment: "Size group \"Husky\" (or \"Stocky\") for wearables.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "WearableSizeGroupHusky".freeze,
      type: "http://schema.org/WearableSizeGroupEnumeration".freeze
    term :WearableSizeGroupInfants,
      comment: "Size group \"Infants\" for wearables.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "WearableSizeGroupInfants".freeze,
      type: "http://schema.org/WearableSizeGroupEnumeration".freeze
    term :WearableSizeGroupJuniors,
      comment: "Size group \"Juniors\" for wearables.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "WearableSizeGroupJuniors".freeze,
      type: "http://schema.org/WearableSizeGroupEnumeration".freeze
    term :WearableSizeGroupMaternity,
      comment: "Size group \"Maternity\" for wearables.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "WearableSizeGroupMaternity".freeze,
      type: "http://schema.org/WearableSizeGroupEnumeration".freeze
    term :WearableSizeGroupMens,
      comment: "Size group \"Mens\" for wearables.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "WearableSizeGroupMens".freeze,
      type: "http://schema.org/WearableSizeGroupEnumeration".freeze
    term :WearableSizeGroupMisses,
      comment: "Size group \"Misses\" (also known as \"Missy\") for wearables.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "WearableSizeGroupMisses".freeze,
      type: "http://schema.org/WearableSizeGroupEnumeration".freeze
    term :WearableSizeGroupPetite,
      comment: "Size group \"Petite\" for wearables.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "WearableSizeGroupPetite".freeze,
      type: "http://schema.org/WearableSizeGroupEnumeration".freeze
    term :WearableSizeGroupPlus,
      comment: "Size group \"Plus\" for wearables.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "WearableSizeGroupPlus".freeze,
      type: "http://schema.org/WearableSizeGroupEnumeration".freeze
    term :WearableSizeGroupRegular,
      comment: "Size group \"Regular\" for wearables.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "WearableSizeGroupRegular".freeze,
      type: "http://schema.org/WearableSizeGroupEnumeration".freeze
    term :WearableSizeGroupShort,
      comment: "Size group \"Short\" for wearables.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "WearableSizeGroupShort".freeze,
      type: "http://schema.org/WearableSizeGroupEnumeration".freeze
    term :WearableSizeGroupTall,
      comment: "Size group \"Tall\" for wearables.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "WearableSizeGroupTall".freeze,
      type: "http://schema.org/WearableSizeGroupEnumeration".freeze
    term :WearableSizeGroupWomens,
      comment: "Size group \"Womens\" for wearables.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "WearableSizeGroupWomens".freeze,
      type: "http://schema.org/WearableSizeGroupEnumeration".freeze
    term :WearableSizeSystemAU,
      comment: "Australian size system for wearables.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "WearableSizeSystemAU".freeze,
      type: "http://schema.org/WearableSizeSystemEnumeration".freeze
    term :WearableSizeSystemBR,
      comment: "Brazilian size system for wearables.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "WearableSizeSystemBR".freeze,
      type: "http://schema.org/WearableSizeSystemEnumeration".freeze
    term :WearableSizeSystemCN,
      comment: "Chinese size system for wearables.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "WearableSizeSystemCN".freeze,
      type: "http://schema.org/WearableSizeSystemEnumeration".freeze
    term :WearableSizeSystemContinental,
      comment: "Continental size system for wearables.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "WearableSizeSystemContinental".freeze,
      type: "http://schema.org/WearableSizeSystemEnumeration".freeze
    term :WearableSizeSystemDE,
      comment: "German size system for wearables.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "WearableSizeSystemDE".freeze,
      type: "http://schema.org/WearableSizeSystemEnumeration".freeze
    term :WearableSizeSystemEN13402,
      comment: "EN 13402 (joint European standard for size labelling of clothes).".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "WearableSizeSystemEN13402".freeze,
      type: "http://schema.org/WearableSizeSystemEnumeration".freeze
    term :WearableSizeSystemEurope,
      comment: "European size system for wearables.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "WearableSizeSystemEurope".freeze,
      type: "http://schema.org/WearableSizeSystemEnumeration".freeze
    term :WearableSizeSystemFR,
      comment: "French size system for wearables.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "WearableSizeSystemFR".freeze,
      type: "http://schema.org/WearableSizeSystemEnumeration".freeze
    term :WearableSizeSystemGS1,
      comment: "GS1 (formerly NRF) size system for wearables.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "WearableSizeSystemGS1".freeze,
      type: "http://schema.org/WearableSizeSystemEnumeration".freeze
    term :WearableSizeSystemIT,
      comment: "Italian size system for wearables.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "WearableSizeSystemIT".freeze,
      type: "http://schema.org/WearableSizeSystemEnumeration".freeze
    term :WearableSizeSystemJP,
      comment: "Japanese size system for wearables.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "WearableSizeSystemJP".freeze,
      type: "http://schema.org/WearableSizeSystemEnumeration".freeze
    term :WearableSizeSystemMX,
      comment: "Mexican size system for wearables.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "WearableSizeSystemMX".freeze,
      type: "http://schema.org/WearableSizeSystemEnumeration".freeze
    term :WearableSizeSystemUK,
      comment: "United Kingdom size system for wearables.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "WearableSizeSystemUK".freeze,
      type: "http://schema.org/WearableSizeSystemEnumeration".freeze
    term :WearableSizeSystemUS,
      comment: "United States size system for wearables.".freeze,
      "http://schema.org/isPartOf": "http://pending.schema.org".freeze,
      "http://schema.org/source": "https://github.com/schemaorg/schemaorg/issues/2811".freeze,
      label: "WearableSizeSystemUS".freeze,
      type: "http://schema.org/WearableSizeSystemEnumeration".freeze
    term :Wednesday,
      comment: "The day of the week between Tuesday and Thursday.".freeze,
      "http://schema.org/sameAs": "http://www.wikidata.org/entity/Q128".freeze,
      label: "Wednesday".freeze,
      type: "http://schema.org/DayOfWeek".freeze
    term :WesternConventional,
      comment: "The conventional Western system of medicine, that aims to apply the best available evidence gained from the scientific method to clinical decision making. Also known as conventional or Western medicine.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "WesternConventional".freeze,
      type: "http://schema.org/MedicineSystem".freeze
    term :Wholesale,
      comment: "The drug's cost represents the wholesale acquisition cost of the drug.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Wholesale".freeze,
      type: "http://schema.org/DrugCostCategory".freeze
    term :Withdrawn,
      comment: "Withdrawn.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "Withdrawn".freeze,
      type: "http://schema.org/MedicalStudyStatus".freeze
    term :WritePermission,
      comment: "Permission to write or edit the document.".freeze,
      label: "WritePermission".freeze,
      type: "http://schema.org/DigitalDocumentPermissionType".freeze
    term :XRay,
      comment: "X-ray imaging.".freeze,
      "http://schema.org/isPartOf": "http://health-lifesci.schema.org".freeze,
      label: "XRay".freeze,
      type: "http://schema.org/MedicalImagingTechnique".freeze
    term :ZoneBoardingPolicy,
      comment: "The airline boards by zones of the plane.".freeze,
      label: "ZoneBoardingPolicy".freeze,
      type: "http://schema.org/BoardingPolicyType".freeze
  end
end
